TopoL xT - referenční příručka

Obsah

1. Uživatelské prostředí TopoLu xT
Základní rozdělení
Menu
Menu Projekt
Menu Data
Menu Nástroje
Menu Zobrazení
Menu Editace
Linie
Body
Plochy
Texty
Menu Rastr
Geometrické operace
Geometrické operace - příkazy
Zpracování obrazu
Zpracování obrazu - příkazy
Spektrální analýza
Spektrální analýza - příkazy
DMT
DMT - příkazy
Pomocné operace
Pomocné operace - příkazy
Export
Import
Rastry a adresáře
Rastrový editor maker
Rastrový manager
Menu Analýza
Menu Databázové okno
Menu Mapové okno
Menu Okno
Dokovací okna
Menu Nápověda
Panely nástrojů
Panel nástrojů Analýza
Panel nástrojů Data
Panel nástrojů Databázové okno
Panel nástrojů Editace
Panel nástrojů Mapové okno
Panel nástrojů Nástroje
Panel nástrojů Okno
Panel nástrojů Posun okna
Panel nástrojů Projekt
Panel nástrojů Značky
Panel nástrojů Zobrazení
Stavový řádek
Nastavení parametrů prostředí
Nastavení parametrů prostředí - kategorie Obecné
Nastavení parametrů prostředí - kategorie Prostředí
Nastavení parametrů prostředí - kategorie Otevření/zavření dat
Nastavení parametrů prostředí - kategorie Překreslování
Nastavení parametrů prostředí - 3D
Nastavení parametrů prostředí - kategorie Automatické ukládání
Nastavení parametrů prostředí - kategorie Editace
Nastavení parametrů prostředí - kategorie Editace - lupa
Nastavení parametrů prostředí - kategorie Editace - barvy
Nastavení parametrů prostředí - kategorie Editace - zvuky
Nastavení parametrů prostředí - kategorie Editace - kurzor
Nastavení parametrů prostředí - kategorie Editace - křivky
Nastavení parametrů prostředí - kategorie Práce s rastry
Nastavení parametrů prostředí - kategorie Umístění souborů
Nastavení parametrů prostředí - kategorie Substituce adresářů
Nastavení parametrů prostředí - kategorie Zoom kolečkem
Nastavení parametrů prostředí - kategorie Interní paměť
Nastavení parametrů prostředí - kategorie Protokol událostí
Nastavení parametrů prostředí - kategorie GPS - zvuky
Nastavení parametrů prostředí - kategorie Internet
Šablony projektů
Upravit klávesové zkratky...
Definovat uživatelský panel nástrojů...
Nastavení panelů nástrojů...
Další dokovací okna
Panel Parametry chytání
Panel Parametry tvorby linií
Panel Vlastnosti editace
2. Projekt
Součásti projektu
Nový projekt
Otevření projektu
Vytvoř projekt pro TopoL CE
Otisk aktivního mapového okna
Tisk mapy v měřítku
Tisk mapových listů
Nastavení vlastností projektu
Popis jednotlivých vlastností projektu
Nastavení hodnoty průhlednosti
Připojené soubory
Definice struktury projektu
3. Data
Data podporovaná v TopoLu xT
Okno Data
Informace o vybrané položce dat
Společné vlastnosti dat
Vlastnosti projektu
Vlastnosti složky
Vlastnosti databáze
Vlastnosti tabulky
Vlastnosti rastru
Vlastnosti kladu mapových listů
Vlastnosti gridu
Lokální menu stromu dat
Lokální menu stromu dat - submenu Zobrazit
Lokální menu stromu dat - submenu Vytvořit
Editace struktury tabulky
Definice aplikačních formulářů
Seznam otevřených dat
Nový blok
Otevření bloků
Otevření ShapeFile
Otevření ShapeFile pro editaci
Otevření DGN souborů
Otevření dat MapInfo
Otevření z databáze OpenGIS MDB
Otevření z databáze Geomedia MDB
Otevření VYK souborů
Otevření DWG, DXF souborů
Otevření CAD (DWG, DGN, DXF) souborů pro editaci
Otevření rastrů
Přidání WMS serveru
Vytvoření gridu
Vytvoření kladu mapových listů
Browse DB tabulky
Editace struktury DB tabulky
Export do BLK
Export do Dgn...
Export do Dwg, dxf...
Export do MDB OpenGIS, Geomedia...
Export do Arc/Infa
Výstupní formát souborů pro ARC/INFO
Export Dxf
Export Vtx,Dkm,Vkm
Import z ASCII souboru
Import z Arc/Infa
Import Dxf
Import Vtx,Dkm,Vkm
4. Knihovny značek
Knihovny značek v projektu
Otevření knihovny značek
Prohlížení obsažených značek
5. Knihovny stylů textů
Knihovny stylů textů v projektu
Otevření knihovny stylů textů
Prohlížení obsažených stylů textů
Editace stylů textu
6. Převodníky barev, značek a stylů textů
Převodníky barev
Nový převodník barev
Průvodce vytvořením převodníku barev
Jméno a popis převodníku barev
Editace převodníku barev dle jedinečných hodnot
Nová položka převodníku barev dle jedinečných hodnot
Editace převodníku barev dle rozsahů hodnot
Nová položka převodníku barev dle intervalů
Převodník barev dle TopoLu
Editace Převodníku barev dle TopoLu
Převodníky značek
Nový převodník značek
Jméno a popis převodníku značek
Editace převodníku značek dle jedinečných hodnot
Nová položka převodníku barev dle jedinečných hodnot
Editace převodníku značek dle rozsahů hodnot
Nová položka převodníku barev dle rozsahů hodnot
Prohlížení obsažených značek
Převodník značek dle TopoLu
7. Zobrazování dat
Jak zobrazit data
Mapové okno
Použití kolečka myši v mapovém okně
Vlastnosti mapového okna
Legenda mapového okna
Přehled dat v mapovém okně
Nastavení zobrazení v mapovém okně
Hromadné nastavení základních vlastností zobrazování
Hromadné nastavení vlastností pro zobrazování
Obecné nastavení vrstev pro zobrazení
Hromadné nastavení barvy vektorových objektů
Hromadné nastavení značky vektorových objektů
Hromadné nastavení zobrazování dle výběrů
Hromadné nastavení dalších vlastností bodů
Hromadné nastavení dalších vlastností linií
Hromadné nastavení hranic ploch
Hromadné nastavení popisových bodů ploch
Hromadné nastavení průhlednosti vektorových objektů a rastrů
Hromadné nastavení barvy a gamma korekce rastrů
Hromadné nastavení hranic rastrů
Hromadné nastavení gridů
Hromadné nastavení mapových listů
Hromadné nastavení hranic rastrů
Hromadné nastavení pro zobrazení dat ISKN
Hromadné nastavení pro zobrazení dat ISLH (lesnické mapy)
Lokální menu mapového okna
Dceřinná mapová okna
Synchronizace mapových oken
Informace o objektech v mapovém okně
Aplikační formuláře
Typy formulářů
Formulář s textem
Formulář s rastrem
Formulář s videem
Informační formulář
Formulář pro zpřístupnění připojených dokumentů
Formulář pro zpřístupnění připojených bloků a rastrů
Zvukový doprovod
Soubor popisu aplikačních formulářů
Hlavička popisu aplikačních formulářů
Sekce popisu formuláře
Soubor informačního formuláře (DIN)
Hlavička informačního formuláře
Deklarační část informačního formuláře
Hlavní tělo informačního formuláře
Parametry informačního formuláře
Příklad definice aplikačních formulářů
Soubor popisu aplikačních adresářů (NDI)
Soubor informačního formuláře (DIN)
Rychlé zobrazení DB atributu
Rychlé vyhodnocení výrazu
Měření vzdálenosti
Měření plochy
Vlastnosti pro zobrazování
Obecné nastavení vlastností vrstvy pro zobrazení
Barva vektorových objektů (bodů, linií, ploch a textů)
Značka bodů, linií a ploch
Styl textů
Zobrazování dle výběrů vektorových objektů (bodů, linií, ploch a textů)
Další nastavení bodů
Další nastavení linií
Popis bodů, linií a ploch
Barva popisů vektorových objektů (bodů, linií a ploch)
Styl popisu
Kartodiagramy
Další nastavení ploch - Hranice
Další nastavení ploch - Popisové body
Barva, gamma korekce rastru, filtr pro vyhlazování
Hranice rastru
Náhled rastru
Průhlednost vektorových objektů a rastrů
Mapové listy
Gridy
Pojmenované výřezy
8. Editace
Úvod
Linie
Vstup nové
Nový liniový objekt
Nová okopírováním
Obdélník
Čtverec dvěma vrcholy
Čtverec středem a vrcholem
Mnohoúhelník
Kolmice
Pole linií
Kružnice středem a poloměrem
Kružnice dvěma body
Kružnice třemi body
Oblouk třemi body
Oblouk středem a dvěma body
Paralelní linie
Buffer
Buffery pro zvolené
Hranice map. listů do bloku
Operace s liniemi
Editace staré
Další editační nástroje
Editace staré s potvrzením
Rušení existujících s potvrzením
Změna tabulky linie dle vzoru
Zhlazení linií
Zkrátit – prodloužit linii
Zkrátit – prodloužit dvě linie
Práce s vybranými liniemi...
Editace části
Vyjmutí části
Změna barvy a značky
Změna barvy
Změna značky
Rušení existujících
Změna směru linií
Změna směru vybraných linií
Rozdělení linie
Editace lomového bodu
Spojování linií
Spojování dvou linií
Přenos linií
Přenos linií
Přenos linií n :1
Přenos linií s potvrzením
Přenos obrysů ploch
Změna tabulky linií
Automatická vektorizace rastru
Poloautomatická vektorizace jedné linie
Poloautomatická vektorizace rastru
Linie s volnými konci
Netopologické linie
Problematická místa v liniích
Editace DB záznamu linie
Zápis barev a značek
Body
Vstup nových
Nový bodový objekt
Vyjmutí bodů z linií
Vyjmutí bodů z ploch
Body dle sítě křížků
Texty do bodů
Buffer
Buffery pro zvolené
Operace s body
Editace starých
Další editační nástroje
Rušení existujících s potvrzením
Změna tabulky bodu dle vzoru
Práce s vybranými body...
Změna barvy a značky
Změna barvy
Změna značky
Výběr bodů v okolí linií
Smazání bodů v okolí linií
Rušení existujících
Editace úhlu
Změna tabulky bodů
Přenos bodů
Přenos bodů
Přenos bodů n:1
Přenos bodů s potvrzením
Import bodů z DB tabulky
Editace DB záznamu bodu
Zápis barev a značek
Plochy
Vytvoření nové
Nový plošný objekt
Vytvoření nových v obdélníku
Zaplochovat dle tabulky bodů
Buffer
Buffery pro zvolené
Plochy dle mapových listů
Čtvercová síť
Vytvoření oblastí z bodů
Operace s plochami
Další editační nástroje
Rušení existujících s potvrzením
Změna tabulky ploch dle vzoru
Práce s vybranými plochami
Přepočtení popisových bodů ploch
Změna barvy a značky
Změna barvy
Změna značky
Kopírování ploch do bloku
Rušení existujících
Rozdělení plochy
Agregace ploch
Agregace ploch vybráním ploch
Agregace ploch vybráním linie
Agregace ploch v tabulce
Změna tabulky ploch
Překryv ploch
Problematická místa v plochách
Editace DB záznamu plochy
Zápis barev a značek
Logické operace
Texty
Vstup nových
Editace starých
Přesunutí textů
Změna graf. param. textu
Kopírování textu
Rušení existujících
Rušení existujících s potvrzením
Změna tabulky textů
Popisy do textů
Přepis znění textu
Přenos textů
Přenos textů n : 1
Změna směru textů
Posun textů
Zápis barev
TopoGeo
Délka a směrník
Nový bod
Polární metoda
Ortogonální metoda
Protínání z délek
Protínání z úhlů
Polární vytyčovací prvky
Ortogonální vytyčovací prvky
Oměrky
Zobraz protokol
Rušení objektů
Rušení v obdélníku s potvrzením
Rušení v obdélníku
Rušení vybraných
Rušení objektů pod plochami
Rušení tabulek
Editace DB záznamu
Přepis položky
Přenos atributů
Aktualizace databázových tabulek
Spojování bloků
Úprava dat
Kopírování bloku
Transformace bloku
Další editační nástroje
Uložení Z-ové souřadnice do DB
Načtení Z-ové souřadnice z DB
Změna Z-ové souřadnice
Načtení Z-ové souřadnice z DMT
Obdélníková síť bodů/linií s otočením
Změna barvy u vybraných
Změna značky u vybraných
Změna barvy a značky u vybraných
Zápis barev značek
Vytvoření nové tabulky
Nastavení
Barva a značka bodu
Barva a značka linie
Barva a značka plochy
Parametry chytání
Parametry tvorby linií
Vlastnosti editace
Lupa
Vyčistit interní paměť
Undo
Undo poslední krok
9. Operace s rastrovými daty
Dialog pro výběr rastru
Informace o rastru
Ulož rastr jako
Otevření více rastrů
Geometrické operace
Transformace rastru
Transformace do jiného souřadného systému
Transformace rastru po částech
Transformace celého rastru po částech
Umístění rastru
Roh a šířka rastrového souboru
Bod a vzdálenost
Otočení rastru
Výřez rastru
Zrcadlení horizontální
Zrcadlení vertikální
Maskování rastru
Maskování rastru dle ploch
Mozaika
Parametry rastru
Typ rastrového souboru
Mozaika do mapových listů
Zadání obdélníka
Parametry rastru při hromadném mozaikování rastrů
Mozaika rastrů podle ploch
Řez rastru dle ML
Zpracování obrazu
Operace s transferem
Aritmetické operace
Logické operace s rastry
Morfologie
Příprava rastru pro vektorizaci
Vyrovnání barev rastrů
Vyrovnání barev všech rastrů
Vyrovnání barev 2 rastrů podél linie
Definice linií pro vyrovnání barev 2 rastrů
Provedení vyrovnání barev 2 rastrů podle linií
Přizpůsobení barev rastrů dle vzoru
Přizpůsobení barev rastrů v mapovém okně
Odstín, nasycení a jas rastru
Změna barev rastru podle vzoru
Vyrovnání histogramu rastru
Jas a kontrast rastru
Změna barev rastru
Gamma korekce rastru
Gradientní korekce rastru
Ostření rastru
Spektrální analýza
Barevná syntéza
DMT
Tvorba z bodů
Import grid XYZ
Export DMT rastru do ASCII
Mozaika
Zobraz 3D
Nastavení 2D zobrazení
Pomocné operace
Export
Export do formátu TIFF
Export do formátu Tiff s kompresí JPEG
Export do formátu Geotiff
Export do formátu Tiff s alfa kanálem
Export do formátu BMP
Export do formátu GIF
Export do formátu JPG
Export do formátu CIT
Export do formátu COT
Export do formátu RGB
Export do formátu RLE
Export do formátu ECW
Export do formátu PCX
Export do formátu JPEG2000
Export rastru se změnou barvy průhledné části
Import
Import z formátu TIFF
Import z formátu BMP
Import z formátu GIF
Import z formátu JPG
Import z formátu SID
Import z formátu CIT
Import z formátu COT
Import z formátu RGB
Import z formátu RLE
Import z formátu PCX
Import z formátu ECW
Import z formátu HRF
Import z formátu IMG
Import z formátu JPEG2000
Transformace rastru umístěných transformační maticí
Výběr pro import TrueColor rastru.
Parametry konverze z TrueColor rastru
Rozklad TrueColor rastru na složky
Parametry pro import indexovaného barevného rastru
Import IMG rastru
Editace palety
Odečítání jmen rastrů
Odečítání úrovní
Výběr barvy pro zprůhlednění
Převzorkování rastru
Převzorkování rastru dle vzoru
Konverze rastru
Ras pro TopoL DOS
Zrušení rastrů
Generalizace
Tvorba pyramidy pro TIFF
Komprimace
Dekomprimace
Mapové okno do rastru
Mapové okno do rastrů - mapových listů
Import DMT rastru z ASCII
Rastrový editor maker
Příkazy Rastr
Inspektor
Ovládání editoru maker
Seznam rastrových příkazů editoru maker s popisem parametrů
Rastrový manager
10. Analýza
Hledat
Výběry
Výběry textů
Topologické výběry ploch
Topologické výběry linií
Připojení a modely
Dotazy
Nové připojení
Nový model
Geometrické relace
Plošná kalkulace
Plošná kalkulace se všemi objekty
Plošná kalkulace s body
Plošná kalkulace s liniemi
Plošná kalkulace s vybranými plochami
11. Databázová okna pro práci s tabulkami
Databázové okno pro práci s tabulkou - základní stav
Editace záznamů tabulky pomocí dialogu.
Databázové okno pro práci s tabulkou - lokální menu pro práci se sloupcem tabulky
Práce s odkazy na dokumenty
Odkazy na dokumenty
Náhled na obrázek zadaný odkazem
Připojený dokument
Náhled na obrázek uložený v položce BLOB - vkládání binárních obrazových dat
Sumarizace sloupce
Obsah sloupce
Najít ve sloupci
Graf dle sloupce
Přepis sloupce
Filtrovat podle vybrané hodnoty, Filtrovat - doplnek vybrané hodnoty
Filtr dle sloupce
Hledání duplicit ve sloupci
Databázové okno pro práci s tabulkou - lokální menu
Nastav sloupce
Porovnat sloupce
Třídit
Výběr dle filtru
Editace relačních vztahů pro jeden atribut v rámci filtru
Tisk
Nastavení grafických parametrů složek tiskové sestavy
Nastavení obsahu hlavičky stránek tiskové sestavy
Nastavení obsahu hlavičky skupin tiskové sestavy
Nastavení obsahu zápatí skupin (Součet) tiskové sestavy
Nastavení obsahu zápatí stránek tiskové sestavy
Agregace záznamu - SQL dotazy
Zjednodušená syntaxe SQL dotazů
Agregace GROUP BY
SQL dotazy v DB modelu
Editor SQL dotazů
Křížový dotaz
Syntaxe SHAPE dotazů
Agregace pomocí SHAPE
SHAPE dotazy v DB modelu
Editor SHAPE dotazů
Agregace položek
Exportovat
Hledání duplicit
Databázové okno pro práci s navázanou tabulkou - model
Sestava master - detail
Sestava spojení tabulek
Databázové okno pro práci s externí tabulkou - lokální menu pro práci se sloupcem tabulky
Vytvořit náhledy obrázků
12. Dialogy pro práci s mapovými listy
Výběr kladu map. listů
Měřítko kladu S_JTSK
Měřítko kladu základní mapa ČR a SR
Měřítko kladu Gauss-Krüger
Výběr mapy S-JTSK názvem
Výběr mapy kladu lesnických map LHP 1: 10 000 názvem
Výběr mapy kladu lesnických map OPRL 1: 25 000 názvem
Výběr katastrální mapy mapy v měřítku 1: 2880 názvem.
Výběr katastrální mapy mapy v měřítku 1: 2500 názvem.
Výběr základní mapy ČR A SR názvem.
Výběr mapy Gauss-Krüger názvem.
Informace o mapovém listu
Výběr mapy kurzorem
13. Slovník pojmů
A
B
C
Č
D
E
F
G
H
I
J
K
L
M
N
O
P
R
S
Š
T
U
V
W
14. ToPas
Definice a použití jazyka ToPas
Symboly jazyka ToPas
Typy jazyka ToPas
Definice výrazů
Operandy
Konstantní hodnoty
Celá čísla
Reálná čísla
Řetězce
Logické hodnoty
Datum
Odkazy na databázové tabulky
Syntaxe pro odkazy na databázové tabulky
Rozšířená syntaxe pro odkazy na databázové tabulky
Odkazy na interní atributy grafických objektů
Syntaxe pro odkazy na interní atributy grafických objektů
Rozšířená syntaxe pro odkazy na interní atributy grafických objektů
Základní identifikace objektu
Základní vlastnosti objektu
Zobrazovací atributy a zobrazování objektu
Geometrický obrys objektu
Geometrický tvar objektu
Prostorové vztahy mezi objekty
Základní geometrické vlastnosti bodu
Doplňkové vlastnosti bodu
Základní geometrické vlastnosti linie
Doplňkové vlastnosti linie
Základní geometrické vlastnosti plochy
Doplňkové geometrické vlastnosti plochy
Základní geometrické vlastnosti textu
Doplňkové vlastnosti textu
Interní funkce
Matematické funkce
Funkce pro práci s řetězci
Funkce pro práci s datem
Funkce pro spouštění jiných aplikací
Volání makra
Funkce pro manipulaci s barvami
Funkce pro manipulaci s inicializačními soubory
Různé funkce
Statistické funkce
Funkce pro výběr ze seznamů
Funkce pro řazení seznamů
Další funkce pro manipulaci se seznamy
Výrazy uzavřené v závorkách
Odkaz na konstantu
Odkaz na proměnnou
Operátory
Aritmetické operátory
Logické operátory
Relační operátory
Řetězcové operátory
Odkaz na dynamické textové atributy
Datumové operátory
Operátor přetypování
Přetypování operandu na numerické hodnoty
Přetypování na řetězec
Přetypování na logické hodnoty
Přetypování numerické hodnoty na datum
Priorita operací
Výrazy reprezentující seznam hodnot
Vyčíslování výrazů vyjadřujících seznam hodnot
Použití výrazů reprezentujících seznam hodnot
Matematické kvantifikátory
Deklarační bloky
Deklarace konstant
Deklarace proměnných
Deklarace symbolických jmen databází
Deklarace symbolických jmen databází grafických objektů
Deklarace parametrů programu
Příkazy
Přiřazovací příkaz
Procedury pro výstup
Procedury pro vstup
Složený příkaz
Rozhodovací příkaz
Příkazy cyklu
Makra
Hlavička makra
Deklarační část makra
Hlavní tělo makra
Formát barev a značek
Formát čísla barvy pro vektorová data
Formát čísla značky pro vektorová data
Formát čísla stylu pro textové objekty
Editor výrazů
Dialog pro volbu výrazu
Editor výrazu


Kapitola 1. Uživatelské prostředí TopoLu xT

Obsah

Základní rozdělení
Menu
Menu Projekt
Menu Data
Menu Nástroje
Menu Zobrazení
Menu Editace
Linie
Body
Plochy
Texty
Menu Rastr
Geometrické operace
Geometrické operace - příkazy
Zpracování obrazu
Zpracování obrazu - příkazy
Spektrální analýza
Spektrální analýza - příkazy
DMT
DMT - příkazy
Pomocné operace
Pomocné operace - příkazy
Export
Import
Rastry a adresáře
Rastrový editor maker
Rastrový manager
Menu Analýza
Menu Databázové okno
Menu Mapové okno
Menu Okno
Dokovací okna
Menu Nápověda
Panely nástrojů
Panel nástrojů Analýza
Panel nástrojů Data
Panel nástrojů Databázové okno
Panel nástrojů Editace
Panel nástrojů Mapové okno
Panel nástrojů Nástroje
Panel nástrojů Okno
Panel nástrojů Posun okna
Panel nástrojů Projekt
Panel nástrojů Značky
Panel nástrojů Zobrazení
Stavový řádek
Nastavení parametrů prostředí
Nastavení parametrů prostředí - kategorie Obecné
Nastavení parametrů prostředí - kategorie Prostředí
Nastavení parametrů prostředí - kategorie Otevření/zavření dat
Nastavení parametrů prostředí - kategorie Překreslování
Nastavení parametrů prostředí - 3D
Nastavení parametrů prostředí - kategorie Automatické ukládání
Nastavení parametrů prostředí - kategorie Editace
Nastavení parametrů prostředí - kategorie Editace - lupa
Nastavení parametrů prostředí - kategorie Editace - barvy
Nastavení parametrů prostředí - kategorie Editace - zvuky
Nastavení parametrů prostředí - kategorie Editace - kurzor
Nastavení parametrů prostředí - kategorie Editace - křivky
Nastavení parametrů prostředí - kategorie Práce s rastry
Nastavení parametrů prostředí - kategorie Umístění souborů
Nastavení parametrů prostředí - kategorie Substituce adresářů
Nastavení parametrů prostředí - kategorie Zoom kolečkem
Nastavení parametrů prostředí - kategorie Interní paměť
Nastavení parametrů prostředí - kategorie Protokol událostí
Nastavení parametrů prostředí - kategorie GPS - zvuky
Nastavení parametrů prostředí - kategorie Internet
Šablony projektů
Upravit klávesové zkratky...
Definovat uživatelský panel nástrojů...
Nastavení panelů nástrojů...
Další dokovací okna
Panel Parametry chytání
Panel Parametry tvorby linií
Panel Vlastnosti editace


Základní rozdělení

Uživatelské prostředí TopoLu xT

Uživatelské prostředí TopoLu se skládá z následujících základních částí, které jsou popsány v dalších kapitolách.

1 | základní menu programu
2 | okno se "stromem dat"
3 | stavový řádek
4 | panely nástrojů
5 | mapové okno
6 | legenda mapového okna
7 | přehled dat v mapovém okně
8 | databázové okno


Menu

Popis položek menu v pořadí v jakém jsou umístěny v programu. Klávesové zkratky a obrázky jsou uvedeny ze standardní verze TopoLu xT - tzn. bez modifikace uživatelem.

Projekt
Data
Nástroje
Zobrazení
Editace
Rastr
Analýza
Databázové okno
Mapové okno
Okno
Nápověda


Menu Projekt

Nový...

Ctrl+N

Na základě výběru šablony založí nový projekt, právě otevřený projekt bude uzavřen.

Otevřít...

Ctrl+O

Otevře existující projekt. Právě otevřený projekt bude uzavřen.

Poslední otevřené projekty

Obsahuje seznam posledních otevřených projektů. Po kliknutí na položku v tomto seznamu bude otevřen příslušný projekt. Právě otevřený projekt bude uzavřen.

Uložit

Uloží právě otevřený projekt na disk. Pokud je projekt ukládán poprvé, je uživatel vyzván k zadání umístění projektu.

Uložit jako...

Uloží právě otevřený projekt na disk pod novým jménem.

Uložit vše

Uloží právě otevřený projekt na disk a zároveň uloží všechna změněná data.

Vytvoř projekt pro TIS...

Vytvoří podle aktuálního nastavení dat a projektu TopoLu projekt pro TopoL Internet Server pod zadaným jménem.

Vytvoř projekt pro TopoL CE...

Vytvoří podle aktuálního nastavení dat a projektu TopoLu projekt pro TopoL CE pod zadaným jménem. Funkce umožní exportovat projekt programu TopoLu xT tak, aby projekt pro TopoL CE obsahoval v zadaném souřadném systému data zvoleného výřezu se stejnou barevnou reprezentací. Lze též vyexportovat do zvoleného souřadného systému rastrová data a rozřezat je na dlaždice.

Otisk aktivního mapového okna...

Vytiskne aktivní mapové okna na tiskárnu v podobě, v jaké je toto okno právě zobrazováno.

Tisk mapy v měřítku...

Ctrl+P

Spustí Průvodce tiskem map, který umožňuje tisk mapových kompozic.

Tisk mapových listů...

Spustí dialog pomocí kterého lze tisknou mapové kompozice dle mapových listů.

Vlastnosti projektu...

Otevře dialog, kde je možné nastavit vlastnosti projektu.

Definice struktury projektu...

Otevře dialog, kde je možné upravit Definici struktury projektu. Dříve značky DBF. Lze vytvořit hierarchii databází a tabulek s definicí implicitních barev, značek, strukturou databázových položek a názvů. Lze také využít možnosti importu ze souboru ZNACKY.DBF a knihovny stylů textů.

Definice formulářů pro TopoL CE...

Vytvoří návrh vizuální podoby dialogů pro TopoL CE. Je možno pro jednotlivé databázové předpisy TopoLu CE definovat vzhled formuláře v TopoLu CE.

Připojené soubory

Submenu, které obsahuje seznam připojených souborů a příkaz pro jejich správu. Kliknutím na položku s připojeným souborem se tento soubor otevře (pokud je to možné),

Upravit seznam připojených souborů...

Otevře dialog, kde lze upravit seznam souborů připojených k právě otevřenému projektu.

Konec

Ukončí TopoL xT.


Menu Data

Zobrazit strom dat

F9

Zobrazí okno ze stromem dat.

Seznam otevřených dat...

Otevře okno s lineárním seznamem všech právě otevřených dat. V tomto okně lze data nastavovat pro editaci, vyřazovat z projektu, zobrazovat, atd...

Zobrazit v aktivním mapovém okně

Zobrazí data vybraná ve stromě dat v aktivním mapovém okně.

Zobrazit ve všech mapových oknech

Zobrazí data vybraná ve stromě dat ve všech mapových oknech.

Zobrazit v novém mapovém okně.

Zobrazí data vybraná ve stromě dat v novém mapovém okně.

Nový blok...

Ctrl+F3

Dle zadaného adresáře vytvoří nový blok.

Zruš blok...

Blok (vybraný standardním dialogem), který nesmí být zařazen v okně dat, se celý smaže.

Otevření bloků...

Shift+F3

Otevře TopoLovské bloky a přidá je do stromu dat.

Otevření dalších typů vektorových dat
Otevření ShapeFile...

Alt+F3

Otevře ShapeFile a přidá jej do stromu dat.

Poznámka

Od verze 8.x : Při otvírání dat je možno zvolit jakou tabulku (např. jednotlivý SHP soubor) chceme otevřít.

Otevřít ShapeFile pro editaci...

Otevře ShapeFile pro editaci (vybuduje v tomto ShapeFile topologii) a přidá jej do stromu dat.

Otevření DGN souborů...

Otevře DGN soubory a přidá je do stromu dat.

Otevření dat MapInfo...

Otevře data ve formátu MapInfo a přidá je do stromu dat.

Poznámka

Od verze 8.x : Při otvírání dat je možno zvolit jakou tabulku chceme otevřít.

Otevření dat z databáze OpenGIS MDB...

Otevře data z databáze MDB dle specifikace OpenGIS a přidá je do stromu dat.

Poznámka

Od verze 8.x : Při otvírání dat je možno zvolit jakou tabulku (např. jednotlivý SHP soubor) chceme otevřít.

Otevření dat z databáze Geomedia MDB...

Otevře data Geomédia z databáze MDB a přidá je do stromu dat.

Poznámka

Od verze 8.x : Při otvírání dat je možno zvolit jakou tabulku (např. jednotlivý SHP soubor) chceme otevřít.

Otevření VYK souborů...

Otevře data ve formátu VYK a přidá je do stromu dat.

Otevření DWG, DXF souborů...

Otevře data ve formátu DWG, resp. DXF a přidá je do stromu dat.

Otevření CAD (DWG, DGN, DXF) souborů pro editaci...

Otevře data ve formátu DGN, DWG, resp. DXF pro editaci a přidá je do stromu dat.

Otevření WFS souborů...

Otevře data ve formátu WFS a přidá je do stromu dat. Web Feature Service (WFS) jsou základními službami pro práci s mapami na Internetu. V případě služby WMS generuje server rastrové obrázky, v případě služby WFS pak přímo vektorové objekty ve formátu GML. Podpora WMS je v TopoLu xT implementována již od verze 7.0.

Otevření dat z adresáře...

Otevře všechna data, která jsou uložena ve zvoleném adresáři a přidá je do stromu dat.

Otevření dat dle TOPOL.INI...

Otevře všechna data, která jsou poznamenána ve zvoleném souboru TOPOL.INI a přidá je do stromu dat.

Otevření bloků dle TOPOL.INI...

Otevře všechny bloky, která jsou poznamenány ve zvoleném souboru TOPOL.INI a přidá je do stromu dat.

Otevření rastrů dle TOPOL.INI...

Otevře všechny rastry, která jsou poznamenány ve zvoleném souboru TOPOL.INI a přidá je do stromu dat.

Zkontroluj adresář s ArcView ShapeFily...

Zkontroluje vybraný adresář s daty ArcView ShapeFile. Data ShapeFile jsou uložena jako adresář se soubory .shp. Ve jménu SHP souborů nejsou povoleny některé znaky jako !@#$%^&+-= a hlavně mezera. Pokud si chceme zkontrolovat názvy jednotlivých souborů, musíme použít funkci Data – Otevření dalších typů vektorových dat – Zkontroluj adresár s ArcView ShapeFily. Správný ShapeFile se skládá ze 3 souborů s koncovkami shp, shx a dbf. Pokud jeden z těchto souborů chybí nebo je poškozený, tak nedojde k otevření dat. Někdy se stává, že jsou v dbf souboru, některé velmi problematické typy, které Visual FoxPro Driver nezvládá, a pak také nedojde k otevření ShapeFilu, potom pomůže volba dBase driveru pro DBF sobory v příkazu Nástroje – Možnosti. Ten má ale většinou zase jiné nectnosti.

Otevření rastrů...

F4

Otevře rastry a přidá je do stromu dat.

Přidání WMS serveru...

Pomocí průvodce se připojí data z internetového WMS serveru a přidá je do stromu dat.

Pohledy
Definice pohledů...

Otevře dialog v kterém lze definovat pohled na data z databáze.

Znovu načíst pohled...

Otevře dialog ve kterém lze zvolit některý z vytvořených pohledů který má být znovu načten.

Nový grid...

Ctrl+G

Vytvoří nový grid a přidá jej do stromu dat.

Nový klad mapových listů...

Ctrl+M

Vytvoří nový klad mapových listů a přidá jej do stromu dat.

Nová složka

Shift+Ctrl+F

Vytvoří ve stromu dat na aktuální pozici novou složku.

Práce s externími DB tabulkami

Umožní pracovat a databázovými tabulkami z externích databází.

Browse DB tabulky...

Umožní otevřít databázovou tabulku z externí databáze.

Editace struktury DB tabulky ...

Umožní změnit strukturu databázové tabulky z externí databáze.

Uložit editovaná data

Ctrl+S

Uloží data právě nastavená pro editaci.

Uložit kopii editovaných dat...

Na zvoleném místě na disku vytvoří kopii dat právě nastavených pro editaci.

Uložit změněná data

Uloží všechna změněná vektorová data.

Uložit změněná data s výběrem...

Otevře dialog ze seznamem změněných vektorových dat a umožní jejich uložení.

Nastavit pro editaci

F3

Data vybraná ve stromě dat nastaví pro editaci.

Export

Export dat do formátů BLK, SHP, DGN, DXF, VTX, DWG, MDB a dalších formátů

Poznámka

V rámci nadstavby Katastr je možná tvorba geometrického plánu a export dat do VFK

Export do SHP...

Data vybraná ve stromě dat vyexportuje do formátu SHP. Příkaz nemá žádné možnosti nastavení.

Export do BLK...

Data vybraná ve stromě dat vyexportuje do formátu BLK.

Export do DGN...

Data vybraná ve stromě dat vyexportuje do formátu DGN.

Export do DWG, DXF...

Data vybraná ve stromě dat vyexportuje do formátu DWG, resp. DXF podle vybraného formátu v dialogu, kde je možno zadat, zda se bude pracovat pouze z vybranými objekty (_Select = 1), popř. se zadá souřadný systém , do kterého se převedou exportovaná data.

Export do MDB OpenGIS ...

Data vybraná ve stromě dat vyexportuje do formátu MDB OpenGIS. Je možno zadat, zda se bude pracovat pouze z vybranými objekty (_Select = 1), popř. se zadá souřadný systém , do kterého se převedou exportovaná data.

Export do MDB Geomedia ...

Data vybraná ve stromě dat vyexportuje do formátu MDB Geomedia. Je možno zadat, zda se bude pracovat pouze z vybranými objekty (_Select = 1), popř. se zadá souřadný systém , do kterého se převedou exportovaná data.

Export do Arc/Infa...

Data vybraná ve stromě dat vyexportuje do formátu DGN.

Export do DXF...

Export dat do formátu DXF.

Export do VTX, DKM, VKM ...

Export dat do formátů VTX, DKM, VKM.

Export do "Polish" formátu (*.mp) ...

Export do výměnného formátu pro linie, body i plochy určený pro Garmin, který používají i GPS Magellan.

Export do Google Earth (*.kml) ...

Funkce pro export dat do formátu Google Earth KML 2.0 umožní nahrát si do prohlížeče Google Earth vlastní data z TopoLu.

Ukázka Google Earth

Export do GPS Exchange Format (*.gpx) ...

Export do GPS exchange formátu umožní exportovat data do obecného výměnného formátu pro linie i body.

Import

Import dat z formátů DXF, VTX

Import z ASCII souboru...

Otevře dialog, ve kterém lze importovat body z textového souboru.

Import z Arc/Infa...

Otevře dialog pomocí kterého lze naimportovat data ve formátu Arc/Info.

Import z DXF...

Import dat z formátu DXF.

Import z VTX, DKM, VKM ...

Import dat z formátů VTX, DKM, VKM.

Import z ISKN (formát VFK)...

Import dat z formátu VFK.

Ve verzi 8.x došlo ke značnému urychlení a rozšíření možností této funkce.

  • načítání více VFK do jedné databáze

  • načítání změnových souborů

  • mazání dat zvoleného VFK

Ve verzi 9.5 byl import z formátu VFK doplněn o vytvoření grafických dat pro bloky ZVB (zobrazení věcných břemen), POM (prvky orientační mapy), SPOL (souřadnice polohy bodů polohopisu – měřené) a OBDEBO (obrazy definičních bodů). Import nově umožňuje data přímo načítat do dvou databází – odděleně alfanumeriku a grafiku.

Import dat ISLH (formát XML)...

Import dat ve výměnném formátu Informačního standardu lesního hospodářství (ISLH) dovoluje načíst data LHP/LHO ze souborů XML do databáze ve formátu OpenGIS MDB. Import poskytuje širokou škálu možností pro nastavení celého převodu

Ve verzi 9.5 byl import dat ISLH z formátu XML aktualizován dle změn ve standardu platném pro rok 2010. Nová verze umí načítat grafická data v původním i novém tvaru, která jsou rozlišována podle hlavičky načítaného XML dokumentu.

Import "Polish" formátu (*.mp)...

MP (polish formát) je výměný formát pro linie, body i plochy určený pro Garmin, který používají i GPS Magellan.

Zavření datového zdroje

Zavře všechna data vybraná ve stromě dat.

Přejmenovat

F2

Umožní přejmenovat data vybrané ve stromě dat. Přejmenování nemá vliv na jméno zdrojového souboru (adresáře) - jde jen o popis dat.

Vlastnosti

Alt+Enter

Zobrazí dialog s výpisem vlastností dat vybraných ve stromě dat.


Menu Nástroje

Převodníky barev...

Otevře dialog pro správu převodníků barev v projektu.

Převodníky značek...

Otevře dialog ze pro správu převodníků značek v projektu.

Převodníky stylů textů...

Otevře dialog pro správu převodníků stylů textů v projektu.

Kartodiagramy...

Otevře dialog pro vytváření a správu kartodiagramů v projektu.

Knihovny značek...

Otevře dialog ze pro správu knihoven značek v projektu

Knihovny stylů textů...

Otevře dialog pro správu knihoven stylů textů v projektu.

Editace stylů textů...

Otevře editor stylů textů.

Šablony...

Otevře dialog pro správu šablon projektů pro TopoL xT.

Definice souřadných systémů...

Otevře dialog, kde lze definovat uživatelské souřadné systémy.

Možnosti...

Otevře dialog pro nastavení parametrů prostředí TopoLu xT.

Připojení k internetu...

Příkaz umožňuje nadefinovat potřebné informace pro zobrazování WMS serverů pro koncové uživatele, které jsou připojeny přes proxy server, popř. mají zabezpečené připojení.

Zprávy programu...

Otevře dialog ze zprávami TopoLu xT (viz. Hlášky do okna).

Prohlížeč událostí...

Otevře dialog pro prohlížení protokolu událostí TopoLu xT.

Upravit klávesové zkratky...

Otevře dialog ve kterém lze uživatelsky nastavit klávesové zkratky pro jednotlivé příkazy v menu.

Definovat uživatelský panel nástrojů...

Otevře dialog pro nastavení uživatelského panelu nástrojů.

Nastavení panelů nástrojů...

Otevře dialog pro nastavení panelů nástrojů.

Panely nástrojů

Tato položka menu obsahuje seznam dostupných panelů nástrojů. V seznamu je možné volit jejich viditelnost.

Externí zařízení

Skupina příkazů, které umožňují připojení a nastavení externích nástrojů a práci s GPS systémy.


Menu Zobrazení

Zobrazení
Překreslit

Alt+O

Provede překreslení aktivního mapového okna.

Překreslit včetně WMS serverů

Provede překreslení aktivního mapového okna včetně všech zařazených WMS serverů. Příkaz má význam pokud při zařazování WMS serveru bylo řečeno, že se nemá zobrazovat implicitně.

Zoom +

F5

Zmenšení výřezu aktivního mapového okna dle graficky zadaného rozměru. Rozměr se zadává výběrovým obdélníkem s pevně daným poměrem stran.

Zoom -

Shift + F5

Zvětšení výřezu aktivního mapového okna dle graficky zadaného rozměru. Rozměr se zadává výběrovým obdélníkem s pevně daným poměrem stran.

Přesun za kurzorem

F7

Příkaz posune střed kresby v aktivním mapovém okně, tak, aby místo, kde se nachází kurzor, bylo uprostřed aktivního mapového okno.

Posun

Shift+F7

Příkaz umožní posouvat výřez v mapovém okně pomocí uchopení a posunu realizovaném myší.

Předchozí výřez

F8

Změní výřez v aktivním mapovém okně na předchozí použitý (včetně souřadného systému).

Následující výřez

Shift+F8

Změní výřez v aktivním mapovém okně na následující (na ten, který byl nastaven jako poslední před použitím příkazu Předchozí výřez).

Zobrazit vše

Ctrl+F5

Změní výřez v aktivním mapovém okně tak, aby všechna data v něm zařazená pro zobrazování byla viditelná.

Výřez dle výběru...

Umožní nastavit výřez v aktivním mapovém okně dle výběru zobrazených objektů.

Výřez číselně...

Pomocí dialogu Poloha a rozměr obdélníku lze nastavit nový výřez v aktivním mapovém okně zadání souřadnic a rozměru.

Nastavení měřítka...

Pomocí dialogu Nastavení měřítka umožní přesně nastavit měřítko zobrazení aktivního mapového okna.

Výřez dle vybraných v legendě

Nastaví výřez v aktivním mapovém okně tak, aby byla zobrazována všechna data vybraná v legendě.

Souřadný systém...

Umožní pomocí dialogu Výběr souřadného systému nastavit souřadný systém aktivního mapového okna.

Aktuální výřez do seznamu výřezů...

Přidá právě nastavený výřez v aktivním mapovém okně mezi pojmenované výřezy.

Správa pojmenovaných výřezů...

Otevře dialog Výřezy, kde lze přidávat, mazat a nastavovat pojmenované výřezy.

Pojmenované výřezy

Obsahuje seznam pojmenovaných výřezů definovaných v projektu. Výběrem výřezu se provede jeho nastavení v aktivním mapovém okně.

Výběr mapy jménem

Příkaz zobrazí mapový list zadaného jména včetně jeho mapového rámu. Popř. změní výřez tak, aby se mapový list nacházel v okně a byl roztáhnut na celou šířku tohoto okna. (Viz. kapitola Dialogy pro práci s mapovými listy)

Výběr mapy kurzorem

Příkaz specifikuje mapový list vybraného kladu, jehož polohu zadáme kurzorem. (Viz. kapitola Dialogy pro práci s mapovými listy

Nastavení zobrazování

Alt+Z

Pomocí dialogu Zobrazení umožní nastavení zobrazení dat v aktivním mapovém okně.

Viditelnost bodů

Implicitní viditelnost bodů

Viditelnost bodů v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné body

Všechny body v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny body

Všechny body v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost bodů jako implicitní

Aktuální viditelnost bodů bude uložena jako implicitní.

Viditelnost textů

Implicitní viditelnost textů

Viditelnost textů v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné texty

Všechny texty v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny texty

Všechny texty v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost textů jako implicitní

Aktuální viditelnost textů bude uložena jako implicitní.

Viditelnost linií

Implicitní viditelnost linií

Viditelnost linií v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné linie

Všechny linie v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny linie

Všechny linie v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost linií jako implicitní

Aktuální viditelnost linií bude uložena jako implicitní.

Viditelnost ploch

Implicitní viditelnost ploch

Viditelnost ploch v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné plochy

Všechny plochy v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny plochy

Všechny plochy v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost ploch jako implicitní

Aktuální viditelnost ploch bude uložena jako implicitní.

Viditelnost binárních rastrů

Implicitní viditelnost binárních rastrů

Viditelnost binárních rastrů v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné binární rastry

Všechny binární rastry v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny binární rastry

Všechny binární rastry v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost binárních rastrů jako implicitní

Aktuální viditelnost binárních rastrů bude uložena jako implicitní.

Viditelnost barevných rastrů

Implicitní viditelnost barevných rastrů

Viditelnost barevných rastrů v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné barevné rastry

Všechny barevné rastry v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny barevné rastry

Všechny barevné rastry v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost barevných rastrů jako implicitní

Aktuální viditelnost barevných rastrů bude uložena jako implicitní.

Viditelnost gridů

Implicitní viditelnost gridů

Viditelnost gridů v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné gridy

Všechny gridy v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny gridy

Všechny gridy v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost gridů jako implicitní

Aktuální viditelnost gridů bude uložena jako implicitní.

Viditelnost mapových listů

Implicitní viditelnost mapových listů

Viditelnost mapových listů v aktivním mapovém okně bude změněna dle implicitního nastavení.

Nezobrazovat žádné mapové listy

Všechny mapové listy v aktivním mapovém okně přestanou být zobrazovány.

Zobrazovat všechny mapové listy

Všechny mapové listy v aktivním mapovém okně budou zobrazovány.

Uložit aktuální viditelnost mapových listů jako implicitní

Aktuální viditelnost mapových listů bude uložena jako implicitní.

Zobrazení dat ISKN

Zařazení značek, stylů a převodníků značek ISKN do projektu

Vytvoří a zařadí knihovny značek, stylů a převodníků značek ISKN do projektu.

Zobrazení katastrální mapy

Zobrazí data ISKN v podobě vybrané katastrální mapy.

Zobrazení dat ISLH

Zařazení značek a stylů ISLH do projektu

Vytvoří a zařadí knihovny značek a stylů ISLH do projektu.

Zobrazení lesnické mapy

Zobrazí data ISLH v podobě vybrané lesnické mapy.

Zobrazení dle definice projektu

Zobrazování všech vrstev v aktivním mapovém okně bude nastaveno dle definice struktury projektu.

Zobrazení dle implicitního nastavení projektu

Všechny vrstvy v mapovém okně budou zobrazeny dle implicitního nastavení projektu (tak, jako by byly zobrazeny při prvním zařazení do mapového okna).


Menu Editace

V TopoLu xT je možno přímo zobrazit vektorová data v několika datových formátech (TopoL blok, ArcView ShapeFile, Microstation dgn, Geomedia MDB, MISYS/Kokeš VYK atd.). Přímo editovat lze však pouze TopoL blok a ArcView ShapeFile.

Pokud máme data otevřena pro editaci (jsou ve stromečku dat vysvícena modře) můžeme začít s editací. Veškerá data se drží v paměti počítače. Po většině příkazů je možno se vrátit a provést zvolený počet kroků zpět.

Linie

Skupina příkazů pro práci (vytváření, modifikace grafické podoby, editace DB záznamů) s liniovými objekty.

Body

Skupina příkazů pro práci (vytváření, modifikace, editace DB záznamů) s bodovými objekty.

Plochy

Skupina příkazů pro práci (vytváření, modifikace grafické podoby, editace DB záznamů) s plošnými objekty.

Texty

Skupina příkazů pro práci (vytváření, modifikace grafické podoby, editace obsahu) s textovými objekty.

TopoGeo

Skupina příkazů řešící geodetické úlohy.

Délka a směrník

Funkce počítá délku, směrník a souřadnicové rozdíly mezi dvěma zadanými body.

Nový bod

Příkaz pro zadání souřadnic nového bodu.

Polární metoda

Příkaz pro vkládání nových bodů pomocí délky a úhlu.

Ortogonální metoda

Příkaz pro vkládání nových bodů pomocí staničení a kolmice, které se počítají od zvolené měřické přímky.

Protínání z délek

Příkaz pro vkládání nových bodů pomocí délek od koncových bodů zvolené měřické přímky.

Protínání z úhlů

Příkaz pro vkládání nových bodů pomocí úhlů od koncových bodů zvolené měřické přímky.

Polární vytyčovací prvky

Příkaz pro výpočet polárních vytyčovacích prvků pro sejmuté body (délka a úhel) po zadání stanoviska a orientace.

Ortogonální vytyčovací prvky

Příkaz pro výpočet ortogonálních vytyčovacích prvků pro sejmuté body (staničení a kolmice) po zadání stanoviska a orientace.

Oměrky

Příkaz pro vkládání oměrných ke zvolené úsečce.

Zobraz protokol

Příkaz pro zobrazení a editaci protokolů z příkazů TopoLu. V jednoduchém textovém editoru se dají protokoly upravovat, ukládat do souboru nebo tisknout.

Rušení objektů

Skupina příkazů umožňující rušit linie, body, plochy a texty různými nástroji.

Rušení v obdélníku s potvrzením

Příkaz umožní rušit linie, body, plochy a texty vybrané výběrovým obdélníkem a potvrzené v dialogu pro výběr jednotlivých objektů.

Rušení v obdélníku

Příkaz umožní rušit linie, body, plochy a texty vybrané výběrovým obdélníkem bez dalšího potvrzení.

Rušení vybraných

Příkaz umožní rušit vybrané (_SELECT=1) linie, body, plochy a texty.

Rušení objektů pod plochami

Příkaz umožní rušit linie, body, plochy a texty, které jsou překryty zvolenými plochami.

Rušení tabulek

Příkaz umožní tabulku vektorových objektů (včetně objektů samotných) bloku pro editaci.

Editace DB záznamu

Příkaz pro změnu databázových atributů vektorových objektů(body, linie i plochy).

Přepis položky

Příkaz umožní přepsat volitelný databázový atribut vektorových objektů výrazem jazyka ToPas.

Přenos atributů

Příkaz umožní přenést volitelné databázové atributy ze zdrojových vektorových objektů do cílových vektorových objektů v bloku pro editaci.

Aktualizace databázových tabulek

Jestliže změníme jednotky položek vyplňovaných automaticky (např. PLOCHA), je potřeba provést aktualizaci databázových položek, aby se hodnoty příslušně přepočetly.

Spojování bloků

Příkaz umožní spojit několik bloků do jednoho bloku.

Úprava dat

Umožní provést operace s liniemi jako je změna topologie, spojování, generalizace a vkládání lomových bodů v jednom kroku.

Kopírování bloku

Umožní provést kopii bloku nebo jeho části, zároveň umožní provést některé operace s liniemi tohoto bloku jako změna topologie, spojování, generalizace a vkládání lomových bodů.

Transformace bloku

Příkaz provede transformaci bloku označeného pro editaci pomocí zvolené transformační metody na základě sejmutých identických bodů a uloží ho pod novým jménem.

Transformace bloku po částech

Příkaz provede transformaci po částech bloku označeného pro editaci pomocí zvolené transformační metody na základě sejmutých identických bodů, uloží ho pod novým jménem a zařadí do projektu. Princip práce je shodný s běžnou transformací bloku, vlastní provedení se provede po částech - automaticky bude nad sejmutými identickými body sestrojena trojúhelníková síť a každá trojúhelníková oblast bloku bude ztransformována zvlášť afinní transformací podle klíče vypočteného z identických bodů ležících vždy ve vrcholech příslušné oblasti. Znamená to např., že lomové body linie mohou být transformovány jiným transformačním klíčem.

Další editační nástroje

Skupina příkazů umožňující provést změnu barvy, resp. značky u vybraných (_SELECT=1) objektů bloku pro editaci.

Uložení Z-ové souřadnice do DB

Příkaz umožní vybraný databázový atribut naplnit hodnotami z interní souřadnice "Z" u 3D dat.

Načtení Z-ové souřadnice z DB

Příkaz uloží vybraný databázový atribut jako nové hodnoty pro interní souřadnici "Z" u 3D dat.

Změna Z-ové souřadnice

Příkaz umožní změnit interní souřadnice "Z" u 3D dat matematickou operací.

Načtení Z-ové souřadnice z DMT

Příkaz umožní změnit interní souřadnice "Z" u 3D dat na základě digitálního modelu terénu.

Obdélníková síť bodů/linií s otočením

Umožní vložit do bloku nastaveného pro editaci obdélníkovou síť bodů nebo linií, která bude otočena oproti svislé souřadné ose.

Změna barvy u vybraných

Umožní provést změnu barvy u vybraných (_SELECT=1) objektů bloku pro editaci.

Změna značky u vybraných

Umožní provést změnu značky u vybraných (_SELECT=1) objektů bloku pro editaci.

Změna barvy a značky u vybraných

Umožní provést změnu barvy a značky u vybraných (_SELECT=1) objektů bloku pro editaci.

Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně vektorových objektů bloku pro editaci do atributů (_COLOR, _SYMBOL).dle TopoLu. Barvy a značky budou identické s barvami a značkami použitými pro zobrazení v době spuštění příkazu.

Vytvoření nové tabulky

Umožní definovat nové tabulky (druhy) v bloku pro editaci.

Nastavení

Skupina příkazů, které umožňují nastavit základní vlastnosti ovlivňující chování systému při pořizovaní a modifikaci dat.

Barva a značka bodu

Umožňuje nastavit defaultní hodnotu pro barvu a značku bodových objektů.

Barva a značka linie

Umožňuje nastavit defaultní hodnotu pro barvu a značku liniových objektů.

Barva a značka plochy

Umožňuje nastavit defaultní hodnotu pro barvu a značku plošných objektů.

Parametry chytání

C

Umožní nastavit hodnotu pro přichytávání kurzoru k jiným objektům a objekt, ke kterému se kurzor bude přichytávat.

Parametry tvorby linií

P

Umožní nastavit parametry tvorby nových liniových objektů jako je mez připojení, mez generalizace, minimální délka linie.

Vlastnosti editace

Umožní nastavit parametry, které ovlivňují sběr lomových bodů nových liniových objektů a definici úhlu natočení bodových objektů.

Lupa

CTRL + L

Umožňuje zapnout nebo vypnout lokální zvětšeni (lupu) při sběru dat v mapovém okně.

Vyčistit interní paměť

Příkaz slouží k uvolnění nepoužívané oblasti paměti pro další využití.

Undo

Umožňuje při editaci vektorových objektů provést libovolný počet kroků (i hromadných) zpět. Vztahuje se vždy k datům nastaveným pro editaci.

Undo poslední krok

Umožňuje při editaci vektorových objektů provést jeden krok (i hromadný) zpět.


Linie

Linie

Skupina příkazů pro práci (vytváření, modifikace, editace DB záznamů) s liniovými objekty.

Vstup nové

Alt + N

Příkaz umožní vytvořit nový liniový objekt tj. umožní snímání linie a nastavení jejích atributů.

Nový liniový objekt

Pomocí této skupiny příkazů lze vytvářet linie různými způsoby.

Nová okopírováním

Příkaz umožní vytvořit nové linie kopírováním již existující.

Obdélník

Příkaz umožní vytvořit nový liniový objekt ve tvaru obdélníka.

Čtverec dvěma vrcholy

Příkaz umožní vytvořit nový liniový objekt ve tvaru čtverce.

Čtverec středem a vrcholem

Příkaz umožní vytvořit nový liniový objekt ve tvaru čtverce.

Mnohoúhelník

Příkaz umožní vytvořit nový liniový objekt, který má tvar uzavřeného mnohoúhelníka.

Kolmice

Příkaz umožní vytvořit nový liniový objekt, jako kolmici k vybrané linii.

Pole linií

Příkaz umožní vytvořit pole liniových objektů o definovaném počtu ve směru horizontálním a vertikálním s definovaným horizontálním a vertikálním rozestupem.

Kružnice středem a poloměrem

Příkaz umožní vytvořit novou linii - křivku typu kružnice zadanou středem a poloměrem.

Kružnice dvěma body

Příkaz umožní vytvořit novou linii - křivku typu kružnice zadanou dvěma body.

Kružnice třemi body

Příkaz umožní vytvořit novou linii - křivku typu kružnice zadanou třemi body.

Oblouk třemi body

Příkaz umožní vytvořit novou linii - křivku typu oblouk zadaný třemi body.

Oblouk středem a dvěma body

Příkaz umožní vytvořit novou linii - křivku typu oblouk zadaný středem a dvěma body.

Paralelní linie

Alt + R

Funkce umožňuje vytvořit novou linii, která bude paralelní s linií vybranou.

Buffer

Funkce umožňuje vytvořit novou linii, která je bufferem okolo vybrané linie.

Buffery pro zvolené

Funkce umožňuje vytvořit hromadně nové linie, které jsou buffery okolo vybraných linií.

Hranice map. listů do bloku

Funkce umožňuje vytvořit nové linie, které jsou hranicemi mapových listů zvoleného listokladu ve v oblasti vybrané obdélníkem.

Operace s liniemi

Příkaz umožní měnit liniový objekt tj. umožní například editovat jeho tvar, změnit volitelné atributy, rozdělovat a spojovat ho s jinými liniemi, apod.

Editace starých

Alt + S

Příkaz umožní editaci souřadnic lomových bodů, tj. měnit jejich polohu, mazat je, případně přidávat nové.

Další editační nástroje

Skupina funkcí pro práci s existujícími liniemi.

Editace staré s potvrzením

Příkaz umožní editaci lomových body linie vybrané v dialogu, tj. měnit jejich polohu, mazat je, případně přidávat nové.

Rušení existujících s potvrzením

Příkaz umožní rušit liniové objekty jejich vybráním výběrovým obdélníkem a jejich potvrzením v dialogu, v němž je seznam vybraných linií.

Změna tabulky linie dle vzoru

Umožní změnit tabulku linií vybraných obdélníkem na tabulku podle vzorové linie.

Zhlazení linií

Příkaz umožní vyhladit vybrané linie proložením křivky.

Zkrátit – prodloužit linii

Funkce umožňuje provádět dotažení linie k linii (prodloužení) nebo naopak vymazání přesahující části (zkrácení).

Zkrátit – prodloužit dvě linie

Funkce umožňuje provádět dotažení linie k linii (prodloužení) nebo naopak vymazání přesahující části (zkrácení). Pokud neleží průsečík na první linii, prodlouží se první i druhá linie. Pokud se obě linie kříží budou zkráceny obě linie.

Práce s vybranými liniemi...

Příkaz umožní v editovaném bloku pracovat s vybranými liniemi. V tomto nástroji jsou soustředěny nejdůležitější operace, které je možno velmi rychle střídat.

Editace části

Příkaz umožní editaci části již existující linie.

Vyjmutí části

Příkaz umožní vyjmutí části již existující linie.

Změna barvy a značky

Umožní změnit barvu a značku linií vybraných obdélníkem na barvu a značku definovanou ve funkci Editace – Barva a značka linie.

Změna barvy

Umožní změnit barvu linií vybraných obdélníkem na barvu definovanou ve funkci Editace – Barva a značka linie.

Změna značky

Umožní změnit značku linií vybraných obdélníkem na značku definovanou ve funkci Editace – Barva a značka linie.

Rušení existujících

Příkaz umožní rušit linie výběrovým obdélníkem.

Změna směru linií

Příkaz umožní změnit směr vybrané linie.

Změna směru vybraných linií

Příkaz umožní změnit směr vybraných linií.

Rozdělení linie

Příkaz umožní rozdělit již existující linii, v jejím libovolném bodě.

Editace lomového bodu

Alt + M

Příkaz umožní editovat jakýkoliv lomový bod linie. Pokud je takový bod uzlem několika linií najednou, jsou editovány všechny tyto linie.

Spojování linií

Příkaz umožní hromadně spojit již existující topologické linie, které splňují nadefinované podmínky.

Spojování dvou linií

Příkaz umožní spojit již existující linii s jinou. Spojují se i netopologické linie, které netvoří uzel, musí však mít identický koncový nebo počáteční bod.

Přenos linií

Příkazy slouží ke kopírování linií z libovolných vektorových dat do bloku pro editaci.

Přenos linií

Příkaz umožní přenést linie z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Linie si při přenosu zachovají příslušnost do zdrojových tabulek.

Přenos linií n:1

Příkaz umožní přenést linie z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Linie si při přenosu zachovají příslušnost do zdrojových tabulek nebo je možno je všechny nakopírovat do jedné cílové tabulky (kopírování n:1).

Přenos linií s potvrzením

Příkaz umožní přenést linie z jakýchkoliv otevřených a zobrazených vektorových dat do vybrané tabulky bloku pro editaci. Linie jsou po výběru obdélníkem potvrzovány v dialogu.

Přenos obrysů ploch

Příkaz umožní přenést ploch z jakýchkoliv otevřených vektorových dat do bloku pro editaci.

Změna tabulky linií

Příkaz umožní změnit příslušnost linie do tabulky, to znamená přenést ji z jedné tabulky do druhé v rámci bloku pro editaci.

Automatická vektorizace rastru

Příkaz slouží k automatické vektorizaci binárního rastru. Je pouze ve verzi TopoLu s nadstavbou Autogen.

Poloautomatická vektorizace jedné linie

Příkaz slouží k poloautomatické vektorizaci binárního rastru. Jedná se o sledování jednotlivých linií v místech vybraných uživatelem.

Poloautomatická vektorizace rastru

Příkaz slouží k poloautomatické vektorizaci binárního rastru. Jedná se o sledování jednotlivých linií v místech vybraných uživatelem. Na rozdíl od předchozí funkce se systém snaží překonat i uzlové body v rastru, kde se protíná více linií.

Linie s volnými konci

Příkaz umožní zkontrolovat, zda v daném bloku existují topologické linie, které jsou nezauzlovány a případně s nimi provést další operace.

Netopologické linie

Příkaz umožní zkontrolovat, zda v daném bloku existují netopologické linie v závislosti na jejich geometrii a případně s nimi provést další operace.

Problematická místa v liniích

Příkaz umožní zkontrolovat, zda v daném bloku existují linie, které mohou mít určitým způsobem problematickou geometrii a případně s nimi provést další operace.

Editace DB záznamu linie

Příkaz umožní editaci volitelných atributů linie.

Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně linií bloku pro editaci do atributů linií (do atributů _COLOR, _SYMBOL).


Body

Body

Skupina příkazů pro práci (vytváření, modifikace, editace DB záznamů) s bodovými objekty.

Vstup nových

Alt + B

Příkaz umožní vytvořit nový bodový objekt tj. umožní snímání bodů a nastavení jejich atributů.

Nový bodový objekt

Pomocí této skupiny příkazů lze vytvářet body různými způsoby.

Vyjmutí bodů z linií

Příkaz umožní vytvořit nové bodové objekty, které mají polohu identickou s polohou lomových bodů zvolených linií.

Vyjmutí bodů z ploch

Příkaz umožní vytvořit nové bodové objekty, které mají polohu identickou s polohou popisového bodu zvolených ploch.

Body dle sítě křížků

Příkaz umožní vytvořit nové bodové objekty, jejichž poloha je v definované síti.

Texty do bodů

Příkaz umožní vytvořit nové bodové objekty, jejichž poloha je definovaná polohou zvolených textových objektů.

Buffer

Funkce umožňuje vytvořit novou linii, která je bufferem okolo vybraného bodu.

Buffery pro zvolené

Funkce umožňuje vytvořit hromadně nové linie, které jsou buffery vybraných bodů.

Operace s body

Příkaz umožní měnit bodový objekt tj. umožní například editovat jeho polohu, změnit volitelné atributy, atd.

Editace starých

Alt + D

Příkaz umožní editaci souřadnic bodů, tj. měnit jejich polohu.

Další editační nástroje

Skupina funkcí pro práci s existujícími body.

Rušení existujících s potvrzením

Příkaz umožní rušit bodové objekty jejich vybráním výběrovým obdélníkem a jejich potvrzením v dialogu, v němž je seznam vybraných bodů.

Změna tabulky bodu dle vzoru

Umožní změnit tabulku bodů vybraných obdélníkem na tabulku podle vzorového bodu.

Práce s vybranými body

Příkaz umožní v editovaném bloku pracovat s vybranými body. V tomto nástroji jsou soustředěny nejdůležitější operace, které je možno velmi rychle střídat.

Změna barvy a značky

Umožní změnit barvu a značku bodů vybraných obdélníkem na barvu a značku definovanou ve funkci Editace – Barva a značka bodu.

Změna barvy

Umožní změnit barvu bodů vybraných obdélníkem na barvu definovanou ve funkci Editace – Barva a značka bodu.

Změna značky

Umožní změnit značku bodů vybraných obdélníkem na značku definovanou ve funkci Editace – Barva a značka bodu.

Výběr bodů v okolí linií

Umožní vybrat body, které se nacházejí v zadaném okolí linií.

Smazání bodů v okolí linií

Umožní smazat body, které se nacházejí v zadaném okolí linií.

Rušení existujících

Příkaz umožňuje zrušení jednotlivých bodových objektů.

Editace úhlu

Příkaz umožní měnit úhel bodu. Pokud má bod uživatelskou značku nebo standardní značku číslo 101, 102, 103, 121, 131 nebo 132 bude se potom vykreslovat natočený.

Změna tabulky bodů

Příkaz umožní změnit příslušnost bodu do tabulky, to znamená přenést ho z jedné tabulky do druhé v rámci bloku pro editaci.

Přenos bodů

Příkazy slouží ke kopírování bodů z libovolných vektorových dat do bloku pro editaci.

Přenos bodů

Příkaz umožní přenést body z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Body si při přenosu zachovají příslušnost do zdrojových tabulek.

Přenos bodů n:1

Příkaz umožní přenést body z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Body si při přenosu zachovají příslušnost do zdrojových tabulek nebo je možno je všechny nakopírovat do jedné cílové tabulky (kopírování n:1).

Přenos bodů s potvrzením

Příkaz umožní přenést body z jakýchkoliv otevřených a zobrazených vektorových dat do vybrané tabulky bloku pro editaci. Body jsou po výběru obdélníkem potvrzovány v dialogu.

Import bodů z DB tabulky

Tato funkce umožňuje tvorbu nových bodových objektů importem z jakékoliv tabulky databáze, která obsahuje souřadnice bodu.

Editace DB záznamu bodu

Příkaz umožní editaci volitelných atributů bodu.

Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně bodů bloku pro editaci do atributů bodů (_COLOR, _SYMBOL).


Plochy

Plochy

Skupina příkazů pro práci (vytváření, modifikace, editace DB záznamů) s plošnými objekty.

Vytvoření nové

Alt + P

Příkaz vytvoří novou plochu uvnitř oblasti uzavřené topologickými liniemi.

Nový plošný objekt

Pomocí této skupiny příkazů lze vytvářet plochy různými způsoby.

Vytvoření nových v obdélníku

Alt + V

Funkce umožňuje vytvořit nové plošné objekty, v definovaném obdélníku.

Zaplochovat dle tabulky bodů

Funkce umožňuje vytvořit uvnitř oblasti uzavřené topologickými liniemi nové plošné objekty v místech bodových objektů.

Buffer

Funkce umožňuje vytvořit novou linii, která je bufferem vybrané plochy.

Buffery pro zvolené

Funkce umožňuje vytvořit nové linie, které jsou buffery vybraných ploch.

Plochy dle mapových listů

Funkce umožňuje vytvořit nové plochy, které jsou generovány dle mapových listů zvoleného listokladu ve v oblasti vybrané obdélníkem.

Čtvercová síť

Funkce umožňuje vytvořit nové plochy, které jsou generovány v oblasti vybrané obdélníkem.

Vytvoření oblastí z bodů

Cílem této operace je provést extrapolaci z bodových měření. V ploše, která musí být vymezena uzavřenou linií, jsou nepravidelně rozmístěné body s DB atributy. Program nalezne všechny souvislé oblasti ve kterých mají body shodný vybraný atribut a vytvoří plochy, do kterých je možno přenést zadané atributy z odpovídajících bodových objektů.

Operace s plochami

Příkaz umožní měnit plošný objekt tj. umožní například editovat polohu popisového bodu, změnit volitelné atributy, atd.

Další editační nástroje

Skupina funkcí pro práci s existujícími plochami.

Rušení existujících s potvrzením

Příkaz umožní rušit plošné objekty jejich vybráním výběrovým obdélníkem a jejich potvrzením v dialogu, v němž je seznam vybraných ploch.

Změna tabulky ploch dle vzoru

Umožní změnit tabulku ploch vybraných obdélníkem na tabulku podle vzorové plochy.

Práce s vybranými plochami

Příkaz umožní v editovaném bloku pracovat s vybranými plochami. V tomto nástroji jsou soustředěny nejdůležitější operace, které je možno velmi rychle střídat.

Přepočtení popisových bodů ploch

Umožní přepočítat popisové body ploch.

Změna barvy a značky

Umožní změnit barvu a značku ploch vybraných obdélníkem na barvu a značku definovanou ve funkci Editace – Barva a značka plochy.

Změna barvy

Umožní změnit barvu ploch vybraných obdélníkem na barvu definovanou ve funkci Editace – Barva a značka plochy.

Změna značky

Umožní změnit značku ploch vybraných obdélníkem na značku definovanou ve funkci Editace – Barva a značka plochy.

Kopírování ploch do bloku

Příkaz umožní přenášet plochy z jednoho bloku do bloku nastaveného pro editaci.

Rušení existujících

Příkaz umožňuje zrušení jednotlivých plošných objektů.

Rozdělení plochy

Příkaz umožní rozdělit plochu na dvě nové nebo několik nových ploch.

Agregace ploch

Skupina příkazů umožňujících spojovat plochy dle různých požadavků.

Agregace ploch vybráním ploch

Příkaz umožní spojit sousední plochy do jedné.

Agregace ploch vybráním linie

Příkaz umožní spojit sousední plochy do jedné vybráním hraniční linie, které budou zrušeny a sousední plochy budou spojeny.

Agregace ploch v tabulce

Umožní automaticky spojit plochy bloku, které spolu sousedí a mají identické definované atributy.

Změna tabulky ploch

Příkaz umožní změnit příslušnost plochy do tabulky, to znamená přenést ji z jedné tabulky do druhé v rámci bloku pro editaci.

Překryv ploch

Příkaz vytvoří nový blok zadaného jména. V tomto bloku se zkonstruují plošné objekty prolnutím hraničních linií plošných objektů ze dvou zdrojových databází.

Problematická místa v plochách

Příkaz umožní zkontrolovat, zda v daném bloku existují hranice ploch , které mohou mít určitým způsobem problematickou geometrii a případně s nimi provést různé operace.

Editace DB záznamu plochy

Příkaz umožní editaci volitelných atributů plochy.

Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně ploch bloku pro editaci do atributů ploch (do atributů _COLOR, _SYMBOL).

Logické operace

Umožní vytvořit nový blok, který vznikne jako logická operace nad dvěma vybranými druhy ploch.


Texty

Texty

Skupina příkazů pro práci (vytváření, modifikace) s textovými objekty.

Vstup nových

T

Příkaz vytvoří nový textový objekt.

Editace starých

Alt + T

Pomocí tohoto příkazu lze změnit atributy již existujícího textu.

Přesunutí textů

Příkaz umožňuje vybrat text a posunout jej na jiné místo.

Změna graf. param. textu

Příkaz umožňuje nastavení nového výchozího bodu textu a jeho směru.

Kopírování textu

Příkaz umožňuje vybrat text a libovolněkrát ho kopírovat na jiné místo.

Rušení existujících

Příkaz umožňuje zrušení jednotlivých textových objektů.

Rušení existujících s potvrzením

Příkaz umožňuje zrušení jednotlivých textových objektů.

Změna tabulky textů

Příkaz změní u zvolených textových objektů bloku pro editaci jejich příslušnost k tabulce na jinou.

Popisy do textů

Příkaz převede zobrazené popisy vektorových objektů (linií, bodů, ploch) do tvaru vektorových textů a umístí je do bloku nastaveného pro editaci.

Přepis znění textu

Pomocí tohoto příkazu lze hromadně přepsat znění textu.

Přenos textů

Příkaz přenese textové objekty z jakékoliv jiné databáze do bloku pro editaci.

Přenos textů n : 1

Příkaz přenese textové objekty z jakékoliv jiné databáze do jedné konkrétní tabulky textů bloku pro editaci.

Změna směru textů

Příkaz slouží pro změnu směru vybraných textů.

Posun textů

Příkaz slouží pro posunutí výchozího bodu vybraných textů o definovanou vzdálenost v určeném směru.

Zápis barev

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu textů v aktivním mapovém okně ploch bloku pro editaci do interních atributů textů (_COLOR).


Menu Rastr

Submenu "Rastr" obsahuje příkazy pro práci s různými rastrovými formáty. Na vstupu většiny rastrových operací může být libovolný z podporovaných rastrových formátů. V současné době je možno zadat výstup pouze v interním formátu RAS a dále ve formátech TIFF a BMP. Většina operací vyžaduje vytvoření nového rastrového souboru.

Geometrické operace
Zpracování obrazu
Spektrální analýza
DMT
Pomocné operace
Rastry a adresáře
Rastrový editor maker
Rastrový manager


Geometrické operace

Geometrické operace rastrů je skupina operací, které nějakým způsobem souvisí s lokalizací rastru v souřadném systému, tzn. buď je rastr umisťován (umístění rastru, transformace rastru), popř. se operací případné umístění ruší (otočení, zrcadlení). Dalšími operacemi v této skupině je zkopírování obdélníkové části rastru, spojování několika umístěných rastrů do mozaiky, příp. rozdělení velkého rastru do několika meších odpovídajících např. mapovým listům.

Transformace rastru
Transformace do jiného souřadného systému
Transformace rastru po částech
Transformace celého rastru po částech
Umístění rastru
Otočení rastru
Výřez rastru
Zrcadlení horizontální
Zrcadlení vertikální
Maskování rastru
Mozaika
Mozaika do mapových listů
Mozaika rastrů podle ploch
Řez rastru dle ML


Geometrické operace - příkazy
Transformace rastru

Příkaz umožňuje provést transformaci vybraného rastrového souboru popř. jeho výřezu podle předem zadané transformační tabulky (vypočítané na základě sejmutých identických bodů). Příkaz uloží transformovaný soubor uloží pod zadaným jménem a zařadí ho do projektu. Jinými slovy, tento příkaz umístí rastru do nové polohy na základě identických bodů, tj. bodů, které jsou dobře viditelné na rastru a je známa jejich požadovaná poloha.

Transformace do jiného souřadného systému

Operace transformuje rastr lokalizovaný v nějakém souřadném systému do zadaného souřadného systému.

Transformace rastru po částech

Příkaz umožňuje provést transformaci vybraného rastrového souboru popř. jeho výřezu po částech. Tato transformace se používá převážně pro transformaci leteckých snímků, kdy vhodnou volbou identických bodů je možno částečně eliminovat vliv zkreslení z převýšení krajiny. Příkaz uloží transformovaný soubor uloží pod zadaným jménem a zařadí ho do projektu. Při transformaci pomocí této funkce bude automaticky nad sejmutými identickými body sestrojena trojúhelníková síť a každá trojúhelníková oblast rastru bude ztransformována zvlášť afinní transformací podle klíče vypočteného z identických bodů ležících vždy ve vrcholech příslušné oblasti. Jednotlivé dílčí ztransformované rastry pak budou spojeny ve výslednou mozaiku celého rastru.

Transformace celého rastru po částech

Příkaz umožňuje provést transformaci vybraného rastrového souboru po částech. Tato transformace je modifikací základní transformace po částech. Rozdíl je v tom, že rastr bude transformován celý bez ohledu jakou oblast pokrývají nasnímané vlícovací body. Příkaz uloží transformovaný soubor pod zadaným jménem a zařadí ho do projektu.

Umístění rastru

Příkaz umístí vybraný rastr zadaným způsobem do souřadnicového systému jedním z následujících typů umístění:

  • Dle jednoho rohu a šířky celého souboru
  • Dle libovolného bodu a vzdálenosti
  • Dle jednoho identického bodu

Otočení rastru

Příkaz otočí ve vybraný rastr o zadaný úhel. Použití příkazu před transformací rastru zkrátí dobu této transformace pokud se rastr natočí co nejblíže cílovému stavu.

Výřez rastru

Příkaz zkopíruje vybranou část specifikovaného rastrového souboru a uloží ji pod zadaným jménem. Příkaz nemění velikost pixelu. Příkaz je vhodné použít tam, kde se nepracuje s celým rastrovým obrazem, abychom ušetřili čas i místo na disku.

Zrcadlení horizontální

Příkaz vytvoří z vybraného rastru jeho zrcadlový obraz podle svislé osy ( stranově převrácený rastr). Příkaz se používá např. k odstranění zrcadlového efektu, je-li rastr naskenován z rubové strany transparentní fólie.

Zrcadlení vertikální

Příkaz vytvoří z vybraného rastru jeho zrcadlový obraz podle vodorovné osy. První řádka rastru se stane poslední a naopak.

Maskování rastru

Příkaz zamaskuje zadanou oblast vybraného rastrového souboru tj. zprůhlední zadanou oblast. Pokud se zamaskují okrajové části rastru dochází zároveň k oříznutí rastru na minimální možnou velikost. Příkaz je vhodné použít před tvorbě mozaiky, kdy je rastr tvořen z více navzájem se překrývajících rastrů.

Mozaika

Příkaz vytvoří spojením zobrazených rastrových obrazů popř. pouze na vybrané oblasti nový rastrový soubor zadaného jména. Rastrové soubory, ze kterých se má mozaika vytvořit mohou být jakéhokoli typu, přičemž typ výsledného rastru na nich závisí. Při mozaice se respektuje zamaskování jednotlivých rastrů.

Mozaika do mapových listů

Příkaz vytvoří spojením zobrazených rastrových obrazů nové rastrové soubory, které buď odpovídají vybranému mapovému kladu, popř. zadané obdélníkové síti. Můžeme se tak vyhnou vzniku příliš velkého rastru, se kterým by se dále obtížně pracovalo. Jméno výsledných rastrů odpovídá buď jménu odpovídajícího mapového listu, nebo je vygenerováno ze společného základu a pořadového čísla nového rastru.

Mozaika rastrů podle ploch

Příkaz vytvoří hromadně spojením zobrazených rastrových obrazů nové rastrové soubory, které rozsahem odpovídají zadaným plošným objektům. Pomocí funkce se dají vytvořit rastry odpovídající např. kladu mapových listů, který není přímo TopoLem podporován. Jména výstupních rastrů odpovídají vybranému DB atributu ploch.

Řez rastru dle ML

Příkaz vytvoří rozřezáním zadaného rastrového obrazu nové rastrové soubory, které buď odpovídají vybranému mapovému kladu, popř. zadané obdélníkové síti. Můžeme tak zpracovat příliš velký rastr, se kterým by se dále obtížně pracovalo.


Zpracování obrazu

Zpracování obrazu je skupina rastrových operací, které nemění geometrické vlastnosti rastru, jako např. jeho umístění nebo velikost pixelu. Slouží především ke změnám barevného podání rastru, popř. k barevnému sladění několika rastrů. Mění se tedy hodnoty jednotlivých pixelů, popř. způsob jejich interpretace v mapových oknech. Patří sem též aritmetické operace s šedotónovými rastry a logické a morfologické operace s binárními rastry.

Operace s transferem
Aritmetické operace
Logické operace
Morfologické operace
Příprava rastru pro vektorizaci
Vyrovnání barev rastrů
Vyrovnání barev všech rastrů
Vyrovnání barev 2 rastrů podél linie
Definice linií pro vyrovnání barev 2 rastrů
Provedení vyrovnání barev 2 rastrů podél linií
Přizpůsobení barev rastrů dle vzoru
Přizpůsobení barev rastrů v mapovém okně
Odstín, nasycení a jas rastru
Změna barev rastru podle vzoru
Vyrovnání histogramu rastru
Jas a kontrast rastru
Změna barev rastru
Gamma korekce rastru
Gradientní korekce rastru
Ostření rastru


Zpracování obrazu - příkazy
Operace s transferem

Příkaz provede jednu z operací, které ve vybraném šedotónovém rastrovém obraze změní způsob zobrazení hodnot pixelů (mění se transfer - Look Up Table), popř. i pomocný soubor transferu - *.MEZ pro RASy). Pokud je rastr zobrazen v některém z oken, změna se provádí pouze v operační paměti a nemá tedy okamžitý vliv na soubor transferu vybraného rastrového souboru. Změna se ukládá až při vypouštění rastru z legendy okna, kde byl zobrazen. Jedině při volbě operace "Transformace úrovní" se změní i hodnoty pixelů rastru a u této operace se zadává výstupní rastr, kam se ukládá výsledek.

Aritmetické operace

Příkaz vytvoří nový rastrový soubor tak, že změní hodnotu pixelu vybraného šedotónového rastrového obrazu popř. dvou šedotónových obrazů aplikací aritmetické operace nebo funkce.

Logické operace

Příkaz vytvoří rastrový obraz, přičemž hodnota jeho pixelů je výsledkem logické operace mezi dvěma vybranými binárními rastry, popř. aplikace negace jednoho binárního rastru.

Morfologické operace

Tato funkce umožňuje provádět morfologické operace erozi a dilataci. Tuto operaci je možno provést pouze s binárními rastry. Při aplikaci dochází zjednodušeně řečeno ke ztenčování, resp. ztlušťování kresby (popředí) binárního rastru.

Příprava rastru pro vektorizaci

Příkaz slouží pro vyčištění binárního rastru před automatickou nebo poloautomatickou vektorizací. Odstraňují se nežádoucí prvky kresby rastru, jako např. šum, písmena, křížky, místa, kde došlo k nežádoucími spojení několika čar kresby apod. Rastr se tak stává přehlednější a např. pomocí poloautomatické vektorizace jednotlivých linií se dosahuje větší účinnosti - vektorizují se delší segmenty liniové kresby.

Vyrovnání barev rastrů

Operace zajistí plynulé přechody barev, resp. úrovní šedi u řady snímků, které budou složit např. jako vstup pro tvorbu mozaiky. Je též vhodné použít tuto operaci před tiskem pro dosažení lepšího vzhledu výstupu. Vstupem pro operaci může být libovolný počet rastrů šedotónových, popř. TrueColor, ale vždy stejného typu. Vstupní rastry by měly být maskovány. Předpokládá se též , že rastry budou mít dostatečně velké překryvy, aby pro analýzu bylo dostatečné množství informace.

Vyrovnání všech rastrů

Příkaz provádí tutéž operaci co "Vyrovnání barev rastrů" s tím, že jako vstupní rastry se vezmou všechny rastry zobrazené v aktivním okně.

Vyrovnání barev 2 rastrů podél linie

Operace zajistí plynulé přechody barev, resp. úrovní šedi pro dva vybrané rastry. Operaci je možno nadefinovat jako libovolnou kombinaci z operací barevného vyrovnání, rozmazání přechodu, maskování rastru a mozaiky obou rastrů. Tři prvně jmenované suboperace se provádějí s ohledem na zadanou linii, která bude tvořit přechodovou hranici mezi oběma rastry. Cílem operace je dosáhnout dokonalý přechod mezi oběma rastry co se týká barevnosti, popř. následné zamaskování jednoho z rastrů, který byl vybrán jako rastr v popředí. Nakonec je možno oba rastry spojit do jednoho výstupního rastru. Výsledkem je, že přechod mezi jednotlivými rastry po případném zamaskování dle dané linie je prakticky nepostřehnutelný.

Definice linií pro vyrovnání barev 2 rastrů

Operace zajistí sestavení dávky = skupiny operací vyrovnání dvou rastrů podél linie. Postupně se vybírají dvojice rastrů pro vyrovnání, definují se linie, podle kterých se bude vyrovnávat a definují se další parametry pro vyrovnání každé dvojice. Po ukončení se vytvoří *.dbf soubor, kde jsou uloženy parametry vyrovnání pro všechny vybrané dvojice rastrů.

Provedení vyrovnání barev 2 rastrů podél linií

Operace zajistí provedení dávky = skupiny operací vyrovnání dvou rastrů podél linie. Postupně se provádějí operace vyrovnání rastrů dle nadefinovaných parametrů uložených dříve příkazem Definice linií pro vyrovnání barev 2 rastrů . Vyrovnávací linie, stejně tak jako *.dbf soubory s uloženými parametry vyrovnání se hledají v databázi (např. bloku), která je nastavena pro editaci.

Přizpůsobení barev rastrů dle vzoru

Operace změní barvy rastrů (v celé ploše) tak, aby barevně co nejvíce odpovídaly zadanému vzoru.

Přizpůsobení barev rastrů v mapovém okně

Příkaz je kombinací příkazů "Gamma korekce rastru" a "Jas a kontrast rastru", která není aplikována rovnoměrně na celé ploše rastru. Definuje se bod, kde je buď maximální nebo minimální efekt operace, zatímco na vzdálenějších bodech rastru je efekt operace aplikován s opačnou váhou. Výsledek lze průběžně porovnávat nejen v náhledu, ale i přímo v mapovém okně. teprve po vyladění korekce a po porovnání barevnosti rastrů v mapovém okně se rastr s nastavenou korekcí uloží pod jiným jménem. Rastr pro korekci se vybírá přímo v mapovém okně speciálním nástrojem. Po kliknutí do okna se objeví seznam rastrů v daném bodě , podobně jako u operace Odečítání jmen rastrů. Po výběru rastru ze seznamu lze nastavovat parametry korekce barev, jasu, resp. kontrastu.

Odstín, nasycení a jas rastru

Příkaz provede korekci barevnosti (odstín barev, jejich nasycení a jas) TrueColor, popř. šedotónových rastrů.

Změna barev rastru podle vzoru

Příkaz je kombinací příkazů "Gamma korekce rastru" a "Jas a kontrast rastru". Slouží k dorovnání barevnosti vybraného rastru k vybranému vzoru, které lze průběžně porovnávat v náhledu.

Vyrovnání histogramu rastru

Funkce umožňuje změnit dynamiku barevných složek všech typů rastru kromě binárních. Je možno měnit dynamiku všech složek rastru, nebo lze ovlivňovat pouze jednotlivé barevné složky (červenou, zelenou, modrou) rastru, čímž lze dosáhnout změny barveného odstínu. Lze též provést vyrovnání pro jasovou složku rastru, kdy se určitým způsobem mění též dynamika všech základních složek rastru, ale nikoli stejným způsobem jako když se zadá změna všech složek. U šedotónových rastrů je možno provést pouze korekci pro jasovou složku obrazu.

Jas a kontrast rastru

Funkce umožňuje změnit jas a kontrast všech typů rastru kromě binárního. Jas i kontrast lze možno měnit najednou. U True Color rastru je nutno vytvořit nový výsledný rastr, kdy se přepočítávají R, G, B složky všech pixelů, u barevných či šedotónových rastrů se změna provádí pouze změnou palety, popř. změnou transferu.

Změna barev rastru

Funkce umožňuje změnit barevnost všech typů rastru kromě binárního. Je možno měnit jas celého rastru, nebo lze ovlivňovat pouze jednotlivé barevné složky (červenou, zelenou, modrou) rastru, čímž lze dosáhnout změny barveného odstínu. Postup spočívá ve výběru barevné složky (kromě základních složek obsahuje i variantu "Všechny" pro změnu jasu). Dále se aplikuje ( možno i několikrát aditivně) jedna z přednastavených funkcí pro změnu barevnosti.

Gamma korekce rastru

Funkce umožňuje změnit barevnost všech typů rastru kromě binárního. Lze ji provádět pro libovolnou barevnou složku, čímž lze měnit barevný odstín – přidávat i ubírat některou ze základních barev. Další možností je provádět změnu pro všechny složky najednou – v podstatě pak dochází ke změně jasu a kontrastu. Oproti většině operací tohoto druhu je zde možno dosáhnout velmi jemných posunů barevnosti.

Gradientní korekce rastru

Příkaz je kombinací příkazů "Gamma korekce rastru" a "Jas a kontrast rastru", která není aplikována rovnoměrně na celé ploše rastru. Definuje se bod, kde je buď maximální nebo minimální efekt operace, zatímco na vzdálenějších bodech rastru je efekt operace aplikován s opačnou váhou. Výsledek lze průběžně porovnávat v náhledu. Operace může sloužit ke korekci snímků, kde se projevuje tzv. vinětace - nežádoucí ztmavení na okrajích.

Ostření rastru

Příkaz provede doostření True Color nebo šedotónového rastru podle zadaného stupně. Vždy je nutno vytvořit nový výstupní soubor. Operace není vhodná k odstranění šumů v obraze, úspěšně ji lze jen použit k odstranění rozostřeného rastru.


Spektrální analýza

Spektrální analýza je skupina operací pro práci s multispektrálními obrazovými daty, tj. s geometricky totožnými rastrovými daty zobrazující dané území v různých částech spektra.

Barevná syntéza


Spektrální analýza - příkazy
Barevná syntéza

Příkaz vytvoří ze tří zadaných šedotónových obrazů (kanálů), z nichž každý je přiřazen jedné ze základních barev (R, G, B), osmibitový, barevný nebo TrueColor rastrový obraz a uloží tento rastrový soubor pod zadaným jménem. V první fázi je třeba nejprve zvolit tři shodně velké a shodně umístěné šedotónové rastry.


DMT

Operace pro práci s rastrovým digitálním modelu terénu - tvorba, zobrazení apod.

Tvorba z bodů
Import grid XYZ
Export DMT rastru do ASCII
Mozaika
Import hodnot z Atlasu DMT
Import hran z Atlasu DMT
Zobraz 3D
Nastavení 2D zobrazení


DMT - příkazy
Tvorba z bodů

Příkaz vytvoří rastr digitálního modelu terénu na základě vektorové kresby s “výškopisem” uloženým např. v nějaké databázové numerické položce. Od verze TopoLu xT 9.0 lze pracovat i se souřadnicí "Z" uloženou přímo v datech otevřených jako 3D data. Operace sestrojí digitální model na základě bodů s udanou výškovou souřadnicí (nadmořskou výškou). Na souřadnicích těchto bodů (ať už jsou to body nebo lomové body linií) budou mít pixely výsledného rastru DMT hodnoty podle obsahu příslušného atributu vektorového objektu. Podle takto určených (“známých”) hodnot pixelů systém vypočítá výškové souřadnice i pro ostatní pixely rastru. Je možno určit povinné hrany, to jest spojnice mezi jednotlivými body, které musí zůstat při tvorbě trojúhelníkové sítě zachovány. Tvorbu DMT rastru lze za určitých podmínek omezit na určitou oblast ohraničujícími liniemi. Počet vstupujících bodů není principiálně nijak omezen.

Import grid XYZ

Příkaz vytvoří rastr digitálního modelu terénu z informace uložené v textovém souboru. Buď každý řádek textového souboru představuje informaci o jednom pixelu digitálního modelu terénu, a to souřadnici Y, souřadnici X středu pixelu a výškovou hodnotu pixelu a předpokládá se, že souřadnice jednotlivých bodů tvoří síť s pravidelnou roztečí, která odpovídá rozměru pixelu ve směru Y, resp. X.

Export DMT rastru do ASCII

Příkaz exportuje rastr digitálního modelu terénu do textového souboru. Celý rastr, popř. vybraná část je exportována do ASCII souboru. Zároveň se provede transformace do zvoleného souřadného systému.

Mozaika

Příkaz vytvoří rastr digitálního modelu terénu z několika zdrojových rastrů DMT. Je o obdoba operace Mozaika pro standardní obrazová data.

Import hodnot z Atlasu DMT

Příkaz importuje vybrané bodové entity z Atlasu DMT do bloku.

Import hran z Atlasu DMT

Příkaz importuje vybrané liniové entity z Atlasu DMT do bloku.

Zobraz 3D

Příkaz slouží k zobrazení 3D pohledu na obdélníkový výřez rastrového modelu terénu. Na povrch modelu terénu je možno zobrazit vybraný souřadnicově připojený nebinární rastr.

Nastavení 2D zobrazení

Příkaz provede operace, které nastaví zobrazení hodnot pixelů rastrů digitálního modelu terénu při načtení do předmětu zájmu. Vytvoří se , nebo se změní tabulka transferu pro vytvoření pomocného zobrazovacího rastru (šedotónového 8-bitového rastru s příponou .IMG) z originálního dvou nebo čtyř bytového rastru.


Pomocné operace

Pomocné operace s rastry slouží jednak ke zjišťování určitých informací o zobrazených rastrech, popř. umožňují konverzi jednotlivých rastrových formátů. Patří sem např. i editace palety indexovaných barevných rastrů a vytváření generalizovaných zmenšenin rastrů určených pro jejich rychlejší zobrazování. Určité rysy geometrických operací zde mají převzorkování jednoho rastru podle vzoru jiného rastru a vytváření bitové mapy všech prvků zobrazených v nějakém mapovém okně.

Export
Tiff
Tiff (JPEG)
Geotiff
Tiff s alfa kanálem
BMP
GIF
JPG
CIT
COT
RGB
RLE
ECW
PCX
JPEG2000
Export rastru se změnou barvy průhledné části
Import
Tiff
BMP
GIF
JPG
SID
CIT
COT
RGB
RLE
PCX
ECW
HRF
IMG
Transformace rastru umístěných transformační maticí
JPEG2000
Editace palety
Odečítání jmen rastrů
Odečítání úrovní
Výběr barvy pro zprůhlednění
Převzorkování rastru
Převzorkování rastru dle vzoru
Konverze rastru
Ras pro TopoL DOS
Zrušení rastrů
Generalizace
Tvorba pyramidy pro TIFF
Komprimace
Dekomprimace
Mapové okno do rastru
Mapové okno do rastrů - mapových listů
Import DMT rastru z ASCII


Pomocné operace - příkazy
Export

Příkaz převede vybraný rastrový soubor do formátu určenému vybraným formátem výstupního rastru a uloží takto vytvořený soubor pod zadaným jménem. Systém případně vytvoří textový souřadnicový soubor, který bude možné použít pro umístění rastru v systému Arc/Info. Přitom se vstupní rastr převzorkuje tak, aby pixel výstupního rastru měl čtvercový rozměr.

Import

Příkazy v této podnabídce slouží pro převod rastrových dat z formátů jiných systémů do formátu systému TopoL pro Windows - formát RAS . Během konverze může na základě zadání uživatele dojít i ke konverzi typu rastru, např. z True Color do barevného či šedotónového.

Editace palety

Příkaz zobrazí barevnou paletu uloženou ve vybraném souboru a umožní její nastavení změnit. Případné změny lze sledovat v náhledu.

Odečítání jmen rastrů

Po spuštění funkce se objeví nástroj v podobě křížku. Pokud se pohybujeme nástrojem nad nějakým rastrem, na dolním informačním panelu se objevuje zkrácené jméno rastru. Pokud se rastry překrývají, objeví se jméno rastru, který je při "pohledu shora" nejvýše. Pokud je rastrů v předmětu zájmu více a kvůli překrytům je ztížená orientace, je vhodné použít zobrazení obrysů rastrů. Klikneme-li levým tlačítkem na nějaký rastr, objeví se dialog se zobrazením jmen všech rastrů, které zasahují do daného bodu. V dialogu lze pak modifikovat zobrazení těchto rastrů a zobrazovat jejich charakteristiky.

Odečítání úrovní

Příkaz zobrazuje pro vybraný rastrový soubor hodnotu libovolného pixelu v tomto rastru, popř. hodnoty R, G, B složek daného pixelu pro True Color rastr. Pro šedotónový rastr se dále pro libovolný pixel zobrazí jeho index úrovně šedi a pro barevné rastry index barvy v paletě. U DMT rastrů se zobrazuje přepočtená hodnota pixelu na metry a index úrovně šedi, kterou je presentován v mapovém okně.

Výběr barvy pro zprůhlednění

Výběrovým křížkem lze vybrat v mapovém okně barvu rastru, která se pak bude interpretovat jako průhledná.

Převzorkování rastru

Příkaz provede zmenšení, popř. zvětšení počtu pixelů, tj. změnu rozlišení rastru.

Převzorkování rastru dle vzoru

Příkaz vytvoří mozaiku ze zadaného rastrového souboru a takto vzniklý obraz uloží pod zadaným jménem. Parametry výsledné mozaiky (velikost pixelu, velikost souboru a jeho umístění) se řídí podle vzorového souboru. Cílem této operace je geometrické sjednocení dvou rastrů, na které je pak možno aplikovat aritmetické nebo logické operace. Operace by se mohla využít jako příprava pro tvorbu syntézy, neboť tato operace vyžaduje jako vstup tři geometricky shodné rastry.

Konverze rastru

Příkaz dovoluje provést převod mezi různými typy rastrových souborů ve formátech RAS, BMP a TIF. Umožňuje změnu barevného rastru na šedotónový a naopak. Pokud je vstupem True Color rastr, je ho možno rozložit na barevné složky R, G, B stejně jako u importu True Color rastrů z jiných formátů. True Color rastr je možno konvertovat na barevný čtyřbitový nebo osmibitový barevný či šedotónový rastr. Pro každý typ vstupního rastru se nabízí možné varianty typu výstupního rastru. Umožňuje i změnu dlaždicového formátu rastru na řádkový a naopak.

Ras pro TopoL DOS

Příkaz změní soubor transferu *.MEZ popř. soubor palety *.PAL vybraného barevného nebo šedotónového rastru ve formátu RAS tak, abychom s ním mohli pracovat v systému TopoL pro DOS. TopoL pro DOS umožňuje pracovat pouze v režimu 16-ti barev. Výstupní soubor tohoto příkazu se může být stejný jako vstupní soubor.

Zrušení rastrů

Příkaz zruší (vymaže) vybrané rastry včetně jejich pomocných souborů.

Generalizace

Tento příkaz umožňuje vytvářet generalizovanou část rastru pro jeho rychlejší zobrazování. Znamená to, že pro jakýkoli typ a verzi rastru lze vytvořit zmenšený generalizovaný rastr (velikosti přibližně 1/16 původního rastru). Tento generalizovaný rastr je připojen buď konec souboru RAS nebo do pomocných souborů ostatních formátů.

Tvorba pyramidy pro TIFF

Tento příkaz umožňuje vytvářet generalizované verze rastru ve formátu TIFF pro jeho rychlejší zobrazování. Pro vybraný rastr se vytvoří několik zmenšených variant (každá varianta má poloviční počet sloupců a řádků jako předchozí verze). Tyto generalizované verze jsou včleněny přímo do souboru TIFF.

Komprimace

Příkaz zkomprimuje jeden nebo více vybraných rastrových souborů ve formátu RAS do formátu RAK. Míra komprese tj. velikost výsledného souboru je závislá na typu a obsahu souboru. Jméno výsledného rastru, včetně cesty je vždy shodné se jménem vstupu.

Dekomprimace

Příkaz dekomprimuje jeden nebo více vybraných rastrových souborů RAK. Po výběru vstupních souboru je dekomprimuje a uloží se na disk pod stejným jménem, ale s příponou RAS.

Mapové okno do rastru

Příkaz zkonvertuje vybraný výřez mapového okna (včetně všech zobrazených vektorových a rastrových souborů) do rastrového souboru zadaného jména, velikosti a typu.

Mapové okno do rastrů - mapových listů

Příkaz zkonvertuje vybraný výřez mapového okna (včetně všech zobrazených vektorových a rastrových souborů) do rastrových souborů zadaného jména, velikosti a typu, které odpovídají vybranému kladu mapových listů.

Import DMT rastru z ASCII

Příkaz slouží pro import textového souboru ve speciálním tvaru do rastrového digitálního modelu terénu.


Export
Tiff

Příkaz převede vybraný rastrový soubor do formátu Tiff.

Tiff (JPEG)

Příkaz převede vybraný rastrový soubor do formátu Tiff s kompresí JPEG se zvolenou ztrátou informace.

Geotiff

Příkaz převede vybraný rastrový soubor do formátu Tiff varianta Geotiff, u kterého je souřadnicové umístění zapsáno přímo v hlavičce rastru.

Tiff s alfa kanálem

Příkaz převede vybraný zamaskovaný Truecolor rastr do formátu Tiff. Informace o zamaskované části rastru se uloží jako speciální vrstva (alfa kanál). Jeden pixel tedy bude zabírat 4 byty - R, G, B, A. Tato nevýhoda je vyvážena skutečností, že ostatní programy budou interpretovat průhlednou část rastru stejně jako TopoL.

BMP

Příkaz převede vybraný rastrový soubor do formátu BMP.

GIF

Příkaz převede vybraný rastrový soubor do formátu GIF.

JPG

Příkaz převede vybraný rastrový soubor do formátu JPG.

CIT

Příkaz převede vybraný rastrový soubor do formátu CIT.

COT

Příkaz převede vybraný rastrový soubor do formátu COT.

RGB

Příkaz převede vybraný rastrový soubor do formátu RGB.

RLE

Příkaz převede vybraný rastrový soubor do formátu RLE.

ECW

Příkaz převede vybraný rastrový soubor do formátu ECW.

PCX

Příkaz převede vybraný rastrový soubor do formátu PCX.

JPEG2000

Příkaz převede vybraný rastrový soubor do formátu JPEG2000.

Export rastru se změnou barvy průhledné části

Příkaz převede vybraný zamaskovaný Truecolor rastr do jiného rastrového formátu. Přitom se průhledná část rastru obarví vybranou barvou. takže jiné programy interpretují samotný rastr stejně jako TopoL.


Import
Tiff

Příkaz slouží pro převod rastrových dat z formátu Tiff do formátu RAS .

BMP

Příkaz slouží pro převod rastrových dat z formátu BMP do formátu RAS .

GIF

Příkaz slouží pro převod rastrových dat z formátu GIF do formátu RAS .

JPG

Příkaz slouží pro převod rastrových dat z formátu JPG do formátu RAS .

SID

Příkaz slouží pro převod rastrových dat z formátu SID do formátu RAS .

CIT

Příkaz slouží pro převod rastrových dat z formátu CIT do formátu RAS .

COT

Příkaz slouží pro převod rastrových dat z formátu COT do formátu RAS .

RGB

Příkaz slouží pro převod rastrových dat z formátu RGB do formátu RAS .

RLE

Příkaz slouží pro převod rastrových dat z formátu RLE do formátu RAS .

PCX

Příkaz slouží pro převod rastrových dat z formátu PCX do formátu RAS .

ECW

Příkaz slouží pro převod rastrových dat z formátu ECW do formátu RAS .

HRF

Příkaz slouží pro převod rastrových dat z formátu HRF do formátu RAS .

IMG

Příkaz slouží pro převod rastrových dat z nestandardního souboru IMG do formátu RAS .

JPEG2000

Příkaz slouží pro převod rastrových dat ze souboru JPEG2000 do formátu RAS .

Transformace rastru umístěných transformační maticí

Příkaz slouží pro import rastrů, jejichž lokalizace obsahuje prvek rotace, tj. rastr je umístěn pomocí obecné transformační matice afinní transformace. Tato matice je obvykle uložena v pomocném souboru pro lokalizaci (TFW, BPW, apod.). Může ale být uložena i přímo v souborech typu Geotiff. Tyto rastry lze sice od verze TopoLu xT 8.0 zobrazovat přímo, ale jinak s nimi nelze provádět geometrické operace. Importem do jiného rastru také odpadá nutnost transformovat rastr během zobrazování, takže dojde k urychlení zobrazování .


Rastry a adresáře

Lze nastavit adresář, který obsahuje rastry. Toto se provádí v nastavení vlastností projektu – Adresář s rastry. Po volbě příkazu Rastry ve výřezu z adresáře systém zkontroluje všechny rastry v legendě aktivního mapového okna a ty, které nejsou ve výřezu okna vypustí. Potom prohledá definovaný adresář a ty rastry, které by mohly být zobrazeny v aktivním adresáři otevře a zobrazí v aktivním okně.


Rastrový editor maker

Příkaz slouží ke snadnému vytváření a vykonávání posloupností příkazů s rastry, popř. pro hromadné operace s rastrovými daty, v programu TopoL. K definování a spouštění existujících maker se užívá speciální editor maker.


Rastrový manager

Příkaz slouží ke usnadnění práce s rastry v projektu. Umožňuje pracovat v projektu jen s těmi rastry, které jsou pro práci momentálně potřeba. Rastry lze rozčlenit obdobně jako v projektu do hierarchicky uspořádaných složek. Každá složka může mít předdefinovány vlastnosti (barva, hranice rastrů, jejich průhlednost, souřadný systém), které "dědí" zařazené rastry. Rastry z jednotlivých složek lze pak pružně zařazovat do projektu s předdefinovanými vlastnostmi.


Menu Analýza

Hledat...

Umožní prohledat zvolené tabulky otevřené v projektu, zda v jejich textových položkách (položkách typu string) je určitý text. Po volbě příkazu se objeví průvodce hledáním.

Výsledky hledání...

Po provedení operace Hledání se výsledek uloží do vnitřního seznamu TopoLu. Tento seznam je možno kdykoliv zobrazit funkcí Analýza – Výsledek hledání. Tato funkce se také automaticky po uložení do vnitřního seznamu spustí.

Plošná kalkulace

Operace provede dynamický průnik polygonu s vybranými vektorovými daty, následný výběr objektů uvnitř polygonu s vyčíslením výrazu v jazyce ToPas a vytvoří výstupní rekapitulaci pro jednotlivé druhy - sumarizaci dle zadaného výrazu pro každý požadovaná druh.

U všech variant funkce se musí standardním nástrojem zadat uzavřený polygon. Po jeho potvrzení se provedou výpočty (najdou se body uvnitř polygonu, popř, se provede průnik polygonu s liniemi, resp. s plochami - původní data zůstávají beze změny). Nakonec se provede vyhodnocení - pro ty body, části linií a ploch, které padnou dovnitř polygonu se vyčíslí předem zadaný výraz v jazyce TOPAS a objeví se okno s textovým výstupem. V něm je výsledek sumarizace zrekapitulován pro každý druh, u něhož nějaký objekt padne do polygonu. Okno je vlastně velmi jednoduchý textový editor, kde můžeme výsledek graficky upravit uložit do textového souboru či do clipboardu.

Plošná kalkulace se všemi objekty

Tato varianta funkce Plošné kalkulace umožní pracovat zároveň se všemi typy objektů.

Plošná kalkulace s body

Tato varianta funkce Plošné kalkulace umožní pracovat pouze s bodovými objekty (tj. s těmi, které padnou dovnitř zadaného polygonu).

Plošná kalkulace s liniemi

Tato varianta funkce Plošné kalkulace umožní pracovat pouze s liniovými objekty (tj. s těmi liniemi, které protínají polygon nebo celé padnou dovnitř zadaného polygonu).

Plošná kalkulace s vybranými plochami

Tato varianta funkce Plošné kalkulace umožní pracovat pouze s předem vybranými plošnými objekty (tj. s těmi plochami, které se částečně překrývají se zadaným polygonem nebo celé padnou dovnitř zadaného polygonu a které mají položku _SELECT = 1 ).

Výběry...

Umožní provádět výběry (měnit atribut _SELECT) grafických objektů (bod, linie, plocha, text) v datech otevřených v projektu. Po volbě příkazu se objeví dialog pro definici parametrů výběru.

Výběry textů...

Otevře dialog pro vybírání textů.

Topologické výběry ploch...

Umožní provádět výběry (měnit atribut _SELECT) ploch v blocích otevřených v projektu na základě jejich topologických vlastností. To je například na tom, zda plocha je či není enklávou, zda má či nemá enklávu atd.

Topologické výběry linií...

Umožní provádět výběry (měnit atribut _SELECT) linií v blocích otevřených v projektu na základě jejich topologických vlastností. To je například na tom, zda tvoří hranici plochy nebo ne.

Připojení, Modely...

Umožňuje definici databázových modelů. Pokud chceme propojit tabulku vektorových dat s externí databází, musíme pomocí dialogu nejdříve určit tuto databázi pomocí připojení a potom nadefinovat propojení jednotlivých tabulek pomocí klíčových položek.

Geometrické relace...

Tato funkce slouží k analýze geometrických vztahů jednotlivých grafických objektů. Po volbě příkazu se objeví dialog, kde se definují tabulky, pro které se vztahy bude analyzovat a geometrické relace.


Menu Databázové okno

Submenu "Databázové okno" obsahuje nejdůležitější příkazy pro práci s prohlížeči databázových tabulek. Objeví se, resp. je aktivní pouze v případě, že nějaké databázové okno je aktivní.

Zobrazení

Příkaz umožňuje nastavit pro aktivní databázovou tabulku zobrazení jejích sloupců - vypínat, zapínat a nastavovat popis záhlaví sloupců.

Změna struktury

Příkaz umožní pro každou editovatelnou tabulku změnit její strukturu pomocí standardního dialogu.

Standardní pořadí položek

Příkaz pro aktivní databázovou tabulku nastaví pořadí zobrazených sloupců tak, jak je zapsáno v databázovém souboru.

Setřídění

Příkaz umožňuje nastavit třídící klíč pro aktivní databázovou tabulku.

Pouze vybrané

Příkaz umožňuje pro vybranou databázovou tabulku zobrazit pouze vybrané záznamy, tj. záznamy s hodnotou položky _Select = 1.

Výběr dle výrazu

Příkaz umožňuje pro aktivní databázovou tabulku sestavit dotaz v jazyce ToPas pro výběr záznamů v tabulce (měnit atribut _SELECT u interních tabulek, resp. zvýraznit záznamy u externích tabulek). Používají se standardní dialogy pro výběr a editaci výrazů.

Dotaz

Příkaz umožňuje pro interní databázovou tabulku sestavit dotaz pro výběr záznamů v tabulce (měnit atribut _SELECT). Používá se průvodce v dialogu pro Modely a připojení. Tento druh dotazu umožňuje zadat i kritéria pro výběr pomocí geometrických relací mezi objekty v různých tabulkách (např. vybrat plochy obsahující nějaké body z tabulky bodů).

Porovnání položek

Příkaz umožňuje pro aktivní databázovou tabulku sestavit jednoduchý dotaz pro výběr záznamů dle zadaných kritérií. Dotaz má formu porovnání hodnot dvou vybraných sloupců tabulky.

Výběr dle filtru

Záznamy databáze (nejen zobrazené) se označí jako vybrané (tj. v těchto záznamech se hodnota položky _Select nastaví na 1), pokud je splněn test dle zadaného jednoduchého filtru - skupina podmínek (relací) na jednotlivé atributy tabulky.

Výřez dle zvýrazněných

Příkaz umožňuje nastavit výřez vybraného mapového okna, který odpovídá zvýrazněným záznamům aktivní databázové tabulky. Odpovídající grafické objekty jsou v mapovém okně zároveň zobrazeny zvýrazněně.

Zobrazovat zvýrazněné objekty

Příkaz umožňuje zobrazovat grafické objekty odpovídající zvýrazněným záznamům tabulky v jednom z mapových oken. Je možno zobrazovat i více záznamů, většinou stačí poklepat na libovolnou položku požadovaného záznamu.

Statistika

Příkaz umožňuje počítat sumu, průměr, standardní odchylku, minimální a maximální hodnotu zvolené položky databázové tabulky.

Tisk

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu pro aktivní databázovou tabulku.

Sestava master-detail

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu, která kombinuje záznamy aktivní databázové tabulky se záznamy primární tabulky, ze které byla aktivní tabulka navázána. Příkaz je proto dostupný pouze pro navázané tabulky.

Externí tabulka

Příkaz umožňuje pro aktivní databázovou tabulku zobrazit jinou databázovou tabulku provázanou s primární tabulkou přes klíčové položky.

V TopoLu xT k definici tzv. databázového modelu slouží speciální dialog přístupný ze submenu "Analýza" příkazem "Dotazy". Zde se dají nadefinovat připojené databáze - ne již nutně ve formátu DBF a zároveň nadefinovat hierarchické vazby mezi vzájemně propojenými tabulkami definicí párů klíčových položek.

Graf

Příkaz umožňuje pro aktivní databázovou tabulku zobrazit graf vybrané numerické položky.


Menu Mapové okno

Zobrazit / skrýt legendu

V aktivním mapovém okně zobrazí nebo skryje legendu.

Zobrazit / skrýt okno s přehledem dat

V aktivním mapovém okně zobrazí nebo skryje okno s přehledem dat.

Zobrazit / skrýt standardní panel nástrojů v legendě

Zobrazí, nebo skryje standardní panel nástrojů v legendě aktivního mapového okna.

Zobrazit / skrýt panel viditelnosti vrstev v legendě

Zobrazí, nebo skryje panel nástrojů pro viditelnost vrstev v legendě aktivního mapového okna.

Aktualizovat okno s náhledem dat

Provede překreslení okna s náhledem dat.

Automaticky aktualizovat okno s náhledem dat

Volba, zda bude automaticky aktualizováno okno s náhledem dat.

Viditelnost vrstev v okně s přehledem dat...

Otevře dialog, kde lze zvolit jaké vrstvy, zobrazené v aktivním mapovém okně, se budou zobrazovat také v okně s náhledem dat.

Vlastnosti mapového okna...

Pomocí dialogu Vlastnosti mapového okna umožní nastavit parametry aktivního mapového okna.

Duplikáty mapového okna
Vytvořit kopii

Vytvoří nové mapové okno, které bude shodné s aktivním mapovým oknem.

Vytvořit dceřinné okno

Vytvoří duplikát aktivního mapového okna, který se zároveň stane jeho dceřinným oknem (viz. dceřinná mapová okna).

Vytvořit synchronizované okno

Vytvoří duplikát aktivního mapového okna, který bude s aktivním mapovým oknem synchronizován (viz. synchronizovaná mapová okna).

Dceřinná okna

Otevře dialog Dceřinná okna, kde lze definovat hierarchii dceřinných mapových oken.

Synchronizace

Otevře dialog Synchronizace oken, kde lze definovat skupiny synchronizovaných mapových oken.

Výřez do clipboardu

Pomocí výběrového obdélníku s proměnným poměrem stran umožní vybrat oblast mapového okna. Po potvrzení se výřez v podobě bitové mapy zkopíruje do schránky.

Atributy objektu

Pomocí výběrového obdélníku s proměnným poměrem stran umožní vybírat vektorové objekty a zobrazovat o nich informace.

Atributy objektu v DB okně

Po spuštění příkazu se vybere, popř. otevře nové databázové okno. Standardním výběrovým obdélníkem se vybírají v mapových oknech vektorové objekty. Pokud se vybere jeden či více objektů z vybrané tabulky, odpovídající záznamy v databázové tabulce se zvýrazní a první takový záznam se stane aktuálním.

Aplikační formuláře

Pomocí výběrového obdélníku s proměnným poměrem stran umožní vybírat vektorové objekty a zobrazovat o nich informace ve formě uživatelsky definovaných formulářů, které mohou zobrazovat např. textové soubory, rastrové obrázky, přehrávat AVI soubory apod. Tyto formuláře odpovídají NDI definičním souborům. Ty lze vytvořit v lokálním menu okna Data pro jednotlivé tabulky pomocí průvodce.

Rychlé zobrazení DB atributu

Funkce umožní zobrazit v mapovém okně DB atributy objektů, nad kterými se pohybujeme myší (od verze TopoLu 9.5).

Rychlé vyhodnocení výrazu

Funkce umožní zobrazit v mapovém okně DB výraz v jazyce ToPas pro objekty, nad kterými se pohybujeme myší (od verze TopoLu 9.5).

Měření vzdálenosti

Ctrl+H

Pomocí standardního nástroje (umožňuje i chytání) se sejme řada lomových bodů. V přehledovém okně je vidět informace o celkové délce nasnímané linie a o souřadnicích lomových bodů.

Měření plochy

Funkce umožní sejmout uzavřený polygon a zobrazí jeho plochu na dolní informační řádce včetně délky obvodové linie.


Menu Okno

Nové mapové okno

Vytvoří nové mapové okno. Implicitní parametry pro nově vytvářená mapová okna lze upravit v Nastavení projektu, položka Mapové okno, které je přístupné z menu Projekt, příkaz Vlastnosti projektu.

Nové databázové okno

Otevře databázovou tabulku vybranou ve stromě dat v novém databázovém okně.

Dokovací okna

Skupina příkazů pro zobrazení, resp. skrytí dokovacích oken.

Kaskáda

Seřadí mapová a databázová okna do kaskády - uspořádá je tak, aby titulkový pruh co největšího počtu těchto oken byl viditelný.

Dlaždice vedle sebe

Seřadí mapová a databázová okna tak vedle sebe tak, aby se nepřekrývala.

Dlaždice nad sebe

Seřadí mapová a databázová okna tak nad sebe tak, aby se nepřekrývala.

<seznam mapových oken>

Na tomto místě se zobrazuje seznam všech otevřených oken - kliknutím na položku menu se stane příslušné okno aktivní.


Dokovací okna

Skupina příkazů pro zobrazení, resp. skrytí dokovacích oken. Kromě panelu s oknem dat a kategoriemi jsou od verze TopoLu 9.5 k dispozici i další panely. Jsou-li tyto panely zobrazeny mohou být kdykoli během editace použitypro nastavení různých parametrů, které ovlivňují editační proces.

Zobrazit/skrýt strom dat

F9

Zobrazí, resp. skryjeokno ze stromem dat.

Zobrazit/skrýt kategorie

Zobrazí, resp. skryje panel Kategorie.

Parametry chytání

Shift+C

Zobrazí, resp. skryje panel Parametry chytání.

Parametry tvorby linií

Shift+P

Zobrazí, resp. skryje panel Parametry tvorby linií

Vlastnosti editace

Shift+E

Zobrazí, resp. skryje panel Vlastnosti editace


Menu Nápověda

Jak začít

Otevře další nápovědu, která obsahuje stručný úvod do prostředí TopoLu xT formou uživatelské příručky. Ta je zpracována jako modelový projekt s jednoduchým příkladem.

Rejstřík

Otevře rejstřík této nápovědy.

Obsah

Otevře obsah této nápovědy.

O programu

Otevře dialogové okno se základními informacemi o verzi TopoLu.


Panely nástrojů

Popis panelů nástrojů v pořadí v jakém jsou umístěny v programu. Klávesové zkratky a obrázky jsou uvedeny ze standardní verze TopoLu xT - tzn. bez modifikace uživatelem.

Analýza
Data
Databázové okno
Editace
Mapové okno
Nástroje
Okno
Posun okna
Projekt
Uživatelská lišta nástrojů
Značky
Zobrazení

Panely nástrojů jsou takzvaně dokovací. To znamená, že je lze libovolně seskupit - buď na horní nebo dolní liště nástrojů, popř. je lze umístit kdekoli mimo panel nástrojů. Jednotlivé panely nástrojů se umístí přetažením myší, kdy se musí "uchopit" za svůj levý okraj.


Panel nástrojů Analýza

Panel nástrojů Analýza


Panel nástrojů Data

Panel nástrojů Data
Zobrazit strom dat

Zobrazí okno ze stromem dat.

Nový blok

Ctrl+F3

Dle zadaného adresáře vytvoří nový blok.

Otevření bloků

Shift+F3

Otevře TopoLovské bloky a přidá je do stromu dat.

Otevření Shapefile a dalších vektorových dat

Alt + F3

Otevře Shapefile, popř. jiná vektorová data a přidá je do stromu dat.

Otevření rastrů

F4

Otevře rastry a přidá je do stromu dat.

Nový grid

Ctrl+G

Vytvoří nový grid a přidá jej do stromu dat.

Nový klad mapových listů

Ctrl+M

Vytvoří nový klad mapových listů a přidá jej do stromu dat.

Nová složka

Shift+Ctrl+F

Vytvoří ve stromu dat na aktuální pozici novou složku.

Nastavit pro editaci

F3

Data vybraná ve stromě dat nastaví pro editaci.

Uložit editovaná data

Ctrl+S

Uloží data právě nastavená pro editaci.

Zavření datového zdroje

Zavře všechna data vybraná ve stromě dat.


Panel nástrojů Databázové okno

Panel nástrojů Databázové okno
Zobrazení

Příkaz umožňuje nastavit pro aktivní databázovou tabulku zobrazení jejích sloupců - vypínat, zapínat a nastavovat popis záhlaví sloupců.

Změna struktury

Příkaz umožní pro každou editovatelnou tabulku změnit její strukturu pomocí standardního dialogu.

Setřídění

Příkaz umožňuje nastavit třídící klíč pro aktivní databázovou tabulku.

Výběr dle výrazu

Příkaz umožňuje pro aktivní databázovou tabulku sestavit dotaz v jazyce ToPas pro výběr záznamů v tabulce (měnit atribut _SELECT u interních tabulek, resp. zvýraznit záznamy u externích tabulek).

Výběr dle filtru

Záznamy databáze (nejen zobrazené) se označí jako vybrané (tj. v těchto záznamech se hodnota položky _Select nastaví na 1), pokud je splněn test dle zadaného jednoduchého filtru - skupina podmínek (relací) na jednotlivé atributy tabulky.

Sumarizace dle výrazu

Používá se pro zjištění numerických charakteristik pro zadaný výraz v jazyce ToPas, jako je součet, počet, minimum, maximum, rozsah a průměr. Statistika se týká vždy jen zobrazených záznamů tabulky. Pro zadání výrazu, jehož výsledek musí být číselného typu, se používá standardní dialog pro výběr výrazu, resp. editor výrazu.

Tisk

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu pro aktivní databázovou tabulku.

Výřez dle zvýrazněných

Příkaz umožňuje nastavit výřez vybraného mapového okna, který odpovídá zvýrazněným záznamům aktivní databázové tabulky. Odpovídající grafické objekty jsou v mapovém okně zároveň zobrazeny zvýrazněně.

Externí tabulka

Příkaz umožňuje pro aktivní databázovou tabulku zobrazit jinou databázovou tabulku provázanou s primární tabulkou přes klíčové položky.


Panel nástrojů Editace

Panel nástrojů Editace
Tento panel obsahuje nejdůležitější editační nástroje pro body, linie, plochy a texty. Nabídka odpovídá nástrojům z hlavního menu Editace.


Panel nástrojů Mapové okno

Panel nástrojů Mapové okno
Zobrazit legendu

F10

V aktivním mapovém okně zobrazí legendu.

Zobrazit/Skrýt okno s přehledem dat

F11

Pro aktivní mapové okno se zobrazí (skryje) okno s přehledem dat.

Atributy objektu

Pomocí výběrového obdélníku s proměnným poměrem stran umožní vybírat vektorové objekty a zobrazovat o nich informace.

Lokální nabídka

Nad aktivním mapovým oknem se zobrazí aktuální (dle kontextu právě prováděné operace) lokální nabídka.


Panel nástrojů Nástroje

Panel nástrojů Nástroje
Převodníky barev

Otevře dialog pro správu převodníků barev v projektu.

Převodníky značek

Otevře dialog ze pro správu převodníků značek v projektu.

Kartodiagramy

Otevře dialog pro správu kartodiagramů.

Možnosti

Otevře dialog pro nastavení parametrů prostředí TopoLu xT.

Zprávy programu

Otevře dialog ze zprávami TopoLu xT.


Panel nástrojů Okno

Panel nástrojů Okno
Nové mapové okno

Vytvoří nové mapové okno. Implicitní parametry pro nově vytvářená mapová okna lze upravit v Natavení projektu, položka Mapové okno, které je přístupné z menu Projekt, příkaz Vlastnosti projektu.

Nové databázové okno

Otevře databázovou tabulku vybranou ve stromě dat v novém databázovém okně.

Kaskáda

Seřadí mapová a databázová okna do kaskády - uspořádá je tak, aby titulkový pruh co největšího počtu těchto oken byl viditelný.

Dlaždice nad sebe

Seřadí mapová a databázová okna tak nad sebe tak, aby se nepřekrývala.

Dlaždice vedle sebe

Seřadí mapová a databázová okna tak vedle sebe tak, aby se nepřekrývala.

Výběr okna

Otevře dialog se seznamem právě otevřených oken. V tomto dialogu lze jedno okno vybrat - to se stane aktivním. Po kliknutí na šipku u tlačítka na panelu nástrojů se objeví seznam právě otevřených oken - po kliknutí na některou položku seznamu se stane aktivním okno reprezentované touto položkou.


Panel nástrojů Posun okna

Panel nástrojů Posun okna
Pomocí šipek se posouvá výřez aktivního mapového okna v příslušném směru. Prostřední ikona slouží pro Přesun za kurzorem (F7).


Panel nástrojů Projekt

Panel nástrojů Projekt
Nový projekt

Na základě implicitní šablony vytvoří nový projekt. Právě otevřený projekt bude uzavřen.

Projekty

Ctrl+O

Otevře existující projekt. Právě otevřený projekt bude uzavřen. Po kliknutí na šipku u tlačítka na panelu nástrojů se objeví seznam posledních otevřených projektů - po kliknutí na některý z nich bude tento otevřen.

Uložit projekt

Uloží právě otevřený projekt na disk. Pokud je projekt ukládán poprvé, je uživatel vyzván k zadání umístění projektu.

Uložit vše

Uloží právě otevřený projekt na disk a zároveň uloží všechna změněná data.

Otisk aktivního mapového okna

Ctrl+P

Vytiskne aktivní mapové okna na tiskárnu v podobě, v jaké je toto okno právě zobrazováno.


Panel nástrojů Značky

Panel nástrojů Značky

Tato lišta slouží k zadaní defaultní barvy a značky pro body, linie, plochy, které se ukládají při vytváření vektorových objektů.


Panel nástrojů Zobrazení

Panel nástrojů Zobrazení
Překreslit

Alt+O

Provede překreslení aktivního mapového okna.

Zoom +

F5

Zmenšení kresby aktivního mapového okna dle graficky zadaného rozměru. Rozměr se zadává výběrovým obdélníkem s pevně daným poměrem stran.

Zoom -

Shift + F5

Zvětšení kresby aktivního mapového okna dle graficky zadaného rozměru. Rozměr se zadává výběrovým obdélníkem s pevně daným poměrem stran.

Nastavení měřítka

Pomocí dialogu Nastavení měřítka umožní přesně nastavit měřítko zobrazení aktivního mapového okna.

Přesun za kurzorem

F7

Příkaz posune střed kresby v aktivním mapovém okně, tak, aby místo, kde se nachází kurzor, bylo uprostřed aktivního mapového okno.

Posun

Shift + F7

Příkaz posune výřez kresby v aktivním mapovém okně, tak, jak se zadá posun okna pomocí speciálního nástroje. Ten se nastartuje kliknutím myši a posun se provede tažením.

Předchozí výřez

F8

Změní výřez v aktivním mapovém okně na předchozí použitý (včetně souřadného systému).

Následující výřez

Shift+F8

Změní výřez v aktivním mapovém okně na následující (na ten, který byl nastaven jako poslední před použitím příkazu Předchozí výřez).

Správa pojmenovaných výřezů...

Otevře dialog Výřezy, kde lze přidávat, mazat a nastavovat pojmenované výřezy. Po kliknutí na šipku u tlačítka na panelu nástrojů se objeví seznam pojmenovaných výřezů definovaných v projektu- po kliknutí na některý z nich bude tento nastaven v aktivním mapovém okně.

Zobrazit vše

Ctrl+F5

Změní výřez v aktivním mapovém okně tak, aby byla zobrazena všechna data v něm zařazená a viditelná.

Nastavení zobrazování

Alt+Z

Pomocí dialogu Zobrazení umožní nastavení zobrazení dat v aktivním mapovém okně.


Stavový řádek

Stavový řádek je umístěn v dolní části hlavního okna a zobrazují se v něm průběžné informace: Pokud vybíráte nějaký příkaz z menu nebo panelu nástrojů, je ve stavovém řádku zobrazen pouze jeden panel s popisem právě vybíraného příkazu. Jinak záleží na aktivním okně:

Stavový řádek pro mapové okno

Stavový řádek pro mapové okno má celkem čtyři panely (zleva):

  • Výpis souřadnic aktuální polohy kurzoru nad mapovým oknem. Souřadnice se vypisují v souřadném systému mapového okna, jako první se vypisuje horizontální souřadnice, jako druhá vertikální.

    Poznámka

    Formát výpisu souřadnic lze nastavit v dialogu Nastavení prostředí, kategorie Prostředí. Tento dialog je dostupný z menu Nástroje, příkaz Možnosti.


Nastavení parametrů prostředí

Nastavení parametrů prostředí se provádí pomocí dialogu Nastavení prostředí, který je přístupný z menu Nástroje, příkaz Možnosti.

Poznámka

Parametry nastavované v tomto dialogu jsou použity pro aplikaci - nevztahují se k projektu. Vlastnosti projektu lze nastavit příkazem Vlastnosti z menu Projekt.

Stisknutím tlačítka Původní se obnoví hodnoty parametrů, které byly aktuální při posledním otevření tohoto dialogu. Stisknutím tlačítka OK potvrdíte změny a zavřete tento dialog, stisknutím tlačítka Storno ukončíte nastavování parametrů bez uložení změn. Tlačítkem Nápověda otevřete tuto nápovědu.

Dialog Nastavení prostředí

Jednotlivé parametry nastavení prostředí jsou rozděleny do několika kategorií zobrazených ve "stromové" struktuře v poli vpravo:

  • Obecné

  • Prostředí

  • Otevření/zavření dat

  • Automatické ukládání

  • Editace

  • Editace - lupa

  • Editace - barvy

  • Editace - zvuky

  • Editace - kurzor

  • Editace - křivky

  • Práce s rastry

  • Umístění souborů

  • Substituce adresářů

  • Zoom kolečkem

  • Protokol událostí

  • GPS - zvuky

  • Internet


Nastavení parametrů prostředí - kategorie Obecné

Dialog Nastavení prostředí, kategorie Obecné
Jazyk

V tomto poli lze zvolit jazyk programu. Ve zvoleném jazyce se potom budou zobrazovat všechny položky menu, popisy v dialozích, hlášky, atd.

Poznámka

Změna jazyka se projeví až po restartu programu.

Otevírání projektů

Projekty ke znovuotevření se zobrazují v menu Projekt, submenu Poslední otevřené projekty. Zde lze nastavit počet nabízených projektů v tomto menu. Stisknutím tlačítka Odstranit neexistující se z tohoto menu odstraní odkazy na všechny projekty, které již nejsou na disku.

Zaškrtnutí pole Při startu automaticky... ovlivňuje, zda se po startu programu automaticky načte projekt, který byl otevřen při posledním ukončení programu (pole je zaškrtnuto) nebo zda bude při startu aplikace vytvořen nový projekt dle implicitní šablony (pole není zaškrtnuto).

Otevírání DBF tabulek

V této sekci lze zvolit driver, který systém použije pro otevírání DBF tabulek. K dispozici jsou tři možnosti:

  • FoxPro driver
  • Provider Jet
  • dBase driver
  • TopoL DBF driver

Nový DBF driver (TopoL driver), který odstraňuje některé problémy s Visual FoxPro driverem, je implementován od verze TopoLu 9.5.


Nastavení parametrů prostředí - kategorie Prostředí

Dialog Nastavení prostředí, kategorie Prostředí
Prostředí

Hlášky do okna - pokud je toto pole zaškrtnuto, jsou hlášky programu zobrazovány v okně Zprávy programu (toto okno je přístupné z menu Nástroje, příkaz Zprávy programu). Jinak jsou hlášky zobrazovány standardně jako modální dialogy operačního systému.

Po startu vytvořit mapové okno (u projektů ze standardní šablony) - pokud je toto pole zaškrtnuto, bude po vytvoření projektu ze standardní šablony vytvořeno nového mapové okno.

Poznámka

Toto nastavení platí pouze pro nové projekty vytvářené na základě standardní šablony. Při vytváření projektů z jiných šablon budou akceptována mapová okna v ní uložená. (viz. kapitola Nový projekt).

Počet desetinných míst při výpisu souřadnic v systémech

V obou polích - pro projekční a geografické souřadné systémy - se zadává počet desetinných míst, na které se budou vypisovat souřadnice do stavového řádku.

Formát výpisu souřadnic v geografických souřadných systémech

Výběrem jednoho z polí zvolte formát výpisu souřadnic do stavového řádku pro geografické souřadné systémy.

Úhlové jednotky

Výběrem jednoho z polí zvolte jednotku pro úhly zadávané v dialozích v TopoLu xT.


Nastavení parametrů prostředí - kategorie Otevření/zavření dat

Dialog Nastavení prostředí, kategorie Otevření/zavření dat
Při otvírání dat nabídnout výběr tabulek u

V této kategorii se nastavuje chování systému při otevírání některých typů dat které obsahují více vrstev (tabulek). Pokud se u příslušného formátu dat zatrhne, že se má provádět výběr tabulek při otevření, pak se po výběru dat ve standardním dialogu objeví dialog pro výběr tabulek se kterými se dále bude pracovat (zařadí se do stromu dat). Ostatní tabulky se ignorují. Jedná se o data ve formátech:

  • ShapeFile

  • Map Info

  • Open GIS MDB

  • Geomedia MDB

Zařazování do stromu dat

V této kategorii se nastavuje chování systému při otevírání dat, které obsahují více vrstev (tabulek). Pokud se zatrhne přepínač Při zařazení rozbalit složku dat., pak se po výběru dat a zařazení se do stromu dat odpovídající složka dat buď celá rozbalí, nebo zůstane zabalená do jednoho řádku stromu dat.


Nastavení parametrů prostředí - kategorie Překreslování

Dialog Nastavení prostředí, kategorie Překreslování

V této kategorii se nastavuje chování mapových oken při otevření (vytvoření) a zavření dat. Určuje se zde, jak se budou data zařazovat do mapových oken a jak se budou automaticky překreslovat.

Zařazování data při jejich otevření (vytvoření)

Vektorová data - určuje jak se budou zařazovat vektorová data po jejich otevření do mapových oken.

Rastry - určuje jak se budou zařazovat rastry po jejich otevření do mapových oken.

Gridy - určuje jak se budou zařazovat gridy po jejich vytvoření do mapových oken.

Mapové listy - určuje jak se budou zařazovat mapové listy po jejich vytvoření do mapových oken.

WMS servery - určuje jak se budou zařazovat WMS servery po jejich otevření do mapových oken.

Pro všechny druhy dat lze individuálně nastavit jednu z těchto možností:

  • Nezařazovat do mapových oken

    Právě otevřená (vytvořená) data nebudou zařazena do žádného mapového okna.

  • Zařadit do aktivního mapového okna

    Právě otevřená (vytvořená) data budou zařazena do aktivního mapového okna. Pokud není žádné mapové okno otevřeno, bude vytvořeno nové.

  • Zařadit do všech mapových oken

    Právě otevřená (vytvořená) data budou zařazena do všech existujících mapových oken. Pokud není žádné mapové okno otevřeno, bude vytvořeno nové.

  • Zařadit všechna data do jednoho nového mapového okna

    Právě otevřená (vytvořená) data budou zařazena do jednoho nově otevřeného mapového okna.

  • Zařadit každá data do nového mapového okna

    Každá právě otevřená (vytvořená) data budou zařazena do nově otevřeného mapového okna.

  • Zařadit pouze do mapových oken se shodným souřadným systémem

    Právě otevřená (vytvořená) data budou zařazena do všech existujících mapových oken, která mají souřadný systém shodný s těmito daty.

Překreslování mapových oken při zavírání dat

Určuje jak se budou překreslovat mapová okna po zavření dat. K dispozici jsou tři možnosti:

  • Nepřekreslovat

    Žádná mapová okna nebudou po zavření dat automaticky překreslena.

  • Překreslit aktivní mapové okno

    Po zavření dat bude překresleno jen aktivní mapové okno (pokud v něm byla zobrazena právě zavřená data).

  • Překreslit všechna mapová okna

    Po zavření dat budou překreslena všechna mapová okno, v kterých byla zobrazena právě zavřená data.


Nastavení parametrů prostředí - 3D

Dialog Nastavení prostředí, kategorie 3D
Otevíráni dat

V tomto poli lze zvolit jak se mají otevírat již existující data s ohledem na třetí Z-ovou souřadnici.

  • dle dat

    Vektorová data (v libovolném podporovaném formátu) se budou otevírat jako 3D data podle aktuálního stavu dat. Data obsahující informaci o Z-souřadnici se budou interpretovat jako 3D data, ostatní pak jako 2D data.

  • vždy 2D

    Vektorová data (v libovolném podporovaném formátu) se budou otevírat vždy jako 2D data bez ohledu na aktuální stav dat. Data obsahující informaci o Z-souřadnici se budou interpretovat jako 2D data, informace o Z-souřadnici se ignorují. Data se pak ukládají jako 2D.

  • vždy 3D

    Vektorová data (v libovolném podporovaném formátu) se budou otevírat vždy jako 3D data bez ohledu na aktuální stav dat. Data obsahující informaci o Z-souřadnici se budou interpretovat jako 3D data, ostatní data budou mít Z-souřadnici vždy nula. Data se pak ukládají jako 3D.

Zaškrtnutí pole Upřednostnit nastavení v projektu znamená, že při otevírání dat bude mít (ohledně 3D) prioritu nastavení v projektu nad tímto nastavením.

Poznámka

Změna jazyka se projeví ihned bez restartu programu.
Nová data

V tomto poli lze zvolit jak se mají vytvářet nová data s ohledem na třetí Z-ovou souřadnici.

  • vždy 2D

    Vektorová data se budou vytvářet a ukládat vždy jako 2D data.

  • vždy 3D

    Vektorová data se budou vytvářet a ukládat vždy jako 3D data.

Zaškrtnutí pole Upřednostnit nastavení v projektu znamená, že při vytváření nových dat bude mít (ohledně 3D) prioritu nastavení v projektu nad tímto nastavením.

Poznámka

Změna jazyka se projeví ihned bez restartu programu.


Nastavení parametrů prostředí - kategorie Automatické ukládání

Dialog Nastavení prostředí, kategorie Automatické ukládání
Automaticky ukládat modifikovaná data

Pokud je toto pole zaškrtnuto, budou ve zvoleném intervalu, automaticky ukládána modifikovaná data.

Poznámka

Při automatickém ukládání se nevytváří záložní kopie dat (BAK). Tato kopie je vytvářena pouze při uložení dat uživatelem. Výjimku tvoří první automatické uložení dat, pokud dosud nebyla záložní kopie vytvořena při uložení uživatelem.

Automaticky ukládat projekt

Pokud je toto pole zaškrtnuto, budou ve zvoleném intervalu, automaticky ukládán projekt.

Poznámka

Automatické uložení projektu se provede pouze v případě, že projekt již existuje na disku.

Interval automatického ukládání

Do tohoto pole se zadává interval (v minutách), automatického ukládání. Interval je možné zadat v celých minutách v rozsahu 1 - 60 minut.


Nastavení parametrů prostředí - kategorie Editace

Dialog Nastavení prostředí, kategorie Editace
Velikost editačních čtverců

Číslo v poli určuje velikost čtverců používaných při editaci vektorových objektů. Velikost je zadávána v pixelech a může být v rozsahu 4 - 35 pixelů. Náhled editačního čtverce se aktualizuje s každou změnou zadávané hodnoty.

Šířka průvodičů

Číslo v tomto poli určuje šířku průvodičů používaných při editaci vektorových objektů a při změnách výřezů. Velikost je zadávána v pixelech a může být v rozsahu 1 - 10 pixelů. Náhled průvodiče je zobrazován v poli vpravo.

Při editaci databáze zobrazovat položky pouze pro čtení

Pokud je toto pole zaškrtnuto, budou při editaci databází (v databázovém okně i při editaci jednotlivých záznamů u vektorových objektů) zobrazovány také položky, které jsou určeny pouze pro čtení - tzn. nedají se modifikovat uživatelem.

Při vkládání nových objektů zobrazovat dialog s DB atributy.

Pokud je toto pole zaškrtnuto, bude při vkládání nových vektorových objektu zobrazován dialog s DB atributy pro jejich případnou modifikaci. V opačném případě se dialog nezobrazí a DB atributy zůstanou nevyplněné.

Zkrácené kontextové nabídky.

Pokud je toto pole zaškrtnuto, bude při editování vektorových objektu zobrazováno pouze zkrácené kontextové menu. Budou v něm uvedeny pouze editační příkazy. V opačném případě se kontextová nabídka zobrazí celá včetně např. příkazů na změnu a nastavení zobrazení.


Nastavení parametrů prostředí - kategorie Editace - lupa

Dialog Nastavení prostředí, kategorie Editace - lupa
Používat lupu

Toto pole určuje zda bude při editaci používána lupa.

Centrovat lupu na čáry v binárních rastrech

Pokud je toto pole zaškrtnuto, bude lupa při vektorizaci centrována na čáry v binárních rastrech (pokud je nějaká čára v místě sejmutí bodu k dispozici).

"Pípnutí" při chycení lupy na čáru v binárním rastru

V případě že je toto pole zaškrtnuto a že je povoleno chytání lupy na čáry v binárních rastrech, bude toto chycení oznámeno akustickým signálem.

Zvětšení lupy

V tomto poli je uveden násobek zvětšení lupy.

Po stisknutí prostředního tlačítka zobrazit lupu

Pokud je toto pole zaškrtnuto, bude se lupa objevovat vždy po stisknutí prostředního tlačítka myši jak v základním stavu mapového okna, tak i během práce s editačními nástroji.


Nastavení parametrů prostředí - kategorie Editace - barvy

Dialog Nastavení prostředí, kategorie Editace - barvy
Barvy a editační objekty

V tabulce jsou zobrazeny barvy s popisem použití, které se používají pro grafické znázorňování při editaci. Jednotlivé barvy lze změnit výběrem požadované řádky v tabulce a stisknutím tlačítka Barva nebo dvojklikem na řádku.


Nastavení parametrů prostředí - kategorie Editace - zvuky

Dialog Nastavení prostředí, kategorie Editace - zvuky
Zvuky a události

V tabulce jsou zobrazeny události při editaci, ke kterým je možné přiřadit zvukový doprovod. Každé ze zobrazených událostí je možné přiřadit "pípnutí" nebo zvuk ve formátu WAV. Přiřazený zvuk lze přehrát.

Nastavení zvuků se provádí buď tlačítky v pravé části dialogu nebo pomocí kontextového menu (zobrazí se po stisknutí pravého tlačítka myši nad vybranou událostí).

Zvuk... | Pomocí standardního dialogu operačního systému umožní přiřadit události zvuk ve formátu WAV
Pípnutí | Vybrané události přiřadí zvuk "pípnutí".
Odstranit zvuk | Z vybrané události odstraní přiřazený zvuk.
Přehrát | Přehraje zvuk přiřazený vybrané události.


Nastavení parametrů prostředí - kategorie Editace - kurzor

Dialog Nastavení prostředí, kategorie Editace - kurzor
Kurzory

V seznamu jsou uvedeny kurzory, které je možné použít při editaci . Jejich podobu lze vyzkoušet na panelu Testovací oblast.


Nastavení parametrů prostředí - kategorie Editace - křivky

Dialog Nastavení prostředí, kategorie Editace - křivky
Převádět křivky na linie
  • Převádět křivky na linie
  • Křivky na linie nepřevádět

Přepínač ovlivňuje chování systému při ukládání, resp. otevírání vektorových dat, které obsahují nějaké křivky (kružnice, oblouky apod.). Pokud je vybrána možnost Převádět křivky na linie, jsou křivky interpolovány a uloženy jako normální linie (ukládání dat). Při otevírání již existujících dat se křivky obdobně převedou na linie nebo zůstanou zachovány jako křivky. Způsob převodu závisí na dalším přepínači.

Interpolace křivek
  • Interpolace křivek maximální odchylkou

    Maximální odchylka od křivky (0,05 - 30%) - přibližná přesnost interpolace křivek v % (odstup interpolující linie od křivky)

  • Interpolace křivek liniemi dané délky

    Délka linie nahrazující křivku (m) - interpolace křivek se provede pomocí úseček, které mají přibližně délku zadanou v této editační lince


Nastavení parametrů prostředí - kategorie Práce s rastry

V této kategorii se nastavují parametry při práci s komprimovanými rastry typu RAK.

Dialog Nastavení prostředí, kategorie Práce s rastry
Dekomprimovat rastry ve formátu TopoL RAK

Pokud je toto pole zaškrtnuto, budou při otevírání komprimované rastry typy RAK automaticky dekomprimovány do souboru se stejným jménem a s koncovkou RAS.

Mazat automaticky dekomprimované rastry

Pokud je toto pole zaškrtnuto, budou (po jejich uzavření) automaticky smazány dekomprimované rastry (.RAS).


Nastavení parametrů prostředí - kategorie Umístění souborů

Dialog Nastavení prostředí, kategorie Umístění souborů
Adresáře

V tabulce jsou zobrazeny typy souborů a jejich výchozí umístění na disku. Toto umístění se používá jako implicitní při hledání, otevírání a ukládání souborů. Například při uložení nového projektu bude implicitně uživateli nabídnut zde nastavený adresář.

Změnu adresáře lze provést vybráním požadovaného typu souboru v tabulce a stisknutím tlačítka Umístění..., nebo dvojklikem na typ souboru.


Nastavení parametrů prostředí - kategorie Substituce adresářů

Dialog Nastavení prostředí, kategorie Substituce adresářů
Jména a adresáře

V tabulce jsou zobrazeny jména substitucí adresářů a jejich hodnoty. Jako první je substituce se jménem _ExeFolder, kterou používá TopoL a nedá se změnit ani odstranit. Ostatní substituce jsou uživatelské lze je libovolně modifikovat.

Nastavení substitucí se provádí buď tlačítky v pravé části dialogu nebo pomocí kontextového menu (zobrazí se po stisknutí pravého tlačítka myši nad vybranou událostí).

Nová substituce | Vytvoří v tabulce novou substituci.
Jméno | Umožní přejmenovat vybranou substituci. Jméno substitucí musí být jedinečné.
Substituovaný adresář | Umožní změnit adresář u vybrané substituce.
Smazat | Odstraní vybranou substituci.


Nastavení parametrů prostředí - kategorie Zoom kolečkem

Dialog Nastavení prostředí, kategorie Zoom kolečkem
Násobky změny měřítka při zoomu kolečkem v mapovém okně

V obou polích se zadává konstanta o kterou bude změněno (zmenšeno nebo zvětšeno) měřítka při změně výřezu kolečkem v mapovém okně. Konstanta je reálné číslo a musí být v rozsahu 1,01 - 100. V úvahu se berou dvě desetinná místa. Údaje z větší přesností budou zaokrouhleny.

Násobky změny měřítka při zoomu kolečkem v lupě

V obou polích se zadává konstanta o kterou bude změněno (zmenšeno nebo zvětšeno) měřítka při změně výřezu kolečkem v lupě. Konstanta je reálné číslo a musí být v rozsahu 1,01 - 100. V úvahu se berou dvě desetinná místa. Údaje z větší přesností budou zaokrouhleny.


Nastavení parametrů prostředí - kategorie Interní paměť

V této kategorii lze nastavit chování systému tak, aby varoval uživatele po spotřebování větší části paměti počítače, které by mohlo nadále vést k problematickému chování.

Dialog Nastavení prostředí, kategorie interní paměť
Varovat při dosažení nastavené hodnoty

Zaškrtnutím tohoto pole systém formou hlášení varuje uživatele, že dosáhl procentuálního využití interní paměti systému, které byla nastaveno v následující editační lince Hodnota.

Hodnota

Hodnota procentuálního využití interní paměti systému, při které systém varuje uživatele.

Varovat před vyčištěním interní paměti

Zaškrtnutím tohoto pole systém formou hlášení varuje uživatele před provedením operace Čištění interní paměti.


Nastavení parametrů prostředí - kategorie Protokol událostí

TopoL xT umožňuje vytvářet protokol událostí, který slouží především k vyhledávání chyb. Tento protokol není nutné vytvářet. prohlížení protokolu je možné příkazem Protokol událostí z menu Nástroje.

Dialog Nastavení prostředí, kategorie Protokol událostí
Vytvářet protokol událostí

Zaškrtnutím tohoto pole povolíte vytvářet protokol událostí.

Při startu aplikace vyprázdnit protokol událostí

Pokud je toto pole zaškrtnuto a je povoleno vytváření protokolu událostí, bude tento při každém startu TopoLu vyprázdněn.

Automatické umístění

Když je zvoleno automatické umístění protokolu událostí a je povoleno jeho vytváření, bude protokol umístěn v adresáři, kde je nainstalován TopoL a bude se jmenovat TopoL.log. Pokud není zvoleno automatické umístění, bude se protokol vytvářet do souboru, který musí být zadán v poli Soubor s protokolem událostí.

Soubor s protokolem událostí

Určuje umístění souboru s protokolem událostí (pokud není zvoleno jeho automatické umístění).

Poznámka

Změny v umístění protokolu událostí se projeví až po restartování aplikace.

Do protokolu událostí zaznamenávat

Zaškrtnutím polí Informace, Varování a Chyby určíte jaké druhy událostí budou do protokolu událostí zaznamenávány.


Nastavení parametrů prostředí - kategorie GPS - zvuky

Dialog Nastavení prostředí, kategorie GPS - zvuky
Seznam zvuků

V tabulce jsou zobrazeny události při práci s GPS, ke kterým je možné přiřadit zvukový doprovod. Každé ze zobrazených událostí je možné přiřadit "pípnutí" nebo zvuk ve formátu WAV. Přiřazený zvuk lze přehrát.

Nastavení zvuků se provádí buď tlačítky v pravé části dialogu nebo pomocí kontextového menu (zobrazí se po stisknutí pravého tlačítka myši nad vybranou událostí).

Zvuk... | Pomocí standardního dialogu operačního systému umožní přiřadit události zvuk ve formátu WAV
Pípnutí | Vybrané události přiřadí zvuk "pípnutí".
Odstranit zvuk | Z vybrané události odstraní přiřazený zvuk.
Přehrát | Přehraje zvuk přiřazený vybrané události.


Nastavení parametrů prostředí - kategorie Internet

V této kategorii se nastavují parametry související s připojením na internet.

Dialog Nastavení prostředí, kategorie Internet
Internet

Příkaz umožňuje nadefinovat potřebné informace pro zobrazování WMS serveru pro koncové uživatele, kteří jsou připojeni přes proxy server, popř. mají zabezpečené připojení.

Automaticky upozorňovat na update

Pokud je toto pole zaškrtnuto, bude uživatel automaticky upozorněn na existenci opravené verze programu, kterou je možno stáhnout z internetu (update).

Automaticky upozorňovat na upgrade

Pokud je toto pole zaškrtnuto, bude uživatel automaticky upozorněn na existenci novější verze systému, kterou je možno objednat (upgrade).


Šablony projektů

Správa šablon pro nové projekty se provádí v dialogu Šablony. Ten je přístupný z menu Nástroje, příkaz Šablony.

Dialog Šablony

Ovládání dialogu je možné pomocí menu nebo tlačítek na panelu nástrojů.

Přidat | Pomocí standardního dialogu na otevření souboru přidá do seznamu šablon vybraný projekt.
Odstranit | Ze seznamu šablon odstraní vybranou šablonu. Standardní šablonu nelze ze seznamu odstranit.
Nastavit jako výchozí | Vybranou šablonu nastaví jako výchozí - bude použita při zakládání nového projektu bez výběru šablony (standardně stisknutím tlačítka Nový projekt na panelu nástrojů Projekt).


Upravit klávesové zkratky...

Správa klávesových zkratek se provádí v dialogu Upravit klávesové zkratky přístupném z menu Nástroje.

Dialog Upravit klávesové zkratky

Ovládání dialogu je možné pomocí tlačítek. V horní části dialogu je seznam všech dostupných příkazů. Po výběru konkrétního příkazu je vidět stávající klávesová zkratka. Do editační linky vlevo dole se stiskem klávesové zkratky zadá nová zkratka a ta se musí potvrdit tlačítkem.

Přiřadit | Pomocí tlačítka se přiřadí k vybranému příkazu nová klávesová zkratka.
Odebrat | Pomocí tlačítka lze odebrat stávající zkratku pro vybraný příkaz.
Původní | Příkazem se obnoví defaultní nastavení všech klávesových zkratek.
Změny uložit do | Pomocí výklopného seznamu se určí, zda se nadefinované zkratky uloží do daného projektu nebo do standardní šablony.


Definovat uživatelský panel nástrojů...

Pomocí tohoto dialogu lze vytvořit uživatelský panel nástrojů, který bude obsahovat příkazy, které uživatel potřebuje nejčastěji, popř. které nejsou v žádném standardním panelu nástrojů.

Dialog Definice uživatelského panelu nástrojů

Ovládání dialogu je možné pomocí tlačítek. V horní části dialogu je seznam všech dostupných příkazů. Po výběru konkrétního příkazu se umožní použití tlačítka pro zařazení příkazu do uživatelského panelu.

Přidat | Pomocí tlačítka se přidá vybraný příkaz do uživatelského panelu. Seznam zařazených příkazů je vidět v dolním seznamu.
Smaž | Pomocí tlačítka lze odebrat vybraný příkaz z uživatelského panelu.
Smaž vše | Pomocí tlačítka lze odebrat všechny příkazy z uživatelského panelu.
Změny uložit do | Pomocí výklopného seznamu se určí, zda se nadefinovaná konfigurace příkazů uloží do daného projektu nebo do standardní šablony.


Nastavení panelů nástrojů...

Pomocí tohoto dialogu lze nastavit styl uživatelského panelu nástrojů.

Dialog Nastavení panelů nástrojů

Dialog má dvě záložky. Na první je možno vidět všechny panely nástrojů, které jsou k dispozici. Zde je možno jednotlivé panely zapínat a vypínat. Na druhé záložce je řada ovládacích prvků, kterými se pro všechny panely nastaví jejich grafická podoba - styl.

Styly panelů nástrojů a menu

Pomocí zatrhávacího boxu a výklopného seznamu se nastaví požadovaný styl panelů nástrojů a menu.

Ploché menu

Pomocí výklopného seznamu se nastaví požadovaná podoba všech menu.

Tlačítka na panelech nástrojů

Pomocí tlačítka lze nastavit, zda se u jednotlivých příkazů v panelech nástrojů při najetí myší mají objevovat textové popisy příkazů, popř. i klávesové zkratky.

Klávesové zkratky

Pomocí tlačítka se přímo zpřístupní dialog pro nastavení klávesových zkratek.


Další dokovací okna

Od verze TopoLu 9.5 je možno mít neustále zapnutý panel s parametry chytání, parametry tvorby linií a vlastnostmi editace. Panely nástrojů jsou takzvaně dokovací. To znamená, že je buď lze umístit (zadokovat) do levé části okna aplikace (stejně jako panel s oknem dat), popř. je lze umístit kdekoli v rámci okna aplikace. Panely se umístí přetažením myší, kdy se musí "uchopit" za horní okraj.

Parametry chytání

Umožní nastavit hodnotu pro přichytávání kurzoru k jiným objektům a objekt, ke kterému se kurzor bude přichytávat. Možnosti a ovládání jsou stejné jako při nastaveni Parametrů chytání z menu Editace.

Parametry tvorby linií

Umožní nastavit parametry tvorby nových liniových objektů. Možnosti a ovládání jsou stejné jako při nastaveni Parametrů tvorby linií z menu Editace.

Vlastnosti editace

Umožní nastavit parametry, které ovlivňují sběr lomových bodů nových liniových objektů a definici úhlu natočení bodových objektů. Možnosti a ovládání jsou stejné jako při nastaveni Vlastností editace z menu Editace.


Panel Parametry chytání

Dokovací panel Parametry chytání


Panel Parametry tvorby linií

Dokovací panel Parametry tvorby linií


Panel Vlastnosti editace

Dokovací panel Vlastnosti editace


Kapitola 2. Projekt

Obsah

Součásti projektu
Nový projekt
Otevření projektu
Vytvoř projekt pro TopoL CE
Otisk aktivního mapového okna
Tisk mapy v měřítku
Tisk mapových listů
Nastavení vlastností projektu
Popis jednotlivých vlastností projektu
Nastavení hodnoty průhlednosti
Připojené soubory
Definice struktury projektu

Tato kapitola obsahuje souhrnné informace o projektu - o jeho součástech a o práci s ním.

Projekt v prostředí TopoLu xT představuje seznam všech otevřených dat, jejich aktuálního zobrazení, otevřených knihoven značek a knihoven stylů textů. V projektu jsou také uloženy převodníky barev, značek a textů, rozložení a obsah mapových a databázových oken, uživatelem definované souřadné systémy, atd. - viz. kapitola Součásti projektu.

Poznámka

V TopoLu xT může být otevřen v jednom okamžiku pouze jeden projekt.

Projekt obsahuje také množství volitelných vlastností, které ovlivňují práci s daty. Jejich seznam, význam a možnosti při nastavování jsou popsány v kapitole Nastavení vlastností projektu.


Součásti projektu

Data

Projekt obsahuje "stromovou" strukturu otevřených dat. Tato struktura je zobrazena v dialogu Data, který umožňuje základní operace s daty.

Knihovny značek

Kromě standardních značek mohou být součástí projektu i knihovny uživatelských značek.

Knihovny stylů textů

K projektu lze připojit také uživatelské knihovny stylů textů.

Převodníky barev

Převodní tabulky, které umožňují při zobrazování vektorových dat modifikovat jejich barvu dle jejich atributů.

Převodníky značek

Převodní tabulky, které umožňují při zobrazování vektorových dat modifikovat jejich značku dle jejich atributů.

Převodníky stylů textů

Převodní tabulky, které umožňují při zobrazování textů modifikovat jejich styl dle jejich atributů.

Mapová okna

Součástí projektu jsou také všechna otevřená mapová okna včetně jejich obsahu - Legendy.

Databázová okna

Projekt může také obsahovat databázová okna - součástí projektu je i jejich obsah.

Připojené soubory

K projektu lze připojit i další externí soubory - správa připojených souborů se provádí v dialogu Připojené soubory, který lze otevřít z menu Projekt, submenu Připojené soubory, příkaz Upravit seznam připojených souborů.

Pojmenované výřezy

V projektu lze definovat i pojmenované výřezy - "pohledy" do mapových oken definované jménem, umístěním, velikostí a souřadným systémem.

Definice struktury projektu

V projektu může být i definována jeho struktura. Lze definovat popisy jednotlivých databází i tabulek, omezení barev a značek pro editaci jednotlivých tabulek, definice struktur tabulek a hodnot jednotlivých položek v tabulkách, atd. Definice struktury podstatně rozšiřuje možnosti "ZnacekDBF" z TopoLu pro Windows, které také umožňuje naimportovat.


Nový projekt

Nový projekt lze založit příkazem Nový z menu Projekt nebo stiskem příslušného tlačítka na panelu nástrojů.

Pokud je založení nového projektu vyvoláno příkazem z menu, je uživatel vyzván k volbě šablony na základě které bude nový projekt vytvořen. Výběr šablony se provádí z dialogu Výběr šablony.

V případě, že je příkaz vyvolán z panelu nástrojů, je nový projekt vytvořen na základě implicitní šablony.

Dialog Výběr šablony

V tabulce šablon vyberte šablonu, dle které bude založen nový projekt a stiskněte tlačítko OK. Tučně je zobrazena implicitní šablona projektů.

Poznámka

Správa šablon (přidávání, mazání, nastavení implicitní) se provádí v dialogu Šablony, který je dostupný z příkazu Šablony z menu Nástroje.


Otevření projektu

Projekt je uložen v souboru XML. Soubor se otevírá prostřednictví standardního dialogu na otevření souboru. (Jeho podoba může být jiná než v uvedeném příkladu - záleží na verzi operačního systému). Vyberte soubor s požadovaným objektem a stiskněte tlačítko OK.

Dialog Otevření projektu

Před otevřením zvoleného projektu bude bude uzavřen aktuální projekt.


Vytvoř projekt pro TopoL CE

Vytvoří podle aktuálního nastavení dat a projektu TopoLu projekt pro TopoL CE pod zadaným jménem. Funkce umožní exportovat projekt programu TopoLu xT tak, aby projekt pro TopoL CE obsahoval v zadaném souřadném systému data zvoleného výřezu s požadovanou barevnou reprezentací. Lze též vyexportovat do zvoleného souřadného systému rastrová data a rozřezat je na dlaždice.

Dialog Vytvoř projekt pro TopoL CE

Do editační linky Jméno projektu se napíše symbolické jméno vytvářeného projektu. Výstupní adresář určuje kam se budou ukládat vyexportovaná dat. Pro vektorová data se budou vytvářet ArcView ShapeFily, rastrová data se ukládají ve formátu .BMP do podadresáře CETopol zvoleného adresáře. Při exportu dat se zároveň provede transformace do souřadného systému zvoleného standardním dialogem - editační linka Souřadný systém. Export vektorových dat je možno omezit výběrem standardním obdélníkovým nástrojem po aktivaci přepínače Vybrat vektorová data pro export. Je zde možnost zvolit zda se budou vektorová data exportovat jako ArcView ShapeFily nebo se budou společně s případnými rastrovými daty převádět do rastrů formátu BMP. V sekci Exportovat se vybere jedna z možností

Rastry zvlášť

Rasová data se budou exportovat samostatně do BMP, vektorová data se budou exportovat do ShapeFilů a to tak, že všechny vrstvy z databáze (bloku) se uloží do jednoho adresáře se soubory ArcView ShapeFile .

Rastry i vektory do rastru

Všechna data se budou rastrovat do formátu BMP. Je to vlastně varianta funkce Mapové okno do rastrů - mapových listů.

Ať se rastry exportují zvlášť nebo se společně rastrují do BMP, vytváří se vždy dlaždice podle gridu zvoleného dalším dialogem. Velikost pixelů výstupních rastrů se zadá standardním dialogem jako např. u mozaiky do gridu.

Do editační linky Prefix pro jména rastrů se napíše symbolické jméno, kterým budou začínat všechna jména vytvářených rastrů. Po potvrzení dialogu a případném dalším výběru oblasti pro export, určení rastrového gridu a zadání parametrů výstupních rastrů se operace provede. Po úspěšném exportu dat se případně objeví dialog

Dialog TopoL CE projekt

Tento dialog slouží k finálnímu vytvoření projektu pro TopoL CE. Pro jednotlivé vektorové vrstvy lze nadefinovat jednoduchým způsobem barvu a značku pro vybranou vrstvu. Dále lze měnit pořadí vektorových vrstev obdobně jako v legendě mapového okna. Vybraná vrstva se posouvá pomocí sady nástrojů na pravé straně dialogu.


Otisk aktivního mapového okna

Umožní vytisknout obsah mapového okna. Tisk není proveden v žádném speciálním měřítku. Pouze se vezme bitová mapa aktivního okna a pošle se na ovladač zvolené tiskárny.

Po volbě příkazu se objeví dialog pro volbu ovladače tiskárny a jeho vlastností. Po potvrzení se provede tisk.


Tisk mapy v měřítku

Umožní vytisknout obsah mapového okna v definovaném měřítku pomocí definované šablony tisku.

Celá příprava tisku je řízena pomocí průvodce (kouzelníka), který nás nutí projít všechny nutné kroky k správnému tisku. Po volbě příkazu se objeví tento průvodce.

Jako první krok musíme zvolit ovladač tiskárny na kterou budeme tisknout. Musíme také zvolit formát papíru, na který bude tiskárna tisknout.

V druhém kroku musíme definovat mapy (velikost, okraje).

Pokud chceme mít mapu větší než zvolený formát papíru, mapa bude rozdělena na několik stran. V takovém případě nesmí být volba Použít formát papíru pro tisk aktivní. V seznamu potom vybereme požadovaný formát mapy. Můžeme také vybrat text <vlastní velikost>. V tom případě můžeme nadefinovat vlastní šířku a výšku mapy. V dolní části dialogu se potom objeví počet tiskových stran ve vodorovném a svislém směru. Přesah jednotlivých stran a jejich značení můžeme nastavit po volbě tlačítka Nastavení tiskové strany.

Zde můžeme volit přesahy jednotlivých stran ve vodorovném a svislém směru. Můžeme označit zda chceme tisknout značky velikosti tisku, abychom mohli jednotlivé strany správně nastřihat a slepit. Také můžeme označit, zda chceme tisknout popisy, abychom mohli lépe identifikovat jednotlivé strany.

V průvodci musíme ještě zvolit okraje tisku. Některé tiskárny mají totiž netisknutelný okraj. Pokud bychom nadefinovali okraj menší než tento, chybělo by nám část tisku. Je možno zvolit okraje Dle tiskárny (TopoL přečte velikost netisknutelných okrajů z ovladače tiskárny) nebo Implicitní (TopoL nastaví velikost okrajů 10 mm).

V třetím kroku musíme definovat šablonu, která bude pro tisk použita. Častá chyba je, že zde nezvolíme žádnou šablonu a pokračujeme dál. Pomocí tlačítka Nová mapa můžeme zvolit jednu z předdefinovaných. Po volbě tohoto tlačítka se dostaneme do dialogu se seznamem předdefinovaných šablon pro tisk. V pravé části dialogu je vidět jejich vzhled.

Od verze TopoLu xT 8.0 lze ukládat a načítat šablony ve formátu XML z jiného adresáře než, kde je TopoL nainstalován. Pro načtení šablony se používá tlačítko Přidat šablonu. Pro hromadné načtení více šablon z nějakého adresáře lze užít tlačítko Přidat složku. Jednotlivé šablony lze vytvořit např. v programu TopoL Carto, popř. okopírováním existující šablony a následnou editací v editoru šablon. Pokud chceme vytvořit novou nebo editovat již existující šablonu dostaneme se z průvodce tiskem do editoru šablon tlačítkem Editace mapy.

V levé části dialogu můžeme vidět seznam jednotlivých prvků šablony. V levé dolní části jsou potom tlačítka umožňující přidávat nové, editovat nebo mazat již existující prvky nebo měnit pořadí prvků. Po volbě tlačítka Přidat se objeví seznam s možnými typy prvků

  • Obdélník

    umožňuje vytvořit rám nebo tabulku

  • Textový řetězec

    umožňuje vytvořit nadpis, poznámku atd.

  • Obrázek

    umožňuje vložit například logo

  • Pohled na mapu

    definuje oblast, do které bude proveden tisk. Je možno mít více oblastí pro tisk v jedné šabloně

  • Legenda symbolů

    umožňuje vytisknout legendu, pokud máme v mapovém okně zobrazenou barvu nebo symbol některé tabulky dle databázového atributu nebo dle výrazu jazyka ToPas

  • Růžice

    umožňuje vytvořit směrovou růžici

  • Měřítko

    umožňuje vytvořit grafické měřítko mapy

  • Rozsah pohledu na mapu

    umožňuje vytvořit rozsah pohledu na mapu – umožňuje vložit do mapy prvek, který bude ve zvoleném pohledu na mapu zobrazovat pomocí obdélníka výřez zvolený pro druhý pohled na mapu. Tento prvek lze využít s výhodou v případě, kdy chceme kupříkladu vytisknout mapu s přehledkou. V tomto případě může tento prvek v přehledce zobrazovat rozsah výřezu detailního pohledu na mapu.

Pokud chceme správně definovat obecně použitelnou šablonu, která může být využita pro libovolnou velikost papíru, je nezbytné pochopit mechanismus „ukotvení“ prvků šablony. Pokud totiž zvolíme pomocí tlačítka Nová mapa již dříve definovanou šablonu a zvolená velikost mapy je jiná, než pro kterou byla šablona definována, dojde při jejím načtení k přepočtu velikosti šablony na aktuální velikost mapy. Během tohoto přepočtu se přepočítají i poloha a velikost jednotlivých prvků šablony. Způsob tohoto přepočtu lze ovlivnit právě pomocí parametru „Ukotvení“, který lze samostatně definovat pro každý prvek šablony.

Pokud nemáme žádné ukotvení prvku zvoleno, pak bude při přepočtu prvek posunut a jeho velikost změněna takovým způsobem, aby poměr velikosti mapy a polohy, výšky i šířky prvku zůstaly zachovány, tak jak byly definovány v šabloně – tj. poloha a velkost prvku budou proporcionálně přepočítány dle poměru mezi původní velikostí šablony a aktuální velikostí mapy. Pokud je například prvek ukotven vlevo nahoře, zůstane vždy poloha levého horního rohu stejná tak, jak je v šabloně definováno bez ohledu na změnu její velikosti. Pokud zakotvíme šířku (horizontální velikost) prvku zůstane stejná šířka prvku i pro přepočtu. Ovšem pokud kupříkladu neukotvíme výšku (vertikální velikost) textu, tak se při přepočtu mění velikost fontu dle poměru mezi původní velikostí šablony a aktuální velikostí mapy.

Obecně mechanismus fuguje tak, že pokud ukotvíme polohu prvku (vlevo, vpravo, nahoře, dole), pak vzdálenost odpovídajícího okraje prvku od okraje mapy zůstane konstantní. Pokud ukotvíme velikost prvku (horizontální, vertikální), pak zůstane konstantní jeho šířka, resp. výška. Samozřejmě postrádají smysl některé kombinace ukotvení (např. ukotvení vlevo, vpravo a zároveň horizontaální velikosti není možné při nestejné původní šířce šablony a aktuální šírce mapy splnit a výsledek přepočtu je závislý na aktuální implementaci mechanismu) nebo některé případy ukotvení (např. šířka měřítka se vypočte z nastavených parametrů a měřítka zvoleného výřezu bez ohledu na to, zda je jeho horizontální velikost ukotvena).

Typy objektů mají některé vlastnosti společné a některé jsou individuální pro daný typ. Společné jsou vlastnosti v záložce

  • Obecné

    jméno, popis, souřadnice vztažného bodu (vodorovně, svisle, u textu se vztažný bod definuje v záložce Písmo, jinak je to levý horní roh prvku) v mm, šířka a výška v mm a ukotvení. Pokud nemáme žádné ukotvení zvoleno. Prvek se bude automaticky posouvat a zvětšovat dle velikosti mapy (tisku), tak aby poměr velikosti mapy a polohy, výšky, šířky prvku zůstaly zachovány, tak jak byly definovány. Pokud bude například prvek ukotven vlevo nahoře, zůstane vždy poloha levého horního rohu stejná tak jak je definováno v tomto dialogu. Pokud zakotvíme šířku bude vždy stejná šířka prvku.

  • Čára

    definuje ohraničení daného prvku a to styl, šířku a barvu čáry. Pokud ohraničení nechceme, musíme ve stylu zvolit žádná.

  • Stín

    definuje stín daného prvku a to styl, vodorovný a svislý posun a barvu. Pokud stín nechceme, musíme ve stylu zvolit žádný.

Pro text, obdélník, obrázek a legendu symbolů jsou další společné vlastnosti v záložce

  • Výplň

    definuje výplň daného prvku a to styl (průhledná, přechod), přechod (žádný /plná barva/, vodorovný, svislý, vodorovný ze středu, svislý ze středu), barvu a počet úrovní přechodu. Pokud výplň nechceme, musíme ve stylu zvolit průhledná.

Pro text a legendu symbolů jsou další společné vlastnosti v záložce

  • Písmo

    definuje písmo textu a to font, skript, barvu, výšku, úhel, styl (tučné, kurzíva, podtržené, přeškrtnuté) a umístění (vztažný bod textu).

Další vlastnosti pro text, obrázek, pohled na mapu a legendu symbolů jsou v záložce Ostatní. Jsou to

  • Textový řetězec

    umožňuje definovat znění textu. To lze provést ručně, v tom případě musíme zapnout metodu použít text. V některých případech můžeme zvolit, aby se text generoval automaticky. Jedná se o měřítko a souřadnice rohů pohledu na mapu. V tom případě musíme zvolit možnost Použít autotext a v Metodě zvolit typ souřadnice (horizontální levý horní atd.) případně měřítka a v Zdroji zvolit pohled na mapu, který bude použit pro výpočet hodnot.

  • Obrázek

    umožňuje nadefinovat jméno souboru. TopoL podporuje tyto formáty jpg, ico, bmp, wmf, emf, gif a jpeg.

  • Pohled na mapu

    umožňuje definovat s jakým mapovým oknem bude pohled svázán. Při tisku se potom bude brát obsah tohoto mapového okna.

  • Legenda symbolů

    umožňuje vytisknout legendu. Pokud máme v mapovém okně zobrazenou barvu nebo symbol některé tabulky dle databázového atributu nebo dle výrazu jazyka ToPas můžeme popis tohoto převodníku barev nebo značek zobrazit v tomto prvku. Musíme nejdříve zvolit typ legendy (jestli se jedná o legendu pro barvu nebo značku tabulky). Pokud není nadefinován žádný převodník barev nebo značek jsou tyto možnosti nedostupné a legendu nemůžeme vytvořit. Pokud jsou, můžeme zvolit typ geometrie (bod, linie, plocha), pro který se legenda má vytvořit. Potom musíme zvolit převodník ze seznamu převodníků (barev nebo značek, seznam závisí na typu legendy). Pokud se jedná o legendu barev musíme zvolit symbol použitý v legendě a v případě legendy symbolů potom barvu použitou v legendě. Dále musíme definovat výšku a zda chceme zobrazit v legendě položku Ostatní. Položka ostatní je v převodníku z toho důvodu, kdyby byl převodník nadefinován tak, že by některé hodnoty databázové položky nebo výrazu neměli v převodníku zastoupení. V tom případě se použij tato barva nebo symbol položky Ostatní.

  • Růžice

    umožňuje vytvořit směrovou růžici v různém stylu. Ve výklopném seznamu se vybere Pohled na mapu, se kterým je růžice spjata. Růžice je totiž vždy natáčena k severu. Tlačítkem Vlastnosti se dostaneme do vnořeného dialogu, kde se vybere styl růžice, její velikost a referenční bod vztahující se k umístění růžice (hodnoty Vodorovně a Svisle).

  • Měřítko

    umožňuje vytvořit grafické měřítko mapy v různém stylu. Ve výklopném seznamu se vybere Pohled na mapu, se kterým je měřítko spjato. Tlačítkem Vlastnosti se dostaneme do vnořeného dialogu, kde se vybere grafická podoba měřítka, styl popisu a další vlastnosti. Ve složce Obecné tohoto dialogu se definuje Měřítko pro náhled potřebné pro správné zobrazení měřítka v okně náhledu a jeho referenční bod vztahující se k umístění měřítka (hodnoty Vodorovně a Svisle). Lze nastavit, že se kromě grafické podoby má zobrazovat i popis měřítka a popis dílků měřítka. Ve složce Lišta - vzhled se vybere jeden z připravených stylů měřítka, jeho barva a výška lišty. Ve složce Lišta - nastavení se vybere jednotka odpovídající dílkům měřítka, délka dílků (v zadaných jednotkách), počet dílků a poddílků. Na samostatných záložkách dialogu pro popis měřítka a popis dílků se zadají požadované vlastnosti, jako je písmo, umístění a vzdálenost vzhledem k liště, zarovnání a maska (součástí popisu může být i uživatelsky definovaný text spojený s příslušnou číselnou hodnotou reprezentovanou symbolem #).

V pravé části dialogu pro editaci šablony je šablona zobrazena. V horní části je sada nástrojů s těmito funkcemi

  • Obnovení obsahu mapy

    překreslí šablonu

  • Zvětšit detail

    zvětší výřez

  • Zmenšit detail

    zmenší výřez

  • Zvolit střed mapy

    posune výřez mapy tak, aby zvolený bod byl ve středu zobrazení šablony

  • Předchozí výřez mapy

    nastaví předchozí výřez mapy

  • Následující výřez mapy

    nastaví následující výřez mapy

  • Zobrazit celou mapu v editoru

    nastaví výřez tak, aby byla vidět celá šablona

  • Nastavení měřítka

    nastaví měřítko v procentech nebo tak, aby byla vidět celá šířka stránky, výška stránky, nebo celá stránka

  • Zavřít editor

    ukončí editaci

Dále jsou zde viditelné polohové souřadnice kurzoru v mm (jednotkách stránky tisku).

V editoru šablony nemůžeme přímo s jednotlivými prvky žádným způsobem graficky posouvat (např. myší). Od verze TopoLu xT 8.0 lze v přehledce editoru i v náhledu editoru jednotlivé prvky alespoň vybírat myší a dvojitým poklepáním na prvek se spustí dialog pro nastavení parametrů daného prvku.

Pokud vytvoříme novou šablonu nebo stávající šablonu zeditujeme a chceme, aby se změny uložily I po ukončení projektu musíme v průvodci zmáčknout tlačítko Uložení mapy. TopoL nám nabídne adresář s jednotlivými předefinovanými šablonami. Do verze TopoLu xT 8.0 platilo, že pokud chceme, aby se tato šablona automaticky načítala při startu TopoLu a používáme českou verzi TopoLu xT musíme ji uložit do podadresáře CS.

Ve čtvrtém kroku musíme definovat výřezy pro pohledy na mapu.

Můžeme tisknout jednu mapu nebo skupinu map.

Skupina map znamená, že TopoL vytiskne tolik exemplářů map definovaného měřítka, kolik jich padne do výběrového obdélníka, který se objeví po volbě tlačítka Volba výřezu. Musíme ještě definovat pro jaký pohled na mapu se skupina map vztahuje. Můžeme ještě nadefinovat zda se mají sousední exempláře překrývat. Překryv definujeme v mm velikosti stránky tisku.

Pokud tiskneme pouze jednu mapu musíme definovat výřez po volbě tlačítka Volba výřezu. V tomto případě nemůžeme měnit velikost obdélníka, protože ten je dán velikostí pohledu a měřítkem. Od verze TopoLu 9.5 je možno tisknout bez měřítka, tj. oblast pro tisk se určí pružným obdélníkem se zadaným poměrem stran (volba výřezu obdélníkem). Tato oblast je pak vytištěna v příslušném výřezu.

Výřez můžeme také určit s natočením. Toto je vhodné pokud chceme tisknout nějaký liniový objekt a tisk k severu se nám nevešel na zvolený formát papíru. V tomto případě musíme zvolit možnost výřez natočením.

V dalším kroku průvodce musíme zvolit způsob tisku. Lze vytvořit náhled tisku, metafile nebo tisknout přímo na tiskárnu.

V případě volby náhled mapy se objeví dialog s náhledem.

V horní části dialogu jsou příkazy, které umožňují prohlížení a tisk mapy.

  • Obnovení tištěné mapy

    překreslí náhled

  • Zvětšit detail

    zvětší výřez

  • Zmenšit detail

    zmenší výřez

  • Zvolit střed mapy

    posune výřez mapy tak, aby zvolený bod byl ve středu zobrazení náhledu

  • Předchozí výřez mapy

    nastaví předchozí výřez mapy

  • Následující výřez mapy

    nastaví následující výřez mapy

  • Zobrazit celou mapu v náhledu

    nastaví výřez tak, aby byl vidět celý náhled

  • Nastavení měřítka

    nastaví měřítko v procentech nebo tak, aby byla vidět celá šířka stránky, výška stránky, nebo celá stránka

  • Tisk mapy

    provede tisk

  • Zavřít náhled

    uzavře dialog

Dále jsou zde viditelné polohové souřadnice kurzoru v mm (jednotkách stránky tisku).

V případě volby Metafile je nutno nastavit parametry s jakými se metafile vytvoří.

Musíme definovat jméno souboru, měřítko v procentech, zda chceme použít rozlišení nastavené při volbě tiskárny a zda chceme mít pozadí průhledné.

V případě volby Tisk je nutno nastavit parametry s jakými se metafile tisknout.

První parametr je zda chceme použít pro tisk ovladač (driver) tiskárny. Tisk můžeme ovlivnit pomocí přepínače „Použít driver tiskárny“. Pokud přepínač ponecháme zaškrtnutý, tak se zpracování tisku ponechá na systému Widnows a driveru tiskárny. Pokud ho vypneme, pak program zasílá na tiskárnu obraz mapy v podobě rastrového obrazu, který si vytvoří v paměti. Kvalitu a velikost tohoto rastrového obrazu lze ovlivnit pomocí přepínače „Tisk v TrueColor“ a nabídky „Rozlišení“. Toto muže někdy obejít problémy, které jsou zpusobené tím, že ovladač tiskárny neumí tisknout například některé šrafy ploch, nebo je úloha paměťově příliš náročná.

Další je zda chceme tisknout rozrastrovaná data v pravých barvách (TrueColor) nebo ne a nakonec můžeme zvolit jiné rozlišení tisku než jsme definovali v ovladači tiskárny. Od verze TopoLu 9.5 je možno zadat počet kopií tisku.

Můžeme také tisknout do souboru. To se provede tehdy, jestliže nadefinujeme jméno výstupního souboru.

Od verze TopoLu 9.5 je možné stav průvodce tiskem mapy ukládat do projektu. Automaticky se ukládá poslední stav, takže je možné aktuální práci přerušit a po načtení projektu se k ní vrátit. Tato funkce také umožňuje uložit provedený tisk jako tiskovou úlohu pod samostatným jménem a kdykoliv později tisk zopakovat bez nutnosti znovu volit parametry, které se neukládají do tiskové šablony.

  • Uložit aktuální

    umožňuje uložit aktuální stav průvodce tiskem pod zadaným jménem

  • Načíst úlohu

    umožňuje načíst vybranou úlohu ze seznamu

  • Změnit popis

    umožňuje změnit popis vybrané úlohy

  • Smazat

    umožňuje smazat vybranou úlohu


Tisk mapových listů

Umožní vytisknout obsah mapového okna v definovaném kladu mapových listů.

Po volbě příkazu se objeví výběrový obdélník, který umožní zvolit oblast tisku. Po potvrzení obdélníku se objeví dialog pro volbu parametrů tisku.

V první záložce Mapové listy musíme zvolit systém mapových listů. Dialog pro volbu systému se objeví po volbě příslušného tlačítka. Po volbě systému TopoL spočte jaké mapové listy jsou dotčeny výběrovým obdélníkem a zobrazí je v seznamu. Můžeme vyvolat následující funkce přes sadu nástrojů, která je nad seznamem jednotlivých mapových listů

  • Tisknout vše

    zapne všechny mapové listy v seznamu pro tisk

  • Netisknout nic

    vypne všechny mapové listy v seznamu pro tisk

  • Sort A

    seřadí mapové listu dle jména vzestupně

  • Sort B

    seřadí mapové listu dle jména sestupně

  • Zoom

    provede změnu výřezu mapového okna tak, aby byl zvolený mapový list celý ve výřezu

  • Pan

    provede posun výřezu mapového okna bez změny měřítka, aby byl zvolený mapový list celý ve výřezu

  • Highlight

    provede zablikání zvoleným mapovým listem

Dvojklikem na jméno mapového listu se dostaneme do editační linky, která nám umožní definovat počet kopií tisku, jednotlivých mapových listů.

V druhé záložce Popisy můžeme nadefinovat volitelné popisy mapového listu. Jejich umístění je patrné z jmen (text poznámky vpravo nahoře, text poznámky vlevo dole č.1 atd.).

V třetí záložce Tisk musíme definovat další parametry pro tisk.

Jedná se o tiskárnu a formát papíru. Pokud bude tisk přesahovat formát papíru bude automaticky rozložen na více stránek.

Další parametr je zda chceme použít pro tisk ovladač (driver) tiskárny. Pokud tuto možnost nezvolíme, TopoL nejdříve vytváří v paměti počítače bitmapy a ty potom posílá na tiskárnu. Toto může někdy obejít problémy, které jsou způsobené tím, že ovladač tiskárny neumí tisknout například některé šrafy ploch. Další je zda chceme tisknout v pravých barvách (TrueColor) nebo ne a ještě definujeme rozlišení tisku, které může být jiné než jsme definovali v ovladači tiskárny.

Můžeme také tisknout do souboru. V tom případě musíme navolit adresář, do kterého se soubory odpovídající jednotlivým mapovým listům budou ukládat a koncovku souborů.

Dalším parametrem je přesah mapového rámu v mm. V tomto případě bude kresba přesahovat mapový rám v mm tiskové stránky.

Některé mapové listy nejsou orientovány rovnoběžně s osami souřadného systému JTSK. V takovém případě je tisk proveden tak, že se do pohledu na mapu vytiskne mapový list a ta část která není uvnitř daného mapovém listu je bílá. Hranice mapového listu jsou potom vyznačeny čárkovaně.

Pokud chceme, aby byl tisk orientován rovnoběžně s hranicemi mapového listu musíme zapnout volbu Natočení mapy.

Tisk se spustí po volbě tlačítka tisk. Pokud tiskneme více mapových listů můžeme tisk v průběhu kdykoliv zastavit.


Nastavení vlastností projektu

Jednotlivé vlastnosti projektu jsou uloženy v hierarchické struktuře (stromu) dle jejich významu. Strom je v levé části dialogu, vlastnosti se zobrazují v pravé části. Přechod mezi skupinami vlastností je možný výběrem skupiny vlastností ve stromě vlastností nebo dvojklikem na skupinu vlastností ve výpisu položek v pravé části dialogu. Při změně hodnoty vlastnosti je možné buď vybrat jednu z nabízených hodnot, nebo je k dispozici dialog, kde lze hodnotu nastavované vlastnosti vybrat.

Dialog Nastavení vlastností projektu

Nastavení jednotlivých vlastností se provádí dvojklikem na vybranou vlastnost, stisknutím pravého tlačítka myši nebo příkazem z menu Položka. Aktuální položka se, včetně celé cesty, zobrazuje v poli v levém dolním rohu hlavního okna.

Stisknutím tlačítka Uložit jako implicitníuložíte aktuální nastavení projektu jako implicitní - toto nastavení bude použito při vytváření projektu dle standardní šablony. Tlačítkem OK ukončíte tento dialog a potvrdíte v něm provedené změny, tlačítkem Storno uzavřete tento dialog bez uložení změn, tlačítkem Nápověda spustíte tuto nápovědu.

Stisknutím tlačítka Původní [image] na panelu nástrojů obnovíte výchozí nastavení projektu (to, které bylo aktuální při otevření tohoto dialogu)

Jednotlivé vlastnosti projektu jsou popsány v kapitole Popis vlastností projektu.


Popis jednotlivých vlastností projektu

Vlastnosti jsou popsány v pořadí, v jakém jsou uvedeny v "stromovém" seznamu vlastností:

  • Další nastavení

  • Souřadné systémy

  • Implicitní kódová stránka

  • Automaticky vyplňované DB položky

  • Zobrazení

    • Pořadí vrstev

    • Zobrazování rastrů

    • Zobrazování bloků

      • Linie v bloku

      • Plochy v bloku

      • Body v bloku

    • Zobrazování ShapeFile

      • Linie v ShapeFile

      • Plochy v ShapeFile

      • Body v ShapeFile

    • Zobrazování DGN souborů

      • Linie v DGN

      • Plochy v DGN

      • Body v DGN

    • Zobrazování VYK

      • Linie ve VYK

      • Plochy ve VYK

      • Body ve VYK

    • Zobrazování MapInfo

      • Linie v MapInfo

      • Plochy v MapInfo

      • Body v MapInfo

    • Zobrazování dat OpenGIS

      • Linie v datech OpenGIS

      • Plochy v datech OpenGIS

      • Body v OpenGIS

    • Zobrazování mapových listů

    • Zobrazování gridů

    • Rozšířené zobrazení linií

    • Rozšířené zobrazení ploch

    • Zobrazení výběrů

      • Výběr linií

      • Výběr ploch

      • Výběr bodů

      • Výběr textů

    • Zobrazení zvýraznění

      • Zvýraznění linií

      • Zvýraznění ploch

      • Zvýraznění bodů

  • Mapové okno

    • Okno s náhledem dat

  • 3D

  • Parametry chytání

  • Parametry tvorby linie

Další nastavení

Nastavení ostatních vlastností projektu.

Adresář pro funkci Rastry z adresáře

Nastavení adresáře odkud budou automaticky vybírány rastry při volání funkce Rastry z adresáře.

Pracovní adresář

Nastavení pracovního adresáře (například pro funkce jazyka ToPas).

Relativní měřítko pro vykreslování textů v nabídkách

Určuje relativní měřítko, které bude použito při vykreslování textů v nabídkách (při editaci převodníků textů, při náhledu obsahu knihoven stylů textů, apod.).

Měřítko pro vykreslování textů v nabídkách

Určuje měřítko, které bude použito při vykreslování textů v nabídkách (při editaci převodníků textů, při náhledu obsahu knihoven stylů textů, apod.).

Souřadné systémy

Nastavení implicitních souřadných systému pro práci s daty v různých formátech. Souřadné systémy se nastavují pomocí dialogu Výběr souřadného systému.

Implicitní souřadný systém

Implicitní souřadný systém je použit jako implicitní při vytváření nových bloků, pro otevírané rastry, pro nové gridy a mapové listy, pro nově otevíraná mapová okna, atd.

Implicitní souřadný systém pro soubory DGN

Tento souřadný systém je použit jako implicitní při otevírání souborů ve formátu DGN.

Implicitní souřadný systém pro soubory bloky v Gauss-Krüger

Tento souřadný systém je použit při otevírání bloků, které mají nastavený souřadný systém Gauss-Krüger.

Implicitní souřadný systém pro ShapeFile

Tento souřadný systém je použit jako implicitní při otevírání ShapeFile.

Pokud je vybrán jedna z položek v pravém panelu, je možno použít lokální menu, které kromě standardní možnosti Editace obsahuje pro souřadné systémy i příkaz Všechny stejné dle tohoto. Po jeho výběru se souřadné systémy ve všech řádcích nastaví stejně dle aktuálního řádku.

Implicitní kódová stránka

Nastavení implicitní kódové stránky pro nově vznikající bloky.

Automaticky vyplňované DB položky

Nastavení vlastností pro automaticky vyplňované databázové položky při editaci vektorových objektů.

Jednotka pro plošný obsah

Jednotka, ve které bude automaticky vyplňována databázová položka PLOCHA.

Jednotka pro délku

Jednotka, ve které bude automaticky vyplňována databázová položka DELKA

Počet desetinných míst

Určuje přesnost z jakou budou vyplňovány automaticky vyplňované databázové položky.

Zobrazení

Nastavení implicitního zobrazování dat, výběrů a zvýraznění.

Pořadí vrstev

Nastavení kam se budou zařazovat vrstvy (objekty ze stromu dat) přidávané do mapového okna. Zvolit lze ze dvou možností, které se volí zaškrtnutím příslušného pole v dialogu Zařazování vrstev při zobrazování.

Výběr způsobu zařazování vrstev při zobrazování
Zařadit vrstvu vždy dopředu

Každá vrstva bude zařazena vždy dopředu, tzn. bude zobrazována navrchu.

Použit definované pořadí

Každá vrstva bude zařazena dle svého druhu dle pořadí definovaném v poli Pořadí vrstev. Umístění vrstvy lze měnit tlačítky nad tímto polem:

Přesune vybranou vrstvu dopředu.
Přesune vybranou vrstvu o jednu dopředu.
Přesune vybranou vrstvu o jednu dozadu.
Přesune vybranou vrstvu dozadu.

Zobrazování rastrů

Implicitní nastavení zobrazení rastrů.

Barva binárních rastrů

Určuje barvu, kterou se budou implicitně zobrazovat binární rastry při jejich zařazení do mapového okna.

Zobrazování rastru a jeho hranice

Určuje jak se budou implicitně zobrazovat rastry a jejich hranice při jejich zařazení do mapového okna.

Barva hranice rastru

Určuje implicitní barvu hranice rastru při jeho zařazení do mapového okna.

Značka hranice rastru

Určuje implicitní značku hranice rastru při jeho zařazení do mapového okna. Značku lze vybrat pouze ze standardních značek TopoLu.

Minimální měřítko pro zobrazení rastrů

Určuje implicitní minimální měřítko pro zobrazování rastrů při jejich zařazení do mapového okna. Pokud je nastaveno měřítko 1: 0, nebude zobrazení rastrů minimálním měřítkem omezeno.

Maximální měřítko pro zobrazení rastrů

Určuje implicitní maximální měřítko pro zobrazování rastrů při jejich zařazení do mapového okna. Pokud je nastaveno měřítko 1: 0, nebude zobrazení rastrů maximálním měřítkem omezeno.

Zobrazování bloků

Implicitní nastavení zobrazování bloků.

Linie v bloku

Nastavení zobrazení linií v bloku při jejich zařazení do mapového okna.

Barva linií

Nastavení barvy linií v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou linie zobrazovat barvou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou, zvolenou barvou.

Značka linií

Nastavení značek linií v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou linie zobrazovat značkou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost linií

Nastavení průhlednosti linií v bloku při jejich zařazení do mapového okna. 0% - linie budou neprůhledné, 100% - linie budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Plochy v bloku

Nastavení zobrazení ploch v bloku při jejich zařazení do mapového okna.

Barva ploch

Nastavení barvy ploch v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou plochy zobrazovat barvou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou, zvolenou barvou.

Značka ploch

Nastavení značek ploch v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou ploch zobrazovat značkou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost ploch

Nastavení průhlednosti ploch v bloku při jejich zařazení do mapového okna. 0% - plochy budou neprůhledné, 100% - plochy budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazovat hranice ploch

Určuje, zda budou, při zařazení ploch do mapového okna, implicitně zobrazovány jejich hranice.

Barva hranice ploch

Nastavení barvy hranice ploch v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou hranice ploch zobrazovat barvou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny hranice plochy zobrazovat jednou zvolenou barvou.

Značka hranice ploch

Nastavení značky hranice ploch v bloku při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Body v bloku

Nastavení zobrazení bodů v bloku při jejich zařazení do mapového okna.

Barva bodů

Nastavení barvy bodů v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou body zobrazovat barvou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou, zvolenou barvou.

Značka bodů

Nastavení značek bodů v bloku při jejich zařazení do mapového okna. Při volbě dle TopoLu se budou body zobrazovat značkou uloženou v bloku, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost bodů

Nastavení průhlednosti bodů v bloku při jejich zařazení do mapového okna. 0% - body budou neprůhledné, 100% - body budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazování ShapeFile

Implicitní nastavení zobrazování ShapeFile. Tato nastavení bude použito pro otevření ShapeFile pro četní i pro editaci.

Linie v ShapeFile

Nastavení zobrazení linií v ShapeFile při jejich zařazení do mapového okna.

Barva linií

Nastavení barvy linií v ShapeFile při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat barvou vybranou systémem, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou, zvolenou barvou.

Značka linií

Nastavení značek linií v ShapeFile při jejich zařazení do mapového okna. Značku lze vybrat pouze ze standardních značek TopoLu.

Průhlednost linií

Nastavení průhlednosti linií v ShapeFile při jejich zařazení do mapového okna. 0% - linie budou neprůhledné, 100% - linie budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Plochy v ShapeFile

Nastavení zobrazení ploch v ShapeFile při jejich zařazení do mapového okna.

Barva ploch

Nastavení barvy ploch v shapeFile při jejich zařazení do mapového okna. Při volbě automatická se budou plochy zobrazovat barvou vybranou systémem, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou, zvolenou barvou.

Značka ploch

Nastavení značek ploch v ShapeFile při jejich zařazení do mapového okna. Značku lze vybrat pouze ze standardních značek TopoLu.

Průhlednost ploch

Nastavení průhlednosti ploch v ShapeFile při jejich zařazení do mapového okna. 0% - plochy budou neprůhledné, 100% - plochy budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazovat hranice ploch

Určuje, zda budou, při zařazení ploch do mapového okna implicitně zobrazovány jejich hranice. Vybrat lze z možností nezobrazovat nikdy, zobrazovat jen u SHP pro čtení, zobrazovat jen u SHP pro editaci, zobrazovat vždy.

Barva hranice ploch

Nastavení barvy hranice ploch v ShapeFile při jejich zařazení do mapového okna. Při volbě automatickáse budou hranice ploch zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou všechny hranice plochy zobrazovat jednou zvolenou barvou.

Značka hranice ploch

Nastavení značky hranice ploch v ShapeFile při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Body v ShapeFile

Nastavení zobrazení bodů v ShapeFile při jejich zařazení do mapového okna.

Barva bodů

Nastavení barvy bodů v shapeFile při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou, zvolenou barvou.

Značka bodů

Nastavení značek bodů v ShapeFile při jejich zařazení do mapového okna. Značku lze vybrat pouze ze standardních značek TopoLu.

Průhlednost bodů

Nastavení průhlednosti bodů v ShapeFile při jejich zařazení do mapového okna. 0% - body budou neprůhledné, 100% - body budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazování DGN

Implicitní nastavení zobrazování DGN souborů

Linie v DGN

Nastavení zobrazení linií v DGN souborech při jejich zařazení do mapového okna.

Barva linií

Nastavení barvy linií v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat barvou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou, zvolenou barvou.

Značka linií

Nastavení značek linií v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat značkou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost linií

Nastavení průhlednosti linií v DGN souborech při jejich zařazení do mapového okna. 0% - linie budou neprůhledné, 100% - linie budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Plochy v DGN

Nastavení zobrazení ploch v DGN souborech při jejich zařazení do mapového okna.

Barva ploch

Nastavení barvy ploch v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou plochy zobrazovat barvou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou, zvolenou barvou.

Značka ploch

Nastavení značek ploch v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou ploch zobrazovat značkou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost ploch

Nastavení průhlednosti ploch v DGN souborech při jejich zařazení do mapového okna. 0% - plochy budou neprůhledné, 100% - plochy budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazovat hranice ploch

Určuje, zda budou, při zařazení ploch do mapového okna, implicitně zobrazovány jejich hranice.

Barva hranice ploch

Nastavení barvy hranice ploch v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou hranice ploch zobrazovat barvou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny hranice plochy zobrazovat jednou zvolenou barvou.

Značka hranice ploch

Nastavení značky hranice ploch v DGN souborech při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Body v DGN

Nastavení zobrazení bodů v DGN souborech při jejich zařazení do mapového okna.

Barva bodů

Nastavení barvy bodů v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat barvou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou, zvolenou barvou.

Značka bodů

Nastavení značek bodů v DGN souborech při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat značkou uloženou v DGN souboru, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost bodů

Nastavení průhlednosti bodů v DGN souborech při jejich zařazení do mapového okna. 0% - body budou neprůhledné, 100% - body budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazování VYK

Implicitní nastavení zobrazování VYK souborů

Linie ve VYK

Nastavení zobrazení linií ve VYK souborech při jejich zařazení do mapového okna.

Barva linií

Nastavení barvy linií ve VYK souborech při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat barvou uloženou ve VYK souboru, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou, zvolenou barvou.

Značka linií

Nastavení značek linií ve VYK souborech při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat značkou uloženou ve VYK souboru, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost linií

Nastavení průhlednosti linií ve VYK souborech při jejich zařazení do mapového okna. 0% - linie budou neprůhledné, 100% - linie budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Plochy v MapInfo

Nastavení zobrazení ploch v datech VYK při jejich zařazení do mapového okna.

Barva ploch

Nastavení barvy ploch v datech VYK při jejich zařazení do mapového okna. Při volbě automatická se budou plochy zobrazovat barvou uloženou v datech VYK, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou, zvolenou barvou.

Značka ploch

Nastavení značek ploch v datech VYK při jejich zařazení do mapového okna. Při volbě automatická se budou ploch zobrazovat značkou uloženou v datech VYK, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost ploch

Nastavení průhlednosti ploch v datech VYK při jejich zařazení do mapového okna. 0% - plochy budou neprůhledné, 100% - plochy budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazovat hranice ploch

Určuje, zda budou, při zařazení ploch do mapového okna, implicitně zobrazovány jejich hranice.

Barva hranice ploch

Nastavení barvy hranice ploch v datech VYK při jejich zařazení do mapového okna. Při volbě automatickáse budou hranice ploch zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou všechny hranice plochy zobrazovat jednou zvolenou barvou.

Značka hranice ploch

Nastavení značky hranice ploch v datech VYK při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Body ve VYK

Nastavení zobrazení bodů ve VYK souborech při jejich zařazení do mapového okna.

Barva bodů

Nastavení barvy bodů ve VYK souborech při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat barvou uloženou ve VYK souboru, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou, zvolenou barvou.

Značka bodů

Nastavení značek bodů ve VYK souborech při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat značkou uloženou ve VYK souboru, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost bodů

Nastavení průhlednosti bodů ve VYK souborech při jejich zařazení do mapového okna. 0% - body budou neprůhledné, 100% - body budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazování MapInfo

Implicitní nastavení zobrazování dat MapInfo.

Linie v MapInfo

Nastavení zobrazení linií v datech MapInfo při jejich zařazení do mapového okna.

Barva linií

Nastavení barvy linií v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat barvou uloženou v datech MapInfo, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou, zvolenou barvou.

Značka linií

Nastavení značek linií v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat značkou uloženou v datech MapInfo, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost linií

Nastavení průhlednosti linií v datech MapInfo při jejich zařazení do mapového okna. 0% - linie budou neprůhledné, 100% - linie budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Plochy v MapInfo

Nastavení zobrazení ploch v datech MapInfo při jejich zařazení do mapového okna.

Barva ploch

Nastavení barvy ploch v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatická se budou plochy zobrazovat barvou uloženou v datech MapInfo, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou, zvolenou barvou.

Značka ploch

Nastavení značek ploch v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatická se budou ploch zobrazovat značkou uloženou v datech MapInfo, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost ploch

Nastavení průhlednosti ploch v datech MapInfo při jejich zařazení do mapového okna. 0% - plochy budou neprůhledné, 100% - plochy budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazovat hranice ploch

Určuje, zda budou, při zařazení ploch do mapového okna, implicitně zobrazovány jejich hranice.

Barva hranice ploch

Nastavení barvy hranice ploch v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatickáse budou hranice ploch zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou všechny hranice plochy zobrazovat jednou zvolenou barvou.

Značka hranice ploch

Nastavení značky hranice ploch v datech MapInfo při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Body v MapInfo

Nastavení zobrazení bodů v datech MapInfo při jejich zařazení do mapového okna.

Barva bodů

Nastavení barvy bodů v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat barvou uloženou v datech MapInfo, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou, zvolenou barvou.

Značka bodů

Nastavení značek bodů v datech MapInfo při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat značkou uloženou v datech MapInfo, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou zvolenou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Průhlednost bodů

Nastavení průhlednosti bodů v datech MapInfo při jejich zařazení do mapového okna. 0% - body budou neprůhledné, 100% - body budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazování dat OpenGIS

Implicitní nastavení zobrazování dat uložených v databázích dle specifikace OpenGIS

Linie v datech OpenGIS

Nastavení zobrazení linií v datech OpenGIS při jejich zařazení do mapového okna.

Barva linií

Nastavení barvy linií v datech OpenGIS při jejich zařazení do mapového okna. Při volbě automatická se budou linie zobrazovat barvou vybranou systémem, při volbě jednotná dle hodnoty se budou všechny linie zobrazovat jednou, zvolenou barvou.

Značka linií

Nastavení značek linií v datech OpenGIS při jejich zařazení do mapového okna. Linie se budou po zařazení do mapového okna zobrazovat vybranou značkou.

Průhlednost linií

Nastavení průhlednosti linií v datech OpenGIS při jejich zařazení do mapového okna. 0% - linie budou neprůhledné, 100% - linie budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Plochy v datech OpenGIS

Nastavení zobrazení ploch v datech OpenGIS při jejich zařazení do mapového okna.

Barva ploch

Nastavení barvy ploch v datech OpenGIS při jejich zařazení do mapového okna. Při volbě automatická se budou plochy zobrazovat barvou vybranou systémem, při volbě jednotná dle hodnoty se budou všechny plochy zobrazovat jednou, zvolenou barvou.

Značka ploch

Nastavení značek ploch v datech OpenGIS při jejich zařazení do mapového okna. Plochy se budou po zařazení do mapového okna zobrazovat vybranou značkou.

Průhlednost ploch

Nastavení průhlednosti ploch v datech OpenGIS při jejich zařazení do mapového okna. 0% - plochy budou neprůhledné, 100% - plochy budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazovat hranice ploch

Určuje, zda budou, při zařazení ploch do mapového okna, implicitně zobrazovány jejich hranice.

Barva hranice ploch

Nastavení barvy hranice ploch v datech OpenGIS při jejich zařazení do mapového okna. Při volbě automatická se budou hranice ploch zobrazovat barvou vybranou systémem, při volbě jednotná dle hodnoty se budou všechny hranice plochy zobrazovat jednou zvolenou barvou.

Značka hranice ploch

Nastavení značky hranice ploch v datech OpenGIS při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Body v datech OpenGIS

Nastavení zobrazení bodů v datech OpenGIS při jejich zařazení do mapového okna.

Barva bodů

Nastavení barvy bodů v datech OpenGIS při jejich zařazení do mapového okna. Při volbě automatická se budou body zobrazovat barvou vybranou systémem, při volbě jednotná dle hodnoty se budou všechny body zobrazovat jednou, zvolenou barvou.

Značka bodů

Nastavení značek bodů v datech OpenGIS při jejich zařazení do mapového okna. Plochy se budou po zařazení do mapového okna zobrazovat vybranou značkou.

Průhlednost bodů

Nastavení průhlednosti bodů v datech OpenGIS při jejich zařazení do mapového okna. 0% - body budou neprůhledné, 100% - body budou transparentní. Nastavení průhlednosti se provádí pomocí dialogu Průhlednost.

Zobrazování mapových listů

Implicitní nastavení zobrazení mapových listů

Barva mapových listů

Nastavení barvy mapových listů při jejich zařazení do mapového okna. Při volbě automatickáse budou mapové listy zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou mapové listy zobrazovat jednou zvolenou barvou.

Značka mapových listů

Nastavení značky mapových listů při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Barva vedlejších mapových listů

Nastavení barvy vedlejších mapových listů při jejich zařazení do mapového okna. Při volbě automatickáse budou vedlejší mapové listy zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou vedlejší mapové listy zobrazovat jednou zvolenou barvou.

Značka vedlejších mapových listů

Nastavení značky vedlejších mapových listů při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Koeficient pro maximální měřítko mapových listů

Při zařazení kladu mapových listů do mapového okna bude implicitně nastaveno maximální měřítko pro jeho zobrazení jako součin tohoto koeficientu a měřítka kladu zobrazovaných mapových listů. Například při koeficientu 500x bude pro klad listů SMO 1: 1 000 nastaveno maximální měřítko pro zobrazení 500 000. Pokud bude pro tento koeficient nastaveno hodnota 0, nebude maximální měřítko pro zobrazení omezeno.

Zobrazování gridů

Implicitní nastavení zobrazení gridů

Způsob zobrazení gridů

Nastavení způsobu zobrazení gridů při jejich zařazení do mapového okna. Při volbě bodovou značkou se budou gridy zobrazovat bodovou značkou umístěnou v rozích gridu, při volbě křížkem dané velikosti se budou gridy zobrazovat křížkem dané velikosti umístěným v rozích gridu.

Barva gridů

Nastavení barvy gridů při jejich zařazení do mapového okna. Při volbě automatická se budou gridy zobrazovat barvou vybranou systémem , při volbě jednotná dle hodnoty se budou gridy zobrazovat jednou zvolenou barvou.

Značka gridů

Nastavení značky gridů při jejich zařazení do mapového okna. Vybraná značka bude použita pro gridy, pokud bude Způsob zobrazení gridu nastaven nabodovou značkou. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Velikost křížku

Nastavení velikosti křížku zobrazujícím grid (velikost bude použita, pokud bude Způsob zobrazení gridu nastaven na křížkem dané velikosti). Velikost křížku se zadává v metrech.

Koeficient pro maximální měřítko gridů

Při zařazení gridu do mapového okna bude implicitně nastaveno maximální měřítko pro jeho zobrazení jako součin tohoto koeficientu a menšího rozměru gridu. Například při koeficientu 500x bude pro grid 100 x 1 000 nastaveno maximální měřítko pro zobrazení 50 000. Pokud bude pro tento koeficient nastaveno hodnota 0, nebude maximální měřítko pro zobrazení omezeno.

Rozšířené zobrazení linií

Další možnosti pro zobrazování linií. Toto nastavení bude použito pro bloky, ShapeFile i soubory DGN.

Zobrazovat volné konce linií

Určuje, zda se budou zobrazovat volné konce linií.

Barva volných konců linií

Nastavení barvy značek volných konců linií při jejich zařazení do mapového okna.

Značka volných konců linií

Nastavení značky volných konců linií při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Zobrazovat lomové body linií

Určuje, zda se budou zobrazovat lomové body linií.

Barva lomových bodů linií

Nastavení barvy značek lomových bodů linií při jejich zařazení do mapového okna.

Značka lomových bodů linií

Nastavení značky lomových bodů linií při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Zobrazovat směr linií

Určuje, zda se bude zobrazovat směr linií - směr se zobrazuje šipkami na těle linie.

Barva směru linií

Nastavení barvy šipek znázorňujících směr linií při jejich zařazení do mapového okna.

Rozšířené zobrazení ploch

Další možnosti pro zobrazování ploch. Toto nastavení bude použito pro bloky, ShapeFile i soubory DGN.

Zobrazovat popisové body ploch

Určuje, zda se budou zobrazovat popisové body ploch.

Barva popisových bodů ploch

Nastavení barvy značek popisových bodů ploch při jejich zařazení do mapového okna.

Značka popisových bodů ploch

Nastavení značky popisových bodů ploch při jejich zařazení do mapového okna. Pro nastavení značky lze použít pouze standardní značky TopoLu.

Zobrazení výběrů

Implicitní způsob zobrazování vybraných vektorových objektů při jejich zařazení do mapového okna.

Výběr linií

Nastavení způsobu implicitního zobrazení výběru linií.

Způsob zobrazení výběrů linií

Způsob, jakým budou implicitně zobrazovány vybrané a nevybrané linie při jejich zařazení do mapového okna.

Barva vybraných linií

Barva vybraných linií při jejich zařazení do mapového okna.

Značka vybraných linií

Nastavení značky vybraných linií při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Barva nevybraných linií

Barva nevybraných linií při jejich zařazení do mapového okna.

Značka nevybraných linií

Nastavení značky nevybraných linií při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Výběr ploch

Nastavení způsobu implicitního zobrazení výběru ploch.

Způsob zobrazení výběrů ploch

Způsob, jakým budou implicitně zobrazovány vybrané a nevybrané plochy při jejich zařazení do mapového okna.

Barva vybraných ploch

Barva vybraných ploch při jejich zařazení do mapového okna.

Značka vybraných ploch

Nastavení značky vybraných ploch při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Barva nevybraných ploch

Barva nevybraných ploch při jejich zařazení do mapového okna.

Značka nevybraných ploch

Nastavení značky nevybraných ploch při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Výběr bodů

Nastavení způsobu implicitního zobrazení výběru bodů.

Způsob zobrazení výběrů bodů

Způsob, jakým budou implicitně zobrazovány vybrané a nevybrané body při jejich zařazení do mapového okna.

Barva vybraných bodů

Barva vybraných bodů při jejich zařazení do mapového okna.

Značka vybraných bodů

Nastavení značky vybraných bodů při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Barva nevybraných bodů

Barva nevybraných bodů při jejich zařazení do mapového okna.

Značka nevybraných bodů

Nastavení značky nevybraných bodů při jejich zařazení do mapového okna. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Výběr textů

Nastavení způsobu implicitního zobrazení výběru textů.

Způsob zobrazení výběrů textů

Způsob, jakým budou implicitně zobrazovány vybrané a nevybrané texty při jejich zařazení do mapového okna.

Barva vybraných textů

Barva vybraných textů při jejich zařazení do mapového okna.

Barva nevybraných textů

Barva nevybraných textů při jejich zařazení do mapového okna.

Zobrazení zvýraznění

Implicitní způsob zvýraznění vektorových objektů. Toto nastavení se použije například z při zvýrazňování vektorových objektů z databázového okna.

Zvýraznění linií

Nastavení způsobu zobrazení zvýraznění linií.

Barva zvýrazněných linií

Barva zvýrazňovaných linií.

Značka zvýrazněných linií

Nastavení značky zvýrazněných linií. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Zvýraznění ploch

Nastavení způsobu zobrazení zvýraznění ploch.

Barva zvýrazněných ploch

Barva zvýrazňovaných ploch.

Značka zvýrazněných ploch

Nastavení značky zvýrazněných ploch. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Zvýraznění bodů

Nastavení způsobu zobrazení zvýraznění bodů.

Barva zvýrazněných bodů

Barva zvýrazňovaných bodů.

Značka zvýrazněných bodů

Nastavení značky zvýrazněných bodů. Pro nastavení konkrétní značky lze použít pouze standardní značky TopoLu.

Mapové okno

Nastavení vlastností pro nově otevíraná mapová okna.

Okno s náhledem dat

Implicitní nastavení zobrazování jednotlivých typů dat v okně s náhledem

Implicitně zobrazovat body

Volba, zda budou body při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Implicitně zobrazovat linie

Volba, zda budou linie při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Implicitně zobrazovat plochy

Volba, zda budou plochy při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Implicitně zobrazovat texty

Volba, zda budou texty při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Implicitně zobrazovat mapové listy

Volba, zda budou mapové listy při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Implicitně zobrazovat gridy

Volba, zda budou gridy při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Implicitně zobrazovat rastry

Volba, zda budou rastry při zařazení do mapového okna také implicitně zobrazovány v okně s přehledem dat.

Barva pozadí mapového okna.

Určuje barvu pozadí mapového okna.

Při vytvoření okna otevřít legendu

Určuje zda bude při otevření nového mapového okna zároveň zobrazena legenda zobrazení v tomto okně.

Mapová okna vytvářet maximalizovaná

Určuje, zda budou nová mapová okna vytvářena maximalizovaná.

Relativní měřítko okna

Relativní měřítko pro nová mapové okna.

V legendě zobrazovat položku ostatní

Určuje, zda budou v položkách legendy případně zobrazovány implicitní barva a značka vybraných převodníků jako další položka legendy pod názvem Ostatní.

Při vytvoření okna otevřít okno s přehledem dat

Určuje zda bude při otevření nového mapového okna zároveň zobrazena zobrazeno okno s přehledem dat.

Průběžně vykreslovat mapové okno

Určuje zda bude při požadavku na překreslení mapové okno překreslováno průběžně, nebo zda bude překreslení provedeno "naráz".

3D

Nastavení vlastností pro práci v 3D.

Vytváření dat

Určuje jak se budou vytvářet nová data s ohledem na Z-ovou souřadnici. Lze určit, že nově vytvořené bloky se budou řídit dle nastavení TopoLu (tj. dle nastavení v Možnostech - 3D), popř. zda se budou vytvářet zásadně jako 2D data nebo 3D data.

Otvírání dat

Určuje jak se budou interpretovat již existující data při otevírání s ohledem na Z-ovou souřadnici. Lze určit, že otevírání dat se bude řídit dle nastavení TopoLu (tj. dle nastavení v Možnostech -3D), popř. zda se budou data otevírat zásadně jako 2D data nebo 3D data.

Parametry chytání

Nastavení implicitních parametrů pro chytání při editaci.

Parametry tvorby linie

Nastavení implicitních parametrů pro tvorbu linií.


Nastavení hodnoty průhlednosti

Dialog Průhlednost

Hodnotu průhlednosti se mění změnou polohy na posuvníku v dialogu. Právě nastavená hodnota průhlednosti se zobrazuje v poli Aktuální hodnota.


Připojené soubory

Správa připojených souborů se provádí v dialogu Připojené soubory, který lze otevřít z menu Projekt, submenu Připojené soubory, příkaz Upravit seznam připojených souborů.

Dialog Připojené soubory

V tabulce v těle dialogu je zobrazen seznam připojených souborů. Správu těchto souborů lze provádět příkazy z menu, panelů nástrojů nebo z kontextového menu.

Menu Připojené soubory
Připojit soubory... | Ctrl+N | Otevře standardní dialog pro otevření souborů, ve kterém lze zadat soubory, které budou přidány do seznamu připojených souborů.
Odpojit soubory | Ctrl+Del | Odpojí soubory vybrané v tabulce.
Otevřít... | Ctrl+O | Otevře soubory vybrané v tabulce. Pro otevření je použit mechanizmus operačního systému.
Systém | Otevře menu operačního systému příslušné pro vybraný soubor. Ikona tohoto příkazu se mění dle ikony vybraného souboru.
Nápověda | F1 | Spustí tuto nápovědu.
Zavřít | Zavře dialog Připojené soubory.
Menu Zobrazení
Setřídit

podle jména | Soubory v tabulce setřídí dle jejich jména.
podle umístění | Soubory v tabulce setřídí dle jejich umístění na disku.
podle velikosti | Soubory v tabulce setřídí dle jejich velikosti.
podle typu | Soubory v tabulce setřídí dle jejich typu.
podle data | Soubory v tabulce setřídí dle data jejich poslední modifikace.

Velké ikony | Zobrazí položky jako velké ikony.
Malé ikony | Zobrazí položky jako malé ikony.
Seznam | Zobrazí položky v seznamu.
Podrobnosti | Zobrazí informace o každé položce v okně.


Definice struktury projektu

Při definici struktury projektu lze nadefinovat jaké databáze a tabulky může uživatel vytvářet, určit jejich strukturu, symbolické názvy, nadefinovat barvy a značky vektorových objektů. Pro databázové položky lze určit jejich povinné hodnoty (rozsahem i výběrem), atd. Stávající soubor ZNACKY.DBF je možné do Definice struktury projektu naimportovat.

Dialog Definice struktury projektu


Kapitola 3. Data

Obsah

Data podporovaná v TopoLu xT
Okno Data
Informace o vybrané položce dat
Společné vlastnosti dat
Vlastnosti projektu
Vlastnosti složky
Vlastnosti databáze
Vlastnosti tabulky
Vlastnosti rastru
Vlastnosti kladu mapových listů
Vlastnosti gridu
Lokální menu stromu dat
Lokální menu stromu dat - submenu Zobrazit
Lokální menu stromu dat - submenu Vytvořit
Editace struktury tabulky
Definice aplikačních formulářů
Seznam otevřených dat
Nový blok
Otevření bloků
Otevření ShapeFile
Otevření ShapeFile pro editaci
Otevření DGN souborů
Otevření dat MapInfo
Otevření z databáze OpenGIS MDB
Otevření z databáze Geomedia MDB
Otevření VYK souborů
Otevření DWG, DXF souborů
Otevření CAD (DWG, DGN, DXF) souborů pro editaci
Otevření rastrů
Přidání WMS serveru
Vytvoření gridu
Vytvoření kladu mapových listů
Browse DB tabulky
Editace struktury DB tabulky
Export do BLK
Export do Dgn...
Export do Dwg, dxf...
Export do MDB OpenGIS, Geomedia...
Export do Arc/Infa
Výstupní formát souborů pro ARC/INFO
Export Dxf
Export Vtx,Dkm,Vkm
Import z ASCII souboru
Import z Arc/Infa
Import Dxf
Import Vtx,Dkm,Vkm

Daty se v TopoLu xT rozumí všechna otevřená vektorová i rastrová data, mapové listy a gridy.


Data podporovaná v TopoLu xT

Vektorová data

Vektorová data pro editaci jsou dostupná od varianty Reduced včetně vektorových dat podporovaných formou importu.

Všechna vektorová data v TopoLu lze (od varianty Reduced včetně) exportovat do formátů ShapeFile, TopoL Block, , DGN a Arc/Info. data ve formátu TopoL Block lze navíc exportovat do formátů DXF, VTX, DKM a VKM.

TopoL Block

Data ve formátu TopoL Block jsou podporována pro čten i editaci. Tato data jsou uložena jako adresář s příponou BLK.

ShapeFile

Data ve formátu ShapeFile jsou podporovány pro čtení, při otevření příkazem Otevřít ShapeFile pro editaci jsou v těchto datech vybudovány topologické vazby a data je pak možné editovat. Data ShapeFile jsou uložena jako adresář se soubory *.shp. TopoL xT umožňuje import i export těchto dat

MapInfo

Data ve formátu MapInfo jsou podporována pouze pro čtení včetně importu.

DGN

Tato data jsou uloženo v souborech s příponou DGN. TopoL xT umožňuje export i přímé načtení (kromě toho existuje externí program pro import a export). Od verze 9.0 je možno soubory přímo editovat.

DWG

Tato data jsou uložena v souborech s příponou DWG. TopoL xT umožňuje export i přímé načtení. Od verze 9.0 je možno soubory přímo editovat.

Geomédia MDB

Pouze pro čtení jsou podporována i data systému Geomedia uložená v databázi MDB. Vektorová data lze exportovat do tohoto formátu.

Data z databáze MDB uložená dle specifikace OpenGIS

TopoL umožňuje pro čtení otevřít také data uložená v databázích MDB dle specifikace OpenGIS. Vektorová data lze exportovat do tohoto formátu.

VYK

Pro čtení je možné otevřít i data ve formátu VYK (MISYS, Kokeš).

DXF

Tato data jsou uloženo v souborech s příponou DXF. TopoL xT umožňuje přímé načtení dat a jejich import a export). Od verze 9.0 je možno soubory přímo editovat.

Arc/Info

Pomocí importu lze také přistupovat k datům ve formátu Arc/Info Generate. Vektorová data lze exportovat do tohoto formátu.

VTX, DKM, VKM

Data ve formátech VTX, DKM a VKM jsou podporována pouze formou importu. Tato data jsou uloženo v souborech s příponou VTX, DKM a VKM. Vektorová data lze též exportovat do tohoto formátu.

ISKN (formát VFK)

Výměnný formát katastru nemovistostí ISKN je podporován formou importu (soubory s příponou VFK).

ISLH

Jedná se o výměnný formát dat lesních hospodářských plánů, popis tohoto formátu je zveřejněný, TopoL xT umožňuje import.

WFS

V TopoLu xT implementována již od verze 7.0. V novějších verzích je doplněna i podpora služby WFS ve formě klienta.

Rastrová data

Čtení a zobrazování rastrových dat je dostupné ve všech variantách, editace rastrů je dostupná od varianty Basic.

RAS, RAK

Data ve formátu TopoL RAS a jejich komprimovaná varianta RAK.

BMP

BMP

TIFF

TIFF včetně varianty GeoTiff

CIT

CIT

JPEG2000

JPEG2000

JPEG

JPEG

GIF

GIF

PCX

PCX

HRF

HRF

Mr.Sid

Mr.Sid

COT

COT

RGB

RGB

RLE

RLE

ECW

ECW

Mapové listy

Klady českých a slovenských map jsou podporovány ve všech variantách.

Klad listů základní mapy ČR a SR

měřítka 10 000, 25 000, 50 000, 100 000, 200 000

Klad listů SMO

měřítka 500, 1 000, 2 000, 5 000, 50 000

Klad listů Gauss-Krüger

měřítka 10 000, 25 000, 50 000, 100 000, 1 000 000

Klad listů katastrálních map
Gusterberg

měřítka 2 500, 2 880

Sv. Štěpán

měřítka 2 500, 2 880

Gellerthegy

měřítka 2 500, 2 880

Klad listů lesnických map

LHP a OPRL

Gridy

Gridy - obdélníkové síťové křížků nebo bodových značek.


Okno Data

V okně Data je prezentována "stromová" struktura všech dat otevřených v projektu. Příkazy v menu Data a v kontextovému menu tohoto okna se vždy vztahují k vybrané položce dat. Vybraná položka je zobrazována bílým písmem na modrém pozadí (barvy se mohou lišit v závislosti na nastavení Windows). V okně data lze vytvářet adresářovou strukturu a členit tak data logicky podle různých hledisek. Lze pak snadno pracovat s celými složkami dat, popř. celé složky zabalit a tak zpřehlednit strom dat v případě velkého množství zařazených vrstev.

Panel okna dat je takzvaně dokovací. To znamená, že ho buď lze umístit (zadokovat) do levé části okna aplikace , popř. je lze umístit kdekoli v rámci okna aplikace. Panel okna dat se umístí přetažením myší, kdy se musí "uchopit" za horní okraj.

Zaškrtávací pole u jednotlivých uzlů označují, zda jsou data otevřena (pole je zaškrtnuto) nebo jsou pouze připojena k projektu (pole není zaškrtnuto). Pokud je toto pole vyšeděno, obsahuje uzel data otevřená i jen připojená. Data, která nejsou otevřena není možné editovat ani zobrazovat.

Jednotlivá data lze v rámci "stromu" přesouvat a pomocí virtuálních složek tematicky třídit. Přesouvání dat je možné uchopením a puštěním pomocí myši.

Jednoduše zobrazit data lze jejich přetažením do mapového okna.

Data nastavená pro editaci se zobrazují modrým tučným písmem. Pro editaci lze nastavit pouze vektorová data ve formátu TopoL Block nebo data ve formátu ShapeFile otevřená pro editaci. Pro snažší rozlišení jsou data, která je možno nastavit pro editaci, zobrazena tučným písmem.

Dialog Data

Kliknutím pravým tlačítkem myši do okna dat se zobrazí lokální menu, kde jsou nejpotřebnější příkazy pro práci se zařazenými daty, které lze jinak najít v menu Data nebo Rastr. Příkazy tohoto lokálního menu (jejich umožňování) se mění podle toho, jaký je typ aktuálního prvku ve stromu dat, resp. zda je tento prvek nastaven pro editaci či ne.

Pro prezentaci dat ve stromové struktuře jsou použity ikony reprezentující druh dat:

uzel ve stromě dat představující právě otevřený projekt
virtuální složka
data ve formátu TopoL Blok
data ve formátu ShapeFile
data ve formátu DGN
data ve formátu MapInfo
data uložená v databázi dle specifikace OpenGIS
data ve formátu VYK
rastr
síť křížků - grid
klad mapových listů
tabulka bodů
tabulka linií
tabulka ploch
tabulka textů

Informace o položce vybrané ve "stromě dat" lze získat příkazem Vlastnosti z menu Data.


Informace o vybrané položce dat

Informace o vybrané položce dat se zobrazují v dialogu Vlastnosti.

Dialog Vlastnosti

Dialog se liší dle typu dat pro která je zobrazován:

  • Společné vlastnosti pro všechny druhy dat

  • Vlastnosti projektu

  • Vlastnosti složky

  • Vlastnosti databáze

  • Vlastnosti tabulky

  • Vlastnosti rastru

  • Vlastnosti kladu mapových listů

  • Vlastnosti gridu


Společné vlastnosti dat

Pole Jméno

V poli Jméno je uvedeno jméno položky dat, pro kterou je dialog Vlastnosti zobrazován. V tomto poli můžete jméno položky změnit - jméno položky má pouze informativní charakter pro snažší identifikaci dat v projektu. Jeho změna se nijak nedotkne přímo dat uložených například na disku.

Tabulka Vlastnosti

V tabulce Vlastnosti jsou společné první tři řádky:

Jméno | Hodnota
Druh | Druh vybrané položky dat například projekt, TopoL Blok, rastr, atd.
Počet podřízených položek | Uvádí kolik dalších položek obsahuje položka, pro kterou je dialog Vlastnosti zobrazován.
Umístění v projektu | Celá cesta položky ve stromě dat. K oddělení jednotlivých položek je použit znak "\" - lomítko.


Vlastnosti projektu

Záložka Obecné
Vlastnosti projektu - Obecné
Tabulka Vlastnosti

Kromě společných vlastností jsou uvedeny v této tabulce následující hodnoty:

Jméno | Hodnota
Umístění na disku | Cesta k souboru představující právě otevřený projekt. Pokud projekt ještě nebyl uložen, je zde zobrazeno <neuložen>.
Šablona | Šablona, dle které byl právě otevřený projekt vytvořen.
Datum vytvoření | Datum, kdy byl právě otevřený projekt vytvořen.
Datum posledního uložení | Datum, kdy byl právě otevřený projekt naposledy uložen.
Tlačítko Nastavení

Stisknutím tlačítka Nastavení otevřete dialog Nastavení projektu, kde lze nastavovat různé vlastnosti právě otevřeného projektu.

Tlačítko Připojené soubory

Stiskem tohoto tlačítka otevřete dialog pro správu souborů připojených k právě otevřenému projektu.

Záložka Další informace
Vlastnosti projektu - Další informace
Pole Autor

V tomto poli je uveden autor právě otevřeného projektu. Jméno autora lze změnit.

Pole Popis

Do pole Popis lze zadat komentář k právě otevřenému projektu.


Vlastnosti složky

Vlastnosti složky

Informace o složce obsahují pouze standardní vlastnosti.


Vlastnosti databáze

Záložka Obecné
Vlastnosti databáze - Obecné
Tabulka Vlastnosti

Kromě společných vlastností jsou uvedeny v této tabulce následující hodnoty:

Jméno | Hodnota
Vnitřní název | Symbolické jméno databáze používané systémem.
Umístění na disku | Cesta k souboru (adresáři) představující vybraná data. Pokud jsou data otevřena z databáze dle specifikace OpenGIS, je zde uvedeno jméno serveru.
Interní identifikátor | Interní identifikátor databáze používaný systémem.
Souřadný systém | Souřadný systém dat v databázi.
Kódová stránka | Kódová stránka databáze.
Záložka Databáze
Vlastnosti databáze - Databáze
Panel nástrojů

V horní části dialogu je panel nástrojů. Popis jeho funkcí je v následující tabulce.

Tlačítko Popis funkce
Zkopíruje obsah seznamu Tabulky a Počet prvků dle typu do clipboardu.
Otevře další dialog z vlastnostmi tabulky vybrané v seznamu Tabulky.
Seznam Tabulky

V seznamu jsou uvedeny všechny tabulky obsažené v databázi představované vybranou položkou dat.

Sloupec | Popis
Jméno | Jméno tabulky.
Typ | Typ vektorových dat obsažených v tabulce (text, bod, linie, plocha).
Souřadný systém | Souřadný systém dat v tabulce.
Tabulka Počet prvků dle typu

V této tabulce je uveden přehled vektorových objektů dle jejich typu.

Sloupec | Popis
Typ | Typ vektorových objektů (text, bod, linie, plocha).
Tabulek | Počet tabulek ve vybrané databázi, které obsahují příslušný typ vektorových objektů.
Počet prvků | Celkový počet vektorových objektů obsažených v databázi dle jejich typu.


Vlastnosti tabulky

Záložka Obecné
Vlastnosti tabulky - Obecné
Tabulka Vlastnosti

Kromě společných vlastností jsou uvedeny v této tabulce následující hodnoty:

Jméno | Hodnota
Vnitřní název | Symbolické jméno tabulky používané systémem.
Umístění na disku | Cesta k databázi, která obsahuje vybranou tabulku. Pokud jsou data otevřena z databáze dle specifikace OpenGIS, je zde uvedeno jméno serveru.
Počet prvků | Počet záznamů v tabulce.
Souřadný systém | Souřadný systém dat v tabulce.
Interní identifikátor | Interní identifikátor tabulky používaný systémem.
Záložka Struktura tabulky
Vlastnosti tabulky - Struktura tabulky

V tabulce je uveden seznam všech sloupců databáze s jejich jmény (sloupec Jméno), typem (sloupec Typ) a velikostí (sloupec Délka).


Vlastnosti rastru

Záložka Obecné
Vlastnosti rastru - Obecné
Tabulka Vlastnosti

Kromě společných vlastností jsou uvedeny v této tabulce následující hodnoty:

Jméno | Hodnota
Vnitřní název | Symbolické jméno rastru používané systémem.
Umístění na disku | Cesta k k rastru - jeho zdrojovému souboru.
Souřadný systém | Souřadný systém rastru.
Tlačítko Další informace

Po stisknutí tohoto tlačítka se otevře dialog Informace o rastru, kde lze získat další podrobné informace, včetně náhledu.


Vlastnosti kladu mapových listů

Záložka Obecné
Vlastnosti mapového listu - Obecné
Tabulka Vlastnosti

Kromě společných vlastností jsou uvedeny v této tabulce následující hodnoty:

Jméno | Hodnota
Vnitřní název | Symbolické jméno kladu mapových listů používané systémem.
Souřadný systém | Souřadný systém kladu mapových listů.
Klad mapových listů | Název kladu mapových listů.
Měřítko kladu mapových listů | Měřítko kladu mapových listů.


Vlastnosti gridu

Záložka Obecné
Vlastnosti gridu - Obecné
Tabulka Vlastnosti

Kromě společných vlastností jsou uvedeny v této tabulce následující hodnoty:

Jméno | Hodnota
Vnitřní název | Symbolické jméno gridu používané systémem.
Souřadný systém | Souřadný systém gridu.
Horizontální s. počátku | Horizontální souřadnice počátku gridu.
Vertikální s. počátku | Vertikální souřadnice počátku gridu.
Horizontální rozestup | Horizontální vzdálenost mezi jednotlivými body gridu.
Vertikální rozestup | Vertikální vzdálenost mezi jednotlivými body gridu.
Tlačítko Nastavení

Po stisknutí tohoto tlačítka se otevře dialog Vytvoření gridu, kde lze změnit rozměry a počátek gridu.


Lokální menu stromu dat

V lokálním menu stromu dat jsou nejpotřebnější příkazy pro práci se zařazenými daty, které lze jinak najít v menu Data nebo Rastr. Příkazy tohoto lokálního menu (zejména jejich umožňování) se mění podle toho, jaký je typ aktuálního prvku ve stromu dat, resp. zda je tento prvek nastaven pro editaci či ne. Některé důležité nástroje jsou dostupné jen z tohoto lokálního menu. jde zejména o změnu struktury interních databázových tabulek, definice uživatelsky definovaných aplikačních formulářů.

Lokální menu stromu dat v základním stavu

Jedná se o

Zobrazit |  | Submenu Zobrazit obsahuje příkazy pro zařazení aktuální položky ve stromu dat (včetně všech otevřených podsložek) do různých mapových oken
Vytvořit |  | Submenu Vytvořit obsahuje příkazy pro otevření určitých typů dat, vytvoření nového bloku či nových tabulek pro databáze (bloky) otevřené pro editaci apod.
Otevřít |  | Submenu Otevřít obsahuje prakticky všechny příkazy z menu Data pro otevírání různých typů vektorových dat.
Uložit |  | Submenu Uložit obsahuje příkazy Uložit data a Uložit kopii dat
Změna souřadného systému |  | Pro již otevřená vektorová data je možno změnit souřadný systém.
Export |  | Submenu Export obsahuje všechny příkazy z menu Data - Export pro ukládání dat do jiných formátů.
Rastr |  | Submenu Rastr obsahuje příkazy pro operace s jedním rastrem (geometrické operace, zpracování obrazu, pomocné operace). není nutno vyhledávat data na disku. Systém také přebírá informaci (nutné hlavně pro geometrické operace) o souřadném systému rastru
Seznam otevřených dat... |  | Otevře okno s lineárním seznamem všech právě otevřených dat. V tomto okně lze data nastavovat pro editaci, vyřazovat z projektu, zobrazovat, atd...
Nastavit pro editaci | F3 | Data vybraná ve stromě dat nastaví pro editaci.
Zavření datového zdroje |  | Zavře všechna data, která byla vybrána ve stromě dat.
Přejmenovat | F2 | Umožní přejmenovat data vybrané ve stromě dat. Přejmenování nemá vliv na jméno zdrojového souboru (adresáře) - jde jen o popis dat.
Změna struktury... |  | Příkaz umožní pomocí standardního dialogu změnit strukturu databázových tabulek.
Definice aplikačních formulářů... |  | Příkaz umožní pomocí dialogu nadefinovat, popř. upravit definici uživatelského aplikačního formuláře (uložen v souboru NDI).
Vlastnosti... | Alt + Enter | Zobrazí dialog s výpisem vlastností dat vybraných ve stromě dat.


Lokální menu stromu dat - submenu Zobrazit

Lokální submenu Zobrazit obsahuje příkazy pro zařazení nebo vyřazení aktuální položky ve stromu dat (včetně všech otevřených podsložek) do různých mapových oken. Jednotlivé příkazy menu jsou umožněny podle toho jakého typu data jsou a také podle toho, zda je aktivní nějaké mapové okno.

Lokální menu stromu dat - submenu Zobrazit

Jedná se o

Zobrazit v aktivním mapovém okně | Zařadí aktuální položku ze stromu dat (včetně všech otevřených podsložek) do legendy aktivního mapového okna.
Zobrazit ve všech mapových oknech | Zařadí aktuální položku ze stromu dat (včetně všech otevřených podsložek) do legendy všech otevřených mapových oken.
Zobrazit v novém mapovém okně | Zařadí aktuální položku ze stromu dat (včetně všech otevřených podsložek) do legendy nového mapového okna. které se založí.
Nové databázové okno | Zobrazí nové databázové okno pro tabulku dat aktivní ve stromě dat
Vypnout zobrazování v aktivním mapovém okně | Vypne aktuální položku ze stromu dat (včetně všech otevřených podsložek) v legendě aktivního mapového okna.
Vypnout zobrazování ve všech mapových oknech | Vypne aktuální položku ze stromu dat (včetně všech otevřených podsložek) v legendě všech otevřených mapových oken.
Vyjmout ze zobrazení v aktivním mapovém okně | Vyřadí aktuální položku ze stromu dat (včetně všech otevřených podsložek) z legendy aktivního mapového okna.
Vyjmout ze zobrazení ve všech mapových oknech | Vyřadí aktuální položku ze stromu dat (včetně všech otevřených podsložek) z legendy všech otevřených mapových oken.


Lokální menu stromu dat - submenu Vytvořit

Submenu Vytvořit obsahuje příkazy pro vytvoření gridů, mapových list;ů a vytvoření nového bloku či nových tabulek pro databáze (bloky) otevřené pro editaci.

Lokální menu stromu dat - submenu Vytvořit

Jedná se o

Nový blok... | Ctrl + F3 | Do zadaného adresáře vytvoří nový prázdný blok.
Vytvoření nové tabulky... |  | Umožní definovat nové tabulky (druhy) v bloku pro editaci.
Nový grid... | Dtrl + G | Vytvoří nový grid a přidá jej do stromu dat.
Nový klad mapových listů... | Ctrl + M | Vytvoří nový klad mapových listů a přidá jej do stromu dat.
Nová složka | Ctrl + Shift + F | Vytvoří ve stromu dat na aktuální pozici novou složku.


Editace struktury tabulky

Po potvrzení příkazu lokálního menu stromu dat se zobrazí dialog, kde lze měnit volitelné sloupce tabulky - lze přidávat a rušit jednotlivé sloupce a zároveň lze měnit typ jednotlivých sloupců tabulky.

Poznámka

Pokud chceme změnit strukturu již existující tabulky, musíme mít daný blok nastaven pro editaci.

Dialog pro Editaci struktury tabulky.
Seznam sloupců

V levé části dialogu je rolovací seznam se jmény všech sloupců databázové tabulky. Poklepáním myší na řádek seznamu je možno určit aktivní atribut tabulky, který můžeme modifikovat.

Přidat

Po potvrzení příkazu se objeví dialog, kde lze zadat typ, velikost, resp. přesnost nového atributu tabulky, který se pak přidá do seznamu atributů.

Upravit

Po potvrzení příkazu se objeví dialog, kde lze zadat nový typ, velikost, resp. přesnost aktivního atributu v seznamu atributů tabulky.

Smazat

Smaže se aktivní atribut tabulky.

Smazat vše

Smažou se všechny nadefinované atributy tabulky.

Obnovit původní

Příkaz obnoví stav volitelných atributů tabulky tak, jak byl před spuštěním příkazu.

Dle CRT

Strukturu tabulky lze také automaticky načíst z již existujícího crt souboru (textový soubor sloužící pro definici struktury). Definice atributů z crt souboru se přidá k již existujícím definicím atributů tabulky.

Dle DBF

Strukturu tabulky lze také automaticky načíst z již existujícího dbf souboru (může např. odpovídat jiné tabulce). Definice atributů z dbf souboru se přidá k již existujícím definicím atributů tabulky.

Do CRT

Pokud je struktura nadefinovaná můžeme ji uložit do crt souboru, který potom můžeme použít při definici stejné struktury u jiné tabulky nebo bloku


Definice aplikačních formulářů

Ke všem vektorovým objektům v topolovském bloku být definovány aplikační formuláře. Potom se po volbě grafického objektu v příkazu Atributy objektu, resp. Aplikační formuláře (oba příkazy v menu Mapové okno) kromě standardních informací o objektu zobrazí sada uživatelských formulářů.

Formuláře buď mohou obsahovat uživatelsky definované sestavy (informační formuláře), texty, rastry, videoklipy nebo nebo mohou sloužit pro zpřístupnění dokumentů nebo bloků a rastrů připojených k objektu. Obsah aplikačních formulářů se definuje pomocí textového souboru popisu aplikačních formulářů. Ten má stejné jméno jako příslušná tabulka objektů s koncovkou NDI. Podrobný popis tohoto souboru s příklady je v sekci Aplikační formuláře. Soubor lze vytvořit a editovat v libovolném textovém editoru. Mnohem snadnější je ale vytvořit ho pomocí experta po spuštění příkazu z lokálního menu stromu dat po předchozím výběru příslušné tabulky ve stromu dat.

Dialog pro Definici aplikačních formulářů.

V levé části dialogu je seznam již nadefinovaných záložek sady uživatelských formulářů. Kliknutím na nějakou položku se aktivuje seznam nastavitelných parametrů v pravé části dialogu, která funguje jako inspektor - specializovaný editor pro jednotlivé položky. Aktivní záložku je možno smazat poklepáním na symbol Odstranit položku v horní liště nástrojů. Novou záložku lze vložit pomocí lokálního rozbalovacího menu v horní liště se symbolem nového dokumentu. Jsou zde následující možnosti:

Textový soubor

dovoluje zobrazit čistý text bez speciálních formátovacích znaků (ASCII text), který je uložen v souboru definovaném přímo či nepřímo položkou v příslušném záznamu odpovídající databázové tabulky.

Rastr

umožňuje zobrazit rastrový obrázek, který je uložen v souboru definovaném přímo či nepřímo v popisu formuláře. Rastr může být v různých standardních formátech (TIFF, BMP, JPG atd.) a nemusí být souřadnicově umístěn. Formát RAS není podporován. Také velikost je omezena v závislosti na schopnostech použitého standardního zobrazovače rastrů.

Videoklip

dovoluje prohlížení videoklipu, který je uložen v souboru definovaném přímo či nepřímo v popisu formuláře. Součástí souboru s videoklipem může také být doprovodný zvuk. Pro zpracování souborů ve formátu AVI musí být na daném počítači instalován vhodný systém.

Informační formulář

definuje se pomocí souboru s popisem informačního formuláře s koncovkou DIN. Je to textový soubor, který určuje obsah záložky formuláře pomocí interního programovacího jazyka ToPas. Hlavní tělo popisu formuláře se pak skládá z posloupnosti příkazů, které se provádějí při zpracování formuláře před jeho zobrazením. Pomocí příkazů pro výstup je pak možné v rámci popisu formuláře určit informace (hodnoty), které budou jako výsledek ve formuláři skutečně zobrazeny. Může se jednat o poměrně komplikované výpočty nad položkami záznamu databáze včetně připojených záznamů z externích tabulek definovaných v příslušném modelu.

Dokument

umožňuje zobrazit jméno připojeného dokumentu, jeho typ a aplikaci přidruženou k tomuto typu dokumentů v systému Windows. Formulář je automaticky doplněn o tlačítko Otevřít, kterým se spouští přidružená aplikace.

Bloky a rastry

dovoluje zobrazovat v oddělených nabídkách (list boxech) bloky a rastry, které jsou logicky připojeny k zvolenému grafickému objektu. Formulář je možno doplnit o tlačítka, kterými lze zobrazovat bloky či rastry v různých mapových oknech.

Pro všechny typy záložek je možno nadefinovat jméno záložky a její popis, který se objeví v nadpisu (záhlaví) příslušné záložky. Tyto textové údaje lze přímo vepsat v pravé horní části dialogu. Pro vstup do editačního režimu se použije buď klávesa ENTER nebo dvojité poklepání myší. Všechny typy záložek jsou nějakým způsobem spojeny s externími soubory určitého typu. Tyto soubory lze definovat na řádcích Zdrojový soubor - Dle databáze a Soubor, resp. DB položka. Pokud je v řádku Dle databáze nastavena hodnota NE, v řádce Soubor se očekává jména připojeného souboru, které lze doplnit procházením počítače. Toto jméno může být přitom zapsáno jako absolutní nebo relativní, což má vliv na přenositelnost dat do jiných počítačů. Pokud je v řádku Dle databáze nastavena hodnota ANO, změní se titulek následující řádky na DB položka. V řádku vpravo je pak nabízen seznam položek, ze kterých je nutno vybrat tu, která bude obsahovat jména připojených souborů. Tímto způsobem lze každý objekt propojit individuálně s různými soubory. To má význam zejména pro takové typy záložek jako je Rastr, Blok, Video, Dokument. Některé záložky jako např. DIN, Rastr mohou obsahovat tlačítka Clipboard a Tisk pro přenos obsahu záložky do schránky, resp. pro otisk záložky na tiskárnu. V odpovídajících řádcích editoru aplikačního formuláře je nutno pro zviditelnění zmíněných tlačítek přepnout na hodnotu ANO. Editační řádka je řešena formou výklopného seznamu. U záložky typu Bloky a rastry je možno zapnout tlačítka Aktivní okno, Všechna okna a Nové okno. Těmito tlačítky pak na příslušné záložce ovlivňujeme zobrazování bloků vybraných ze seznamu do různých mapových oken. U této záložky se jako připojený soubor nedefinuje jen jeden rastr či blok, ale celý adresář. Některé záložky jako Rastr mají možnost nadefinovat Měřítko. Je to číselný údaj v %, udávající jak se má připojený rastr převzorkovat, aby měl správnou velikost. Hodnoty menší než 100 způsobí zmenšení oproti původní velikosti rastru, hodnoty větší než 100 způsobí zvětšení. Záložky typu DIN a Rastr mohou mít připojený zvukový záznam nadefinovaný v sekci Zvuk. Opět lze volit propojení s konkrétním souborem, popř. definovat propojení přes zvolenou databázovou položku. Pro záložky typu DIN lze nastavit v sekci Ostatní tlačítko Zrušit. To může mít význam u déle trvajících výpočtů - během výpočtu je k dispozici přerušovací dialog, kterým lze výpočet zastavit.

Dialog pro Definici aplikačních formulářů - definice záložky Rastr.


Seznam otevřených dat

Dialog obsahuje seznam všech dat rastrových i vektorových, která jsou zařazena ve stromě dat. Vektorová data (týká se všech formátů) zde nejsou reprezentována jako seznam vrstev bodů, linií či ploch. Topolovský blok ShapeFile, či data MapInfa jsou reprezentován jako celek jedním řádkem seznamu. jednotlivá data lze zařazovat a vyřazovat do legend mapových oken, popř. zapínat a vypínat v legendách. Data lze i vyřazovat ze stromu dat a určité typy dat lze nastavovat pro editaci.

Dialog Seznam otevřených dat

Dialog se ovládá pomocí lokálního menu, popř. panelu nástrojů. Seznam otevřených dat je v rolovacím seznamu v dolní části dialogu. Poklepáním na řádek seznamu se stává daný řádek aktivní a všechny operace se vztahují k němu. Podržením klávesy Ctrl, resp. Shift lze vybrat více položek seznamu.

Dialog obsahuje tlačítka:

Nastavit pro editaci | Data vybraná v seznamu otevřených dat nastaví pro editaci.
Zavření datového zdroje | Zavře všechna data, která byla vybrána, ve stromě dat.
Vlastnosti... | Zobrazí dialog s výpisem vlastností dat vybraných v seznamu dat.

Submenu Zobrazit obsahuje skoro všechny příkazy jako lokální submenu Zobrazit ve stromě dat pro zařazováni dat do legend mapových oken.


Nový blok

Výběr složky pro nový blok se provádí pomocí dialogu Nový blok.

Dialog Nový blok

Dialog je rozdělen do dvou částí. V levé části je zobrazena stromová struktura adresářů na vašem počítači. V pravé části se zobrazují všechny bloky, které existují ve zvolené složce. Do horního pole se vyplňuje název nového bloku. Souřadný systém nového bloku lze zvolit v poli Souřadný systém. Souřadný systém se volí pomocí dialogu Výběr souřadného systému.


Otevření bloků

Data ve formátu TopoL Block se otevírají prostřednictvím dialogu Výběr bloků.

Dialog Výběr bloků

Dialog je rozdělen na tři pole. V levé části je zobrazena stromová struktura adresářů na discích ve vašem počítači. V prostřední části dialogu se zobrazují všechny bloky, které jsou k dispozici ve vybraném adresáři. Dvojitým kliknutím se se vybrané bloky přesunou do pravé části dialogu, kde jsou zobrazeny bloky, které budou otevřeny. Vyřazení ze seznamu bloků pro otevření se provádí dvojitým kliknutím na příslušný blok.

Dialog lze také ovládat pomocí tlačítek:

Obnoví seznam bloků dostupných ve vybraném adresáři.
Přesune blok vybraný v prostřední části dialogu do seznamu bloků k otevření.
Přesune všechny bloky z prostřední části dialogu do seznamu bloků k otevření.
Vyřadí vybraný blok ze seznamu bloků pro otevření.
Vyřadí všechny bloky ze seznamu pro otevření.
Zobrazí informace o bloku vybraném v poli dostupných bloků nebo v seznamu bloků pro otevření.
Přesune blok vybraný v poli Vybrané bloky o jeden výš.
Přesune blok vybraný v poli Vybrané bloky o jeden dolů.
Přidat aktuální adresář do odkazů
Nastavení - provede nastavení týkající se historie, odkazů a startovacího adresáře

Bloky budou otevřeny v pořadí, v jakém jsou uvedeny v pravé části dialogu - v poli Vybrané bloky.

Od verze TopoLu xT 9.0 jsou na levé straně dialogu záložky

Tento počítač

Poklepáním na tuto záložku se zpřístupní složky v daném počítači. Startovací adresář lze měnit v nastavení dialogu.

Okolní počítače

Poklepáním na tuto záložku se přímo zpřístupní okolní počítače v siti.

Historie
Poklepáním na tuto záložku se přímo zpřístupní výběr složek, které jsme navštívili v poslední době. Počet položek ve složce Historie lze měnit v nastavení dialogu.
Odkazy
Poklepáním na tuto záložku se přímo zpřístupní výběr složek, které jsou uvedeny v seznamu odkazů. Tento výběr lze měnit v nastavení dialogu.
Substituce

Poklepáním na tuto záložku se přímo zpřístupní výběr ze všech složek, které jsou nadefinovány v Substitucích adresářů (Nástroje - Možnosti).


Otevření ShapeFile

Data ve formátu ShapeFile se otevírají prostřednictvím dialogu Výběr SHP.

Dialog Výběr SHP

Dialog je rozdělen na dvě pole. V levé části je zobrazena stromová struktura adresářů na discích ve vašem počítači. V pravé části dialogu je seznam ShapeFile dostupných ve vybraném adresáři. V tomto poli vyberte ShapeFile, které bude otevřeno.

Dialog obsahuje tlačítka:

Obnoví seznam ShapeFile dostupných ve vybraném adresáři.
Zobrazí informace o ShapeFile vybraném v pravé části dialogu.
Přidat aktuální adresář do odkazů
Nastavení - provede nastavení týkající se historie, odkazů a startovacího adresáře

Pokud je v Nastavení parametrů prostředí - kategorie Otevření/zavření dat řečeno, že se u ShapeFilů mají vybírat tabulky při otevření, objeví se následující dialog, kde je možno zaškrtnutím vybrat pouze požadované vrstvy.

Dialog Výběr vrstev SHP

Pokud v adresáři se ShapeFily existuje soubor s koncovkou prj, je tento použit pro definici souřadného systému, jinak se hledá soubor CoordSys.xml a pokud není nalezen ani ten záleží na nastavení souřadného systému pro ShapeFily v projektu.


Otevření ShapeFile pro editaci

Data ve formátu ShapeFile se otevírají pro editaci prostřednictvím stejného dialogu Výběr SHP jako při otevírání ShapeFile jen pro čtení.

Dialog je rozdělen na dvě pole. V levé části je zobrazena stromová struktura adresářů na discích ve vašem počítači. V pravé části dialogu je seznam ShapeFile dostupných ve vybraném adresáři. V tomto poli vyberte ShapeFile, které bude otevřeno. Po potvrzení se objeví další dialog.

Dialog Výběr SHP pro editaci

V tomto dialogu se jednoduchým způsobem vyberou vrstvy, se kterými budeme pracovat. Důležité je vybrat druhy linií, které budou vstupovat do topologie - jsou to všechny vrstvy linií a ploch (hranice ploch se chápou jako samostatné vrstvy), u kterých je zaškrtnut přepínač ve sloupci Uzlovat. TopoL má poněkud odlišnou filozofii než programy pracující s shapefily jako se základním formátem (Arc/Info). Proto je nutno zvážit, která data otevírat pro editaci najednou. Všechny vybrané linie i hranice ploch se prouzlují, tzn. na všech průsečících se vytvoří uzly, příp. se linie rozdělí na víc částí.

Poznámka

Poznámka: Některé přepínače ve sloupci Uzlovat jsou vyšeděny - nelze je změnit. Pokud chceme např. editovat plochy, musí být odpovídající přepínač zapnut. U bodů naopak přepínač nemá žádný smysl.


Otevření DGN souborů

Pro otevření dat ve formátu DGN stačí standardním způsobem vybrat odpovídající soubor s extenzí DGN.


Otevření dat MapInfo

Obdobným způsobem jako při otevíraní dat typu ShapeFile se vybírá adresář se soubory MapInfa z extenzí .MIF, resp. .MID.

Pokud je v Nastavení parametrů prostředí - kategorie Otevření/zavření dat řečeno, že se u dat MapInfa mají vybírat tabulky při otevření, objeví se dialog, kde je možno zaškrtnutím vybrat pouze požadované vrstvy.

Data MapInfo jsou uložena jako adresář se soubory .MIF, .MID nebo .TAB. Ve jménu těchto souborů nejsou povoleny některé znaky !@#$%^&+-= a hlavně mezera. Není možno mít ve stejném adresáři soubory stejného jména, jednou s koncovkami .MIF a .MID a podruhé s koncovkou .TAB. Souřadný systém je někdy uložen přímo v datech nebo v souboru CoordSys.xml a pokud není nalezen ani ten záleží na nastavení souřadného systému v projektu.


Otevření z databáze OpenGIS MDB

Pro otevření dat ve formátu MDB stačí standardním způsobem vybrat odpovídající soubor s extenzí MDB. Soubor však musí odpovídat specifikaci OpenGIS.

Dialog Výběr MDB

Pokud je v Nastavení parametrů prostředí - kategorie Otevření/zavření dat řečeno, že se u dat OpenGIS MDB mají vybírat tabulky při otevření, objeví se následující dialog, kde je možno zaškrtnutím vybrat pouze požadované vrstvy.

Dialog Výběr vrstev z MDB


Otevření z databáze Geomedia MDB

Pro otevření dat ve formátu Geomedia MDB stačí standardním způsobem vybrat odpovídající soubor s extenzí MDB. Soubor však musí odpovídat specifikaci Geomedií.

Dialog Výběr MDB

Pokud je v Nastavení parametrů prostředí - kategorie Otevření/zavření dat řečeno, že se u dat Geomedia MDB mají vybírat tabulky při otevření, objeví se dialog, kde je možno zaškrtnutím vybrat pouze požadované vrstvy.


Otevření VYK souborů

Pro otevření dat ve formátu VYK (Kokeš) stačí standardním způsobem vybrat odpovídající soubor s extenzí VYK.


Otevření DWG, DXF souborů

Pro otevření dat ve formátu DWG, resp. DXF stačí standardním způsobem vybrat odpovídající soubor s extenzí DWG, popř. DXF.


Otevření CAD (DWG, DGN, DXF) souborů pro editaci

Stejně tak jako je možno přímo editovat SHP soubory je možno od verze xT 9.0 editovat dgn a dwg soubory. Pro otevření těchto dat stačí standardním způsobem vybrat odpovídající soubor s odpovídající extenzí. Při výběru souboru lze vybrat volbu Použít XML a pak vybrat popisový soubor, kde lze určit jaké buňky se mají převést jako body (ty se budou moci posouvat při editaci). Po potvrzení se objeví dialog

Dialog pro výběr vrstev pro CAD (DWG, DGN, DXF) soubory otevřené pro editaci

Po načtení vybraného souboru si uživatel vybere s jakými vrstvami se bude pracovat a dále jaké vrstvy chce topologicky editovat (uzlovat) a jaké jsou pouze pro zobrazování.


Otevření rastrů

Rastrová data se otevírají prostřednictvím dialogu Otevření rastrů.

Dialog pro otevření více rastrů.

Od verze TopoLu xT 9.0 jsou na levé straně dialogu záložky

Tento počítač

Poklepáním na tuto záložku se zpřístupní složky v daném počítači. Startovací adresář lze měnit v nastavení dialogu.

Okolní počítače

Poklepáním na tuto záložku se přímo zpřístupní okolní počítače v siti.

Historie
Poklepáním na tuto záložku se přímo zpřístupní výběr složek, které jsme navštívili v poslední době. Počet položek ve složce Historie lze měnit v nastavení dialogu.
Odkazy
Poklepáním na tuto záložku se přímo zpřístupní výběr složek, které jsou uvedeny v seznamu odkazů. Tento výběr lze měnit v nastavení dialogu.
Substituce

Poklepáním na tuto záložku se přímo zpřístupní výběr ze všech složek, které jsou nadefinovány v Substitucích adresářů (Nástroje - Možnosti).

Dialog je rozdělen na tři pole. V levé části je zobrazena stromová struktura adresářů na discích ve vašem počítači. V prostřední části dialogu se zobrazují všechny rastry, které jsou k dispozici ve vybraném adresáři. Dvojitým kliknutím se se vybrané rastry přesunou do pravé části dialogu, kde jsou zobrazeny rastry, které budou otevřeny.

Dialog lze také ovládat pomocí tlačítek:

Obnoví seznam rastrů dostupných ve vybraném adresáři.
Umožní změnu prezentace jednotlivých rastrů v seznamu (velké, malé ikony, podrobnosti)
Přesune rastr vybraný (vybrané) v prostřední části dialogu do seznamu rastrů k otevření.
Přesune všechny rastry z prostřední části dialogu do seznamu rastrů k otevření.
Vyřadí vybraný rastr ze seznamu rastrů pro otevření.
Vyřadí všechny rastry ze seznamu pro otevření.
Zobrazí informace o rastru vybraném v poli dostupných rastrů nebo v seznamu rastrů pro otevření.
Spustí tuto nápovědu.
Přidat aktuální adresář do odkazů
Nastavení - provede nastavení týkající se historie, odkazů a startovacího adresáře

Seznam rastrů v seznamu je možno třídit podle obsahu jednotlivých sloupců. Poklepáním na záhlaví sloupce se seznam setřídí, po případném dalším poklepání se směr třídění obrátí. Obsah seznamu můžeme též filtrovat použitím výklopného seznamu pod stromovou strukturou adresářů. Zde můžeme omezit výběr rastru pouze na jeden formát rastrových dat.

Přepínač Určit souřadný systém umožňuje zadat pro rastry zařazované do projektu souřadný systém. Po zatržení přepínače se zpřístupní standardní dialog pro výběr souřadného systému. V ostatních případech se rastrům přiřadí implicitní souřadný systém dle nastavení projektu.


Přidání WMS serveru

Web Map Service (WMS) a Web Feature Service (WFS) jsou základními službami pro práci s mapami na Internetu. Tyto služby (protokoly) byly vyvinuty jako standard pro přenášení map a polohově určených dat přes Internet za účelem vytváření mapových kompozic. Tyto služba umožňují, aby si uživatel ve své aplikaci kombinoval data nejen v různých formátech, ale i data uložená lokálně, s daty poskytovanými z několika internetových mapových serverů.

Klientská aplikace nejdříve musí zjistit schopnosti mapového serveru jaké mapové vrstvy nabízí, jaké souřadné systémy a výstupní formáty (v případě WMS) podporuje atp. Po spuštění funkce se objeví dialog pro výběr WMS serveru a zjištění jeho základních vlastností.

Dialog pro výběr WMS serveru

Po výběru příslušného serveru se pokračuje potvrzením tlačítka Další. Objeví se další část průvodce připojením WMS serveru, kde se zadají konkrétní parametry připojení.

Dialog pro nastavení WMS serveru

Je třeba vybrat jeden z nabízených rastrových formátů (výběr závisí na konkrétním serveru), který bude použit při přenosu dat. Jedná se obvykle o formáty JPG, GIF, PNG apod. Formát se vybírá v seznamu Formát. Zatržením přepínače Transparentní pozadí se zadá, jestli chceme zprůhlednit část dat z WMS serveru, která je označena jako pozadí. To umožňují jen některé servery. Posuvníkem Faktor zvětšení se zadá celočíselná hodnota, která má vliv na množství přenášených dat. Bitové mapy se stahují tolikrát menší než je jejich standardní velikost, kolikrát je zadáno tímto faktorem. Kvalita zobrazení se však může přitom zhoršit, neboť rastry se musí resamplovat na správnou velikost. Přepínač Kreslit vždy při zapnutí způsobí, že příslušné vrstvy z daného WMS serveru se budou regenerovat při každé změně měřítka, což může být občas časově náročné. V případě vypnutí přepínače je nutno zobrazit WMS data v mapovém okně pomocí příkazu Překreslit včetně WMS serverů z lokální nabídky mapového okna, popř. legendy mapového okna.

Po zjištění poskytovaných datových vrstev si uživatel může vybrat vrstvy po zobrazení a ty zařadit do mapového okna TopoLu. Data se potom stahují při každé změně zobrazeného výřezu, pokud je toto zapnuto, nebo se stáhne pouze na požádání. Záleží na rychlosti připojení počítače a vhodnosti pro uživatele. TopoL xT také umožňuje provádět výběry nad dotazovacími vrstvami.

Poznámka

Pokud se vracíme na předchozí výřezy a zpět, nemusí se data z WMS serverů stahovat po Internetu. Systém si potřebná data ukládá do dočasných souborů a ty pak použije k urychlení zobrazování.

Mapové okno z daty z WMS serveru

Poznámka

Na tomto místě je potřeba poznamenat, že standardy WMS a WFS jsou poměrně široké a ne všechny mapové servery je korektně a beze zbytku naplňují a tak při použití některého z nich je možné narazit na jistá omezení.


Vytvoření gridu

Parametry nového gridu se zadávají v dialogu Vytvoření gridu.

Dialog Vytvoření gridu

Do polí Vertikální a Horizontální souřadnice zadejte počátek gridu, do polí Výška a Šířka zadejte vzdálenosti jednotlivých bodů gridu.

Poznámka

Grid bude vytvořen od zadaného počátku ve směru, kterým rostou souřadnice jeho souřadného systému. Například v souřadném systému JTSK bude počátek pravým horním rohem gridu, v souřadném systému S 42 bude levým dolním rohem.

V poli Souřadný systém zadejte souřadný systém vytvářeného gridu.

Poznámka

Pokud je tento dialog použit pro změnu počátku a rozměru gridu (například z dialogu Vlastnosti gridu), není možné souřadný systém nastavit.

Rozměry a počátek gridu lze také zadat graficky - po stisknutí tlačítka Kurzorem můžete zadat tyto parametry nového gridu pomocí výběrového obdélníku s proměnným poměrem stran. Tato možnost je přístupná pouze, pokud je k dispozici alespoň jedno mapové okno.


Vytvoření kladu mapových listů

Výběr kladu mapových listů se provádí v dialogu Volba kladu mapových listů.

Dialog Volba kladu mapových listů

V poli Klady mapových listů jsou uvedeny všechny podporované klady mapových listů - v něm vyberte požadovaný klad a stiskněte tlačítko OK. Výběr lze také provést dvojklikem myší.


Browse DB tabulky

Příkaz umožní otevřít databázovou tabulku z externí databáze, případně ji editovat a provádět analýzy stejně jako při práci s navázanými tabulkami pomocí modelu. Po spuštění je třeba nadefinovat připojení k externí databázi stejným způsobem jako při definici připojení, které je nutné pro práci s modelem. Nakonec se vybere jedna tabulka z vybrané databáze a po jejím potvrzení se otevře databázové okno s tabulkou.


Editace struktury DB tabulky

Umožní změnit strukturu databázové tabulky z externí databáze. Po spuštění je třeba nadefinovat připojení k externí databázi stejným způsobem jako při definici připojení, které je nutné pro práci s modelem. Nakonec se vybere jedna tabulka z vybrané databáze a po jejím potvrzení se otevře dialog pro editaci struktury, který je prakticky stejný jako při editaci struktury primární tabulky.


Export do BLK

Export převede liniové, bodové, plošné a textové objekty otevřených dat do interního formátu TopoLu - bloku (BLK). Po spuštění se objeví následující dialog, kde lze vybrat vrstvy, které se budou exportovat.

Dialog Export do BLK

V tomto dialogu se jednoduchým způsobem vyberou vrstvy, se kterými budeme pracovat. Důležité je vybrat druhy linií, které budou vstupovat do topologie - jsou to všechny vrstvy linií a ploch (hranice ploch se chápou jako samostatné vrstvy), u kterých je zaškrtnut přepínač ve sloupci Uzlovat. Všechny vybrané linie i hranice ploch se prouzlují, tzn. na všech průsečících se vytvoří uzly, příp. se linie rozdělí na víc částí.

Poznámka

Poznámka: Některé přepínače ve sloupci Uzlovat jsou vyšeděny - nelze je změnit. Pokud chceme např. editovat plochy, musí být odpovídající přepínač zapnut. U bodů naopak přepínač nemá žádný smysl.

Zapnutý přepínač Jen vybrané způsobí, že se budou exportovat pouze ty objekty, které byly vybrány, tzn. ty, které mají interní atribut _Select roven 1.


Export do Dgn...

Export převede liniové, bodové a textové objekty otevřených dat do souboru ve formátu DGN. Provádí se pomocí následujícího dialogu.

Dialog pro export bloku do Dgn souboru

Vstupem pro export jsou vektorová data (blok, Shapefile) vybraná ve stromě dat. Odkaz na tato data je v první editační řádce Jméno exportované databáze.

Tlačítkem Pouze vybrané objekty určíme, že export bude omezen pouze na vybrané objekty (interní atribut _Select = 1).

Určíme jméno a adresář výstupního souboru Dgn v editační řádce Jméno Dgn souboru. Můžeme použít standardní dialog pomocí tlačítka vedle editační řádky.

Do editační řádky Souřadný systém dgn souboru zapíšeme pomocí výběrového dialogu pro souřadné systémy souřadný systém, do kterého budou vstupní data transformována.

Určíme jméno a adresář souboru XML v editační řádce Soubor s definicí parametrů exportu. Tento soubor ovlivňuje chování systému při exportu, zejména převod buněk DGN, ignorování některých vrstev spod. Podrobný popis možností lze najít ve vzorovém XML souboru.

Tlačítko Exportovat DB atributy ovlivňuje přenos DB atributů. Je-li zatrženo, vytvoří se podadresář, kam se do DBF souborů uloží databázové tabulky s nepovinnými DB atributy.

Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme převod.


Export do Dwg, dxf...

Export převede liniové, bodové a textové objekty otevřených dat do souboru ve formátu DWG, resp. DXF. Provádí se pomocí následujícího dialogu.

Dialog pro export bloku do DWG souboru

Vstupem pro export jsou vektorová data (blok, Shapefile) vybraná ve stromě dat. Odkaz na tato data je v první editační řádce Jméno exportované databáze. Dalšími přepínači lze zvolit, že se budou exportovat všechna otevřená vektorová data, popř. data, která jsou zobrazena v aktuálním mapovém okně.

Tlačítkem Pouze vybrané objekty určíme, že export bude omezen pouze na vybrané objekty (interní atribut _Select = 1).

Určíme jméno a adresář výstupního souboru Dwg, resp. Dxf v editační řádce Jméno Dwg, dxf souboru. Můžeme použít standardní dialog pomocí tlačítka vedle editační řádky.

Do editační řádky Souřadný systém dwg souboru zapíšeme pomocí výběrového dialogu pro souřadné systémy souřadný systém, do kterého budou vstupní data transformována.

Z výklopného seznamu ACAD verze lze vybrat vybrat verzi ACAD, do které budou vybraná data exportována.

Určíme jméno a adresář souboru XML v editační řádce Soubor s definicí parametrů exportu. Tento soubor ovlivňuje chování systému při exportu, zejména převod bodových značek, posun souřadnic, ignorování některých vrstev spod. Podrobný popis možností lze najít ve vzorovém XML souboru.

Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme převod.

Poznámka

Od verze TopoLu 9.5 se při exportu do těchto formátů exportují také TopoLovské uživatelské značky. Pro body lze určit, zda se mají exportovat jako body, jako dwg/dxf bloky získané ze zadaného souboru XML nebo jako dwg/dxf bloky získané z knihovny uživatelských značek. Obdobně se určí, jak se mají exportovat linie, resp. plochy.


Export do MDB OpenGIS, Geomedia...

Export převede liniové, bodové a textové objekty otevřených dat do souboru ve formátu OpenGIS MDB, resp. Geomedia MDB. Provádí se pomocí následujícího dialogu.

Dialog pro export bloku do MDB souboru

Vstupem pro export jsou vektorová data (blok, Shapefile) vybraná ve stromě dat. Odkaz na tato data je v první editační řádce Jméno exportované databáze.

Tlačítkem Pouze vybrané objekty určíme, že export bude omezen pouze na vybrané objekty (interní atribut _Select = 1).

Určíme jméno a adresář výstupního souboru MDB v editační řádce Jméno MDB souboru. Můžeme použít standardní dialog pomocí tlačítka vedle editační řádky.

Do editační řádky Souřadný systém MDB souboru zapíšeme pomocí výběrového dialogu pro souřadné systémy souřadný systém, do kterého budou vstupní data transformována.

Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme převod.


Export do Arc/Infa

Export převede liniové, bodové a textové objekty otevřených dat do souboru ve formátu Arc/Infa GENERATE. Příkaz vytvoří z označených dat ve stromu dat soubory v textovém tvaru a ve formátu DBF. Provádí se pomocí následujícího dialogu.

Dialog pro export dat do Arc/Infa

Po vyvolání příkazu se objeví dialogové okno pro nastavení jednotlivých parametrů příkazu. Do editační linky Adresář s výstupními soubory zapíšeme jméno adresáře, do kterého se budou vytvářené soubory ukládat. Systém implicitně ukládá soubory do adresáře s příponou ARC. Adresář můžeme vyhledat v dialogu, který se otevře po potvrzení tlačítka vedle editační linky.

Tlačítkem Pouze vybrané objekty určíme, že export bude omezen pouze na vybrané objekty (interní atribut _Select = 1).

Je-li kontrolní tlačítko Psát hlavičky souborů zaktivováno bude se do první řádky každého vytvořeného souboru zapisovat jeho hlavička v závislosti na typu objektů, které obsahuje.

Hlavička pro soubor: bodů - POINTS linií - LINES kružnic - CIRCLES textu - ANNOTATION ploch - POINTS.

Je-li kontrolní tlačítko Export ploch zaktivováno, systém zapíše do vytvářeného souboru PLOCHY.ASC kromě popisového bodu příslušné plochy i seznam souřadnic všech lomových bodů linií, které tuto plochu ohraničují.

Poznámka

Poznámka : Tato volba je určena pouze pro výstup v obecném textovém formátu a v případě exportu do Arc/Info ji nelze použít.

Je-li kontrolní tlačítko Odkazy na plochy zaktivováno, systém zapíše do hlavičky příslušné linie ve vytvářeném výstupního souboru kromě identifikačního čísla této linie i čísla levé a pravé plochy, které s touto plochou sousedí.

Poznámka

Poznámka: Tato volba je určena pro výstup v obecném textovém formátu a v případě exportu do Arc/Info ji nelze použít.

Je-li kontrolní tlačítko Číslování textů zaktivováno, bude se na začátku každé řádky definující exportovaný textový objekt, vytvářet položka reprezentující pořadové číslo příslušného textového řetězce.

Do této editační linky Položka linií zapíšeme výraz v jazyce ToPas číselného typu, jehož výsledek má systém zapisovat do hlavičky linií místo identifikačního čísla linie (vnitřní proměnná CISLO) tj. ve výstupním souboru LINIE.ASC se do uživatelského identifikátoru USER_ID příslušné linie zapíše výsledek výrazu zapsaného v této editační lince.

Do této editační linky Položka bodů zapíšeme výraz v jazyce ToPas číselného typu, jehož výsledek má systém zapisovat do hlavičky bodů místo identifikačního čísla bodu (vnitřní proměnná CISLO) tj. ve výstupním souboru BODY.ASC se do uživatelského identifikátoru USER_ID příslušného bodu zapíše výsledek výrazu zapsaného v této editační lince

Do této editační linky Položka ploch zapíšeme výraz v jazyce ToPas číselného typu, jehož výsledek má systém zapisovat do hlavičky ploch místo identifikačního čísla plochy (vnitřní proměnná CISLO) tj. ve výstupním souboru PLOCHY.ASC se do uživatelského identifikátoru USER_ID popisového bodu příslušné plochy zapíše výsledek výrazu zapsaného v této editační lince.

Tlačítko Redukovat souřadnice zatrhneme, pokud chceme, aby nejmenší souřadnice v exportovaném souboru začínaly v bodě [0,0]. V tomto případě do editačních linek horizontální a vertikální zapíšeme hodnoty o které se zmenší vstupující souřadnice.

Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme převod.


Výstupní formát souborů pro ARC/INFO

BODY.ASC reprezentuje posloupností řádků body, kde jednotlivý řádek obsahuje tyto tři položky: číslo bodu, horizontální a vertikální souřadnici jednoho bodu. Jednotlivé položky jsou odděleny minimálně jednou mezerou. Poslední řádek ukončuje soubor slovem END.

Příklad: 123 547967,24 1012321,54

BODY.DBF je databázový soubor obsahující kopii popisové databáze bodů , která byla založena v aktivním bloku. Pokud k bodům žádná databáze není připojena, pak tento soubor obsahuje pouze pro jednotlivé body hodnoty položek CISLO, DRUH, DISP_BARVA, DISP_ZNAC.

LINIE.ASC reprezentuje posloupností řádků linie, kde jednotlivé řádky popisují:

hlavičku linie - identifikační číslo linie a v případě, že je zapnuta volba ODKAZY NA PLOCHY, obsahuje hlavička i číslo levé a pravé sousedící plochy. souřadnice lomového bodu linie - horizontální a vertikální konec linie - slovo END, přiražené zleva konec souboru - END. Jednotlivé položky na řádku jsou odděleny alespoň jednou mezerou.

Příklad - soubor obsahující dvě linie:

23
547967,24 1012321,54
547989,41 1012326,84
END
24
556433,25 1014323,87
556447,62 1014391,27
END
END

LINIE.DBF je databázový soubor obsahující kopii popisové databáze linií, která byla založena v aktivním bloku. Pokud k liniím žádná databáze není připojena, pak tento soubor obsahuje pro jednotlivé linie pouze hodnoty položek CISLO, DRUH, DISP_BARVA, DISP_ZNAC.

PLOCHY.ASC reprezentuje plochy. Je to textový soubor s identickou strukturou jakou má soubor BODY.ASC, pouze s tím rozdílem, že uvedené souřadnice se vztahují k popisovému bodu plochy. Pokud je zapnuta volba EXPORT PLOCH, pak je každý popisový bod následován seznamem souřadnic všech lomových bodů linií, které příslušnou plochu ohraničují.

PLOCHA.DBF je databázový soubor obsahující kopii popisové databáze ploch, která byla založena v aktivním bloku. Pokud k plochám žádná databáze není připojena, pak tento soubor obsahuje pouze hodnoty položek CISLO, DRUH, DISP_BARVA, DISP_ZNAC.

TEXTY.ASC reprezentuje posloupností řádků vektorové texty, kde jednotlivé řádky obsahují: souřadnice počátku textu, úhel položení ve stupních, výšku v metrech a znění textu. Pokud je zapnuta volba ČÍSLOVÁNÍ TEXTU, obsahuje každý řádek před souřadnicí i pořadové číslo textového řetězce. Jednotlivé položky jsou odděleny alespoň jednou mezerou. Poslední řádek obsahuje slovo END.

Příklad: 725572,473 1035400,804 356 426,17 Plán města

KRUZNICE.ASC reprezentuje posloupností řádků kružnice, kde jednotlivý řádek obsahuje číslo kružnice, souřadnice středu a její poloměr. Jednotlivé položky jsou odděleny alespoň jednou mezerou. Poslední řádek zakončuje soubor slovem END.


Export Dxf

Export převede liniové, bodové a textové objekty otevřených dat do souboru ve formátu DXF. Provádí se pomocí následujícího dialogu.

Dialog pro export bloku do Dxf souboru

Chceme-li exportovat právě editovaný blok, zatrhneme tlačítko Editovaný blok. Pro export všech otevřených bloků v aplikaci zatrhneme tlačítko Všechny bloky v aplikaci. Nebo zatrhneme tlačítko Jiný bloka tlačítkem .Blk vybereme libovolný blok.

Tlačítkem Dxf soubor určíme soubor do kterého se blok exportuje.

V sekci Export TopoL druhů lze nastavit, které druhy (vrstvy) se budou exportovat. Máme tři možnosti:

Všechny druhy

Exportovat se budou všechny druhy.

Text. souborem

Exportovat se budou druhy uvedené ve vybraném textovém souboru.

Přes Značky.dbf
Exportovat se budou druhy uvedené ve vybraném souboru Znacky.dbf.

Dále rozhodneme jak budeme exportovat do formátu Dxf bodové objekty z TopoL bloku. Máme tři možnosti:

Bod-->Dxf bod

Převést bodový objekt z TopoL bloku na element "Point" ve formátu Dxf.

Bod-->Dxf blok dle text. souboru

Převést bodový objekt z bloku na element typu odkaz v Dxf souboru. Odkaz v Dxf je instance definice ACAD bloku. Tento převod se použije, chceme-li do Dxf převést body reprezentované např. uživatelskou značkou. V ACADu si vytvoříme knihovnu buněk stejného vzhledu jako TopoL značky a jejich jména použijeme při převodu.

Přiřazení druhů TopoL bodů a ACAD buněk se popíše v textovém souboru. Ten se skládá z řádků, kde na každém řádku je dvojice ZnačkaBodu a odpovídající jméno buňky v Dxf. Vykřičník uvozuje komentář. Příklad:

! Soubor pro převod TopoL značek na Dxf buňky
1 | Znacka1
5 | Znacka5

Bod-->Dxf blok dle uživ. značek
Převést bodový objekt z bloku na element typu odkaz v Dxf souboru. Od předchozí verze se liší tím, že Dxf buňky jsou automaticky generovány z uživatelských značek. Pozn.: není implementováno !

Chceme-li exportovat do Dxf liniové značky, zatrhneme tlačítko Export liniových uživ. značek. Pozn.: není implementováno !

Tlačítko Redukce souřadnic zatrhneme, pokud chceme, aby nejmenší souřadnice v exportovaném souboru začínaly v bodě [0,0].

Pokud chceme exportovat pouze vybrané objekty, zatrhneme tlačítko Export pouze vybraných elementů.

Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme převod.


Export Vtx,Dkm,Vkm

Export převede liniové, bodové a textové objekty TopoL bloku do souboru ve formátu Vtx,Vkm,Dkm. Provádí se pomocí následujícího dialogu.

Dialog pro export Dkm,Vkm,Vtx

Chceme-li exportovat právě editovaný blok, zatrhneme tlačítko Editovaný blok. Pro export všech otevřených bloků v aplikaci zatrhneme tlačítko Všechny bloky v aplikaci. Nebo zatrhneme tlačítko Jiný blok a tlačítkem .Blk vybereme libovolný blok.

Tlačítkem Výstup Vtx,Dkm určíme soubor, do kterého se blok exportuje. Musíme zadat příponu souboru, dle které se určí výstupní formát.

Přenos informace o značce a barvě objektů na kreslicí klíče se provádí přes textový popisový soubor, který určuje jednotlivá přiřazení. Obvykle používá koncovku .KTP. Pomocí tlačítka Par.soubor .Ktp ho můžeme zadat. Není-li zadán, použije se implicitní přiřazení.

Pomocí tlačítka Vzor.hlavička můžeme zadat tzv. hlavičkový soubor, tj. soubor ve výstupním formátu, ze kterého se do výstupního souboru zkopíruje jeho hlavička. Není-li zadán, vytvoří se hlavička výstupního souboru automaticky. Dále je možno nastavit parametry Přesnost a Třída přesnosti, které jsou pro dané formáty povinné. Zatržením tlačítka TopolDruh->VtxVrstva zadáme, že každý druh v TopoL bloku bude mít odpovídající vrstvu ve Vtx,Vkm,Dkm. Jinak budou všechny druhy z bloku zapsány do jedné námi zadané vrstvy. Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme export.


Import z ASCII souboru

Jedná se o import bodových objektů z textového ASCII souboru. Kromě polohy bodů je možno importovat i volitelné databázové atributy. Při importu se vytváří nový blok. Po spuštění se objeví první stránka dialogu průvodce importem bodů.

Dialog Import z ASCII souboru - Způsob oddělení položek

V první části průvodce se určí, jakým způsobem jsou oddělena jednotlivá pole (sloupce) v textovém souboru. Jsou zde na výběr dvě možnosti - Oddělovač (pole jsou oddělena např. tabulátorem, mezerou apod.) a Pevná šířka (předpokládá se, že daný sloupec má pevnou šířku). Z výběrového seznamu Kódování zdrojového souboru se vybere jedna z možností kódování pro správnou interpretaci textu (změna je přímo viditelná ve spodní části dialogu). Pokud chceme přeskočit určitý počet řádků souboru uvedeme příslušný počet řádků do editační linky Import začít na řádku. V dolní části je vidět náhled importovaného souboru. Tlačítkem Další přejdeme na další část průvodce.

Na této stránce se určí, které řádky se budou importovat.

Dialog Import z ASCII souboru - Specifikace, které řádky importovat

Je zde možnost importovat celý soubor kromě přeskočených řádku na začátku souboru (volba Importovat všechny řádky). Je zde i možnost ignorovat některé řádky, které musí začínat jedním ze specifikovaných řetězců (volba Ignorovat řádky začínající...). Je zde i možnost importovat pouze některé řádky, které musí začínat jedním ze specifikovaných řetězců (volba Importovat pouze řádky...). Pro poslední dvě volby je nutno nadefinovat seznam řetězců, kterými musí začínat, resp. nesmí začínat řádky textu. To se provádí pomocí tlačítek Přidat a Odstranit. Po zadání řetězců lze filtrační efekt sledovat v dolním náhledu. Po potvrzení tlačítkem další se přesuneme na další stránku, která se liší podle toho jaký způsob oddělení polí jsme vybrali. V případě oddělovačů se objeví následující stránka průvodce.

Dialog Import z ASCII souboru - Volba znaků oddělující pole textu

Jako oddělovače lze vybrat některé standardní možnosti, jako je Tabulátor, Mezera, Středník nebo Čárka. Je možno nadefinovat seznam řetězců, které budeme chápat jako oddělovače polí. Můře se jednat i o vícepísmenné posloupnosti znaků. Pro tento účel je možno použít tlačítek Přidat a Odstranit. Může se používat libovolná kombinace i více oddělovačů a to jak standardních, tak i uživatelsky nadefinovaných. Pokud chceme, aby několik po sobě jdoucích oddělovačů (např. mezer) bylo chápáno jako jeden oddělovač, potvrdíme volbu Posloupnost oddělovačů jako jeden. Pokud chceme, aby se v uživatelsky definovaných oddělovačích rozlišovali malá a velká písmena, potvrdíme volbu Rozlišovat malá a velká písmena. Změny v nastavení lze sledovat v náhledu. Po potvrzení tlačítkem další se přesuneme na další stránku průvodce.

Pokud jsme na první stránce průvodce vybrali volbu Pevná šířka polí, objeví se po nastavení filtru pro řádky následující stránka, kde je možno dle instrukcí v horní části dialogu definovat šířky jednotlivých polí klikáním myší. popř. je měnit tažením myší.

Dialog Import z ASCII souboru - Nastavení šířky polí

Po potvrzení stránky, kde se definují sloupce textu se dostaneme do fáze, kdy musíme nadefinovat, která položka reprezentuje horizontální a která vertikální souřadnici, popř. jak se pojmenují nepovinné databázové atributy, které chceme importovat.

Dialog Import z ASCII souboru - Formát jednotlivých položek

V horní části je seznam jednotlivých polí textu. Dvojitým kliknutím na řádek se objeví dialog, kde se zadá, zda se vůbec dané pole bude importovat a jak se bude interpretovat. U nepovinných sloupců se zadá jméno a typ položky databázové tabulky, která se vytvoří. Po potvrzení tlačítkem Další se objeví poslední stránka průvodce, kde se standardním způsobem zadá jméno nového bloku a souřadný systém, ve kterém jsou zapsána vstupní data. Pokud jsme v dialogu pro výběr jména bloku (tlačítko vedle editační linky) zadali jiný souřadný systém pro výstupní blok, dojde při importu dat k přepočtu ze vstupního souřadného systému do cílového. Pro geografické souřadné systémy je nutno výběrem z nabízených možností zadat formátování horizontálních a vertikálních souřadnic. Potvrzením tlačítka Dokončit se zahájí vlastní import dat.


Import z Arc/Infa

Příkaz načte do TopoLu data vytvořená systémem Arc/Info verze 3.4D a pozdější. Grafická data se převádějí v textovém formátu, vytvořeném v Arc/Info příkazem UNGEN, popisové údaje příkaz přenáší přímo ze souborů PAT.DBF nebo AAT.DBF. Po spuštění příkazu se zobrazí následující dialog.

Dialog pro import z Arc/Infa do bloku

Do editační linky Adresář s daty Arc/Info uvedeme jméno adresáře (včetně cesty) s příponou ARC, kde jdou uloženy soubory vstupních dat z Arc/Infa. Příponu přidá systém implicitně. Jméno adresáře můžeme vyhledat v dialogu pro výběr adresáře, který se objeví po potvrzení tlačítka vpravo od editační linky.

Do editační linky Jméno nového bloku zapíšeme název bloku, do kterého se budou data z Arc/Infa importovat. Jméno souboru můžeme vyhledat ve standardním dialogu pro výběr bloku, který se objeví po potvrzení tlačítka vpravo od editační linky.

Do editační řádky Souřadný systém importovaných dat zapíšeme pomocí výběrového dialogu pro souřadné systémy souřadný systém, z kterého budou vstupní data transformována.

Kontrolní tlačítko Individuální volba souboru zaktivujeme, nejsou-li vstupní data uspořádána v adresáři *.ARC, tj. je to alternativní volba k položce Adresář s daty Arc/Info.

Je-li kontrolní tlačítko Číslování textu zatrženo, bude se na začátku každé řádky definující exportovaný textový objekt, vytvářet položka reprezentující pořadové číslo příslušného textového řetězce.

Zapnutý přepínač Styl textů způsobí, že se ze vstupních souborů čte číslo stylu textu, které je pak danému textu přiřazeno. V binárním souboru pro texty v bloku je zapsáno, že se texty mají zobrazovat dle zapsaného stylu.

Tlačítko Redukovat souřadnice zatrhneme, pokud chceme, aby nejmenší souřadnice v naimportovaném souboru začínaly např. v bodě [0,0]. V tomto případě do editačních linek horizontální a vertikální zapíšeme hodnoty o které se zmenší vstupující souřadnice.

Po potvrzení nastavení jednotlivých parametrů se dialogové okno zavře a v závislosti na jejich nastavení se otevře případně dialog pro individuální výběr soubor.

Dialog pro import z Arc/Infa do bloku - Individuální volba souborů

Dialog slouží pro zadání jmen jednotlivých typů vstupních datových souborů . Pro každý jednotlivý typ zapíšeme do příslušné editační linky jméno existujícího souboru s odpovídajícím obsahem, popř. jeho jméno vyhledáme v dialogu pro výběr souborů, který se otevře po potvrzení tlačítka vpravo od editační linky. Zůstane-li některá položka nevyplněna, systém předpokládá, že data příslušného typu nebudou importována.

Dialog obsahuje editační linku Soubor polygonů pro zadání jména souboru vytvořeného příkazem UNGEN pro plochy.

Editační linka Databáze polygonů slouží pro zadání jména souboru obsahujícího databázi údajů k importovaným plošným objektům (.DBF)

Dialog obsahuje editační linku Soubor linií pro zadání jména souboru vytvořeného příkazem UNGEN pro linie.

Editační linka Databáze linií slouží pro zadání jména souboru obsahujícího databázi údajů k importovaným liniovým objektům (.DBF)

Editační linka Soubor bodů slouží pro zadání jména souboru vytvořeného příkazem UNGEN pro body.

Editační linka Databáze bodů slouží pro zadání jména souboru obsahujícího databázi údajů k importovaným bodovým objektům (.DBF).

Editační linka Soubor textu slouží pro zadání jména souboru vytvořeno příkazem UNGEN pro vektorové texty.


Import Dxf

Při importu formátu Dxf do TopoL bloku si nejprve vybereme pomocí standardního dialogu soubor DXF. Poté se provede jeho analýza a zobrazí se následující dialog.

Dialog pro import Dxf souboru do bloku

Pomocí tlačítka Blok zadáme (vybereme) jméno bloku, pod kterým chceme uložit importovaný soubor. Dále rozhodneme, zda převést vrstvy v Dxf na druhy v jednom bloku (tlačítko Vrstva->Druh ), nebo vytvořit pro každou Dxf vrstvu samostatný blok (tlačítko Vrstva->Blok). Další možností, jak zadat převod vrstev v DXF souboru na druhy v bloku je popsat jednoduchou textovou tabulkou korespondenci mezi vrstvami a druhy. První sloupec textového souboru obsahuje jména vrstev, druhý sloupec oddělený mezerou musí obsahovat číslo druhu, který systém použije. Textový soubor se vybere tlačítkem Text. soubor.

Tlačítko Záměna znaménka xy zatrhneme, pokud chceme zaměnit orientaci souřadné soustavy importovaného souboru (tj. první kvadrant za třetí a naopak). Pomocí tlačítka Kružnice->Poly rozhodneme zda importované kružnice a oblouky převádět na linie. Tlačítko Zápis Z souřadnic zatrhneme, pokud chceme do bloku zapsat "Z" souřadnici.

Z list boxu Kódová stránka vybereme kódovou stránku dle toho, v jaké kódové stránce jsou texty v Dxf souboru. Tato stránka se také zapíše do souboru "Info.txt" v bloku. Můžeme také rozhodnout, které vrstvy chceme převést. a případně změnit i kódy těchto druhů . Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme import.


Import Vtx,Dkm,Vkm

Formáty DKM a VKM slouží jako výměnný formát digitální katastrální mapy a souboru popisných informací katastru nemovitostí České republiky. VTX formát je vstupně/výstupní komunikační formát dat systému Kokeš.

Při importu jednoho z těchto formátů si nejprve vybereme pomocí standardního dialogu soubor Dkm,Vkm, či Vtx. Poté se provede jeho analýza a zobrazí se následující dialog.

Dialog pro import Dkm,Vkm,Vtx

Pomocí tlačítka Topol Blok zadáme (vybereme) jméno bloku, pod kterým chceme uložit importovaný soubor. Dále rozhodneme, zda převést vrstvy v souboru na druhy v jednom bloku (tlačítko Vrstva->Druh), nebo vytvořit pro každou vrstvu samostatný blok (tlačítko Vrstva->Blok).

Přenos informace o značce a barvě objektů se provádí přes textový popisový soubor,který určuje jednotlivá přiřazení. Obvykle používá koncovku .KTP. Pomocí tlačítka KTP soubor ho můžeme zadat. Není-li zadán, použije se implicitní přiřazení barev a značek.

Z list boxu Kód. stránka vybereme kódovou stránku dle toho, v jaké kódové stránce jsou texty v importovaném souboru. Tato stránka se také zapíše do souboru "Info.txt" v bloku. Tlačítko Zápis Z souřadnic zatrhneme, pokud chceme do bloku zapsat "Z" souřadnici. Přepínačem Vytvořit topologii lze explicitně zadat, zda se linie mají zauzlovat a vytvořit topologické vazby. V případě požadavku na vytvoření topologie je nutno použít KTP soubor, kde se definuje, které vrstvy se budou uzlovat. Je-li vše nastaveno, stiskneme tlačítko OK a tím provedeme import.


Kapitola 4. Knihovny značek

Obsah

Knihovny značek v projektu
Otevření knihovny značek
Prohlížení obsažených značek

Knihovny značek jsou soubory, které sdružují standardní nebo uživatelem definované značky pro vektorové objekty (body, linie, plochy). Soubory z knihovnou značek mají standardní příponu *.TLS (od verze TopoLu xT 8.0 též *.SLI). Značky z knihoven připojených k projektu se pomocí převodníků značek používají k zobrazování vektorových objektů. Knihovny značek lze také získat importem ze souborů FONTY.TXT, LINZN.TXT a SRAFY.TXT.

Správa těchto knihoven pro aktuální projekt se provádí v dialogu Knihovny značek, který je přístupný z menu Nástroje, příkaz Knihovny značek.


Knihovny značek v projektu

V tabulce v těle dialogu jsou uvedeny jednotlivé knihovny značek připojených k projektu. Význam jednotlivých sloupců (zleva): jméno knihovny - v rámci projektu musí být jedinečné, nepovinný popis knihovny, počet obsažených bodových, liniových a plošných značek, umístění souboru z knihovnou značek na disku. U standardní knihovny značek TopoLu je místo umístění na disku uvedeno STDLIB - tato knihovna je součástí TopoLu xT a není umístěna v žádném souboru na disku.

Dialog Knihovny značek

Připojit knihovny k projektu, odstranit je z projektu, atd... lze pomocí dialogu Knihovny symbolů, který je přístupný z menu Nástroje, příkaz Knihovny symbolů.

Import... | Ctrl+I | Import knihovny značek (vytvoření souboru *.TLS) ze souborů FONTY.TXT, LIZN.TXT a SRAFY.TXT.
Otevřít... | Ctrl+O | Otevření knihovny značek (souboru *.TLS) a její připojení k projektu.
Obsažené značky |  | Otevře dialog, kde jsou zobrazeny všechny značky obsažené ve vybrané knihovně.
Vlastnosti | Alt+Enter | Změna jména a popisu knihovny značek.
Odstranit | Del | Odstranění knihovny značek z projekty. Odstranit lze pouze knihovny, které nejsou používány. Dále nejde odstranit Standardní knihovna značek TopoLu.
Nápověda | F1 | Spustí tuto nápovědu.


Otevření knihovny značek

Knihovnu značek lze otevřít a připojit jí k aktuálnímu projektu prostřednictvím dialogu Otevření knihovny značek.

Dialog Otevření knihovny značek

Do pole Knihovna značek zadejte umístění knihovny značek (souboru *.TLS) na disku. Stisknutím tlačítka u tohoto pole se otevře standardní dialog operačního systému pro otevření souboru, pomocí kterého lze požadovanou knihovnu vyhledat.

Do pole Jméno zadejte jméno knihovny - jméno musí být v rámci projektu jedinečné. Do pole Popis lze zadat popis knihovny - popis je nepovinný.

Pokud bude zaškrtnuto pole Vytvořit převodník značek, bude z knihovny značek, po jejím otevření, vytvořen standardní převodník značek, který bude obsahovat značky z právě otevírané knihovny a značky ze standardní knihovny značek TopoLu. Převodník bude mít stejné jméno jako připojovaná knihovna značek.


Prohlížení obsažených značek

Značky obsažené v knihovně značek lze prohlížet v dialogu Prohlížení značek.

Dialog prohlížení značek

Značky pro jednotlivé typy vektorových objektů jsou zobrazeny v tabulkách. Pokud knihovna neobsahuje pro některý typ vektorového objektu žádnou značku, není tabulka pro tento typ zobrazena.

V každé řádce tabulky je zobrazena značka a její číslo.


Kapitola 5. Knihovny stylů textů

Obsah

Knihovny stylů textů v projektu
Otevření knihovny stylů textů
Prohlížení obsažených stylů textů
Editace stylů textu

Knihovny stylů textů jsou soubory, které sdružují standardní nebo uživatelem definované styly textů pro textové objekty. Soubory z knihovnou stylů textů mají standardní příponu *.TTS. Styly textů z knihoven připojených k projektu lze pomocí převodníků stylů textů použít k zobrazování textových objektů. Knihovny stylů textů lze také získat importem ze souborů STYLY.TXT.

Správa těchto knihoven pro aktuální projekt se provádí v dialogu Knihovny stylů textů, který je přístupný z menu Nástroje, příkaz Knihovny stylů textů.


Knihovny stylů textů v projektu

V tabulce v těle dialogu jsou uvedeny jednotlivé knihovny stylů textů připojených k projektu. Význam jednotlivých sloupců (zleva): jméno knihovny - v rámci projektu musí být jedinečné, nepovinný popis knihovny, počet obsažených stylů textů, umístění souboru z knihovnou značek na disku.

Dialog Knihovny stylů textů

Připojit knihovny k projektu, odstranit je z projektu, atd... lze pomocí dialogu Knihovny stylů textů, který je přístupný z menu Nástroje, příkaz Knihovny stylů textů.

Import... | Ctrl+I | Import knihovny stylů textů (vytvoření souboru *.TTS) ze souborů STYLY.TXT.
Otevřít... | Ctrl+O | Otevření knihovny stylů textů (souboru *.TTS) a její připojení k projektu.
Obsažené značky |  | Otevře dialog, kde jsou zobrazeny všechny styly textů obsažené ve vybrané knihovně.
Vlastnosti | Alt+Enter | Změna jména a popisu knihovny stylů textů.
Odstranit | Del | Odstranění knihovny stylů textů z projekty. Odstranit lze pouze knihovny, které nejsou používány. Dále nejde odstranit Standardní knihovna stylů textů TopoLu.
Nápověda | F1 | Spustí tuto nápovědu.


Otevření knihovny stylů textů

Knihovnu stylů textů lze otevřít a připojit jí k aktuálnímu projektu prostřednictvím dialogu Otevření knihovny stylů textů.

Dialog Otevření knihovny stylů textů

Do pole Knihovna stylů textů zadejte umístění knihovny stylů textů (souboru *.TTS) na disku. Stisknutím tlačítka u tohoto pole se otevře standardní dialog operačního systému pro otevření souboru, pomocí kterého lze požadovanou knihovnu vyhledat.

Do pole Jméno zadejte jméno knihovny - jméno musí být v rámci projektu jedinečné. Do pole Popis lze zadat popis knihovny - popis je nepovinný.

Pokud bude zaškrtnuto pole Vytvořit převodník stylů textů, bude z knihovny stylů textů, po jejím otevření, vytvořen převodník stylů textů, který bude obsahovat styly textů z právě otevírané knihovny. Převodník bude mít stejné jméno jako připojovaná knihovna stylů textů.


Prohlížení obsažených stylů textů

Styly textů obsažené v knihovně stylů textů lze prohlížet v dialogu Prohlížení stylů textů.

Dialog prohlížení stylů textů

Styly textů pro jednotlivé typy textových objektů jsou zobrazeny v tabulkách.

V každé řádce tabulky je zobrazen styl textu a jeho číslo.


Editace stylů textu

Příkaz umožní editovat styly textů v knihovně. Po volbě příkazu se objeví dialog pro editaci stylů textů.

Ze seznamu Knihovny stylů je možno vybrat jednu z knihoven stylů textů, které byly zařazeny do projektu (Knihovny stylů textů). Z nabídky stylů textů dané knihovny lze vybrat jeden styl pro případné změny. Celou editaci knihovny je nutno potvrdit tlačíthem Uložit, popř. Uložit jako.Každá knihovna obsahuje všechny až dosud nadefinované uživatelské styly textů. Seřazeny jsou dle jména nebo dle kódu stylu. Pokud bychom chtěli definovat nový styl nebo již definovaný styl změnit, musíme daný styl textů vybrat a změnu jednotlivého stylu pak potvrdit.

Pokud chceme změnit vybraný styl textu můžeme definovat jednotlivé atributy stylu textu, a to

  • Text mód

    Jedná se atribut, který nám říká v jakých jednotkách jsou uvedeny některé atributy například atribut výška textu a jak se textový objekt chová při změně měřítka.

    statický
    výška je v bodech obrazovky, text se při změně výřezu nemění, je stále stejně velký
    dynamický
    výška je v metrech, text se při změně výřezu mění, výška na obrazovce se přepočte z metrů na body obrazovky pomocí měřítka mapového okna
    měřítkový
    výška je v milimetrech, text se při změně výřezu mění, výška na obrazovce se přepočte z milimetrů na body obrazovky tak, že se nejprve vypočte výška v metrech z milimetrů pomocí vztažného měřítka mapového okna a potom z metrů na body obrazovky pomocí měřítka mapového okna
  • Font

    Ze seznamu se vybere font, který bude použit pro daný styl textu.

  • Šířka pera

    Vepíšeme sílu čáry znaku a to buď v metrech (u dynamického textu) , v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Výška

    Vepíšeme výšku znaku v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Koef. šířky

    Vepíšeme šířku znaku v procentech, v poměru k výšce. Normální šířka je 100 procent.

  • Barva

    Po stisku tlačítka se otevře standardní barevný dialog. Vybereme barvu, jakou chceme přiřadit textu.

  • Sklon

    Vepíšeme úhel sklonu znaku. Záporné hodnoty naklání znaky doleva.

  • Rozestupy

    Vepíšeme velikost mezery mezi jednotlivými znaky a to buď v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Podtržený text (od verze xT 9)

    Jedná se atribut stylu, který udává, že text bude doplněn podtržením.

  • Přeškrtnutý text (od verze xT 9)

    Jedná se atribut stylu, který udává, že text bude zobrazen přeškrtnutý.

  • Text v krožnici (od verze xT 9)

    Jedná se atribut stylu, který udává, že text bude zobrazen v kružnici.

  • Text v bublině (od verze xT 9)

    Jedná se atribut stylu, který udává, že text bude zobrazen v bublině kolem znění textu..

Vybraný styl s danými atributy lze předefinovat (Uložit) či nadefinovat jako nový styl (Uložit jako). Styl textu je možno zrušit odpovídajícím tlačítkem.

Pokud používáme textové styly z vlastní knihovny stylů, musíme pro správné zobrazení zvolit tuto jako knihovnu stylů pro danou tabulku v mapovém okně. Toto nejsnáze zajistíme tím, že danou knihovnu označíme jako implicitní pomocí příkazu Nástroje – Převodníky stylů textů. Potom se bude každá textová tabulka zařazená do mapového okna zobrazovat implicitně dle této knihovny.


Kapitola 6. Převodníky barev, značek a stylů textů

Obsah

Převodníky barev
Nový převodník barev
Průvodce vytvořením převodníku barev
Jméno a popis převodníku barev
Editace převodníku barev dle jedinečných hodnot
Nová položka převodníku barev dle jedinečných hodnot
Editace převodníku barev dle rozsahů hodnot
Nová položka převodníku barev dle intervalů
Převodník barev dle TopoLu
Editace Převodníku barev dle TopoLu
Převodníky značek
Nový převodník značek
Jméno a popis převodníku značek
Editace převodníku značek dle jedinečných hodnot
Nová položka převodníku barev dle jedinečných hodnot
Editace převodníku značek dle rozsahů hodnot
Nová položka převodníku barev dle rozsahů hodnot
Prohlížení obsažených značek
Převodník značek dle TopoLu

Převodníky barev, značek a stylů slouží k zobrazování vektorových dat dle jejich databázových atributů - jde vlastně o zobrazovací tabulky, kde každé hodnotě (nebo intervalu hodnot) je přiřazena jedna barva (značka, styl). Převodníky lze vytvářet dle textových, číslených (celočíselných i reálných) a logických hodnot.

Specifickými převodníky jsou převodníky barev a značek dle TopoLu. Tyto převodníky umožňují zpětnou kompatibilitu dat uložených ve formátu TopoL Block a jejich použití a editace je jiné než u ostatních převodníků.


Převodníky barev

Převodníky barev jsou určeny pro převod hodnoty databázové atributu vektorového objektu na konkrétní barvu. Správa převodníků barev se provádí pomocí dialogu Převodníky barev. Ten je dostupný z menu Nástroje - Převodníky barev.

Dialog Převodníky barev

Seznam převodníků je uveden v tabulce, kde jednotlivé sloupce jsou (zleva): unikátní jméno převodníku, typ převodníku a jeho popis. Tučně je vyznačen implicitní převodník barev - tím je vždy Převodník barev dle TopoLu.

Nové převodníky, jejich editace a mazání se provádí pomocí příkazů z menu, panelu nástrojů nebo kontextového menu.

Přidat... | Ctrl+N | Vytvoření nového převodníku barev.
Přidat pomocí průvodce... | Ctrl+W | Vytvoření nového převodníku barev pomocí průvodce.
Vlastnosti... | Alt+Enter | Změna jména a popisu převodníku.
Editace | Ctrl+E | Editace vybraného převodníku. Pokud je v tabulce převodníků vybrán Převodník barev dle TopoLu, je spuštěna jeho editace, jinak je spuštěna editace převodníku dle jeho typu - editace převodníku barev dle jedinečných hodnot nebo editace převodníku barev dle rozsahů hodnot.
Odstranit | Del | Odstranění převodníku. Odstranit lze pouze převodníky, které nejsou používány pro zobrazení. Dále nejde odstranit Převodník barev dle TopoLu.
Nápověda | F1 | Spustí tuto nápovědu.
Zavřít |  | Zavře dialog Převodníky barev.


Nový převodník barev

Nový převodník barev lze vytvořit příkazem Přidat v dialogu Převodníky barev. Ten je dostupný z menu Nástroje, příkaz Převodníky barev.

Parametry nového převodníku barev se zadávají v dialogu Nový převodník barev.

Dialog Nový převodníky barev

Do pole Jméno zadejte jméno nového převodníku - toto jméno musí být jedinečné, tzn. nesmí v aktuálním projektu existovat převodník barev stejného jména.

V poli Popis můžete uvést popis právě vytvářeného převodníku barev. Popis je nepovinný.

Typ hodnot pro které bude převodník definován se vybírá v poli Typ hodnot v převodníku.

V poli Druh převodníku vyberte jakým způsobem se budou hodnoty převádět na barvu.

Poznámka

Pro typ hodnot Ano/Ne (logické hodnoty) je možno definovat převodník pouze jako tabulku jedinečných hodnot - intervaly nemají pro tento případ žádný smysl.

Po zadání jména a dalších atributů nového převodníku a stisknutí tlačítka OK se spustí jeho editace (Editace převodníku barev dle jedinečných hodnot nebo Editace převodníku barev dle rozsahů hodnot - záleží na zadaném druhu).


Průvodce vytvořením převodníku barev

Pomocí průvodce, lze snadno vytvořit nový převodník barev dle hodnot z otevřené databáze. Vytvoření převodníku je rozděleno do 5 kroků:

  • Zadání jména a popisu převodníku

  • Výběr databázové tabulky

  • Výběr databázové položky

  • Volba druhu převodníku barev

  • Úprava převodníku barev (dle jedinečných hodnot nebo dle rozsahů hodnot)

Zadání jména a popisu
Dialog Průvodce vytvořením převodníku barev, zadání jména a popisu

Do pole Jméno zadejte jméno vytvářeného převodníku. Jméno musí být v rámci projektu mezi převodníky barev unikátní. Do pole Popis lze zadat popis vytvářeného převodníku - popis je nepovinný.

Výběr databázové tabulky
Dialog Průvodce vytvořením převodníku barev, výběr databázové tabulky

V poli Výběr tabulky je zobrazen seznam všech otevřených databází a jejich tabulek - jednu tabulku vyberte a stiskněte tlačítko Další.

Výběr databázové položky
Dialog Průvodce vytvořením převodníku barev, výběr databázové položky

Ze seznamu databázových položek v poli Výběr databázových položek vyberte databázovou položku, dle které chcete vytvořit převodník barev. V seznamu jsou zobrazeny všechny číselné, řetězcové a logické položky tabulky vybrané v předchozím kroku.

Volba druhu převodníku barev
Dialog Průvodce vytvořením převodníku barev, volba druhu

V tomto kroku se volí typ převodníku barev. Typ se volí výběrem jednoho z polí - Jedinečné hodnoty nebo Intervaly.

Pokud je zvolen typ převodníku dle rozsahů hodnot (je vybráno pole Intervaly), lze v dalším poli určit počet intervalů na které budou rozděleny hodnoty ve vznikajícím převodníku.

Poznámka

Pro textové databázové položky je k dispozici pouze volba typu Jedinečné hodnoty.

V poli Počet desetinných míst se zadává přesnost s jakou bude převodník vytvářen.

Poznámka

Toto pole je dostupné pouze pokud je vybrána databázová položka typu reálné číslo.

Editace převodníku dle jedinečných hodnot
Dialog Průvodce vytvořením převodníku barev, editace převodníku dle jedinečných hodnot

V tabulce Převodník barev jsou zobrazeny jednotlivé položky vytvářeného převodníku (zleva: hodnota, popis a barva).

Přidávat, mazat a modifikovat jednotlivé položky lze pomocí kontextového menu nebo tlačítek na panelu nástrojů. Editaci vlastnosti vybrané položky lze také spustit dvojklikem myši nebo stisknutím klávesové zkratky F2.

Nová položka... | Ctrl+N | Otevře dialog pro zadání atributů nové položky.
Smazat položku | Del | Odstranění vybrané položky.
Editace | F2 | Spustí editaci vybraného atributu (sloupce) vybrané položky.
Editace barvy... | Ctrl+Shift+C | Definice barvy pro vybranou položku převodníku.
Setřídit vzestupně | Ctrl+U | Vzestupně setřídí položky dle jejich hodnoty.
Setřídit sestupně | Ctrl+D | Sestupně setřídí položky dle jejich hodnoty.
Barevná škála... | Umožní zadat barvy pro všechny položky v převodníku pomocí barevné škály.

Implicitní barvu převodníku lze nastavit stisknutím tlačítka Implicitní barva.

Stisknutím tlačítka Dokončit ukončíte vytváření převodníku barev. Ukončit vytváření převodníku lze také stisknutím tlačítka Editovat.... V tom případě je průvodce ukončen a je spuštěna editace nově vzniklého převodníku.

Editace převodníku dle rozsahů hodnot
Dialog Průvodce vytvořením převodníku barev, editace převodníku dle rozsahů hodnot

V tabulce Převodník barev jsou zobrazeny jednotlivé položky vytvářeného převodníku (zleva: levá a pravá hodnota hranice intervalu, popisy levé a pravé hranice a barva).

Přidávat, mazat a modifikovat jednotlivé položky lze pomocí kontextového menu nebo tlačítek na panelu nástrojů. Editaci vlastnosti vybrané položky lze také spustit dvojklikem myši nebo stisknutím klávesové zkratky F2.

Nová položka... | Ctrl+N | Otevře dialog pro zadání atributů nové položky.
Smazat položku | Del | Odstranění vybrané položky.
Editace | F2 | Spustí editaci vybraného atributu (sloupce) vybrané položky.
Editace barvy... | Ctrl+Shift+C | Definice barvy pro vybranou položku převodníku.
Setřídit vzestupně | Ctrl+U | Vzestupně setřídí položky dle jejich hodnoty.
Setřídit sestupně | Ctrl+D | Sestupně setřídí položky dle jejich hodnoty.
Barevná škála... | Umožní zadat barvy pro všechny položky v převodníku pomocí barevné škály.

Implicitní barvu převodníku lze nastavit stisknutím tlačítka Implicitní barva.

Stisknutím tlačítka Dokončit ukončíte vytváření převodníku barev. Ukončit vytváření převodníku lze také stisknutím tlačítka Editovat.... V tom případě je průvodce ukončen a je spuštěna editace nově vzniklého převodníku.


Jméno a popis převodníku barev

Jméno a popis převodníku lze měnit v dialogu Jméno a popis tabulky

Dialog Jméno a popis tabulky

Do pole Jméno zadejte jméno převodníku - toto jméno musí být jedinečné, tzn. nesmí v aktuálním projektu existovat převodník barev stejného jména.

V poli Popis můžete změnit popis převodníku barev. Popis je nepovinný.


Editace převodníku barev dle jedinečných hodnot

V převodníku dle jedinečných hodnot je vždy jedné konkrétní hodnotě přiřazena jedna barva. Hodnoty musí být v rámci převodníku jedinečné - nesmí se opakovat.

Dialog Editace převodníku barev dle jedinečných hodnot

Převodník je zobrazen v tabulce v těle dialogu. V levém sloupci jsou zobrazeny hodnoty položek, ve středním jejich popis a v pravém barva položky. Dvojklikem nebo stisknutím klávesy F2 na některý z těchto atributů spustíte jeho editaci. Pro uložení změn v editovaném atributu stiskněte Enter, pro stornování změn stiskněte tlačítko Esc.

V levé dolní části dialogu je pole Implicitní barva - určuje barvu, kterou budou vykresleny objekty, pro které se v editovaném převodníku nenajde záznam.

Změnu položek převodníku lze také provádět pomocí panelu nástrojů a hlavního a kontextového menu.

Nová položka... | Ctrl+N | Otevře dialog pro zadání atributů nové položky.
Smazat položku | Del | Odstranění vybraných položek.
Editace | F2 | Spustí editaci vybraného atributu (sloupce) vybrané položky.
Editace barvy... | Ctrl+Shift+C | Definice barvy pro vybranou položku převodníku.
Setřídit vzestupně | Ctrl+U | Vzestupně setřídí položky dle jejich hodnoty.
Setřídit sestupně | Ctrl+D | Sestupně setřídí položky dle jejich hodnoty.
Barevná škála... |  | Umožní zadat barvy pro všechny položky v převodníku pomocí barevné škály.
Nápověda | F1 | Spustí tuto nápovědu.

Poznámka

Z důvodu zaokrouhlování není tento typ převodníku vhodný pro reálná čísla.


Nová položka převodníku barev dle jedinečných hodnot

Dialog Nová položka

Do pole Hodnota zadejte hodnotu nové položky editovaného převodníku. Hodnota musí být v rámci tohoto převodníku jedinečná.

Do pole Popis zadejte popis položky. Popis je nepovinný.

Barvu položky zvolte stisknutím tlačítka Barva.


Editace převodníku barev dle rozsahů hodnot

V převodníku dle rozsahu hodnot je vždy jednomu intervalu hodnot přiřazena jedna barva. Intervaly jsou zleva uzavřené, zprava otevřené a nesmí se překrývat.

Dialog Editace převodníku barev dle rozsahů hodnot

Převodník je zobrazen v tabulce v těle dialogu. Ve sloupcích jsou zobrazeny (v pořadí zleva): levá hranice intervalu položky, pravá hranice intervalu, první popis, druhý popis a barva položky . Dvojklikem nebo stisknutím klávesy F2 na některý z těchto atributů spustíte jeho editaci. Pro uložení změn v editovaném atributu stiskněte Enter, pro stornování změn stiskněte tlačítko Esc.

V levé dolní části dialogu je pole Implicitní barva - určuje barvu, kterou budou vykresleny objekty, pro které se v editovaném převodníku nenajde záznam.

Změnu položek převodníku lze také provádět pomocí panelu nástrojů a hlavního a kontextového menu.

Přidat... | Ctrl+N | Otevře dialog pro zadání atributů nové položky.
Smazat položku | Del | Odstranění vybraných položek.
Editace | F2 | Spustí editaci vybraného atributu (sloupce) vybrané položky.
Editace barvy... | Ctrl+Shift+C | Definice barvy pro vybranou položku převodníku.
Setřídit vzestupně | Ctrl+U | Vzestupně setřídí položky dle jejich hodnoty.
Setřídit sestupně | Ctrl+D | Sestupně setřídí položky dle jejich hodnoty.
Barevná škála... |  | Umožní zadat barvy pro všechny položky v převodníku pomocí barevné škály.
Nápověda | F1 | Spustí tuto nápovědu.


Nová položka převodníku barev dle intervalů

Dialog Nová položka

Do pole Počáteční hodnota zadejte levou hranici intervalu nové položky editovaného převodníku, do pole Koncová hodnota zadejte pravou hranici. Interval je zleva uzavřen a zprava otevřen. Intervaly se nesmí v rámci převodníku překrývat.

Do polí Popis 1 a Popis 2 zadejte popisy hranice intervalů. Popisy jsou nepovinné.

Barvu položky zvolte stisknutím tlačítka Barva.


Převodník barev dle TopoLu

Převodník barev dle TopoLu je speciálním druhem převodníku, který zajišťuje zpětnou kompatibilitu pro zobrazování dat uložených ve formátu TopoL Block. Dále tento převodník slouží k uchovávání a modifikaci uživatelem definovaných barev.


Editace Převodníku barev dle TopoLu

Editaci Převodníku barev dle TopoLu umožňuje dialog Editace převodníku.

Editace Převodníku barev dle TopoLu

Tento převodník obsahuje 16 základních barev (první dva řádky v dialogu), které jsou určeny pouze pro čtení - nejdou smazat ani modifikovat. Další řádky jsou uživatelem definované barvy.

Barvy se zobrazují v horním poli dialogu. Po kliknutí na barvu se v dolní části dialogu zobrazí hodnota RGB složek, celočíselná hodnota barvy a popis (u standardních barev textový, u uživatelem definovaných barev ve formátu HTML - RGB složky v hexadecimální soustavě).

Přidávat a ubírat barvy lze Převodníku dle TopoLu lze pomocí tlačítek na panelu nástrojů a příkazů z hlavního a kontextového menu.

Přidat... | Ctrl+N | Přidání nové barvy pomocí standardního dialogu MS Windows. Pokud je vybraná barva již definována, není přidána do seznamu barev, ale výběr v poli barev je přesunut na tuto barvu.
Odstranit | Del | Odstranění barvy. Odstranit lze pouze uživatelem definované barvy.


Převodníky značek

Převodníky značek jsou určeny pro převod hodnoty databázové atributu vektorového objektu na konkrétní značku. Správa převodníků značek se provádí pomocí dialogu Převodníky značek. Ten je dostupný z menu Nástroje - Převodníky značek

Dialog Převodníky značek

Seznam převodníků je uveden v tabulce, kde jednotlivé sloupce jsou (zleva): unikátní jméno převodníku, typ převodníku a jeho popis. Tučně je vyznačen implicitní převodník značek - tím může být pouze převodník typu Převod dle TopoLu.

Nové převodníky, jejich editace a mazání se provádí pomocí příkazů z menu, panelu nástrojů nebo kontextového menu.

Přidat... | Ctrl+N | Vytvoření nového převodníku značek.
Přidat pomocí průvodce... | Ctrl+W | Vytvoření nového převodníku značek pomocí průvodce.
Vlastnosti... | Alt+Enter | Změna jména a popisu převodníku.
Editace | Ctrl+E | Editace vybraného převodníku. Dle typu vybraného převodníku je spuštěna jeho editace - Editace převodníku značek dle jedinečných hodnot nebo Editace převodníku dle intervalů.
Obsažené značky |  | Otevře dialog, kde jsou zobrazeny všechny značky obsažené ve vybraném převodníku.
Nastavit jako výchozí |  | Vybraný převodník nastaví jako implicitní - bude implicitně používán pro nově zobrazovaná data. Jako výchozí lze nastavit pouze převodníky typu Převod dle TopoLu.
Odstranit | Del | Odstranění převodníku. Odstranit lze pouze převodníky, které nejsou používány pro zobrazení. Dále nejde odstranit převodník Značky dle TopoLu.
Nápověda | F1 | Spustí tuto nápovědu.
Zavřít |  | Zavře dialog Převodníky barev.


Nový převodník značek

Parametry nového převodníku značek se zadávají v dialogu Nový převodník značek.

Dialog Nový převodníky značek

Do pole Jméno zadejte jméno nového převodníku - toto jméno musí být jedinečné, tzn. nesmí v aktuálním projektu existovat převodník značek stejného jména.

V poli Popis můžete uvést popis právě vytvářeného převodníku značek. Popis je nepovinný.

Typ hodnot pro které bude převodník definován se vybírá v poli Typ hodnot v převodníku.

V poli Druh převodníku vyberte jakým způsobem se budou hodnoty převádět na barvu.

Poznámka

Pro typ hodnot Ano/Ne (logické hodnoty) je možno definovat převodník pouze jako tabulku jedinečných hodnot - intervaly nemají pro tento případ žádný smysl.

Po zadání jména a dalších atributů nového převodníku a stisknutí tlačítka OK se spustí jeho editace (Editace převodníku značek dle jedinečných hodnot nebo Editace převodníku značek dle rozsahů hodnot - záleží na zadaném druhu).


Jméno a popis převodníku značek

Jméno a popis převodníku lze měnit v dialogu Jméno a popis tabulky

Dialog Jméno a popis tabulky

Do pole Jméno zadejte jméno převodníku - toto jméno musí být jedinečné, tzn. nesmí v aktuálním projektu existovat převodník značek stejného jména.

V poli Popis můžete změnit popis převodníku značek. Popis je nepovinný.


Editace převodníku značek dle jedinečných hodnot

V převodníku dle jedinečných hodnot je vždy jedné konkrétní hodnotě a typu vektorového objektu (bod, linie, plocha) přiřazena jedna značka. Hodnoty musí být, v rámci převodníku pro každý typ vektorového objektu, jedinečné - nesmí se opakovat.

Dialog Editace převodníku značek dle jedinečných hodnot

Pro každý typ vektorového objektu je příslušná část převodníku zobrazena v tabulce v těle dialogu. V sloupcích jsou zobrazeny tyto údaje (zleva): hodnoty položek, jejich popis, značka a jméno knihovny značek Dvojklikem nebo stisknutím klávesy F2 na některý z těchto atributů spustíte jeho editaci. Pro uložení změn v editovaném atributu stiskněte Enter, pro stornování změn stiskněte tlačítko Esc.

Přepínání mezi editací části převodníku pro body, linie a plochy se realizuje stisknutím tlačítka se symbolem příslušného vektorového objektu, nebo stisknutím příslušné klávesové zkratky - podrobnosti v tabulce příkazů.

Poznámka

Pokud není pro vybraný typ vektorových objektů v editovaném převodníku definován žádný záznam, zobrazuje se v těle místo tabulky nápis <pro body (linie, plochy) není definován žádný záznam>.

V levé dolní části dialogu je pole Implicitní značka a knihovna - určuje značku, kterou budou vykresleny objekty, pro které se v editovaném převodníku nenajde záznam.

Změnu položek převodníku lze také provádět pomocí panelu nástrojů a hlavního a kontextového menu.

Poznámka

Z důvodu zaokrouhlování není tento typ převodníku vhodný pro reálná čísla.

Menu Položka

Nová položka... | Ctrl+N | Otevře dialog pro zadání atributů nové položky.
Smazat položku | Del | Odstranění vybraných položek.
Editace | F2 | Spustí editaci vybraného atributu (sloupce) vybrané položky.
Značka a knihovna... | Ctrl+Shift+S | Definice značky pro vybranou položku převodníku.
Implicitní značka a knihovna... | Umožní zadat implicitní značku pro právě editovaný typ vektorových objektů (bod, linie, plocha) ze zvolené knihovny značek.
Setřídit vzestupně | Ctrl+U | Vzestupně setřídí položky dle jejich hodnoty.
Setřídit sestupně | Ctrl+D | Sestupně setřídí položky dle jejich hodnoty.
Nápověda | F1 | Spustí tuto nápovědu.

Menu Tabulka

Body | Shift+P | Zobrazí tabulku definice části editovaného převodníku pro body.
Linie | Shift+L | Zobrazí tabulku definice části editovaného převodníku pro linie.
Plochy | Shift+A | Zobrazí tabulku definice části editovaného převodníku pro plochy.
Nápověda | F1 | Spustí tuto nápovědu.


Nová položka převodníku barev dle jedinečných hodnot

Dialog Nová položka

Do pole Hodnota zadejte hodnotu nové položky editovaného převodníku. Hodnota musí být pro editovaný typ vektorového objektu v rámci tohoto převodníku jedinečná.

Do pole Popis zadejte popis položky. Popis je nepovinný.

V poli Knihovna značek vyberte knihovnu značek, ze které má být vybrána značka pro novou položku.

Značku pro položku vyberte ze seznamu značek v poli Značka, nebo zadejte její číslo do pole Číslo značky.

Poznámka

Řada čísel značek v knihovně nemusí být spojitá - pole Číslo značky je omezeno pouze minimální a maximální hodnotou čísla značky v knihovně. Pokud je zadáno neplatné číslo značky, nejde dialog ukončit tlačítkem OK a uživatel je vyzván k zadání platné značky.


Editace převodníku značek dle rozsahů hodnot

V převodníku dle rozsahů hodnot je vždy jednomu intervalu hodnot a typu vektorového objektu (bod, linie, plocha) přiřazena jedna značka. Intervaly se nesmí, v rámci převodníku a pro každý typ vektorového objektu, překrývat. Intervaly jsou zleva uzavřené a zprava otevřené.

Dialog Editace převodníku značek dle rozsahů hodnot

Pro každý typ vektorového objektu je příslušná část převodníku zobrazena v tabulce v těle dialogu. V sloupcích jsou zobrazeny tyto údaje (zleva): levá a pravá hranice intervalu, popisy, značka a jméno knihovny značek. Dvojklikem nebo stisknutím klávesy F2 na některý z těchto atributů spustíte jeho editaci. Pro uložení změn v editovaném atributu stiskněte Enter, pro stornování změn stiskněte tlačítko Esc.

Přepínání mezi editací části převodníku pro body, linie a plochy se realizuje stisknutím tlačítka se symbolem příslušného vektorového objektu, nebo stisknutím příslušné klávesové zkratky - podrobnosti v tabulce příkazů.

Poznámka

Pokud není pro vybraný typ vektorových objektů v editovaném převodníku definován žádný záznam, zobrazuje se v těle místo tabulky nápis <pro body (linie, plochy) není definován žádný záznam>.

V levé dolní části dialogu je pole Implicitní značka a knihovna - určuje značku, kterou budou vykresleny objekty, pro které se v editovaném převodníku nenajde záznam.

Změnu položek převodníku lze také provádět pomocí panelu nástrojů a hlavního a kontextového menu.

Menu Položka

Nová položka... | Ctrl+N | Otevře dialog pro zadání atributů nové položky.
Smazat položku | Del | Odstranění vybraných položek.
Editace | F2 | Spustí editaci vybraného atributu (sloupce) vybrané položky.
Značka a knihovna... | Ctrl+Shift+S | Definice značky pro vybranou položku převodníku.
Implicitní značka a knihovna... | Umožní zadat implicitní značku pro právě editovaný typ vektorových objektů (bod, linie, plocha) ze zvolené knihovny značek.
Setřídit vzestupně | Ctrl+U | Vzestupně setřídí položky dle jejich hodnoty.
Setřídit sestupně | Ctrl+D | Sestupně setřídí položky dle jejich hodnoty.
Nápověda | F1 | Spustí tuto nápovědu.

Menu Tabulka

Body | Shift+P | Zobrazí tabulku definice části editovaného převodníku pro body.
Linie | Shift+L | Zobrazí tabulku definice části editovaného převodníku pro linie.
Plochy | Shift+A | Zobrazí tabulku definice části editovaného převodníku pro plochy.
Nápověda | F1 | Spustí tuto nápovědu.


Nová položka převodníku barev dle rozsahů hodnot

Dialog Nová položka

Do polí Počáteční hodnota a Koncová hodnota zadejte hranice intervalů nové položky editovaného převodníku.

Do polí Popis 1 a 2 zadejte popisy položky. Popisy jsou nepovinné.

V poli Knihovna značek vyberte knihovnu značek, ze které má být vybrána značka pro novou položku.

Značku pro položku vyberte ze seznamu značek v poli Značka, nebo zadejte její číslo do pole Číslo značky.

Poznámka

Řada čísel značek v knihovně nemusí být spojitá - pole Číslo značky je omezeno pouze minimální a maximální hodnotou čísla značky v knihovně. Pokud je zadáno neplatné číslo značky, nejde dialog ukončit tlačítkem OK a uživatel je vyzván k zadání platné značky.


Prohlížení obsažených značek

Značky obsažené v převodníku značek lze prohlížet v dialogu Prohlížení značek.

Dialog prohlížení značek

Značky pro jednotlivé typy vektorových objektů jsou zobrazeny v tabulkách. Pokud převodník neobsahuje pro některý typ vektorového objektu žádný záznam, není tabulka pro tento typ zobrazena.

V každé řádce tabulky je zobrazena značka a přiřazená hodnota v převodníku (pro převodníky dle jedinečných hodnot) nebo hranice intervalu hodnot oddělených dvěma tečkami (pro převodníky dle rozsahů hodnot).


Převodník značek dle TopoLu


Kapitola 7. Zobrazování dat

Obsah

Jak zobrazit data
Mapové okno
Použití kolečka myši v mapovém okně
Vlastnosti mapového okna
Legenda mapového okna
Přehled dat v mapovém okně
Nastavení zobrazení v mapovém okně
Hromadné nastavení základních vlastností zobrazování
Hromadné nastavení vlastností pro zobrazování
Obecné nastavení vrstev pro zobrazení
Hromadné nastavení barvy vektorových objektů
Hromadné nastavení značky vektorových objektů
Hromadné nastavení zobrazování dle výběrů
Hromadné nastavení dalších vlastností bodů
Hromadné nastavení dalších vlastností linií
Hromadné nastavení hranic ploch
Hromadné nastavení popisových bodů ploch
Hromadné nastavení průhlednosti vektorových objektů a rastrů
Hromadné nastavení barvy a gamma korekce rastrů
Hromadné nastavení hranic rastrů
Hromadné nastavení gridů
Hromadné nastavení mapových listů
Hromadné nastavení hranic rastrů
Hromadné nastavení pro zobrazení dat ISKN
Hromadné nastavení pro zobrazení dat ISLH (lesnické mapy)
Lokální menu mapového okna
Dceřinná mapová okna
Synchronizace mapových oken
Informace o objektech v mapovém okně
Aplikační formuláře
Typy formulářů
Formulář s textem
Formulář s rastrem
Formulář s videem
Informační formulář
Formulář pro zpřístupnění připojených dokumentů
Formulář pro zpřístupnění připojených bloků a rastrů
Zvukový doprovod
Soubor popisu aplikačních formulářů
Hlavička popisu aplikačních formulářů
Sekce popisu formuláře
Soubor informačního formuláře (DIN)
Hlavička informačního formuláře
Deklarační část informačního formuláře
Hlavní tělo informačního formuláře
Parametry informačního formuláře
Příklad definice aplikačních formulářů
Soubor popisu aplikačních adresářů (NDI)
Soubor informačního formuláře (DIN)
Rychlé zobrazení DB atributu
Rychlé vyhodnocení výrazu
Měření vzdálenosti
Měření plochy
Vlastnosti pro zobrazování
Obecné nastavení vlastností vrstvy pro zobrazení
Barva vektorových objektů (bodů, linií, ploch a textů)
Značka bodů, linií a ploch
Styl textů
Zobrazování dle výběrů vektorových objektů (bodů, linií, ploch a textů)
Další nastavení bodů
Další nastavení linií
Popis bodů, linií a ploch
Barva popisů vektorových objektů (bodů, linií a ploch)
Styl popisu
Kartodiagramy
Další nastavení ploch - Hranice
Další nastavení ploch - Popisové body
Barva, gamma korekce rastru, filtr pro vyhlazování
Hranice rastru
Náhled rastru
Průhlednost vektorových objektů a rastrů
Mapové listy
Gridy
Pojmenované výřezy

Zobrazování dat v TopoLu xT se provádí v mapových oknech. Počet mapových oken je teoreticky neomezen (záleží na výkonu počítače na kterém je TopoL xT spuštěn). Obsah mapových oken je navzájem nezávislý - v každém z nich mohou být zobrazována různá data, nebo mohou být shodná data prezentována jiným způsobem. V jednom mapovém okně lze ale zobrazovat jedna data pouze jednou (například jedna tabulka linií nemůže být zařazena v mapovém okně dvakrát).

V jednom mapovém okně lze zobrazovat data nezávisle na jejich souřadném systému - všechna zobrazovaná data (včetně rastrů) jsou během zobrazování transformována do souřadného systému mapového okna, v němž se zobrazují.


Jak zobrazit data

Prvním krokem pro zobrazení dat je vytvořit mapové okno. To se provede výběrem příkazu Nové mapové okno z menu Okno.

Data do mapového okna lze zařadit přetažením pomocí myši ze Stromu dat do příslušného mapového okna. Další možností je použít příkaz Zobrazit v aktivním mapovém okně nebo Zobrazit ve všech mapových oknech z menu Data.

Poznámka

Do mapového okna lze zařadit libovolnou složku ze Stromu dat - v mapovém okně budou zobrazeny všechna data, která se v této složce nacházejí, včetně jejich podsložek.

Jakým způsobem se budou implicitně data zobrazovat lze zvolit v Natavení projektu, položce Zobrazení. Implicitní vlastnosti mapového okna lze zvolit opět v Nastavení projektu, v položce Mapové okno.

Vlastnosti zobrazování již zobrazených dat se mění v dialogu Zobrazení, který je přístupný z menu Zobrazení, příkaz Nastavení zobrazování. Další možností je vybrat data v legendě mapového okna a zvolit zde příkaz Vlastnosti pro zobrazování.

Poznámka

Způsob automatického zařazování dat do mapových oken po jejich otevření lze nastavit v dialogu Nastavení prostředí, v kategorii Otevření/zavření dat.


Mapové okno

Mapové okno slouží k obrazové prezentaci dat. Jeho součástí je legenda, ve které se zobrazuje seznam zobrazených dat včetně náhledu způsobu prezentace. V legendě lze také nastavovat vlastnosti jednotlivých vrstev pro zobrazování. Hromadné i individuální nastavení vlastností zobrazených data a jejich správa se provádí v dialogu Zobrazení, který je přístupný pomocí příkazu Nastavení zobrazování z menu Zobrazení.

Další součástí mapového okna je okno s přehledem dat. Slouží k celkovému náhledu dat zobrazených v mapovém okně. Lze v něm posouvat a měnit výřez (viz. kapitola Přehled dat v mapovém okně).

Nové mapové okno lze vytvořit příkazem Nové mapové okno, z menu Okno.

Vlastnosti aktivního mapového okna (Jméno okna, barva pozadí, relativní měřítko a souřadný systém) se nastavují příkazem Vlastnosti mapového okna z menu Okno.

Změnu výřezu v aktivním mapovém okně lze provádět kolečkem myši nebo standardními příkazy z menu Zobrazení.


Použití kolečka myši v mapovém okně

Kolečko myši v mapovém okně se dá použít pro rolování v okně a pro změnu výřezu.

směr kolečka | stisknuté klávesy | změna výřezu
dopředu |  | Výřez v mapovém okně je posouván dolů. Posun výřezu je pouze v rozsahu posuvníků okna.
dozadu |  | Výřez v mapovém okně je posouván nahoru. Posun výřezu je pouze v rozsahu posuvníků okna.
dopředu | Shift | Výřez v mapovém okně je posouván doprava Posun výřezu je pouze v rozsahu posuvníků okna.
dozadu | Shift | Výřez v mapovém okně je posouván doleva. Posun výřezu je pouze v rozsahu posuvníků okna.
dopředu | Ctrl | Zmenšení měřítka (Zoom +) o velký krok.
dozadu | Ctrl | Zvětšení měřítka (Zoom -) o velký krok.
dopředu | Shift + Ctrl | Zmenšení měřítka (Zoom +) o malý krok.
dozadu | Shift + Ctrl | Zvětšení měřítka (Zoom -) o malý krok.

Změna výřezu kolečkem je vždy provedena tak, aby bod, nad kterým byl kurzor myši při pohybu kolečkem, zůstával namístě (viz. příklad na následujícím obrázku).

Změna výřezu kolečkem myši

Poznámka

Násobky změny měřítka kolečkem se nastavují v dialogu Nastavení prostředí, kategorie Zoom kolečkem. Dialog je přístupný z menu Nástroje, příkaz Možnosti.


Vlastnosti mapového okna

Parametry mapového okna se nastavují v dialogu Vlastnosti mapového okna. Tento dialog je přístupný (pro aktivní mapové okno) z menu Okno, příkaz Vlastnosti mapového okna.

Dialog Vlastnosti mapového okna

Do pole Jméno mapového okna se zadává titulek okna - je zobrazován v horní liště okna.

Po stisknutí tlačítka Barva pozadí se otevře standardní dialog MS Windows pro výběr barvy - vybranou barvou se bude kreslit pozadí mapového okna.

V poli Relativní měřítko se nastavuje relativní měřítko mapového okna - toto měřítko je použito při vykreslování některých (většinou uživatelských) značek a ovlivňuje jejich velikost.

Aktuální souřadný systém mapového okna je uveden v poli Souřadný systém. Jeho změnu lze provést stisknutím tlačítka u tohoto pole.


Legenda mapového okna

V legendě mapového okna je zobrazen seznam dat zobrazených v mapovém okně, včetně náhledu jejich prezentace. Data v legendě jsou seřazena v pořadí, v jakém se zobrazují - data na prvním místě legendy se zobrazují "nahoře" - tzn. kreslí se jako poslední. Pořadí jednotlivých vrstev lze měnit pomocí lokálního menu nebo uchopením symbolu vrstvy myší a jeho tažením na nové místo.

Legenda mapového okna

Každá zobrazovaná data jsou v legendě reprezentována jednou "rozbalovací" položkou. Jméno položky legendy je při zobrazení dat shodné se jménem těchto dat ve "Stromě dat", ale na jméně dat přímo nezávisí - v každém mapovém okně se může položka vzniklá z jedněch dat jmenovat jinak.

Změnu viditelnosti zobrazovaných určuje zaškrtávací pole u jména každé zobrazované vrstvy - změna v mapovém okně se projeví až po jeho překreslení.

U každé položky je náhled prezentace dat v mapovém okně. Tento náhled je buď tvořen jednou značkou (data jsou zobrazovány jednotnou barvou i značkou), nebo legendou (případně legendami - pokud je dle databázového atributu zobrazována barva i značka dat). Legenda je u položky zobrazována v případě, že jsou data zobrazena pomocí převodníku barev (značek) dle databázového atributu. V záhlaví legendy je zobrazen název databázového atributu, dle kterého jsou data prezentována, v těle legendy je zobrazeno přiřazení jednotlivých barev (značek) konkrétním hodnotám z databáze.

Poznámka

Značka vykřičník (!) za ukázkou zobrazení dat znamená, že barva nebo značka vektorových dat (případně barva i značka dat) jsou zobrazovány dle těchto atributů uložených přímo v datech - tato možnost je pouze u dat ve formátu TopoL Block a DGN. V takovém případě je pro zobrazení dat v legendě použita barva (značka) prvního zobrazovaného vektorového objektu (barva a značka prvního bodu, linie, plochy).

Změna vlastností jednotlivých položek v legendě a změna jejich pořadí se provádí pomocí příkazů z kontextového menu nebo z panelu nástrojů.

Překreslit | Alt+O | Provede překreslení obsahu mapového okna.
Výřez dle vybraných v legendě | Provede změnu výřezu a překreslení obsahu mapového okna tak, aby všechna vybraná data v něm zařazená byla viditelná
Zobrazovat | Zapne zobrazování všech dat vybraných v legendě.
Skrýt | Vypne zobrazování všech dat vybraných v legendě.
Vlastnosti pro zobrazování | Otevře dialog Vlastnosti pro zobrazování, ve kterém je možné nastavit parametry zobrazení dat vybraných v legendě.
Odstranit | Ze zobrazování odstraní data vybraná v legendě.
Zařadit Změna umístění v pořadí vykreslování dat vybraných v legendě:

Zařadí vybranou vrstvu dopředu.
Vybranou vrstvu posune v pořadí zobrazování o jednu dopředu.
Vybranou vrstvu posune v pořadí zobrazování o jednu dozadu.
Zařadí vybranou vrstvu dozadu.

Nastavení zobrazování | Alt+Z | Otevře dialog Nastavení zobrazování, ve kterém je možné nastavit vlastnosti zobrazování všech dat zobrazených v mapovém okně.

Změna viditelnosti skupin položek v legendě (podle druhů objektů) se provádí pomocí příkazů z kontextového menu nebo z panelu nástrojů viditelnosti vrstev.

Viditelnost bodů | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost bodů, kterým je možno hromadně změnit viditelnost všech bodových vrstev v aktivním mapovém okně.
Viditelnost linií | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost linií, kterým je možno hromadně změnit viditelnost všech liniových vrstev v aktivním mapovém okně
Viditelnost ploch | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost ploch, kterým je možno hromadně změnit viditelnost všech vrstev ploch v aktivním mapovém okně
Viditelnost textů | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost textů, kterým je možno hromadně změnit viditelnost všech textových vrstev v aktivním mapovém okně
Viditelnost binárních rastrů | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost binárních rastrů, kterým je možno hromadně změnit viditelnost všech binárních rastrů v aktivním mapovém okně
Viditelnost barevných rastrů | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost barevných rastrů, kterým je možno hromadně změnit viditelnost všech barevných rastrů v aktivním mapovém okně
Viditelnost gridů | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost gridů, kterým je možno hromadně změnit viditelnost všech gridů v aktivním mapovém okně
Viditelnost mapových listů | Zobrazí submenu stejné jako v hlavním menu Zobrazení - Viditelnost mapových listů, kterým je možno hromadně změnit viditelnost všech mapových listů v aktivním mapovém okně

Kliknutím pravým tlačítkem myši do legendy mapového okno se zobrazí lokální menu, kde jsou kromě všech možností, které poskytují oba panely nástrojů ještě další možnosti.

Lokální menu legendy mapového okna

Jsou to příkazy pro zapnutí, resp. vypnutí obou panelů nástrojů a další dva příkazy.

Vybrané dle definice projektu

Barvy a značky vrstev označených (vybraných) v legendě se nastaví jako jednotná dle hodnot zadaných pro konkrétní tabulky objektů v definici projektu (obdoba definice ZNACKY.DBF)

Vybrané dle implicitního nastavení projektu

Barvy a značky vrstev označených (vybraných) v legendě se nastaví jako jednotná, popř. dle TopoLu dle hodnot zadaných pro jednotlivé druhy objektů ve vlastnostech projektu


Přehled dat v mapovém okně

V přehledu jsou zobrazena všechna data zobrazována v příslušném mapovém okně. Výřez v přehledu je nastaven tak, aby byla zobrazena všechna zobrazená a viditelná data. Aktuální výřez v příslušném mapovém okně je nakreslen obdélníkem.

Mapové okno s přehledem dat

Kliknutím a táhnutím myši v přehledu můžete přesunout výřez v mapovém okně (pan) - pokud tažení výřezu začne mimo aktuální výřez, nebo pokud je při kliknutí stisknuta klávesa Shift, je aktuální výřez přesouván za jeho střed, jinak je výřez přesouván dle místa jeho uchopení. Pokud je při kliknutí myši stisknuta klávesa Ctrl, je umožněna změna výřezu (zoom +) - tažením myši lze zvolit část dat, která budou v mapovém okně zobrazena. Přesouvání a změnu výřezu lze zrušit stiskem klávesy Esc nebo stiskem pravého tlačítka myši.

Poznámka

Vypnout a zapnout Přehled dat lze v menu Mapové okno, příkaz Zobrazit / skrýt okno s přehledem dat. Implicitní nastavení pro to, zda otevírat okna s přehledem dat při vytvoření mapového okna lze v Nastavení projektu, v položce Mapové okno. Tento příkaz je dostupný z menu Projekt.


Nastavení zobrazení v mapovém okně

V tomto dialogu se provádí nastavení vlastností dat zobrazených v mapovém okně. V tabulce je uveden seznam všech zobrazených dat - po zavření dialogu budou data zobrazována v pořadí, v jakém jsou v této tabulce uvedena. Data se v mapovém okně kreslí od konce seznamu do jeho začátku - to znamená, že data která jsou na začátku seznamu budou kreslena jako poslední - budou zobrazena "na vrchu".

Tabulka ze seznamem zobrazených dat je rozdělena na sloupce. Kliknutím na záhlaví sloupce jsou data v legendě seřazena dle atributu uváděném v příslušném sloupci.

  • Jméno

    Jméno dat v legendě mapového okna.

  • Viditelnost

    Určuje, zda je vrstva zobrazována.

  • Typ

    Druh zobrazovaných dat - rozeznávají se tyto druhy: body, linie, plochy, texty, rastry, gridy a mapové listy. Pokud jsou data řazena dle tohoto atributu je použito pořadí dle automatického zařazování dat nastaveném ve Vlastnostech projektu.

  • Zdrojová data

    Umístění zobrazované vrstvy ve stromu dat v projektu.

  • Zdrojový soubor (adresář)

    Umístění zobrazované vrstvy na disku. Gridy a mapové listy mají tento sloupec nevyplněný, protože na disku neexistují.

Dialog Zobrazení

Dialog lze ukončit dvěma způsoby: stisknutím tlačítka Zavřít - dialog bude pouze ukončen a tlačítkem Překreslit - dialog bude ukončen a bude překresleno mapové okno, pro které bylo nastavení zobrazování prováděno. Na potvrzení provedených změn nemá způsob uzavření dialogu žádný vliv, protože změny jsou realizovány ihned po jejich provedení.

Změny v nastavení jednotlivých vrstev se provádějí pomocí příkazů z menu, z kontextového menu nebo z panelu nástrojů.

Menu Položka
Odstranit | Ctrl+Del | Odstraní vybraná data ze zobrazování.
Nezobrazovat | U vybraných dat vypne jejich zobrazení.
Zobrazovat | U vybraných dat zapne jejich zobrazení.
Zařadit

Přesunout o jednu dozadu | Přesune vybraná data v zobrazovacím pořadí o jednu dolů.
Přesunout o jednu dopředu | Přesune vybraná data v zobrazovacím pořadí o jednu nahoru.
Přesunout o dopředu | Přesune vybraná data v zobrazovacím pořadí dopředu.
Přesunout o dozadu | Přesune vybraná data v zobrazovacím pořadí dozadu.
Za... | Změní kurzor na šipku, kterou lze vybrat libovolná zobrazovaná data Po jejich výběru přesune v zobrazovacím pořadí vybraná data za tuto zvolenou vrstvu.
Před... | Změní kurzor na šipku, kterou lze vybrat libovolná zobrazovaná data Po jejich výběru přesune v zobrazovacím pořadí vybraná data za před zvolenou vrstvu.

Zavřít | Zavře tento dialog.
Menu Nastavení
Vlastnosti vrstvy | Alt+Enter | Pokud je vybrána jedna vrstva, otevře dialog pro nastavení jejích vlastností pro zobrazení (podoba dialogu záleží na typu vybraných dat). Pokud je vybráno více vrstev, bude otevřen dialog pro nastavení základních vlastností pro zobrazení (viditelnost, chytání, minimální a maximální měřítko pro zobrazení).
Body | Ctrl+Alt+P | Pokud je mezi vybranými daty pouze jedna vrstva bodů, otevře dialog pro nastavení jejích vlastností pro zobrazení, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností pro body.
Linie | Ctrl+Alt+L | Pokud je mezi vybranými daty pouze jedna vrstva linií, otevře dialog pro nastavení jejích vlastností pro zobrazení, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností pro linie.
Plochy | Ctrl+Alt+A | Pokud je mezi vybranými daty pouze jedna vrstva ploch, otevře dialog pro nastavení jejích vlastností pro zobrazení, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností pro plochy.
Texty | Ctrl+Alt+T | Pokud je mezi vybranými daty pouze jedna vrstva textů, otevře dialog pro nastavení jejích vlastností pro zobrazení, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností pro texty.
Binární rastry | Ctrl+Alt+B | Pokud je mezi vybranými daty pouze jeden binární rastr, otevře dialog pro nastavení jeho vlastností pro zobrazování, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností binárních rastrů.
Barevné a šedotónové rastry | Ctrl+Alt+C | Pokud je mezi vybranými daty pouze jeden barevný nebo šedotónový rastr, otevře dialog pro nastavení jeho vlastností pro zobrazování, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností barevných a šedotónových rastrů.
Hranice rastrů | Ctrl+Alt+E | Pro všechny rastry vybrané v tabulce otevře dialog pro hromadné nastavení hranic rastrů.
Gridy | Ctrl+Alt+G | Pokud je mezi vybranými daty pouze jeden grid, otevře dialog pro nastavení jeho vlastností pro zobrazení, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností pro gridy.
Mapové listy | Ctrl+Alt+M | Pokud je mezi vybranými daty pouze jeden klad mapových listů, otevře dialog pro nastavení jeho vlastností pro zobrazení, jinak otevře dialog pro hromadné nastavení zobrazovacích vlastností pro mapové listy.
Menu Nástroje
Překreslit | Provede překreslení mapového okna pro které je prováděno nastavení vlastností zobrazovaných dat.
Setřídit dle

dle pořadí při zobrazování | Setřídí data v tabulce v pořadí, tak jak jsou právě zobrazovány.
jména | Setřídí data v tabulce v abecedním pořadí dle jejich jména.
viditelnosti | Setřídí data v tabulce dle jejich viditelnosti.
typu | Setřídí data v tabulce dle jejich typu.
zdrojových dat | Setřídí data v tabulce dle jejich umístění ve stromu dat.
zdrojového souboru (adresáře) | Setřídí data v tabulce dle jejich umístění na disku.

Nápověda | F1 | Spustí tuto nápovědu
Menu Vybrat
Vybrat body | Shift+Ctrl+P | V tabulce vybere všechny vrstvy bodů.
Vybrat linie | Shift+Ctrl+L | V tabulce vybere všechny vrstvy linií.
Vybrat plochy | Shift+Ctrl+A | V tabulce vybere všechny vrstvy ploch.
Vybrat texty | Shift+Ctrl+T | V tabulce vybere všechny vrstvy textů.
Vybrat všechny vektory | Shift+Ctrl+V | V tabulce vybere všechny vrstvy vektorových dat (body, linie, plochy a texty).
Vybrat rastry | Shift+Ctrl+R | V tabulce vybere všechny rastry.
Vybrat binární rastry | Shift+Ctrl+B | V tabulce vybere všechny binární rastry.
Vybrat barevné a šedotónové rastry | Shift+Ctrl+C | V tabulce vybere všechny barevné a šedotónové rastry.
Vybrat gridy | Shift+Ctrl+G | V tabulce vybere všechny gridy.
Vybrat mapové listy | Shift+Ctrl+M | V tabulce vybere všechny klady mapových listů.
Vybrat vše | Ctrl+A | V tabulce vybere všechny vrstvy.
Odvybrat vše | Ctrl+U | V tabulce zruší výběr všech vrstev.
Invertovat výběr | Ctrl+I | Změní nevybrané vrstvy na vybrané a naopak.


Hromadné nastavení základních vlastností zobrazování

V tomto dialogu se nastavují základní parametry zobrazování dat vybraných v dialogu Zobrazení.

Dialog Vlastnosti pro zobrazení
Vrstva

V poli Zobrazovat se určuje viditelnost vybraných dat. Pokud je pole vyšeděno, nebude viditelnost u vybraných data změna.

Chytatelná - zaškrtnutí tohoto pole určuje, zda budou vybraná data zahrnuta při editaci do seznamu dat, které se účastní chytání. Pokud je toto pole vyšeděno, nebude tato vlastnost u vybraných data změna.

Rozsah zobrazování dle měřítka

Pole Minimální a Maximální měřítko určují rozsah měřítka mapového okna v němž se budou vybraná data zobrazovat. Pokud jsou zaškrtávací pole vyšeděna, nebudou měřítka u vybraných dat změněna.


Hromadné nastavení vlastností pro zobrazování

Parametry pro zobrazování vybraných dat se nastavují v dialogu Vlastnosti pro zobrazování. Jednotlivé vlastnosti zobrazovaných dat jsou, dle jejich významu, členěny do kategorií, které se zobrazují v pravé části tohoto dialogu ve "stromové" struktuře.

Dialog Vlastnosti pro zobrazení

Stisknutím tlačítka Původní načtete znovu výchozí vlastnosti vybraných dat tak, jak byly nastaveny při otevření tohoto dialogu.

Jednotlivé kategorie vlastností se liší dle typu zobrazovaných dat:

Body

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Barva | Nastavení barvy bodů.
Značka | Nastavení značky bodů.
Další nastavení bodů | Nastavení úhlu bodových značek.
Zobrazování výběrů | Zobrazování bodů dle jejich výběru.
Průhlednost | Nastavení průhlednosti bodů.

Linie

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Barva | Nastavení barvy linií.
Značka | Nastavení značky linií.
Další nastavení linií | Další nastavení linií
Zobrazování výběrů | Zobrazování linií dle jejich výběru.
Průhlednost | Nastavení průhlednosti linií.

Plochy

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Barva | Nastavení barvy ploch.
Značka | Nastavení značky ploch.
Hranice ploch | Nastavení zobrazování hranic ploch.
Popisové body ploch | Nastavení zobrazování popisových bodů ploch.
Zobrazování výběrů | Zobrazování ploch dle jejich výběru.
Průhlednost | Nastavení průhlednosti ploch.

Texty

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Barva | Nastavení barvy textů.
Styl | Nastavení stylů textů. Hromadné nastavení je prakticky stejné jako u nastavení pro jednotlivou textovou tabulku v legendě mapového okna.
Zobrazování výběrů | Zobrazování textů dle jejich výběru.
Průhlednost | Nastavení průhlednosti textů.

Binární rastry

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Rastr | Nastavení barvy binárních rastrů.
Hranice rastru | Nastavení hranic binárních rastrů

Barevné a šedotónové rastry

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Rastr | Nastavení barvy a gamma korekce barevných a šedotónových rastrů.
Hranice rastru | Nastavení hranic binárních rastrů
Průhlednost | Nastavení průhlednosti barevných a šedotónových rastrů.

Gridy

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Grid | Nastavení způsobu zobrazování gridů

Mapové listy

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Mapové listy | Nastavení způsobu zobrazování mapových listů


Obecné nastavení vrstev pro zobrazení

Kategorie Nastavení je společná pro všechny druhy zobrazovaných dat.

Dialog Vlastnosti pro zobrazování, kategorie Nastavení
Vrstva

Pole Zobrazovat určuje viditelnost dat - data se budou zobrazovat, pokud bude toto pole zaškrtnuté.

Chytatelná - zaškrtnutí tohoto pole určuje, zda budou data zahrnuty při editaci do seznamu dat, které se účastní chytání.

Poznámka

Toto pole je přístupné pouze pro vektorové objekty a gridy.

Rozsah zobrazování dle měřítka

Pole Minimální a Maximální měřítko určují rozsah měřítka mapového okna v němž se budou data zobrazovat.

Poznámka

Pokud je nějaké zaškrtávací pole vyšeděno (Zobrazovat, Chytatelná, Minimální a Maximální měřítko), nebude tato vlastnost nastavena - zůstane u všech dat nezměněna.


Hromadné nastavení barvy vektorových objektů
Dialog Vlastnosti pro zobrazování, kategorie Barva
Barva

V kategorii Barva se nastavuje barva pro zobrazení vektorových objektů. Základní nastavení se provádí volbou zdroje barvy objektů. K dispozici jsou tři možnosti:

  • původní

    Barva vybraných dat nebude změněna.

  • dle TopoLu

    Objekty budou zobrazovány barvou, která je v nich uložena. Tato možnost je přístupná pouze pokud jsou všechna vybraná data ve formátu TopoL Block nebo DGN.

  • jednotná dle hodnoty

    Všechna data budou zobrazovány jednotnou barvou. Tato barva se volí po stisknutí tlačítka Barva z převodníku barev vybraném v poli Převodník barev.

V poli Převodník barev se volí převodník barev, který bude použit pro získání barvy objektů při jejich vykreslování. Zvolit lze ze všech převodníků barev definovaných v projektu.

Poznámka

Při volbě Barva dle TopoLu bude bez ohledu na nastavení převodníku v tomto poli použit pro zobrazování Převodník barev dle TopoLu.

Pomocí tlačítek nad polem Převodník barev lze definovat nový převodník, nebo upravit vlastnosti existujících:

Vytvoření nového převodníku barev.
Vytvoření nového převodníku barev pomocí průvodce.
Editace převodníku barev vybraného v poli Převodník barev. Dle typu převodníku se spustí Editace převodníku barev dle TopoLu, Editace převodníku barev dle jedinečných hodnot nebo Editace převodníku barev dle rozsahů hodnot.
Otevře dialog, kde jsou zobrazeny všechny barvy definované v převodníku vybraném v poli Převodník barev.


Hromadné nastavení značky vektorových objektů
Dialog Vlastnosti pro zobrazování, kategorie Značka
Značka

V kategorii Značka se nastavuje značka pro zobrazení vektorových objektů. Základní nastavení se provádí volbou zdroje značky objektů. K dispozici jsou tři možnosti:

  • původní

    Značka vybraných dat nebude změněna.

  • dle TopoLu

    Objekty budou zobrazovány značkou, která je v nich uložena. Tato možnost je přístupná pouze pokud jsou všechna vybraná data ve formátu TopoL Block nebo DGN.

  • jednotná dle hodnoty

    Všechny objekty ve vrstvě budou zobrazovány jednotnou značkou. Značka se volí ze seznamu značek v poli Značka. V tomto seznamu jsou všechny značky obsažené v převodníku značek vybraném v poli Převodník značek. Značku lze také zvolit číslem v poli Číslo značky.

V poli Převodník značek se volí převodník značek , který bude použit pro získání značky objektů při jejich vykreslování. Zvolit lze ze všech převodníků značek definovaných v projektu.

Poznámka

Pro volbu Značka dle TopoLu lze použít pouze převodníky typu Převod dle TopoLu.

Pomocí tlačítek nad polem Převodník značek lze definovat nový převodník, nebo upravit vlastnosti existujících:

Vytvoření nového převodníku značek.
Vytvoření nového převodníku značek pomocí průvodce.
Editace převodníku značek vybraného v poli Převodník značek. Dle typu převodníku se spustí Editace převodníku značek dle jedinečných hodnot nebo Editace převodníku značek dle rozsahů hodnot. Převodníky značek typu Převod dle TopoLu nelze editovat.
Otevře dialog Prohlížení značek, ve kterém lze prohlížet všechny značky obsažené v převodníku značek vybraném v poli Převodník značek.


Hromadné nastavení zobrazování dle výběrů

Kategorie Zobrazování výběrů určuje, jak se budou zobrazovat vektorové objekty dle jejich výběru.

Dialog Vlastnosti pro zobrazování, kategorie Zobrazování výběrů
Zobrazování výběrů

Pokud je zaškrtnuto pole Původní, nebude zobrazování dle výběrů u vybraných objektů nastaveno - zůstane zachováno původní nastavení.

V poli Způsob zobrazování vybraných a nevybraných objektů se určuje základní nastavení zobrazování objektů dle jejich výběru. K dispozici jsou tyto možnosti:

  • Vybrané i nevybrané implicitně

    Objekty se budou zobrazovat bez ohledu na jejich výběr - objekty budou zobrazeny tak, jak jsou nastaveny v kategoriích Barva a Značka.

  • Vybrané rozšířeně, nevybrané implicitně

    Vybrané objekty budou zobrazovány dle nastavení v této kategorii, nevybrané objekty se budou zobrazovat bez ohledu na jejich výběr - budou zobrazeny tak, jak jsou nastaveny v kategoriích Barva a Značka.

  • Vybrané implicitně, nevybrané rozšířeně

    Nevybrané objekty budou zobrazovány dle nastavení v této kategorii, vybrané objekty se budou zobrazovat bez ohledu na jejich výběr - budou zobrazeny tak, jak jsou nastaveny v kategoriích Barva a Značka.

  • Pouze vybrané rozšířeně

    Budou zobrazovány pouze vybrané objekty dle nastavení v této kategorii. Nevybrané objekty nebudou vůbec zobrazovány.

  • Pouze vybrané implicitně

    Budou zobrazovány pouze vybrané objekty dle nastavení v kategoriích Barva a Značka. Nevybrané objekty nebudou vůbec zobrazovány.

  • Pouze nevybrané rozšířeně

    Budou zobrazovány pouze nevybrané objekty dle nastavení v této kategorii. Vybrané objekty nebudou vůbec zobrazovány.

  • Pouze nevybrané implicitně

    Budou zobrazovány pouze nevybrané objekty dle nastavení v kategoriích Barva a Značka. Vybrané objekty nebudou vůbec zobrazovány.

  • Vybrané i nevybrané rozšířeně

    Vybrané i nevybrané objekty budou zobrazovány dle nastavení v této kategorii.

Poznámka

Pro hromadné nastavení zobrazování textů dle výběru není k dispozici nastavení jeho stylu - pro texty lze nastavit pouze jejich barva.

Barva a značka vybraných

Zaškrtnutí pole Použít barvu pro vybrané určuje, zda bude pro zobrazování vybraných objektů použita barva dle pole Barva vybraných (pole je zaškrtnuto), nebo zda budou vybrané objekty zobrazovány barvou dle nastavení v kategorii Barva (pole není zaškrtnuto).

Zaškrtnutí pole Použít značku pro vybrané určuje, zda bude pro zobrazování vybraných objektů použita značka dle pole Značka vybraných (pole je zaškrtnuto), nebo zda budou vybrané objekty zobrazovány značkou dle nastavení v kategorii Značka (pole není zaškrtnuto).

Barva a značka nevybraných

Zaškrtnutí pole Použít barvu pro nevybrané určuje, zda bude pro zobrazování nevybraných objektů použita barva dle pole Barva nevybraných (pole je zaškrtnuto), nebo zda budou nevybrané objekty zobrazovány barvou dle nastavení v kategorii Barva (pole není zaškrtnuto).

Zaškrtnutí pole Použít značku pro nevybrané určuje, zda bude pro zobrazování vybraných objektů použita značka dle pole Značka nevybraných (pole je zaškrtnuto), nebo zda budou nevybrané objekty zobrazovány značkou dle nastavení v kategorii Značka (pole není zaškrtnuto).

Poznámka

Pokud je nějaké zaškrtávací pole (Použít barvu pro vybrané, Použít značku pro vybrané, Použít barvu pro nevybrané, Použít značku pro nevybrané) vyšeděno, nebude příslušná vlastnost nastavena - bude pro všechna data zachována její původní hodnota.


Hromadné nastavení dalších vlastností bodů

V kategorii Další nastavení bodů lze nastavit úhel bodových značek pro jejich zobrazení.

Poznámka

Ne všechny bodové značky lze kreslit pod libovolným úhlem. Značky, které nemohou být při vykreslování otočeny se budou kreslit bez ohledu na nastavení jejich úhlu.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení bodů
Úhel bodu

Úhel bodové značky lze pro zobrazení nastavit třemi způsoby:

  • původní

    Úhel bodových značek nebude nastaven - u všech dat bude zachována původní hodnota.

  • dle TopoLu

    V případě, že je vybrána pro úhel bodu tato možnost, bude se úhel bodových značek číst přímo z dat.

    Poznámka

    Tato možnost je přístupná pouze pro data, ve kterých je uložen úhel bodu - pro data ve formátu TopoL Block a DGN.

  • jednotná dle hodnoty

    Do pole Úhel zadejte uhel bodových značek. Jednotka pro zadání úhlu je vypsána v názvu pole.

    Poznámka

    Jednotku pro zadání úhlu lze nastavit jako jednu z proměnných prostředí TopoLu. Zadání se provádí v dialogu Nastavení prostředí, kategorie Prostředí. Tento dialog je přístupný z menu Nástroje, příkaz Možnosti.


Hromadné nastavení dalších vlastností linií

V této kategorii lze nastavit další možnosti pro zobrazování linií.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení linií
Volné konce linií

Pokud je zaškrtnuto pole Zobrazit, budou se zobrazovat volné konce linií barvou vybranou v poli Barva a značkou vybranou v poli Značka.

Lomové body linií

Pokud je zaškrtnuto pole Zobrazit, budou se zobrazovat lomové body linií barvou vybranou v poli Barva a značkou vybranou v poli Značka.

Směr linií

Pokud je zaškrtnuto pole Zobrazit, bude zobrazován směr linií barvou vybranou v poli Barva. Směr linií je zobrazován šipkou na těle linie.

Poznámka

Pokud je některé ze zaškrtávacích polí Zobrazit vyšeděno, nebude příslušná vlastnost změněna .


Hromadné nastavení hranic ploch

V kategorii Hranice ploch lze nastavit parametry pro zobrazování hranice ploch.

Dialog Vlastnosti pro zobrazování, kategorie Hranice ploch
Hranice ploch

Pokud je zaškrtnuto pole Zobrazovat hranice ploch, budou hranice ploch zobrazovány a je možno jejich zobrazování nastavit v dalších sekcích tohoto dialogu. Pokud je toto pole vyšeděno, nebude zobrazování hranice ploch u vybraných dat umožněno.

Barva hranice

V případě, že je vybrána možnost původní nebude barva hranice ploch u vybraných dat změněna. Pokud je vybrána možnost jednotná dle hodnoty, bude se hranice zobrazovat jednotnou barvou nastavenou v poli Barva.

Pokud se nastavení týká pouze jedné tabulky, barvu hranic ploch lze nastavit stejně jako u nastavení jednotlivých tabulek ploch v legendě mapového okna.

Dialog Vlastnosti pro zobrazování, kategorie Hranice ploch
Značka hranice

V případě, že je vybrána možnost původní nebude značka hranice ploch u vybraných dat změněna. Pokud je vybrána možnost jednotná dle hodnoty, bude se hranice zobrazovat jednotnou značkou nastavenou v poli Značka

Pokud se nastavení týká pouze jedné tabulky, značku hranic ploch lze nastavit stejně jako u nastavení jednotlivých tabulek ploch v legendě mapového okna.


Hromadné nastavení popisových bodů ploch

V kategorii Popisové body ploch lze nastavit parametry pro zobrazování popisových bodů ploch.

Dialog Vlastnosti pro zobrazování, kategorie Popisové body ploch
Popisové body ploch

Pokud je zaškrtnuto pole Zobrazovat popisové body ploch, budou popisové body ploch zobrazovány a je možno jejich zobrazování nastavit v dalších sekcích tohoto dialogu. Pokud je toto pole vyšeděno, nebude zobrazování popisových bodů ploch u vybraných dat změněno.

Barva popisových bodů

V případě, že je vybrána možnost původní nebude barva popisových bodů ploch u vybraných dat změněna. Pokud je vybrána možnost jednotná dle hodnoty, budou se popisové body zobrazovat jednotnou barvou nastavenou v poli Barva.

Pokud se nastavení týká pouze jedné tabulky, barvu popisových bodů ploch lze nastavit stejně jako u nastavení jednotlivých tabulek ploch v legendě mapového okna.

Dialog Vlastnosti pro zobrazování, kategorie Popisové body ploch
Značka popisových bodů

V případě, že je vybrána možnost původní nebude značka popisových bodů ploch u vybraných dat změněna. Pokud je vybrána možnost jednotná dle hodnoty, budou se popisové body zobrazovat jednotnou značkou nastavenou v poli Značka

Pokud se nastavení týká pouze jedné tabulky, značku popisových bodů ploch lze nastavit stejně jako u nastavení jednotlivých tabulek ploch v legendě mapového okna.


Hromadné nastavení průhlednosti vektorových objektů a rastrů

Průhlednost vektorových objektů a rastrů se určuje koeficientem v rozsahu 0% (neprůhledné) až 100% (úplně průhledné).

Poznámka

U binárních rastrů není průhlednost možné nastavit.

Dialog Vlastnosti pro zobrazování, kategorie Průhlednost
Průhlednost

Pokud je vybráno pole původní, nebude u vybraných dat průhlednost změněna.

V případě volby dle nastavení se koeficient průhlednosti vybraných dat nastavuje změnou polohy posuvníku v dialogu nebo číslem v poli Aktuální hodnota.


Hromadné nastavení barvy a gamma korekce rastrů

V této kategorii lze nastavit barvu a gamma korekci rastru.

Poznámka

Pro binární rastry nelze gamma korekci nastavit a pro výběr barvy není u tohoto druhu rastrů možnost automatická.

Dialog Vlastnosti pro zobrazování, kategorie Rastr
Barva rastru

Barvu pro zobrazování rastru lze zvolit ze tří možností:

  • původní

    Barva vybraných rastrů nebude změněna.

  • automatická

    Barva při zobrazování bude čtena z rastrů - rastry budou zobrazeny tak, jak byl vytvořeny.

  • jednotná dle hodnoty

    Rastry se bude zobrazovat barvou vybranou v poli Barva - binární rastry budou zobrazeny touto barvou, ostatní rastry budou zobrazeny v tónech této barvy.

Gamma korekce rastru

Změnou polohy posuvníku určíte koeficient gamma korekce rastrů - čím je tento koeficient vyšší, tím budou rastry světlejší. Návrat k výchozí hodnotě 1.00 proveďte stiskem tlačítka Nastav 1.0.

Poznámka

Hodnota gamma korekce rastrů bude nastavenou pouze pokud bude zaškrtnuto pole Nastavit hodnotu.


Hromadné nastavení hranic rastrů

V této kategorii lze nastavit hranice vybraných rastrů

Dialog Vlastnosti pro zobrazování, kategorie Hranice rastru
Zobrazení rastru a jeho hranice

V poli Zobrazení rastru a jeho hranice lze určit jakým způsobem se budou zobrazovat hranice rastrů. K dispozici jsou tyto možnosti:

  • původní

    Nastavení způsobu zobrazení hranice rastrů se nezmění, bude zachováno stávající.

  • pouze rastr

    Hranice rastrů nebudou zobrazovány - budou zobrazovány pouze rastry.

  • rastr i hranice

    Budou zobrazovány rastry i jejich hranice.

  • pouze hranice

    Budou zobrazovány pouze hranice rastrů.

Barva hranice

Pokud je zaškrtnuto pole Nastavit barvu, bude pro hranice vybraných rastrů nastavena barva určená v poli Barva.

Značka hranice

Pokud je zaškrtnuto pole Nastavit značku, bude pro hranice vybraných rastrů nastavena značka určená v poli Značka.


Hromadné nastavení gridů

V této sekci lze nastavit barvu gridů a způsob jejich zobrazení.

Dialog Vlastnosti pro zobrazování, kategorie Grid
Grid

V tomto poli lze vybrat způsob zobrazení gridu:

  • původní

    Způsob zobrazení vybraných gridů nebude změněn, bude zachován původní.

  • značkou

    Gridy budou zobrazeny jako síť bodových značek. Tuto značku lze zvolit v poli Značka.

  • křížkem

    Gridy budou zobrazeny jako síť křížků. Velikost těchto křížků lze nastavit v poliRozměr křížku.

Barva

Pokud bude zaškrtnuto pole Nastavit barvu, bude pro zobrazení gridů použita barva z tohoto pole.

Značka

Pokud bude vybrán způsob zobrazení gridu značkou a bude zaškrtnuto pole Nastavit značku, bude použita pro zobrazení gridů značka z tohoto pole.

Rozměr křížku

Pokud bude vybrán způsob zobrazení gridů křížkem a bude zaškrtnuto pole Nastavit velikost, budou gridy zobrazeny křížkem o rozměru zadaném v tomto poli. Rozměr křížku se zadává v metrech.


Hromadné nastavení mapových listů
Dialog Vlastnosti pro zobrazování, kategorie Mapové listy

Poznámka

Barva a značka mapových listů bude nastavena pouze pokud budou zaškrtnuty příslušná zaškrtávací pole Nastavit barvu a Nastavit značku.

Hlavní mapové listy

Barva hlavních mapových listů je určena v poli Barva, značka hranic hlavních mapových listů je určena v poli Značka.

Vedlejší mapové listy

Barva vedlejších mapových listů je určena v poli Barva, značka hranic vedlejších mapových listů je určena v poli Značka.

Poznámka

Vedlejší mapové listy jsou pouze u kladů katastrálních map.


Hromadné nastavení hranic rastrů

V tomto dialogu se nastavují hranice rastrů vybraných v dialogu Zobrazení.

Dialog Hranice rastrů
Zobrazení rastru a jeho hranice

V poli Zobrazení rastru a jeho hranice lze určit jakým způsobem se budou zobrazovat hranice rastrů. K dispozici jsou tyto možnosti:

  • původní

    Nastavení způsobu zobrazení hranice rastrů se nezmění, bude zachováno stávající.

  • pouze rastr

    Hranice rastrů nebudou zobrazovány - budou zobrazovány pouze rastry.

  • rastr i hranice

    Budou zobrazovány rastry i jejich hranice.

  • pouze hranice

    Budou zobrazovány pouze hranice rastrů.

Barva hranice

Pokud je zaškrtnuto pole Nastavit barvu, bude pro hranice vybraných rastrů nastavena barva určená v poli Barva.

Značka hranice

Pokud je zaškrtnuto pole Nastavit značku, bude pro hranice vybraných rastrů nastavena značka určená v poli Značka.


Hromadné nastavení pro zobrazení dat ISKN

Verze TopoLu 9.5 je dodávána s novou knihovnou značek a novou knihovnu stylů textů pro zobrazení katastrálních map. Dvě nové funkce pak umožňují data importovaná z formátu VFK jednoduše zobrazit jako katastrální mapu. První z nich (Zařazení značek, stylů a převodníků značek ISKN do projektu) zařadí v jednom kroku do projektu potřebné knihovny značek a vytvoří potřebné převodníky pro zobrazení katastrální mapy. Druhá funkce (Zobrazení katastrální mapy) pak data importovaná z formátu VFK jako katastrální mapu přímo zobrazí.

Automaticky vytvořené knihovny značek ISKN a ISKN v seznamu knihoven značek

Dialog Zobrazení katastrální mapy
Mapa

Z výklopného seznamu se vybere jedna z možnosti pro zobrazení katastrální mapy:

  • Katastrální

    Zobrazení vybraných vrstev katastrální mapy se nastaví pomocí připravených převodníků a knihoven značek pro prezentaci katastrální mapy v mapovém okně.

  • Katastrální barevná

    Zobrazení vybraných vrstev katastrální mapy se nastaví pomocí připravených převodníků a knihoven značek pro prezentaci katastrální barevné mapy v mapovém okně.

Zobrazit mapu

Pokud je zaškrtnuto pole v aktivním okně, budou potřebné vrstvy (tabulky) zařazeny do aktivního mapového okna.

  • v aktivním okně

    Pokud je zaškrtnuto toto pole, budou potřebné vrstvy (tabulky) zařazeny do aktivního mapového okna.

  • v novém okně

    Pokud je zaškrtnuto toto pole, budou potřebné vrstvy (tabulky) zařazeny do nového mapového okna.

Zařadit do mapy data

Nastavení se bude týkat jen těch databází, které se zatrhnou v seznamu.

Zařadit do mapy

Pomocí přepínačů se nastaví, které prvky katastrálních map se budou zařazovat do mapového okna.


Hromadné nastavení pro zobrazení dat ISLH (lesnické mapy)

Verze TopoLu 9.5 je dodávána s novou knihovnou značek a novou knihovnu stylů textů pro zobrazení lesnických map. Dvě nové funkce pak umožňují data importovaná z formátu VFK jednoduše zobrazit jako lesnickou mapu. První z nich (Zařazení značek, stylů ISLH do projektu) zařadí v jednom kroku do projektu potřebné knihovny značek a vytvoří potřebné převodníky pro zobrazení lesnické mapy. Druhá funkce (Zobrazení lesnické mapy) pak data importovaná z formátu VFK jako lesnickou mapu přímo zobrazí.

Dialog Zobrazení lesnické mapy
Mapa

Z výklopného seznamu se vybere jedna z možnosti pro zobrazení lesnické mapy:

  • hospodářská

    Zobrazení vybraných vrstev lesnické mapy se nastaví pomocí připravených převodníků a knihoven značek pro prezentaci hospodářské mapy v mapovém okně.

  • porostní

    Zobrazení vybraných vrstev lesnické mapy se nastaví pomocí připravených převodníků a knihoven značek pro prezentaci porostní mapy v mapovém okně.

  • obrysová

    Zobrazení vybraných vrstev lesnické mapy se nastaví pomocí připravených převodníků a knihoven značek pro prezentaci obrysové mapy v mapovém okně.

Zobrazit mapu

Pokud je zaškrtnuto pole v aktivním okně, budou potřebné vrstvy (tabulky) zařazeny do aktivního mapového okna.

  • v aktivním okně

    Pokud je zaškrtnuto toto pole, budou potřebné vrstvy (tabulky) zařazeny do aktivního mapového okna.

  • v novém okně

    Pokud je zaškrtnuto toto pole, budou potřebné vrstvy (tabulky) zařazeny do nového mapového okna.

Zařadit do mapy nekartografické cesty

Zařadí do mapy nekartografické cesty

Zařadit do mapy binární rastry

Zařadí do mapy binární rastry

Barva binárních rastrů

Pomocí standardního dialogu (poklepáním na barevný obdélník) se vybere barva pro binární rastry zařazené touto funkcí do mapového okna.


Lokální menu mapového okna

Kliknutím pravým tlačítkem myši do mapového okno se zobrazí lokální menu, kde jsou nejpotřebnější příkazy pro práci s mapovým oknem, které lze jinak najít v menu Zobrazení, Mapové okno. Při používání jakýchkoli editačních nebo výběrových nástrojů v mapovém okně, je toto základní menu obohaceno o různé další příkazy dle kontextu příslušné operace.

Lokální menu mapového okna v základním stavu

Jedná se o

Zoom + | F5 | Zmenšení výřezu aktivního mapového okna dle rozměru zadaného obdélníkem.
Zoom - | F6 | Zvětšení výřezu aktivního mapového okna dle rozměru zadaného obdélníkem.
Posun | Shift + F7 | Příkaz umožní posouvat výřez v mapovém okně tažením myší.
Zobrazit vše | Ctrl + F5 | Změní výřez v aktivním mapovém okně tak, aby všechna data v něm zařazená pro zobrazování byla viditelná.
Překreslit | Alt+O | Provede překreslení obsahu mapového okna.
Překreslit včetně WMS serverů |  | Provede překreslení aktivního mapového okna včetně všech zařazených WMS serverů.
Zobrazit / skrýt legendu | F10 | V aktivním mapovém okně zobrazí nebo skryje legendu mapového okna.
Zobrazit / skrýt okno s přehledem dat | F11 | V aktivním mapovém okně zobrazí nebo skryje okno s přehledem dat
Zobrazit / skrýt posuvníky v okně |  | V aktivním mapovém okně zobrazí nebo skryjí posuvníky (pouze od verze 9.5) .
Nastavení zobrazování | Alt+Z | Otevře dialog Zobrazení, ve kterém je možné nastavit vlastnosti zobrazování všech dat zobrazených v mapovém okně.
Viditelnost vrstev |  | Jde o submenu příkazů. které slouží k hromadnému zapínání a vypínaní vrstev různých typů v mapovém okně.
Atributy objektu |  | Nástroj pro zjišťování vlastností vektorových objektů (DB atributy, geometrie) zobrazených v mapovém okně.
Vlastnosti mapového okna |  | Spuštění dialogu pro nastavení parametrů mapového okna (souř. systém, barva pozadí, apod.)


Dceřinná mapová okna

Správa dceřinných mapových oken se provádí v dialogu Dceřinná okna, který je přístupný z menu Mapové okno, příkaz Dceřinná okna.

Dialog Dceřinná okna

Každé mapové okno může mít několik dceřinných oken. Hierarchie dceřinných oken se definuje pomocí jejich umístění v stromě zobrazeném v tomto dialogu. Pozice ve stromě oken se mění přetažením pomocí myši. Vyřazení okna z hierarchie se provede jeho přetažením na volné místo ve stromě.


Synchronizace mapových oken

Správa skupin synchronizovaných mapových oken se provádí v dialogu Synchronizace oken, který je přístupný z menu Mapové okno, příkaz Synchronizace.

Dialog Synchronizace oken

Mapová okna se dají synchronizovat do několika skupin. Skupiny lze vytvářet a mazat tlačítky na panelu nástrojů nebo příkazy z kontextového menu. Okna lze také mezi jednotlivými skupinami přesouvat tažením pomocí myši. Vyloučit okna ze skupiny lze jeho přetažení do prázdného místa stromu.


Informace o objektech v mapovém okně

Pomocí výběrového obdélníku lze vybrat libovolný počet objektů, o kterých se zobrazí informace. Příkaz je dostupný z menu Mapové okno, příkaz Atributy objektu.

Dialog Informace o objektech

V levé části dialogu, ve sloupci Entity, je zobrazen seznam všech objektů, které byly vybrány (aby byl objekt zahrnut do výběru, musí alespoň částí zasahovat do výběrového obdélníku). Výběrem objektu v seznamu se objekt vysvítí ve všech mapových oknech, kde je zobrazen a v těle dialogu se o něm zobrazí podrobné informace. Ve stavovém řádku dialogu se zobrazuje (zleva) celkový počet nalezených objektů, tabulka v které se nachází právě vybraný objekt a souřadný systém objektu.

Záložka Atributy

V tabulce jsou uvedeny všechny databázové atributy objektu vybraného ve sloupci Entity. Ve sloupcích tabulky jsou uvedeny (zleva): Jméno atributu, jeho typ a jeho hodnota.

Záložka Geometrie

Obsah záložky Geometrie je závislý na druhu vybraného objektu:

Geometrie - Bod
Dialog Informace o objektech - Bod

V polích Horizontální a Vertikální poloha jsou uvedeny souřadnice vybraného bodu. V poli Úhel je uveden úhel vybraného bodu, který je zaznamenán v datech (může se lišit od úhlu, v kterém je bod právě zobrazován).

Geometrie - Linie
Dialog Informace o objektech - Linie

V polích Opsaný obdélník - min a max jsou uvedeny minimální a maximální souřadnice opsaného obdélníka linie. Dále je zde uveden počet lomových bodů linie (poleLomové body - počet) a výpis jejich souřadnic.

Geometrie - Plocha
Dialog Informace o objektech - Plochy

V polích Opsaný obdélník - min a max jsou uvedeny minimální a maximální souřadnice opsaného obdélníka plochy. Dále jsou zde uvedeny souřadnice popisového bodu plochy (pole Poloha popisového bodu) a výměra plochy v poli Výměra - v metrech čtverečních.

Geometrie - Text
Dialog Informace o objektech - Texty

V polích Horizontální a Vertikální poloha jsou uvedeny souřadnice popisového bodu vybraného textu.

Záložka Další informace

Obsah záložky Další informace (pouze pro linie a plochy) je závislý na druhu vybraného objektu:

Další informace - Linie
Dialog Informace o objektech - Další informace (Linie)

V editačních polích jsou informace o objektech, které mají nějaký topologický vztah s danou linií. To znamená buď sousední linie (s vazbou na danou linii), popř. sousední plochy. U každého objektu je možno získat další informace použitím příslušného tlačítka Info.

Další informace - Plocha
Dialog Informace o objektech - Další informace (Plochy)

V editačních polích možno získat informace o počtu enkláv dané plochy a o počtu hraničních linií. Jsou zde také seznamy enkláv a hraničních linií, kde jsou identifikátory těchto objektů. Výběrem některého objektu a použitím příslušného tlačítka Info je možno získat další informace o těchto objektech.

Záložka Sada aplikačních formulářů

V záložce může být zobrazena cela řada informací v různých formách (textový dokument, rastrový obrázek, videoklip, informační formulář, zvukový klip, připojené bloky, rastry). Obsah záložky Sada aplikačních formulářů je závislý na tom, zda máme v projektu k příslušné tabulce objektů nadefinovány aplikační formuláře:

Info o objektech - Sada aplikačních formulářů
Dialog Informace o objektech - Sada aplikačních formulářů

Uživatel jednoduše volí mezi jednotlivými formuláři pomocí záložek.

Panel nástrojů na horní liště dialogu

Dialog má celou řadu možností jak měnit výřez mapového okna, popř. zobrazovat záznamy objektů v databázovém okně nebo přenášet zobrazené informace do systémové schránky.

Posunout výřez dle zvoleného objektu | změní výřez tak, aby zvolený objekt v levém panelu dialogu byl ve středu mapového okna, aniž by se změnilo měřítko zobrazení
Změnit výřez dle vybraného objektu | změní výřez tak, aby zvolený objekt (v levém panelu dialogu) se zadaným překryvem v procentech velikosti jeho opsaného obdélníka, byl ve středu mapového okna
Zobraz vše | nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené
Zablikáním zvýraznit zvolený objekt | Zabliká se zvoleným objektem tak, abychom ho mohli snadněji identifikovat v mapovém okně
Zvýraznit zvolený objekt v DB okně | Pokud máme otevřené databázové okno správného druhu, odpovídající záznam se v něm zvýrazní.
Zvýraznit zvolený objekt v DB okně s případným otevřením okna | Záznam odpovídající danému objektu se zvýrazní v databázovém okně. Pokud nebylo odpovídající databázové okno otevřeno, učiní se tak.
Automaticky zvýrazňovat zvolený objekt v DB okně | Tlačítkem se nastartuje operace prakticky shodná s operací Atributy objektu v DB okně. Je však nutno mít předem otevřené nějaké databázové okno toho druhu objektů, o kterém chceme získat informace.
Zvýraznit v externí tabulce | Záznam(y) v externí(ch) tabulce (tabulkách) odpovídající danému objektu se zvýrazní v databázovém okně. Narozdíl od záznamů v primárních tabulkách se navázané záznamy objevují v modálním dialogu, který je třeba pro výběr dalších objektů v mapovém okně uzavřít. V případě více modelů pro danou tabulku je nutno vybrat konkrétní model.
Automaticky zvýrazňovat zvolený objekt v externí tabulce | Záznam(y) v externí(ch) tabulce (tabulkách) odpovídající danému objektu se zvýrazní v databázovém okně. Navázané záznamy se objevují v modálním dialogu, který je třeba pro výběr dalších objektů v mapovém okně uzavřít. Narozdíl od předchozího příkazu (jednorázové zobrazení) je stav zobrazování záznamů permanentní.
Filtr | Jednoduchým dialogem se zapínají a vypínají různé typy objektů, se kterými chceme v dialogu pracovat. Systém si nastavení pamatuje.
Kopírování do clipboardu Umožní zkopírovat databázové atributy, popř. informace o geometrii objektu do systémové schránky. Jsou zde následující možnosti:

Všechny DB atributy | Do schránky se přenesou názvy sloupců, jejich typy a databázové atributy
Hodnoty | Do schránky se přenesou jen databázové atributy
Názvy sloupců | Do schránky se přenesou jen názvy sloupců
Názvy typů | Do schránky se přenesou jen typy databázových atributů
Názvy sloupců a hodnoty | Do schránky se přenesou názvy sloupců a databázové atributy
Geometrii (jako WKB) | Do schránky se přenese informace o souřadnicích daného objektu ve formě XML
Geometrii (jako seznam souřadnic) | Do schránky se přenese informace o souřadnicích daného objektu ve formě jednoduchého výpisu souřadnic

Nastavení zobrazení v aktuálním okně | Otevře dialog Nastavení zobrazování, ve kterém je možné nastavit vlastnosti zobrazování odpovídající tabulky dat v aktivním mapovém okně. Příkaz je možný použít od verze TopoLu 9.5.
Vlastnosti tabulky | Otevře dialog Vlastnosti tabulky , ve kterém je možné zjistit vlastnosti odpovídající tabulky dat.


Aplikační formuláře

K objektům typu bod, linie, plocha nebo text mohou být definovány aplikační formuláře. Potom se po volbě grafického objektu v příkazu Atributy objektu, resp. Aplikační formuláře (oba příkazy v menu Mapové okno) zobrazí sada formulářů. Uživatel potom jednoduše volí mezi jednotlivými formuláři pomocí záložek (a případně tlačítek se šipkami pro posun doprava a doleva, pokud se záložky nevejdou do okna). Je-li některý formulář větší než místo vyhrazené na obrazovce pro okno formuláře, lze se v něm pohybovat pomocí posuvných proužků, které se automaticky umístí na pravém a spodním okraji daného formuláře.

Aplikační formuláře dovolují uživateli přehledně zobrazit nebo použít různé informace připojené k jednotlivým objektům. Formuláře buď mohou obsahovat texty, rastry, videoklipy nebo uživatelsky definované sestavy (informační formuláře) nebo mohou sloužit pro zpřístupnění dokumentů nebo bloků a rastrů připojených k objektu. Některé formuláře mohou být také doplněny o různá tlačítka (např. pro tisk obsahu formuláře, jeho kopírování do clipboardu nebo vyvolání zvukového doprovodu).

Obsah sady aplikačních formulářů je přitom definován pro každý typ a druh objektů zvlášť. Textový dokument, rastrový obrázek, videoklip, informační formulář, zvukový klip, připojené bloky, rastry a dokumenty mohou být určeny pro všechny objekty určitého druhu a typu přímo jménem souboru (pak se při výběru kteréhokoliv z nich použijí stejné soubory) nebo pro každý objekt nepřímo pomocí položek v databázi, které určují jména souborů připojených k příslušnému objektu (pak je možné pro každý objekt použít jiné soubory).

Obsah aplikačních formulářů se definuje pomocí souboru popisu aplikačních formulářů, což je textový soubor specificky určený pro daný typ a druh objektů. Tento soubor obsahuje popisy jednotlivých formulářů. V případě formuláře s textem, rastrem, videoklipem nebo zpřístupnění připojeného dokumentu musí popis přímo či nepřímo určovat příslušný soubor, tzn. textový dokument, rastrový obrázek, videoklip nebo připojený dokument.

V případě formuláře pro zpřístupnění připojených bloků a rastrů muže být součástí popisu přímé nebo nepřímé určení adresáře bloku (soubor rastru) nebo adresáře, který připojené bloky a rastry obsahuje.

Popis informačního formuláře musí obsahovat přímý či nepřímý odkaz na definici informačního formuláře. Definice informačního formuláře tvoří textový soubor, který určuje jeho obsah pomocí interního programovacího jazyka ToPas, který má syntaxi odvozenu z programovacího jazyka Pascal.

Soubor popisu sady aplikačních formulářů lze snadno vytvořit pomocí příkazu Definice aplikačních formulářů v lokálním menu stromu dat po předchozím výběru tabulky objektů v tomto stromě.


Typy formulářů

Sada aplikačních formulářů smí obsahovat jeden nebo více formulářů několika různých typů. V současnosti je v TopoLu implementováno šest typů formulářů: formulář s textem, formulář s rastrem, formulář s videem, informační formulář, formulář pro zpřístupnění připojených bloků a rastrů a formulář pro zpřístupnění připojených dokumentů.

Formulář s textem, formulář s rastrem a informační formulář mohou obsahovat tlačítko označené Zvuk pro vyvolání zvukového doprovodu. To je programem automaticky doplněno v případě, že je v rámci popisu formuláře uvedena položka SoundFile, resp. Item_for_sound. K vyvolání zvukového doprovodu dojde stisknutím tlačítka pomocí myši nebo příslušné klávesové zkratky.

Formulář s textem, formulář s rastrem, formulář s videem a informační formulář lze také doplnit o tlačítko Tisk pro tisk obsahu formuláře a tlačítko Clipboard pro kopírování obsahu do clipboardu (schránky systému Windows).


Formulář s textem

Formulář s textem dovoluje zobrazit textový dokument, který je uložen v souboru definovaném přímo či nepřímo v popisu formuláře. Předpokládá se soubor s čistým textem bez speciálních formátovacích znaků (ASCII text). Pokud text obsahuje znaky s diakritikou, pak musí být pro správné zobrazení textu kódování diakritiky shodné s kódovou stránkou nastavenou pro blok, k jehož objektům je formulář připojen. Konec jednotlivých řádků dokumentu je určen znakem CR (kód 13) následovaným případně znakem LF (kód 10), které jsou obvykle generovány stiskem klávesy ENTER.


Formulář s rastrem

Formulář s rastrem umožňuje zobrazit rastrový obrázek, který je uložen v souboru definovaném přímo či nepřímo v popisu formuláře. Rastr může být v různých formátech (TIFF, BMP, JPG atd.) a nemusí být souřadnicově umístěn. Formát RAS není podporován. Implicitně se pro vykreslení rastru použije velikost obrázku určená rozměrem obrázku v pixelech. Při definici formuláře lze případně nastavit zvětšení nebo zmenšení velikosti obrázku.


Formulář s videem

Formulář s videem dovoluje prohlížení videoklipu, který je uložen v souboru definovaném přímo či nepřímo v popisu formuláře. Formulář je automaticky doplněn o tlačítko označené Video umožňující přehrát zadaný klip.

Pro zpracování videoklipu používá program TopoL standardní prostředky systému Windows - Media Control Interface. Součástí souboru s videoklipem může také být doprovodný zvuk. Pro zpracování souborů ve formátu AVI musí být na daném počítači instalován systém Video for Windows. Pro zpracování jiných formátů (QuickTime, MPEG, ap.) je třeba mít na počítači nainstalován příslušný ovladač médii - MCI driver (např. QuickTime for Windows).


Informační formulář

Informační formulář se definuje pomocí souboru s popisem informačního formuláře. Ten tvoří textový soubor, který určuje jeho obsah pomocí interního programovacího jazyka ToPas, který má syntaxi odvozenu z programovacího jazyka Pascal.


Formulář pro zpřístupnění připojených dokumentů

Formulář pro zpřístupnění připojených dokumentů umožňuje zobrazit jméno připojeného dokumentu, jeho typ a aplikaci přidruženou k tomuto typu dokumentů v systému Windows. Formulář je automaticky doplněn o tlačítko Otevřít pro otevření dokumentu v této aplikaci. Formuláře může být volitelně doplněn o tlačítko Tisk pro tisk dokumentu přidruženou aplikací.

Tento typ formuláře lze využít pro téměř libovolný typ dokumentu (např. tabulku programu Excel nebo dokument programu Word). Aplikace přidružená k dokumentu je automaticky vyhledávána v registrační databázi systému Windows. Pokud není žádný program k danému typu dokumentů přidružen, objeví se tato informace ve formuláři a dokument nelze otevřít.


Formulář pro zpřístupnění připojených bloků a rastrů

Formulář pro zpřístupnění připojených bloků a rastrů dovoluje zobrazovat v oddělených nabídkách (list boxech) bloky a rastry, které jsou logicky připojeny k zvolenému grafickému objektu. Formulář pak může obsahovat některá z tlačítek Nové okno, Aktivní okno a Všechna okna, která dovolují v TopoLu zařadit do Předmětu zájmu bloky a rastry zvolené v nabídce a zobrazit je dle jejich názvu buď do nového, aktivního nebo všech oken. V nabídce lze zvolit několik bloků a rastrů najednou.

Definice propojení mezi grafickými objekty a celými bloky a rastry a zpřístupnění takto vytvořené "hypermapy" může mít širokou škálu užití. Typickým případem je užití pro rychlou orientaci a volbu zobrazovaných dat v rozsáhlejším archivu. Jako příklad lze uvést přehledovou mapu okresu s obcemi reprezentovanými plochami. Po volbě příslušné plochy se ve formuláři objeví nabídka všech katastrálních map v obci.


Zvukový doprovod

Pro zpracování souboru se zvukem používá program TopoL standardní prostředky systému Windows - Media Control Interface. To znamená, že je standardně možné přehrávat zvuky wave (soubory s příponou WAV) a soubory pro sekvencér MIDI (soubory s příponou MID a RMI). Pro zpracování zvuků v jiných formátech (např. MP3) je třeba mít na počítači nainstalován příslušný ovladač médií - MCI driver.


Soubor popisu aplikačních formulářů

Popis sady aplikačních formulářů se určuje pomocí textového souboru, který obsahuje nepovinnou hlavičku a sekce s popisem jednotlivých formulářů.

Soubor smí obsahovat libovolný počet prázdných řádků nebo řádků s komentářem. Řádky s komentářem jsou uvozeny znakem středník (;). Na použití velkých a malých písmen v rámci popisu aplikačních formulářů nezáleží.

Soubory popisu aplikačních formulářů pak mají pro příslušný typ objektu (bod, linie, plocha) a druh (kód druhu) jméno sestavené z písmene označujícího typ objektu a jeho kódu určeného na čtyři číslice. Pro texty pak musí mít vždy jméno T000. Soubor má vždy příponu NDI a měl by být uložen v pracovním adresáři, který se určuje při spuštění TopoLu. V případě, že není soubor v pracovním adresáři nalezen, hledá se ještě v adresáři pracovního bloku.

Příklad:

pro plochy druhu 9 má soubor jméno P0009.NDI,

pro linie druhu 562 má soubor jméno L0562.NDI,

pro texty má soubor jméno T0000.NDI.


Hlavička popisu aplikačních formulářů

Hlavička popisu aplikačních formulářů je nepovinná a uvádí se vždy na začátku souboru s popisem. Hlavička smí obsahovat položky, které určují titulek okna s formuláři a implicitní polohu i velikost okna aplikačních formulářů.

Definice titulku okna má tvar:

Header = text

Parametr text je libovolný řetězec znaků, které mají být zapsány do titulku okna.

Definice implicitní polohy a velikosti okna má tvar:

X = horizontální_poloha

Y = vertikální_poloha

W = šířka

H = výška

Parametry šířka, výška, horizontální_poloha a vertikální_poloha se specifikují jako celá čísla, která udávají polohu a velikost celého okna v pixelech. Není nutné definovat všechny uvedené parametry.


Sekce popisu formuláře

Každý popis formuláře je uvozen klíčovým slovem, které určuje typ formuláře. Obsahem popisu musí být přímá či nepřímá specifikace příslušného souboru (adresáře). Formulář s textem, formulář s rastrem a informační formulář mohou být nepovinně doplněny o přímou či nepřímou specifikaci souboru se zvukovým doprovodem. V případě, že popis formuláře obsahuje přímou i nepřímou specifikaci souboru s obsahem formuláře (resp. zvukovým doprovodem), dá program přednost specifikaci přímé.

Formuláře mohou být nepovinně doplněny o nadpis příslušného formuláře a určení dalších parametrů. Popis formuláře je ukončen výskytem klíčového slova na počátku popisu dalšího formuláře nebo na konci souboru.

Začátek popisu formuláře má tvar:

[klíčové_slovo]

Parametr klíčové_slovo je uzavřen do hranatých závorek a smí nabývat hodnot:

TXT pro formulář s textem,

RAS pro formuláře s rastrem,

AVI pro formuláře s videem,

DIN pro informační formulář,

DOC pro formulář zpřístupňující připojené dokumenty,

BLK pro formulář zpřístupňující připojené bloky a rastry.

Položky popisu formuláře mohou mít následující tvar:

Descr = text

Parametr text tvoří libovolný řetězec znaků, který je vypsán jako nadpis specifikovaného formuláře.

Tab = text

Parametr text tvoří libovolný řetězec znaků, který je vypsán na záložce specifikovaného formuláře. Délka použitého řetězce je omezena na 16 znaků. Pokud není tato hodnota definována, použije se pro nápis na záložce hodnota parametru Descr. Pokud není ani ta definována, pak se použije číslo formuláře.

File = jméno_souboru

Parametr jméno_souboru definuje přímo jméno příslušného souboru (textu, rastru, videa, popisu informačního formulářem, připojeného dokumentu nebo rastru a adresáře bloku), který určuje obsah formuláře. V případě formuláře pro zpřístupnění připojených bloků a rastrů může tento parametr přímo definovat adresář, který bloky a rastry obsahuje.

Jméno souboru (adresáře) je buď určeno plnou cestou, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Jméno souboru (adresáře) musí obsahovat i příslušnou extenzi.

Item_for_file = jméno_položky

Parametr jméno_položky definuje jméno položky interní databáze, ve které je uloženo jméno souboru, který určuje obsah formuláře (text, rastr, video, popis informačního formuláře, připojený dokument nebo rastr a adresář bloku). V případě formuláře pro zpřístupnění připojených bloků a rastrů může položka obsahovat adresář, který bloky a rastry obsahuje. Tímto způsobem je obsah formuláře definován nepřímo a může být určen specificky pro každý objekt příslušného druhu.

Jméno souboru (adresáře) uložené v této položce databáze je buď určeno plnou cestou k souboru, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Jméno souboru (adresáře) musí obsahovat i příslušnou extenzi.

SoundFile = jméno_souboru

Parametr jméno_souboru definuje přímo jméno souboru se zvukovým doprovodem pro právě popisovaný formulář. Jméno souboru je buď určeno plnou cestou k souboru, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Jméno souboru musí obsahovat i příslušnou extenzi. Položku lze užít pouze pro formuláře s textem, formuláře s rastrem a informační formuláře.

Item_for_sound = jméno_položky

Parametr jméno_položky definuje jméno položky interní databáze, ve které je uloženo jméno souboru se zvukovým doprovodem pro právě popisovaný formulář. Jméno souboru uložené v této položce databáze je buď určeno plnou cestou k souboru, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Jméno souboru musí obsahovat i příslušnou extenzi. Tímto způsobem je zvukový doprovod definován nepřímo a může být určen specificky pro každý objekt příslušného druhu. Položku lze užít pouze pro formuláře s textem, formuláře s rastrem a informační formuláře.

Clipboard = souhlas

Parametr souhlas tvoří libovolný řetězec znaků. Pokud je prvním znakem A, Y nebo T, pak je formulář doplněn o tlačítko s označením Clipboard. Pomocí tohoto tlačítka lze zkopírovat obsah formuláře do schránky (clipboardu). Tak lze jednoduše připojený dokument nebo výsledky výpočtů z informačního formuláře využít v jiném programu (např. textovém editoru). Položku lze užít pouze pro formuláře s textem, formuláře s rastrem a informační formuláře.

Print = souhlas

Parametr souhlas tvoří libovolný řetězec znaků. Pokud je prvním znakem A, Y nebo T, pak je formulář doplněn o tlačítko s označením Tisk. Pomocí tohoto tlačítka lze vytisknout obsah formuláře nebo připojený dokument na tiskárně. Připojený dokument se tiskne prostřednictvím přidružené aplikace (pokud to podporuje) a aplikace se po skončení tisku uzavře. Položku nelze užít ve formulářích pro zpřístupnění připojených bloků a rastrů.

UserAbort = souhlas

Tuto položku lze použít pouze pro informační formuláře. Implicitně není možné přerušit výpočet obsahu tohoto formuláře. Přitom komplikované výpočty nad velkým rozsahem dat mohou trvat i delší dobu (minuty i hodiny). Aby mohl uživatel výpočet přerušit, lze povolit jeho přerušení pomocí tohoto parametru. Parametr souhlas tvoří libovolný řetězec znaků. Pokud je prvním znakem A, Y nebo T, pak se během výpočtu obsahu formuláře objeví dialog, který dovoluje volbou tlačítka Zpět výpočet přerušit. Obsahem formuláře je pak výstup výpočtu připravený od spuštění výpočtu do jeho přerušení.

Zoom = velikost

Tuto položku lze použít pouze v popisu formulářů s rastrovým obrázkem nebo videoklipem. Implicitně se pro vykreslení rastru (videoklipu) použije velikost obrázku určená rozměrem obrázku (snímku) v pixelech. Parametr velikost se zadává jako celé číslo a dovoluje nastavit zvětšení (zmenšení) rastrového obrázku (videoklipu) v procentech vzhledem k původní velikosti. Výsledná velikost obrázku (snímku) je potom zaokrouhlena na celé pixely. Hodnota 100 tedy určuje původní (implicitní) velikost obrázku. Hodnota 50 pak znamená zmenšení obrázku na polovinu, zatímco 200 definuje zvětšení na dvojnásobek.

NewWindow = souhlas

ActiveWindow = souhlas

AllWindow = souhlas

Tyto položky lze užít ve formulářích pro zpřístupnění připojených bloků a rastrů. Parametr souhlas tvoří libovolný řetězec znaků. Pokud je prvním znakem A, Y nebo T, pak je formulář doplněn o tlačítko s označením Nové okno, Aktivní okno nebo Všechna okna. Pomocí tohoto tlačítka lze V TopoLu zařadit zvolené bloky a rastry do Předmětu zájmu a zobrazit je dle jejich názvu buď do nového, aktivního nebo všech oken.


Soubor informačního formuláře (DIN)

Popis informačního formuláře tvoří textový soubor, který určuje jeho obsah pomocí interního programovacího jazyka ToPas, který má syntaxi odvozenu z programovacího jazyka Pascal.

Vlastní popis informačního formuláře se skládá z hlavičky formuláře, z části deklarační a z hlavního těla popisu formuláře. Hlavička formuláře je povinná a určuje typ a druh objektu, pro který je formulář definován. Nepovinná deklarační část dovoluje definovat konstanty, proměnné, parametry formuláře a symbolická jména pro používané databáze a bloky grafických objektů. Hlavní tělo popisu formuláře se pak skládá z posloupnosti příkazů, které se provádějí při zpracování formuláře před jeho zobrazením. Pomocí příkazů pro výstup je pak možné v rámci popisu formuláře určit informace (hodnoty), které budou jako výsledek ve formuláři skutečně zobrazeny. Omezená varianta jazyka ToPas se pak také používá pro definici výrazů používaných v rámci programu TopoL.


Hlavička informačního formuláře

Hlavička informačního formuláře obsahuje symbolické jméno formuláře a dále typ a druh objektu, pro který je formulář definován.

Hlavička má následující tvar:

infoform jméno_form typobj typ_objektu class číslo_druhu ;

V hlavičce vystupují tři klíčová slova infoform, typobj a class, které uvozují jednotlivé specifické parametry informačního formuláře.

Parametr jméno_form je identifikátor určující symbolické jméno formuláře. Ten má význam pouze mimo vlastní zpracování formuláře jako jeho identifikace. Objevuje se například v rámci hlášení o chybách při překladu i zpracování formuláře.

Parametr typ_objektu určuje typ objektu, pro který je formulář definován a může nabývat u formuláře definovaného pro body hodnoty B, pro linie hodnoty L, pro plochy hodnoty P a pro texty hodnoty T.

Parametr číslo_druhu určuje číslo druhu objektu, pro který je formulář definován. Číslo se zobrazuje v informaci o aktivním bloku nebo lze určit kupříkladu ze jména primární databáze. Pro objekty typu text nemá tento parametr žádný význam a číslo uvedené v hlavičce se nevyhodnocuje.

Příklad:

infoform MESTA typobj P class 9;

infoform TEXTY typobj T class 0;


Deklarační část informačního formuláře

Nepovinná deklarační část dovoluje definovat konstanty, proměnné, symbolická jména pro používané databáze i bloky grafických objektů a parametry formuláře (programu). Jednotlivé sekce se mohou libovolně střídat a opakovat. Jsou vždy uvozeny příslušným klíčovým slovem. Deklarační část končí na začátku hlavního těla popisu formuláře.


Hlavní tělo informačního formuláře

Hlavní tělo popisu formuláře se skládá z posloupnosti příkazů jazyka ToPas, které se sekvenčně provádějí při zpracování formuláře před jeho zobrazením. Pomocí příkazů pro výstup je pak možné v rámci popisu formuláře určit informace (hodnoty), které budou jako výsledek ve formuláři skutečně zobrazeny.

Hlavní tělo popisu formuláře má tvar složeného příkazu, za kterým musí následovat symbol tečka (.). Mezi identifikátory begin a end se pak uvádí libovolný sled příkazů. Jednotlivé příkazy jsou odděleny středníkem (;).


Parametry informačního formuláře

Pokud jsou v popisu informačního formuláře deklarovány parametry formuláře, objeví se okamžitě po zahájení výpočtu jeho obsahu dialog pro nastavení parametrů (v případě, že není jejich nastavení po zahájení výpočtu zakázáno).

V dialogu (viz obrázek) se objeví pro každý parametr formuláře, pro který není jeho nastavení po zahájení výpočtu zakázáno, řádek s označením parametru a implicitní hodnotou. Uživatel má možnost měnit hodnoty těchto parametrů.

Editor pro zvolený parametr lze aktivovat dvojitým poklepáním na levé tlačítko myši, klávesou ENTER nebo pomocí ikony na spodní liště dialogu.

Provedené změny lze potvrdit pomocí tlačítka OK nebo odvolat tlačítkem Zpět. Teprve po ukončení dialogu se spustí vlastní výpočet prvním příkazem v popisu formuláře.


Příklad definice aplikačních formulářů


Soubor popisu aplikačních adresářů (NDI)

Pro plochy druhu 9 nejprve definujeme soubor popisu aplikačních formulářů, který bude mít jméno P0009.NDI a bude umístěn v pracovním adresáři.

Příklad 7.1. P0009.NDI

        Header = Apl. formuláře        Hlavička souboru. Určuje titulek okna.
        ;Informační formulář           Komentář začíná středníkem
        [DIN]                          Začátek informačního formuláře.
        Descr = Obchodní údaje         Nadpis formuláře.
        Tab = Obchod                   Popis na záložce formuláře.
        File = města.din               Jméno souboru s definicí informačního formuláře.
                                       Soubor je umístěn v pracovním adresáři.
        Clipboard = Ano                Formulář bude doplněn o tlačítko Clipboard.
        ; Formulář s připojeným dokumentem
        [DOC]                          Začátek popisu informačního formuláře.
        Descr = Tabulkové výkazy       Nadpis formuláře.
        Tab = Výkazy                   Popis na záložce formuláře.
        Item_for_file = TABEXCEL       V položce TABEXCEL interní databáze je uvedeno jméno
                                       připojeného dokumentu (výkazu v tabulce pro program Excel.
        Print = Ano                    Formulář bude doplněn o tlačítko Tisk.
        ; Formulář s rastrem
        [RAS]                          Začátek popisu formuláře s rastrem.
        Descr = Fotografie města       Nadpis formuláře.
        Tab = Foto                     Popis na záložce formuláře.
        Item_for_file = FOTO           V položce FOTO interní databáze je uvedeno jméno
                                       zobrazovaného rastrového obrázku.
        Zoom = 50                      Obrázek bude zmenšen na polovinu (tj. na 50 %).
        Item_for_sound = ZNELKA        V položce ZNELKA interní databáze je uvedeno jméno
                                       souboru se zvukem.
        ; Formulář s textem
        [TXT]                          Začátek popisu formuláře s textovým dokumentem.
        Descr = Historie města         Nadpis formuláře
        Tab = Historie                 Popis na záložce formuláře.
        Print = Ano                    Formulář bude doplněn o tlačítko Tisk.
        Item_for_file = HISTORIE       V položce HISTORIE interní databáze je uvedeno jméno
                                       zobrazovaného textového dokumentu.
        ; Formulář s mapami
        [BLK]                          Začátek popisu formuláře zpřístupňujícího bloky a rastry.
        Descr = Katastrální mapy       Nadpis formuláře
        Tab = Mapy KU                  Popis na záložce formuláře.
        Item_for_file = MAPY_KU        V položce MAPY_KU interní databáze je adresář
                                       s katastrálními mapami města.


Soubor informačního formuláře (DIN)

Pro plochy druhu 9 pak je definován příslušný popis informační formuláře v souboru MESTA.DIN umístěném v pracovním adresáři.

Příklad 7.2. MESTA.DIN

        {Popis informačního formuláře pro města}
        infoform MESTA typobj P class 9;
        var
          Obraty : list of LongInt;
          Mesice : list of string;
          I : Longint;
        parametr
          Soucet: boolean = True description 'Výpis sumy';
        begin
          writeln;
          writeln('Základní obchodní údaje o městu');
          writeln('-------------------------------');
          writeln;
          writeln('Jméno města: ',@NAZEV)
          writeln;
          writeln('Rozloha: ',%AREA/100,' km3');
          writeln;
          writeln('Poštovní směrovací číslo: ',@PSC);
          writeln;
          Obraty := @1.OBRATY;
          Mesice := @1.MESICE;
          if Num(Obraty) < 1
          then writeln('&#142;ádný obchodní obrat ve městě.')
          else begin
            writeln('Měsíc':C:20,'Obrat v měsíci';
            writeln('-----':C:20,'--------------':C:20);
            writeln;
            for I:=1 to Num(Obraty)
            do writeln(Mesice[I]:C:20, Obraty[I]:C:20);
            if Soucet
            then begin
              writeln('-----':C:20,'--------------':C:20);
              writeln(Sum(Mesice):C:20, Sum(Obraty):C:20);
            end;
            writeln;
          end;
        end.


Rychlé zobrazení DB atributu

Po spuštění příkazu se objeví kurzor ve tvaru kolečka. Při pohybu nad mapovým oknem se vypisují v plovoucím panelu atributy objektů nad kterými se pohybujeme s uvedením identifikace objektu, včetně jména jeho tabulky. Pokud je nad sebou více objektů, mají větší prioritu body a texty, následně pak linie a nakonec plochy. Funkce se dá ovlivnit pouze vypínáním, resp. zapínáním jednotlivých vrstev v legendě mapového okna. Informace se objevují pouze pro objekty, jejichž tabulky jsou zapnuty v legendě.

Okno se zobrazením DB atributů


Rychlé vyhodnocení výrazu

Po spuštění se standardním dialogem vybere, resp. vytvoří výraz v jazyce ToPas. Po potvrzení se objeví kurzor ve tvaru kolečka. Při pohybu nad mapovým oknem se vypisuje v plovoucím panelu vyhodnocený výraz pro objekt, nad kterým se pohybujeme s uvedením identifikace objektu, včetně jména jeho tabulky. Pokud se pohybujeme nad objektem, pro který výraz nelze vyhodnotit, v panelu se červeně vypíše hlášení. Pokud je nad sebou více objektů, mají větší prioritu body a texty, následně pak linie a nakonec plochy. Funkce se dá ovlivnit vypínáním, resp. zapínáním jednotlivých vrstev v legendě mapového okna. Informace se objevují pouze pro objekty, jejichž tabulky jsou zapnuty v legendě.

Okno s Rychlým vyhodnocením výrazu


Měření vzdálenosti

Pomocí standardního nástroje (umožňuje i chytání) se sejme řada lomových bodů. V přehledovém okně je vidět informace o celkové délce nasnímané linie a o souřadnicích lomových bodů.


Měření plochy

Funkce umožní pomocí standardního nástroje (umožňuje i chytání) sejmout uzavřený polygon a zobrazí jeho plochu na dolní informační řádce včetně délky obvodové linie.


Vlastnosti pro zobrazování

Parametry pro zobrazování jedněch dat již zařazených v mapovém okně (již zobrazených) se nastavují v dialogu Vlastnosti pro zobrazování. Jednotlivé vlastnosti zobrazovaných dat jsou, dle jejich významu, členěny do kategorií, které se zobrazují v levé části tohoto dialogu ve "stromové" struktuře.

Dialog Vlastnosti pro zobrazování

Potvrzení provedených změn vlastností pro nastavení provedete stisknutím tlačítka OK (změny budou uloženy, ale mapové okno se nepřekreslí) nebo Překreslit (změny budou uloženy a mapové okno bude překresleno).

Stisknutím tlačítka Storno bude dialog ukončen bez uložení provedeních změn.

Stisknutím tlačítka Původní načtete znovu výchozí vlastnosti zobrazených dat tak, jak byly nastaveny při otevření tohoto dialogu.

Poznámka

Jak se budou implicitně zobrazovat data po zařazení do mapového okna, lze nastavit ve vlastnostech projektu pro zobrazování. Tato nastavení se provádějí v dialogu Nastavení projektu, v položce Zobrazení. Dialog je přístupný z menu Projekt, příkaz Vlastnosti projektu.

Jednotlivé kategorie vlastností se liší dle typu zobrazovaných dat:

Body

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.
Barva | Nastavení barvy bodů.
Značka | Nastavení značky bodů.
Další nastavení bodů | Nastavení úhlu bodových značek.
Zobrazování výběrů | Zobrazování bodů dle jejich výběru.
Průhlednost | Nastavení průhlednosti bodů.
Popis Nastavení popisů bodů - zobrazování popisů, zdroj popisů, atd...

Barva popisu | Nastavení barvy popisů pro body.
Styl popisu | Nastavení stylu popisů pro body.

Kartodiagram | Nastavení kartodiagramů pro body.

Linie

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd..
Barva | Nastavení barvy linií.
Značka | Nastavení značky linií.
Další nastavení linií | Nastavení zobrazování volných konců, lomových bodů a směru linií.
Zobrazování výběrů | Zobrazování linií dle jejich výběru.
Průhlednost | Nastavení průhlednosti linií.
Popis Nastavení popisů linií - zobrazování popisů, zdroj popisů, atd...

Barva popisu | Nastavení barvy popisů pro linie.
Styl popisu | Nastavení stylu popisů pro linie.

Kartodiagram | Nastavení kartodiagramů pro linie.

Plochy

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd..
Barva | Nastavení barvy ploch.
Značka | Nastavení značky ploch.
Hranice ploch Nastavení hranic ploch - nastavení barvy a značky hranice ploch...

Barva hranic | Nastavení barvy hranice ploch.
Značka hranic | Nastavení značky pro hranice ploch.

Popisové body ploch Nastavení popisových bodů ploch - nastavení barvy a značky popisových bodů ploch...

Barva popisových bodů | Nastavení barvy popisových bodů ploch.
Značka popisových bodů | Nastavení značky pro popisové body ploch.

Zobrazování výběrů | Zobrazování ploch dle jejich výběru.
Průhlednost | Nastavení průhlednosti ploch.
Popis Nastavení popisů ploch - zobrazování popisů, zdroj popisů, atd...

Barva popisu | Nastavení barvy popisů pro plochy.
Styl popisu | Nastavení stylu popisů pro plochy.

Kartodiagram | Nastavení kartodiagramů pro plochy.

Texty

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd..
Barva | Nastavení barvy textů.
Styl | Nastavení stylů textů.
Zobrazování výběrů | Zobrazování textů dle jejich výběru.
Průhlednost | Nastavení průhlednosti textů.

Rastry

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd..
Rastr | Nastavení barvy a gamma korekce rastru.
Hranice rastru | Nastavení zobrazování hranice rastru.
Průhlednost | Nastavení průhlednosti rastru.
Náhled rastru | Ukázka, jak bude rastr zobrazován.

Gridy

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd..
Grid | Nastavení vlastností zobrazení pro grid.

Mapový list

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd..
Mapový list | Nastavení vlastností zobrazení pro klad mapových listů


Obecné nastavení vlastností vrstvy pro zobrazení

Kategorie Nastavení je společná pro všechny druhy zobrazovaných dat.

Dialog Vlastnosti pro zobrazování, kategorie Nastavení

V poli Popis uveďte popis dat v legendě - popis není nijak omezen, může být i prázdný.

Pole Zobrazovat určuje viditelnost dat - data se budou zobrazovat, pokud bude toto pole zaškrtnuté.

Chytatelná - zaškrtnutí tohoto pole určuje, zda bude vrstva (data) zahrnuta při editaci do seznamu dat, které se účastní chytání.

Poznámka

Toto pole je přístupné pouze pro vektorové objekty a gridy.

Pole Minimální a Maximální měřítko určují rozsah měřítka mapového okna v němž se budou data zobrazovat.

Okno s náhledem dat - zaškrtnutí tohoto pole určuje, zda budou vybraná data zahrnuta do okna s náhledem dat


Barva vektorových objektů (bodů, linií, ploch a textů)

V kategorii Barva se nastavuje barva pro zobrazení vektorových objektů. Základní nastavení se provádí volbou zdroje barvy objektů. K dispozici jsou čtyři možnosti, dle kterých se také mění vzhled dialogu:

  • jednotná dle hodnoty

  • dle db atributu

  • dle TopoLu

  • dle výrazu

Zaškrtnutím pole Použít barvu z knihovny značek (pro texty Použít barvu z knihovny stylů) se určí, že přednost před nastavením barvy pro zobrazení objektů, nastavené v tomto dialogu, bude mít barva definovaná v knihovně značek (stylů) - pokud je v knihovně definována.

V poli Převodník barev se volí převodník barev, který bude použit pro získání barvy objektů při jejich vykreslování. Zvolit lze ze všech převodníků barev definovaných v projektu.

Poznámka

Při volbě Barva dle TopoLu bude bez ohledu na nastavení převodníku v tomto poli použit pro zobrazování Převodník barev dle TopoLu.

Pomocí tlačítek nad polem Převodník barev lze definovat nový převodník, nebo upravit vlastnosti existujících:

Vytvoření nového převodníku barev.
Vytvoření nového převodníku barev pomocí průvodce.
Editace převodníku barev vybraného v poli Převodník barev. Dle typu převodníku se spustí Editace převodníku barev dle TopoLu, Editace převodníku barev dle jedinečných hodnot nebo Editace převodníku barev dle rozsahů hodnot.
Otevře dialog, kde jsou zobrazeny všechny barvy definované v převodníku vybraném v poli Převodník barev.

Jednotná dle hodnoty

Všechny objekty ve vrstvě budou zobrazovány jednotnou barvou. Tato barva se volí po stisknutí tlačítka Barva z převodníku barev vybraném v poli Převodník barev.

Dialog Vlastnosti pro zobrazování, kategorie Barva - vzhled pro výběr Jednotná dle hodnoty
Dle db atributu

Objekty budou zobrazeny barvou získanou z převodníku barev vybraném v poli Převodník barev dle databázového atributu vybraném v poli Databázový atribut.

Dialog Vlastnosti pro zobrazování, kategorie Barva - vzhled pro výběr Dle db atributu

Zaškrtnutí pole V legendě zobrazit položku Ostatní určuje zda bude v legendě zobrazena také implicitní barva vybraného převodníku barev.

Dle TopoLu

Objekty budou zobrazovány barvou, která je v nich uložena. Tato možnost je přístupná pouze pro data, ve kterých je k jednotlivým objektů uložena jejich barva - data ve formátu TopoL Block a DGN.

Dialog Vlastnosti pro zobrazování, kategorie Barva - vzhled pro výběr Dle TopoLu
Dle výrazu

Objekty budou zobrazeny barvou získanou z převodníku barev vybraném v poli Převodník barev podle hodnoty vypočtené vyhodnocením výrazu v jazyce ToPas vybraném v poli Výraz.

Dialog Vlastnosti pro zobrazování, kategorie Barva - vzhled pro výběr Dle výrazu

Zaškrtnutí pole V legendě zobrazit položku Ostatní určuje zda bude v legendě zobrazena také implicitní barva vybraného převodníku barev.


Značka bodů, linií a ploch

V kategorii Značka se nastavuje značka pro zobrazení vektorových objektů. Základní nastavení se provádí volbou zdroje značky objektů. K dispozici jsou čtyři možnosti, dle kterých se také mění vzhled dialogu:

  • jednotná dle hodnoty

  • dle db atributu

  • dle TopoLu

  • dle výrazu

Zaškrtnutím pole Průhledné pozadí se určuje, zda bude pozadí značky při vykreslování transparentní.

Poznámka

Ne všechny značky mohou být kresleny transparentně. Pokud se značka objektů nekreslí s průhledným pozadím, přestože je toto pole zaškrtnuté, není tuto značku možné vykreslit s průhledným pozadím.

V poli Převodník značek se volí převodník značek , který bude použit pro získání značky objektů při jejich vykreslování. Zvolit lze ze všech převodníků značek definovaných v projektu.

Poznámka

Pro volbu Značka dle TopoLu lze použít pouze převodníky typu Převod dle TopoLu.

Pomocí tlačítek nad polem Převodník značek lze definovat nový převodník, nebo upravit vlastnosti existujících:

Vytvoření nového převodníku značek.
Vytvoření nového převodníku značek pomocí průvodce.
Editace převodníku značek vybraného v poli Převodník značek. Dle typu převodníku se spustí Editace převodníku značek dle jedinečných hodnot nebo Editace převodníku značek dle rozsahů hodnot. Převodníky značek typu Převod dle TopoLu nelze editovat.
Otevře dialog Prohlížení značek, ve kterém lze prohlížet všechny značky obsažené v převodníku značek vybraném v poli Převodník značek.

Jednotná dle hodnoty

Všechny objekty ve vrstvě budou zobrazovány jednotnou značkou. Značka se volí ze seznamu značek v poli Značka. V tomto seznamu jsou všechny značky obsažené v převodníku značek vybraném v poli Převodník značek. Značku lze také zvolit číslem v poli Číslo značky.

Dialog Vlastnosti pro zobrazování, kategorie Značka - vzhled pro výběr Jednotná dle hodnoty
Dle db atributu

Objekty budou zobrazeny značkou získanou z převodníku značek vybraném v poli Převodník značek dle databázového atributu vybraném v poli Databázový atribut.

Dialog Vlastnosti pro zobrazování, kategorie Značka - vzhled pro výběr Dle db atributu

Zaškrtnutí pole V legendě zobrazit položku Ostatní určuje zda bude v legendě zobrazena také implicitní značka vybraného převodníku značek.

Dle TopoLu

Objekty budou zobrazovány značkou, která je v nich uložena. Tato možnost je přístupná pouze pro data, ve kterých je k jednotlivým objektů uložena jejich značka - data ve formátu TopoL Block a DGN.

Dialog Vlastnosti pro zobrazování, kategorie Značka - vzhled pro výběr Dle TopoLu
Dle výrazu

Objekty budou zobrazeny značkou získanou z převodníku značek vybraném v poli Převodník značek podle hodnoty vypočtené vyhodnocením výrazu v jazyce ToPas vybraném v poli Výraz.

Dialog Vlastnosti pro zobrazování, kategorie Značka - vzhled pro výběr Dle výrazu

Zaškrtnutí pole V legendě zobrazit položku Ostatní určuje zda bude v legendě zobrazena také implicitní značka vybraného převodníku značek.


Styl textů

V kategorii Styl se nastavuje styl textů pro jejich zobrazení. Základní nastavení se provádí volbou zdroje stylu textů. K dispozici jsou tři možnosti, dle kterých se také mění vzhled dialogu:

  • jednotná dle hodnoty

  • dle db atributu

  • dle TopoLu

Zaškrtnutím pole Průhledné pozadí se určuje, zda bude pozadí textu při vykreslování transparentní.

V poli Převodník stylů se volí převodník stylů textů , který bude použit pro získání stylu textů při jejich vykreslování. Zvolit lze ze všech převodníků stylů definovaných v projektu.

Jednotná dle hodnoty

Všechny objekty ve vrstvě budou zobrazovány jednotným textovým stylem. Styl se volí ze seznamu stylů v poli Styl textu. V tomto seznamu jsou všechny styly obsažené v převodníku stylů vybraném v poli Převodník stylů. Styl lze také zvolit číslem v poli Číslo stylu.

Dialog Vlastnosti pro zobrazování, kategorie Styl textů - vzhled pro výběr Jednotná dle hodnoty
Dle db atributu

Objekty budou zobrazeny stylem získaným z převodníku stylů vybraném v poli Převodník stylů dle databázového atributu vybraném v poli Databázový atribut.

Dialog Vlastnosti pro zobrazování, kategorie Styl textu - vzhled pro výběr Dle db atributu
Dle TopoLu

Objekty budou zobrazovány stylem, který je v nich uložen. Tato možnost je přístupná pouze pro data, ve kterých je k jednotlivým objektů uložena jejich značka - data ve formátu TopoL Block a DGN.

Dialog Vlastnosti pro zobrazování, kategorie Styl textů - vzhled pro výběr Dle TopoLu


Zobrazování dle výběrů vektorových objektů (bodů, linií, ploch a textů)

Kategorie Zobrazování výběrů určuje, jak se budou zobrazovat vektorové objekty dle jejich výběru.

Poznámka

Pro zobrazování textů dle jejich výběru je k dispozici pouze volba barvy.

Dialog Vlastnosti pro zobrazování, kategorie Zobrazování výběrů
Zobrazování výběrů

V poli Způsob zobrazování vybraných a nevybraných objektů se určuje základní nastavení zobrazování objektů dle jejich výběru. K dispozici jsou tyto možnosti:

  • Vybrané i nevybrané implicitně

    Objekty se budou zobrazovat bez ohledu na jejich výběr - objekty budou zobrazeny tak, jak jsou nastaveny v kategoriích Barva a Značka.

  • Vybrané rozšířeně, nevybrané implicitně

    Vybrané objekty budou zobrazovány dle nastavení v této kategorii, nevybrané objekty se budou zobrazovat bez ohledu na jejich výběr - budou zobrazeny tak, jak jsou nastaveny v kategoriích Barva a Značka.

  • Vybrané implicitně, nevybrané rozšířeně

    Nevybrané objekty budou zobrazovány dle nastavení v této kategorii, vybrané objekty se budou zobrazovat bez ohledu na jejich výběr - budou zobrazeny tak, jak jsou nastaveny v kategoriích Barva a Značka.

  • Pouze vybrané rozšířeně

    Budou zobrazovány pouze vybrané objekty dle nastavení v této kategorii. Nevybrané objekty nebudou vůbec zobrazovány.

  • Pouze vybrané implicitně

    Budou zobrazovány pouze vybrané objekty dle nastavení v kategoriích Barva a Značka. Nevybrané objekty nebudou vůbec zobrazovány.

  • Pouze nevybrané rozšířeně

    Budou zobrazovány pouze nevybrané objekty dle nastavení v této kategorii. Vybrané objekty nebudou vůbec zobrazovány.

  • Pouze nevybrané implicitně

    Budou zobrazovány pouze nevybrané objekty dle nastavení v kategoriích Barva a Značka. Vybrané objekty nebudou vůbec zobrazovány.

  • Vybrané i nevybrané rozšířeně

    Vybrané i nevybrané objekty budou zobrazovány dle nastavení v této kategorii.

Barva a značka vybraných

Zaškrtnutí pole Použít barvu pro vybrané určuje, zda bude pro zobrazování vybraných objektů použita barva dle pole Barva vybraných (pole je zaškrtnuto), nebo zda budou vybrané objekty zobrazovány barvou dle nastavení v kategorii Barva (pole není zaškrtnuto).

Zaškrtnutí pole Použít značku pro vybrané určuje, zda bude pro zobrazování vybraných objektů použita značka dle pole Značka vybraných (pole je zaškrtnuto), nebo zda budou vybrané objekty zobrazovány značkou dle nastavení v kategorii Značka (pole není zaškrtnuto).

Barva a značka nevybraných

Zaškrtnutí pole Použít barvu pro nevybrané určuje, zda bude pro zobrazování nevybraných objektů použita barva dle pole Barva nevybraných (pole je zaškrtnuto), nebo zda budou nevybrané objekty zobrazovány barvou dle nastavení v kategorii Barva (pole není zaškrtnuto).

Zaškrtnutí pole Použít značku pro nevybrané určuje, zda bude pro zobrazování vybraných objektů použita značka dle pole Značka nevybraných (pole je zaškrtnuto), nebo zda budou nevybrané objekty zobrazovány značkou dle nastavení v kategorii Značka (pole není zaškrtnuto).

Poznámka

Implicitní nastavení zobrazování vektorových objektů dle výběru lze určit v dialogu Nastavení projektu, kategorie Zobrazení - Zobrazení výběrů. Tento dialog je přístupný z menu Projekt, příkaz Vlastnosti projektu.


Další nastavení bodů

V kategorii Další nastavení bodů lze nastavit úhel bodových značek pro jejich zobrazení.

Poznámka

Ne všechny bodové značky lze kreslit pod libovolným úhlem. Značky, které nemohou být při vykreslování otočeny se budou kreslit bez ohledu na nastavení jejich úhlu.

Úhel bodové značky lze pro zobrazení nastavit třemi způsoby:

jednotná dle hodnoty

Do pole Úhel zadejte uhel bodových značek. Jednotka pro zadání úhlu je vypsána v názvu pole.

Poznámka

Jednotku pro zadání úhlu lze nastavit jako jednu z proměnných prostředí TopoLu. Zadání se provádí v dialogu Nastavení prostředí, kategorie Prostředí. Tento dialog je přístupný z menu Nástroje, příkaz Možnosti.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení bodů, Úhel bodů jednotný dle hodnoty
dle db atributu

V poli Databázový atribut vyberte atribut ze kterého se bude číst úhel bodových značek při jejich zobrazování.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení bodů, Úhel bodů dle db položky
dle TopoLu

V případě, že je vybrána pro úhel bodu tato možnost, bude se úhel bodových značek číst přímo z dat.

Poznámka

Tato možnost je přístupná pouze pro data, ve kterých je uložen úhel bodu - pro data ve formátu TopoL Block a DGN.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení bodů, Úhel bodů dle TopoLu


Další nastavení linií

V této kategorii lze nastavit další možnosti pro zobrazování linií.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení linií
Volné konce linií

Pokud je zaškrtnuto pole Zobrazit, budou se zobrazovat volné konce linií barvou vybranou v poli Barva a značkou vybranou v poli Značka.

Lomové body linií

Pokud je zaškrtnuto pole Zobrazit, budou se zobrazovat lomové body linií barvou vybranou v poli Barva a značkou vybranou v poli Značka.

Směr linií

Pokud je zaškrtnuto pole Zobrazit, bude zobrazován směr linií barvou vybranou v poli Barva. Směr linií je zobrazován šipkou na těle linie.


Popis bodů, linií a ploch

V této kategorii lze nastavit popisy vektorových objektů v mapovém okně. K jednomu objektu lze vypsat až tři nezávislé textové popisy.

Dialog Vlastnosti pro zobrazování, kategorie Popis
Zobrazovat popisy

Pokud je zaškrtnuto pole Zobrazovat popisy, bude umožněno v tomto dialogu nastavit parametry pro tyto popisy. Jde jednak o to, k jakým objektům se budou popisy zobrazovat. Jsou zde tři možnosti:

  • k vybraným i nevybraným

    popisy se budou zobrazovat ke všem objektům dané tabulky

  • pouze k vybraným

    popisy se budou zobrazovat pouze k vybraným objektům (_Select = 1) dané tabulky

  • pouze k nevybraným

    popisy se budou zobrazovat pouze k nevybraným objektům (_Select = 0) dané tabulky

Znění popisů

Pokud je zaškrtnuto pole dle výrazu, budou se zobrazovat popisy podle výrazu vybraném v poli Výraz. Pokud je je zaškrtnuto pole dle databázové položky, budou se zobrazovat popisy podle databázového atributu vybraného v poli Databázová položka.

Lze postupně uvést tři výrazy. Výsledky jejich vyhodnocení budou vypisovány k příslušnému objektu do jednotlivých řádek pod sebe. Nejběžnější typy výrazů obsahují odkazy na atributy grafických objektů nebo položky v databázových tabulkách. Do editační linky lze buď přímo zapsat výraz v jazyce ToPas nebo uvést jméno výrazu ve tvaru >jméno<. Pro snazší zadání je možno použít dialog pro volbu výrazu, který lze otevřít pomocí některého tlačítka. Dialog dovoluje výraz vybrat nebo pomocí editoru výrazů definovat.


Barva popisů vektorových objektů (bodů, linií a ploch)

V kategorii Barva popisu se nastavuje barva pro zobrazování popisů vektorových objektů. Základní nastavení se provádí volbou zdroje barvy objektů. K dispozici jsou dvě možnosti, dle kterých se také mění vzhled dialogu:

  • jednotná dle hodnoty

  • dle db atributu

Jednotná dle hodnoty

Všechny popisy objektů ve vrstvě budou zobrazovány jednotnou barvou. Tato barva se volí po stisknutí tlačítka Barva z převodníku barev vybraném v poli Převodník barev.

Dle db atributu

Popisy objektů budou zobrazeny barvou získanou z převodníku barev vybraném v poli Převodník barev dle databázového atributu vybraném v poli Databázový atribut.

Dialog Vlastnosti pro zobrazování, kategorie Barva popisu - vzhled pro výběr Jednotná dle hodnoty

Zaškrtnutím pole Použít barvu z knihovny stylů se určí, že přednost před nastavením barvy pro zobrazení popisů, nastavené v tomto dialogu, bude mít barva definovaná v knihovně textových stylů pro styl použitý pro zobrazování popisů.


Styl popisu

V kategorii Styl popisu se nastavuje styl textů pro jejich zobrazení. Základní nastavení se provádí volbou zdroje stylu textů. K dispozici jsou dvě možnosti, dle kterých se také mění vzhled dialogu:

  • jednotná dle hodnoty

  • dle db atributu

Jednotná dle hodnoty

Všechny objekty ve vrstvě budou zobrazovány jednotným textovým stylem. Styl se volí ze seznamu stylů v poli Styl textu. V tomto seznamu jsou všechny styly obsažené v převodníku stylů vybraném v poli Převodník stylů. Styl lze také zvolit číslem v poli Číslo stylu.

Dialog Vlastnosti pro zobrazování, kategorie Styl popisu - vzhled pro výběr Jednotná dle hodnoty
Dle db atributu

Objekty budou zobrazeny stylem získaným z převodníku stylů vybraném v poli Převodník stylů dle databázového atributu vybraném v poli Databázový atribut.

Zaškrtnutím pole Průhledné pozadí se určuje, zda bude pozadí popisu při vykreslování transparentní.

Ve výklopném seznamu Vztažný bod textu lze vybrat jednu z devíti možností jak umístit popis vzhledem k bodu, resp. popisovému bodu plochy či linie.

V poli Převodník stylů se volí převodník stylů textů , který bude použit pro získání stylu popisů při jejich vykreslování. Zvolit lze ze všech převodníků stylů definovaných v projektu.


Kartodiagramy

V této kategorii lze vybrat jeden z kartodiagramů, které jsou k dispozici, aby byl zobrazen spolu s vektorovým objektem, popř. místo objektu, pokud v legendě mapového okna vypneme pro danou tabulku zobrazování.

Dialog Vlastnosti pro zobrazování, kategorie Kartodiagramy
Zobrazovat kartodiagram

Pokud je zaškrtnuto pole Zobrazovat kartodiagram, budou se zobrazovat k popisovému bodu objektu vybraný kartodiagram.

Kartodiagramy k dispozici

Z výklopného seznamu Kartodiagramy k dispozici lze vybrat jeden z kartodiagramů, které jsou k dispozici. Vlastní definice kartodiagramů (styl, počet elementů, definující výrazy) je nutno připravit v průvodci pro tvorbu kartodiagramů - Nástroje / Kartodiagramy.

Zobrazovat legendu významu

Pokud je zaškrtnuto pole Zobrazovat legendu významu, bude se kromě jednotlivých kartodiagramů zobrazovat i jejich legenda významu.


Další nastavení ploch - Hranice

V kategorii Hranice ploch lze nastavit parametry pro zobrazování hranice ploch.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Hranice ploch
Hranice ploch

Pokud je zaškrtnuto pole Zobrazovat hranice ploch, budou hranice ploch zobrazovány a je možno jejich zobrazování nastavit v dalších samostatných složkách tohoto dialogu.

Barva hranice

Pokud je vybrána možnost jednotná dle hodnoty, bude se hranice zobrazovat jednotnou barvou nastavenou v poli Barva.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Barva hranice ploch

V případě, že je vybrána možnost dle db atributu bude barva zobrazována dle databázového atributu vybraného v poli Databázový atribut. Barva hranice bude z databázového atributu získána pomocí převodníku barev zvoleného v poli Převodník barev.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Barva hranice ploch

V případě, že je vybrána možnost dle výrazu bude barva zobrazována dle barvy spočtené dle výrazu vybraném v poli Výraz. Barva hranice bude z výrazu získána pomocí převodníku barev zvoleného v poli Převodník barev.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Barva hranice ploch

Značka hranice

Pokud je vybrána možnost jednotná dle hodnoty, bude se hranice zobrazovat jednotnou značkou nastavenou v poli Značka.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Značka hranice ploch

V případě, že je vybrána možnost dle db atributu bude značka zobrazována dle databázového atributu vybraného v poli Databázový atribut. Značka hranice bude z databázového atributu získána pomocí převodníku značek zvoleného v poli Převodník značek.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Značka hranice ploch

V případě, že je vybrána možnost dle výrazu bude značka hranice zobrazována dle hodnoty spočtené dle výrazu vybraném v poli Výraz. Značka hranice bude z výrazu získána pomocí převodníku značek zvoleného v poli Převodník značek.

Dialog Vlastnosti pro zobrazování, kategorie Další nastavení ploch - Značka hranice ploch


Další nastavení ploch - Popisové body

V kategorii Popisové body lze nastavit parametry pro zobrazování popisových bodů ploch.

Zaškrtnutím pole Zobrazovat popisové body ploch umožníte zobrazování popisových bodů ploch. Tyto body se budou zobrazovat barvou nastavenou v samostatné složce Barva popisových bodů a značkou nastavenou v samostatné složce Značka popisových bodů.

Dialog Vlastnosti pro zobrazování, kategorie Popisové body
Barva popisových bodů

Pokud je vybrána možnost jednotná dle hodnoty, bude se hranice zobrazovat jednotnou barvou nastavenou v poli Barva.

V případě, že je vybrána možnost dle db atributu bude barva zobrazována dle databázového atributu vybraného v poli Databázový atribut. Barva popisových bodů bude z databázového atributu získána pomocí převodníku barev zvoleného v poli Převodník barev.

V případě, že je vybrána možnost dle výrazu bude barva zobrazována dle barvy spočtené dle výrazu vybraném v poli Výraz. Barva popisových bodů bude z výrazu získána pomocí převodníku barev zvoleného v poli Převodník barev.

Značka popisových bodů

Pokud je vybrána možnost jednotná dle hodnoty, budou se popisové body zobrazovat jednotnou značkou nastavenou v poli Značka.

V případě, že je vybrána možnost dle db atributu budou značky popisových bodů zobrazovány dle databázového atributu vybraného v poli Databázový atribut. Značka popisových bodů bude z databázového atributu získána pomocí převodníku značek zvoleného v poli Převodník značek.

V případě, že je vybrána možnost dle výrazu bude značka zobrazována dle hodnoty spočtené dle výrazu vybraném v poli Výraz. Značka popisových bodů bude z výrazu získána pomocí převodníku značek zvoleného v poli Převodník značek.


Barva, gamma korekce rastru, filtr pro vyhlazování

V této kategorii lze nastavit barvu a gamma korekci rastru.

Poznámka

Pro binární rastry nelze gamma korekci nastavit a pro výběr barvy je u tohoto druhu rastrů pouze možnost jednotná dle hodnoty.

Dialog Vlastnosti pro zobrazování, kategorie Rastr
Barva rastru

Barvu pro zobrazování rastru lze zvolit ze dvou možností:

  • Automatická

    Barva při zobrazování bude čtena z rastru - rastr bude zobrazen tak, jak byl vytvořen.

  • Jednotná dle hodnoty

    Rastr se bude zobrazovat barvou vybranou v poli Barva - binární rastry budou zobrazeny touto barvou, ostatní rastry budou zobrazeny v tónech této barvy.

Gamma korekce rastru

Změnou polohy posuvníku určíte koeficient gamma korekce rastru - čím je tento koeficient vyšší, tím je rastr světlejší. Návrat k výchozí hodnotě 1.00 proveďte stiskem tlačítka Nastav 1.0.

Filtr pro zobrazení

Filtrem se rozumí vyhlazování (resampling) rastrů při zobrazování. Nedochází ke ztrátě obrazové informace v některých detailech a odstraňuje se nežádoucí šum. K dispozici je následující výběr metod filtrace:

  • Obdélníkový filtr (nejrychlejší)

  • Trojúhelníkový filtr

  • Hermitův filtr

  • Bellův filtr

  • Kubická interpolace

  • Lanczosův filtr

  • Mitchellův filtr (nejpomalejší)

Průhlednost dle barvy

Přepínačem lze vypnout, popř. znovu zapnout volbu, kdy se určitá vybraná barva rastru (operace Výběr barvy pro zprůhlednění) interpretuje jako transparentní. To umožňuje správně interpretovat průhlednost rastrů, které byly vytvořeny v jiných systémech, a které nepodporují alfa kanál. Přepínač je aktivní pouze když byla pro daný rastr a mapové okno použita výše zmíněná operace, která vybere transparentní barvu.


Hranice rastru

V této kategorii, v poli Zobrazení rastru a jeho hranice, lze určit, jakým způsobem se bude zobrazovat hranice rastru. K dispozici jsou tři možnosti:

  • pouze rastr

    Hranice rastru nebude zobrazována - bude zobrazován pouze rastr.

  • rastr i hranice

    Bude společně zobrazován rastr i jeho hranice. Hranice bude zobrazována barvou vybranou v poli Barva a značkou vybranou v Značka.

  • pouze hranice

    Bude zobrazována pouze hranice rastru barvou vybranou v poli Barva a značkou vybranou v Značka.

Dialog Vlastnosti pro zobrazování, kategorie Hranice rastru


Náhled rastru

V této kategorii se zobrazuje náhled rastru - rastr je v náhledu zobrazován dle nastavení v kategoriích Rastr, Hranice rastru a Průhlednost.

Poznámka

Ukázka rastru není k dispozici pro binární rastry.

Dialog Vlastnosti pro zobrazování, kategorie Náhled rastru


Průhlednost vektorových objektů a rastrů

Průhlednost vektorových objektů a rastrů se určuje koeficientem v rozsahu 0% (neprůhledné) až 100% (úplně průhledné).

Poznámka

U binárních rastrů není průhlednost možné nastavit.

Dialog Vlastnosti pro zobrazování, kategorie Průhlednost

Koeficient průhlednosti se nastavuje změnou polohy posuvníku v dialogu nebo číslem v poli Aktuální hodnota.


Mapové listy

Dialog Vlastnosti pro zobrazování, kategorie Mapové listy
Hlavní mapové listy

Barva hlavních mapových listů je určena v poli Barva, značka hranic hlavních mapových listů je určena v poli Značka.

Vedlejší mapové listy

Barva vedlejších mapových listů je určena v poli Barva, značka hranic vedlejších mapových listů je určena v poli Značka.

Poznámka

Vedlejší mapové listy jsou pouze u kladů katastrálních map.


Gridy

Grid lze zobrazovat dvěma způsoby:

Značkou

Grid bude zobrazen jako síť bodů zobrazených značkou nastavenou v poli Značka a barvou nastavenou v poli Barva.

Dialog Vlastnosti pro zobrazování, kategorie Grid - volba Značkou
Křížkem

Grid bude zobrazen jako síť křížků o velikosti zadané v poli Rozměr křížku. Rozměr se uvádí v metrech. Křížky budou zobrazeny barvou nastavenou v poli Barva.

Dialog Vlastnosti pro zobrazování, kategorie Grid - volba Křížkem


Pojmenované výřezy

Správa pojmenovaných výřezů se provádí v dialogu Výřezy.

Dialog Výřezy

Přidávat, rušit a nastavovat výřezy lze pomocí příkazů menu, panelu nástrojů nebo kontextového menu:

Vybraný výřez do mapového okna |  | Nastaví výřez vybraný v seznamu do aktivního mapového okna.
Vybraný výřez do všech mapových oken |  | Nastaví výřez vybraný v seznamu do všech mapových oken.
Nový výřez z mapového okna | Ctrl+N | Do seznamu pojmenovaných výřezů přidá výřez právě nastavený v aktivním mapovém okně.
Odstranit | Ctrl+Del | Vyjme ze seznamu pojmenovaných výřezů vybraný výřez.
Nápověda | F1 | Spustí tuto nápovědu.


Kapitola 8. Editace

Obsah

Úvod
Linie
Vstup nové
Nový liniový objekt
Nová okopírováním
Obdélník
Čtverec dvěma vrcholy
Čtverec středem a vrcholem
Mnohoúhelník
Kolmice
Pole linií
Kružnice středem a poloměrem
Kružnice dvěma body
Kružnice třemi body
Oblouk třemi body
Oblouk středem a dvěma body
Paralelní linie
Buffer
Buffery pro zvolené
Hranice map. listů do bloku
Operace s liniemi
Editace staré
Další editační nástroje
Editace staré s potvrzením
Rušení existujících s potvrzením
Změna tabulky linie dle vzoru
Zhlazení linií
Zkrátit – prodloužit linii
Zkrátit – prodloužit dvě linie
Práce s vybranými liniemi...
Editace části
Vyjmutí části
Změna barvy a značky
Změna barvy
Změna značky
Rušení existujících
Změna směru linií
Změna směru vybraných linií
Rozdělení linie
Editace lomového bodu
Spojování linií
Spojování dvou linií
Přenos linií
Přenos linií
Přenos linií n :1
Přenos linií s potvrzením
Přenos obrysů ploch
Změna tabulky linií
Automatická vektorizace rastru
Poloautomatická vektorizace jedné linie
Poloautomatická vektorizace rastru
Linie s volnými konci
Netopologické linie
Problematická místa v liniích
Editace DB záznamu linie
Zápis barev a značek
Body
Vstup nových
Nový bodový objekt
Vyjmutí bodů z linií
Vyjmutí bodů z ploch
Body dle sítě křížků
Texty do bodů
Buffer
Buffery pro zvolené
Operace s body
Editace starých
Další editační nástroje
Rušení existujících s potvrzením
Změna tabulky bodu dle vzoru
Práce s vybranými body...
Změna barvy a značky
Změna barvy
Změna značky
Výběr bodů v okolí linií
Smazání bodů v okolí linií
Rušení existujících
Editace úhlu
Změna tabulky bodů
Přenos bodů
Přenos bodů
Přenos bodů n:1
Přenos bodů s potvrzením
Import bodů z DB tabulky
Editace DB záznamu bodu
Zápis barev a značek
Plochy
Vytvoření nové
Nový plošný objekt
Vytvoření nových v obdélníku
Zaplochovat dle tabulky bodů
Buffer
Buffery pro zvolené
Plochy dle mapových listů
Čtvercová síť
Vytvoření oblastí z bodů
Operace s plochami
Další editační nástroje
Rušení existujících s potvrzením
Změna tabulky ploch dle vzoru
Práce s vybranými plochami
Přepočtení popisových bodů ploch
Změna barvy a značky
Změna barvy
Změna značky
Kopírování ploch do bloku
Rušení existujících
Rozdělení plochy
Agregace ploch
Agregace ploch vybráním ploch
Agregace ploch vybráním linie
Agregace ploch v tabulce
Změna tabulky ploch
Překryv ploch
Problematická místa v plochách
Editace DB záznamu plochy
Zápis barev a značek
Logické operace
Texty
Vstup nových
Editace starých
Přesunutí textů
Změna graf. param. textu
Kopírování textu
Rušení existujících
Rušení existujících s potvrzením
Změna tabulky textů
Popisy do textů
Přepis znění textu
Přenos textů
Přenos textů n : 1
Změna směru textů
Posun textů
Zápis barev
TopoGeo
Délka a směrník
Nový bod
Polární metoda
Ortogonální metoda
Protínání z délek
Protínání z úhlů
Polární vytyčovací prvky
Ortogonální vytyčovací prvky
Oměrky
Zobraz protokol
Rušení objektů
Rušení v obdélníku s potvrzením
Rušení v obdélníku
Rušení vybraných
Rušení objektů pod plochami
Rušení tabulek
Editace DB záznamu
Přepis položky
Přenos atributů
Aktualizace databázových tabulek
Spojování bloků
Úprava dat
Kopírování bloku
Transformace bloku
Další editační nástroje
Uložení Z-ové souřadnice do DB
Načtení Z-ové souřadnice z DB
Změna Z-ové souřadnice
Načtení Z-ové souřadnice z DMT
Obdélníková síť bodů/linií s otočením
Změna barvy u vybraných
Změna značky u vybraných
Změna barvy a značky u vybraných
Zápis barev značek
Vytvoření nové tabulky
Nastavení
Barva a značka bodu
Barva a značka linie
Barva a značka plochy
Parametry chytání
Parametry tvorby linií
Vlastnosti editace
Lupa
Vyčistit interní paměť
Undo
Undo poslední krok


Úvod

Práce při pořizování a údržbě dat lze rozdělit na fázi přípravnou a fázi vlastního pořizování dat.

Tomuto rozdělení musí odpovídat i odborná úroveň uživatelů systému. Jiné požadavky jsou kladeny na pracovníka, který organizuje projekt sběru a zpracování dat (správce projektu), mnohem menší znalosti jsou vyžadovány od pracovníka, který vlastní sběr a zpracování provádí.

V přípravné fázi je potřebné určit účel celé práce. Je nutné si uspořádat všechny podklady, které budou využity pro pořízení dat, přitom je důležité se zabývat otázkami přesnosti a dalšími okolnostmi, které plynou z cíle práce.

Pokud se budou grafická data pořizovat z nestandardních mapových podkladů (tj. map, jejichž listoklad není uveden v nabídce), musíme nalézt jiný způsob, jak zajistit transformaci dat do jednotné souřadnicové soustavy.

Důležitá je volba struktury sbíraných informací, jejich rozdělení do jednotlivých informačních vrstev (bloků) a v rámci vrstev jejich zařazení mezi jednotlivé druhy objektů. O každém sbíraném objektu je nutné se rozhodnout, zda bude chápán jako objekt bodový, liniový či plošný. Dále je potřebné se zamyslet, jaké popisové údaje se budou sbírat k vybraným objektům. Součástí přípravy je též vytvoření pracovního prostředí na pevném disku v počítači, na kterém se bude sběr dat zajišťovat, tj. rozhodnout se, po jakých logických celcích se budou data sbírat a podle toho si připravit na pevném disku adresáře.

Níže je uveden příklad struktury adresářů pro dva pomyslné projekty (MAPY, LES). V názvech adresářů je v některých případech použito přípon pro lepší roztřídění dat podle účelu (např. BROUMOV.55). Přípona v názvu adresáře je však povinná pouze u adresářů bloků (.BLK). (Tyto adresáře se však definují přímo v programu TopoL a program sám zabezpečuje připojení přípony k názvu).

Projekt MAPY je příkladem projektu sběru informací z mapových listů. V tomto případě se jedná o mapové listy měřítka 1:5000, v kladu S-JTSK, o názvech BROUMOV 5-5 a BROUMOV 5-6.

Projekt LES ukazuje použití organizace adresářů dle členění sbíraných dat na lesní závody, lesní správy a oddělení.

Kromě uložení a struktury dat je potřeba si rozmyslet také další parametry projektu. A to například uživatelské značky, uživatelské styly textů, parametry chytání, parametry tvorby linie, souřadné systémy, implicitní způsoby zobrazování, jednotky automaticky vyplňovaných položek DB, atd. Toto vše lze nastavit v příkazu Projekt – Vlastnosti projektu a uložit do souboru projektu. Soubor projektu je uložen ve formátu XML. Jsou zde uloženy nejen parametry projektu, ale například i data projektu, jejich způsob zobrazení v mapovém okně atd. Systém udržuje seznam naposledy otevřených projektů a pomocí příkazu Nástroje – Možnosti je v sekci Obecné možno nastavit, aby se posledně otevřený projekt otevíral při startu TopoLu automaticky.

V TopoLu xT je možno přímo zobrazit vektorová data v několika datových formátech (TopoL blok, ArcView ShapeFile, Microstation dgn, Geomedia MDB, MISYS/Kokeš VYK atd.). Přímo editovat lze však pouze TopoL blok a ArcView ShapeFile.

  • Editace vektorových dat ve formátu TopoL blok

    Pokud chceme editovat vektorová data ve formátu TopoL blok, musíme blok nejdříve otevřít do projektu pomocí příkazu menu Data – Otevření bloku. Blok je otevřen, ale ještě jej není možno editovat. Musíme jej nejdříve nastavit pro editaci. To se provede tak, že v stromečku dat otevřených v projektu jej vybereme a buď horkou klávesou F3, nebo příkazem menu Data – Nastavit pro editaci a nebo příkazem lokálního menu (objeví se stlačení pravého tlačítka myši) Nastavit pro editaci toto provedeme. Potom již můžeme začít s editací grafických objektů. Pro některé editační příkazy ještě musí být data zobrazena v mapovém okně. Pokud není blok nastaven pro editaci nebo není zobrazen v mapovém okně, jsou příkazy v menu TopoLu vyšeděné.

  • Editace vektorových dat ve formátu ArcView ShapeFile

    Pokud chceme editovat vektorová data ve formátu ArcView ShapeFile, musíme je nejdříve otevřít to projektu pomocí příkazu menu Data – Otevření dalších typů vektorových dat – Otevřít ShapeFile pro editaci. Pokud je již ShapeFile otevřen příkazem Data – Otevření dalších typů vektorových dat – Otevřít ShapeFile, je nutné jej zavřít a otevřít znova, tentokrát pro editaci. Po volbě adresáře s SHP soubory, provede systém analýzu a objeví se dialog, kde je seznam shp souborů seřazených dle typů.

    Zde můžeme zapnout či vypnout ty soubory, které chceme editovat. Plochy se automaticky uzlují. Pokud chceme můžeme zapnout i uzlování liniových prvků (v opačném případě budou netopologické).

    To má za výhodu to, že pokud máme vrstvu ploch a jim odpovídající vrstvu linií (například pro kartografický výstup, abychom správně vytiskly značky hranic ploch), systém provede uzlování, takže linie se stanou hranicemi ploch.

    Po editaci a opětovném uložení se data opět rozdělí do samostatných shp souborů. Máme tak zajištěno, že linie přesně sedí na hranici ploch, plochy spolu sousedí bez překryvů a děr.

Pokud máme data otevřena pro editaci (jsou ve stromečku dat vysvícena modře) můžeme začít s editací. Veškerá data se drží v paměti počítače. Po většině příkazů je možno se vrátit a provést zvolený počet kroků zpět. Pokud jsme provedly některé změny, které již považujeme za trvalé je možno data uložit (příkaz Data – Uložit editovaná data, horká klávesa Ctrl S) nebo uložit jako (Data – Uložit kopii editovaných dat). Pokud editujeme několik bloků zároveň (je možno editovat vždy pouze jeden blok, ale zde je to myšleno tak, že střídavě měníme blok pro editaci a provádíme v něm změny), je možno použít příkaz Data – Uložit změněná data. V tomto případě systém prohledá všechna otevřená data a uloží ty, která byla nějakým způsobem změněna. Funkce Data – Uložit změněná data s výběrem otevře dialog se seznamem změněných bloků a umožní před uložením provést výběr. Pokud chceme, abychom zaručit určitou bezpečnost systému a předejít ztrátě editovaných dat například při výpadku elektrického proudu je možno si zapnout automatické ukládání změněných dat v určitém časovém intervalu. Tato funkce má nevýhodu, že nemáme plnou kontrolu nad ukládáním a můžeme ztratit přehled o tom v jakém momentu byla data uložena. Po uložení již také není možno provést krok zpět před uložení. Automatické ukládání se nastavuje pomocí příkazu Nástroje – Možnosti v sekci Automatické ukládání. V tomto příkaze je možno ještě nastavit některé další parametry pro editaci. Například zda chceme použít lupu, zda v případě editace nad binárními rastry chceme provést automatické centrování lupy. Můžeme definovat barvy a zvuky při editaci, nebo barvu a typ kurzoru.

Při ukládání dat systém vždy vytvoří záložní kopii dat. Jméno bloku či adresáře se shp soubory se zachová pouze se změní koncovka adresáře na „.BAK“.

Pokud chceme vytvořit nový blok, musíme nejdříve zavolat funkci Data – Nový blok. Tím se přidá nový blok do stromečku dat v projektu. Můžeme jej také vytvořit pomocí příkazu Vytvořit – Nový blok vyvolaného z lokálního menu stromečku dat. Lokální menu se objeví po stlačení pravého tlačítka myši. Potom musíme ještě nadefinovat jaké tabulky (druhy) v bloku budeme mít. To lze provést pomocí příkazu lokálního menu Vytvořit – Vytvoření nové tabulky.

Po volbě tohoto příkazu se objeví dialog, kde si musíme zvolit typ grafického objektu (bod, linie, plocha, text), jméno tabulky a to dle druhu (číslem druhu), z předdefinovaných (vybereme ze seznamu předefinovaných tabulek příkazem Projekt – Definice struktury projektu). Pro každou tabulku (druh) objektů příslušného typu můžeme nadefinovat libovolné databázové položky. Jednotlivé objekty pak v rámci své tabulky udržují vazbu na určitý záznam databáze pomocí položky "CISLO", "NUMBER" nebo "NUMMER", do které se automaticky zapíše tzv. „rodné číslo“, čili jednoznačný číselný identifikátor objektu daného typu. Položku CISLO vytváří sám TopoL, dále může uživatel definovat libovolné numerické a textové položky pro ukládání popisových údajů. Pokud tabulka připojená k plochám obsahuje položku "PLOCHA", ukládá se do ní automaticky výměra spočtená z grafické reprezentace. Je možné volit její ukládání v hektarech, arech, v kilometrech nebo metrech čtverečních (toto je možno nastavit příkazem Projekt - Vlastnosti projektu v sekci Automaticky vyplňované DB položky). Pokud tabulka připojená k liniím obsahuje položku "DELKA", ukládá se do ní spočtená délka linie ve metrech nebo kilometrech, atd.. Tyto volitelné databázové položky je možno definovat pokud v dialogu pro tvorbu nové tabulky zapneme volbu Tabulka má nepovinné sloupečky a zmáčkneme tlačítko Další.

V tom případě se dostaneme do části definice, kde můžeme definovat strukturu tabulky (přidávat, upravovat již definované, mazat). Lze ji také automaticky načíst z již existujícího crt souboru (textový soubor sloužící pro definici struktury) nebo dbf souboru. Pokud je struktura nadefinovaná můžeme ji uložit do crt souboru, který potom můžeme použít při definici stejné struktury u jiné tabulky nebo bloku. Pokud jsme v příkazu Projekt – Definice struktury projektu pro danou tabulku předefinovali i její DB strukturu je toto automaticky načteno a nemusíme ji definovat.

Pokud chceme změnit strukturu již existující tabulky, musíme mít daný blok nastaven pro editaci a potom přes lokální menu stromečku dat v projektu zavolat příkaz Změna struktury. Zde potom můžeme editovat strukturu.

Při editaci objektů na obrazovce je možno použít chytání na již existující objekty a na síť křížků. Chytání lze nastavit pomocí příkazu Editace - Parametry chytání.


Linie

Liniový objekt je definován posloupností dvojic souřadnic Y, X, tzv. lomových bodů. Tyto body vystupují vždy jen jako součást linie, nelze s nimi pracovat samostatně na rozdíl od bodových objektů.

Při pořizování linií (digitalizaci) mohou být prováděny tyto operace:

  • přichytávání lomových bodů linie při jejich vkládání

  • generalizace linie, tj. vypouštění nadbytečných lomových bodů

  • připojování linie na již existující linie

  • uzlování, tj. vytváření vazeb, topologické struktury, která pak umožní zjišťování vzájemných vztahů mezi liniemi, především hledání liniemi uzavřených ploch


Vstup nové

Příkaz umožní vytvořit nový liniový objekt tj. umožní snímání linie a nastavení jejích atributů.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) se dostaneme přímo do sběru souřadnic lomových bodů. Vytvářená linie bude uložena do tabulky linií, která je právě označená pro editaci (je v stromečku dat v projektu modrá). Na obrázku je vidět, že se linie uloží do tabulky L0001 (linie bude mít druh číslo 1).

Barva a značka linie bude vzata z nastavení, které lze změnit příkazem Editace – Barva a značka linie (tato funkce se také vyvolá přes panel nástrojů Značky – Barva a značka linie). Pokud máme předefinované tabulky pro jednotlivé typy objektů příkazem Projekt – Definice struktury projektu, je při změně tabulky pro editaci automaticky změněna i barva a značka, která se pro nový objekt použije. Tabulka pro editaci se změní tak, že se na požadovanou tabulku postavíme v stromečku dat v projektu a zavoláme funkci Nastavit pro editaci (horká klávesa F3).

Při snímání souřadnic lomových bodů můžeme pomocí stlačení pravého tlačítka myši vyvolat lokální menu tohoto příkazu. Kromě standardních příkazů pro mapové okno umožňujících pružně měnit výřez i obsah mapového okna, jsou zde ještě příkazy vztahující se pro tuto konkrétní operaci.

Jedná se o

  • Tabulka pro editaci

    příkaz umožní nastavit tabulku linií, do které se nová linie uloží, pokud je tato tabulka předefinovaná ve struktuře projektu, změní se i barva a značka nové linie

  • Vytvořit novou tabulku

    umožní nadefinovat novou tabulku linií, do které se linie uloží

  • Souřadnice z jiné linie

    Příkaz umožní načtení souřadnic jiné linie (i např. z jiného bloku) a posléze ji doeditovat.

  • Souřadnice číselně

    umožní definovat souřadnice lomového bodu číselně

  • Uzavření linie

    pokud jsme v módu přidávání na začátek nebo na konec, přidá nový lomový bod, tak aby souřadnice počátečního a koncového lomového bodu byly identické

  • Uzavřít a uložit linii

    pokud jsme v módu přidávání na začátek nebo na konec, přidá nový lomový bod, tak aby souřadnice počátečního a koncového lomového bodu byly identické a linii uloží

  • Přidávání na začátek

    pokud jsme v standardním módu přidávání na konec nebo v módu editace vrcholů, je možno skočit na začátek linie a přidávat lomové body zde

  • Editace vrcholů

    pokud jsme v módu přidávání na začátek nebo na konec, můžeme se přepnout do módu editace vrcholů, v tom případě se vysvítí lomové body jako malé čtverečky, které můžeme uchopit myší a posunout do požadované polohy. V tomto případě se lokální menu změní stejně jako u editace staré linie.

  • Uložení linie

    po volbě tohoto příkazu se linie uloží. A je možno začít snímat lomové body další linie. Pokud má tabulka linií, do které se linie uloží nadefinované nepovinné DB položky. TopoL před uložením požaduje jejich vyplnění.

  • Storno

    Ukončí se funkce vstup nové. Pokud máme nějakou linii rozdělanou, TopoL se nezeptá zda ji chceme uložit.

Při definici nových lomových bodů linie záleží na nastavení parametrů editace linií nastavitelných příkazem Editace - Vlastnosti editace. Zde lze nastavit parametry jako konstantní úhel a konstantní vzdálenost.


Nový liniový objekt

Pomocí těchto příkazů lze vytvořit nové liniové objekty, které mají určité geometrické vlastnosti (obdélník, čtverec, mnohoúhelník), nebo které vzniknou určitou metodou. Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Nová okopírováním

Příkaz umožní vytvořit nové linie kopírováním již existující.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL postupně zpracovává všechny linie, které jsou ve výběrovém obdélníku. Vybranou linii je vždy možno myši posouvat. Systém přitom „drží“ linii za lomový bod a zobrazuje průvodič k původní poloze tohoto bodu. Lomový bod můžeme změnit pomocí tlačítek PageUp, PageDown. Po potvrzení nové polohy levým tlačítkem myši, přejdeme do režimu editace vrcholů a můžeme linii ještě doeditovat. Pokud linii potvrdíme nebo naopak ukončíme její editaci, je automaticky zpracována další linie ze seznamu vybraných. Pokud již v seznamu vybraných není žádná další linie, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Obdélník

Příkaz umožní vytvořit nový liniový objekt, který má tvar obdélníka.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme nejdříve definovat první vrchol obdélníka, potom definujeme druhý bod určující směr a nakonec bod určující výšku a šířku. Přitom je možno využívat jednoduché lokální menu.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Čtverec dvěma vrcholy

Příkaz umožní vytvořit nový liniový objekt, který má tvar čtverce.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme nejdříve definovat první vrchol čtverce a potom definujeme jeho protilehlý vrchol.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Čtverec středem a vrcholem

Příkaz umožní vytvořit nový liniový objekt, který má tvar čtverce.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme nejdříve definovat vrchol čtverce a potom definujeme střed čtverce.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Mnohoúhelník

Příkaz umožní vytvořit nový liniový objekt, který má tvar uzavřeného mnohoúhelníka.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme nejdříve v dialogu, který se objeví, definovat počet vrcholů mnohoúhelníka . Potom definujeme střed mnohoúhelníka a nakonec vrchol, čímž definujeme velikost.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Kolmice

Příkaz umožní vytvořit nový liniový objekt, jako kolmici k vybrané linii.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme nejdříve vybrat linii, ke které budeme kolmici vytvářet. Potom musíme definovat bod, z kterého bude k dané linii spuštěna kolmice. TopoL při pohybu myši vykresluje průvodič od polohy kurzoru k vybrané linii. Tím můžeme kontrolovat jak bude linie vytvořena.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Pole linií

Příkaz umožní vytvořit pole liniových objektů o definovaném počtu ve směru horizontálním a vertikálním s definovaným horizontálním a vertikálním rozestupem.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) se objeví dialog pro definici počtu nových linií ve směru horizontálním a vertikálním a definici odstupu v souřadnicích ve směru horizontálním a vertikálním mezi jednotlivými objekty. Po potvrzení musíme nejdříve vybrat linii, ke které bude operace provedena. Potom musíme definovat bod, který určí polohu vůči této linii. TopoL načte souřadnice vybrané linie a vytvoří pole dle definovaných parametrů, a pomocí myši můžeme s tímto polem posouvat, s tím, že TopoL jej průběžně vykresluje. Pop potvrzení se vytvoří nové liniové objekty.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Kružnice středem a poloměrem

Příkaz umožní vytvořit novou linii - křivku typu kružnice zadanou středem a poloměrem.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme nejdříve definovat střed kružnice a potom definujeme poloměr kružnice. Lze přitom využívat chytání na již existující objekty.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie.


Kružnice dvěma body

Příkaz umožní vytvořit novou linii - křivku typu kružnice zadanou dvěma body.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme definovat dva body kružnice, kterými bude procházet. Velikost kružnice je možno vidět během zadávání druhého bodu v mapovém okně. Lze přitom využívat chytání na již existující objekty.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie.


Kružnice třemi body

Příkaz umožní vytvořit novou linii - křivku typu kružnice zadanou třemi body.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme definovat tři body kružnice, kterými bude procházet. Velikost kružnice je možno vidět během zadávání třetího bodu v mapovém okně. Lze přitom využívat chytání na již existující objekty.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie.


Oblouk třemi body

Příkaz umožní vytvořit novou linii - křivku typu oblouk zadaný třemi body.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme definovat tři body oblouku, kterými bude procházet. První zadaný bod bude představovat počáteční bod oblouku, třetí bod pak jeho koncový bod. Lze přitom využívat chytání na již existující objekty.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie.


Oblouk středem a dvěma body

Příkaz umožní vytvořit novou linii - křivku typu oblouk zadaný středem a dvěma body.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) linií, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku linií vytvořenou) musíme definovat tři body. První zadaný bod bude představovat střed oblouku, druhý bod počáteční bod oblouku (stanoví se poloměr), třetí bod pak jeho koncový bod. Lze přitom využívat chytání na již existující objekty.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie.


Paralelní linie

Funkce umožňuje vytvořit novou linii, která bude paralelní s linií vybranou.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník umožňující vybrat linii, ke které se vytvoří paralelní linie. Po vybrání tato linie zabliká a objeví se dialog pro definici tvorby paralelní linie.


Buffer

Funkce umožňuje vytvořit novou linii, která je bufferem vybrané linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník umožňující vybrat linii, ke které se vytvoří buffer. Po vybrání tato linie zabliká a objeví se dialog pro definici bufferu linie.

Odstup nového liniového objektu (bufferu) od linie je možno definovat graficky (pomocí myši) v mapovém okně nebo číselně, zadáním odstupu v metrech do editační linky.

Zlomy bufferu můžeme zaoblovat nebo je nechat ostré (volba Zaoblovat zlomy výsledku). Výslednou linii potom můžeme zauzlovat nebo ji nechat netopologickou (volba Výsledek zauzlovat).

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Buffery pro zvolené

Funkce umožňuje vytvořit nové linie, které jsou buffery vybraných linií.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví dialog, kde je možno vybrat tabulky všech otevřených vektorových dat, pro které se má příkaz provést. Je možno zadat, že chceme provést operaci pouze pro vybrané objekty (_SELECT = 1).

Po potvrzení dialogu se objeví dialog pro definici odstupu. Odstup nového liniového objektu (bufferu) od linie je možno definovat graficky (pomocí myši definujeme dva bodu určující vzdálenost) v mapovém okně nebo číselně, zadáním odstupu v metrech do editační linky.

Zlomy bufferu můžeme zaoblovat nebo je nechat ostré (volba Zaoblovat zlomy výsledku). Výslednou linii potom můžeme zauzlovat nebo ji nechat netopologickou (volba Výsledek zauzlovat). Po potvrzení se příkaz provede. Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Hranice map. listů do bloku

Funkce umožňuje vytvořit nové linie, které jsou hranicemi mapových listů zvoleného listokladu ve v oblasti vybrané obdélníkem.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví dialog, který umožňuje definovat tabulku linií bloku pro editaci, do které se nové linie uloží. Po potvrzení se objeví dialog pro volbu systému kladu mapových listů

Pokud je systém dělen ještě podrobněji (například měřítkem), objeví se po potvrzení další dialog kde musíme systém kladu konkretizovat (např. u S-JTSK je možno zvolit měřítko 50 000, 5 000, 2 000, 1 000 nebo 500).

Potom se v mapovém okně objeví výběrový obdélník pro definici oblasti, kde se mají linie generovat. TopoL vygeneruje hranice všech mapových listů, které jsou obdélníkem zasaženy.

Atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Operace s liniemi

Příkaz umožní měnit liniový objekt tj. umožní například editace lomových bodů linie, změna volitelných atributů, rozdělení linie nebo spojení s jinou atd.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jednu linii, objeví se dialog v jehož levé části je seznam vybraných linií. V pravé části je potom možno vidět atributy zvolené linie a je možno volat operace, které se s linií mohou provést.

V horní liště je možno volit jednu z těchto funkcí

  • Posunout výřez dle zvolené linie

    změní výřez tak, aby zvolená linie byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných linií

    změní výřez tak, aby zvolená linie se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvolenou linii

    zabliká se zvolenou linií tak, abychom ji mohli snadněji identifikovat

  • Zvýraznit zvolenou linii v DB okně

    pokud je tabulka, do které linie náleží zobrazena v DB okně, je odpovídající záznam zvýrazněn a případně v rámci DB okna posunut, aby byl vidět

Kromě tohoto je v možno volat tyto funkce

  • Změna barvy a značky

    po volbě tlačítka Změnit se objeví dialog na volbu nové barvy a značky. Po potvrzení se barva a značka změní na nové požadované hodnoty.

  • Změna vybranosti (_SELECT)

    volba Vybraná ukazuje aktuální stav vybranosti linie (atributu _SELECT), pokud změníme stav tlačítka, je okamžitě změněn i stav linie

  • Změna topologie

    topologické linie, jsou linie, které mohou vytvořit uzel s jinými liniemi nebo sami se sebou a mohou tak být hranicemi ploch. Netopologické linie netvoří uzly a nemohou tak být hranicemi ploch. Volba NETOPOLOGICKÁ určuje stav linie. Pokud změníme stav tlačítka je okamžitě změněn i stav linie. Zde musíme být opatrní, protože pokud změníme linii z topologické na netopologickou zruší se také plochy, které jsou tvořeny touto linií.

  • Snímání

    příkaz umožní editaci lomových body linie, tj. měnit jejich polohu, mazat je, případně přidávat nové.

  • Editace DB

    příkaz umožní editaci volitelných atributů linie.

  • Úprava struktury DB

    příkaz umožní změnit strukturu tabulky do níž linie patří

  • Zrušení

    příkaz zruší zvolenou linii. Pokud je linie topologická a tvoří hranici ploch, jsou zrušeny i tyto plochy.

  • Rozdělení

    příkaz umožní rozdělit zvolenou linii v jejím libovolném bodě

  • Spojení

    příkaz umožní spojit zvolenou linii s jinou linií, pokud mají koncové čí počáteční body identické

  • Otočení směru

    příkaz umožní změnit směr vybrané linie

  • Další informace

    příkaz zobrazí dialog Atributy objektu pro zvolenou linii

  • Ukončit editaci

    příkaz ukončí tuto funkci

  • Další výběr

    příkaz zavře dialog a zobrazí v mapové okně obdélník pro výběr dalších linií


Editace staré

Příkaz umožní editaci lomových body linie, tj. měnit jejich polohu, mazat je, případně přidávat nové.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Přitom je možno využít jednoduché lokální menu.

Jestliže vybereme alespoň jednu, první vybraná se vysvítí a editor přejde automaticky do módu editace vrcholů. To znamená, že se jednotlivé lomové body zobrazí jako čtverečky, které můžeme uchopit myší a změnit jejich polohu.

Při snímání souřadnic lomových bodů můžeme pomocí stlačení pravého tlačítka myši vyvolat lokální menu tohoto příkazu. Kromě standardních příkazů pro mapové okno, jsou zde ještě příkazy vztahující se pro tuto konkrétní operaci.

Jedná se o

  • Informace

    příkaz zobrazí dialog Info o objektu pro právě editovanou linii

  • Editace vrcholů

    pokud jsme v módu přidávání na začátek nebo na konec, můžeme se přepnout do módu editace vrcholů, v tom případě se vysvítí lomové body jako malé čtverečky, které můžeme uchopit myší a posunout do požadované polohy

  • Vkládání vrcholů

    pokud jsme v módu editace vrcholů, můžeme se přepnout do módu vkládání vrcholů. V tom případě se vysvítí případné nové lomové body, které mohou ležet mezi existujícími lomovými body, jako malé čtverečky, které můžeme uchopit myší a posunout do požadované polohy

  • Rušení vrcholů

    pokud jsme v módu editace vrcholů, můžeme se přepnout do módu rušení vrcholů. V tom případě se po kliknutí na příslušný lomový bod tento zruší.

  • Přidávání na konec

    pokud jsme v módu přidávání na začátek nebo v módu editace vrcholů, je možno přeskočit na konec linie a přidávat lomové body zde. V případě přechodu z módu editace vrcholu přejdeme na mód přidávání vrcholů, změní se lokální menu.

  • Přidávání na začátek

    pokud jsme v standardním módu přidávání na konec nebo v módu editace vrcholů, je možno skočit na začátek linie a přidávat lomové body zde. V případě přechodu z módu editace vrcholu přejdeme na mód přidávání vrcholů, změní se lokální menu.

  • Rotace

    pokud jsme v módu editace vrcholů, můžeme se přepnout do rotace linie, systém potom umožňuje pohybem myši rotovat linií, kolem jednoho lomového bodu, lomový bod můžeme změnit pomocí tlačítek PageUp, PageDown. Po potvrzení nové polohy levým tlačítkem myši, přejdeme zpět do režimu editace vrcholů.

  • Posun

    pokud jsme v módu editace vrcholů, můžeme se přepnout do rotace linie, systém potom umožňuje pohybem myši posouvat linií. Systém přitom „drží“ linii za lomový bod a zobrazuje průvodič k původní poloze tohoto bodu. Lomový bod můžeme změnit pomocí tlačítek PageUp, PageDown. Po potvrzení nové polohy levým tlačítkem myši, přejdeme zpět do režimu editace vrcholů.

  • Souřadnice číselně

    umožní definovat souřadnice lomového bodu číselně

  • Uzavření linie

    příkaz je umožněn pouze v módu přidávání na začátek nebo na konec. Pak lze přidat nový lomový bod, tak aby souřadnice počátečního a koncového lomového bodu byly identické.

  • Uzavřít a uložit linii

    příkaz je umožněn pouze v módu přidávání na začátek nebo na konec. Pak lze přidat nový lomový bod, tak aby souřadnice počátečního a koncového lomového bodu byly identické a linie se uloží.

  • Uložení linie

    po volbě tohoto příkazu se linie uloží. A je možno začít snímat lomové body další linie. Pokud má tabulka linií, do které se linie uloží nadefinované nepovinné DB položky. TopoL před uložením požaduje jejich vyplnění.

  • Storno

    Ukončí se funkce editace vybrané linie. Pokud jsme obdélníkem vybrali více linií, přejde TopoL automaticky na další a umožní ji editovat. Pokud již v seznamu vybraných není žádná další linie, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších linií.

  • Ukončit

    Ukončí se funkce editace vybrané linie. Pokud jsme obdélníkem vybrali více linií, TopoL již další neumožňuje zpracovat a rovnou zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších linií.

Při definici nových lomových bodů linie záleží na nastavení parametrů editace linií nastavitelných příkazem Editace - Vlastnosti editace. Zde lze nastavit parametry jako konstantní úhel a konstantní vzdálenost.


Další editační nástroje

Pomocí těchto příkazů lze modifikovat existující liniové objekty.


Editace staré s potvrzením

Příkaz umožní editaci lomových body linie, tj. měnit jejich polohu, mazat je, případně přidávat nové.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jednu, zobrazí se dialog se seznamem vybraných linií.

Při volbě linie v levé části dialogu se tato v mapovém okně vysvítí, takže ji můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolenou linii. Po volbě požadované linie a potvrzení dialogu editor přejde automaticky do módu editace vrcholů. To znamená, že se jednotlivé lomové body zobrazí jako čtverečky, které můžeme uchopit myší a změnit jejich polohu. Pokud opustíme dialog tlačítkem storno TopoL zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších linií.

Při snímání souřadnic lomových bodů můžeme pomocí stlačení pravého tlačítka myši vyvolat lokální menu tohoto příkazu. Kromě standardních příkazů pro mapové okno, jsou zde ještě příkazy vztahující se pro tuto konkrétní operaci.

Jedná se o

  • Informace

    příkaz zobrazí dialog Info o objektu pro právě editovanou linii

  • Editace vrcholů

    pokud jsme v módu přidávání na začátek nebo na konec, můžeme se přepnout do módu editace vrcholů, v tom případě se vysvítí lomové body jako malé čtverečky, které můžeme uchopit myší a posunout do požadované polohy

  • Vkládání vrcholů

    pokud jsme v módu editace vrcholů, můžeme se přepnout do módu vkládání vrcholů. V tom případě se vysvítí případné nové lomové body, které mohou ležet mezi existujícími lomovými body, jako malé čtverečky, které můžeme uchopit myší a posunout do požadované polohy

  • Rušení vrcholů

    pokud jsme v módu editace vrcholů, můžeme se přepnout do módu rušení vrcholů. V tom případě se po kliknutí na příslušný lomový bod tento zruší.

  • Přidávání na začátek

    pokud jsme v standardním módu přidávání na konec nebo v módu editace vrcholů, je možno skočit na začátek linie a přidávat lomové body zde

  • Přidávání na konec

    pokud jsme v módu přidávání na začátek nebo v módu editace vrcholů, je možno přeskočit na konec linie a přidávat lomové body zde

  • Rotace

    pokud jsme v módu editace vrcholů, můžeme se přepnout do rotace linie, systém potom umožňuje pohybem myši rotovat linií, kolem jednoho lomového bodu, lomový bod můžeme změnit pomocí tlačítek PageUp, PageDown. Po potvrzení nové polohy levým tlačítkem myši, přejdeme zpět do režimu editace vrcholů.

  • Posun

    pokud jsme v módu editace vrcholů, můžeme se přepnout do rotace linie, systém potom umožňuje pohybem myši posouvat linií. Systém přitom „drží“ linii za lomový bod a zobrazuje průvodič k původní poloze tohoto bodu. Lomový bod můžeme změnit pomocí tlačítek PageUp, PageDown. Po potvrzení nové polohy levým tlačítkem myši, přejdeme zpět do režimu editace vrcholů.

  • Souřadnice číselně

    umožní definovat souřadnice lomového bodu číselně

  • Uzavření linie

    pokud jsme v módu přidávání na začátek nebo na konec, přidá nový lomový bod, tak aby souřadnice počátečního a koncového lomového bodu byly identické

  • Uzavřít a uložit linii

    pokud jsme v módu přidávání na začátek nebo na konec, přidá nový lomový bod, tak aby souřadnice počátečního a koncového lomového bodu byly identické a linii uloží

  • Uložení linie

    po volbě tohoto příkazu se linie uloží. A je možno začít snímat lomové body další linie. Pokud má tabulka linií, do které se linie uloží nadefinované nepovinné DB položky. TopoL před uložením požaduje jejich vyplnění.

  • Storno

    Ukončí se funkce editace vybrané linie. Pokud jsme obdélníkem vybrali více linií, přejde TopoL automaticky na další a umožní ji editovat. Pokud již v seznamu vybraných není žádná další linie, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších linií.

  • Ukončit

    Ukončí se funkce editace vybrané linie. Pokud jsme obdélníkem vybrali více linií, TopoL již další neumožňuje zpracovat a rovnou zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších linií.

Při definici nových lomových bodů linie záleží na nastavení parametrů editace linií nastavitelných příkazem Editace - Vlastnosti editace. Zde lze nastavit parametry jako konstantní úhel a konstantní vzdálenost.


Rušení existujících s potvrzením

Příkaz umožní rušit linie. Pokud zrušíme linii, která tvoří hranici plochy, je tato také zrušena.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Pokud vybereme alespoň jednu linii z bloku pro editaci, objeví se dialog, v jehož levé části je seznam vybraných linií.

Při volbě linie v levé části dialogu se tato v mapovém okně vysvítí, takže ji můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolenou linii.

Můžeme zvolit všechny linie, nebo pouze některé. Po potvrzení dialogu jsou zvolené linie zrušeny a opět se zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Změna tabulky linie dle vzoru

Umožní změnit tabulku linií vybraných obdélníkem na tabulku podle vzorové linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Standardním nástrojem pro výběr linie pomocí dialogu se vybere vzorová linie, podle které se bude měnit tabulka linií vybraných v dalším kroku výběrovým obdélníkem. TopoL zpracuje všechny linie bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich příslušnost k tabulce dle tabulky vzorové linie.


Zhlazení linií

Příkaz umožní vyhladit vybrané linie proložením křivky.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví následující dialog.

V dialogu lze použít některé z následujících nastavení.

  • Metoda

    Koeficient - při výběru této metody se proloží linií křivka, která se převede na normální linii, jejíž přimknutí ke křivce závisí na zadaném koeficientu. Pro většinu případů je nejvhodnější nastavit defaultní hodnotu, která nemá žádný metrický význam.

    Délka úsečky - při výběru této metody se proloží linií křivka, která se převede na normální linii tak, že vzdálenost jednotlivých lomových bodů je rovna zadané hodnotě (v m) v editační lince.

  • Jen vybrané linie

    Operace se provede jen pro vybrané linie v editovaném bloku.

  • Zachovat topologii

    Pokud je nastavena tato volba, systém zachová topologické vazby, takže se popř. zachovají i plochy. Operace s velmi dlouhými liniemi je však podstatně pomalejší.


Zkrátit – prodloužit linii

Funkce umožňuje provádět dotažení linie k linii (prodloužení) nebo naopak vymazání přesahující části (zkrácení).

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník umožňující vybrat první řídící linii (k ní se budou linie dotahovat, nebo se na ní naopak budou zkracovat). Po vybrání této linie tato zabliká a je možno vybírat další linie, s kterými se operace provede.

Prodloužení linie před a po operaci

Prodloužení linie před a po operaci. Jestliže neleží průsečík na první linii, pouze druhá linie se prodlouží.

Zkrácení linie před a po operaci


Zkrátit – prodloužit dvě linie

Funkce umožňuje provádět dotažení linie k linii (prodloužení) nebo naopak vymazání přesahující části (zkrácení). Pokud neleží průsečík na první linii, prodlouží se první i druhá linie. Pokud se obě linie kříží budou zkráceny obě linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník umožňující vybrat první linii. Po vybrání této linie tato zabliká a je možno vybírat další linie.

Prodloužení dvou linií před a po operaci, jestliže neleží průsečík na první linii.


Práce s vybranými liniemi...

Příkaz umožní v editovaném bloku pracovat s vybranými liniemi. V tomto nástroji jsou soustředěny nejdůležitější operace, které je možno velmi rychle střídat. Tak lze dosáhnout vyšší efektivity práce.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek v databázi pro editaci, pro které chceme operaci provést.

Po výběru tabulek a potvrzení se provede načtení linií a výsledek je zobrazen v dalším dialogu.

Je zde seznam vybraných linií, se kterými je možno střídavě pracovat. Kliknutím se vybere některá linie, se kterou je možno provádět dále popsané operace. Seznam je také možno modifikovat použitím prvních dvou příkazů v menu, popř. nástrojové lišty.

  • Výběr

    Provede se nový výběr dle dotazu v jazyce ToPas. Linie vybrané dotazem se pouze přidávají do seznamu.

  • Zrušit výběr označených

    Linie odpovídající modře označeným řádkům se vypustí ze seznamu (zruší se jejich vybranost).

Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k práci s vybranou linií.

  • Znovu načíst seznam vybraných linií

  • Posunout výřez dle zvolené linie

    změní výřez tak, aby zvolená linie byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných linií

    změní výřez tak, aby zvolená linie se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zablikáním zvýraznit zvolenou linii

    zabliká se zvolenou linií tak, abychom ji mohli snadněji identifikovat

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny vybrané objekty v mapovém okně

  • Editovat DB záznam zvolené linie

    umožní editovat volitelné atributy zvolené linie

  • Editovat zvolenou linii

    umožní editovat lomové body zvolené linie

  • Zrušit zvolené linie

    zruší zvolené linie

  • Rušit lomové body

    umožní vybrat obdélníkem všechny lomové body zvolené linie, které budou zrušeny

  • Změna barvy a značky

    Barva a značka vybrané linie se změní dle nastavení pro barvu a značku nové linie v panelu Značky.

  • Undo

    Vyvolá se dialog pro funkci Undo, takže provedené změny je možno vracet zpět.

Pokud provedeme nějakou operaci, která může způsobit změnu v seznamu (editace, zrušení linie), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně opravit.


Editace části

Příkaz umožní editovat část již existující linie. Zbývající části linie zůstávají beze změny.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme linii, systém přejde do režimu, kdy je třeba zadat nově úsek linie, kterým se nahradí stará část linie mezi počátečním a koncovým bodem úseku linie. Pro stanovení počátečního a koncového bodu úseku lze využívat chytání na lomové body nebo tělo linie.


Vyjmutí části

Příkaz umožní vyjmout část již existující linie. Zbývající části linie zůstávají beze změny.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme linii, systém přejde do režimu, kdy je třeba zadat počáteční a koncový bod úseku linie, který se smaže. Lze využívat chytání na lomové body nebo tělo linie.


Změna barvy a značky

Umožní změnit barvu a značku linií vybraných obdélníkem na barvu a značku definovanou ve funkci Editace – Barva a značka linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny linie bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich barvu a značku na požadované hodnoty, definované příkazem Editace – Barva a značka linie.


Změna barvy

Umožní změnit barvu linií vybraných obdélníkem na barvu definovanou ve funkci Editace – Barva a značka linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny linie bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich barvu na požadovanou hodnotu, definovanou příkazem Editace – Barva a značka linie.


Změna značky

Umožní změnit značku linií vybraných obdélníkem na značku definovanou ve funkci Editace – Barva a značka linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny linie bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich značku na požadovanou hodnotu, definovanou příkazem Editace – Barva a značka linie.


Rušení existujících

Příkaz umožní rušit linie. Pokud zrušíme linii, která tvoří hranici plochy, je tato také zrušena.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zruší všechny z výběrového obdélníka a opět zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Změna směru linií

Příkaz umožní změnit směr vybrané linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL změní směr u všech linií vybraných obdélníkem. Potom se opět objeví výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Změna směru vybraných linií

Příkaz umožní změnit směr vybraných linií.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví dialog kde je možno zvolit tabulky linií, pro které se má operace provést. Je zde také možno zvolit zda se má výběr provést pouze pro vybrané linie (atribut _SELECT = 1).


Rozdělení linie

Příkaz umožní rozdělit již existující linii, v jejím jakémkoliv bodě.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL postupně zpracovává všechny linie, které jsou ve výběrovém obdélníku. Vybraná linii je vždy vysvícena je možno kliknout myší na její jakékoliv místo poblíž linie. TopoL najde nejbližší bod linie, k této pozici a linii v tomto místě rozdělí. Obě nové linie si zachovají atributy staré linie. Pokud rozdělení potvrdíme nebo jej naopak ukončíme, je automaticky zpracována další linie ze seznamu vybraných. Pokud již v seznamu vybraných není žádná další linie, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Editace lomového bodu

Příkaz umožní editovat jakýkoliv lomový bod linie. Pokud je takový bod uzlem několika linií najednou, jsou editovány všechny.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL postupně zpracovává všechny lomové body, které jsou ve výběrovém obdélníku. Vybraný lomový bod je vždy vysvícen a jsou zobrazeny všechny průvodiče k ostatním lomovým bodům, všech linií, které tvoří v daném místě uzel (pokud se jedná o koncový nebo počáteční bod linie, tato linie je topologická a tvoří uzel s jinými liniemi, jinak jde samozřejmě vždy pouze o jednu linii). Pokud novou pozici potvrdíme, je automaticky zpracován další lomový bod ze seznamu vybraných. Pokud již v seznamu vybraných žádný není, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších lomových bodů.


Spojování linií

Příkaz umožní spojit již existující linie, které splňují nadefinované podmínky. Spojují se pouze topologické linie, které tvoří uzel. Tato funkce má za úkol odstranit takzvané pseudo uzly (stýkají se v něm pouze dvě linie). Pokud linie tvoří skutečný uzel, tj. uzel kde se stýká více než dvě linie, ke spojení nedojde.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog, kde je možno zvolit tabulky linií, které se mají spojovat.

Volbou ve všech se provede spojení ve všech tabulkách aniž bychom museli všechny tabulky vybrat ručně. Je zde také možno nadefinovat další parametry spojování

  • Jen vybrané

    zda se má spojení provést pouze pro vybrané linie (atribut _SELECT = 1).

  • Interní atributy musí být stejné

    zda musí být interní atributy jako (barva, značka, tabulka stejné).

  • Externí atributy musí být stejné

    zda musí být volitelné atributy linií stejné.


Spojování dvou linií

Příkaz umožní spojit již existující linii s jinou. Spojují se i netopologické linie, které netvoří uzel, musí však mít identický koncový nebo počáteční bod.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL postupně zpracovává všechny linie, které jsou ve výběrovém obdélníku. Vybraná linii vždy zabliká a objeví se opět výběrový dialog, který umožní vybrat linii, se kterou se má prvně vybraná spojit. Po výběru druhé linie se objeví dialog, ve kterém je seznam možných kandidátů pro výběr. To je linií z výběrového obdélníka, který mají koncový nebo počáteční bod identický s koncovým nebo počátečním bodem první linie. Pokud se zvolíme jednu z nich a dialog potvrdíme dojde ke spojení. Automaticky je zpracována další linie ze seznamu vybraných. Pokud již v seznamu vybraných není žádná další linie, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Přenos linií


Přenos linií

Příkaz umožní přenést linie z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Linie si při přenosu zachovají příslušnost do zdrojových tabulek. To znamená, že pokud byla linie v v tabulce L0001 zdrojové databáze, bude v cílové databázi opět v tabulce L0001. Pokud taková tabulka neexistuje, bude automaticky založena i s volitelnými databázovými atributy. Při přenosu linií dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

Je zde možno vybrat zdrojovou databázi ze seznamu otevřených vektorových dat a v rámci databáze ještě konkrétní tabulky (při volbě všechny tabulky se přenesou linie ze všech tabulek, aniž bychom je museli označovat ručně).

  • Přenášet jen vybrané

    zda se mají přenést pouze vybrané linie (atribut _SELECT = 1).

  • Uzlovat

    zda se mají přenášené linie uzlovat

  • Uzlovat i netopologické

    pokud se budou přenášené linie uzlovat, zda se mají uzlovat i netopologické linie zdrojové databáze


Přenos linií n :1

Příkaz umožní přenést linie z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Linie si při přenosu zachovají příslušnost do zdrojových tabulek nebo je možno je všechny nakopírovat do jedné cílové tabulky (kopírování n:1). Pokud nekopírujeme n:1 a linie si drží příslušnost k tabulkám a tabulka v cílové databázi neexistuje, bude automaticky založena i s volitelnými databázovými atributy. Při přenosu linií dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

Je zde možno vybrat tabulky pro přenos z několika zdrojových databázi najednou (při volbě všechny tabulky se přenesou linie ze všech tabulek, všech otevřených vektorových dat aniž bychom je museli označovat ručně).

  • Přenášet jen vybrané

    zda se mají přenést pouze vybrané linie (atribut _SELECT = 1).

  • Uzlovat

    zda se mají přenášené linie uzlovat

  • Uzlovat i netopologické

    pokud se budou přenášené linie uzlovat, zda se mají uzlovat i netopologické linie zdrojové databáze

  • Všechny tabulky do jedné

    provede se přenos n:1. Pokud v cílové databázi ještě žádná tabulka linií neexistuje je nutno ji pomocí volby Vytvořit novou tabulku založit.


Přenos linií s potvrzením

Příkaz umožní přenést linie z jakýchkoliv otevřených a zobrazených vektorových dat do bloku pro editaci. Linie jsou při přenosu nakopírovat do jedné cílové tabulky právě označené pro editaci. Při přenosu linií dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Pokud vybereme alespoň jednu linii z bloku pro editaci, objeví se dialog, v jehož levé části je seznam vybraných linií.

Při volbě linie v levé části dialogu se tato v mapovém okně vysvítí, takže ji můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolenou linii.

Můžeme zvolit všechny linie, nebo pouze některé. Po potvrzení dialogu jsou zvolené linie přeneseny a opět se zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších linií.


Přenos obrysů ploch

Příkaz umožní přenést ploch z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Linie se při přenosu nakopírují do nových ještě „nepoužitých“ tabulek.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

Je zde možno vybrat zdrojovou databázi ze seznamu otevřených vektorových dat a v rámci databáze ještě konkrétní tabulky ploch (při volbě všechny tabulky se přenesou hranice ploch ze všech tabulek, aniž bychom je museli označovat ručně).

  • Přenášet jen vybrané

    zda se mají přenést pouze vybrané linie (atribut _SELECT = 1).

  • Uzlovat

    zda se mají přenášené linie uzlovat


Změna tabulky linií

Příkaz umožní změnit příslušnost linie do tabulky, to znamená přenést ji z jedné tabulky do druhé v rámci bloku pro editaci. Odpovídá to funkci změna druhu v programu TopoL pro Windows. Při přenosu dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

V levé části dialogu je seznam existujících tabulek v bloku pro editaci. Můžeme si standardním způsobem vybrat z jakých tabulek se mají linie přenést a zda se mají přenést pouze vybrané linie (_SELECT = 1). V pravé části potom můžeme vybrat do jaké tabulky se mají linie přenést a případně takovou to tabulku založit a potom vybrat.


Automatická vektorizace rastru

Příkaz slouží k automatické vektorizaci binárního rastru. Úspěšnost velmi záleží na kvalitě vstupního rastru. Dobré výsledky nelze očekávat u rastrů s velkým šumem, popř. u rastrů, kde je kresba nezřetelná, popř. je překryta dalšími nežádoucími prvky (texty, šrafy apod.). Z vektorizovaných linií se vytvoří nový blok zadaného jména.

Po výběru vstupního binárního rastru se objeví následující dialog pro zadání oblasti vektorizace:

Dialog pro výběr oblasti vektorizace

Jako oblast pro vektorizaci lze zvolit kromě celého rastru nějaký mapový list jednoho z podporovaných kladů, oblast danou plochami (blok, shapefile), popř. lze oblast zadat ručně na obrazovce. Podle zvolené možnosti se buď dále objeví standardní dialog pro zadání mapového listu jménem, popř. dialog pro výběr databáze a tabulky s plochami. Další možností je určení oblasti ručně pomocí standardního editačního nástroje.

Po výběru oblasti pro vektorizaci rastru se objeví následující dialog pro vlastní zadání parametrů vektorizace:

Dialog pro zadání parametrů automatické vektorizace

Automatická vektorizace rastru se snaží vektorizovat pouze užitečnou informaci a odfiltrovat maximum nežádoucí kresby. Především k tomu slouží vhodné nastavení všech parametrů vektorizace. To umožní rozčlenit i zvektorizované linie do několika základních skupin, což umožní snadnější zpracování výsledku. Vždy bude nutné výsledek ručně vyčistit a doeditovat.

Zamítnout všechny linie - větve

Zapnutý přepínač způsobí, že všechny linie, které na jednom konci souvisí s ostatními liniemi a na druhém konci mají "volný" konec, tedy nesouvisejí s dalšími liniemi, budou z kresby odstraněny.

Práh pro linie - větve (uložit jen delší)

Do editační linky se zapíše minimální délka linií - větví, které pak nebudou odstraněny z kresby rastru. Jedná se tedy o linie, které na jednom konci souvisí s ostatními liniemi a na druhém konci mají "volný" konec, tedy nesouvisejí s dalšími liniemi. Takové kratší linie jsou většinou součástí nežádoucích prvků, jako např. písmena, křížky apod., takže pro vektorizaci představují pouze neužitečnou informaci.

Zamítnout všechny uzavřené linie

Zapnutý přepínač způsobí, že všechny uzavřené linie budou z kresby odstraněny.

Práh pro uzavřené linie (uložit jen delší)

Do editační linky se zapíše minimální délka uzavřených linií, které pak nebudou odstraněny z kresby rastru. Kratší uzavřené linie jsou většinou součástí nežádoucích prvků, jako např. písmena apod., takže pro vektorizaci představují pouze neužitečnou informaci.

Zamítnout všechny volné linie

Zapnutý přepínač způsobí, že všechny linie, které ani na jednom konci nesouvisí s ostatními liniemi, budou z kresby odstraněny.

Práh pro volné linie (uložit jen delší)

Do editační linky se zapíše minimální délka volných linií, které pak nebudou odstraněny z kresby rastru. Kratší linie, které nesouvisí s ostatní kresbou jsou většinou buď šumem, který je lépe odstranit, popř. se jedná o čárkované linie, které není možné poloautomatickou vektorizací úspěšně vektorizovat, pokud délka segmentů je příliš malá.

Zamítnout všechny ostatní linie

Zapnutý přepínač způsobí, že všechny linie, které na obou koncích souvisí s ostatními liniemi, budou z kresby odstraněny.

Práh pro všechny ostatní linie (uložit jen delší)

Do editační linky se zapíše minimální délka ostatních linií, které pak nebudou odstraněny z kresby rastru. Eliminace všech linií tohoto typu nebude asi příliš běžná. Někdy by mohlo být vhodné zejména pro snadnější doeditování eliminovat velmi krátké linie, které spojují nějaké dvě další line. V oblastech, kde se k sobě přibližují dvě prakticky paralelní linie, může dojít až k téměř úplnému splynutí obou linií. V této oblasti jsou typicky patrné četné "přechody" mezi liniemi. To je možno odstranit někdy zaplněním mezer a následným vymazáním vzniklé větší oblasti kresby (vhodnější je raději kusy chybějící linie, než desítky krátkých navzájem pospojovaných linií, které je nutno stejně zrušit). Další možností je zadat vhodnou velikost prahu pro ostatní linie a nevkládat je do bloku.

Třídit linie do různých tabulek podle typu

Zapnutý přepínač způsobí že se linie budou třídit do čtyř tabulek podle výše uvedených kritérií. Rozčlenění podle typů může usnadnit pozdější analýzu a doeditování vygenerovaných linií.

Použít různé barvy pro různé typy linií

Zapnutý přepínač způsobí se že liniím bude přidělovat barva podle základního typu linie. Přepínač nesouvisí s tím, zda se budou linie třídit do různých tabulek. Má význam pouze pro snadnější optické rozlišení výsledných linií.

Použít různé značky pro různé typy linií

Zapnutý přepínač způsobí se že liniím bude přidělovat značka podle základního typu linie. Přepínač nesouvisí s tím, zda se budou linie třídit do různých tabulek.

Převažující tvar linií - přímé linie

Nastavená volba má význam pro optimalizaci algoritmu vektorizace, zvláště pro přesnost vektorizace jednotlivých linií.

Převažující tvar linií - vrstevnice

Předpokládá se, že vektorizované linie se budou skládat převážně ze zakřivených segmentů.

Zhlazovat linie

Zapnutí přepínače určí, zda se při předzpracování rastru budou odstraňovat malé výstupky z liniové kresby.

Zaplňovat zuby

Zapnutí přepínače určí, zda se při předzpracování rastru budou vyplňovat malé mezery (zuby) v liniové kresbě.

Minimální šířka linií (pixely)

Do editační linky se zadá odhadnutá minimální šířka linií v pixelech,

Maximální šířka linií (pixely)

Do editační linky se zadá odhadnutá maximální šířka linií v pixelech, Údaj má význam zejména pro následující přepínač "Odstranit objekty větší než max. šířka linií", který není možno použít pokud není zadána maximální šířka linií větší než 1 pixel.

Vektorizovat hranice větších objektů

Určitý typ rastrů může obsahovat kresbu ve formě souvislých ploch, nikoli jednotlivých linií. Pokud nechceme kombinovat liniovou kresbu s takovými plochami, je možno zadat pomocí tohoto přepínače, že se mají vektorizovat pouze hranice takových oblastí.

Odstranit objekty větší než max. šířka linií

Pomocí tohoto přepínače se nastaví, zda se z rastru budou odstraňovat objekty, jejichž průměr je větší než zadaná maximální šířka liniových prvků kresby rastru. Jedná se např. o nežádoucí prvky kresby, popř. o spojené linie v místech s velmi hustou kresbou. Taková místa je lépe před vektorizací odstranit, neboť program není schopen tato místa správně analyzovat.

Spojovat linie

Zapnutý přepínač způsobí, že se program pokusí linie, které jsou přerušeny, popř. jsou čárkované, navzájem pospojovat. V editační lince se uvede mez pro spojování (v m), kdy se budou spojovat pouze konce linií, které jsou od sebe v menší vzdálenosti než zadaná hodnota.

Odstranit kružnice

Zapnutý přepínač způsobí, že program se pokusí odstranit nežádoucí elementy, jejichž topologie je naznačena graficky ikonami v dialogu. Po úspěšné detekci odpovídající konfigurace linií, se konce dvou, popř. tří linií, které směřují do středu kružnic, spojí do jednoho bodu.

Minimální průměr kružnic (m)

Do editační linky se uvede minimální průměr kružnic v m, který se posléze bude testovat při nalezené konfiguraci linií. Spojovat se budou pouze konce těch linií, které vyhoví podmínce.

Maximální průměr kružnic (m)

Do editační linky se uvede maximální průměr kružnic v m, který se posléze bude testovat při nalezené konfiguraci linií. Spojovat se budou pouze konce těch linií, které vyhoví podmínce.

Po potvrzení parametrů vektorizace se zadá standardním dialogem jméno výstupního topolovského bloku. Poté se zahájí vlastní vektorizace, při které se založí jeden nebo více druhů linií, do kterých se pak ukládají jednotlivé linie podle svého typu. Průběh vektorizace lze sledovat v mapovém okně.

Pro vyčištění zvektorizovaných linií je vhodné použít zejména nástroj pro hledání problematických míst v liniích, popř. nástroj pro hledání volných konců linií. Další možností, jak efektivně eliminovat nežádoucí krátké linie, je použít browse příslušné tabulky linií, kdy se tabulka může setřídit podle délky linií a následně se použije funkce "Výřez dle zvýrazněných". Poklepáním na řádek odpovídající nějaké linii se změní výřez ve zvoleném mapovém okně. Pokud máme permanentně aktivní nástroj pro rušení linií, popř. rušení linií s potvrzením, můžeme analyzovat danou situaci a nežádoucí linie odstranit.


Poloautomatická vektorizace jedné linie

Příkaz slouží k vektorizaci binárních rastrů. Neprovádí se explicitní výběr rastru pro vektorizaci, vektorizuje se ten rastr který je v legendě mapového okna nejvýše mezi rastry, které zasahují do označeného místa.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci. Dále je nutno mít založenu alespoň jednu tabulku linií.

Po spuštění příkazu se objeví kursor v podobě křížku, kterým se označí místo, kde se začne s vektorizací rastru. Po potvrzení je provedena analýza lokálního okolí v daném místě. Pokud jsme označili místo, ze kterého vede nějaká linie pouze jedním směrem, systém pokračuje v jejím sledování , dokud nejsou splněna kritéria pro ukončení vektorizace dané linie. Pokud jsme však označili místo protnutí více linií, popř. místo uvnitř jediné linie, systém očekává sejmutí dalšího bodu, který by měl jednoznačně určit směr sledování linie. Poté co je vektorizace linie ukončena, automaticky sejmutá linie je uživateli nabídnuta standardním způsobem k případné opravě a uložení, popř. k zamítnutí. Je zde ještě možnost dále pokračovat ve vektorizaci dané linie, neboť v lokální nabídce editačního nástroje je oproti ruční vektorizaci jedna možnost navíc - poslední příkaz "Ukončit" způsobí ukončení ruční editace a pokračování vektorizace rozpracované linie. Je to vhodné zejména v situacích, kdy jediná linie je přerušena v některém místě mezerou nebo nějakým šumem. takže se automatická vektorizace předčasně ukončí. Zde je možno na konec linie přidat jeden či více bodů ručně a pak zkusit pokračovat automatickou vektorizací.

Lokální menu "Editace linie" při poloautomatické vektorizaci

Využívání této možnosti pokračovat ve sledování vybrané linie by se mělo omezit skutečně na vektorizaci pouze jediné linie. Pokud bychom se totiž přitom dostali do oblasti, kde by se mohla snímaná linie protnout sama se sebou, je zde velká pravděpodobnost, že systém tuto situaci vyhodnotí chybně a linie by pokračovala po už zvektorizované kresbě.

Pro tuto poloautomatickou vektorizaci rastru je důležité mít vhodně nastavenu zejména parametry chytání linií. Tento parametr hraje rozhodující úlohu v rozhodování systému, kdy ukončit vektorizaci z důvodu, kdy se linie protne sama se sebou (uzavření), popř. kdy se linie dotkne již zvektorizované kresby. Není vhodné mít mez připojení ani příliš malou (linie se mohou protínat) ani příliš velkou (linie se předčasně uzavírají). Řádově by mez chytání měla odpovídat 10 až 20 pixelům rastru.

Sledováni jedné linie je ukončeno v případě, kdy linie buď dále nepokračuje, popř. se uzavře. Další možností ukončení je situace, kterou systém vyhodnotí jako dostatečně složitou, takže další rozhodování předává uživateli. Příkaz "Poloautomatická vektorizace jedné linie" je ukončován typicky v situaci, kdy se protínají dvě nebo více linií pod nepravým úhlem, popř. v místech zvýšeného šumu nebo spojených linií, kde je větší shluk pixelů kresby rastru.

Poznámka

Systém při poloautomatické vektorizaci samozřejmě akceptuje všechny parametry tvorby linií, tj. uzlování a meze připojování.

Poznámka

Příkaz je vhodný zejména pro vektorizaci vrstevnic, kde se kritická místa poměrně snadno překonají ručním doeditováním a případným pokračováním vektorizace. Systém je schopen vektorizovat i čárkované linie, pokud délky jednotlivých segmentů jsou dostatečné k tomu, aby šly určit relativně přesně s ohledem na kvalitu rastru úhly, které svírají počátky a konce sousedních segmentů.


Poloautomatická vektorizace rastru

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci. Dále je nutno mít založenu alespoň jednu tabulku linií.

Příkaz je prakticky shodný s příkazem "Poloautomatická vektorizace jedné linie". Odlišnost je pouze v kriteriu, kdy je vektorizace jedné linie ukončována. Pokud se např. protínají linie, je zde větší tolerance na úhel pod kterým se protínají. V tomto příkaze je snaha pokračovat ve vektorizaci i v případě, kdy se linie neprotínají pod pravým úhlem, takže je větší pravděpodobnost , že systém pak bude sledovat linii, která s původní linií logicky příliš nesouvisí.


Linie s volnými konci

Příkaz umožní zkontrolovat, zda v daném bloku existují topologické linie, které jsou nezauzlovány a případně s nimi provést další operace.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulky v databázi pro editaci, pro kterou chceme kontrolu provést.

Po výběru tabulky a potvrzení se provede kontrola a výsledek je zobrazen v dalším dialogu.

Jsou zde tři možné úrovně kontroly dat. Hledávají se linie, které mají

  • Volný začátek

  • Volný konec

  • Volný začátek i konec

Pokud provedeme změnu úrovně kontroly, musíme vždy zavolat příkaz Znovu načíst seznam linií s volnými konci. Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k

  • Posunout výřez dle zvolené linie

    změní výřez tak, aby zvolená linie byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných linií

    změní výřez tak, aby zvolená linie se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zablikáním zvýraznit zvolenou linii

    zabliká se zvolenou linií tak, abychom ji mohli snadněji identifikovat

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Editovat DB záznam zvolené linie

    umožní editovat volitelné atributy zvolené linie

  • Editovat zvolenou linii

    umožní editovat lomové body zvolené linie

  • Zrušit zvolené linie

    zruší zvolené linie

  • Exportovat do textového souboru

    exportuje souřadnice volných konců do textového souboru

  • Exportovat do formátu TopoL blok

    exportuje jako bodové objekty polohy volných konců do bloku

Pokud provedeme nějakou operaci, která může způsobit změnu (například editace linie, zrušení linií), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně vyčistit.


Netopologické linie

Příkaz umožní zkontrolovat, zda v daném bloku existují netopologické linie v závislosti na jejich geometrii a případně s nimi provést další operace.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek v databázi pro editaci, pro které chceme kontrolu provést.

Po výběru tabulky a potvrzení se provede kontrola a výsledek je zobrazen v dalším dialogu.

Jsou zde tři možné kategorie netopologický linií. Hledávají se

  • Neuzavřené linie

  • Uzavřené linie

  • Linie s dvěma vrcholy

Pokud provedeme změnu úrovně kontroly, musíme vždy zavolat příkaz Znovu načíst seznam linií. Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k

  • Posunout výřez dle zvolené linie

    změní výřez tak, aby zvolená linie byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných linií

    změní výřez tak, aby zvolená linie se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zablikáním zvýraznit zvolenou linii

    zabliká se zvolenou linií tak, abychom ji mohli snadněji identifikovat

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Editovat DB záznam zvolené linie

    umožní editovat volitelné atributy zvolené linie

  • Editovat zvolenou linii

    umožní editovat lomové body zvolené linie

  • Zrušit zvolené linie

    zruší zvolené linie

  • Uzavřít a zauzlovat zvolené linie

    pokud se jedná o neuzavřené linie a vzdálenost počátečního a koncového bodu je menší než zvolená vzdálenost, systém zvolené linie uzavře a zauzluje je (změní jejich topologii na topologické, to znamená že mohou tvořit uzly)

  • Zauzlovat zvolené linie

    systém zvolené linie zauzluje (změní jejich topologii na topologické, to znamená že mohou tvořit uzly)

Pokud provedeme nějakou operaci, která může způsobit změnu (provede zauzlování), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně vyčistit.


Problematická místa v liniích

Příkaz umožní zkontrolovat, zda v daném bloku existují linie, které mohou mít určitým způsobem problematickou geometrii a případně s nimi provést další operace.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek v databázi pro editaci, pro které chceme kontrolu provést.

Po výběru tabulky a potvrzení se provede kontrola a výsledek je zobrazen v dalším dialogu.

Jsou zde dvě možné kategorie problémů. Vyhledávají se

  • Blízké body

    sousední lomové body mají vzdálenost menší než definovanou

  • Ostré úhly

    sousední segmenty (úsečky) linií svírají úhel větší než definovaný

Pokud provedeme změnu úrovně kontroly, musíme vždy zavolat příkaz Znovu načíst seznam linií. Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k

  • Změnit výřez dle problematického místa

    změní výřez tak, aby bylo problematické místo zvolené linie ve středu mapového okna

  • Posunout výřez dle zvolené linie

    změní výřez tak, aby zvolená linie byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných linií

    změní výřez tak, aby zvolená linie se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zablikáním zvýraznit zvolenou linii

    zabliká se zvolenou linií tak, abychom ji mohli snadněji identifikovat

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Editovat DB záznam zvolené linie

    umožní editovat volitelné atributy zvolené linie

  • Editovat zvolenou linii

    umožní editovat lomové body zvolené linie

  • Zrušit zvolené linie

    zruší zvolené linie

  • Rušit lomové body

    umožní vybrat obdélníkem všechny lomové body zvolené linie, které budou zrušeny

Pokud provedeme nějakou operaci, která může způsobit změnu (editace, zrušení linie, zrušení lomových bodů), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně vyčistit.


Editace DB záznamu linie

Příkaz umožní editaci volitelných atributů linie.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jednu, první vybraná zabliká a objeví se dialog pro editaci volitelných DB atributů. Pokud linie žádné nemá objeví se dialog přesto, ale lze měnit pouze atribut _SELECT (vybranost objektu).

V dialogu lze použít některou z následujících funkcí.

  • Posunout výřez dle zvolené linie

    změní výřez tak, aby zvolená linie byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných linií

    změní výřez tak, aby zvolená linie se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvolenou linii

    zabliká se zvolenou linií tak, abychom ji mohli snadněji identifikovat

Při editaci můžeme hodnoty jednotlivých atributů potvrzovat pomocí klávesy ENTER a TopoL automaticky skočí na další atribut. Po potvrzení posledního atributu skočí na tlačítko OK, které také můžeme potvrdit tlačítkem ENTER a celý záznam je uložen. Pokud jsme obdélníkem vybraly více linií, je automaticky zpracována další linie ze seznamu vybraných. Pokud již v seznamu vybraných není žádná další linie, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších linií.

Jestliže jsou v Definici struktury projektu pro danou primární tabulku definovány nějaké restrikce na hodnoty pro jednotlivé atributy, dochází při každém pokusu o uložení změn hodnot atributu k jejich kontrole a v případě porušení restrikcí je zabráněno v uložení a případně i k posunu na jiný řádek. Uživatel je přitom upozorněn hlášením na nesoulad zadávaných hodnot. Pokud je restrikce zadána formou výčtu přípustných hodnot je při editaci dané položky tento výčet nabízen formou lokálního editoru ve formě výklopného seznamu.


Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně linií bloku pro editaci do atributů linií (do atributů _COLOR, _SYMBOL). Pokud potom u tabulek tohoto bloku nastavíme zobrazování barev a značek dle TopoLu, barvy a značky budou identické s barvami a značkami použitými pro zobrazení v době spuštění příkazu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka linií bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě funkce se příkaz použije okamžitě.


Body

Bodový objekt je nejjednodušším objektem, který je definovaný souřadnicemi Y, X.


Vstup nových

Příkaz umožní vytvořit nový bodový objekt tj. umožní snímání bodů a nastavení jejich atributů.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Pokud není v bloku pro editaci žádná tabulka (druh) bodů, TopoL otevře dialog pro definici nové tabulky. Pokud ji nevytvoříme funkce není spuštěna.

Po volbě příkazu (pokud již máme tabulku bodů vytvořenou) se dostaneme přímo do sběru souřadnic bodů. Vytvořený bod bude uložen do tabulky bodů, která je právě označena pro editaci (je v stromečku dat v projektu modrá). Na obrázku je vidět, že se bod uloží do tabulky B0003 (bod bude mít druh číslo 3).

Barva a značka bodu budou vzaty z nastavení, které lze změnit příkazem Editace – Barva a značka bodu (tato funkce se také vyvolá přes panel nástrojů Značky – Barva a značka bodu). Pokud máme předefinované tabulky pro jednotlivé typy objektů příkazem Projekt – Definice struktury projektu, je při změně tabulky pro editaci automaticky změněna i barva a značka, která se pro nový objekt použije. Tabulka pro editaci se změní tak, že se na požadovanou tabulku postavíme v stromečku dat v projektu a zavoláme funkci Nastavit pro editaci (horká klávesa F3).

Při snímání souřadnic bodů můžeme pomocí stlačení pravého tlačítka myši vyvolat lokální menu tohoto příkazu. Kromě standardních příkazů pro mapové okno umožňujících pružně měnit výřez i obsah mapového okna, jsou zde ještě příkazy vztahující se pro tuto konkrétní operaci.

Jedná se o

  • Tabulka pro editaci

    příkaz umožní nastavit tabulku bodů, do které se nový bod uloží, pokud je tato tabulka předefinovaná ve struktuře projektu, změní se i barva a značka nového bodu

  • Vytvořit novou tabulku

    umožní nadefinovat novou tabulku bodů, do které se bod uloží

  • Souřadnice číselně

    umožní definovat souřadnice bodu číselně

  • Úhel bodu

    umožní nastavit úhel bodu, pokud má bod uživatelskou značku nebo standardní značku číslo 101, 102, 103, 121, 131 nebo 132 bude se potom vykreslovat natočený

  • Úhel bodu graficky

    umožní nastavit úhel bodu graficky tak, že po potvrzení polohy se objeví průvodič umožňující nastavit směr bodové značky

  • Úhel kolmo k linii

    pokud máme zapnuto chytání na objekty a chytneme se na liniový objekt, TopoL spočte úhel bodu tak, že je bodová značka vykreslena kolmo k linii

  • Storno

    Ukončí se funkce vstup nového.

Při definici nových bodů záleží na nastavení parametrů editace bodů nastavitelných příkazem Editace - Vlastnosti editace. Zde lze nastavit stejné parametry jako přes lokální menu.


Nový bodový objekt

Skupina příkazů umožňující vytvářet nové body.


Vyjmutí bodů z linií

Příkaz umožní vytvořit nové bodové objekty, které mají polohu identickou s polohou lomových bodů zvolených linií. Body lze přenést z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Body se vytvoří v tabulce vybrané v dialogu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog, kde je možno nastavit parametry přenosu.

Je zde možno vybrat zdrojovou databázi ze seznamu otevřených vektorových dat a v rámci databáze ještě konkrétní tabulky (při volbě všechny tabulky se přenesou body ze všech tabulek linií, aniž bychom je museli označovat ručně).

  • Vyjímat jen z vybraných

    zda se mají přenést pouze z vybraných linií (atribut _SELECT = 1).

  • Přenášet DB atributy

    pokud zapneme tuto volbu systém přenese atributy těch položek, které jsou ve zdrojové a cílové tabulce identické. Pokud v cílové nejsou žádné volitelné položky a ve zdrojové ano, TopoL se zeptá zda chceme v cílové tabulce volitelné atributové položky definovat.

  • Kontrolovat totožnost bodů

    pokud zapneme tuto volbu, TopoL před tvorbou nového bodového objektu zkontroluje, zda již v bloku neexistuje bod se stejnými souřadnicemi. Pokud ano bod není vytvořen.


Vyjmutí bodů z ploch

Příkaz umožní vytvořit nové bodové objekty, které mají polohu identickou s polohou popisového bodu zvolených ploch. Body lze přenést z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Body se vytvoří v tabulce vybrané v dialogu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog, kde je možno nastavit parametry přenosu.

Je zde možno vybrat zdrojovou databázi ze seznamu otevřených vektorových dat a v rámci databáze ještě konkrétní tabulky (při volbě všechny tabulky se přenesou body ze všech tabulek ploch, aniž bychom je museli označovat ručně).

  • Vyjímat jen z vybraných

    zda se mají přenést pouze z vybraných ploch (atribut _SELECT = 1).

  • Přenášet DB atributy

    pokud zapneme tuto volbu systém přenese atributy těch položek, které jsou ve zdrojové a cílové tabulce identické. Pokud v cílové nejsou žádné volitelné položky a ve zdrojové ano, TopoL se zeptá zda chceme v cílové tabulce volitelné atributové položky definovat.

  • Kontrolovat totožnost bodů

    pokud zapneme tuto volbu, TopoL před tvorbou nového bodového objektu zkontroluje, zda již v bloku neexistuje bod se stejnými souřadnicemi. Pokud ano bod není vytvořen.


Body dle sítě křížků

Příkaz umožní vytvořit nové bodové objekty, jejichž poloha je v definované síti. Body se vytvoří v tabulce vybrané v dialogu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po potvrzení se objeví dialog umožňující vybrat tabulku bodů, ve které budou body vytvořeny. Dále se objeví dialog pro definici sítě.

  • Šířka

    definuje horizontální rozestup bodů

  • Výška

    definuje vertikální rozestup bodů

  • Y

    umožňuje definovat posun počátku ve směru horizontálním. Pokud zvolíme šířku 1000 budou nové body v souřadnicích 0, 1000, 2000, 3000 atd. Definicí počátku je však můžeme posunout. Při Y rovno 100, budou body v 100, 1100, , 2100, 3100 atd. Hodnota musí být menší než šířka.

  • X

    umožňuje definovat posun počátku ve směru vertikálním. Pokud zvolíme výšku 1000 budou nové body v souřadnicích 0, 1000, 2000, 3000 atd. Definicí počátku je však můžeme posunout. Při X rovno 100, budou body v 100, 1100, , 2100, 3100 atd. Hodnota musí být menší než výška.


Texty do bodů

Příkaz umožní vytvořit nové bodové objekty, jejichž poloha je definovaná polohou zvolených textových objektů. Body se vytvoří v tabulce vybrané v dialogu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog umožňující vybrat tabulku bodů, ve které budou body vytvořeny.

Je zde možno vybrat textové tabulky pro přenos z několika zdrojových databázi najednou. Volbou jen vybrané můžeme ovlivnit, zda se mají přenést body pouze z vybraných textů (atribut _SELECT = 1). V dolní části dialogu potom musíme definovat do jaké tabulky bodů bloku pro editaci se body přenesou. Tato tabulka ještě nesmí v bloku pro editaci existovat, protože bude mít specifickou DB strukturu. Lze ji vytvořit dle druhu, zadáním kódu druhu nebo vybrat z předdefinovaných. Tabulky lze předefinovat v menu Projekt – Definice struktury projektu.


Buffer

Funkce umožňuje vytvořit novou linii, která je bufferem okolo vybraného bodu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník umožňující vybrat body, ke kterým se vytvoří buffer. Po vybrání bod zabliká a objeví se dialog pro definici bufferu bodu.

Odstup nového liniového objektu (bufferu) od bodu je možno definovat graficky (pomocí myši) v mapovém okně nebo číselně, zadáním odstupu v metrech od bodu.

Výslednou linii potom můžeme zauzlovat nebo ji nechat netopologickou (volba Výsledek zauzlovat).

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Buffery pro zvolené

Funkce umožňuje vytvořit nové linie, které jsou buffery vybraných bodů.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví dialog, kde je možno vybrat tabulky všech otevřených vektorových dat, pro které se má příkaz provést. Je možno zadat, že chceme provést operaci pouze pro vybrané objekty (_SELECT = 1).

Po potvrzení dialogu se objeví dialog pro definici odstupu. Odstup nového liniového objektu (bufferu) od bufferu je možno definovat graficky (pomocí myši definujeme dva bodu určující vzdálenost) v mapovém okně nebo číselně, zadáním odstupu v metrech.

Zlomy bufferu můžeme zaoblovat nebo je nechat ostré (volba Zaoblovat zlomy výsledku). Výslednou linii potom můžeme zauzlovat nebo ji nechat netopologickou (volba Výsledek zauzlovat). Po potvrzení se příkaz provede.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Operace s body

Příkaz umožní měnit bodový objekt tj. umožní například editovat jeho polohu, změnit volitelné atributy, atd.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jeden bod, objeví se dialog v jehož levé části je seznam vybraných bodů. V pravé části je potom možno vidět atributy zvoleného bodu a je možno volat operace, které se zvoleným bodem mohou provést.

V horní liště je možno volit jednu z těchto funkcí

  • Posunout výřez dle zvoleného bodu

    změní výřez tak, aby zvolený bod byl ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraného bodu

    změní výřez tak, aby zvolený bod (systém pro tuto operaci bere rozměr bodu 5 m) se zadaným překryvem v procentech rozměru byl ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvolený bod

    zabliká se zvoleným bodem tak, abychom jej mohli snadněji identifikovat

  • Zvýraznit zvolený bod v DB okně

    pokud je tabulka, do které bod náleží zobrazena v DB okně, je odpovídající záznam zvýrazněn a případně v rámci DB okna posunut, aby byl vidět

Kromě tohoto je v možno volat tyto funkce

  • Změna barvy a značky

    po volbě tlačítka Změnit se objeví dialog na volbu nové barvy a značky. Po potvrzení se barva a značka změní na nové požadované hodnoty.

  • Změna vybranosti (_SELECT)

    volba Vybraný ukazuje aktuální stav vybranosti bodu (atributu _SELECT), pokud změníme stav tlačítka, je okamžitě změněn i stav bodu

  • Snímání

    příkaz umožní editaci souřadnic bodu, tj. změnit jeho polohu.

  • Editace DB

    příkaz umožní editaci volitelných atributů bodu.

  • Úprava struktury DB

    příkaz umožní změnit strukturu tabulky do níž bod patří

  • Zrušení

    příkaz zruší zvolený bod.

  • Další informace

    příkaz zobrazí dialog Atributy objektu pro zvolený bod

  • Ukončit editaci

    příkaz ukončí tuto funkci

  • Další výběr

    příkaz zavře dialog a zobrazí v mapové okně obdélník pro výběr dalších bodů


Editace starých

Příkaz umožní editaci souřadnic bodů, tj. měnit jejich polohu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jeden bod, první vybraný se vysvítí a editor přejde automaticky do módu jeho editace. Myší nebo číselně můžeme změnit jeho polohu.

Při snímání souřadnic bodů můžeme pomocí stlačení pravého tlačítka myši vyvolat lokální menu tohoto příkazu. Kromě standardních příkazů pro mapové okno, jsou zde ještě příkazy vztahující se pro tuto konkrétní operaci.

Jedná se o

  • Informace

    příkaz zobrazí dialog Info o objektu pro právě editovaný bod

  • Souřadnice číselně

    umožní definovat souřadnice bodu číselně

  • Úhel bodu

    umožní nastavit úhel bodu, pokud má bod uživatelskou značku nebo standardní značku číslo 101, 102, 103, 121, 131 nebo 132 bude se potom vykreslovat natočený

  • Úhel bodu graficky

    umožní nastavit úhel bodu graficky tak, že po potvrzení polohy se objeví průvodič umožňující nastavit směr bodové značky

  • Úhel kolmo k linii

    pokud máme zapnuto chytání na objekty a chytneme se na liniový objekt, TopoL spočte úhel bodu tak, že je bodová značka vykreslena kolmo k linii

  • Storno

    Ukončí se funkce editace vybraného bodu. Pokud jsme obdélníkem vybrali více bodů, přejde TopoL automaticky na další a umožní jej editovat. Pokud již v seznamu vybraných není žádný další bod, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších bodů.

  • Uložit bod

    po volbě tohoto příkazu se od uloží. Pokud jsme obdélníkem vybrali více bodů, přejde TopoL automaticky na další a umožní jej editovat. Pokud již v seznamu vybraných není žádný další bod, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších bodů.

  • Ukončit

    Ukončí se funkce editace vybraného bodu. Pokud jsme obdélníkem vybrali více bodů, TopoL již další neumožňuje zpracovat a rovnou zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších bodů.


Další editační nástroje

Pomocí těchto příkazů lze modifikovat existující bodové objekty.


Rušení existujících s potvrzením

Příkaz umožní rušit body.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Pokud vybereme alespoň jeden bod z bloku pro editaci, objeví se dialog, v jehož levé části je seznam vybraných bodů.

Při volbě bodu v levé části dialogu se tato v mapovém okně vysvítí, takže ji můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolený bod.

Můžeme zvolit všechny body, nebo pouze některé. Po potvrzení dialogu jsou zvolené body zrušeny a opět se zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších bodů.


Změna tabulky bodu dle vzoru

Umožní změnit tabulku bodů vybraných obdélníkem na tabulku podle vzorového bodu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Standardním nástrojem pro výběr bodu pomocí dialogu se vybere vzorový bod, podle kterého se bude měnit tabulka bodů vybraných v dalším kroku výběrovým obdélníkem. TopoL zpracuje všechny body bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich příslušnost k tabulce dle tabulky vzorového bodu.


Práce s vybranými body...

Příkaz umožní v editovaném bloku pracovat s vybranými body. V tomto nástroji jsou soustředěny nejdůležitější operace, které je možno velmi rychle střídat. Tak lze dosáhnout vyšší efektivity práce.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek v databázi pro editaci, pro které chceme operaci provést.

Po výběru tabulek a potvrzení se provede načtení bodů a výsledek je zobrazen v dalším dialogu.

Je zde seznam vybraných bodů, se kterými je možno střídavě pracovat. Kliknutím se vybere některý bod, se kterým je možno provádět dále popsané operace. Seznam je také možno modifikovat použitím prvních dvou příkazů v menu, popř. nástrojové lišty.

  • Výběr

    Provede se nový výběr dle dotazu v jazyce ToPas. Body vybrané dotazem se pouze přidávají do seznamu.

  • Zrušit výběr označených

    Body odpovídající modře označeným řádkům se vypustí ze seznamu (zruší se jejich vybranost).

Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k práci s vybraným bodem.

  • Znovu načíst seznam vybraných bodů

  • Posunout výřez dle zvoleného bodu

    změní výřez tak, aby zvolený bod byl ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných bodů

    změní výřez tak, aby zvolené body se zadaným překryvem v procentech velikosti jejich opsaného obdélníka byly ve středu mapového okna

  • Zablikáním zvýraznit zvolený bod

    zabliká se zvoleným bodem tak, abychom ho mohli snadněji identifikovat v mapovém okně

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny vybrané objekty (zde se myslí ty, které mají _Select = 1) v mapovém okně

  • Editovat DB záznam zvoleného bodu

    umožní editovat volitelné atributy zvoleného bodu

  • Editovat zvolený bod

    umožní editovat vybraný bod editačním nástrojem, kterým lze zadat např. změnu polohy bodu

  • Zrušit zvolené body

    zruší zvolené body

  • Změna barvy a značky

    Barva a značka vybraného bodu se změní dle nastavení pro barvu a značku nového bodu v panelu Značky.

  • Undo

    Vyvolá se dialog pro funkci Undo, takže provedené změny je možno vracet zpět.

Pokud provedeme nějakou operaci, která může způsobit změnu v seznamu (editace, zrušení bodu), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně opravit.


Změna barvy a značky

Umožní změnit barvu a značku bodů vybraných obdélníkem na barvu a značku definovanou ve funkci Editace – Barva a značka bodu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny body bloku pro editaci, které jsou v definovaném obdélníku a změní jejich barvu a značku na požadované hodnoty, definované příkazem Editace – Barva a značka bodu.


Změna barvy

Umožní změnit barvu bodů vybraných obdélníkem na barvu definovanou ve funkci Editace – Barva a značka bodu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny body bloku pro editaci, které jsou v definovaném obdélníku a změní jejich barvu na požadované hodnoty, definované příkazem Editace – Barva a značka bodu.


Změna značky

Umožní změnit značku bodů vybraných obdélníkem na značku definovanou ve funkci Editace – Barva a značka bodu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny body bloku pro editaci, které jsou v definovaném obdélníku a změní jejich značku na požadované hodnoty, definované příkazem Editace – Barva a značka bodu.


Výběr bodů v okolí linií

Umožní vybrat body, které se nacházejí v zadaném okolí linií.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví standardní dialog, kde lze zadat druhy linií v jejichž okolí se budou body vybírat a vzdálenost bodů od linií.


Smazání bodů v okolí linií

Umožní smazat body, které se nacházejí v zadaném okolí linií.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví standardní dialog, kde lze zadat druhy linií v jejichž okolí se budou body mazat a vzdálenost bodů od linií.


Rušení existujících

Příkaz umožní rušit body.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zruší všechny z výběrového obdélníka a opět zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších bodů.


Editace úhlu

Příkaz umožní měnit úhel bodu. Pokud má bod uživatelskou značku nebo standardní značku číslo 101, 102, 103, 121, 131 nebo 132 bude se potom vykreslovat natočený

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Po vybrání bodu se objeví průvodič umožňující nastavit směr bodové značky. Takto je možno postupně zpracovat všechny body z výběrového obdélníka pokud jsme jich vybrali více. Pokud již v seznamu není žádný, opět se zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších bodů.


Změna tabulky bodů

Příkaz umožní změnit příslušnost bodu do tabulky, to znamená přenést jej z jedné tabulky do druhé v rámci bloku pro editaci. Odpovídá to funkci změna druhu v programu TopoL pro Windows. Při přenosu dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

V levé části dialogu je seznam existujících tabulek v bloku pro editaci. Můžeme si standardním způsobem vybrat z jakých tabulek se mají body přenést a zda se mají přenést pouze vybrané body (_SELECT = 1). V pravé části potom můžeme vybrat do jaké tabulky se mají body přenést a případně takovou to tabulku založit a potom vybrat.


Přenos bodů


Přenos bodů

Příkaz umožní přenést body z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Body si při přenosu zachovají příslušnost do zdrojových tabulek. To znamená, že pokud byl bod v tabulce B0001 zdrojové databáze, bude v cílové databázi opět v tabulce B0001. Pokud taková tabulka neexistuje, bude automaticky založena i s volitelnými databázovými atributy. Při přenosu bodů dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

Je zde možno vybrat zdrojovou databázi ze seznamu otevřených vektorových dat a v rámci databáze ještě konkrétní tabulky (při volbě všechny tabulky se přenesou body ze všech tabulek, aniž bychom je museli označovat ručně).

  • Přenášet jen vybrané

    zda se mají přenést pouze vybrané body (atribut _SELECT = 1).


Přenos bodů n:1

Příkaz umožní přenést body z jakýchkoliv otevřených vektorových dat do bloku pro editaci. Body si při přenosu zachovají příslušnost do zdrojových tabulek nebo je možno je všechny nakopírovat do jedné cílové tabulky (kopírování n:1). Pokud nekopírujeme n:1 a linie si drží příslušnost k tabulkám a tabulka v cílové databázi neexistuje, bude automaticky založena i s volitelnými databázovými atributy. Při přenosu bodů dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

Je zde možno vybrat tabulky pro přenos z několika zdrojových databázi najednou (při volbě všechny tabulky se přenesou body ze všech tabulek, všech otevřených vektorových dat aniž bychom je museli označovat ručně).

  • Přenášet jen vybrané

    zda se mají přenést pouze vybrané body (atribut _SELECT = 1).

  • Všechny tabulky do jedné

    provede se přenos n:1. Pokud v cílové databázi ještě žádná tabulka bodů neexistuje je nutno ji pomocí volby Vytvořit novou tabulku založit.


Přenos bodů s potvrzením

Příkaz umožní přenést body z jakýchkoliv otevřených a zobrazených vektorových dat do bloku pro editaci. Body jsou při přenosu nakopírovány do jedné cílové tabulky vybrané v dialogu. Při přenosu bodů dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Pokud vybereme alespoň jeden bod, objeví se dialog, v jehož levé části je seznam vybraných bodů.

Při volbě bodu v levé části dialogu se tento v mapovém okně vysvítí, takže jej můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolený bod.

Můžeme zvolit všechny body, nebo pouze některé. Po potvrzení dialogu se zvolené body přenesou a opět se zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších bodů.


Import bodů z DB tabulky

Tato funkce umožňuje tvorbu nových bodových objektů importem z jakékoliv tabulky databáze, která obsahuje souřadnice bodu. Pokud jsou v tabulce další atributy, systém naimportuje i tyto.

Po volbě příkazu se objeví dialog pro volbu typu databáze. Je možno zvolit z předdefinovaných typů MS Access, DBF, MS SQL Server, MS Excel, Oracle nebo nadefinovat obecný connection string. Po zmáčknutí tlačítka další je nutno nadefinovat parametry databáze. Parametry záleží na typu databáze. U MS Access je to například jméno souboru, případně uživatelské jméno a heslo a jméno tabulky. U MS SQL serveru to potom je jméno serveru, jméno databáze a tabulky a případně uživatelské jméno a heslo nebo je možno provést připojování dle jména uživatele a hesla ve Windows (volba NT autentifikace). U DBF je nutno vybrat adresář, kde DBF soubor je (adresář je brán jako databáze a jednotlivé DBF soubory jsou tabulky databáze) atd. Pokud jsme vybrali tabulku pro import dostaneme se po zmáčknutí tlačítka Další do volby cílové tabulky bodů v bloku pro editaci. Můžeme zde i vytvořit novou tabulku. Po volbě Další se dostaneme do fáze, kdy musíme nadefinovat, která položka reprezentuje horizontální a která vertikální souřadnici, a v jakém souřadném systému jsou souřadnice v tabulce uloženy. Pokud jsou data v tabulce v jiném souřadném systému než je blok pro editaci, systém provede při importu zároveň transformaci souřadnic. Také zde můžeme nadefinovat jaké další položky ještě chceme importovat.

Po potvrzení tlačítkem Dokončit se provede import.


Editace DB záznamu bodu

Příkaz umožní editaci volitelných atributů bodu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jeden bod, první vybraný zabliká a objeví se dialog pro editaci volitelných DB atributů. Pokud bod žádné nemá objeví se dialog přesto, ale lze měnit pouze atribut _SELECT (vybranost objektu).

V dialogu lze použít některou z následujících funkcí.

  • Posunout výřez dle zvoleného bodu

    změní výřez tak, aby zvolený bod byl ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle zvoleného bodu

    změní výřez tak, aby zvolený bod (systém pro tuto operaci bere rozměr bodu 5 m) se zadaným překryvem v procentech rozměru byl ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvoleným bodem

    zabliká se zvoleným bodem tak, abychom jej mohli snadněji identifikovat

Při editaci můžeme hodnoty jednotlivých atributů potvrzovat pomocí klávesy ENTER a TopoL automaticky skočí na další atribut. Po potvrzení posledního atributu skočí na tlačítko OK, které také můžeme potvrdit tlačítkem ENTER a celý záznam je uložen. Pokud jsme obdélníkem vybrali více bodů, je automaticky zpracován další bod ze seznamu vybraných. Pokud již v seznamu vybraných není žádný další bod, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších bodů.

Jestliže jsou v Definici struktury projektu pro danou primární tabulku definovány nějaké restrikce na hodnoty pro jednotlivé atributy, dochází při každém pokusu o uložení změn hodnot atributu k jejich kontrole a v případě porušení restrikcí je zabráněno v uložení a případně i k posunu na jiný řádek. Uživatel je přitom upozorněn hlášením na nesoulad zadávaných hodnot. Pokud je restrikce zadána formou výčtu přípustných hodnot je při editaci dané položky tento výčet nabízen formou lokálního editoru ve formě výklopného seznamu.


Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně bodů bloku pro editaci do atributů bodů (do atributů _COLOR, _SYMBOL). Pokud potom u tabulek tohoto bloku nastavíme zobrazování barev a značek dle TopoLu, barvy a značky budou identické s barvami a značkami použitými pro zobrazení v době spuštění příkazu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bodů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě funkce se příkaz použije okamžitě.


Plochy

V TopoLu jsou plochy definované popisovým bodem a seznamem liniových objektů, které tvoří hranice plochy. Zrušením některé linie uzavírající plochu dojde ke zrušení ploch sousedících s touto linií. Pouhou změnou tvaru linie dojde také ke změně tvaru ploch.

Pokud chceme vytvářet plochy musíme mít v bloku již nějaké linie a tyto linie musí být topologické (musí spolu navzájem tvořit uzly). Tyto linie musí tvořit uzavřenou oblast. Pokud linie nejsou topologické, můžeme je funkcí Editace – Linie – Netopologické linie převést na topologické. Pokud některé linie netvoří uzavřené oblasti, můžeme je zkontrolovat a opravit pomocí funkce Editace – Linie – Linie s volnými konci. Každá plocha může obsahovat ještě libovolný počet enkláv (dalších plošných objektů, které leží uvnitř plochy). Enkláva a hlavní plocha mohou být vytvořeny v libovolném pořadí. V TopoLu nelze vytvořit díru v ploše, pokud chceme mít v ploše díru, vždy je zde nutno vytvořit nový plošný objekt. Je doporučeno, aby byl takovýto objekt v jiné tabulce ploch. Při exportu do jiného formátu (například ArcView ShapeFile) se potom hlavní plochy jsou potom v samostatném SHP souboru a v místě enklávy hlavní plochy je skutečná díra. Pokud TopoL importuje například SHP soubory a v plochách jsou díry je automaticky založena tabulka pro tyto „falešné“ plochy.


Vytvoření nové

Funkce umožňuje vytvořit nové plošné objekty.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví kurzor: Pokud zadáme souřadnici bodu číselně nebo myší TopoL prozkoumá zda bod leží uvnitř oblasti uzavřené topologickými liniemi a pokud zde ještě neexistuje plošný objekt vytvoří nový. Pokud má tabulka, do které se plocha uloží volitelné atributy, objeví se dialog kde je nutno tyto definovat.

Vytvořená plocha bude uložena do tabulky ploch, která je právě označena pro editaci (je v stromečku dat v projektu modrá). Na obrázku je vidět, že se plocha uloží do tabulky P0999 (bod bude mít druh číslo 999).

Barva a značka plochy budou vzaty z nastavení, které lze změnit příkazem Editace – Barva a značka plochy (tato funkce se také vyvolá přes panel nástrojů Značky – Barva a značka ploch). Pokud máme předefinované tabulky pro jednotlivé typy objektů příkazem Projekt – Definice struktury projektu, je při změně tabulky pro editaci automaticky změněna i barva a značka, která se pro nový objekt použije. Tabulka pro editaci se změní tak, že se na požadovanou tabulku postavíme v stromečku dat v projektu a zavoláme funkci Nastavit pro editaci (horká klávesa F3).

Při snímání souřadnic bodu definujícího plochy můžeme pomocí stlačení pravého tlačítka myši vyvolat lokální menu tohoto příkazu. Kromě standardních příkazů pro mapové okno umožňujících pružně měnit výřez i obsah mapového okna, jsou zde ještě příkazy vztahující se pro tuto konkrétní operaci.

Jedná se o

  • Tabulka pro editaci

    příkaz umožní nastavit tabulku ploch, do které se nová plocha uloží, pokud je tato tabulka předefinovaná ve struktuře projektu, změní se i barva a značka nové plochy

  • Vytvořit novou tabulku

    umožní nadefinovat novou tabulku ploch, do které se plocha uloží

  • Souřadnice číselně

    umožní definovat souřadnice bodu definujícího plochu číselně

  • Storno

    Ukončí se funkce vytvoření nové.


Nový plošný objekt

Pomocí těchto příkazů lze vytvářet nové plošné objekty různými způsoby.


Vytvoření nových v obdélníku

Funkce umožňuje vytvořit nové plošné objekty, v definovaném obdélníku.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví výběrový obdélník. Po potvrzení TopoL zkontroluje všechny topologické linie ve vybraném obdélníku, zda spolu s jinými případně samostatně tvoří uzavřené oblasti a pokud ano a ještě zde neexistuje plošný objekt vytvoří nový.

Vytvořená plochy budou uloženy do tabulky ploch, která je právě označena pro editaci a budou mít barvu a značku definovanou příkazem Editace – Barva a značka plochy.


Zaplochovat dle tabulky bodů

Funkce umožňuje vytvořit nové plošné objekty, v poloze bodových objektů.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví výběrový dialog, kde je možno definovat parametry tvorby.

Je zde možno vybrat zdrojovou databázi ze seznamu otevřených vektorových dat a v rámci databáze ještě konkrétní tabulky bodů nebo textů, které budou pro tvorbu ploch použity. Volbou Jen dle vybraných je možno vytvářet plochy pouze v poloze vybraných bodů nebo textů zvolených tabulek. Volbou Pouze do jedné tabulky budou plochy uloženy do tabulky ploch, která je právě označena pro editaci a budou mít barvu a značku definovanou příkazem Editace – Barva a značka plochy. Pokud není tato volba zvolena budou plochy uloženy do tabulky odpovídající tabulce bodu v jehož poloze jsou vytvořeny. To znamená, že pokud je plocha vytvořena dle polohy bodu z tabulky B0005, bude plocha uložena do tabulky P0005. Pokud tato tabulka neexistuje, je automaticky založena.

Algoritmus pracuje tím způsobem, že TopoL vezme souřadnice bodu nebo počátečního bodu textu a prozkoumá zda bod leží uvnitř oblasti uzavřené topologickými liniemi a pokud zde ještě neexistuje plošný objekt vytvoří nový.


Buffer

Funkce umožňuje vytvořit novou linii, která je bufferem vybrané plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník umožňující vybrat plochy, ke kterým se vytvoří buffer. Po vybrání plocha zabliká a objeví se dialog pro definici bufferu plochy.

Odstup nového liniového objektu (bufferu) od plochy je možno definovat graficky (pomocí myši) v mapovém okně nebo číselně, zadáním odstupu v metrech.

Zlomy bufferu můžeme zaoblovat nebo je nechat ostré (volba Zaoblovat zlomy výsledku).

Výslednou linii potom můžeme zauzlovat nebo ji nechat netopologickou (volba Výsledek zauzlovat).

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Buffery pro zvolené

Funkce umožňuje vytvořit nové linie, které jsou buffery vybraných ploch.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví dialog, kde je možno vybrat tabulky všech otevřených vektorových dat, pro které se má příkaz provést. Je možno zadat, že chceme provést operaci pouze pro vybrané objekty (_SELECT = 1).

Po potvrzení dialogu se objeví dialog pro definici odstupu. Odstup nového liniového objektu (bufferu) od plochy je možno definovat graficky (pomocí myši definujeme dva bodu určující vzdálenost) v mapovém okně nebo číselně, zadáním odstupu v metrech.

Zlomy bufferu můžeme zaoblovat nebo je nechat ostré (volba Zaoblovat zlomy výsledku). Výslednou linii potom můžeme zauzlovat nebo ji nechat netopologickou (volba Výsledek zauzlovat). Po potvrzení se příkaz provede.

Tabulka, do které se linie uloží i atributy linie jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body.


Plochy dle mapových listů

Funkce umožňuje vytvořit nové plochy, které jsou generovány dle mapových listů zvoleného listokladu ve v oblasti vybrané obdélníkem.

Po volbě příkazu se objeví dialog pro volbu systému kladu mapových listů

Pokud je systém dělen ještě podrobněji (například měřítkem), objeví se po potvrzení další dialog kde musíme systém kladu konkretizovat (např. u S-JTSK je možno zvolit měřítko 50 000, 5 000, 2 000, 1 000 nebo 500).

Potom se v mapovém okně objeví výběrový obdélník pro definici oblasti, kde se mají linie generovat.

Potom musíme definovat jméno nového bloku, do kterého se uloží linie tvořící hranice ploch a plochy samotné. V dalším dialogu musíme definovat tabulku linií. TopoL vygeneruje hranice všech mapových listů, které jsou obdélníkem zasaženy. Potom musíme definovat tabulku ploch. Zde musíme nadefinovat jako volitelnou položku, položku typu string, do které bude uloženo jméno mapového listu. Tu potom musíme vybrat v dalším dialogu, který se objeví po definici tabulky ploch. TopoL potom vygeneruje nové plochy a do vybrané položky uloží jména mapových listů.

Atributy linie a plochy jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body a nové plochy.


Čtvercová síť

Funkce umožňuje vytvořit nové plochy, které jsou generovány v oblasti vybrané obdélníkem.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po potvrzení se objeví dialog umožňující vybrat tabulku linií, které budou tvořit hranice ploch. Dále se objeví dialog pro definici sítě.

  • Šířka

    definuje horizontální rozestup bodů

  • Výška

    definuje vertikální rozestup bodů

  • Y

    umožňuje definovat posun počátku ve směru horizontálním. Pokud zvolíme šířku 1000 budou nové body v souřadnicích 0, 1000, 2000, 3000 atd. Definicí počátku je však můžeme posunout. Při Y rovno 100, budou body v 100, 1100, , 2100, 3100 atd. Hodnota musí být menší než šířka.

  • X

    umožňuje definovat posun počátku ve směru vertikálním. Pokud zvolíme výšku 1000 budou nové body v souřadnicích 0, 1000, 2000, 3000 atd. Definicí počátku je však můžeme posunout. Při X rovno 100, budou body v 100, 1100, , 2100, 3100 atd. Hodnota musí být menší než výška.

Potom se v mapovém okně objeví výběrový obdélník pro definici oblasti, kde se mají linie generovat.

TopoL vygeneruje hranice všech obdélníků sítě, které jsou výběrovým obdélníkem zasaženy. Potom musíme definovat tabulku ploch. TopoL potom vygeneruje nové plochy.

Atributy linie a plochy jsou definovány stejným způsobem jako v případě nové linie, která má volně definované lomové body a nové plochy.


Vytvoření oblastí z bodů

Cílem této operace je provést extrapolaci z bodových měření. V ploše, která musí být vymezena jednou uzavřenou linií, jsou nepravidelně rozmístěné body s připojenou databázovou tabulkou. Program nalezne všechny souvislé oblasti ve kterých mají body shodný vybraný atribut (s uvážením zadané přesnosti) a vytvoří plochy, do kterých je možno přenést zadané atributy z odpovídajících bodových objektů.

Po spuštění příkazu se zadá jméno výstupního bloku a poté se objeví dialog pro zadání parametrů operace.

Dialog "Vytvoř plochy z bodů"
Blok

Z výklopného seznamu je třeba vybrat jeden z bloků (ale i např. ShapeFile) obsahující bodové objekty. Je nutno též určit jednu z možných tabulek bodů pro operaci ze seznamu tabulek bodů vybraného bloku.

Pouze vybrané

Zapnutý přepínač způsobí, že jako vstup pro operaci budou sloužit pouze vybrané body z dané tabulky.

Spojovat oblasti

Zapnutý přepínač způsobí, že se budou vytvářet plochy maximální velikosti, do kterých padnou zdrojové body se stejným atributem. V opačném případě se vytvoří pouze elementární plošky, kdy do jedné padne vždy jen jeden zdrojový bod. V tomto případě není nutno zadávat klíčový atribut.

Kriterium pro spojení oblastí

Ze seznamu atributů vybrané tabulky bodů se určí klíčový atribut, jehož hodnoty budou sloužit jako rozhodovací kriterium pro budování oblastí. Nemusí být nutně numerického typu, ale měl by obsahovat buď číselné hodnoty nebo řetězce, které lze na čísla převést.

Požadovaná přesnost

Z výklopného seznamu se vybere jedna z možností, která určí jak se budou číselné hodnoty zaokrouhlovat. U reálných veličin by se jinak dosti těžko určovalo, které hodnoty jsou považovány za shodné. V některých případech se u celočíselných veličin muže požadovat rozdělení hodnot pouze do určitých kategorií.

Blok s hraničními liniemi

Z výklopného seznamu je třeba vybrat jeden z bloků (ale i např. ShapeFile) obsahující liniové objekty, které budou sloužit jako hranice celé oblasti pro vytváření ploch. Pokud bude hraničních linií více, po ukončení operace zbudou v novém bloku vně této oblasti nepotřebné linie - hranice mezi některými body s různými atributy. Je nutno též určit jednu z možných tabulek linií pro operaci ze seznamu tabulek vybraného bloku.

Pouze vybrané

Zapnutý přepínač způsobí, že jako hraniční linie pro operaci budou sloužit pouze vybrané linie z dané tabulky.

Výstupní blok

Pouze kontrolní údaj zobrazující v editační lince jméno výstupního bloku - nelze editovat.

Po potvrzení dialogu se začne operace provádět - vygenerují se linie a plochy. Nakonec je možno standardním dialogem přenést ze vstupních bodů vybrané atributy do odpovídajících ploch.


Operace s plochami

Příkaz umožní měnit plošný objekt tj. umožní například editovat polohu popisového bodu, změnit volitelné atributy, atd.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jednu plochu, objeví se dialog v jehož levé části je seznam vybraných ploch. V pravé části je potom možno vidět atributy zvolené plochy a je možno volat operace, které se zvolenou plochou mohou provést.

V horní liště je možno volit jednu z těchto funkcí

  • Posunout výřez dle zvolené plochy

    změní výřez tak, aby zvolená plocha byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle zvolené plochy

    změní výřez tak, aby zvolená plocha se zadaným překryvem v procentech velikosti opsaného obdélníku byla ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvolenou plochu

    zabliká se zvolenou plochou tak, abychom ji mohli snadněji identifikovat

  • Zvýraznit zvolenou plochu v DB okně

    pokud je tabulka, do které plocha náleží zobrazena v DB okně, je odpovídající záznam zvýrazněn a případně v rámci DB okna posunut, aby byl vidět

Kromě tohoto je v možno volat tyto funkce

  • Změna barvy a značky

    po volbě tlačítka Změnit se objeví dialog na volbu nové barvy a značky. Po potvrzení se barva a značka změní na nové požadované hodnoty.

  • Změna vybranosti (_SELECT)

    volba Vybraná ukazuje aktuální stav vybranosti plochy (atributu _SELECT), pokud změníme stav tlačítka, je okamžitě změněn i stav plochy

  • Snímání

    příkaz umožní editaci souřadnic popisového bodu, tj. změnit jeho polohu. Přitom je možno využít jednoduché lokální menu.

  • Editace DB

    příkaz umožní editaci volitelných atributů plochy.

  • Úprava struktury DB

    příkaz umožní změnit strukturu tabulky do níž plocha patří

  • Zrušení

    příkaz zruší zvolenou plochu.

  • Další informace

    příkaz zobrazí dialog Atributy objektu pro zvolenou plochu

  • Ukončit editaci

    příkaz ukončí tuto funkci

  • Další výběr

    příkaz zavře dialog a zobrazí v mapové okně obdélník pro výběr dalších ploch


Další editační nástroje


Rušení existujících s potvrzením

Příkaz umožní rušit plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Pokud vybereme alespoň jednu plochu z bloku pro editaci, objeví se dialog, v jehož levé části je seznam vybraných ploch.

Při volbě plochy v levé části dialogu se tato v mapovém okně vysvítí, takže ji můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolenou plochu.

Můžeme zvolit všechny plochy, nebo pouze některé. Po potvrzení dialogu jsou zvolené plochy zrušeny a opět se zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších ploch.


Změna tabulky ploch dle vzoru

Umožní změnit tabulku ploch vybraných obdélníkem na tabulku podle vzorové plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Standardním nástrojem pro výběr ploch pomocí dialogu se vybere vzorová plocha, podle které se bude měnit tabulka ploch vybraných v dalším kroku výběrovým obdélníkem. TopoL zpracuje všechny plochy bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich příslušnost k tabulce dle tabulky vzorové plochy.


Práce s vybranými plochami

Příkaz umožní v editovaném bloku pracovat s vybranými plochami. V tomto nástroji jsou soustředěny nejdůležitější operace, které je možno velmi rychle střídat. Tak lze dosáhnout vyšší efektivity práce.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek v databázi pro editaci, pro které chceme operaci provést.

Po výběru tabulek a potvrzení se provede načtení ploch a výsledek je zobrazen v dalším dialogu.

Je zde seznam vybraných ploch, se kterými je možno střídavě pracovat. Kliknutím se vybere některý plocha, se kterou je možno provádět dále popsané operace. Seznam je také možno modifikovat použitím prvních dvou příkazů v menu, popř. nástrojové lišty.

  • Výběr

    Provede se nový výběr dle dotazu v jazyce ToPas. Plochy vybrané dotazem se pouze přidávají do seznamu.

  • Zrušit výběr označených

    Plochy odpovídající modře označeným řádkům se vypustí ze seznamu (zruší se jejich vybranost).

Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k práci s vybranou plochou.

  • Znovu načíst seznam vybraných ploch

  • Posunout výřez dle zvolené plochy

    změní výřez tak, aby zvolená plocha byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných ploch

    změní výřez tak, aby zvolené plochy se zadaným překryvem v procentech velikosti jejich opsaného obdélníka byly ve středu mapového okna

  • Zablikáním zvýraznit zvolenou plochu

    zabliká se zvolenou plochou tak, abychom ji mohli snadněji identifikovat v mapovém okně

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny vybrané objekty (zde se myslí ty, které mají _Select = 1) v mapovém okně

  • Editovat DB záznam zvolené plochy

    umožní editovat volitelné atributy zvolené plochy

  • Zrušit zvolené plochy

    zruší zvolené plochy

  • Editovat zvolené linie

    umožní editovat linie vybrané standardním výběrovým obdélníkem. Je tak možno editovat hranice ploch. kterým lze zadat např. změnu polohy popisového bodu

  • Rušit lomové body

    umožní vybrat obdélníkem všechny lomové body libovolné linie, které budou zrušeny. Lze tak rychle "narovnat" hranice libovolné plochy ve výřezu.

  • Změna barvy a značky

    Barva a značka vybrané plochy se změní dle nastavení pro barvu a značku nové plochy v panelu Značky.

  • Sejmutí popisového bodu

    Vyvolá se standardní editační nástroj pro změnu polohy popisového bodu plochy. Přitom se pracuje vždy s první plochou, která je v seznamu zvýrazněna.

  • Undo

    Vyvolá se dialog pro funkci Undo, takže provedené změny je možno vracet zpět.

Pokud provedeme nějakou operaci, která může způsobit změnu v seznamu (editace, zrušení plochy), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně opravit.


Přepočtení popisových bodů ploch

Umožní přepočítat popisové body ploch.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví standardní dialog, kde lze zadat druhy ploch, kterých se bude operace týkat, popř. zadat, že operace se provede jen pro již vybrané plochy.


Změna barvy a značky

Umožní změnit barvu a značku ploch vybraných obdélníkem na barvu a značku definovanou ve funkci Editace – Barva a značka plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny plochy bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich barvu a značku na požadované hodnoty, definované příkazem Editace – Barva a značka ploch.


Změna barvy

Umožní změnit barvu ploch vybraných obdélníkem na barvu definovanou ve funkci Editace – Barva a značka plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny plochy bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich barvu na požadované hodnoty, definované příkazem Editace – Barva a značka ploch.


Změna značky

Umožní změnit značku ploch vybraných obdélníkem na značku definovanou ve funkci Editace – Barva a značka plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zpracuje všechny plochy bloku pro editaci, které jsou ve definovaném obdélníku a změní jejich značku na požadované hodnoty, definované příkazem Editace – Barva a značka ploch.


Kopírování ploch do bloku

Příkaz umožní přenášet plochy z jednoho bloku do bloku nastaveného pro editaci včetně hraničních linií.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud neexistuje žádná tabulka ploch v bloku pro editaci. Pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně, učiní se tak automaticky při spuštění funkce.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL přenese všechny plochy zasažené výběrovým obdélníkem a opět zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších ploch.


Rušení existujících

Příkaz umožní rušit plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zruší všechny plochy z výběrového obdélníka a opět zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších ploch.


Rozdělení plochy

Příkaz umožní rozdělit plochu na dvě nové nebo několik nových ploch.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví výběrový obdélník umožňující vybrat plochu, kterou budeme dělit. Po výběru plochy se objeví dialog na definici parametrů dělení.

V horní části dialogu je vypsána celková plocha zvoleného plošného objektu.

Můžeme zde volit tlačítka

  • Zvýraznit

    zabliká se zvolenou plochou tak, abychom ji mohli snadněji identifikovat

  • Info

    zobrazí dialog Atributy objektu pro dělenou plochu

V další části dialogu již můžeme volit parametry dělení. TopoL umožňuje oddělit přesnou část plochy definovanou velikostí (volba Rozdělit) a nebo provést dělení graficky (volba Dělit vizuálně). Pokud chceme oddělit přesnou část plochy, musíme definovat zda chceme oddělit část nalevo od dělící linie (volba Levá plocha v seznamu Priorita dělení) nebo napravo (volba Pravá plocha v seznamu Priorita dělení) a její velikost. V případě priority Levá plocha do editační linky Levá plocha a v případě priority Pravá plocha do editační linky Pravá plocha. Tlačítkem Přepočítat systém spočte plochu druhé části a vypíše ji do příslušné editační linky.

Dělící linii je mono definovat dvěma způsoby

  • Dělit posunem

    v tomto případě definujeme linii úhlem, pod kterým bude linie danou plochu protínat. Při změně velikosti oddělované plochy se potom linie posouvá, ale stále dodržuje úhel. Úhel můžeme definovat číselně nebo graficky po volbě tlačítka Zadat úhel graficky.

  • Dělit výsečí

    v tomto případě definujeme stanoviště. Dělící linie vždy prochází tímto stanovištěm. Při změně velikosti oddělované plochy, linie tímto bodem prochází a mění úhel tak, aby se oddělila požadovaná část. Stanoviště můžeme definovat číselně, kurzorem nebo zadat, že se jako stanoviště vezme popisový bod plochy.

Pokud volíme volbu Rozdělit systém vezme parametry (velikost oddělované části, úhel případně stanoviště) a plochu rozdělí.

Pokud volíme volbu Dělit vizuálně dialog se zavře a přejdeme do mapového okna, kde se objeví dělící linie. Modrý obdélníček můžeme použít pro posun a bílé natočení linie. Pokud potvrdíme polohu kliknutím myší objeví se ve stavovém řádku TopoLu plocha levé a pravé části a počet nových ploch vzniklých na levé straně a pravé straně dělící linie. Potvrzení linie se provede mezerníkem nebo pomocí příkazu OK lokálního menu.

Po provedení se opět objeví obdélník pro volbu další plochy.

Může se stát, že TopoL není schopen při zadaných parametrech plochu rozdělit. V tomto případě se nic nestane a objeví se obdélník pro volbu plochy pro rozdělení.

Příslušnost nových ploch do tabulky bude zachována, stejně tak jako atributy ploch.


Agregace ploch

Skupina příkazů umožňujících spojovat plochy dle různých požadavků.


Agregace ploch vybráním ploch

Příkaz umožní spojit sousední plochy do jedné. Je nutno vždy zvolit hlavní plochu, která bude definovat atributy nové plochy. To znamená, že nová plocha vzniklá spojením bude v tabulce, kam náleží tato plocha a nová plocha bude mít i identické atributy (barva, značka, vybranost, případně i volitelné atributy) jako tato hlavní plocha.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví kurzor, který nám umožní zvolit hlavní plochu pro agregaci. Po její volbě se tato zvýrazní a kurzor změní svůj tvar. Nyní musíme definovat plochy, které budou s touto spojeny. Je možno definovat pouze plochy sousedící s hlavní plochou. Je možno přidávat více ploch. Po potvrzení mezerníkem, nebo pomocí lokálního menu funkcí Agregovat plochy se provede spojení a překreslení. Potom můžeme opět vybírat hlavní plochu.

Situace před spojením

Situace po spojení


Agregace ploch vybráním linie

Příkaz umožní spojit sousední plochy do jedné. Je nutno vždy zvolit hlavní plochu, která bude definovat atributy nové plochy. To znamená, že nová plocha vzniklá spojením bude v tabulce, kam náleží tato plocha a nová plocha bude mít i identické atributy (barva, značka, vybranost, případně i volitelné atributy) jako tato hlavní plocha.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví kurzor, který nám umožní zvolit hlavní plochu pro agregaci. Po její volbě se tato zvýrazní a kurzor změní svůj tvar. Nyní musíme určit hraniční linie, které budou zrušeny a sousední plocha bude s touto spojena. Je možno přidávat více ploch. Výběr linií se provádí nástrojem jako při rušení linií s potvrzením. Je tedy možno průběžně získávat potřebné informace o vybraných liniích, popř. o jejich sousedních plochách. Po ukončení výběru lilií pomocí lokálního menu funkce Agregovat plochy, popř. klávesou Esc se provede dotaz potvrzující operaci a nakonec se plochy spojí a překreslí. Potom můžeme opět vybírat hlavní plochu.


Agregace ploch v tabulce

Umožní automaticky spojit plochy bloku, které spolu sousedí a mají identické definované atributy. Funkce dále umožní provést určité operace s dalšími DB položkami v závislosti na ploše spojovaných plošných objektů.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci

Po volbě příkazu se objeví dialog pro volbu parametrů funkce.

V horní části dialogu musíme zvolit tabulku ploch z bloku pro editaci. V další části musíme definovat databázové položky této tabulky, které budou použity při porovnávání sousedních ploch. Sousední plochy jsou potom spojeny, jestliže mají tyto položky identické. Dále můžeme v další části dialogu zvolit databázovou položku pro operaci, kterou si zvolíme. Je možno vybrat ze dvou možností

  • Součet

    TopoL do provede součet hodnot vybrané položky spojených ploch a uloží jej do nové plochy

  • Vážený průměr dle velikosti ploch

    tato operace je dostupná pouze pokud máme v databázi volitelnou položku PLOCHA (AREA, FLAECHE), potom TopoL provede vážený průměr hodnot vybrané položky spojených ploch a uloží jej do nové plochy


Změna tabulky ploch

Příkaz umožní změnit příslušnost plochy do tabulky, to znamená přenést ji z jedné tabulky do druhé v rámci bloku pro editaci. Odpovídá to funkci změna druhu v programu TopoL pro Windows. Při přenosu dochází i k přenosu těch volitelných atributů, které jsou v zdrojové a cílové tabulce identické.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu parametrů přenosu.

V levé části dialogu je seznam existujících tabulek v bloku pro editaci. Můžeme si standardním způsobem vybrat z jakých tabulek se mají plochy přenést a zda se mají přenést pouze vybrané plochy (_SELECT = 1). V pravé části potom můžeme vybrat do jaké tabulky se mají plochy přenést a případně takovou to tabulku založit a potom vybrat.


Překryv ploch

Příkaz vytvoří nový blok zadaného jména. V tomto bloku se zkonstruují plošné objekty tam, kde byly plošné objekty ve zdrojových databázích. Databázové atributy ploch v cílovém bloku nabudou hodnot, které měla příslušná plocha ve zdrojovém bloku, do níž padl popisový bod nové plochy. Ovšem pouze za předpokladu, že tam databázový atribut stejného jména existoval.

Po volbě se objeví dialog, kde můžeme zvolit jaké tabulky ploch z databází otevřených v projektu chceme pro operaci použít.

Po výběru tabulek a volbě tlačítka Další se objeví část, kde definujeme jméno nového bloku a tabulku ploch, v které budou nově vytvořené plochy uloženy. Po definici a volbě tlačítka další se objeví část, kde můžeme definovat jaké volitelné DB atributu se mají ze zdrojových tabulek přenášet do nových ploch.

V levé části dialogu je seznam všech volitelných DB atributů ve zvolených tabulkách. Je zde vždy jméno DB položky (sloupec), jméno tabulky a jméno databáze. Můžeme buď přenést všechny položky (volba použít všechny) nebo přenést pouze zvolené položky tím, že je přesuneme do pravé části dialogu.

Volbou tlačítka Dokončit se operace spustí.

Dva bloky před operací s vypsanými atributy číslo parcely bloku Katastr a kód BPEJ u ploch bloku BPEJ.

Blok s výsledkem překryvu s vypsanými atributem číslo parcely převzatým z bloku Katastr a kód BPEJ z bloku BPEJ.


Problematická místa v plochách

Příkaz umožní zkontrolovat, zda v daném bloku existují hranice ploch , které mohou mít určitým způsobem problematickou geometrii a případně s nimi provést různé operace.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek v databázi pro editaci, pro které chceme kontrolu provést.

Po výběru tabulky a potvrzení se provede kontrola a výsledek je zobrazen v dalším dialogu.

Jsou zde dvě možné kategorie problémů. Hledají se

  • Blízké body

    sousední lomové body mají vzdálenost menší než definovanou

  • Ostré úhly

    sousední segmenty (úsečky) linií svírají úhel větší než definovaný

Pokud provedeme změnu úrovně kontroly, musíme vždy zavolat příkaz Znovu načíst seznam linií. Další příkazy, které můžeme volat z menu nebo mocí ikony nám slouží k

  • Změnit výřez dle problematického místa

    změní výřez tak, aby bylo problematické místo zvolené hranice plochy ve středu mapového okna

  • Posunout výřez dle zvolené plochy

    změní výřez tak, aby zvolená plocha byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných ploch

    změní výřez tak, aby zvolená plocha se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zablikáním zvýraznit zvolenou plochu

    zabliká se zvolenou plochou tak, abychom ji mohli snadněji identifikovat

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny vypsané objekty v okně

  • Editovat DB záznam zvolené plochy

    umožní editovat volitelné atributy zvolené plochy

  • Zrušit zvolené plochy

    zruší všechny zvýrazněné plochy

  • Editovat zvolenou linii

    umožní editovat lomové body linie, která se vybere standardním výběrovým obdélníkem. Lze tak editovat hranice ploch.

  • Rušit lomové body

    umožní najednou zrušit všechny lomové body linie zvolené standardním výběrovým obdélníkem. Lze tak editovat hranice ploch.

Pokud provedeme nějakou operaci, která může způsobit změnu (editace, zrušení linie, zrušení lomových bodů), provede TopoL kontrolu automaticky a opět vypíše výsledky. Takto lze data postupně vyčistit.


Editace DB záznamu plochy

Příkaz umožní editaci volitelných atributů plochy.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jednu, první vybraná zabliká a objeví se dialog pro editaci volitelných DB atributů. Pokud plocha žádné nemá objeví se dialog přesto, ale lze měnit pouze atribut _SELECT (vybranost objektu).

V dialogu lze použít některou z následujících funkcí.

  • Posunout výřez dle zvolené plochy

    změní výřez tak, aby zvolená plocha byla ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných ploch

    změní výřez tak, aby zvolená plocha se zadaným překryvem v procentech velikosti jejího opsaného obdélníka byla ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvolenou plochou

    zabliká se zvolenou plochou tak, abychom ji mohli snadněji identifikovat

Při editaci můžeme hodnoty jednotlivých atributů potvrzovat pomocí klávesy ENTER a TopoL automaticky skočí na další atribut. Po potvrzení posledního atributu skočí na tlačítko OK, které také můžeme potvrdit tlačítkem ENTER a celý záznam je uložen. Pokud jsme obdélníkem vybraly více ploch, je automaticky zpracována další plocha ze seznamu vybraných. Pokud již v seznamu vybraných není žádná další plocha, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších ploch.

Jestliže jsou v Definici struktury projektu pro danou primární tabulku definovány nějaké restrikce na hodnoty pro jednotlivé atributy, dochází při každém pokusu o uložení změn hodnot atributu k jejich kontrole a v případě porušení restrikcí je zabráněno v uložení a případně i k posunu na jiný řádek. Uživatel je přitom upozorněn hlášením na nesoulad zadávaných hodnot. Pokud je restrikce zadána formou výčtu přípustných hodnot je při editaci dané položky tento výčet nabízen formou lokálního editoru ve formě výklopného seznamu.


Zápis barev a značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně ploch bloku pro editaci do atributů ploch (do atributů _COLOR, _SYMBOL). Pokud potom u tabulek tohoto bloku nastavíme zobrazování barev a značek dle TopoLu, barvy a značky budou identické s barvami a značkami použitými pro zobrazení v době spuštění příkazu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka ploch bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě funkce se příkaz použije okamžitě.


Logické operace

Umožní vytvořit nový blok, který vznikne jako logická operace nad dvěma vybranými druhy ploch.

Po volbě příkazu se objeví dialog pro definici parametrů operace.

V pravé a levé části dialogu najdeme seznam všech dat otevřených v projektu, která mají nějaké plošné tabulky. Jednotlivé tabulky, se kterými chceme provádět peraci můžeme zapínat a vypínat ručně.

Operace se provede na základě těchto parametrů:

  • Nový blok

    Editační linka, kde se zadá jméno nově vytvářeného bloku.

  • Nový druh

    Editační linka, kde se zadá číselný kód druhu ploch, které se budou vytvářet logickou operací.

  • Tabulka A

    Editační linka, kde se po výběru v levém panelu objeví druh ploch, který bude prvním operandem pro operaci.

  • Tabulka B

    Editační linka, kde se po výběru v pravém panelu objeví druh ploch, který bude druhým operandem pro operaci.

  • Jen vybrané

    Přepínač, kterým se zadá, že do operace budou vstupovat jen vybrané plochy z tabulky A, resp. B.

Vlastní typ operace se provede na základě výběru z výklopného seznamu Operace:

  • OR

    Výsledkem operace bude spojení ploch A a B.

  • AND

    Výsledkem operace bude průnik ploch A a B.

  • XOR

    Výsledkem operace bude exkluzivní spojení ploch A a B.

  • A sub B

    Výsledkem operace bude rozdíl, kdy od ploch A se odečtou plochy B.

  • B SUB A

    Výsledkem operace bude rozdíl, kdy od ploch B se odečtou plochy A.

Pomocí tlačítka OK se provede vlastní operace.


Texty

Textový objekt je speciální typ vektorového objektu sloužící k doplnění grafické informace o popis, který se však neváže nikterak k databázovým informacím a slouží spíše ke zlepšení vzhledu grafického díla.


Vstup nových

Příkaz vytvoří nový textový objekt. Po volbě příkazu se objeví dialog pro definování atributů textu.

Do editační linky Text zapíšeme znakový řetězec vyjadřující obsah textu. Výběrové tlačítko Vybraný potvrdíme, chceme-li dále pracovat s tímto textovým objektem jako s vybraným (některé příkazy se mohou provádět i pouze pro vybrané objekty). Výběrové tlačítko Směr aktivujeme jestliže chceme zadat směr textu číselně.

Výběrové tlačítko dle stylu potvrdíme, pokud chceme, aby se text zobrazoval podle stylu nastaveného níže. Ve výběrovém poli knihovna stylů potom musíme zvolit jakou knihovnu stylů chceme použít a v poli styl potom požadovaný styl. Výběrové pole Styl obsahuje všechny až dosud nadefinované uživatelské styly textů. Seřazeny jsou dle jména nebo dle kódu stylu. Pokud bychom chtěli definovat nový styl nebo již definovaný styl změnit, dostaneme se do editoru stylů přímo z tohoto dialogu volbou tlačítka Editace knihovny stylů.

Pokud nechceme, aby byl nový text definován dle stylu výběrové tlačítko dle stylu necháme nepotvrzené. V tom případě musíme definovat jednotlivé atributy textu a to

  • Text mód

    Jedná se atribut, který nám říká v jakých jednotkách jsou uvedeny některé atributy například atribut výška textu a jak se textový objekt chová při změně měřítka.

    statický
    výška je v bodech obrazovky, text se při změně výřezu nemění, je stále stejně velký
    dynamický
    výška je v metrech, text se při změně výřezu mění, výška na obrazovce se přepočte z metrů na body obrazovky pomocí měřítka mapového okna
    měřítkový
    výška je v milimetrech, text se při změně výřezu mění, výška na obrazovce se přepočte z milimetrů na body obrazovky tak, že se nejprve vypočte výška v metrech z milimetrů pomocí vztažného měřítka mapového okna a potom z metrů na body obrazovky pomocí měřítka mapového okna
  • Šířka pera

    Vepíšeme sílu čáry znaku a to buď v metrech (u dynamického textu) , v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Výška

    Vepíšeme výšku znaku v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Koef. šířky

    Vepíšeme šířku znaku v procentech, v poměru k výšce. Normální šířka je 100 procent.

  • Barva

    Po stisku tlačítka se otevře standardní barevný dialog. Vybereme barvu, jakou chceme přiřadit textu.

  • Sklon

    Vepíšeme úhel sklonu znaku. Záporné hodnoty naklání znaky doleva.

  • Rozestupy

    Vepíšeme velikost mezery mezi jednotlivými znaky a to buď v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu). V pravé části dialogu jsou tlačítka pro definici počátečního bodu textu a případně pro grafickou definici atributů textu.

  • Graficky

    Systém očekává postupné sejmutí tří bodů, které určí: výchozí bod, směr, pod jakým se text zapíše a výšku textu a skosení písmen. Tato volba není dostupná pokud chceme vytvořit text dle stylu.

  • dle Definice

    Systém očekává pouze sejmutí výchozího bodu textu a pokud není aktivován směr číselně tak také směru. Ostatní atributy jsou vzaty z definice v dialogu.

Pokud je nový text definován dle stylu, může být nový text (od verze xT 9) obohacen o další možnosti, kterými jsou

  • Podtržený text

    Jedná se atribut stylu, který udává, že text bude doplněn podtržením.

  • Přeškrtnutý text

    Jedná se atribut stylu, který udává, že text bude zobrazen přeškrtnutý.

  • Text v krožnici

    Jedná se atribut stylu, který udává, že text bude zobrazen v kružnici.

  • Text v bublině

    Jedná se atribut stylu, který udává, že text bude zobrazen v bublině kolem znění textu..

Protože se jedná o atributy stylu textů, nelze zapínat či vypínat jednotlivé přepínače pro podtržení, přeškrtnutí textu apod. Tyto přepínače jsou pouze informativní. Pokud chceme využít nových možností v kombinaci s nějakým existujícím stylem textu, je třeba tento styl s danými atributy předefinovat či nadefinovat jako nový styl a uložit.

Po potvrzení sejmutého textu lze pokračovat v určování polohy dalšího textu o stejném znění a se stejnými atributy. Pokud chceme ukončit editaci nebo vytvářet jiný text lze pomocí klávesy ESC snímání kdykoliv ukončit.

Pokud vytváříme text dle stylu tak se nový text uloží do tabulky dle kódu stylu. To znamená, že pokud máme styl kódu 12 bude text uložen do tabulky T0012. Pokud ještě neexistuje systém ji sám automaticky založí. Pokud není text vytvořen dle stylu uloží se text do tabulky právě označené pro editaci.

Pokud používáme textové styly z vlastní knihovny stylů, musíme pro správné zobrazení zvolit tuto jako knihovnu stylů pro danou tabulku v mapovém okně. Toto nejsnáze zajistíme tím, že danou knihovnu označíme jako implicitní pomocí příkazu Nástroje – Převodníky stylů textů. Potom se bude každá textová tabulka zařazená do mapového okna zobrazovat implicitně dle této knihovny.

Pokud chceme vytvářet texty se stejnými parametry, lze vřele doporučit používání stylů. Jejich definice se provádí v editoru stylů, který lze vyvolat pomocí tlačítka Editace knihovny stylů.


Editace starých

Pomocí tohoto příkazu lze změnit atributy již existujícího textu. Po volbě příkazu se objeví výběrový obdélník, pomocí kterého můžeme vybrat text pro editaci. Je nutné vybrat obdélníkem polohu počátečního bodu.

Po potvrzení se objeví dialog s atributy textu.

V editační lince Text je znakový řetězec vyjadřující obsah textu. Výběrové tlačítko Vybraný potvrdíme, chceme-li dále pracovat s tímto textovým objektem dále pracovat jako s vybraným (některé příkazy se mohou provádět i pouze pro vybrané objekty). Výběrové tlačítko Směr aktivujeme jestliže chceme zadat směr textu číselně.

Výběrové tlačítko dle stylu potvrdíme, pokud chceme, aby se text zobrazoval podle stylu nastaveného níže. Ve výběrovém poli knihovna stylů potom musíme zvolit jakou knihovnu stylů chceme použít a v poli styl potom požadovaný styl. Výběrové pole Styl obsahuje všechny až dosud nadefinované uživatelské styly textů. Seřazeny jsou dle jména nebo dle kódu stylu. Pokud bychom chtěli definovat nový styl nebo již definovaný styl změnit, dostaneme se do editoru stylů přímo z tohoto dialogu volbou tlačítka Editace knihovny stylů.

Pokud nechceme, aby byl nový text definován dle stylu výběrové tlačítko dle stylu necháme nepotvrzené. V tom případě musíme definovat jednotlivé atributy textu a to

  • Text mód

    Jedná se atribut, který nám říká v jakých jednotkách jsou uvedeny některé atributy například atribut výška textu a jak se textový objekt chová při změně měřítka.

    statický
    výška je v bodech obrazovky, text se při změně výřezu nemění, je stále stejně velký
    dynamický
    výška je v metrech, text se při změně výřezu mění, výška na obrazovce se přepočte z metrů na body obrazovky pomocí měřítka mapového okna
    měřítkový
    výška je v milimetrech, text se při změně výřezu mění, výška na obrazovce se přepočte z milimetrů na body obrazovky tak, že se nejprve vypočte výška v metrech z milimetrů pomocí vztažného měřítka mapového okna a potom z metrů na body obrazovky pomocí měřítka mapového okna
  • Šířka pera

    Vepíšeme sílu čáry znaku a to buď v metrech (u dynamického textu) , v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Výška

    Vepíšeme výšku znaku v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Koef. šířky

    Vepíšeme šířku znaku v procentech, v poměru k výšce. Normální šířka je 100 procent.

  • Barva

    Po stisku tlačítka se otevře standardní barevný dialog. Vybereme barvu, jakou chceme přiřadit textu.

  • Sklon

    Vepíšeme úhel sklonu znaku. Záporné hodnoty naklání znaky doleva.

  • Rozestupy

    Vepíšeme velikost mezery mezi jednotlivými znaky a to buď v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

    Pokud je nový text definován dle stylu, může být nový text (od verze xT 9) obohacen o další možnosti, kterými jsou

    • Podtržený text

      Jedná se atribut stylu, který udává, že text bude doplněn podtržením.

    • Přeškrtnutý text

      Jedná se atribut stylu, který udává, že text bude zobrazen přeškrtnutý.

    • Text v krožnici

      Jedná se atribut stylu, který udává, že text bude zobrazen v kružnici.

    • Text v bublině

      Jedná se atribut stylu, který udává, že text bude zobrazen v bublině kolem znění textu..

    Protože se jedná o atributy stylu textů, nelze zapínat či vypínat jednotlivé přepínače pro podtržení, přeškrtnutí textu apod. Tyto přepínače jsou pouze informativní. Pokud chceme využít nových možností v kombinaci s nějakým existujícím stylem textu, je třeba tento styl s danými atributy předefinovat či nadefinovat jako nový styl a uložit.

    V pravé části dialogu jsou tlačítka pro definici počátečního bodu textu a případně pro grafickou definici atributů textu.

  • Graficky

    Systém očekává postupné sejmutí tří bodů, které určí: výchozí bod, směr, pod jakým se text zapíše a výšku textu a skosení písmen. Tato volba není dostupná pokud chceme vytvořit text dle stylu.

  • dle Definice

    Systém očekává pouze sejmutí výchozího bodu textu a pokud není aktivován směr číselně tak také směru. Ostatní atributy jsou vzaty z definice v dialogu.

  • Uložení textu

    Pokud nechceme měnit počáteční bod textu nebo nechceme měnit jeho atributy graficky, lze po definování nových atributů text uložit touto volbou.

Pokud při editaci a zapnuté volbě dle stylu změníme styl textu, přesune se při ukládání do nové tabulky, která odpovídá kódu stylu. Pokud takováto tabulka ještě neexistuje, systém ji automaticky založí.


Přesunutí textů

Tento příkaz umožňuje vybrat obdélníkem jeden text a potom jej posunout na jiné místo. Je nutné vybrat obdélníkem polohu počátečního bodu.


Změna graf. param. textu

Příkaz umožňuje nastavení nového výchozího bodu textu a jeho směru. Pokud není text zobrazen dle stylu lze změnit i jeho další interní atributy, jako jsou výška, rozestup a sklon. Po volbě příkazu se objeví kurzor, který umožňuje zvolit textový objekt. Po jeho volbě se očekává postupné sejmutí tří bodů, které určí:

  • výchozí bod,
  • směr (pod kterým se text bude vykreslovat)
  • výšku a sklon textu.

Pokud je text zobrazen dle stylu očekává se sejmutí pouze:

  • výchozí bod,
  • směru, pod kterým se text bude vykreslovat.


Kopírování textu

Tento příkaz umožňuje vybrat obdélníkem jeden text a potom ho libovolněkrát kopírovat na jiné místo. Je nutné vybrat obdélníkem polohu počátečního bodu.


Rušení existujících

Příkaz umožňuje zrušení jednotlivých textových objektů. Po volbě příkazu se objeví obdélník, který umožňuje vybrat texty. Po jeho volbě a se texty zruší.


Rušení existujících s potvrzením

Příkaz umožňuje zrušení jednotlivých textových objektů. Po volbě příkazu se objeví obdélník, který umožňuje vybrat texty. Po jeho volbě se objeví dialog se seznamem vybraných textů. Zde můžeme zvolit, které z textů chceme zrušit. Po potvrzení se zvolené texty zruší.


Změna tabulky textů

Příkaz změní u všech zvolených textových objektů bloku pro editaci jejich příslušnost do tabulky na jinou. Po vyvolání příkazu se otevře dialogové okno, kde můžeme vybrat z jakých tabulek chceme texty přesunout, zda to chceme provést pouze pro vybrané a do jaké tabulky je přesuneme. Po potvrzení se zvolené texty přesunou do nové tabulky a pokud jsou definovány dle stylu změní se i jejich atributy zobrazení.


Popisy do textů

Příkaz převede zobrazené popisy vektorových objektů (linií, bodů, ploch) do tvaru vektorového písma, a umístí je do bloku nastaveného pro editaci.

Po vyvolání příkazu se otevře dialogové okno pro nastavení parametrů příkazů.

Výběrové tlačítko dle stylu potvrdíme, pokud chceme, aby se text zobrazoval podle stylu nastaveného níže. Ve výběrovém poli knihovna stylů potom musíme zvolit jakou knihovnu stylů chceme použít a v poli styl potom požadovaný styl. Výběrové pole Styl obsahuje všechny až dosud nadefinované uživatelské styly textů. Seřazeny jsou dle jména nebo dle kódu stylu. Pokud bychom chtěli definovat nový styl nebo již definovaný styl změnit, dostaneme se do editoru stylů přímo z tohoto dialogu volbou tlačítka Editace knihovny stylů.

Pokud nechceme, aby byl nový text definován dle stylu výběrové tlačítko dle stylu necháme nepotvrzené. V tom případě musíme definovat jednotlivé atributy textu a to

  • Text mód

    Jedná se atribut, který nám říká v jakých jednotkách jsou uvedeny některé atributy například atribut výška textu a jak se textový objekt chová při změně měřítka.

    statický
    výška je v bodech obrazovky, text se při změně výřezu nemění, je stále stejně velký
    dynamický
    výška je v metrech, text se při změně výřezu mění, výška na obrazovce se přepočte z metrů na body obrazovky pomocí měřítka mapového okna
    měřítkový
    výška je v milimetrech, text se při změně výřezu mění, výška na obrazovce se přepočte z milimetrů na body obrazovky tak, že se nejprve vypočte výška v metrech z milimetrů pomocí vztažného měřítka mapového okna a potom z metrů na body obrazovky pomocí měřítka mapového okna
  • Šířka pera

    Vepíšeme sílu čáry znaku a to buď v metrech (u dynamického textu) , v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Výška

    Vepíšeme výšku znaku v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

  • Koef. šířky

    Vepíšeme šířku znaku v procentech, v poměru k výšce. Normální šířka je 100 procent.

  • Barva

    Po stisku tlačítka se otevře standardní barevný dialog. Vybereme barvu, jakou chceme přiřadit textu.

  • Sklon

    Vepíšeme úhel sklonu znaku. Záporné hodnoty naklání znaky doleva.

  • Rozestupy

    Vepíšeme velikost mezery mezi jednotlivými znaky a to buď v metrech (u dynamického textu), v milimetrech (u měřítkového textu) nebo v bodech (u statického textu).

    V pravé části dialogu jsou tlačítka pro definici počátečního bodu textu a případně pro grafickou definici atributů textu.

  • Pozice

    Zde definujeme polohu popisového bodu objektu, pro který je popis definován, vzhledem k vznikajícímu textovému objektu.

    LE-DO
    popisový bod je v levém dolním rohu textového objektu (opsaného rovnoběžníka)
    LE-STR
    popisový bod je ve středu levého okraje textového objektu
    LE-HO
    popisový bod je v levém horním rohu textového objektu
    STR-DO
    popisový bod je ve středu dolního okraje textu
    STR-STR
    popisový bod je ve středu textu
    STR-HO
    popisový bod je ve středu horního okraje textu
    PR-DO
    popisový bod je v pravém dolním rohu textu
    PR-STR
    popisový bod je ve středu pravé strany textu
    PR-HO
    popisový bod je v pravém horním rohu textu
    DES. TEC
    popisový bod je na pozici desetinné tečky
  • Směr

    Kontrolní tlačítko Směr potvrdíme, chceme-li, aby se nové textové objekty umístili pod úhlem, který má jemu příslušný vektorový objekt (linie, bod).


Přepis znění textu

Pomocí tohoto příkazu lze hromadně přepsat znění textu. S výhodou lze využít podpory pro interní atributy textových objektů v jazyce ToPas.

Po volbě příkazu se objeví dialog kde můžeme definovat pro jaké tabulky se posun má provést a zde chceme posun provést pouze pro vybrané texty. Pak se objeví dialog pro definici výrazu. Po potvrzení se funkce provede.


Přenos textů

Příkaz přenese textové objekty z jakékoliv jiné databáze do bloku pro editaci. Po volbě příkazu se objeví dialog, kde je možno zvolit jaké tabulky z jaké databáze se mají přenést a zda se mají přenášet pouze vybrané textové objekty. Po potvrzení se příkaz provede. Textové objekty si při kopírování zachovají informaci o příslušnosti do tabulky. Pokud v bloku pro editaci takováto neexistuje, systém ji automaticky založí.


Přenos textů n : 1

Příkaz přenese textové objekty z jakékoliv jiné databáze do konkrétní tabulky textů bloku pro editaci. Po volbě příkazu se objeví dialog, kde je možno zvolit jaké tabulky z jaké databáze se mají přenést a zda se mají přenášet pouze vybrané textové objekty a do jaké tabulky se texty mají přenést. Po potvrzení se příkaz provede.


Změna směru textů

Příkaz slouží pro změnu směru vybraných textů. Směr se definuje pomocí dvou bodů.

Po volbě tohoto příkazu se objeví kurzor pro definici dvou bodů určujících směr. Po jejich potvrzení se objeví dialog, kde můžeme definovat pro jaké tabulky se posun má provést a zde chceme posun provést pouze pro vybrané texty. Po potvrzení se funkce provede.


Posun textů

Příkaz slouží pro posunutí výchozího bodu vybraných textů o definovanou vzdálenost v určeném směru. Vzdálenost a směr přesunu se definují pomocí dvou bodů (cílového a zdrojového).

Po volbě tohoto příkazu se objeví kurzor pro definici cílového a následně zdrojového bodu. Po jejich potvrzení se objeví dialog, kde můžeme definovat pro jaké tabulky se posun má provést a zde chceme posun provést pouze pro vybrané texty. Po potvrzení se funkce provede.


Zápis barev

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu textů v aktivním mapovém okně ploch bloku pro editaci do interních atributů textů (_COLOR). Pokud potom u tabulek tohoto bloku nastavíme zobrazování barev dle TopoLu, barvy budou identické s barvami a použitými pro zobrazení v době spuštění příkazu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka textů bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě funkce se příkaz použije okamžitě.


TopoGeo


Délka a směrník

Funkce počítá délku, směrník a souřadnicové rozdíly dx a dy mezi dvěma zadanými body. Jako první bod se sejme stanovisko, které zůstane pevné a dále lze měnit druhý orientační bod. Po zvolení zaškrtávací volby Počítat úhel program počítá úhel mezi naposledy zadanou orientací a nově zadávanými orientacemi.


Nový bod

Po volbě tohoto příkazu se objeví dialog pro zadání souřadnic nového bodu. Po zvolení zaškrtávacího tlačítka Přičítat XY se bude k zadaným souřadnicím bodu přičítat konstanta.


Polární metoda

Příkaz pro vkládání nových bodů pomocí délky a úhlu (úhly se zadávají v gradech 0 – 400g). Jako první bod se sejme stanovisko, odkud se budou měřit délky, a orientace, od které se budou počítat úhly. Po zadání orientace se zobrazí okno pro vkládání polárních prvků. Do políčka Směr na orientaci lze případně zadat směr, jestliže je směr na orientaci jiný než 0.


Ortogonální metoda

Příkaz pro vkládání nových bodů pomocí staničení a kolmice, které se počítají od zvolené měřické přímky. Nejdříve se zadá počáteční bod měřické přímky, pak koncový bod měřické přímky. Od této měřické přímky se počítá staničení a kolmice. Pro zadání bodu vpravo od základny má komice kladnou hodnotu. Příkaz má ještě volbu Ortogonální přímka, která se používá v případě, kdy měřická přímka je mimo zadané body původní měřické přímky nebo mezi body měřické přímky byla změřena oměrná jiná než je délka ze souřadnic. Pak je nutné parametry ortogonální přímky zadat.


Protínání z délek

Příkaz pro vkládání nových bodů pomocí délek. Po zvolení měřické přímky (1. bod a 2. bod) se zobrazí okno pro zadání jednotlivých délek od bodu 1a bodu 2. Lze určit stranu, kam se nový bod vytvoří.


Protínání z úhlů

Příkaz pro zadávání bodů pomocí úhlů. Po zvolení měřické přímky (1. bod a 2. bod) se zobrazí okno pro zadání jednotlivých úhlů od bodu 1a bodu 2. Úhly jsou vztaženy ke spojnici bodů 1 – 2 a předpokládají se vnitřní úhly. Úhly se zadávají v gradech. Lze určit stranu, kam se nový bod vytvoří.


Polární vytyčovací prvky

Příkaz pro výpočet polárních vytyčovacích prvků (délka a úhel). Po zadání stanoviska a orientace sejměte body, pro které chcete vypočítat vytyčovací prvky. Po ukončení vkládání bodů (Esc) se zobrazí dialogové okno Polární vytyčení, v kterém jsou dvě záložky. Na první záložce Parametry se definují parametry bodů a vytyčovacích prvků, které budou zobrazeny v protokolu o výpočtu polárních vytyčovacích prvků.

Seznam souřadnic ... vypíše seznam souřadnic sejmutých bodů včetně stanoviska a orientace.

Vytyčovací prvky ... vypíše protokol polárních vytyčovacích prvků.

Seznam souřadnic + vytyčovací prvky ... vypíše protokol polárních vytyčovacích prvků včetně souřadnic k jednotlivým sejmutým bodům.

Na druhé záložce Vytyčovací prvky se zobrazují sejmuté souřadnice bodů a k nim vypočítané vytyčovací prvky. Zobrazený křížek v tabulce u každého bodu znamená, že se tento bod uloží do protokolů, jinak se vynechá. Poklepáním se stav změní.

Protokoly vytyčovacích prvků se prohlížejí příkazem Zobraz protokoly z menu v TopoLu.


Ortogonální vytyčovací prvky

Příkaz pro výpočet ortogonálních vytyčovacích prvků (staničení a kolmice).

Po zadání stanoviska a orientace sejměte body, pro které chcete vypočítat vytyčovací prvky. Po ukončení vkládání bodů (Esc) se zobrazí dialogové okno Ortogonální vytyčení, v kterém jsou dvě záložky.

Na první záložce Parametry se definují parametry bodů a vytyčovacích prvků, které budou zobrazeny v protokolu o výpočtu ortogonálních vytyčovacích prvků.

Seznam souřadnic ... vypíše seznam souřadnic sejmutých bodů včetně stanoviska a orientace.

Vytyčovací prvky ... vypíše protokol ortogonálních vytyčovacích prvků.

Seznam souřadnic + vytyčovací prvky ... vypíše protokol ortogonálních vytyčovacích prvků včetně souřadnic k jednotlivým sejmutým bodům.

Na druhé záložce Vytyčovací prvky se zobrazují sejmuté souřadnice bodů a k nim vypočítané vytyčovací prvky. Zobrazený křížek v tabulce u každého bodu znamená, že se tento bod uloží do protokolů, jinak se vynechá. Poklepáním se stav změní.

Protokoly vytyčovacích prvků se prohlížejí příkazem Zobraz protokoly z menu v TopoLu.


Oměrky

Příkaz pro vkládání oměrných ke zvolené úsečce. Po zadání prvního a druhého bodu úsečky se zobrazí dialogové okno pro nastavení parametrů oměrky.

Knihovna ... typ knihovny, z které se bude brát styl textu.

Styl textu ... text, kterým se bude oměrka vypisovat.

Text ... text, který se objeví jako oměrka.

Ze souřadnic ... jestliže se použije tato volba, oměrka bude počítána přímo ze sejmutých souřadnic,

Znaky ... jaké znaky budou psány Před a Za textem oměrky, případně zda má být text oddělen od těchto znaků mezerou.

Odsazení textu ... o kolik bude text odsazen od zadané úsečky.

Podsazení textu ... text se bude kreslit pod zadanou úsečku.

Zarovnání ... způsob zarovnání textu ve smyslu k zadané úsečce.


Zobraz protokol

Příkaz pro zobrazení a editaci protokolů z příkazů TopoLu. Po aktivaci příkazu se zobrazí okno Protokoly, které slouží jako jednoduchý textový editor, v kterém se dají protokoly upravovat, ukládat do souboru nebo tisknout.

Popis menu:

Soubory:

Otevřít ... otevře soubor s protokoly (přípona *.ptk) nebo jakýkoli jiný textový soubor.

Uložit jako ... uloží upravovaný soubor.

Vzhled stránky ... otevře se okno pro úpravu vzhledu stránky při tisku.

Okraje stránky ... nastavují se okraje stránky pro tisk. Údaje jsou v počtu znaků nebo řádek.

Písmo pro tisk ... nastaví se písmo, jakým se bude soubor tisknout. Po změně písma se změní písmo i v okně Protokoly.

Záhlaví stránky ... nastavení popisu stránky. Popis se tiskne nahoře uprostřed. Tiskne se text vepsaný nebo vybraný v rozbalovacím seznamu. Do rozbalovacího seznamu se nový text uloží vyvoláním lokálního menu a zvolení příkazu Uložit.

Zápatí stránky ... nastavení číslování stránek.

Tisk zkušební stránky ... vytiskne jednu (první) stránku.

Tisk ... vytiskne text v editoru. Jestliže je v editoru nějaký text vybraný, vytiskne pouze tento vybraný text.

Zavřít protokoly ... zavře okno protokolů.

Edit:

Vyjmout, Kopírovat, Vložit ... příkazy pro práci se schránkou.

Vybrat vše ... vybere veškerý text v editoru.

Nastavit písmo ... nastavení velikosti a stylu písma, jakým se bude text v editoru zobrazovat a tisknout.

Hledat:

Najít ... otevře se standardní dialog pro zadání hledaného textu a po vložení textu se vyhledá příslušný text.

Najít další ... najde další výskyt textu zadaného v dialogu pro hledání textu.

Nahradit ... otevře se standardní dialog pro nahrazení textu.


Rušení objektů

Skupina příkazů umožňující rušit linie, body, plochy a texty různými nástroji.


Rušení v obdélníku s potvrzením

Příkaz umožní rušit linie, body, plochy a texty. Pokud zrušíme linii, která tvoří hranici plochy, je tato také zrušena.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Po potvrzení výběru se objeví dialog se seznamem vybraných objektů.

Při volbě objektu v levé části dialogu se tento v mapovém okně vysvítí, takže jej můžeme správně identifikovat. Můžeme také otevřít dialog Info o objektu pro zvolený objekt.

Můžeme zvolit všechny objekty, nebo pouze některé. TopoL zruší všechny označené a opět zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších objektů.


Rušení v obdélníku

Příkaz umožní rušit linie, body, plochy a texty. Pokud zrušíme linii, která tvoří hranici plochy, je tato také zrušena.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. TopoL zruší všechny z výběrového obdélníka a opět zobrazí výběrový obdélník umožňující pokračovat ve výběru dalších objektů.


Rušení vybraných

Příkaz umožní rušit vybrané (_SELECT=1) linie, body, plochy a texty. Pokud zrušíme linii, která tvoří hranici plochy, je tato také zrušena.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog, kde můžeme zvolit tabulky z bloku pro editaci, pro které se má operace provést.

Volbu tabulek můžeme provést ručně nebo pomocí funkcí lokálního menu, které se objeví po zmáčknutí tlačítka Předvolby.

  • Zvolit všechny tabulky

  • Nezvolit žádnou tabulku

  • Jen body

  • Jen linie

  • Jen plochy

  • Jen texty

Po potvrzení dialogu se rušení provede.


Rušení objektů pod plochami

Příkaz umožní rušit linie, body, plochy a texty, které jsou překryty zvolenými plochami. Pokud zrušíme linii, která tvoří hranici plochy, je tato také zrušena.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví dialog, kde můžeme zvolit parametry funkce.

V horní části dialogu můžeme zvolit blok ze seznamu bloků otevřených v projektu. V pravé části se potom vždy objeví seznam tabulek ploch ve zvoleném bloku. Tabulku ploch, pod kterými se objekty mají zrušit můžeme vybrat ručně nebo volbou všechny tabulky zvolit všechny tabulky automaticky. Funkce se provede pro všechny plochy ze zvolených tabulek nebo pouze pro vybrané (_SELECT=1).


Rušení tabulek

Příkaz umožní tabulku vektorových objektů (včetně objektů samotných) bloku pro editaci. Pokud zrušíme tabulku linií, budou zrušeny i plošné objekty, které jsou tvořeny liniemi patřícími do tabulky.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog, kde můžeme zvolit parametry funkce.

Volbu tabulek můžeme provést ručně nebo pomocí funkcí lokálního menu, které se objeví po zmáčknutí tlačítka Předvolby.

  • Zvolit všechny tabulky

  • Nezvolit žádnou tabulku

  • Jen body

  • Jen linie

  • Jen plochy

  • Jen texty

Po potvrzení dialogu se rušení tabulek provede.


Editace DB záznamu

Příkaz umožní editaci volitelných atributů vektorových objektů.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě příkazu se objeví v mapovém okně výběrový obdélník. Jestliže vybereme alespoň jeden objekt, první vybraný zabliká a objeví se dialog pro editaci volitelných DB atributů. Pokud objekt žádné nemá objeví se dialog přesto, ale lze měnit pouze atribut _SELECT (vybranost objektu).

V dialogu lze použít některou z následujících funkcí.

  • Posunout výřez dle zvoleného objektu

    změní výřez tak, aby zvolený objekt byl ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných objektů

    změní výřez tak, aby zvolený objekt se zadaným překryvem v procentech velikosti jeho opsaného obdélníka byla ve středu mapového okna

  • Zobraz vše

    nastaví výřez mapového okna tak, aby byly vidět všechny objekty v okně zobrazené

  • Předchozí výřez

    nastaví předchozí výřez mapového okna

  • Následující výřez

    nastaví následující výřez mapového okna, pokud jsme se někdy předtím vrátili zpět pomocí funkce předchozí výřez

  • Překreslit

    překreslí mapové okno

  • Zablikáním zvýraznit zvolený objekt

    zabliká se zvoleným objektem tak, abychom jej mohli snadněji identifikovat

Při editaci můžeme hodnoty jednotlivých atributů potvrzovat pomocí klávesy ENTER a TopoL automaticky skočí na další atribut. Po potvrzení posledního atributu skočí na tlačítko OK, které také můžeme potvrdit tlačítkem ENTER a celý záznam je uložen. Pokud jsme obdélníkem vybraly více objektů, je automaticky zpracován další ze seznamu vybraných. Pokud již v seznamu vybraných není žádný další, objeví se opět výběrový obdélník umožňující pokračovat ve výběru dalších objektů.

Jestliže jsou v Definici struktury projektu pro danou primární tabulku definovány nějaké restrikce na hodnoty pro jednotlivé atributy, dochází při každém pokusu o uložení změn hodnot atributu k jejich kontrole a v případě porušení restrikcí je zabráněno v uložení a případně i k posunu na jiný řádek. Uživatel je přitom upozorněn hlášením na nesoulad zadávaných hodnot. Pokud je restrikce zadána formou výčtu přípustných hodnot je při editaci dané položky tento výčet nabízen formou lokálního editoru ve formě výklopného seznamu.


Přepis položky

Příkaz umožní přepsat volitelný databázový atribut vektorových objektů výrazem jazyka ToPas.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro definici parametrů funkce.

V levé části dialogu musíme vybrat tabulku vektorových objektů a v pravé potom databázový atribut, který bude přepsán novou hodnotou. Výraz v jazyce ToPas je možno přímo vepsat do editační linky Definiční výraz nebo jej nadefinovat v editoru výrazů. Přepis lze provést pouze pro vybrané objekty.


Přenos atributů

Příkaz umožní přenést volitelné databázové atributy ze zdrojových vektorových objektů do cílových vektorových objektů v bloku pro editaci.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro definici parametrů funkce.

V levé části dialogu musíme zvolit zdrojovou tabulku a v pravé části cílovou tabulku. V levé části je seznam tabulek všech vektorových dat otevřených v projektu. V pravé části potom seznam tabulek bloku pro editaci.

Atributy lze přenést jen z vybraných objektů (_SELECT=1) a také jen do vybraných (_SELECT=1) objektů.

Lze přenášet objekty z různých typů objektů (bod, linie, plocha, text) do jiných typů. TopoL přitom pracuje tak, že

  • Bod, text - Plocha

    TopoL zjistí první plochu v cílové tabulce do které bod padne a do té atribut přenese

  • Linie - Plocha

    TopoL zjistí první plochu v cílové tabulce do které popisový bod linie padne a do té atribut přenese

  • Plocha - Plocha

    TopoL zjistí první plochu v cílové tabulce do které popisový bod plochy padne a do té atribut přenese

  • Plocha - Bod, Text

    TopoL zjistí první plochu v zdrojové tabulce do které bod padne a do té atribut přenese

  • Plocha - Linie

    TopoL zjistí první plochu v zdrojové tabulce do které popisový bod linie padne a do té atribut přenese

  • Plocha - Plocha

    TopoL zjistí první plochu v zdrojové tabulce do které popisový bod plochy padne a do té atribut přenese

  • Linie - Bod, Text

    TopoL zjistí první linii v zdrojové tabulce na které bod leží a do té atribut přenese

  • Bod, Text - Linie

    TopoL zjistí první linii v cílové tabulce na které bod leží a do té atribut přenese

Po volbě tlačítka Další se objeví druhá část dialogu, kde můžeme navolit způsob definice volitelných atributů pro přenos.

Můžeme volit z těchto možností:

  • Automaticky všechny sloupce ze zdrojové tabulky

    TopoL přenese všechny volitelné položky zdrojové tabulky, i když taková položka v cílové tabulce není vytvořena

  • Automaticky vybrané sloupce ze zdrojové tabulky

    Po zmáčknutí tlačítka Další můžeme zvolit ty položky zdrojové tabulky, které se mají přenést, i když taková položka v cílové tabulce není vytvořena

  • Mapování sloupců určit manuálně

    Po zmáčknutí tlačítka Další můžeme nadefinovat dvojice položek ze zdrojové a cílové tabulky

Pokud v cílové tabulce taková položka není a chceme ji přenést přiřadíme ji k textu <nový sloupec> v seznamu položek cílové tabulky.

Po potvrzení parametrů tlačítkem Dokončit, se provede přenos.


Aktualizace databázových tabulek

Některé volitelné tabulky vektorových dat jsou TopoLem vyplňovány automaticky. Například pokud tabulka ploch obsahuje položku "PLOCHA", ukládá se do ní automaticky výměra spočtená z grafické reprezentace. Je možné volit její ukládání v hektarech, arech, v kilometrech nebo metrech čtverečních (toto je možno nastavit příkazem Projekt - Vlastnosti projektu v sekci Automaticky vyplňované DB položky). Jestliže například změníme jednotky položek vyplňovaných automaticky, je potřeba provést aktualizaci databázových položek, aby se hodnoty příslušně přepočetly.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro volbu tabulek.

Volbu tabulek můžeme provést ručně nebo pomocí funkcí lokálního menu, které se objeví po zmáčknutí tlačítka Předvolby.

  • Zvolit všechny tabulky

  • Nezvolit žádnou tabulku

  • Jen body

  • Jen linie

  • Jen plochy

  • Jen texty

Po potvrzení dialogu se aktualizace.


Spojování bloků

Příkaz umožní spojit několik bloků do jednoho bloku. TopoL neřeší případné překryvy nebo nedokryvy. Nedojde také k prouzlování bloků navzájem.

Po volbě příkazu se objeví dialog na definici parametrů spojování.

V horní části je seznam bloků otevřených v projektu. Můžeme je vybrat ručně nebo zvolit jednu z možností Vybrat vše, Odvybrat vše, Invertovat výběr. Musíme definovat jméno nového bloku a souřadný systém tohoto bloku. Pokud máme zdrojové bloky v jiných souřadných systémech, je při přenosu do nového bloku také aplikována příslušná transformace.


Úprava dat

Umožní provést operace s liniemi a to změna topologie, spojování, generalizace a vkládání lomových bodů v jednom kroku.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog na definici parametrů funkce.

  • Uzlování netopologických linií

    převede netopologické linie na topologické (zauzluje je), TopoL použije parametry připojení nastavitelné ve funkci Editace – Parametry tvorby linií

  • Topologické na netopologické

    převede topologické linie na netopologické, pokud taková linie tvořila hranici plochy, je tato zrušena

  • Spojování linií všech druhů

    umožní spojit již existující linie, které splňují nadefinované podmínky. Spojují se pouze topologické linie, které tvoří uzel. Tato funkce má za úkol odstranit takzvané pseudo uzly (stýkají se v něm pouze dvě linie). Pokud linie tvoří skutečný uzel, tj. uzel kde se stýká více než dvě linie, ke spojení nedojde.

  • Generalizace linií

    vypustí nadbytečné lomové body

  • Vkládání nových lomových bodů

    vloží nový lomový bod na úsečku linie, pokud je délka úsečky větší než definovaná hodnota

Po potvrzení dialogu se příkaz provede.


Kopírování bloku

Umožní provést kopii bloku nebo jeho části, zároveň umožní provést některé operace s liniemi tohoto bloku jako změna topologie, spojování, generalizace a vkládání lomových bodů.

Po volbě příkazu se objeví dialog na definici parametrů funkce.

V horní části dialogu musíme vybrat blok, který se bude kopírovat, ze seznamu bloků otevřených v projektu. Je možno kopírovat jen vybrané objekty zdrojového bloku. Pokud chceme přenést plochy a nejsme si jisti, že jsme vybrali i linie, které tvoří jejich hranice, musíme také zapnout volbu Vybrat pouze linie tvořící hranice vybraných ploch. V tomto případě je TopoL vybere za nás.

Dále musíme definovat jméno nového bloku a souřadný systém tohoto bloku. Pokud máme zdrojový blok v jiných souřadných systémech, je při přenosu do nového bloku také aplikována příslušná transformace.

Zároveň je možno provést tyto operace s liniemi

  • Uzlování netopologických linií

    převede netopologické linie na topologické (zauzluje je), TopoL použije parametry připojení nastavitelné ve funkci Editace – Parametry tvorby linií

  • Topologické na netopologické

    převede topologické linie na netopologické, pokud taková linie tvořila hranici plochy, je tato zrušena

  • Spojování linií všech druhů

    umožní spojit již existující linie, které splňují nadefinované podmínky. Spojují se pouze topologické linie, které tvoří uzel. Tato funkce má za úkol odstranit takzvané pseudo uzly (stýkají se v něm pouze dvě linie). Pokud linie tvoří skutečný uzel, tj. uzel kde se stýká více než dvě linie, ke spojení nedojde.

  • Generalizace linií

    vypustí nadbytečné lomové body

  • Vkládání nových lomových bodů

    vloží nový lomový bod na úsečku linie, pokud je délka úsečky větší než definovaná hodnota

Po potvrzení dialogu se příkaz provede.


Transformace bloku

Příkaz provede transformaci bloku označeného pro editaci pomocí zvolené transformační metody (koeficienty jsou vypočítané na základě sejmutých identických bodů) a uloží ho pod novým jménem. Je možno použít tyto transformační metody:

  • shift (posun, minimálně 1 identický bod)

  • rotace a posun

    (rotace a posun, minimálně 2 identické body)

  • posunem

    (minimálně 1 identický bod)

  • podobnostní transformací

    (posun, rotace, konstantní změna měřítka stejná pro obě osy X,Y; minimálně 2 identické body)

  • afinní transformací

    (posun, rotace, konstantní změna měřítka rozdílná pro osu X a Y; minimálně 3 identické body)

  • kolineární transformací

    (posun, rotace, proměnná změna měřítka rozdílná pro osu X a Y; minimálně 4 identické body)

  • polynomickou transformací druhého stupně

    (nelineární transformace; minimálně 6 identických bodů)

  • polynomickou transformací třetího stupně

    (nelineární transformace; minimálně 10 identických bodů).

Příkaz uloží transformovaný blok pod novým zadaným jménem. Jinými slovy, tento příkaz umístí blok do nové polohy na základě identických bodů, tj. bodů, jejichž souřadnice jsou známé jak ve staré (zdrojové) tak nové (cílové) poloze (soustavě).

Po vyvolání příkazu se otevře dialogové okno pro specifikaci způsobu, jakým se budou vybírat identické body a jak bude sběr probíhat.

Prostřednictvím kontrolního přepínače lze zvolit jednu z následujících voleb pro způsob snímání identických bodů:

  • Načti z textového souboru

    Po potvrzení dialogu s tímto nastavením, systém otevře standardní dialog pro výběr souboru. Zadáme soubor, který obsahuje souřadnice cílových identických bodů zapsaných pomocí položek identifikačního čísla, Y, X (pořadí je důležité a hodnoty musí být oddělené alespoň jednou mezerou). Po potvrzení dialogu systém přejde do režimu snímání, postupně zobrazuje identifikační čísla cílových identických bodů a očekává vždy sejmutí příslušného bodu zdrojového.

  • Načti z DBF

    Po potvrzení dialogu s tímto nastavením, systém otevře standardní dialog pro výběr souboru. Zadáme soubor, který obsahuje souřadnice cílových identických bodů zapsaných pomocí položek CISLO, Y, X (na pořadí nezáleží). Po potvrzení dialogu systém přejde do režimu snímání, postupně zobrazuje identifikační čísla cílových identických bodů a očekává vždy sejmutí příslušného bodu zdrojového.

  • Mapové listy

    Po výběru systému mapových listů a potvrzení dialogu s tímto nastavením, systém otevře dialog pro zadání jména mapového listu. Dialog obsahuje výběrové pole Název mapy pro identifikaci mapového listu v rámci kladů v S&#8209;JTSK. Název mapy vyhledáme v seznamu sídel. Po jeho zadání systém přejde do režimu snímání a očekává postupné sejmutí zdrojových bodů odpovídající rohům vybraného mapového listu a to v tomto pořadí: levý horní roh, pravý horní roh, levý dolní roh a pravý dolní roh.

  • Obdélník

    Po potvrzení dialogu s tímto nastavením, systém otevře dialog pro specifikaci cílového obdélníka. Do editačních linek dialogu zadáme parametry:

    Y - horizontální souřadnice pravého horního rohu,

    X - vertikální souřadnice pravého horního rohu,

    Výška – výška obdélníku,

    Šířka – šířka obdélníku.

    Po potvrzení dialogu pro specifikaci cílového obdélníka systém přejde do režimu snímání a očekává sejmutí zdrojových identických bodů, které odpovídají rohům obdélníka, a to v tomto pořadí: levý horní, pravý horní, levý dolní, pravý dolní.

  • Sejmi pro obě soustavy

    Po potvrzení dialogu s tímto nastavením systém přejde do režimu snímání a očekává sejmutí cílové a zdrojové polohy identického bodu. Sejmeme tolik identických bodů, kolik potřebujeme, a otevřeme transformační tabulku (pomocí tlačítka Esc, nebo přes lokální menu).

  • Načti transformační tabulku

    Po potvrzení dialogu s tímto nastavením, systém otevře standardní dialog pro výběr souboru. Zadáme soubor obsahující transformační tabulku, podle které chceme provést transformaci. Systém poté otevře dialog s transformační tabulkou.

V druhé části dialogu jsou možnosti umožňující definovat jak bude sběr probíhat:

  • Otevřít okno pro zdrojová data

    Po potvrzení dialogu s tímto nastavením, systém otevře nové mapové okno, ve které bude zobrazen pouze transformovaný blok. Toto okno potom slouží pro sejmutí souřadnic identických bodů ve zdrojové soustavě.

  • Automatický přesun

    Při tomto nastavení se systém snaží automaticky najíždět na přibližnou polohu identického bodu ve zdrojové soustavě. Aby systém začal fungovat musí být sejmuty alespoň 2 identické body v obou soustavách.

  • Automaticky schovávat dialog při snímání

    Při tomto nastavení se dialog s transformační tabulkou automaticky zavře při přechodu do snímání souřadnic identických bodů. Pokud toto nastavení není zvoleno, zůstává vždy navrchu. Můžeme zde potom například sledovat odchylky na jednotlivých identických bodech přímo při snímání.

Dialog transformační tabulky umožňuje nastavit typ transformace, přepočítat transformační klíč podle nově nastaveného typu transformace, přidávat a editovat zdrojové a cílové identické body atd.

Jednotlivé funkce je možno volat z menu nebo pomocí ikon. Jedná se o tyto příkazy

  • Soubory

    V této části je možno volat funkce pro dodatečné načtení cílových souřadnic do transformační tabulky metodami, které bylo možno použít v prvním dialogu (Načti z textového souboru, Načti z DBF, Načti transformační tabulku, Obdélník, Mapové listy). Pomocí příkazu Jméno transformační tabulky je možno definovat nové jméno transformační tabulky. Příkaz Ulož a transformuj potom po uložení hodnot umožní pokračovat v transformaci.

  • Vlícovací bod

    Nový

    Definice nového identického bodu jeho jménem, vahou a cílovými souřadnicemi. Maximální počet identických bodů je 300

    Edituj

    Editace jména, váhy, cílových a zdrojových souřadnic vybraného identického bodu.

    Sejmi pro obě soustavy

    Sejmutí cílových i zdrojových souřadnic identických bodů v mapových oknech. Systém začne se snímáním u vybraného bodu a potom pokračuje s dalším dle seznamu v tabulce. Pro grafické snímání z obrazovky je výhodné používat lupu, která zobrazí zvětšené okolí snímaného bodu, a chytání.

    Sejmi pro zdrojovou

    Sejmutí cílových i zdrojových souřadnic identických bodů v mapových oknech. Systém začne se snímáním u vybraného bodu a potom pokračuje s dalším dle seznamu v tabulce.

    Oprav cílovou

    Sejmutí cílových souřadnic vybraného identického bodu.

    Oprav zdrojovou

    Sejmutí zdrojových souřadnic vybraného identického bodu.

    Ukonči snímání

    Ukončí snímání.

    Smaž

    Smaže vybraný identický bod.

    Smaž vše Smaže všechny body.

    Zapni

    Zapne vybraný identický bod, takže je použit pro výpočet koeficientů transformačního klíče.

    Vypni

    Vypne vybraný identický bod, takže není použit pro výpočet koeficientů transformačního klíče.

  • Tabulka

    Skryj tabulku

    Pokud jsme nezapnuli automatické schovávání dialogu při snímání, můžeme ho takto schovat, abychom měli větší přehled na obrazovce při snímání.

Po uzavření dialogu s transformační tabulkou funkcí Soubor – Ulož a transformuj se objeví dialog, pro definici jména transformovaného bloku.


Uložení Z-ové souřadnice do DB

Příkaz umožňuje vybraný databázový atribut naplnit hodnotami z interní souřadnice "Z" u 3D dat. Operace se týká bloku dat nastaveného pro editaci. Po spuštění se v dialogu nastaví parametry operace.

Dialog pro Uložení Z-ové souřadnice do DB
Blok - databáze nastavená pro editaci

Informace o tom, kterého bloku či jiné databáze se operace týká.

Body

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme naplňovat vybraný atribut ze Z souřadnice pro body.

Pouze vybrané

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými bodovými objekty nebo jen s vybranými.

Druh bodů

Seznam obsahující nabídku tabulek s body ve vybraném "bloku" dat. Po výběru tabulky lze vybrat též databázový atribut, který se naplní hodnotami Z-ové souřadnice.

Položka pro výšku

Z nabídky, která se aktivuje vždy po změně výběru tabulky bodů, zvolíme položku, do které se uloží informace o výškové souřadnici.

1. druh linií

Zaškrtnutím kontrolního tlačítka zadáme, zda budeme ukládat Z-ové souřadnice pro linie z určité tabulky. Tu je možno vybrat ze seznamu obsahující nabídku tabulek s liniemi ve vybraném "bloku" dat. Databázový atribut, do kterého se budou načítat Z-ové souřadnice je nutno vybrat z výklopného seznamu vpravo. Lze vybrat dvě nezávislé tabulky - tento přepínač je možno kombinovat s následujícím přepínačem.

2. druh linií

Zaškrtnutím kontrolního tlačítka zadáme, zda budeme ukládat Z-ové souřadnice pro další tabulku linií, kterou je možno vybrat z druhého seznamu obsahující nabídku tabulek s liniemi ve vybraném "bloku" dat.

Pouze vybrané linie

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými liniovými objekty z tabulky 1 a 2, nebo jen s vybranými liniemi.

Po potvrzení tlačítkem OK dojde k provedení operace, kterou lze následně vrátit zpět operací Undo.


Načtení Z-ové souřadnice z DB

Příkaz uloží vybraný databázový atribut jako nové hodnoty pro interní souřadnici "Z" u 3D dat. Operace se týká bloku dat nastaveného pro editaci. Po spuštění se v dialogu nastaví parametry operace.

Dialog pro Načtení Z-ové souřadnice z DB
Blok - databáze nastavená pro editaci

Informace o tom, kterého bloku či jiné databáze se operace týká.

Body

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme naplňovat Z-ové souřadnice pro body.

Pouze vybrané

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými bodovými objekty nebo jen s vybranými.

Druh bodů

Seznam obsahující nabídku tabulek s body ve vybraném "bloku" dat. Po výběru tabulky lze vybrat též databázový atribut, ze kterého bude naplněna Z-ová souřadnice.

Položka pro výšku

Z nabídky, která se aktivuje vždy po změně výběru tabulky bodů, zvolíme položku nesoucí informace o výškové souřadnici.

1. druh linií

Zaškrtnutím kontrolního tlačítka zadáme, zda budeme načítat Z-ové souřadnice pro linie z určité tabulky. Tu je možno vybrat ze seznamu obsahující nabídku tabulek s liniemi ve vybraném "bloku" dat. Databázový atribut, ze kterého se budou načítat Z-ové souřadnice je nutno vybrat z výklopného seznamu vpravo. Lze vybrat dvě nezávislé tabulky - tento přepínač je možno kombinovat s následujícím přepínačem.

2. druh linií

Zaškrtnutím kontrolního tlačítka zadáme, zda budeme načítat Z-ové souřadnice pro další tabulku linií, kterou je možno vybrat z druhého seznamu obsahující nabídku tabulek s liniemi ve vybraném "bloku" dat.

Pouze vybrané linie

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými liniovými objekty z tabulky 1 a 2, nebo jen s vybranými liniemi.

Po potvrzení tlačítkem OK dojde k provedení operace, kterou lze následně vrátit zpět operací Undo.


Změna Z-ové souřadnice

Příkaz umožňuje změnit interní souřadnice "Z" u 3D dat matematickou operací. Operace se týká bloku dat nastaveného pro editaci. Po spuštění se v dialogu nastaví parametry operace.

Dialog pro Změnu Z-ové souřadnice matematickou operací
pro body

Při zaškrtnutí přepínače se operace provede pro bodové objekty

pro linie

Při zaškrtnutí přepínače se operace provede pro liniové objekty

po texty

Při zaškrtnutí přepínače se operace provede pro textové objekty

pouze pro vybrané objekty

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými objekty nebo jen s vybranými.

Z =

Z nabídky se vybere jedna z možných matematických operací, která se použije pro změnu Z-ové souřadnice.

hodnota

Číselný údaj, který se použije pro změnu Z-ové souřadnice. Hodnota se buď přičte, odečte od původní Z-ové souřadnice, popř. ji nahradí (poslední varianta - hodnota).

Po potvrzení tlačítkem OK dojde k provedení operace, kterou lze následně vrátit zpět operací Undo.


Načtení Z-ové souřadnice z DMT

Příkaz umožňuje změnit interní souřadnice "Z" u 3D dat na základě digitálního modelu terénu. Operace se týká bloku dat nastaveného pro editaci. po spuštění se v dialogu nastaví parametry operace.

Dialog pro Načtení Z-ové souřadnice z DMT
Vstupní soubor - DEM

Editační linka pro zadání vstupního souboru digitálního modelu terénu, ze kterého se budou odečítat Z-ové souřadnice. Může to být DMT v rastrovém formátu RAS nebo digitální model terénu ATLAu (.trj).

Body

Při zaškrtnutí přepínače se operace provede pro bodové objekty

Jen vybrané

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi body nebo jen s vybranými.

Linie

Při zaškrtnutí přepínače se operace bude provádět pro linie

Jen vybrané linie

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi liniemi nebo jen s vybranými.

Přičítat hodnotu

Číselný údaj, který se použije pro změnu Z-ové souřadnice. Hodnota se přičte k původní Z-ové souřadnici.

Po potvrzení tlačítkem OK dojde k provedení operace, kterou lze následně vrátit zpět operací Undo.


Obdélníková síť bodů/linií s otočením

Operace se týká bloku dat nastaveného pro editaci. Vloží se do něj obdélníková síť bodů nebo linií, která bude otočena oproti svislé souřadné ose o zadaný úhel. Po spuštění se v dialogu nastaví parametry operace.

Dialog pro operaci Obdélníková síť bodů/linií s otočením
Počátek sitě

Dvě editační linky pro zadání horizontální a vertikální souřadnice bodu, který bude počátkem vytvářené sítě.

Graficky

Po aktivaci tohoto tlačítka lze zadat počátek vytvářené sítě graficky v mapovém okně (možnost chytat se na již existující objekty).

Rozteč a šířka sítě

Čtyři editační linky pro zadání horizontální a vertikální rozteče a celkové šířky vytvářené sítě.

Úhel otočení

Editační linka pro zadání směru vytvářené sítě (ve stupních od svislé souřadné osy).

Graficky

Po aktivaci tohoto tlačítka lze zadat směr vytvářené sítě graficky v mapovém okně (možnost chytat se na již existující objekty).

Liniová síť

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude vytvářet obdélníková síť linií. V opačném případě se vytvoří bodová síť.

Po potvrzení tlačítkem OK systém nabídne dialog pro výběr, resp. tvorbu tabulky objektů, do které se nově vkládané prvky vloží. Pak dojde k provedení operace, kterou lze následně vrátit zpět operací Undo.


Změna barvy u vybraných

Umožní provést změnu barvy u vybraných (_SELECT=1) objektů bloku pro editaci.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog na definici tabulek bloku pro editaci, pro které se operace provede.

Volbu tabulek můžeme provést ručně nebo pomocí funkcí lokálního menu, které se objeví po zmáčknutí tlačítka Předvolby.

  • Zvolit všechny tabulky

  • Nezvolit žádnou tabulku

  • Jen body

  • Jen linie

  • Jen plochy

  • Jen texty

Po potvrzení dialogu se příkaz provede. Jako nová barva vybraných objektů je použita barva definovaná příkazem Editace – Barva a značka bodu, linie, plochy.


Změna značky u vybraných

Umožní provést změnu značky u vybraných (_SELECT=1) objektů bloku pro editaci.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog na definici tabulek bloku pro editaci, pro které se operace provede.

Volbu tabulek můžeme provést ručně nebo pomocí funkcí lokálního menu, které se objeví po zmáčknutí tlačítka Předvolby.

  • Zvolit všechny tabulky

  • Nezvolit žádnou tabulku

  • Jen body

  • Jen linie

  • Jen plochy

  • Jen texty

Po potvrzení dialogu se příkaz provede. Jako nová značka vybraných objektů je použita značka definovaná příkazem Editace – Barva a značka bodu, linie, plochy.


Změna barvy a značky u vybraných

Umožní provést změnu barvy a značky u vybraných (_SELECT=1) objektů bloku pro editaci.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog na definici tabulek bloku pro editaci, pro které se operace provede.

Volbu tabulek můžeme provést ručně nebo pomocí funkcí lokálního menu, které se objeví po zmáčknutí tlačítka Předvolby.

  • Zvolit všechny tabulky

  • Nezvolit žádnou tabulku

  • Jen body

  • Jen linie

  • Jen plochy

  • Jen texty

Po potvrzení dialogu se příkaz provede. Jako nová barva a značka vybraných objektů je použita barva a značka definovaná příkazem Editace – Barva a značka bodu, linie, plochy.


Zápis barev značek

Tento příkaz umožňuje zapsat aktuálně zobrazenou barvu a značku v aktivním mapovém okně vektorových objektů bloku pro editaci do atributů (_COLOR, _SYMBOL). Pokud potom u tabulek tohoto bloku nastavíme zobrazování barev a značek dle TopoLu. Barvy a značky budou identické s barvami a značkami použitými pro zobrazení v době spuštění příkazu.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci, nebo pokud není žádná tabulka bloku pro editaci zobrazena v aktivním mapovém okně.

Po volbě funkce se příkaz použije okamžitě.


Vytvoření nové tabulky

Umožní definovat nové tabulky (druhy) v bloku pro editaci.

Tuto funkci nelze spustit pokud nemáme žádný blok nastavený pro editaci.

Po volbě příkazu se objeví dialog pro definici nové tabulky.

Nejprve musíme zvolit typ grafického objektu (bod, linie, plocha, text), jméno tabulky a to dle druhu (číslem druhu), z předdefinovaných (vybereme ze seznamu předefinovaných tabulek příkazem Projekt – Definice struktury projektu). Pro každou tabulku (druh) objektů příslušného typu můžeme nadefinovat libovolné databázové položky. Jednotlivé objekty pak v rámci své tabulky udržují vazbu na určitý záznam databáze pomocí položky "CISLO", "NUMBER" nebo "NUMMER", do které se automaticky zapíše tzv. „rodné číslo“, čili jednoznačný číselný identifikátor objektu daného typu. Položku CISLO vytváří sám TopoL. Dále můžeme definovat libovolné numerické a textové položky pro ukládání popisových údajů. Pokud tabulka připojená k plochám obsahuje položku "PLOCHA", ukládá se do ní automaticky výměra spočtená z grafické reprezentace. Je možné volit její ukládání v hektarech, arech, v kilometrech nebo metrech čtverečních (toto je možno nastavit příkazem Projekt - Vlastnosti projektu v sekci Automaticky vyplňované DB položky). Pokud tabulka připojená k liniím obsahuje položku "DELKA", ukládá se do ní spočtená délka linie ve metrech nebo kilometrech, atd.. Tyto volitelné databázové položky je možno definovat pokud v dialogu pro tvorbu nové tabulky zapneme volbu Tabulka má nepovinné sloupečky a zmáčkneme tlačítko Další.

V tom případě se dostaneme do části definice, kde můžeme definovat strukturu tabulky (přidávat, upravovat již definované, mazat). Lze ji také automaticky načíst z již existujícího crt souboru (textový soubor sloužící pro definici struktury) nebo dbf souboru. Pokud je struktura nadefinovaná můžeme ji uložit do crt souboru, který potom můžeme použít při definici stejné struktury u jiné tabulky nebo bloku. Pokud jsme v příkazu Projekt – Definice struktury projektu pro danou tabulku předefinovali i její DB strukturu je toto automaticky načteno a nemusíme ji definovat.

Pokud chceme změnit strukturu již existující tabulky, musíme mít daný blok nastaven pro editaci a potom přes lokální menu stromečku dat v projektu zavolat příkaz Změna struktury. Zde potom můžeme editovat strukturu.


Nastavení


Barva a značka bodu

Příkaz umožní nadefinovat aktuální barvu a značku bodu. Ty budou potom použity při tvorbě nového bodového objektu.

Po volbě příkazu se objeví dialog, kde můžeme definovat barvu a značku nových bodů.

Barvu můžeme vybrat z předdefinovaných nebo si vytvořit v standardním Windows dialogu barvu vlastní, která se přidá do seznamu standardních barev. Takovouto barvu potom můžeme z tohoto seznamu znova vymazat.

V případě volby značky bodu musíme zvolit knihovnu značek, a potom můžeme vybrat ze seznamu značek této knihovny. V seznamu knihoven značek je vždy standardní knihovna značek TopoLu. Uživatelské knihovny se dají do projektu naimportovat nebo přidat funkcí Nástroje – Knihovny značek. Pokud si zvolíme značku z uživatelské knihovny, musíme pro její správné zobrazení v mapovém okně zaručit, že bude tato knihovna také zvolena pro zobrazování tabulky bodů, do které nový bod náleží. To lze zaručit například tím, že ve funkci Nástroje – Převodníky značek zvolíme tuto jako implicitní.


Barva a značka linie

Příkaz umožní nadefinovat aktuální barvu a značku linie. Ty budou potom použity při tvorbě nového liniového objektu.

Po volbě příkazu se objeví dialog, kde můžeme definovat barvu a značku nových linií.

Barvu můžeme vybrat z předdefinovaných nebo si vytvořit v standardním Windows dialogu barvu vlastní, která se přidá do seznamu standardních barev. Takovouto barvu potom můžeme z tohoto seznamu znova vymazat.

V případě volby značky linie musíme zvolit knihovnu značek, a potom můžeme vybrat ze seznamu značek této knihovny. V seznamu knihoven značek je vždy standardní knihovna značek TopoLu. Uživatelské knihovny se dají do projektu naimportovat nebo přidat funkcí Nástroje – Knihovny značek. Pokud si zvolíme značku z uživatelské knihovny, musíme pro její správné zobrazení v mapovém okně zaručit, že bude tato knihovna také zvolena pro zobrazování tabulky linií, do které nová linie náleží. To lze zaručit například tím, že ve funkci Nástroje – Převodníky značek zvolíme tuto jako implicitní.


Barva a značka plochy

Příkaz umožní nadefinovat aktuální barvu a značku plochy. Ty budou potom použity při tvorbě nového plošného objektu.

Po volbě příkazu se objeví dialog, kde můžeme definovat barvu a značku nových ploch.

Barvu můžeme vybrat z předdefinovaných nebo si vytvořit v standardním Windows dialogu barvu vlastní, která se přidá do seznamu standardních barev. Takovouto barvu potom můžeme z tohoto seznamu znova vymazat.

V případě volby značky plochy musíme zvolit knihovnu značek, a potom můžeme vybrat ze seznamu značek této knihovny. V seznamu knihoven značek je vždy standardní knihovna značek TopoLu. Uživatelské knihovny se dají do projektu naimportovat nebo přidat funkcí Nástroje – Knihovny značek. Pokud si zvolíme značku z uživatelské knihovny, musíme pro její správné zobrazení v mapovém okně zaručit, že bude tato knihovna také zvolena pro zobrazování tabulky ploch, do které nová plocha náleží. To lze zaručit například tím, že ve funkci Nástroje – Převodníky značek zvolíme tuto jako implicitní.


Parametry chytání

Umožní nastavit hodnotu pro přichytávání kurzoru k jiným objektům a objekt, ke kterému se kurzor bude přichytávat.

Po vyvolání příkazu se otevře dialog, kde můžeme nastavit parametry chytání.

Lze zde nastavit zda je chytání povoleno a do editační linky Mez přichytávání vepíšeme hodnotu meze přichytávání v metrech.

TopoL pracuje ve dvou módech. První je chytnout na nejbližší bod. V tomto případě systém najde “nejbližší polohu“ z povolených objektů pro chytání. TopoL ale bere v úvahu také prioritu jednotlivých objektů. Nejvyšší prioritu má síť, bodový a textový objekt, konec linie, lomový bod linie a obrysu ploch a nakonec tělo linie a obrysu ploch. To znamená, že pokud je v mezi chytání bod a lomový bod linie, bude vzata poloha bodu přestože je lomový bod linie blíž. Nebo pokud je v mezi chytání konec linie a lomový bod linie, bude vzata poloha konce linie přestože je lomový bod linie blíž.

Druhý mód je potom nabídnout nejbližší body. V tomto případě TopoL zobrazí seznam nejbližších bodů a my můžeme dvojklikem vybrat ten, který nám nejvíc vyhovuje.

V seznamu jsou polohy objektů nalezených v mezi chytání, maximálně však počet definovaný v editační lince počet nabízených bodů. Při kliknutí na bod v seznamu se tento vysvítí v mapovém okně, takže jej můžeme snadno identifikovat.

Ve spodní části dialogu se nacházejí kontrolní tlačítka pro nastavení objektu, ke kterému se bude kurzor přichytávat. Potvrdíme jednu nebo více z následujících voleb:

  • Chytat síť

  • Chytat body

  • Chytat konce linie

  • Chytat lomové body linie

  • Chytat tělo linie

  • Chytat texty

  • Chytat lomové body obrysů ploch

  • Chytat tělo obrysů ploch

  • Chytat průsečíky linií

  • Chytat středy linií

  • Chytat na linii dle Z (jen pro Stereo mód)

Při zapnuté volbě chytání těla linie, je možno ještě zapnout chytat pod pravým úhlem. V tomto případě TopoL najde při definování liniové úsečky takovou polohu na chycené linii, aby chycená linie a úsečka nové linie svíraly pravý úhel.

V nejspodnější části dialogu se nachází skupina kontrolních přepínačů pro výběr jedné z možností, která určuje jaké souřadnice operace vrací. Potvrdíme jednu z následujících voleb:

  • X, Y, Z - kromě X, Y se vrací i hodnota Z (získaná příp. interpolací)

  • X, Y - vrací se hodnota X, Y (pro 3D data se jako Z vrací vždy 0)

  • Z - pro vstup dat se použije pouze chytání na hodnotu Z, ostatní dvě souřadnice zůstávají tak, jako kdyby chytání nebylo zapnuto

V druhé záložce dialogu Parametry chytání je možno nastavit zda chceme kolem kurzoru zobrazovat kružnicí mez chytání a zda chceme zobrazovat body, na které je možno se chytit a jejich počet.

Při definici polohy bodu, lomového bodu atd. je možno chytání dočasně vypnout tím, že podržíme tlačítko Shift.


Parametry tvorby linií

Umožní nastavit parametry tvorby nových liniových objektů.

Po volbě příkazu se objeví dialog, který umožní tyto parametry nastavit.

  • Mez generalizace

    vypouštění nadbytečných lomových bodů , TopoL pro každý lomový bod linie zjistí jeho kolmou vzdálenost od spojnice dvou sousedních lomových bodů (předcházejícího a následujícího). V případě, že je tato vzdálenost menší než zadaná mez generalizace, TopoL daný lomový bod zruší

  • Mez připojení

    při zapracování právě vytvářené linie do bloku pro editaci se počítá vzdálenost některého koncového lomového bodu od libovolné jiné linie. Pokud je menší než hodnota zadané meze připojování, potom se lomový bod nové linie na takovouto linii napojí. Způsob jakým se připojení provede závisí na nastaveném způsobu připojeni

  • Minimální délka linie

    při zapracování právě vytvářené linie do bloku se může stát, že se linie rozlomí (vytvoří uzel s jinou linií) na dvě linie. Pokud je jakákoliv z takto vzniklých linií kratší než definovaná délka, není tato vytvořena

  • Metoda připojení linií

    při zapracování právě vytvářené linie do bloku pro editaci se počítá vzdálenost některého koncového lomového bodu od libovolné jiné linie. Pokud je menší než hodnota zadané meze připojování, potom se lomový bod nové linie na takovouto linii napojí. Záleží ale také na této metodě připojení

  • Průběžně uzlovat

    definuje pokud se budou vytvářet topologické linie. Topologické linie, jsou linie, které mohou vytvořit uzel s jinými liniemi nebo sami se sebou a mohou tak být hranicemi ploch. Netopologické linie netvoří uzly a nemohou tak být hranicemi ploch.

  • Solo linie

    toto umožníme tehdy, pokud chceme vytvářet topologické linie, které smí vytvořit uzel pouze sami se sebou. Jedná se, ale o informaci, kterou si linie sebou nenese. Jestliže tuto možnost vypneme a přetneme tuto linii jinou topologickou linií, uzel se vytvoří. Tento způsob je vhodný, jestliže chceme vytvořit navzájem se překrývající plochy.

  • Maximální počet vrcholů u nových linií

    pokud vytváříme novou linii a tato má více než maximální počet lomových bodů, bude automaticky rozseknuta na více linií (s maximálním počtem lomových bodů) ještě před jejím zapracováním, toto má pomocí pro zvýšení rychlosti při uzlování

Metody připojení

- - - - - -

Linie se k sobě nepřipojují

+ - - - - +

Koncové body nově zpracovávané linie se připojí ke koncovým bodům linií starých, pokud takové body leží v okolí udaném mezí připojení.

#- - - - #

Koncové body nově zpracovávaných linií se připojují jak ke koncům, tak k tělu staré linie (po kolmici), pokud takové body resp. tělo linie leží v okolí udaném mezí připojení.

#++++#

Zahrnuje předcházející způsob a navíc se koncové body "starých" linií připojí ke koncovým bodům nebo k tělu (po kolmici) nově zpracovávané linie, pokud v zadaném okolí těchto koncových bodů leží koncové body resp. tělo některé nové linie.


Vlastnosti editace

Umožní nastavit parametry, které ovlivňují sběr lomových bodů nových liniových objektů a definici úhlu natočení bodových objektů.

Po volbě příkazu se objeví dialog, který umožní tyto parametry nastavit.

V záložkách Linie – Konstantní úhel a Linie – Konstantní vzdálenost je možno nastavit chování při sběru lomových bodů nových liniových objektů. Konstantní úhel zabezpečí, aby dvě sousední úsečky linie svíraly definovaný úhel.

Konstantní vzdálenost potom zabezpečí, aby měly úsečky linie, vždy stejnou definovanou délku.

V záložce Body – Úhel bodu potom můžeme nastavit jak bude při sběru bodových objektů definován úhel natočení.

Je zde možno nastavit úhel bodu číselně. Dále je možno nastavit, že pokud se při určování úhlu bodu graficky chytneme se na liniový objekt, TopoL spočte úhel bodu tak, že je bodová značka bude vykreslena kolmo k linii.


Lupa

Umožňuje nastavit lokální zvětšeni (lupu) při sběru dat v mapovém okně. Lupu můžeme zapnout ne vypnout podle toho jak se nám to právě hodí. Zvětšení lupy je možno nastavit v menu Nástroje – Možnosti v sekci Editace – Lupa. Kromě zvětšení je zde ještě možno zapnout chytání na binární rastr při použití lupy.

Pokud je lupa zobrazena, je možno také provést zvětšení (klávesa PageUp nebo držíme klávesu Ctrl a točíme kolečkem na myši) a zmenšení (klávesa PageDown nebo držíme klávesu Ctrl a točíme kolečkem na myši) měřítka. Můžeme také posunout výřez a to buď pomalu (šipky klávesnice) nebo rychle (držíme klávesu Ctrl a šipky klávesnice).


Vyčistit interní paměť

Příkaz slouží k přeuspořádání paměti používané systémem. Systém se snaží uvolnit nepoužívané oblasti paměti a snaží se zamezit roztříštění volné paměti na velmi malé kusy. Informace o aktuálním stavu využití dostupné paměti se udává v procentech na informační liště systému v její levé části.


Undo

Umožňuje při editaci vektorových objektů provést libovolný počet kroků zpět.

Pokud nemáme žádný blok nastavený pro editaci objeví se po spuštění této funkce hláška Žádná databáze není nastavena pro editaci.

Po spuštění funkce se objeví dialog, kde můžeme vidět jednotlivé editační kroky vztažené k bloku pro editaci.

Po kliknutí na řádku, která značí, že chceme provést krok zpět po tento editační krok včetně, se označí tlačítku Undo číslem kroku. Po volbě tohoto tlačítka se dialog zavře, kroky zpět provedou a mapová okna se překreslí. TopoL umožňuje také definovat záložku. Jestliže jsme si jisti, že stávající stav je v pořádku a chceme provést nějakou operaci, kdy nevíme jestli nám stav po změně bude plně vyhovovat je vhodné si nadefinovat záložku. Pokud nám potom nebude nový stav vyhovovat a chceme se vrátit na začátek a zkusit udělat jiné úpravy, můžeme jednoduše najít záložku a provést kroky zpět až k ní.


Undo poslední krok

Umožňuje při editaci vektorových objektů vrátit poslední editační krok (některé hromadné operace jsou brány jen jako jediná operace) zpět. Příkaz se ihned provede.

Pokud nemáme žádný blok nastavený pro editaci objeví se po spuštění této funkce hláška Žádná databáze není nastavena pro editaci.


Kapitola 9. Operace s rastrovými daty

Obsah

Dialog pro výběr rastru
Informace o rastru
Ulož rastr jako
Otevření více rastrů
Geometrické operace
Transformace rastru
Transformace do jiného souřadného systému
Transformace rastru po částech
Transformace celého rastru po částech
Umístění rastru
Roh a šířka rastrového souboru
Bod a vzdálenost
Otočení rastru
Výřez rastru
Zrcadlení horizontální
Zrcadlení vertikální
Maskování rastru
Maskování rastru dle ploch
Mozaika
Parametry rastru
Typ rastrového souboru
Mozaika do mapových listů
Zadání obdélníka
Parametry rastru při hromadném mozaikování rastrů
Mozaika rastrů podle ploch
Řez rastru dle ML
Zpracování obrazu
Operace s transferem
Aritmetické operace
Logické operace s rastry
Morfologie
Příprava rastru pro vektorizaci
Vyrovnání barev rastrů
Vyrovnání barev všech rastrů
Vyrovnání barev 2 rastrů podél linie
Definice linií pro vyrovnání barev 2 rastrů
Provedení vyrovnání barev 2 rastrů podle linií
Přizpůsobení barev rastrů dle vzoru
Přizpůsobení barev rastrů v mapovém okně
Odstín, nasycení a jas rastru
Změna barev rastru podle vzoru
Vyrovnání histogramu rastru
Jas a kontrast rastru
Změna barev rastru
Gamma korekce rastru
Gradientní korekce rastru
Ostření rastru
Spektrální analýza
Barevná syntéza
DMT
Tvorba z bodů
Import grid XYZ
Export DMT rastru do ASCII
Mozaika
Zobraz 3D
Nastavení 2D zobrazení
Pomocné operace
Export
Export do formátu TIFF
Export do formátu Tiff s kompresí JPEG
Export do formátu Geotiff
Export do formátu Tiff s alfa kanálem
Export do formátu BMP
Export do formátu GIF
Export do formátu JPG
Export do formátu CIT
Export do formátu COT
Export do formátu RGB
Export do formátu RLE
Export do formátu ECW
Export do formátu PCX
Export do formátu JPEG2000
Export rastru se změnou barvy průhledné části
Import
Import z formátu TIFF
Import z formátu BMP
Import z formátu GIF
Import z formátu JPG
Import z formátu SID
Import z formátu CIT
Import z formátu COT
Import z formátu RGB
Import z formátu RLE
Import z formátu PCX
Import z formátu ECW
Import z formátu HRF
Import z formátu IMG
Import z formátu JPEG2000
Transformace rastru umístěných transformační maticí
Výběr pro import TrueColor rastru.
Parametry konverze z TrueColor rastru
Rozklad TrueColor rastru na složky
Parametry pro import indexovaného barevného rastru
Import IMG rastru
Editace palety
Odečítání jmen rastrů
Odečítání úrovní
Výběr barvy pro zprůhlednění
Převzorkování rastru
Převzorkování rastru dle vzoru
Konverze rastru
Ras pro TopoL DOS
Zrušení rastrů
Generalizace
Tvorba pyramidy pro TIFF
Komprimace
Dekomprimace
Mapové okno do rastru
Mapové okno do rastrů - mapových listů
Import DMT rastru z ASCII
Rastrový editor maker
Příkazy Rastr
Inspektor
Ovládání editoru maker
Seznam rastrových příkazů editoru maker s popisem parametrů
Rastrový manager

Submenu Rastr obsahuje několik skupin operací s rastrovými daty v mnoha podporovaných formátech. Většina operací s rastrovými daty pracuje pouze s jedním popř. dvěma rastry. Pro zadání vstupního rastru se používá standardní dialog pro otevření jednoho rastru.Pokud je třeba pracovat s více rastry použije se dialog pro výběr skupiny rastrů.


Dialog pro výběr rastru

Dialog slouží pro výběr jednoho vstupního rastru pro určitou operaci s daným rastrem. Potvrzení výběru se provede dvojitým poklepáním na jméno rastru, popř. vybráním rastru jednoduchým poklepáním a použitím tlačítka OK.

Dialog pro výběr jednoho rastru z adresáře

Dialog je rozdělen na dvě základní pole. V levé části je zobrazena stromová struktura adresářů na discích ve vašem počítači. V pravé části dialogu je seznam rastrů dostupných ve vybraném adresáři. V tomto poli vyberte rastr, který bude otevřen. Potvrzení se provede buď dvojitým kliknutím nebo se použije tlačítko OK. V dialogu lze také použít ovládání pomocí tlačítek:

F5 | Obnoví seznam rastrů dostupných ve vybraném adresáři.
 | Umožní změnu prezentace jednotlivých rastrů v seznamu (velké, malé ikony, podrobnosti)
 | Otevře dialog pro zobrazení informací o vybraném rastru.
F1 | Spustí tuto nápovědu.

Seznam rastrů v seznamu je možno třídit podle obsahu jednotlivých sloupců. Poklepáním na záhlaví sloupce se seznam setřídí, po případném dalším poklepání se směr třídění obrátí. Obsah seznamu můžeme též filtrovat použitím výklopného seznamu pod stromovou strukturou adresářů. Zde můžeme omezit výběr rastru pouze na jeden formát rastrových dat.

Poznámka

Pokud některá operace vyžaduje práci pouze s rastrem určité hloubky barevnosti nelze potvrdit jako vybraný rastr, který kriteriu neodpovídá. Tedy např. změnu transferu ani editaci palety nelze provést s binárním nebo True Color rastrem.


Informace o rastru

Dialog pro zobrazení charakteristik jednoho rastru

Dialog se skládá z několika stránek. Na první a nich jsou souborové charakteristiky vybraného rastru, na druhé pak informace o rastru jako takovém. Na třetí stránce je si možno prohlédnout zmenšený náhled rastru. Druhá stránka obsahuje následující charakteristiky:

  • Verze rastru - řádkový nebo dlaždicový
  • Typ rastru - binární, šedotónový, barevný, True Color, DMT
  • Komprese - použitá metoda komprese rastru
  • Stav - souřadnicově připojen, souřadnicově nepřipojen
  • Min Y - minimální Y-ová (horizontální) souřadnice rastru
  • Max Y - maximální Y-ová (horizontální) souřadnice rastru
  • Min X - minimální X-ová (vertikální) souřadnice rastru
  • Max X - maximální X-ová (vertikální) souřadnice rastru
  • Počet pixelů Y - počet pixelů v ose Y (horizontální), tj. počet sloupců
  • Počet pixelů X - počet pixelů v ose X (vertikální) rastru, tj. počet řádků
  • Rozměr pixelu Y - rozměr pixelu ve směru Y (horizontálním)
  • Rozměr pixelu X - rozměr pixelu ve směru X (vertikálním)
  • Generalizace - údaj o případné zgeneralizované verzi rastru pro rychlé zobrazování (v závorce jsou počty pixelů)
  • Kompresní poměr - poměr mezi zkomprimovanou verzí rastru a jeho nezkomprimovanou variantou v procentech

Poznámka

Minimální a maximální souřadnice respektují nastavený souřadný systém rastru, takže např. v systému S-JTSK minimální souřadnice odpovídají pravému hornímu rohu rastru a maximální levému dolnímu rohu rastru. Ve všech ostatních systémech je tomu naopak.

Po přepnutí se na třetí stránku dialogu se začne vytvářet náhled rastru, což pro některé velké rastry v závislosti na použité kompresní metodě může trvat určitou dobu. V tomto případě je možno použit tlačítka "Přerušit". Pokud chceme získat náhled ve větším detailu je možno dialog libovolně roztáhnout a pak použít tlačítko "Překreslit". Po vygenerování náhledu lze ještě náhled zvětšovat a zmenšovat užitím kolečka myši. K posouvání výřezu zvětšeného rastru můžeme použít buď posuvné lišty, popř. tažení levého tlačítka myši.

Dialog pro zobrazení náhledu rastru


Ulož rastr jako

V této verzi TopoLu je možné si zvolit za výstupní formáty RAS, TIFF i BMP. Formáty TIFF a BMP se jsou tak naprosto rovnocennými formáty s interním formátem RAS. Tyto typy rastrů lze vytvářet i při takových operacích jako je maskování, tvorba mozaiky, transformace rastru apod. U formátu TIFF je také možné použít všechny typy podporovaných vnitřních komprimací tohoto formátu. Lze tak přímo pracovat s těmito vysoce komprimovanými rastry bez nutnosti dekomprimovat je na disk.

Dialog pro zadání jména výstupního rastru

Tento dialog je rozdělen na několik částí. Kromě základních tlačítek pro potvrzení a opuštění je v levé horní části dialogu editační linka, kde je možno zadat jméno nového rastru z klávesnice (možno i bez koncovky). Pod touto editační linkou je zobrazen seznam rastrů nastaveného formátu. V pravé části dialogu je okno s vyobrazením adresářové struktury, kde je možno přecházet standardním způsobem do jiných adresářů. Pod tímto oknem je vyklápěcí seznam s připojenými logickými diskovými jednotkami. Kliknutím nebo šipkami lze vybrat jinou diskovou jednotku.

Formát rastru je možno volit ve vyklápěcím seznamu v levé dolní části dialogu, který je označen nadpisem "Formát". Nastavený formát má prioritu před jménem zadaným v editační lince. Pokud zde tedy zadáme celé jméno i s koncovkou, tato koncovka se změní podle nastaveného formátu. Pod seznamem formátů je ještě jeden vyklápěcí seznam, kde je možno nastavit subtyp pro daný formát. Subtypem se zde rozumí, zda-li se obrazové body budou ukládat po celých řádcích nebo po "dlaždicích", tj. stejně jako u formátu RAS verze 2. Tento subtyp je možno použít u formátu TIFF a RAS. Použití dlaždicového subtypu rastru se doporučuje u rastrů, které se budou v další fázi transformovat nebo otáčet. V ostatních případech je z hlediska rychlosti zobrazovaní rastru vhodnější nastavit subtyp rastru na řádkový.

V pravé dolní části je ještě jeden vyklápěcí seznam, kde je možno pro formáty TIFF a RAS vybrat typ komprese. U formátu TIFF je nabídka možných kompresí závislá na typu rastru (zde se typem míní binární, resp. barevné a šedotónové rastry). Pro binární typ formátu TIFF se obecně dá říci, že nabízené typy komprimací jsou seřazeny vzestupně z hlediska stupně komprimace. Čím větší je stupeň komprese, tím je ovšem poněkud větší čas potřebný pro načítání rastru, tedy např. pro zobrazování. U formátu RAS se nabízí pouze verze nekomprimovaná nebo jednoduchá komprimace, která je stejná pro všechny jeho typy. Komprimovat lze však pouze dlaždicový subtyp tohoto formátu. Formát BMP je možno použít pouze v nekomprimovaném tvaru.

Poznámka

Výše popsaný dialog je použit např. i při exportu rastru do různých formátů. V tomto a podobných případech vyklápěcí seznam možných formátů obsahuje pouze příslušný formát (např. TIFF).


Otevření více rastrů

Skupina rastrových dat se otevře prostřednictvím dialogu Otevření rastrů.

Dialog pro otevření více rastrů.

Dialog je rozdělen na tři pole. V levé části je zobrazena stromová struktura adresářů na discích ve vašem počítači. V prostřední části dialogu se zobrazují všechny rastry, které jsou k dispozici ve vybraném adresáři. Dvojitým kliknutím se se vybrané rastry přesunou do pravé části dialogu, kde jsou zobrazeny rastry, které budou otevřeny. Vyřazení ze seznamu rastrů pro otevření se provádí dvojitým kliknutím na příslušný blok.

Dialog lze také ovládat pomocí tlačítek:

Obnoví seznam rastrů dostupných ve vybraném adresáři.
Umožní změnu prezentace jednotlivých rastrů v seznamu (velké, malé ikony, podrobnosti)
Přesune rastr vybraný (vybrané) v prostřední části dialogu do seznamu rastrů k otevření.
Přesune všechny rastry z prostřední části dialogu do seznamu rastrů k otevření.
Vyřadí vybraný rastr ze seznamu rastrů pro otevření.
Vyřadí všechny rastry ze seznamu pro otevření.
Zobrazí informace o rastru vybraném v poli dostupných rastrů nebo v seznamu rastrů pro otevření.
Spustí tuto nápovědu.

Seznam rastrů v seznamu je možno třídit podle obsahu jednotlivých sloupců. Poklepáním na záhlaví sloupce se seznam setřídí, po případném dalším poklepání se směr třídění obrátí. Obsah seznamu můžeme též filtrovat použitím výklopného seznamu pod stromovou strukturou adresářů. Zde můžeme omezit výběr rastru pouze na jeden formát rastrových dat.


Geometrické operace

Geometrické operace s rastry vždy nějakým způsobem souvisí s lokalizací (umístěním) rastrů v souřadném systému a tady i na tom v jakém souřadném systému je daný rastr lokalizován. Buď se nějakým způsobem vytváří, popř. ruší umístění rastrů vstupujících do operace nebo je umístění výsledného rastru (rastrů) závislé na umístění vstupujících rastrů. Jako vstupní rastrový soubor si můžeme po spuštění vybrat jakýkoli soubor hledáním v dostupných adresářích. Pokud tento není již zařazen v projektu, systém předpokládá, že jeho souřadný systém odpovídá implicitně nastavenému souřadnému systému ve vlastnostech projektu. Pokud je rastr již zařazen v projektu, systém respektuje nastavení jeho souřadného systému. Pokud je třeba pro danou operaci zobrazit rastr v mapovém okně (výřez, maskování), systém zobrazí rastr v mapovém okně (případně v nově otevřeném) se souřadným systémem shodným s rastrem a výsledek operace je pak zařazen do projektu opět se stejným souřadným systémem.


Transformace rastru

Příkaz provede transformaci vybraného rastrového souboru, popř. jeho výřezu pomocí zvolené transformační metody (koeficienty jsou vypočítané na základě sejmutých identických bodů):

  • shift

    (posun, minimálně 1 identický bod)

  • rotace s posunem

    (otočení s posunem, minimálně 2 identické body)

  • podobnostní transformací

    (posun, rotace, konstantní změna měřítka stejná pro obě osy X,Y; minimálně 2 identické body)

  • afinní transformací

    (posun, rotace, konstantní změna měřítka rozdílná pro osu X a Y; minimálně 3 identické body)

  • kolineární transformací

    (posun, rotace, proměnná změna měřítka rozdílná pro osu X a Y; minimálně 4 identické body)

  • polynomickou transformací druhého stupně

    (nelineární transformace; minimálně 6 identických bodů)

  • polynomickou transformací třetího stupně

    (nelineární transformace; minimálně 10 identických bodů)

Příkaz uloží transformovaný soubor pod novým zadaným jménem. Jinými slovy, tento příkaz umístí rastr do nové polohy na základě identických bodů, tj. bodů, jejichž souřadnice jsou známé jak ve staré (zdrojové) tak nové (cílové) poloze rastru (soustavě). Měli bychom volit takové body, které jsou na rastru dobře viditelné.

Po vyvolání příkazu se otevře dialogové okno pro specifikaci způsobu, jakým se budou vybírat identické body a jak bude sběr probíhat.

Prostřednictvím kontrolního přepínače lze zvolit jednu z následujících voleb pro způsob snímání identických bodů:

  • Načti z textového souboru

    Po potvrzení dialogu s tímto nastavením, systém otevře standardní dialog pro výběr souboru. Zadáme soubor, který obsahuje souřadnice cílových identických bodů zapsaných pomocí položek identifikačního čísla, Y, X (pořadí je důležité a hodnoty musí být oddělené alespoň jednou mezerou). Po potvrzení dialogu systém přejde do režimu snímání, postupně zobrazuje identifikační čísla cílových identických bodů a očekává vždy sejmutí příslušného bodu zdrojového.

  • Načti z DBF

    Po potvrzení dialogu s tímto nastavením, systém otevře standardní dialog pro výběr souboru. Zadáme soubor, který obsahuje souřadnice cílových identických bodů zapsaných pomocí položek CISLO, Y, X (na pořadí nezáleží). Po potvrzení dialogu systém přejde do režimu snímání, postupně zobrazuje identifikační čísla cílových identických bodů a očekává vždy sejmutí příslušného bodu zdrojového.

  • Mapové listy

    Po výběru systému mapových listů a potvrzení dialogu s tímto nastavením, systém otevře dialog pro zadání jména mapového listu. Dialog obsahuje výběrové pole Název mapy pro identifikaci mapového listu v rámci kladů v S&#8209;JTSK. Název mapy vyhledáme v seznamu sídel. Po jeho zadání systém přejde do režimu snímání a očekává postupné sejmutí zdrojových bodů odpovídající rohům vybraného mapového listu a to v tomto pořadí: levý horní roh, pravý horní roh, levý dolní roh a pravý dolní roh.

  • Obdélník

    Po potvrzení dialogu s tímto nastavením, systém otevře dialog pro specifikaci cílového obdélníka. Do editačních linek dialogu zadáme parametry:

    Y - horizontální souřadnice pravého horního rohu,

    X - vertikální souřadnice pravého horního rohu,

    Výška – výška obdélníku,

    Šířka – šířka obdélníku.

    Po potvrzení dialogu pro specifikaci cílového obdélníka systém přejde do režimu snímání a očekává sejmutí zdrojových identických bodů, které odpovídají rohům obdélníka, a to v tomto pořadí: levý horní, pravý horní, levý dolní, pravý dolní.

  • Sejmi pro obě soustavy

    Po potvrzení dialogu s tímto nastavením systém přejde do režimu snímání a očekává sejmutí cílové a zdrojové polohy identického bodu. Sejmeme tolik identických bodů, kolik potřebujeme, a otevřeme transformační tabulku (pomocí tlačítka Esc, nebo přes lokální menu).

  • Načti transformační tabulku

    Po potvrzení dialogu s tímto nastavením, systém otevře standardní dialog pro výběr souboru. Zadáme soubor obsahující transformační tabulku, podle které chceme provést transformaci. Systém poté otevře dialog s transformační tabulkou.

V druhé části dialogu jsou možnosti umožňující definovat jak bude sběr probíhat:

  • Otevřít okno pro zdrojová data

    Po potvrzení dialogu s tímto nastavením, systém otevře nové mapové okno, ve které bude zobrazen pouze transformovaný rastr. Toto okno potom slouží pro sejmutí souřadnic identických bodů ve zdrojové soustavě.

  • Automatický přesun

    Při tomto nastavení se systém snaží automaticky najíždět na přibližnou polohu identického bodu ve zdrojové soustavě. Aby systém začal fungovat musí být sejmuty alespoň 2 identické body v obou soustavách.

  • Automaticky schovávat dialog při snímání

    Při tomto nastavení se dialog s transformační tabulkou automaticky zavře při přechodu do snímání souřadnic identických bodů. Pokud toto nastavení není zvoleno, zůstává vždy navrchu. Můžeme zde potom například sledovat odchylky na jednotlivých identických bodech přímo při snímání.

Dialog transformační tabulky umožňuje nastavit typ transformace, přepočítat transformační klíč podle nově nastaveného typu transformace, přidávat a editovat zdrojové a cílové identické body atd.

Jednotlivé funkce je možno volat z menu nebo pomocí ikon. Jedná se o tyto příkazy

  • Soubory

    V této části je možno volat funkce pro dodatečné načtení cílových souřadnic do transformační tabulky metodami, které bylo možno použít v prvním dialogu (Načti z textového souboru, Načti z DBF, Načti transformační tabulku, Obdélník, Mapové listy). Pomocí příkazu Jméno transformační tabulky je možno definovat nové jméno transformační tabulky. Příkaz Ulož a transformuj potom po uložení hodnot umožní pokračovat v transformaci.

  • Vlícovací bod

    • Nový

      Definice nového identického bodu jeho jménem, vahou a cílovými souřadnicemi. Maximální počet identických bodů je 300

    • Edituj

      Editace jména, váhy, cílových a zdrojových souřadnic vybraného identického bodu.

    • Sejmi pro obě soustavy

      Sejmutí cílových i zdrojových souřadnic identických bodů v mapových oknech. Systém začne se snímáním u vybraného bodu a potom pokračuje s dalším dle seznamu v tabulce. Pro grafické snímání z obrazovky je výhodné používat lupu, která zobrazí zvětšené okolí snímaného bodu. U binárních rastrů lze potom použít automatické centrování lupy, kdy systém sám vyhledá křížení dvou čar, nebo se na čáru vycentruje.

    • Sejmi pro zdrojovou

      Sejmutí cílových i zdrojových souřadnic identických bodů v mapových oknech. Systém začne se snímáním u vybraného bodu a potom pokračuje s dalším dle seznamu v tabulce.

    • Oprav cílovou

      Sejmutí cílových souřadnic vybraného identického bodu.

    • Oprav zdrojovou

      Sejmutí zdrojových souřadnic vybraného identického bodu.

    • Ukonči snímání

      Ukončí snímání.

    • Smaž

      Smaže vybraný identický bod.

    • Smaž vše

      Smaže všechny body.

    • Zapni

      Zapne vybraný identický bod, takže je použit pro výpočet koeficientů transformačního klíče.

    • Vypni

      Vypne vybraný identický bod, takže není použit pro výpočet koeficientů transformačního klíče.

  • Tabulka

    Skryj tabulku

    Pokud jsme nezapnuli automatické schovávání dialogu při snímání, můžeme ho takto schovat, abychom měli větší přehled na obrazovce při snímání.

    Po uzavření dialogu s transformační tabulkou funkcí Soubor – Ulož a transformuj se objeví další dialog, kde musíme specifikovat část rastru, který chceme transformovat a zda chceme provést při transformaci interpolaci hodnot nebo ne.

  • Celý soubor

    Bude se transformovat celý soubor.

  • Obdélníkem

    Po potvrzení systém zobrazí výběrový obdélník. Standardním způsobem vybereme část rastru určenou pro transformaci.

  • Dle id.bodů

    Po potvrzení systém spočte opsaný obdélník použitých identických bodů a bude transformovat pouze tuto část.

  • Polygonem

    Po potvrzení systém umožní definovat polygonem část rastru určenou pro transformaci.

Před vlastní transformací se ještě otevře dialog pro nastavení parametrů výsledného rastru.

Editační linky Max Y, Max X, Min Y a Min X obsahují souřadnice levého dolního a pravého horního rohu rastrového výřezu. Editací těchto hodnot upravíme výřez na požadovanou hodnotu. Dialog dále obsahuje položky určující rozměr pixelu v horizontálním a vertikálním směru, tj. Rozměr pixelu Y, Rozměr pixelu X; počet pixelů v obou směrech, tj. Počet pixelů Y, Počet pixelů X, a velikost souboru v bytech, která se aktuálně mění podle zadaných parametrů Max Y, Max X,...atd.

Po nastavení parametrů výsledného rastru, se ještě objeví dialog pro definici jména a formátu rastru a transformace se provede.


Transformace do jiného souřadného systému

Operace se provádí hlavně proto, aby bylo možno rastry (původně lokalizované v jiném souřadném systému než je systém mapového okna) zobrazovat v mapovém okně bez nutnosti provádět transformaci potřebného výřezu. Dojde tak k urychlení zobrazování. Operaci je často nutno provádět jako přípravu pro zobrazování rastrů ve speciálních aplikacích, jako je např. TopoL CE.

Nejprve je nutno standardním způsobem vybrat vstupní rastr a poté zadat jméno výstupního rastru. Po potvrzení se zadá pomocí standardního dialogu cílový souřadný systém. Poté proběhne vlastní operace, jejíž výsledkem je rastr umístěný v zadaném souřadném systému.


Transformace rastru po částech

Příkaz umožňuje provést transformaci vybraného rastrového souboru popř. jeho výřezu po částech. Tato transformace se používá převážně pro transformaci leteckých snímků, kdy vhodnou volbou identických bodů je možno částečně eliminovat vliv zkreslení z převýšení krajiny. Příkaz uloží transformovaný soubor pod zadaným jménem a zařadí ho do projektu.

Při použití této operace se postupuje prakticky shodně s transformaci rastru. Pouze v dialogu pro sběr vlícovacích bodů nemá volba transformační metody žádný vliv na vlastní transformaci. Zde se použije vždy afinní transformace. Pomocí volby transformační metody a tlačítka Spočti se pouze vyčíslí pro danou metodu odchylky v jednotlivých vlícovacích bodech, což lze použít v některých případech pro kontrolu, zda některý vlícovací bod není zadán špatně. Po ukončení sběru vlícovacích bodů bude automaticky nad sejmutými identickými body sestrojena trojúhelníková síť. Objeví se dialog pro volbu oblasti pro transformaci.

Dialog pro volbu parametrů transformace rastru po částech

Kromě specifikace část rastru, který chceme transformovat je zde volba, zda chceme provést při transformaci interpolaci hodnot nebo ne. Pokud se zvolí oblast polygonem, pak se po potvrzení dialogu objeví editační nástroj, kterým se sejme uzavřený polygon. Protože rastr bude transformován po celých trojúhelnících, je vhodné volit lomové body polygonu co nejblíže vrcholům trojůhelníkové sítě. Systém vždy najde k lomovému bodu polygonu nejbližší vrchol sítě. Nakonec se zadá v standardním dialogu velikost pixelu výstupního rastru a vybere se nové jméno a cesta pro výstupní soubor.

Při vlastní transformaci rastru je automaticky nad sejmutými identickými body sestrojena trojúhelníková síť a každá trojúhelníková oblast rastru bude ztransformována zvlášť afinní transformací podle klíče vypočteného z identických bodů ležících vždy ve vrcholech příslušné oblasti. Jednotlivé dílčí ztransformované rastry pak budou spojeny ve výslednou mozaiku celého rastru.


Transformace celého rastru po částech

Příkaz umožňuje provést transformaci vybraného rastrového souboru po částech. Tato transformace je modifikací základní transformace po částech. Rozdíl je v tom, že rastr bude transformován celý bez ohledu jakou oblast pokrývají nasnímané vlícovací body. Příkaz uloží transformovaný soubor pod zadaným jménem a zařadí ho do projektu.

Při použití této operace se postupuje prakticky shodně s transformaci rastru po částech. Po ukončení sběru vlícovacích bodů bude automaticky nad sejmutými identickými body sestrojena trojúhelníková síť. Pak se objeví se dotaz zda chceme provést při transformaci interpolaci hodnot nebo ne. Posléze se zadá v standardním dialogu velikost pixelu výstupního rastru (zde se ignoruje zadání minimálních a maximálních souřadnic rastru) a nakonec se vybere nové jméno a cesta pro výstupní soubor.

Při vlastní transformaci rastru je automaticky nad sejmutými identickými body sestrojena trojúhelníková síť a každá trojúhelníková oblast rastru bude ztransformována zvlášť afinní transformací podle klíče vypočteného z identických bodů ležících vždy ve vrcholech příslušné oblasti. Přitom je trojúhelníková síť doplněna o další body, aby pokrývala celý rastr. Cílové souřadnice bodů v rozích rastru se vypočtou na základě transformace vypočtené ze všech aktivních vlícovacích bodů. Jednotlivé dílčí ztransformované rastry pak budou spojeny ve výslednou mozaiku celého rastru.


Umístění rastru

Po vybrání rastru standardním způsobem systém umožní zvolit jeden ze způsobů umístění a dále v závislosti na tom postupuje jednou z následujících metod pro zadání parametrů umístění:

  • dle vybraného rohu a šířky celého souboru

  • dle libovolného bodu a vzdálenosti

  • dle identického bodu

  • dle obdélníka

Dialog pro volbu jedné ze základních možností umístění
Dle jednoho rohu a šířky celého souboru

Tato volba znamená posunutí rastru a změnu měřítka rastru tak, aby nedošlo k jeho zkreslení. To znamená, že je zachován poměr rozměru pixelu

Dle libovolného bodu a vzdálenosti

Tato možnost umožňuje zadat umístění rastru pomocí jednoho referenčního bodu a vzdálenosti měřené od tohoto bodu. Číselně se zadají souřadnice v souřadném systému a vzdálenost. Poté se sejme standardním způsobem referenční bod a dále druhý bod, který slouží o odměření vzdálenosti od tohoto bodu. Rastr se umístí tak, že střed sejmutého referenčního pixelu má zadané souřadnice a pokud se změří vzdálenost mezi oběma sejmutými body - pixely, odpovídá tato zadané vzdálenosti.

Dle identického bodu

Tato volba ve skutečnosti znamená posunutí. Nemůže být použita pro souřadnicově nepřipojené rastry. V mapovém okně se standardním nástrojem sejme cílová a zdrojová (tato je většinou uvnitř rastru) souřadnice. Rastr se následně posune tak, že střed zdrojového bodu - pixelu rastru bude mít souřadnice rovny souřadnicím cílového bodu.

Dle obdélníka

Tato volba znamená posunutí rastru a změnu měřítka rastru tak, aby nedošlo k jeho zkreslení. To znamená, že je zachován poměr rozměru pixelu v osách X a Y. Systém umožňuje zadat umístění rastru graficky v mapovém okně pomocí obdélníkového nástroje s pevným poměrem stran.

Poznámka

TopoL xT pracuje a zobrazuje pouze souřadnicově umístěná data. Pokud zařazujeme do legendy mapového okna neumístěný rastr, systém donutí uživatele k umístění rastru dle pravého horního rohu a šířky celého souboru

Poznámka

Příkaz se často používá při vektorizaci rastrového obrazu, kdy není třeba zachovávat popř. neexistuje návaznost na již existující data. V tomto případě můžeme, místo zdlouhavé transformace rastru a jeho následné vektorizace, pouze rastr umístit, zvektorizovat a transformovat teprve výsledná vektorová data. Příkaz má využití i při opravě umístění již transformovaného rastru.


Roh a šířka rastrového souboru

Dialog pro zadání souřadnic rohu rastru a jeho šířky

Dialog slouží k číselnému zadání souřadnice jednoho rohu rastru v souřadném systému a šířky rastru. Všechny údaje se vztahují k souřadnému systému daného rastru. Je-li řečeno v projektu, že je umístěn např. v geografickém souřadném systému, zadávané hodnoty jsou chápány v geografických souřadnicích.

Y

Do editační linky zadáme číslo určující novou Y-ovou (horizontální) souřadnici vybraného rohu rastru.

X

Do editační linky zadáme číslo určující novou X-ovou (vertikální) souřadnici vybraného rohu rastru.

Bod odpovídá

Ze skupiny přepínačů se vybere jeden z rohů rastru, kterému odpovídají zadané souřadnice X, Y:

  • Levému hornímu
  • Pravému hornímu
  • Levému dolnímu
  • Pravému dolnímu

Šířka

Do editační linky zadáme novou šířku rastru.

Určit šířku automaticky

Pomocí tlačítka se aktivuje výpočet šířky rastru ze zadaných hodnot hustoty skenování a výchozího měřítka (mapy, snímku).

Hustota skenování

Do editační linky zadáme číslo určující hustotu skenování v DPI.

Výchozí měřítko

Do editační linky zadáme číslo určující výchozí měřítko naskenované mapy či leteckého snímku.


Bod a vzdálenost

Dialog pro zadání souřadnic libovolného bodu a vzdálenosti

Dialog slouží k číselnému zadání souřadnice referenčního bodu v souřadném systému a vzdálenosti. Rastr se umístí tak, že střed sejmutého referenčního pixelu má zadané souřadnice a pokud se změří vzdálenost mezi dvěma sejmutými body - pixely, odpovídá tato zadané vzdálenosti. Všechny údaje se vztahují k souřadnému systému daného rastru. Je-li řečeno v projektu, že je umístěn např. v geografickém souřadném systému, zadávané hodnoty jsou chápány v geografických souřadnicích.

Y

Do editační linky zadáme číslo určující novou Y-ovou (horizontální) souřadnici referenčního bodu.

X

Do editační linky zadáme číslo určující novou X-ovou (vertikální) souřadnici referenčního bodu.

Vzdálenost

Do editační linky zadáme vzdálenost mezi dvěma následně snímanými body.


Otočení rastru

Nejprve je nutno standardním způsobem vybrat vstupní rastr a poté zadat jméno výstupního rastru. Po potvrzení se zadá pouze velikost úhlu o který je třeba otočit rastr. Poté proběhne vlastní operace, jejíž výsledkem je neumístěný rastr, který je otočen vzhledem k vstupnímu rastru o příslušný úhel.


Výřez rastru

Příkaz zkopíruje vybranou část specifikovaného rastrového souboru a uloží ji pod zadaným jménem. Příkaz nemění velikost pixelu. Umístění výsledného rastru se spočte tak, aby při zobrazování původního rastru a vyříznuté části si jednotlivé sobě si odpovídající pixely byly zobrazeny na stejném místě. Po výběru vstupního rastru a jeho zobrazení v mapovém okně pomocí výběrového obdélníka vybereme graficky část rastru pro výřez. Po jeho potvrzení se objeví dialog pro případnou numerickou editaci vybraného výřezu.

Parametry rastru pro výřez
Min Y

Do editační linky zadáme číslo určující minimální Y-ovou (horizontální) souřadnici výsledného rastru.

Max Y

Do editační linky zadáme číslo určující maximální Y-ovou (horizontální) souřadnici výsledného rastru.

Min X

Do editační linky zadáme číslo určující minimální X-ovou (vertikální) souřadnici výsledného rastru.

Max X

Do editační linky zadáme číslo určující maximální X-ovou (vertikální) souřadnici výsledného rastru.

Další editační linky (needitovatelné) obsahují informační údaje o velikosti pixelu v obou směrech a počty sloupců a řádků rastru. V dolní části dialogu je též informace o předpokládané velikosti nekomprimovaného výstupního rastru.


Zrcadlení horizontální

Nejprve je nutno standardním způsobem vybrat vstupní rastr a poté zadat jméno výstupního rastru. Po potvrzení proběhne vlastní operace, jejíž výsledkem je neumístěný rastr, který je stranově převrácený vzhledem k vstupnímu rastru podle svislé osy.


Zrcadlení vertikální

Nejprve je nutno standardním způsobem vybrat vstupní rastr a poté zadat jméno výstupního rastru. Po potvrzení proběhne vlastní operace, jejíž výsledkem je neumístěný rastr, který je převrácený vzhledem k vstupnímu rastru podle vodorovné osy. První řádka rastru se stane poslední a naopak.


Maskování rastru

Příkaz slouží k zprůhlední zadané oblasti vstupního rastru.

Dialog pro volbu způsobu, jakým vybereme hranici oblasti pro maskování a způsob maskování

Lomové body

map. list S-JTSK

Oblast pro maskování se vybere zadáním jména mapového listu kladu S-JTSK standardním dialogem.

map. list Gusterberg

Oblast pro maskování se vybere zadáním jména mapového listu kladu katastrálních map Gusterberg (měř. 1:2880) standardním dialogem.

map. list Gusterberg 2500

Oblast pro maskování se vybere zadáním jména mapového listu kladu katastrálních map Gusterberg (měř. 1:2500) standardním dialogem.

map. list Sv. Štěpán

Oblast pro maskování se vybere zadáním jména mapového listu kladu katastrálních map Sv. Štěpán (měř. 1:2880) standardním dialogem.

map. list Sv. Štěpán 2500

Oblast pro maskování se vybere zadáním jména mapového listu kladu katastrálních map Sv. Štěpán (měř. 1:2500) standardním dialogem.

map. list Gellerthegy

Oblast pro maskování se vybere zadáním jména mapového listu kladu katastrálních map Gellerthegy (měř. 1:2880) standardním dialogem.

map. list Gellerthegy 2500

Oblast pro maskování se vybere zadáním jména mapového listu kladu katastrálních map Gellerthegy (měř. 1:2500) standardním dialogem.

map- list Zákl. mapy ČR a SR

Oblast pro maskování se vybere zadáním jména mapového listu kladu základních map ČR a SR standardním dialogem.

map. list Gauss-Krüger

Oblast pro maskování se vybere zadáním jména mapového listu kladu Gauss-Krüger standardním dialogem.

map. list LHP 1: 10 000

Oblast pro maskování se vybere zadáním jména mapového listu kladu lesnických map LHP 1: 10 000 standardním dialogem.

map. list OPRL 1: 25 000

Oblast pro maskování se vybere zadáním jména mapového listu kladu lesnických map OPRL 1: 25 000 standardním dialogem.

obdélníkem

Oblast pro maskování se vybere numericky zadáním obdélníkového výřezu standardním dialogem.

z obrazovky

Oblast pro maskování se vybere tak, že systém se přepne do režimu snímání hraniční linie, která bude vymezovat maskovanou oblast.

dle bloku

Po potvrzení popisovaného dialogu se otevře dialog pro maskování dle bloku, kam zadáme všechny odpovídající parametry a po jeho potvrzení systém už přímo provede maskování.

Oblast pro maskování

Vnitřek polygonu

Přepínač určí zda se bude maskovat uvnitř oblasti vymezeného polygonem.

Doplněk polygonu

Přepínač určí zda se bude maskovat vně oblasti vymezeného polygonem.

Po potvrzení dialogu se vybere vstupní rastr, popř. se spustí dialog pro nastavení parametrů při maskování dle bloku. Dále se jedním z možných způsobů určí oblast pro maskování. Nakonec je třeba zadat jméno výstupního rastru.


Maskování rastru dle ploch

Příkaz slouží k zprůhlední oblastí vstupního rastru, které jsou dány plochami některé tabulky buď z některého topolovského bloku nebo shapefilu.

Dialog pro maskování dle ploch
Blok

Výklopný seznam obsahující všechny bloku nebo shapefily s plošnými tabulkami - druhy.

Tabulky

Seznam se všemi plošnými tabulkami z vybraného bloku nebo shapefilu.

všechny tabulky

Pokud je tento přepínač zapnut, seznam tabulek je vyšeděn a pro operaci se berou v úvahu všechny plošné tabulky v bloku.

Pouze vybrané

Přepínačem můžeme omezit maskování na plochy, které byly vybrány nějakým nástrojem pro výběr.

Rastr

Informativní položka s vypsaným jménem vstupního souboru.

Nový rastr

Editační linka pro zadání jména výstupního rastru. Je možno použít ikonu vpravo, kdy je možno zadat rastr výběrem pomocí standardního dialogu.


Mozaika

Příkaz vytvoří spojením rastrových obrazů zobrazených v mapovém okně, popř. pouze jejich vybrané oblasti nový rastrový soubor zadaného jména. Rastrové soubory, ze kterých se má mozaika vytvořit mohou být jakéhokoli typu, přičemž typ výsledného rastru bude na nich záviset takto:

  • binární + šedotónový = šedotónový

  • binární + barevný = barevný

  • šedotónový + barevný = barevný

  • Pokud je v předmětu zájmu rastr typu TrueColor, pak při provádění příkazu je typ výstupního rastrového souboru též TrueColor.

V případě, že chceme vytvořit mozaiku pouze binárních rastrů se před specifikací parametrů nového souboru otevře dialog pro zadání typu výsledného souboru.

Příkaz Mozaika se provede jen pokud je v aktivním mapovém okně zobrazen alespoň jeden rastr. Po jeho spuštění se objeví následující dialog.

Dialog pro zadání metody výběru oblasti pro mozaiku.
map. list S-JTSK

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu S-JTSK standardním dialogem.

map. list Gusterberg

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu katastrálních map Gusterberg (měř. 1:2880) standardním dialogem.

map. list Gusterberg 2500

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu katastrálních map Gusterberg (měř. 1:2500) standardním dialogem.

map. list Sv. Štěpán

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu katastrálních map Sv. Štěpán (měř. 1:2880) standardním dialogem.

map. list Sv. Štěpán 2500

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu katastrálních map Sv. Štěpán (měř. 1:2500) standardním dialogem.

map. list Gellerthegy

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu katastrálních map Gellerthegy (měř. 1:2880) standardním dialogem.

map. list Gellerthegy 2500

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu katastrálních map Gellerthegy (měř. 1:2500) standardním dialogem.

map- list Zákl. mapy ČR a SR

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu základních map ČR a SR standardním dialogem.

map. list Gauss-Krüger

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu Gauss-Krüger standardním dialogem.

map. list LHP 1: 10 000

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu lesnických map LHP 1: 10 000 standardním dialogem.

map. list OPRL 1: 25 000

Oblast pro mozaiku se vybere zadáním jména mapového listu kladu lesnických map OPRL 1: 25 000 standardním dialogem.

obdélníkem

Oblast pro mozaiku se vybere graficky zadáním obdélníkového výřezu standardním způsobem.

z obrazovky

Oblast pro mozaiku se vybere tak, že systém se přepne do režimu snímání hraniční linie, která bude vymezovat maskovanou oblast.

přes všechny rastry

Oblast pro mozaiku bude zahrnovat souhrn všech opsaných obdélníků jednotlivých rastrů.

Po uzavření předchozího dialogu potvrzením tlačítka OK a po vybrání oblasti pro mozaiku se otevře dialog pro zadání parametrů nového rastrového souboru. Po jeho potvrzení a po zadání jména a subtypu výstupního rastru standardním dialogem systém začne vytvářet mozaiku.


Parametry rastru

Dialog pro případnou numerickou editaci geometrických parametrů výsledného rastru.
Min Y

Do editační linky zadáme číslo určující minimální Y-ovou (horizontální) souřadnici výsledného rastru.

Max Y

Do editační linky zadáme číslo určující maximální Y-ovou (horizontální) souřadnici výsledného rastru.

Min X

Do editační linky zadáme číslo určující minimální X-ovou (vertikální) souřadnici výsledného rastru.

Max X

Do editační linky zadáme číslo určující maximální X-ovou (vertikální) souřadnici výsledného rastru.

Rozměr pixelu Y

Do editační linky zadáme číslo určující velikost pixelu v ose Y (horizontální) výsledného rastru.

Rozměr pixelu X

Do editační linky zadáme číslo určující velikost pixelu v ose X (vertikální) výsledného rastru.

Počet pixelů Y

Do editační linky zadáme číslo určující počet pixelů v ose Y (horizontální) výsledného rastru, tj. počet sloupců.

Počet pixelů X

Do editační linky zadáme číslo určující počet pixelů v ose X (vertikální) výsledného rastru, tj. počet řádků.

V případě změny některého z parametrů a potvrzení změny přechodem na jinou editační řádku se ostatní parametry automaticky přepočítávají. V případě změny velikosti pixelu se mění celkové počty pixelů. V případě změny počtu pixelů se mění minimální a maximální souřadnice v odpovídajících osách a naopak.

V dolní části dialogu je též informace o předpokládané velikosti nekomprimovaného výstupního rastru.


Typ rastrového souboru

Dialog pro zadání typu rastrového souboru

Pomocí tohoto dialogu se vybere typ výsledného rastru mozaiky poklepáním na jeden z následujících kontrolních přepínačů:

  • Binární

    Výsledný rastrový soubor bude binární.

  • Barevný / čtyřbitový

    Výsledný rastr bude barevný, čtyřbitový.

  • Barevný / osmibitový

    Výsledný rastr bude barevný, osmibitový.


Mozaika do mapových listů

Příkaz provádí mozaikování rastrů obdobně jako příkaz Mozaika s tím rozdílem, že výstupem není jediný rastr ale celá řada rastrů (do verze TopoLu xT 8.0 vzájemně se nepřekrývající svojí nezamaskovanou částí). Výstupem je tedy skupina rastrů které buď svou hranicí nebo nezamaskovanou částí odpovídají některému podporovanému kladu mapových listů, popř. obdélníkovému gridu. Po spuštění příkazu se systém dotáže jak se má vybírat oblast pro provedení operace (buď obdélníkem na obrazovce nebo přes všechny rastry), zda se má interpolovat a poté se objeví následující dialog.

Dialog pro výběr kladu mapových listů (gridu)
podle map. listů S-JTSK

Výstupní rastry vznikají mozaikováním vstupních rastrů a odpovídají zadanému kladu mapových listů S-JTSK. Měřítkové číslo kladu se zadá standardním dialogem.

podle map. listů Gusterberg

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gusterberg (měř. 1:2880).

podle map. listů Gusterberg 2500

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gusterberg (měř. 1:2500).

podle map. listů Sv. Štěpán

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Sv. Štěpán (měř. 1:2880).

podle map. listů Sv. Štěpán 2500

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Sv. Štěpán (měř. 1:2500).

podle map. listů Gellerthegy

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gellerthegy (měř. 1:2880).

podle map. listů Gellerthegy 2500

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gellerthegy (měř. 1:2500).

podle map. listů Zákl. mapy ČR a SR

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu listů základních map ČR a SR. Měřítkové číslo kladu se zadá standardním dialogem.

podle map. listů Gauss-Krüger

Výstupní rastry vznikají mozaikováním vstupních rastrů a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gauss-Krüger. Měřítkové číslo kladu se zadá standardním dialogem.

podle map. listů LHP 1: 10 000

Výstupní rastry vznikají mozaikováním vstupních rastrů a odpovídají zadanému kladu lesnických map LHP 1: 10 000.

podle map. listů OPRL 1: 25 000

Výstupní rastry vznikají mozaikováním vstupních rastrů a odpovídají zadanému kladu lesnických map OPRL 1: 25 000.

podle obdélníkového gridu

Výstupní rastry vznikají mozaikováním vstupních rastrů a odpovídají zadanému obdélníkovému gridu. Jeho počátek a horizontální a vertikální rozteč se zadá numericky dialogem pro definici obdélníka.

Jména výstupních rastrů se generují automaticky podle odpovídajícího názvu mapového listu vybraného kladu. Proto se zadává většinou jen výstupní adresář pomocí standardního dialogu. Výjimku tvoří pouze metoda - zadání gridem, kde se jména jednotlivých rastrů generují z pořadových čísel řádků a sloupců gridu. Zde je však třeba zadat pomocné jméno nějakého rastru. Výsledné rastry se budou ukládat do stejného adresáře a k zadanému jménu se připojí řetězce odpovídající řádkům a sloupcům gridu

Po potvrzení dialogu se standardním způsobem vybere typ výstupních rastrů (pokud je zde nějaká možnost volby) a zadají se parametry výstupních rastrů, jejich překryv apod.


Zadání obdélníka

Dialog slouží k numerickému zadání parametrů obdélníka v souřadném systému. Je zadán počátkem , šířkou a výškou.

Dialog pro zadání parametrů obdélníka.
Y

Do editační linky zadáme číslo určující počáteční Y-ovou (horizontální) souřadnici požadovaného obdélníka.

X

Do editační linky zadáme číslo určující počáteční X-ovou (vertikální) souřadnici požadovaného obdélníka.

Šířka

Do editační linky zadáme šířku požadovaného obdélníka.

Výška

Do editační linky zadáme výšku požadovaného obdélníka.


Parametry rastru při hromadném mozaikování rastrů

Poznámka

Dialog je použit i v operaci Mapové okno do rastrů - mapových listů

Dialog slouží zejména k numerickému zadání parametrů výstupních rastrů v souřadném systému.

Dialog pro zadání parametrů rastrů při mozaikování dle mapových listů.
Min Y

Do editační linky zadáme číslo určující minimální Y-ovou (horizontální) souřadnici výsledného rastru.

Max Y

Do editační linky zadáme číslo určující maximální Y-ovou (horizontální) souřadnici výsledného rastru.

Min X

Do editační linky zadáme číslo určující minimální X-ovou (vertikální) souřadnici výsledného rastru.

Max X

Do editační linky zadáme číslo určující maximální X-ovou (vertikální) souřadnici výsledného rastru.

Rozměr pixelu Y

Do editační linky zadáme číslo určující velikost pixelu v ose Y (horizontální) výsledného rastru.

Rozměr pixelu X

Do editační linky zadáme číslo určující velikost pixelu v ose X (vertikální) výsledného rastru.

Počet pixelů Y

Do editační linky zadáme číslo určující počet pixelů v ose Y (horizontální) výsledného rastru, tj. počet sloupců.

Počet pixelů X

Do editační linky zadáme číslo určující počet pixelů v ose X (vertikální) výsledného rastru, tj. počet řádků.

Přesah listů v %

Do editační linky zadáme číslo určující přesah rastrů v % přes hranice dané odpovídajícím mapovým listem. Má to význam zejména pro speciální aplikace (TopoL CE), kdy se automaticky zobrazuje pouze jeden rastr, odpovídající posouvajícímu se výřezu zobrazovacího okna.

Umístění rastrů ve středech pixelů

Tato volba je nastavena implicitně. Pokud přepínačem volbu vypneme, přepočítá se umístění rastrů tak, aby ho bylo možno jinými systémy interpretovat způsobem, kdy se jako rozhodující pro umístění bere hranice pixelů a nikoli jako v TopoLu středy pixelů.

Rušit prázdné rastry

Tato volba je nastavena implicitně. Systém pak kontroluje, zda v konkrétním rastru je nějaká kresba odlišná od pozadí mapového okna. Takový rastr se pak automaticky zruší.,


Mozaika rastrů podle ploch

Příkaz provádí mozaikování rastrů obdobně jako příkaz Mozaika do mapových listů. Výstupem je zde opět celá řada rastrů vzájemně se nepřekrývající svojí nezamaskovanou částí. Výstupem je tedy skupina rastrů které buď svou hranicí nebo nezamaskovanou částí odpovídají některé ploše vybraných vektorových dat. Pomocí funkce se dají vytvořit rastry odpovídající např. kladu mapových listů, který není přímo TopoLem podporován. Plochy mohou však mít libovolný tvar, nemusí se jednat o obdélníky. Po spuštění příkazu se objeví následující dialog.

Dialog Mozaika rastrů podle ploch
Blok s plochami

Výklopný seznam obsahující jména vektorových dat, které mají nějaké plochy. Ze seznamu se jeden blok dat vybere.

Pouze vybrané

Přepínačem můžeme omezit mozaikování na plochy, které byly vybrány nějakým nástrojem pro výběr.

Interpolovat

Přepínačem můžeme zadat systému, že při mozaikování, kdy dochází k převzorkování rastrů, se má použít interpolační metoda pro vyhlazení hran v rastru.

Atribut pro jména rastrů

V seznamu se vybere databázový atribut, který bude použit pro jména rastrů, které odpovídají jednotlivým plochám. Hodnoty atributu by měly být unikátní alespoň pro plochy vybrané pro operaci.

Po potvrzení dialogu se standardním způsobem vybere typ výstupních rastrů (pokud je zde nějaká možnost volby) a zadají se parametry výstupních rastrů (zde má význam prakticky jen zadání velikosti pixelu). Jména výstupních rastrů se generují automaticky podle vybraného atributu. Proto se zadává většinou jen výstupní adresář pomocí standardního dialogu.


Řez rastru dle ML

Operace provede rozdělení existujícího rastru s tím, že výstupem je celá skupina rastrů které buď svou hranicí nebo nezamaskovanou částí odpovídají některému podporovanému kladu mapových listů, popř. obdélníkovému gridu. Po spuštění příkazu se objeví následující dialog.

Dialog pro výběr kladu mapových listů (gridu)
podle map. listů S-JTSK

Výstupní rastry vznikají rozřezáním vstupního rastru a odpovídají zadanému kladu mapových listů S-JTSK. Měřítkové číslo kladu se zadá standardním dialogem.

podle map. listů Gusterberg

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gusterberg (měř. 1:2880).

podle map. listů Gusterberg 2500

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gusterberg (měř. 1:2500).

podle map. listů Sv. Štěpán

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Sv. Štěpán (měř. 1:2880).

podle map. listů Sv. Štěpán 2500

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Sv. Štěpán (měř. 1:2500).

podle map. listů Gellerthegy

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gellerthegy (měř. 1:2880).

podle map. listů Gellerthegy 2500

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gellerthegy (měř. 1:2500).

podle map. listů Zákl. mapy ČR a SR

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu listů základních map ČR a SR. Měřítkové číslo kladu se zadá standardním dialogem.

podle map. listů Gauss-Krüger

Výstupní rastry vznikají rozřezáním vstupního rastru a jejich nezamaskované části odpovídají zadanému kladu mapových listů Gauss-Krüger. Měřítkové číslo kladu se zadá standardním dialogem.

podle map. listů LHP 1: 10 000

Výstupní rastry vznikají rozřezáním vstupního rastru a odpovídají zadanému kladu lesnických map LHP 1: 10 000.

podle map. listů OPRL 1: 25 000

Výstupní rastry vznikají rozřezáním vstupního rastru a odpovídají zadanému kladu lesnických map OPRL 1: 25 000.

podle obdélníkového gridu

Výstupní rastry vznikají rozřezáním vstupního rastru a odpovídají zadanému obdélníkovému gridu. Jeho počátek a horizontální a vertikální rozteč se zadá numericky dialogem pro definici obdélníka.

Jména výstupních rastrů se generují automaticky podle odpovídajícího názvu mapového listu vybraného kladu. Proto se zadává většinou jen výstupní adresář pomocí standardního dialogu. Výjimku tvoří pouze metoda - zadání gridem, kde se jména jednotlivých rastrů generují z pořadových čísel řádků a sloupců gridu. Zde je však třeba zadat pomocné jméno nějakého rastru. Výsledné rastry se budou ukládat do stejného adresáře a k zadanému jménu se připojí řetězce odpovídající řádkům a sloupcům gridu


Zpracování obrazu

Zpracování obrazu je skupina rastrových operací, které nemění geometrické vlastnosti rastru, jako např. jeho umístění nebo velikost pixelu. Slouží především ke změnám barevného podání rastru, popř. k barevnému srovnání několika rastrů. Patří sem též aritmetické operace s šedotónovými rastry a logické a morfologické operace s binárními rastry.


Operace s transferem

Příkaz provede operace, které ve vybraném rastrovém obraze změní způsob zobrazení hodnot pixelů (mění soubor transferu) popř. změní i rozdělení jeho hodnot pixelů (Transformace úrovní). Levá horní část dialogu obsahuje graf, který jednak představuje histogram (černé čáry) a dále grafickou reprezentaci změny úrovní šedi (červená čára). Pravá část obsahuje tabulku úrovní šedi, kde je zleva uvedeno:

  • zdrojová (původní) úroveň šedi

  • cílová (nová) úroveň šedi

  • počet pixelů, které mají tuto hodnotu

V levé dolní části dialogu je náhled daného rastru, se kterým je možno pracovat standardním způsobem.

Dialog pro práci s transferem rastrového obrazu.
Vyrovnáním histogramu (positiv)

Operace změní podle předepsaného transformačního vztahu transfer vybraného šedotónového rastru tak, že při zobrazení bude zastoupení jednotlivých úrovní šedi bude přibližně stejné (jinými slovy při aplikaci takto vytvořeného souboru transferu je histogram vybraného rastrového souboru konstantní funkcí).

Vyrovnáním histogramu (negativ)

Operace změní podle předepsaného transformačního vztahu transfer vybraného šedotónového rastru tak, že při zobrazení bude zastoupení jednotlivých úrovní šedi bude přibližně stejné, přičemž se rastr interpretuje jako negativ k původnímu rastru.

Standardní transfer

Operace změní transfer vybraného šedotónového rastru tak, aby byl na obrazovce interpretován co nejlépe podle empirických zkušeností.

Transfer do 256 úrovní

Operace vytvoří pro vybraný šedotónový rastrový obraz identický transfer. Zobrazované úrovně šedi odpovídají hodnotám pixelů daného souboru. Nedochází tedy k žádným změnám mezi původními hodnotami pixelů a úrovněmi šedi na obrazovce.

Transformace úrovní

Operace změní na základě aktuálního nastavení (transformace úrovní) úrovně šedi vybraného šedotónového nebo barevného rastru a uloží je spolu s rastrem pod novým zadaným jménem.

Manuální nastavení úrovní šedi

Operace umožňuje zadat po částech lineární funkci, která se bude interpretovat jako transfer daného rastru. Je též možné po aplikaci některé z předchozích funkcí vytvářejících celý transfer automaticky poopravit pouze určitou část transferu. Pomocí čtyř editačních linek se zadá vždy jedna lineární část transferu. na rozdíl od předchozích variant definice transferu je zde nutno potvrdit zadané hodnoty tlačítkem "Náhled".

  • Zdroj - pomocí dvou editačních linek zadáme spodní a horní hranici definičního oboru definované části transferu

  • Cíl - pomocí dvou editačních linek zadáme spodní a horní hranici oboru hodnot definované části transferu

Po jakékoli změně transferu je možno se vrátit k hodnotám původního transferu použitím tlačítka "Obnovit".


Aritmetické operace

Příkaz vytvoří nový rastrový soubor tak, že změní hodnotu pixelu vybraného šedotónového rastrového obrazu popř. dvou šedotónových obrazů aplikací aritmetické operace nebo funkce. Po vyvolání příkazu se otevře dialogové okno s kontrolními přepínači pro nastavení typu operace popř. funkce.

Dialog pro výběr typu aritmetické operace s rastry.

Horní část dialogu obsahuje operace, které vytvářejí nový rastrový obraz na základě hodnot pixelů pouze jednoho rastru.

X + konstanta

použijeme, chceme-li přičíst ke každé hodnotě pixelu vybraného rastrového souboru stejnou konstantu.

X - konstanta

použijeme, chceme-li od každé hodnoty pixelu vybraného rastrového souboru odečíst stejnou konstantu.

ABS( X - konstanta)

použijeme, má-li se hodnota každého pixelu vybraného rastrového souboru změnit na absolutní hodnotu rozdílu pixelu a konstanty.

X * konstanta

použijeme, má-li se hodnota každého pixelu vybraného rastrového souboru vynásobit konstantou.

X / konstanta

použijeme, má-li se hodnota každého pixelu vybraného rastrového souboru vydělit konstantou.

SQR ( X )

použijeme, má-li se hodnota každého pixelu vybraného rastrového souboru umocněna na druhou.

SQRT ( X )

použijeme, má-li se hodnota každého pixelu vybraného rastrového souboru odmocnit dvěma.

LN ( X )

použijeme, má-li se hodnota každého pixelu vybraného rastrového souboru zlogaritmovat.

V dolní části dialogu jsou kontrolní přepínače pro operace, které vytvářejí nový obraz na základě hodnot pixelů dvou rastrových obrazů.

X + Y

použijeme, mají-li hodnoty pixelu výsledného rastru být součtem hodnot odpovídajících si (souřadnicově) pixelů dvou vybraných rastrů.

X - Y

použijeme, mají-li hodnoty pixelu výsledného rastru být rozdílem hodnot odpovídajících si (souřadnicově) pixelů dvou vybraných rastrů.

ABS ( X - Y)

použijeme, mají-li hodnoty pixelu výsledného rastru být absolutní hodnotou rozdílu odpovídajících si (souřadnicově) hodnot dvou vybraných rastrů.

X * Y

použijeme, mají-li hodnoty pixelu výsledného rastru součinem hodnot odpovídajících si (souřadnicově) pixelů dvou vybraných rastrů.

X / Y

použijeme, mají-li hodnoty pixelu výsledného rastru být podílem hodnot odpovídajících si (souřadnicově) pixelů dvou vybraných rastrů.

( X - Y) / ( X + Y)

použijeme, mají-li se hodnoty pixelu výsledného rastru vypočítat podle uvedeného předpisu tj. jako podíl rozdílu a součtu odpovídajících si (souřadnicově) hodnot dvou vybraných rastrů. Této operace se využívá pro výpočet vegetačního indexu (NDVI), kde rastr X odpovídá snímku ve viditelné části spektra a Y rastru v blízkém infračerveném pásu spektra.

  • pro družici NOAA se X = 1. kanálu a Y = 2.kanálu

  • pro družici Landsat TM X = 3.kanálu a Y = 4.kanálu

MIN ( X, Y)

použijeme, mají-li hodnoty pixelu výsledného rastru být minimem z hodnot odpovídajících si (souřadnicově) pixelů dvou vybraných rastrů.

MAX ( X, Y)

použijeme, mají-li hodnoty pixelu výsledného rastru být maximem z hodnot odpovídajících si (souřadnicově) pixelů dvou vybraných rastrů.

Scalling

Přepínač přepíná způsob transformací úrovní šedi, pokud při některé operaci hodnota úrovně pixelů přesáhne interval (0-255). Je-li Scalling aktivní, pak systém nejprve zjistí minimální (i zápornou) a maximální hodnotu úrovně šedi. Lineární transformací potom přepočítá jednotlivé hodnoty tak, aby padly do intervalu (0 - 255). Pokud Scalling není aktivní, hodnoty úrovní šedi mimo interval (0-255) se ignorují a příslušným pixelům se přiřadí maximum (255) popř. minimum (0).

Po potvrzení dialogu s volbami aritmetické operace se otevře standardní dialog pro zadání jména rastrového souboru, se kterým chceme pracovat. Pokud jsme zvolili aritmetickou operaci pro dva rastry (dolní část dialogu pro volby), dialog pro zadání jména rastrového souboru se otevře dvakrát za sebou.

V případě, že jsme zvolili operaci pro jeden rastr, otevře se ještě následně dialog pro zadání konstanty. V opačném případě začne systém vytvářet nový rastr, který uloží pod požadovaným jménem na disk.

Dialog pro zadání konstanty pro operaci s jedním rastrem.

Poznámka

V případě operací se dvěma rastry, musí být oba rastry stejně velké. Příkaz nelze aplikovat na barevné rastrové soubory.


Logické operace s rastry

Příkaz vytvoří rastrový obraz, přičemž hodnota jeho pixelů je výsledkem logické operace mezi dvěma vybranými binárními rastry. Po vyvolání příkazu se otevře dialogové okno, které obsahuje kontrolní přepínače pro volbu logické operace, pomocí které se bude vypočítávat hodnota pixelů výsledného rastru.

Dialog pro volbu logické operace.
AND dvou rastrů

potvrdíme, mají-li hodnoty výsledného rastru být logickým součinem hodnot odpovídajících si pixelů dvou vybraných rastrů. Logickým součinem se rozumí operace, jejíž operandy mají hodnotu 0 nebo 1 a výsledek má v závislosti na operandech následující hodnotu:

  • 0 AND 0 = 0

  • 0 AND 1 = 0

  • 1 AND 0 = 0

  • 1 AND 1 = 1

OR dvou rastrů

potvrdíme, mají-li hodnoty výsledného rastru být logickým součtem hodnot odpovídajících si pixelů dvou vybraných rastrů. Logickým součtem se rozumí operace, jejíž operandy mají hodnotu 0 nebo 1 a výsledek má v závislosti na operandech následující hodnotu:

  • 0 OR 0 = 0

  • 0 OR 1 = 1

  • 1 OR 0 = 1

  • 1 OR 1 = 1

XOR dvou rastrů

potvrdíme, mají-li hodnoty výsledného rastru být logickým exkluzívním součtem hodnot odpovídajících si pixelů dvou vybraných rastrů. Exkluzívním logickým součinem se rozumí operace, jejíž operandy mají hodnotu 0 nebo 1 a výsledek má v závislosti na operandech následující hodnotu:

  • 0 XOR 0 = 0

  • 0 XOR 1 = 1

  • 1 XOR 0 = 1

  • 1 XOR 1 = 0

NOT rastru

potvrdíme, mají-li hodnoty výsledného rastru být negací hodnot odpovídajících si pixelů vybraného rastru. Negací se rozumí operace, která má pouze jeden operand o hodnotě 0 nebo 1 a výsledek má v závislosti na tomto operandu následující hodnotu:

  • NOT 0 = 1

  • NOT 1 = 0

Po potvrzení dialogu s volbami operace se otevře dialog pro zadání jména rastrového souboru, se kterým chceme pracovat. Pokud má vybraná logický operace dva operandy (AND, OR A XOR), dialog pro zadání jména rastrového souboru se otevře dvakrát za sebou.

Po zadání jména rastru popř. rastrů se otevře dialog pro zadaní jména, pod kterým se má nově vzniklý rastrový obraz uložit. Následuje vytváření nového souboru, který systém uloží pod zadaným jménem na disk.


Morfologie

Tato funkce umožňuje provádět morfologické operace erozi a dilataci.

Dialog pro volbu morfologické operace.
eroze se 4 - okolím

potvrdíme, mají-li hodnoty výsledného rastru vzniknout aplikací operace eroze s tzv. 4 - okolím pixelu, tj. se strukturním elementem, který se skládá kromě daného bodu pouze ze sousedních pixelů nahoře, dole, vlevo a vpravo. Výsledkem je stejnoměrné zeslabení kresby - popředí binárního rastru.

eroze s 8 - okolím

potvrdíme, mají-li hodnoty výsledného rastru vzniknout aplikací operace eroze s tzv. 8- okolím pixelu, tj. se strukturním elementem, který se skládá kromě daného bodu ze všech jeho sousedních pixelů. Výsledkem je stejnoměrné zeslabení kresby - popředí binárního rastru.

dilatace se 4 - okolím

potvrdíme, mají-li hodnoty výsledného rastru vzniknout aplikací operace dilatace s tzv. 4 - okolím pixelu, tj. se strukturním elementem, který se skládá kromě daného bodu pouze ze sousedních pixelů nahoře, dole, vlevo a vpravo. Výsledkem je stejnoměrné zesílení kresby - popředí binárního rastru.

dilatace s 8 - okolím

potvrdíme, mají-li hodnoty výsledného rastru vzniknout aplikací operace dilatace s tzv. 8 - okolím pixelu, tj. se strukturním elementem, který se skládá kromě daného bodu ze všech jeho sousedních pixelů. Výsledkem je stejnoměrné zesílení kresby - popředí binárního rastru.

Poznámka

Operací je možno použít např. pro předzpracování binárních rastrů před automatickou vektorizací. Může se použít buď jen eroze , kdy dojde ke ztenčení a zestejnoměrnění čar kresby a zároveň se odstraní drobný šum. Operace se může použít několikrát za sebou. Dilataci je možno použít k zesílení čar kresby a k vyplnění chybějících pixelů kresby.


Příprava rastru pro vektorizaci

Příkaz slouží pro vyčištění binárního rastru před automatickou nebo poloautomatickou vektorizací. Odstraňují se nežádoucí prvky kresby rastru, jako např. šum, písmena, křížky, místa, kde došlo k nežádoucími spojení několika čar kresby apod. Po výběru vstupního binárního rastru se objeví následující dialog pro zadání parametrů:

Dialog " Příprava rastru pro vektorizaci"
Zhlazovat linie

Zapnutí přepínače určí, zda se při předzpracování rastru budou odstraňovat malé výstupky z liniové kresby.

Zaplňovat zuby

Zapnutí přepínače určí, zda se při předzpracování rastru budou vyplňovat malé mezery (zuby) v liniové kresbě.

Minimální šířka linií (pixely)

Do editační linky se zadá odhadnutá minimální šířka linií v pixelech,

Maximální šířka linií (pixely)

Do editační linky se zadá odhadnutá maximální šířka linií v pixelech, Údaj má význam zejména pro následující přepínač "Odstranit objekty větší než max. šířka linií", který není možno použít pokud není zadána maximální šířka linií větší než 1 pixel.

Odstranit objekty větší než max. šířka linií

Pomocí tohoto přepínače se nastaví, zda se z rastru budou odstraňovat objekty, jejichž průměr je větší než zadaná maximální šířka liniových prvků kresby rastru. Jedná se např. o nežádoucí prvky kresby, popř. o spojené linie v místech s velmi hustou kresbou. Taková místa je lépe před vektorizací odstranit, neboť program není schopen tato místa správně analyzovat.

Zamítnout všechny linie - větve

Zapnutý přepínač způsobí, že všechny linie, které na jednom konci souvisí s ostatními liniemi a na druhém konci mají "volný" konec, tedy nesouvisejí s dalšími liniemi, budou z kresby odstraněny.

Práh pro linie - větve (uložit jen delší)

Do editační linky se zapíše minimální délka linií - větví, které pak nebudou odstraněny z kresby rastru. Jedná se tedy o linie, které na jednom konci souvisí s ostatními liniemi a na druhém konci mají "volný" konec, tedy nesouvisejí s dalšími liniemi. Takové kratší linie jsou většinou součástí nežádoucích prvků, jako např. písmena, křížky apod., takže pro vektorizaci představují pouze neužitečnou informaci.

Zamítnout všechny uzavřené linie

Zapnutý přepínač způsobí, že všechny uzavřené linie budou z kresby odstraněny.

Práh pro uzavřené linie (uložit jen delší)

Do editační linky se zapíše minimální délka uzavřených linií, které pak nebudou odstraněny z kresby rastru. Kratší uzavřené linie jsou většinou součástí nežádoucích prvků, jako např. písmena apod., takže pro vektorizaci představují pouze neužitečnou informaci.

Zamítnout všechny volné linie

Zapnutý přepínač způsobí, že všechny linie, které ani na jednom konci nesouvisí s ostatními liniemi, budou z kresby odstraněny.

Práh pro volné linie (uložit jen delší)

Do editační linky se zapíše minimální délka volných linií, které pak nebudou odstraněny z kresby rastru. Kratší linie, které nesouvisí s ostatní kresbou jsou většinou buď šumem, který je lépe odstranit, popř. se jedná o čárkované linie, které není možné poloautomatickou vektorizací úspěšně vektorizovat, pokud délka segmentů je příliš malá.

Šířka linií

Do editační linky se zadá požadovaná síla liniové kresby v pixelech ve výstupním rastru. Standardně je výstupem rastr se sílou linií 1 pixel. Zde by mohli vznikat problémy s viditelností jednotlivých linií, které při poloautomatické vektorizaci lze eliminovat "podsunutím" původního rastru do mapového okna a vhodným obarvením obou rastrů (při vektorizaci se bere do úvahy pouze rastr, který je v daném místě v legendě okna nejvýše). Při zadání větší hodnoty než 1 (smysl mají pouze lichá čísla) může na některých místech dojít k mírnému zaoblení rohu kresby.

Po zadáni a potvrzení parametrů se zadá standardním dialogem výstupní rastr.


Vyrovnání barev rastrů

Operace zajistí plynulé přechody barev, resp. úrovní šedi pro určitou skupinu snímků. Vstupem pro operaci může být libovolný počet rastrů šedotónových, popř. TrueColor, ale vždy stejného typu. Vstupní rastry by měly být maskovány. Pro tuto operaci není vhodné aby snímky obsahovaly rušivé informace, jakými mohou být např. okraje leteckých snímků apod. Předpokládá se též , že budou mít dostatečně velké překryvy, aby pro analýzu bylo dostatečné množství informace. Vstupní rastry mohou ale mít různou velikost pixelu. Pokud se v jednom místě překrývá více rastrů, systém bere v potaz všechny. Je však vhodnější provést zamaskování jednotlivých rastrů tak, aby k tento jev byl eliminován . Přitom je možno potlačit části rastrů, kde je buď informace nadbytečná, popř. nekvalitní - došlo k určité degradaci kvality obrazu. Po analýze překrývajících se částí jednotlivých rastrů se systém snaží korigovat jas a barevnost jednotlivých rastrů tak, aby se co nejvíce shodovaly a přitom extrapoluje navržené změny i do částí rastrů, které se nepřekrývají.

Vstupní rastry se na počátku operace vyberou standardním dialogem pro výběr rastrů. Jednotlivé rastry mohou být umístěny v různých adresářích, ale musí mít navzájem různá jména. Vstupní rastry musí být geometricky umístěné.

Po výběru vstupů je nutno zadat výstupní adresář, který má předefinovanou extenzi '.EQR'. Výstupní rastry budou umístěny do tohoto adresáře pod stejnými jmény jako vstupní rastry. Je proto nutné zajistit dostatečné množství místa pro uložení výstupních rastrů. Po zadaní jména výstupního adresáře se nejprve vstupní rastry načítají a v druhé fázi se vytvářejí výstupní rastry.

Poznámka

V některých případech je při zpracování TrueColor rastrů vhodné před touto operací použít speciální funkce, které mění jas, kontrast, popř. tón a celkovou dynamiku hodnot v jednotlivých barevných složkách rastru. Ne vždy se totiž automaticky podaří vyrovnat rozdíly mezi rastry s různými barevnými charakteristikami, např. pokud se na jednom místě překrývá více odlišných rastrů. Dalším problémovým případem může být i situace, kdy na okraji řady rastrů překrývají dva dosti barevně či jasově odlišné rastry. Část krajního rastru, která se nepřekrývá s žádným jiným rastrem nelze totiž porovnat s jiným rastrem a případná korekce se provede převážně mimo tuto část rastru. Úplný okraj daného rastru by pak zůstal buď odlišný od zbytku rastru. I tuto situaci lze v takovém nepříznivém případě řešit barevnou či jasovou korekcí problémových rastrů jednou z následujících operací:

  • Gamma korekce rastru

  • Jas a kontrast TrueColor rastru

  • Změna barev TrueColor rastru

  • Vyrovnání TrueColor rastru


Vyrovnání barev všech rastrů

Operace zajistí plynulé přechody barev, resp. úrovní šedi pro celou skupinu snímků. Vstupem pro operaci jsou všechny rastry vhodného typu (šedotónové, popř. TrueColor) otevřené v aktivním mapovém okně. Jedná se tedy o speciální variantu funkce Vyrovnání barev rastrů.

Jednotlivé vstupní rastry mohou být umístěny v různých adresářích, ale musí mít navzájem různá jména.

Po výběru operace je nutno zadat výstupní adresář, který má předefinovanou extenzi '.EQR'. Výstupní rastry budou umístěny do tohoto adresáře pod stejnými jmény jako vstupní rastry. Je proto nutné zajistit dostatečné množství místa pro uložení výstupních rastrů. Po zadaní jména výstupního adresáře se nejprve vstupní rastry načítají a v druhé fázi se vytvářejí výstupní rastry.


Vyrovnání barev 2 rastrů podél linie

Operace zajistí plynulé přechody barev, resp. úrovní šedi pro dva vybrané rastry. Operaci je možno nadefinovat jako libovolnou kombinaci z operací barevného vyrovnání, rozmazání přechodu, maskování rastru a mozaiky obou rastrů. Tři prvně jmenované suboperace se provádějí s ohledem na zadanou linii, která bude tvořit přechodovou hranici mezi oběma rastry. Cílem operace je dosáhnout dokonalý přechod mezi oběma rastry co se týká barevnosti, popř. následné zamaskování jednoho z rastrů, který byl vybrán jako rastr v popředí. Nakonec je možno oba rastry spojit do jednoho výstupního rastru. První fáze - barevné vyrovnání se provádí v zadaném pásu podél vstupující linie tak, že změna barev těsně u linie je největší a s odstupem vzdálenosti klesá. V druhé fázi - rozmazání rastrů dochází k prolnutí obou rastrů v pásu podél linie (zde je doporučená šířka pásu malá, měla by odpovídat pouze několika pixelům), takže pokud si detaily na obou rastrech přesně neodpovídají, dochází k určitému rozostření jednotlivých rastrů v tomto pásu. Výsledkem je však to, že přechod mezi jednotlivými rastry po případném zamaskování dle dané linie je prakticky nepostřehnutelný.

Po spuštění operace se vyberou standardním způsobem dva rastry a pak se editačním nástrojem pro editaci linie zadá linie, která by měla přetínat oblast překryvu obou rastrů, a podél které se bude provádět vyrovnání, popř. rozmazání rastrů. Pokud budeme rastr v popředí maskovat, je nutno zadat uzavřený polygon. Po jejím potvrzení se objeví následující dialog:

Dialog pro nastavení parametrů operace "Vyrovnání barev 2 rastrů podél linie".
1. vstupní rastr (pozadí)

Editační linka, do které se buď přímo nebo pomocí sousedního tlačítka pro výběr souboru standardním dialogem zapíše jméno prvního z rastrů.

2. vstupní rastr (popředí)

Editační linka, do které se buď přímo nebo pomocí sousedního tlačítka pro výběr souboru standardním dialogem zapíše jméno druhého z rastrů. Tento rastr se chápe jako rastr v popředí, který se popřípadě maskuje.

Vyrovnání barev

Pomocí tohoto přepínače se nastaví, zda se oba rastry budou barevně korigovat v zadaném pásu.

Šířka bufferu pro vyrovnání barev (m)

Do editační linky se zapíše, popř. se nastaví pomocí šipek šířka pásu, ve které se bude provádět barevné vyrovnání obou rastrů. Změna barevnosti je největší podél zadané linie a nejmenší na okraji pásu.

Rozmazání

Pomocí tohoto přepínače se nastaví, zda se oba rastry budou rozmazávat v zadaném pásu.

Šířka bufferu pro rozmazání (m)

Do editační linky se zapíše, popř. se nastaví pomocí šipek šířka pásu, ve které se bude provádět rozmazání obou rastrů. Údaj je v metrech.

Šířka bufferu pro rozmazání (pixely)

Do editační linky se zapíše, popř. se nastaví pomocí šipek šířka pásu, ve které se bude provádět rozmazání obou rastrů. Údaj je v pixelech. Po zadání údaje se přepočte i šířka pásu v metrech a naopak.

Maskovat rastr v popředí

Pomocí tohoto přepínače se nastaví, zda se bude rastr v popředí maskovat podle zadané linie.

Maskovat

  • Vnitřek - zamaskuje se oblast odpovídající vnitřku zadaného polygonu.

  • Doplněk - zamaskuje se oblast odpovídající doplňku zadaného polygonu.

Mozaika

Pomocí tohoto přepínače se nastaví, zda se oba rastry budou spojovat do výsledné mozaiky. Pokud je přepínač zapnutý, editační linka pro druhý výstup je nepřístupná.

1. výstupní rastr (mozaika)

Editační linka, do které se buď přímo nebo pomocí sousedního tlačítka pro výběr souboru standardním dialogem zapíše jméno výstupního rastru.

2. výstupní rastr

Editační linka, do které se buď přímo nebo pomocí sousedního tlačítka pro výběr souboru standardním dialogem zapíše jméno druhého výstupního rastru.

První fáze - barevné vyrovnání se provádí v zadaném pásu podél vstupující linie tak, že změna barev těsně u linie je největší a s odstupem vzdálenosti klesá. V druhé fázi - rozmazání rastrů dochází k prolnutí obou rastrů v pásu podél linie (zde je doporučená šířka pásu malá, měla by odpovídat pouze několika pixelům), takže pokud si detaily na obou rastrech přesně neodpovídají, dochází k určitému rozostření jednotlivých rastrů v tomto pásu. Výsledkem je však to, že přechod mezi jednotlivými rastry po případném zamaskování dle dané linie je prakticky nepostřehnutelný.

Poznámka

Pokud tímto způsobem zpracováváme větší počet rastrů, jeví se jako nejefektivnější postup aplikovat na jednotlivé dvojice (jeden rastr je již zpracován, druhý se přidává do zpracování) pouze barevné vyrovnání, rozmazání a zamaskování. Výsledná mozaika se provede až nakonec standardním postupem.


Definice linií pro vyrovnání barev 2 rastrů

Operace zajistí sestavení dávky = skupiny operací vyrovnání dvou rastrů podél linie. Nejprve se vybere pomocí standardního dialogu druh linií (tabulka), který bude sloužit pro ukládání vyrovnávacích linií do aktivního bloku.

Dialog pro výběr tabulky linií pro vyrovnávací linie.

Postupně se vybírají dvojice rastrů pro vyrovnání, definují se linie, podle kterých se bude vyrovnávat a definují se další parametry pro vyrovnání každé dvojice. Cyklus zadávání dvojic rastrů a parametrů pro vyrovnání se přeruší v jakékoli fázi nepotvrzením nějakého z dialogů, popř. zrušením snímání linie. Po ukončení se vytvoří *.dbf soubor, kde jsou uloženy parametry vyrovnání pro všechny vybrané dvojice rastrů.

Poznámka

Pro operaci je nutno mít nastavena nějaká vektorová data (např. blok) pro editaci.


Provedení vyrovnání barev 2 rastrů podle linií

Operace zajistí provedení dávky = skupiny operací vyrovnání dvou rastrů podél linie.

Postupně se vyrovnávají dvojice rastrů. Jejich jména a další parametry pro vyrovnání každé dvojice se čtou ze dvou speciálních *.dbf souborů, kde jsou uloženy parametry vyrovnání, stejně jako odpovídající čísla linií pro vyrovnání příslušné dvojice rastrů.

Poznámka

Pro operaci je nutno mít otevřena v projektu vektorová data s uloženými liniemi z operace Definice linií pro vyrovnání....


Přizpůsobení barev rastrů dle vzoru

Příkaz provede přizpůsobení barevnosti (saturace, odstín) TrueColor nebo šedotónového rastru podle zadaného vzoru. Nejprve se standardním dialogem vybere skupina vstupních rastrů pro operaci, poté se vybere vzorový rastr. Dále se zadá jméno výstupního rastru (pouze jeden vstup) nebo adresář a výstupní formát rastru. Nakonec se program dotáže, zda pro výpočet korekce má preferovat pouze případný překryv rastrů (překryv obecně není podmínkou operace).


Přizpůsobení barev rastrů v mapovém okně

Po spuštění funkce se objeví nástroj v podobě křížku. Pokud se pohybujeme nástrojem nad nějakým rastrem, na dolním informačním panelu se objevuje zkrácené jméno rastru. Přitom se můžeme přepínat do libovolného mapového okna, přičemž v informačním panelu na spodním okraji okna aplikace se průběžně zobrazuje jméno příslušného rastru, v němž se momentálně kurzor nachází. Během operace můžeme měnit výřez standardním způsobem. Pokud je rastrů v předmětu zájmu více a kvůli překrytům je ztížená orientace, je vhodné použít zobrazení obrysů rastrů. Klikneme-li levým tlačítkem na nějaký rastr, objeví se dialog se zobrazením jmen všech rastrů, které zasahují do daného bodu. V dialogu lze pak modifikovat zobrazení těchto rastrů a zobrazovat jejich charakteristiky.

Dialog pro nastavení parametrů korekce rastrů a nastavení jejich zobrazení v mapovém okně.

Jádrem operace je nastavení korekce barev rastru pomocí stejného dialogu jako v operaci "gradientní korekce rastru". Ten je zpřístupněn pro aktivní rastr v seznamu. Po nastavení korekce je možno přezobrazením, popř. změnou výřezu zkontrolovat výsledek přímo v mapovém okně v kontextu ostatních rastrů. V této fázi se jedná pouze o dočasný způsob zobrazení, který trvá pouze v rámci běhu tohoto příkazu. Pro trvalou změnu je nutno rastr uložit pod jiným jménem.

Změnu nastavení položek části legendy mapového okna týkající se rastrů, lze provádět pomocí panelu nástrojů a kontextového menu. Jednotlivé akce se zpřístupní poklepnutím na jeden ze zobrazených řádků, které odpovídají jednotlivým rastrům v daném okně.

Vlastnosti |  | Spustí dialog pro nastavení zobrazení daného rastru.
Odstranit | Del | Odstranění vybraných položek (i více najednou).
Zobrazovat |  | Zapne se zobrazení daného rastru v legendě.
Nezobrazovat |  | Vypne se zobrazení daného rastru v legendě.
Roztáhnout rastr |  | Mapové okno se přezobrazí tak aby výřez pokryl vybraný rastr.
Info |  | Otevře dialog pro zobrazení informací o vybraném rastru.
Překreslit | ALT+O | Přezobrazí se mapové okno.
Korekce barev |  | Spustí dialog pro gradientní korekci rastru.
Uložení změn |  | Objeví se standardní dialog pro výběr cílového rastru, kam se uloží zdroj s provedenými korekcemi.
Nápověda | F1 | Spustí tuto nápovědu.
Přejmenování v legendě | F2 | Přejmenování odpovídající položky v legendě daného mapového okna.


Odstín, nasycení a jas rastru

Příkaz provede korekci barevnosti (odstín barev, jejich nasycení a jas) TrueColor nebo šedotónového rastru podle zadaných parametrů. Úprava odstínu a nasycení barev je aplikována rovnoměrně na celé ploše rastru. Změnu jasové složky je možno aplikovat s důrazem na určitou část rastru.

Poznámka

Sytost (Saturation) - udává zastoupení dané barvy, nebo-li poměr jejího smíchání se šedou stejné intenzity. Málo nasycená barva je vlastně šedá se slabým nádechem například červené.

Poznámka

Odstín (hue) - představuje parametr odpovídající vlnovové délce. Hodnota této složky představuje odstín barvy ze škály viditelného spektra barev a proto se neodkazuje ani na bílou ani na černou barvu. Změna tohoto parametru představuje pohyb kolem barevného kruhu.

Dialog pro korekci odstínu, nasycení barev a jasu rastru

V horní části dialogu jsou tři posuvné lišty, kterými lze nastavit samostatně korekci pro odstín, nasycení barev a jas. Standardní hodnotou pro všechny posuvníky je je 0. Změnu barev při korigování odstínu nelze jednoduše popsat vzhledem k výše uvedené poznámce. Výsledek se musí ověřit v okně náhledu. V praxi nebudou mít význam přílišné změny této složky. Kladné hodnoty korekce pro nasycení barev způsobí větší živost barev, záporné pak mají opačný efekt. Při minimální hodnotě se stává barevný rastr šedotónovým. U šedotónového vstupního rastru nemá tato korekce žádný efekt. Kladné hodnoty korekce jasu způsobí zesvětlení rastru, záporné pak rastr ztmaví.

Dvojklikem do okna náhledu se definuje se bod, kde je buď maximální nebo minimální efekt úpravy jasu, zatímco na vzdálenějších bodech rastru je úprava jasu aplikována s opačnou váhou. Pomocí posuvníku s 5 možnými polohami lze navolit jak mají být korekce aplikovány v ploše rastru. Krajní polohy znamenají, že ve středu operace nebo v nejvzdálenějších bodech rastru od středu operace bude mít korekce maximální váhu a v nejvzdálenějších bodech rastru (resp. středu operace při pravé krajní poloze) bude operace aplikována s opačnou váhou. To znamená pokud např. ve středu rastru provádíme zesvětlení, pak v nejvzdálenějších místech dojde ke ztmavení apod. Levá mezipoloha posuvníku znamená, že ve středu operace bude mít korekce maximální váhu a v nejvzdálenějších bodech rastru bude operace aplikována s nulovou váhou, tzn. nedojde zde ke změně. Opačně při pravé mezipoloze posuvníku.

Výsledek můžeme pozorovat v náhledovém panelu po použití tlačítka "Náhled". Tlačítkem "Obnovit" se lze vrátit do původního stavu náhledu před korekcí.


Změna barev rastru podle vzoru

Příkaz je kombinací příkazů "Gamma korekce rastru" a "Jas a kontrast rastru". Slouží k dorovnání barevnosti vybraného rastru k vybranému vzoru, které lze průběžně porovnávat v náhledu. Po výběru dvou vstupních rastrových souborů standardním dialogem se objeví dialog s náhledem obou rastrů.

Dialog pro nastavení změny barev rastru podle vzoru.

V pravém náhledovém panelu je zobrazen rastrový soubor, který chceme barevně doladit ke vzoru. Jeho jméno je uvedeno na dolním panelu dialogu. V levém náhledovém panelu je zobrazen vzorový rastr. Oba náhledy ze zvětšují a zmenšují současně. Posuny jednotlivých bitových map pomocí posuvníků nebo kolečkem myši jsou vzájemně nezávislé.

Poznámka

Od verze TopoLu 2001 lze pomocí dvojice posuvníků s 5 možnými polohami pro vodorovný a svislý směr navolit, aby operace nebyla aplikována rovnoměrně v celé ploše rastru. Lze ji aplikovat např. pouze na určité straně nebo v určitém rohu. Krajní polohy znamenají, že na příslušné straně rastru bude mít operace maximální váhu a na opačné straně rastru bude operace aplikována s opačnou váhou. To znamená pokud např. na levé straně rastru provádíme zesvětlení, pak na pravé straně dojde ke ztmavení apod. Mezipolohy posuvníku znamenají, že na příslušné straně rastru bude mít korekce maximální a na opačné straně rastru bude operace aplikována s nulovou váhou, tzn. nedojde zde ke změně. Kombinováním poloh obou posuvníků lze operaci soustředit na určitý roh rastru. V opačném rohu je pak operace aplikována s opačnou váhou nebo s nulovou váhou (mezipolohy). Při neutrální poloze obou posuvníků je operace aplikována se stejnou váhou na celou plochu rastru.


Vyrovnání histogramu rastru

Po výběru rastrového souboru se objeví dialog, kde je zobrazen zmenšený náhled vybraného rastru. Tento náhled lze zmenšovat až do velikosti, kdy je v zobrazovacím panelu zobrazen celý rastr. Zpětně lze zobrazení rastru zvětšovat maximálně do původní velikosti zobrazení.

Dialog pro vyrovnání histogramu rastru.

Postup spočívá ve výběru barevné složky (kromě základních složek obsahuje i varianty "Všechny" a "Jas") z výklopného seznamu "Složka". Po výběru složky se v horním panelu dialogu objeví histogram vybrané složky, popřípadě histogram odpovídající rozložení jasové složky rastru. Přitom se v editačních linkách zobrazí minimální (nejtmavší), maximální (nejsvětlejší) a střední hodnota v dané složce.

Je možno měnit hodnoty v těchto editačních linkách, přičemž minimální hodnotu nelze zadat větší než 127 a maximální hodnotu nelze zadat menší než 127. Při provádění operace se postupuje tak, že hodnoty zadané složky se změní podle lineární funkce tak, aby se původní interval hodnot od minimální hodnoty do střední hodnoty transformoval do intervalu 0..127. Zároveň původní interval hodnot od střední hodnoty do maximální hodnoty se transformuje do intervalu 128..255. Posouváním střední zadané hodnoty lze zvětšovat dynamiku úrovní jasu v jednotlivých složkách více buď v tmavší popř. světlejší části rastru. Posouváním minimální a maximální hodnoty směrem ke střední hodnotě se zvětšuje stupeň zadané změny dynamiky, přičemž původní hodnoty v dané složce rastru, které padnou pod minimální, resp. nad maximální zadanou hodnotu splynou do jediné hodnoty 0, resp. 255. Zadáme-li naopak minimální, resp. maximální hodnotu dále od středu než bylo původně programem navrženo, zmenšuje se stupeň zadané změny dynamiky.

Výsledek lze zobrazit pomocí tlačítka "Náhled". Zadané změny se neaplikují aditivně na předchozí mezivýsledek. Tlačítkem "Obnovit" se lze vrátit do původního stavu. V případě potvrzení dialogu tlačítkem "OK" je možno zadat jméno výstupního rastru do kterého se zapíše výsledek operace.

Poznámka

Operaci lze provádět se všemi typy rastrů kromě binárních. Narozdíl od True Color rastrů, kdy je po potvrzení změny barevného podání rastru nutno vytvořit nový rastr (přepočítávají R, G, B složky všech pixelů), u šedotónových a indexovaných barevných rastrů se změna řeší stejně jako např. u změny transferu šedotónových rastrů či u editace palety u barevných rastrů. Vždy se změní pouze transfer nebo paleta. Pokud je přitom daný rastr zobrazen, změna se provede pouze v paměti a k uložení dochází až při vypuštění rastru z legendy.


Jas a kontrast rastru

Funkce umožňuje změnit jas a kontrast barevného, šedotónového, popř. TrueColor rastru. Jas i kontrast lze možno měnit najednou. Po výběru rastrového souboru se objeví dialog, kde je zobrazen zmenšený náhled vybraného rastru. Tento náhled lze zmenšovat až do velikosti, kdy je v zobrazovacím panelu zobrazen celý rastr. Zpětně lze zobrazení rastru zvětšovat maximálně do původní velikosti zobrazení.

Dialog pro nastavení jasu a kontrastu rastru.

Postup spočívá v zadání stupně změny jasu nebo kontrastu, popř. obou pomocí editačních řádek. Lze zadávat i záporná čísla, přičemž jas i kontrast v tomto případě klesá.

Výsledek lze zobrazit pomocí tlačítka "Náhled". Zadané změny se neaplikují aditivně na předchozí mezivýsledek. Tlačítkem "Obnovit" se lze vrátit do původního stavu.

Poznámka

Od verze TopoLu 2001 lze pomocí dvojice posuvníků s 5 možnými polohami pro vodorovný a svislý směr navolit, aby operace nebyla aplikována rovnoměrně v celé ploše rastru. Lze ji aplikovat např. pouze na určité straně nebo v určitém rohu. Krajní polohy znamenají, že na příslušné straně rastru bude mít operace maximální váhu a na opačné straně rastru bude operace aplikována s opačnou váhou. To znamená pokud např. na levé straně rastru provádíme zesvětlení, pak na pravé straně dojde ke ztmavení apod. Mezipolohy posuvníku znamenají, že na příslušné straně rastru bude mít korekce maximální a na opačné straně rastru bude operace aplikována s nulovou váhou, tzn. nedojde zde ke změně. Kombinováním poloh obou posuvníků lze operaci soustředit na určitý roh rastru. V opačném rohu je pak operace aplikována s opačnou váhou nebo s nulovou váhou (mezipolohy). Při neutrální poloze obou posuvníků je operace aplikována se stejnou váhou na celou plochu rastru.


Změna barev rastru

Funkce umožňuje změnit barevnost barevného, šedotónového, popř. TrueColor rastru. Je možno měnit jas celého rastru, nebo lze ovlivňovat pouze jednotlivé barevné složky (červenou, zelenou, modrou) rastru, čímž lze dosáhnout změny barveného odstínu. Po výběru rastrového souboru se objeví dialog, kde je zobrazen zmenšený náhled vybraného rastru. Tento náhled lze zmenšovat až do velikosti, kdy je v zobrazovacím panelu zobrazen celý rastr. Zpětně lze zobrazení rastru zvětšovat maximálně do původní velikosti zobrazení.

Dialog pro změnu barev rastru.

Postup spočívá ve výběru barevné složky (kromě základních složek obsahuje i variantu "Všechny" pro změnu jasu) z výklopného seznamu "Složka". Dále se vybere jedna z přednastavených funkcí pro změnu barevnosti pomocí seznamu "Předvolba". K dispozici jsou tři možnosti:

  • Zjasnit stíny - způsobuje celkové zesvětlení rastru s důrazem na tmavší partie

  • Zjasnit - způsobuje celkové zesvětlení rastru s důrazem na středně jasné partie

  • Ztmavit - způsobuje celkové ztmavení rastru s důrazem na středně jasné partie.

Výsledek lze zobrazit pomocí tlačítka "Náhled". Barevnost rastru lze měnit postupně (např. po jednotlivých složkách), tzn. že jednotlivé změny se aplikují aditivně na předchozí mezivýsledek. Tlačítkem "Obnovit" se lze vrátit do původního stavu.

Poznámka

U True Color rastru je nutno vytvořit nový výsledný rastr, kdy se přepočítávají R, G, B složky všech pixelů, u barevných či šedotónových rastrů se změna provádí pouze změnou palety, popř. změnou transferu.


Gamma korekce rastru

Funkce umožňuje změnit barevnost všech typů rastru kromě binárního. Lze ji provádět pro libovolnou barevnou složku, čímž lze měnit barevný odstín – přidávat i ubírat některou ze základních barev. Další možností je provádět změnu pro všechny složky najednou – v podstatě pak dochází ke změně jasu a kontrastu. U této operace je možno provádět změny barevných složek aditivně, tzn. upravit nejprve jednu složku a pak provést korekci s jinou složkou.

Dialog pro nastavení gamma korekce rastru.

V horní části dialogu je posuvná lišta, kterou lze nastavit pro vybranou barevnou složku hodnotu gamma korekce od 0.05 do 6.99. Standardní hodnota je 1.0. V horní levé části dialogu je také grafické znázornění převodní funkce, která je pak aplikována na danou složku. U RGB složek hodnoty korekce větší než 1.0 znamenají přidání (zvětšení hodnot) dané složky. U této operace je možno provádět změny barevných složek aditivně, tzn. upravit nejprve jednu složku a pak provést korekci s jinou složkou. Pokud se změna aplikuje na všechny složky najednou, hodnoty korekce větší než 1.0 znamenají zesvětlení obrazu a snížení kontrastu, hodnoty korekce menší než 1.0 znamenají zvětšují kontrast a ztmavují obraz.


Gradientní korekce rastru

Příkaz provede gradientní korekci TrueColor nebo šedotónového rastru podle zadaných parametrů. Příkaz je kombinací příkazů "Gamma korekce rastru" a "Jas a kontrast rastru", která není aplikována rovnoměrně na celé ploše rastru.

Dialog pro gradientní korekci rastru

Dvojklikem do okna náhledu se definuje se bod, kde je buď maximální nebo minimální efekt operace, zatímco na vzdálenějších bodech rastru je efekt operace aplikován s opačnou váhou. Pomocí posuvníku s 5 možnými polohami lze navolit jak mají být korekce aplikovány v ploše rastru. Krajní polohy znamenají, že ve středu operace nebo v nejvzdálenějších bodech rastru od středu operace bude mít korekce maximální váhu a v nejvzdálenějších bodech rastru (resp. středu operace při pravé krajní poloze) bude operace aplikována s opačnou váhou. To znamená pokud např. ve středu rastru provádíme zesvětlení, pak v nejvzdálenějších místech dojde ke ztmavení apod. Levá mezipoloha posuvníku znamená, že ve středu operace bude mít korekce maximální váhu a v nejvzdálenějších bodech rastru bude operace aplikována s nulovou váhou, tzn. nedojde zde ke změně. Opačně při pravé mezipoloze posuvníku. Provádíme-li např. zvyšování kontrastu snímku ve středu, změna je postupně od středu nezřetelnější, až na okrajích bude nulová. Gamma korekci můžeme provádět i pro jednotlivé barevné složky. Je zde možné využít i další možnosti nastavení korekce. Je to přepínač "Užít gamma korekci i na jas", kdy po aplikaci gamma korekce na jednotlivé barevné kanály dojde následně i k provedení gamma korekce na jasovou složku rastru. Zapnutý přepínač "Gamma korekce pouze na jas" má za následek, že se gamma korekce neprovede na příslušné barevné složky, ale pouze na jas. Výsledek můžeme pozorovat v náhledovém panelu po použití tlačítka "Náhled".


Ostření rastru

Příkaz provede doostření TrueColor nebo šedotónového rastru podle zadaného stupně.

Dialog pro zaostření rastru.

V editační lince "Stupeň ostření" se nastaví požadovaný koeficient v rozsahu 0 - 100. Výsledek můžeme pozorovat v náhledovém panelu po použití tlačítka "Náhled".

Poznámka

Vždy je nutno vytvořit nový výstupní soubor. Operace není vhodná k odstranění šumů v obraze, úspěšně ji lze jen použit k odstranění rozostřeného rastru.


Spektrální analýza

Spektrální analýza je skupina operací pro práci s multispektrálními obrazovými daty, tj. s geometricky totožnými rastrovými daty zobrazující dané území v různých částech spektra.


Barevná syntéza

Příkaz vytvoří ze tří zadaných šedotónových obrazů (kanálů), z nichž každý je přiřazen jedné ze základních barev (R, G, B), osmibitový barevný nebo TrueColor rastrový obraz a uloží tento rastrový soubor pod zadaným jménem.

V první fázi je třeba nejprve zvolit tři shodně velké a shodně umístěné šedotónové rastry. Po vyvolání příkazu se otevře dialog pro zadání vstupních rastrových obrazů (kanálů), které reprezentují jednotlivé R, G, B složky.

Dialog pro zadání vstupních kanálů pro barevnou syntézu.
Soubory

Tato část dialogu obsahuje seznam souborů, se kterými bude systém dále pracovat. V seznamu souborů se pohybujeme standardním způsobem (tj. myší nebo klávesami).

DALŠÍ

Po potvrzení tlačítka se otevře dialog pro výběr rastru, který chceme přidat do seznamu souborů. V tomto dialogu může standardním způsobem tágovat soubory tj. určit k výběru více souborů najednou. Pokud je vybrán požadovaný počet souborů, stane se toto tlačítko neaktivním.

VYMAŽ SOUBOR

Po potvrzení tlačítka se aktivní soubor (vysvícený) vyloučí se seznamu souborů.

VYMAŽ VŠECHNY

Po potvrzení tlačítka se ze seznamu souborů vymažou všechny soubory.

Po potvrzení dialogu, kterým byly vybrány vstupní soubory pro barevnou syntézu, se objeví dialog pro zadání jména a typu výstupního souboru.

Dialog pro zadání jména a typu výstupního souboru barevné syntézy.
Výstupní soubor

Standardní editační linka, pomocí které zadáme jméno výstupního souboru. Lépe než přímý zápis do editační linky je možno využít připojeného standardního dialogu pro výběr výstupního souboru, kde je možno zadat i subtyp rastru.

Formát výstupního rastru

Pomocí jednoho z přepínačů se vybere typ výstupního rastru. V tomto případě je možno zvolit mezi TrueColor a 8-mi bitovým barevným rastrem.

Pokud se vybere jako výstupní typ TrueColor, pak se v následujícím dialogu přiřadí jednotlivé vstupní soubory R,G,B složkám a zadá se počet barev v paletě. (slouží pouze pro zobrazování v režimu Windows 256- ti barev).

Dialog pro přiřazení jednotlivých vstupních souborů R,G,B složkám.
R-složka

Ve výklopném seznamu vybereme ten ze vstupních souborů, který bude reprezentovat červenou složku (barvu).

G-složka

Ve výklopném seznamu vybereme ten ze vstupních souborů, který bude reprezentovat zelenou složku (barvu).

B-složka

Ve výklopném seznamu vybereme ten ze vstupních souborů, který bude reprezentovat modrou složku (barvu).

Úrovní výstupu

Pomocí editační linky s tlačítky zadáme počet barev v pomocné paletě, která slouží pro rychlé zobrazení rastru v režimu 256 barev.

Pokud se vybere jako výstupní typ syntézy 8-mi bitový barevný rastr, pak se v následujícím dialogu přiřadí jednotlivé vstupní soubory R,G,B složkám a zadá se počet barev v paletě. Zde je navíc nutno zadat parametry týkající se konverze TrueColor rastru na 256-ti barevný rastr - dithering a způsob výběru barev do palety.

Dialog pro přiřazení jednotlivých vstupních souborů R,G,B složkám.
R-složka

Ve výklopném seznamu vybereme ten ze vstupních souborů, který bude reprezentovat červenou složku (barvu).

G-složka

Ve výklopném seznamu vybereme ten ze vstupních souborů, který bude reprezentovat zelenou složku (barvu).

B-složka

Ve výklopném seznamu vybereme ten ze vstupních souborů, který bude reprezentovat modrou složku (barvu).

Úrovní výstupu

Pomocí editační linky s tlačítky zadáme počet barev v paletě výstupního 8-bitového rastru.

Výběr barev do palety

V oddíle zatrhneme jeden z kontrolních přepínačů

  • Pevná paleta - paleta výsledného obrazu je předem dána. Volba se použije, pokud chceme aby se paleta výsledného rastru shodovala s paletami rastrů vytvořených dříve stejným postupem. Paleta rovnoměrně pokrývá celý prostor R, G, B složek.

  • Adaptivní paleta - paleta výsledného obrazu se vytvoří na základě zastoupení jednotlivých barev ve vstupních obrazech.

Dithering

Oddíl se týká korigování barev pixelů výsledného rastrového obrazu v případě konverze rastr typu True Color na osmibitový. V případě volby provedení ditheringu lze oblasti rastru, kde kombinace R, G, B složek není zastoupena ve výsledné paletě, barevně aproximovat kombinací barev sousedních pixelů.

  • Neprovádět - barva pixelu odpovídající určité kombinaci R, G, B složek, která není obsažena v paletě se nahradí nejbližší barvou z palety.

  • Rozptylování - systém provede tzv. dithering a to metodou rozptylování.


DMT

Operace pro práci s rastrovým digitálním modelu terénu - tvorba, zobrazení apod.


Tvorba z bodů

Příkaz slouží ke konstrukci rastrového digitálního modelu terénu na základě bodů s udanou výškovou souřadnicí (nadmořskou výškou). Na souřadnicích těchto bodů (ať už jsou to body nebo lomové body linií) budou mít pixely výsledného rastru DMT hodnoty podle obsahu příslušného atributu vektorového objektu. Podle takto určených ("známých") hodnot pixelů systém aproximuje výškové souřadnice i pro ostatní pixely rastru. Od verze TopoLu xT 9.0 lze pracovat i se souřadnicí "Z" uloženou přímo v datech otevřených jako 3D data. Protože se nastavení parametrů operace poněkud liší v případech, kdy se pracuje přímo se Z-ovou souřadnicí od případů, kdy se informace o výškách načítají z databázové tabulky, je nejprve třeba vybrat zdrojovou databázi (blok, shapefile).

Dialog pro výběr zdrojových dat.

Po potvrzení dialogu se objeví jeden z následujících dialogů, které slouží jednak ke specifikaci vstupních dat a dále k nastavení parametrů tvorby modelu. Je možno určit povinné hrany, to jest spojnice mezi jednotlivými body, které musí zůstat při tvorbě trojúhelníkové sítě zachovány. Tvorbu DMT rastru lze za určitých podmínek omezit na určitou oblast ohraničujícími liniemi. Počet vstupujících bodů není principiálně nijak omezen.

Dialog pro nastavení parametrů tvorby DMT z linií a bodů pro 3D data.
Dialog pro nastavení parametrů tvorby DMT z linií a bodů pro 2D data.

Body,které má systém používat pro tvorbu digitálního modelu terénu se zadávají v levé horní a střední části dialogu. Můžeme používat body nebo linie s připojenou databází, jejichž některý atribut představuje výškovou souřadnici bodu nebo linie (vrstevnice). Body musí být jednoho druhu, kdežto u linií můžeme zadat jeden nebo dva různé druhy.

Blok

Výklopný seznam obsahuje nabídku dat z projektu s možnými vektorovými objekty pro tvorbu digitálního modelu terénu. Jsou to tedy např. Topolovské bloky obsahující nějaké tabulky bodů, popř. linií.

Body

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme využívat pro tvorbu digitálního modelu terénu body.

Pouze vybrané

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými bodovými objekty nebo jen s vybranými.

Druh bodů

Seznam obsahující nabídku tabulek s body ve vybraném "bloku" dat.

Položka pro výšku

Z nabídky, která se aktivuje vždy po změně výběru tabulky bodů, zvolíme položku nesoucí informace o výškové souřadnici.

Povinné hrany

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme využívat pro tvorbu digitálního modelu terénu linie. Rozumí se tím všechny tabulky linií z vybraného "bloku" dat. Systém se snaží o to, aby výsledný digitální model respektoval tyto linie jako povinné hrany. Tyto povinné hrany představují linie nebo jejich segmenty, které spojují body pro tvorbu DMT (lomové body mají stejné souřadnice jako body sítě). Tato volba z technických důvodů znemožňuje zadat práci s liniemi jako body a též zadat nějaké linie jako hraniční.

Pouze vybrané

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se jako povinné hrany budou chápat všechny liniové objekty nebo jen vybrané.

--------------------------------------------------
1. linie jako body

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme využívat pro tvorbu digitálního modelu terénu linie z určité tabulky, kterou je možno vybrat ze seznamu obsahující nabídku tabulek s liniemi ve vybraném "bloku" dat. Lze vybrat dvě nezávislé tabulky - tento přepínač je možno kombinovat s následujícím přepínačem.

2. linie jako body

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme využívat pro tvorbu modelu terénu další tabulku linií, kterou je možno vybrat z druhého seznamu obsahující nabídku tabulek s liniemi ve vybraném "bloku" dat.

Pouze vybrané linie

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude pracovat se všemi zvolenými liniovými objekty z tabulky 1 a 2, nebo jen s vybranými liniemi.

Linie jako povinné hrany

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme využívat pro tvorbu modelu terénu linie jako povinné hrany a nejen jako izolované body. Tato volba (pokud je jako metoda tvorby vybrána Delaunayho triangulace) z technických důvodů znemožňuje zadat nějaké linie jako hraniční.

Blok s hraniční linií

Výklopný seznam obsahuje nabídku dat z projektu s liniovými vektorovými objekty. Může být vybrán stejný "blok" dat, ze kterého se berou zdrojová data pro tvorbu modelu terénu.

Poznámka

V případě, že používáme ohraničení hraničními liniemi, je potřebné, aby měla hrana dostatek výškových identifikací. V praxi to znamená, že ji alespoň ve dvou bodech musí protínat linie použitá pro tvorbu.

Hraniční linie

Zaškrtnutím kontrolního tlačítka zadáme, zda chceme tvorbu digitálního modelu terénu omezit na určitou oblast pomocí liniových objektů. Linie tvořící uzavřené polygony, budou představovat hranici oblasti, ve které chceme digitální model terénu vytvořit.

Pouze vybrané

Zaškrtnutím kontrolního tlačítka můžeme zadat, zda se bude jako s hraničními liniemi pracovat se všemi liniovými objekty z vybrané tabulky nebo jen s vybranými liniemi.

---------------------------------------------------
Způsob tvorby

Pomocí skupiny přepínačů vybereme vhodnou metodu tvorby digitálního modelu.

  • Trojůhelníkovou sítí - při této volbě se nad body a lomovými body linií sestrojí v 3D trojúhelníková síť, která pixelům přiřazuje jejich hodnotu na základě znalosti výškových souřadnic rohů příslušného trojúhelníku.

  • Delaunayho triangulace - obdobná metoda jako předchozí; kromě zmiňovaných technických omezení, která většinou nejsou příliš podstatná, je tato metoda nejvýhodnější hlavně pro svoji rychlost. Touto metodou lze zpracovávat statisíce bodů.

  • Export do Atlasu DMT - při této volbě se nevytvoří rastr digitálního modelu terénu v TopoLu, ale vznikne textový soubor předpisu bodového pole, ze kterého může být v programu ATLAS vygenerována trojúhelníková síť digitálního modelu terénu ATLAS DMT.

Optimalizace sítě

Pokud je jako metoda tvorby digitálního modelu vybrána možnost "Trojůhelníkovou sítí", je možno zvolit pomocí skupiny přepínačů metoda optimalizace trojůhelníkové sítě. Optimalizace spočívá v tom, že se sestrojená trojúhelníková síť testuje po částech, která z možných kombinací spojení sousedních bodů nejlépe vyhovuje zvolené podmínce. Pokud je dílčí optimální síť odlišná od navržené, dojde ke změně hran trojúhelníků. Poté se pokračuje v testování další části a pokračuje se tak dlouho, dokud ke změnám dochází.

  • Rovnostranné tr. v 2D - při této volbě se systém snaží, aby tvar průmětů trojúhelníků do souřadné roviny se co nejvíce podobal rovnostrannému trojúhelníku (vzájemný poměr stran se blíží jedné).

  • Minimální obvod tr. - při této volbě se systém snaží, aby trojúhelníky měly z možných alternativ co možno nejmenší součet svých stran

  • Min. obvod a plocha - při této volbě se systém snaží, aby trojúhelníky měly z možných alternativ co možno nejmenší součiny obvodu a plochy.

  • Rovnostranné tr. v 3D - při této volbě se systém snaží, aby skutečný tvar trojúhelníků v prostoru se co nejvíce podobal rovnostrannému trojúhelníku (vzájemný poměr stran se blíží jedné).

Poznámka

Ve skutečnosti ne všechny hrany trojúhelníků se mohou volit libovolně. Mohou existovat tzv. povinné hrany, tj. hrany trojúhelníkové sítě, které byly určeny předem ve zdroji dat pro tvorbu DMT (viz dále). Povinné hrany tvoří také jednotlivé segmenty linií použitých pro tvorbu DMT a segmenty hraničních linií.

Po potvrzení nastavení všech parametrů pro tvorbu DMT tlačítkem "OK" se otevře dialog pro nastavení parametrů výsledného rastru. Poté dojde k vytvoření rastru digitálního modelu terénu.


Import grid XYZ

Příkaz vytvoří rastr digitálního modelu terénu z informace uložené v textovém souboru. Buď každý řádek textového souboru představuje informaci o jednom pixelu digitálního modelu terénu, a to souřadnici Y, souřadnici X středu pixelu a výškovou hodnotu pixelu a předpokládá se, že souřadnice jednotlivých bodů tvoří síť s pravidelnou roztečí, která odpovídá rozměru pixelu ve směru Y, resp. X. Druhá varianta importu předpokládá stejný vstupní formát, ale body nemusí být v pravidelné síti a pak se vytvoří digitální model pomocí triangulace. Po spuštění příkazu se objeví následující dialog pro nastavení parametrů příkazu.

Dialog pro import DMTz gridu.
Vstupní soubor

Standardní editační linka, pomocí které zadáme jméno vstupního souboru. Lépe než přímý zápis do editační linky je využít připojeného standardního dialogu pro výběr vstupního souboru.

Y - horiz. rozměr pixelu

Rozměr pixelů ve směru Y (horizontální) výsledného rastrového souboru. Tato hodnota by měla odpovídat rozteči sítě bodů vstupního souboru.

X - vert. rozměr pixelu

Rozměr pixelů ve směru X (vertikální) výsledného rastrového souboru. Tato hodnota by měla odpovídat rozteči sítě bodů vstupního souboru.

Typ konverze

Skupina přepínačů pro možnost volby vytváření digitálního modelu.

  • všechny pixely jako grid - systém pouze přenese informace z textového souboru do rastrového gridu

    Poznámka

    Pokud nebudou rozměry pixelů ve směru Y a X odpovídat rozteči importované sítě bodů v odpovídajících směrech, nemusí dojít k jednoznačnému přiřazení bodů vůči pixelům. Tak může dojít ke ztrátě informace při importu. Na pořadí bodů v textovém souboru nezáleží. Předpokládá se ovšem, že se nebudou v souboru vyskytovat body se shodnými souřadnicemi. Pokud nebude souřadnicím některého z pixelů výsledného rastru odpovídat žádný záznam vstupního textového souboru, bude pixelu přiřazena hodnota 0 (nula).

  • použít triangulaci - systém umožňuje vyřešit případy, kdy zadáme odlišnou velikost pixelu výstupního rastru, než jaké jsou skutečné rozteče vstupních dat, popř. kdy vstupní data netvoří pravidelný grid. Systém nejprve vytvoří ze vstupních dat trojúhelníkovou síť a dále interpoluje všechny potřebné hodnoty pixelů z této sítě.

Výstupní soubor

Jméno vytvořeného rastru digitálního modelu terénu. Standardní editační linka, pomocí které zadáme jméno výstupního souboru. Lépe než přímý zápis do editační linky je využít připojeného standardního dialogu pro výběr výstupního souboru.

Po potvrzení tlačítkem OK dojde k vytvoření rastru ve 4-bytovém formátu.


Export DMT rastru do ASCII

Příkaz vytvoří textový ASCII soubor z rastrového digitálního modelu terénuRAS. Lze exportovat pouze vybranou obdélníkovou část rastru. Zároveň se provede transformace do zvoleného souřadného systému.

Dialog pro export DMT rastru do ASCII souboru.
Vstupní soubor

Standardní editační linka, pomocí které zadáme jméno vstupního souboru. Lépe než přímý zápis do editační linky je využít připojeného standardního dialogu pro výběr vstupního souboru.

Souřadný systém

Pomocí standardního dialogu (tlačítko vpravo) se vybere souřadný systém vstupního rastru. Pokud je rastr již zařazen v projektu, nastaví se souřadný systém implicitně podle nastavení v odpovídající položce stromu dat.

Celý rastr

Přepínač určuje, zda se bude pro operaci používat celý rastr nebo jen vybraná část.

Výstupní soubor

Jméno cílového textového souboru. Standardní editační linka, pomocí které zadáme jméno výstupního souboru. Lépe než přímý zápis do editační linky je využít připojeného standardního dialogu pro výběr výstupního souboru.

Souřadný systém

Pomocí standardního dialogu (tlačítko vpravo) se vybere souřadný systém výstupních dat. Pokud se cílový a zdrojový souřadný systém liší dojde během exportu k transformaci stejně jako při operaci Transformace rastru do jiného souřadného systému.

Po potvrzení tlačítkem OK dojde v případě nezatrženého přepínače "Celý rastr" k výběru části rastru standardním nástrojem a poté k vytvoření textového souboru zvoleného jména. Formát výstupního souboru je popsán v části popisující inverzní operaci importu

Poznámka

Při operaci se vytvoří textový soubor, který lze importovat zpět funkcí Import DMT rastru z ASCII souboru v pomocných operacích rastru.


Mozaika

Příkaz vytvoří spojením zobrazených rastrových souborů DMT nový rastrový soubor zadaného jména. Oblast pro operaci lze omezit pouze na vybranou oblast. Rastrové soubory, ze kterých se má mozaika vytvořit mohou být pouze typu DMT, přičemž ostatní zobrazené rastry se ignorují. Po potvrzení příkazu se sdělí systému, zda se mozaika bude provádět přes opsaný obdélník všech rastrů, popř. přes zadaný obdélník. V tomto případě se standardním nástrojem určí obdélníková oblast, zadá se jméno výstupního souboru a určí se parametry výstupního rastru. Po potvrzení se operace provede.


Zobraz 3D

Příkaz slouží k zobrazení 3D pohledu na obdélníkový výřez rastrového modelu terénu. Standardním způsobem se vybere rastr digitálního modelu terénu se kterým budeme pracovat. Po výběru rastru a jeho zobrazení v mapovém okně se objeví výběrový obdélník, kterým je třeba vybrat výřez pro zobrazení. Po potvrzení polohy a velikosti výběrového obdélníku se otevře dialog pro nastavení parametrů 3D pohledu.

Dialog pro nastavení parametrů 3D pohledu.
Povrch

V případě zaškrtnutí kontrolního tlačítka se na povrch modelu terénu zobrazí vybraný souřadnicově připojený rastr.

Rastr pro povrch

Standardní editační linka, pomocí které zadáme jméno rastru, který se namapuje na digitální model terénu. Lépe než přímý zápis do editační linky je využít připojeného standardního dialogu pro výběr vstupního souboru.

Vertikální úhel

Je úhel pohledu vůči horizontální rovině. Úhel 0 (nula) znamená pohled rovnoběžný s horizontální rovinou, úhel 90 stupňů pohled kolmo na horizontální rovinu (půdorys). Při změně hodnoty lze úhel pohledu zkontrolovat v malém náhledovém okénku s otočným panelem.

Horizontální úhel

Je úhel pohledu vůči souřadné soustavě. Úhel 0 (nula) znamená pohled ve směru od jihu k severu, přičemž se hodnota úhlu zvyšuje při otáčení pozorovatele proti směru hodinových ručiček (90 stupňů znamená pohled od východu k západu). Při změně hodnoty lze úhel pohledu zkontrolovat v malém náhledovém okénku s otočným panelem.

Výškový koeficient

Koeficient, kterým se upravuje poměr měřítka výšky (v ose Z) vůči měřítku šířky a délky v osách Y a X. U příliš plochého modelu terénu tak lze zdůraznit převýšení.

Základní výška

Výška základny 3D modelu terénu. Terén je vykreslován nad, případně pod tuto základnu. Zobrazený model tak lze v náhledovém okně posouvat nahoru, resp. dolu.

Poznámka

Je třeba věnovat pozornost nastavení parametrů zobrazení, především pak základní výšce a výškovému měřítku. Jinak by se mohla stát, že bude reliéf příliš plochý, neúměrně strmý, nebo bude dokonce přesahovat výřez zobrazovacího okna.

Po zadání, resp. úpravě parametrů zobrazení a potvrzení tlačítka OK systém vytvoří 3D pohled a zobrazí ho do nového dialogového okna, kde lze korigovat parametry nastavení 3D zobrazení.

Dialog pro 3D pohled na digitální rastrový model terénu a nastavení jeho parametrů.

Kromě shodných ovládacích prvků jako dialog pro nastavení parametrů 3D pohledu je zde navíc tlačítko "Do schránky", kterým lze po zobrazení modelu terénu zkopírovat vytvořenou bitovou mapu do schránky. Po případné korekci parametrů zobrazení modelu, lze použít tlačítko "Náhled". Po jeho použití dojde k vygenerování nového pohledu dle změněných parametrů. Na spodním okraji náhledového panelu jsou zobrazeny informace o minimální a maximální výšce použitého výřezu digitálního modelu.

Poznámka

Všechny parametry pohledu lze změnit, vstupní rastrový model a vybraný výřez zůstávají stejné.


Nastavení 2D zobrazení

V dialogu se nastaví způsob zobrazení hodnot pixelů (výšek) rastrového digitálního modelu terénu v mapovém okně. Vytvoří se , nebo se změní tabulka transferu, pomocí kterého se vytváří pomocný zobrazovací soubor (šedotónový rastr s příponou .IMG) z originálního dvou nebo čtyř bytového rastru.

Dialog pro nastavení 2D zobrazení rastrů DMT v mapových oknech.

Dialog umožňuje zadat po částech lineární funkci, která se bude interpretovat jako transfer pro všechny DMT rastry. Je též možné po aplikaci některé z předchozích funkcí vytvářejících celý transfer automaticky poopravit pouze určitou část transferu. Pomocí čtyř editačních linek se zadá vždy jedna lineární část transferu.

Položky transferu

Rolovatelný seznam s jednotlivými položkami transferu - tabulky, která převádí reálné výškové hodnoty z rastrů typu DMT do úrovní šedi, pomocí kterých se rastr zobrazuje v mapových oknech. Seznam má čtyři sloupce

  • Číslo řádku
  • Index úrovně šedi (0 - 255)
  • Barva
  • Rozsah reálných hodnot, které se zobrazují danou barvou - úrovní šedi.

Zdrojové hodnoty

Pomocí dvou editačních linek zadáme spodní a horní hranici definičního oboru definované části transferu - reálné hodnoty.

Cílové úrovně šedi

Pomocí dvou editačních linek (Úroveň od a Úroveň do) zadáme spodní a horní hranici oboru hodnot definované části transferu - horní a dolní úrovně šedi, kterými se zobrazí odpovídající interval reálných hodnot.

Vlož

Zadané cílové i zdrojové hodnoty je nutno potvrdit tlačítkem. Jednotlivým hodnotám pixelů ve zdrojovém intervalu se přiřadí některá z úrovní šedi cílového intervalu. Je možno zadávat i takové zdrojové intervaly, které přesně nenavazují na dříve definované subintervaly. Některé části transferu lze tak postupně zjemňovat.

Vymaž vše

Celý seznam - transfer se vyprázdní a je možno ho zadat znovu.

Ze souboru

Aby bylo možno načíst transfery vytvořené v TopoLu pro Windows (16 bitový) a uložit je v projektu, je možno použít tohoto tlačítka a vybrat soubor s extenzí *.trf.

Poznámka

Nastavení 2D zobrazení se ukládá do projektu. Je tedy nutno v případě změny nastavení transferu pro DMT rastry potvrdit ještě uložení změn v daném projektu.


Pomocné operace

Pomocné operace s rastry slouží jednak ke zjišťování určitých informací o zobrazených rastrech, popř. umožňují konverzi jednotlivých rastrových formátů. Patří sem např. i editace palety indexovaných barevných rastrů a vytváření generalizovaných zmenšenin rastrů určených pro jejich rychlejší zobrazování. Určité rysy geometrických operací zde mají převzorkování jednoho rastru podle vzoru jiného rastru a vytváření bitové mapy všech prvků zobrazených v nějakém mapovém okně.


Export

Příkazy v této podnabídce slouží pro převod rastrových dat z libovolného rastru do vybraného formátu.


Export do formátu TIFF

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.tif. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .tfw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu Tiff s kompresí JPEG

Po potvrzení příkazu se vybere pomocí standardního dialogu vstupní rastrový soubor. Musí jít o TrueColor rastr. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.tif. Může se zvolit i subtyp a kvalitu komprese pro výstupní rastr. Komprese JPEG je ztrátová - odpovídající pixely vstupního a výstupního rastru se mohou lišit. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .tfw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu Geotiff

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.tif. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Poté se vytvoří výstupní soubor. Umístění rastru je zapsáno přímo v rastrovém souboru.


Export do formátu Tiff s alfa kanálem

Po potvrzení příkazu se vybere pomocí standardního dialogu vstupní rastrový soubor. Musí jít o zamaskovaný Rastr. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.tif. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .tfw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu BMP

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.bmp. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .bpw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu GIF

Po potvrzení příkazu se vybere pomocí standardního dialogu barevný indexovaný rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.gif. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .gfw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu JPG

Po potvrzení příkazu se vybere pomocí standardního dialogu šedotónový nebo TrueColor vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.jpg. Může se zvolit i subtyp a kvalitu komprese pro výstupní rastr. Komprese JPEG je ztrátová - odpovídající pixely vstupního a výstupního rastru se mohou lišit. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .jgw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu CIT

Po potvrzení příkazu se vybere pomocí standardního dialogu binární vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.cit. V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu COT

Po potvrzení příkazu se vybere pomocí standardního dialogu šedotónový nebo barevný indexovaný vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.cot. V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu RGB

Po potvrzení příkazu se vybere pomocí standardního dialogu rastrový TrueColor soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.rgb. V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu RLE

Po potvrzení příkazu se vybere pomocí standardního dialogu binární vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.rle. V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu ECW

Po potvrzení příkazu se vybere pomocí standardního dialogu šedotónový nebo TrueColor vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ecw. V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu PCX

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.pcx. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .pxw). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export do formátu JPEG2000

Po potvrzení příkazu se vybere pomocí standardního dialogu šedotónový nebo TrueColor vstupní soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.jp2. Poté se systém dotáže zda má vytvářet tzv. "world file" dle konvence ArcView s umístěním rastru (s extenzí .j2w). V případě potřeby se pak rastr převzorkuje, aby velikost pixelu v obou směrech byla shodná a vytvoří se výstupní soubor.


Export rastru se změnou barvy průhledné části

Příkaz převede vybraný zamaskovaný rastr do jednoho z nabízených formátů. Přitom se průhledná část rastru obarví vybranou barvou. Při běžném exportu rastrů se exportuje průhledná část s hodnotami R, G, B složek 0, 0, 0. To je ovšem černá barva, takže jiné programy interpretují i samotný rastr odlišně než TopoL. Po spuštění příkazu se objeví dialog

Dialog pro nastavení parametrů exportu rastru se změnou barvy průhledné části.
Vstupní soubor pro export

Do editační linky vepíšeme jméno souboru, který chceme exportovat. Jméno můžeme též vyhledat po potvrzení tlačítka v dialogu pro zadání vstupního rastru.

Nový formát výstupního rastru

Z výklopného seznamu vybereme jeden z nabízených formátů rastrů, do kterého bude vstup exportován. Jedná se o následující formáty:

  • TIFF

  • TIFF - JPEG

  • GEOTIFF

  • JPEG

  • GIF

  • BMP

  • PCX

  • COT

  • RGB

  • ECW

Výstupní soubor

Do editační linky vepíšeme jméno, pod jakým chceme nově vytvořený obraz uložit. Jméno můžeme též zadat v dialogu pro zadání jména, který se otevře po potvrzení tlačítka.

Barva pro transparentní část

Standardním dialogem (dvojklik na barevný panel) se vybere barva, kterou se obarví průhledná část rastru. Náhled barvy je pak zobrazen na tlačítku pro výběr barvy.


Import

Příkazy v této podnabídce slouží pro převod rastrových dat z jiných formátů do formátu systému TopoL pro Windows.- formát RAS.

Poznámka

Pokud to lze, TopoL se snaží importovaný rastr geometricky umístit. Ne vždy je to možno provést - jedná se hlavně o případy, kdy jsou pixely rastru uloženy jiným způsobem než po řádcích a je nutno během importu rastr otočit.


Import z formátu TIFF

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu TIFF. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). V případě importu indexovaného barevného rastru se může změnit velikost palety výstupního souboru *.ras a zároveň uchovat původní paletu v pomocném souboru *.pam (viz dialog). Při dalším exportu souboru *.ras můžeme použít tento pomocný soubor a "vrátit" tak rastrovému souboru jeho původní paletu. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu BMP

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu BMP. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). V případě importu indexovaného barevného rastru se může změnit velikost palety výstupního souboru *.ras a zároveň uchovat původní paletu v pomocném souboru *.pam (viz dialog). Při dalším exportu souboru *.ras můžeme použít tento pomocný soubor a "vrátit" tak rastrovému souboru jeho původní paletu. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu GIF

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu GIF. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Dalším dialogem se může změnit velikost palety výstupního souboru *.ras a zároveň uchovat původní paletu v pomocném souboru *.pam (viz dialog). Při dalším exportu souboru *.ras můžeme použít tento pomocný soubor a "vrátit" tak rastrovému souboru jeho původní paletu. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu JPG

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu JPG. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu SID

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu SID. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu CIT

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu CIT. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu COT

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu COT. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Dalším dialogem se může změnit velikost palety výstupního souboru *.ras a zároveň uchovat původní paletu v pomocném souboru *.pam (viz dialog). Při dalším exportu souboru *.ras můžeme použít tento pomocný soubor a "vrátit" tak rastrovému souboru jeho původní paletu. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu RGB

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu RGB. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Při importu lze změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu RLE

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu RLE. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu PCX

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu PCX. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). V případě importu indexovaného barevného rastru se může změnit velikost palety výstupního souboru *.ras a zároveň uchovat původní paletu v pomocném souboru *.pam (viz dialog). Při dalším exportu souboru *.ras můžeme použít tento pomocný soubor a "vrátit" tak rastrovému souboru jeho původní paletu. Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu ECW

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu ECW. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). Nakonec se vytvoří výstupní soubor(y) *.ras.


Import z formátu HRF

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu HRF. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Nakonec se vytvoří výstupní soubor(y) *.ras.

Poznámka

Chceme-li poté v TopoLu otevřít tímto příkazem importovaný soubor, vyzve nás systém nejprve k jeho umístění dle polohy jeho pravého horního rohu a jeho šířky.


Import z formátu IMG

Příkaz slouží pro převod rastrových dat z nestandardního souboru IMG do formátu RAS. Po potvrzení příkazu se objeví dialog, kde se zadá vstupní rastr a jeho parametry. Předpokládá se, že se jedná o šedotónový rastr. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Nakonec se vytvoří výstupní soubor(y) *.ras, který není umístěn.

Poznámka

Chceme-li poté v TopoLu otevřít tímto příkazem importovaný soubor, vyzve nás systém nejprve k jeho umístění dle polohy jeho pravého horního rohu a jeho šířky.


Import z formátu JPEG2000

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor ve formátu JPEG2000. Dále se standardním dialogem zadá jméno a adresář výstupního souboru *.ras. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. V případě TrueColor rastru se může při importu změnit typ výstupního rastru na 8-mi bitový barevný rastr (viz dialog), popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry (viz dialog). Nakonec se vytvoří výstupní soubor(y) *.ras.


Transformace rastru umístěných transformační maticí

Příkaz slouží pro import rastrů, jejichž lokalizace obsahuje prvek rotace, tj. rastr je umístěn pomocí obecné transformační matice afinní transformace.

Po potvrzení příkazu se vybere pomocí standardního dialogu libovolný vstupní rastrový soubor. Dále se standardním dialogem zadá jméno a adresář výstupního souboru RAS, TIF nebo BMP. Může se zvolit i subtyp a kompresní metoda pro výstupní rastr. Nakonec se vytvoří výstupní soubor zadaného jména. Pokud však vstupní rastr není třeba transformovat, operace se neprovede.


Výběr pro import TrueColor rastru.

V případě importu TrueColor rastru se může zkonvertovat typ výstupního rastru na 8-mi bitový barevný rastr, popř. se může takový rastr rozložit na R, G, B složky - tři šedotónové rastry. Pro výběr z možných eventualit se používá následující dialog

Dialog pro výběr typu výstupu při importu TrueColor rastru.
True Color rastr (24 bit/pixel)

Typ vstupního rastru zůstane zachován.

Barevný 8-bitový rastr

Vstupní rastr se zkonvertuje na barevný indexovaný rastr s paletou. Parametry pro konverzi se zadají příslušným dialogem pro konverzi TrueColor rastru.

Rozložit na R, G, B složky (šedotónové)

Vstupní rastr se rozloží na R, G, B složky - tři šedotónové rastry. Jejich jména se zadají dalším dialogem.


Parametry konverze z TrueColor rastru

V případě importu TrueColor rastru se může zkonvertovat typ výstupního rastru na 8-mi bitový barevný rastr. Při této volbě dojde k redukci barev, kdy si můžeme zvolit způsob redukce. Parametry pro konverzi se zadají následujícím dialogem pro konverzi TrueColor rastru

Dialog pro nastavení parametrů konverze z TrueColor rastru při importu.
Úrovní výstupu

Při konverzi z TrueColor rastru se může zadat velikost palety výstupního souboru. Vepíšeme hodnotu z intervalu (1-255), která udává počet barev v paletě výsledného barevného souboru *.RAS.

Výběr barev do palety

V oddíle zatrhneme jeden z kontrolních přepínačů

  • Pevná paleta - paleta výsledného obrazu je předem dána. Volba se použije, pokud chceme aby se paleta výsledného rastru shodovala s paletami rastrů vytvořených dříve stejným postupem. Paleta rovnoměrně pokrývá celý prostor R, G, B složek.

  • Adaptivní paleta - paleta výsledného obrazu se vytvoří na základě zastoupení jednotlivých barev ve vstupních obrazech.

Dithering

Oddíl se týká korigování barev pixelů výsledného rastrového obrazu v případě konverze rastr typu True Color na osmibitový. V případě volby provedení ditheringu lze oblasti rastru, kde kombinace R, G, B složek není zastoupena ve výsledné paletě, barevně aproximovat kombinací barev sousedních pixelů.

  • Neprovádět - barva pixelu odpovídající určité kombinaci R, G, B složek, která není obsažena v paletě se nahradí nejbližší barvou z palety.

  • Rozptylování - systém provede tzv. dithering a to metodou rozptylování.

Poznámka

Je vhodné pokud pracujeme s větším množstvím barevných rastrů na systémech, kde je grafický režim nastaven na jinou barevnou hloubku než TrueColor.


Rozklad TrueColor rastru na složky

V případě importu TrueColor rastru se může rastr rozložit na R, G, B složky. Jsou to geometricky identické šedotónové rastry. Nastavení jmen výstupních složek se provede následujícím dialogem

Dialog pro nastavení jmen výstupních složek při rozkladu TrueColor rastru.
R - složka

Do editační linky se zadá jméno výstupního rastru pro "červenou" složku vstupního TrueColor rastru. Je možno použít tlačítko pro vyvolání standardního výběrového dialogu.

G - složka

Do editační linky se zadá jméno výstupního rastru pro "zelenou" složku vstupního TrueColor rastru. Je možno použít tlačítko pro vyvolání standardního výběrového dialogu.

B - složka

Do editační linky se zadá jméno výstupního rastru pro "modrou" složku vstupního TrueColor rastru. Je možno použít tlačítko pro vyvolání standardního výběrového dialogu.

Poznámka

Z těchto tří souborů lze posléze vygenerovat True Color rastr operací "Barevná syntéza". Výsledek této operace bude stejný jako u importu rastru provedeném volbou True Color rastr, pokud transfery vstupních složek byly nastaveny příkazem Operace s transferem (volba "Transfer do 256-ti úrovní").


Parametry pro import indexovaného barevného rastru

V případě importu indexovaného barevného rastru se může změnit velikost palety výstupního rastru. Je vhodné pokud pracujeme s větším množstvím barevných rastrů na systémech, kde je grafický režim nastaven na jinou barevnou hloubku než TrueColor. Parametry pro konverzi se zadají následujícím dialogem

Dialog pro nastavení parametrů při importu indexovaného barevného rastru.
Počet barev palety výstupu

Při importu indexovaného barevného rastru se může zadat velikost palety výstupního souboru - počet barev v paletě.

Uchovat paletu PAM

Původní paletu lze uchovat v pomocném souboru *.pam. Při případném dalším exportu souboru *.ras můžeme použít tento pomocný soubor a "vrátit" tak exportovanému rastrovému souboru jeho původní paletu.


Import IMG rastru

Příkaz slouží pro převod rastrových dat z nestandardního souboru IMG do formátu RAS. Předpokládá se, že se jedná o šedotónový rastr. Po spuštění se objeví se dialog, kde se zadají parametry vstupního rastru

Dialog pro nastavení parametrů importu IMG rastru.
Vstupní soubor

Do editační linky se zadá jméno vstupního rastru. Je možno použít tlačítko pro vyvolání standardního výběrového dialogu.

Délka hlavičky

Zadáme délku hlavičky v bytech importovaného souboru *.IMG.

Šířka v pixelech

Zadáme šířku v bytech - počet pixelů importovaného souboru *.IMG.

Počet řádků

Zadáme výšku - počet řádků importovaného souboru *.IMG.

Po potvrzení se dialogové okno zavře a systém začne importovat vybraný soubor.

Poznámka

Chceme-li v TopoLu otevřít tímto příkazem importovaný soubor, vyzve nás systém nejprve k jeho umístění dle polohy jeho pravého horního rohu a jeho šířky.


Editace palety

Příkaz zobrazí barevnou paletu vybraného rastrového souboru a umožní její nastavení změnit. Jedná se tedy o operaci s barevnými indexovanými 8-mi, popř. 4-bitovými rastry. Případné změny lze sledovat v náhledu. Po výběru rastru standardním způsobem se objeví dialog s náhledem rastru a s jeho paletou. Poklepáním na nějaký pixel v náhledovém okně nastavit index odpovídající barvy v paletě a tuto barvu pak editovat.

Dialog pro nastavení palety rastru.

V levé horní části je zobrazena příslušná barevná paleta. Aktivní barva, tj. barva, kterou můžeme nastavovat je zdůrazněna rámečkem. V pravé části dialogu jsou informační údaje a ovládací prvky.

Zoom +

Po potvrzení tlačítka dojde ke zvětšení rastru v náhledovém panelu. V závislosti na velikosti rastru je počet provedených zvětšení rastru omezen.

Zoom -

Po potvrzení tlačítka se přezobrazí náhled rastru, který respektuje aktuální nastavení palety. Dosavadní úpravy palety se projevily pouze v okénku palety rastru, nikoli v náhledu.

Počet barev

Počet barev obsažených v paletě.

Přidej barvu

Po potvrzení tlačítka se za poslední barvu palety přidá další barva, jejíž RGB složky jsou nulové (tj. černá). Přidávání a ubírání barev je aktivní pouze při práci s formátem RAS, kde paleta nemusí obsahovat maximální možný počet barev.

Uber barvu

Po potvrzení tlačítka se poslední barva palety vymaže.

Zjasni

Po potvrzení tlačítka se změní nastavení RGB složek všech barev tak, že výsledné barvy jsou jasnější.

Ztmav

Po potvrzení tlačítka se provede opačná operace k operaci "Zjasni" - výsledné barvy v paletě jsou jasnější.

Číslo barvy

Do editační linky zapíšeme číslo (index v paletě) barvy, se kterou chceme pracovat. Rámeček barvy se zvýrazní. Obsah buňky Číslo položky můžeme vzestupně i sestupně měnit i pomocí tlačítek se šipkami, popř. klávesami "nahoru" a " dolu".

Edituj barvu

Po potvrzení tlačítka se otevře standardní dialog pro změnu nastavení RGB složek aktivní (zesílený rámeček) barvy.

Obnovit

Po potvrzení tlačítka se obnoví původní obsah palety rastru a přezobrazí se náhled rastru. Všechny až dosud provedené změny palety ignorují a paleta se nastaví tak, jak byla v momentě otevření dialogu.

Náhled

Po potvrzení tlačítka se přezobrazí náhled rastru, který respektuje aktuální nastavení palety. Dosavadní úpravy palety se projevily pouze v okénku palety rastru, nikoli v náhledu.

Poznámka

Pokud je rastr odpovídající editovanému souboru palety zobrazen v mapovém okně, neukládají se změny přímo do souboru *.PAL, resp. do souboru rastru, ale jsou pouze v paměti ( rastr se zobrazuje podle palety v paměti). Pouze při vypouštění tohoto rastru z mapového okna systém klade dotaz, zda provedené změny palety uložit na disk.


Odečítání jmen rastrů

Po spuštění funkce se objeví nástroj v podobě křížku. Pokud se pohybujeme nástrojem nad nějakým rastrem, na dolním informačním panelu se objevuje zkrácené jméno rastru. Přitom se můžeme přepínat do libovolného mapového okna, přičemž v informačním panelu na spodním okraji okna aplikace se průběžně zobrazuje jméno příslušného rastru, v němž se momentálně kurzor nachází. Během operace můžeme měnit výřez standardním způsobem. Systém pracuje i pokud máme některé z oken v jiném souřadném systému než je souřadný systém dat. Pokud se rastry překrývají, objeví se jméno rastru, který je při "pohledu shora" nejvýše. Pokud je rastrů v předmětu zájmu více a kvůli jejich překrytům je ztížená orientace, je vhodné použít zobrazení obrysů rastrů. Klikneme-li levým tlačítkem na nějaký rastr, objeví se dialog se zobrazením jmen všech rastrů, které zasahují do daného bodu. V dialogu lze pak modifikovat zobrazení těchto rastrů a zobrazovat jejich charakteristiky.

Dialog pro nastavení parametrů zobrazení rastrů a zobrazení jejich charakteristik.

Změnu nastavení položek legendy mapového okna týkající se rastrů, lze provádět také pomocí panelu nástrojů a kontextového menu. Jednotlivé akce se zpřístupní poklepnutím na jeden ze zobrazených řádků, které odpovídají rastrům v daném okně. Od verze TopoLu xT 9.0 lze také měnit pomocí tohoto dialogu pořadí rastrů v legendě mapového okna. První sada nástrojů má naprosto stejný význam jako nástroje pro přesun položek legendy v nástrojové liště legendy. Druhá sada nástrojů ze submenu pracuje pouze v rámci skupiny rastrů zobrazených v dialogu. To znamená, že pokud se např. rastr posune o jedno místo v rámci rastrů dopředu, posune se navíc o všechna vektorová data, která jsou v legendě mezi těmito dvěma rastry.

Vlastnosti | Spustí dialog pro nastavení zobrazení daného rastru.
Odstranit | Del | Odstranění vybraných položek (i více najednou).
Zobrazovat | Zapne se zobrazení daného rastru v legendě.
Nezobrazovat | Vypne se zobrazení daného rastru v legendě.
Roztáhnout rastr | Vybraný rastr se přezobrazí tak aby výřez okna pokryl celý rastr.
Zvýraznit rastr | V okně se vykreslí přeškrtnutý obrys vybraného rastru.
Info | Otevře dialog pro zobrazení informací o vybraném rastru.
Překreslit | ALT+O | Přezobrazí se mapové okno.
Přesunout o jednu dopředu | Přesune vybraný rastr v zobrazovacím pořadí o jednu položku dopředu.
Přesunout o jednu dozadu | Přesune vybraný rastr v zobrazovacím pořadí o jednu položku dolů.
Přesunout dopředu | Přesune vybraný rastr v zobrazovacím pořadí dopředu na první místo.
Přesunout dozadu | Přesune vybraný rastr v zobrazovacím pořadí úplně dozadu.
Zařadit

Přesunout dopředu | Přesune vybraný rastr v rámci rastrů zobrazených v daném místě nahoru.
Přesunout o jednu dopředu | Přesune vybraný rastr v rámci rastrů zobrazených v daném místě o jeden rastr nahoru.
Přesunout o jednu dozadu | Přesune vybraný rastr v rámci rastrů zobrazených v daném místě o jeden rastr dolů.
Přesunout dozadu | Přesune vybraný rastr v rámci rastrů zobrazených v daném místě dozadu.
Za... | Změní kurzor na šipku, kterou lze ukázat na libovolný zobrazovaný rastr. Po jeho výběru přesune v zobrazovacím pořadí vybraný rastr za tento zvolený rastr.
Před... | Změní kurzor na šipku, kterou lze ukázat na libovolný zobrazovaný rastr. Po jeho výběru přesune v zobrazovacím pořadí vybraný rastr před zvolený rastr.

Nápověda | F1 | Spustí tuto nápovědu.
Přejmenování v legendě | F2 | Přejmenování odpovídající položky v legendě daného mapového okna.


Odečítání úrovní

Příkaz zobrazuje pro vybraný rastrový soubor hodnotu libovolného pixelu v tomto rastru, popř. hodnoty R, G, B složek daného pixelu pro True Color rastr. Pro šedotónový rastr se dále pro libovolný pixel zobrazí jeho index úrovně šedi a pro barevné rastry index barvy v paletě. U DMT rastrů se zobrazuje přepočtená hodnota pixelu na metry a index úrovně šedi, kterou je presentován v mapovém okně.

Po spuštění příkazu se objeví standardní dialog pro výběr rastru. Poté je daný rastr zobrazen v mapovém okně (pokud ještě nebyl zobrazen) a případně je roztažen na celou viditelnou plochu mapového okna. Pak se můžeme nitkovým křížem pohybovat nad rastrem a zjišťovat hodnoty jednotlivých pixelů. Během operace můžeme měnit výřez standardním způsobem.


Výběr barvy pro zprůhlednění

Příkaz zobrazuje pro vybraný rastrový soubor hodnotu libovolného pixelu v tomto rastru, popř. hodnoty R, G, B složek daného pixelu pro True Color rastr. Pro šedotónový rastr se dále pro libovolný pixel zobrazí jeho index úrovně šedi a pro barevné rastry index barvy v paletě.

Po spuštění příkazu se objeví standardní dialog pro výběr rastru. Poté je daný rastr zobrazen v mapovém okně (pokud ještě nebyl zobrazen) a případně je roztažen na celou viditelnou plochu mapového okna. Pak se můžeme nitkovým křížem pohybovat nad rastrem a zjišťovat hodnoty jednotlivých pixelů. Během operace můžeme měnit výřez standardním způsobem. Po potvrzení vybrané hodnoty kliknutím myši se nastaví pro dané mapové okno a daný rastr tato barva jako průhledná. Toto dočasné zprůhlednění lze vypnout v legendě mapového okna na záložce Rastr ve Vlastnostech pro zobrazování.


Převzorkování rastru

Příkaz vytvoří nový rastr z vybraného rastrového souboru a takto vzniklý obraz uloží pod zadaným jménem. Parametry výsledné mozaiky (velikost pixelu, velikost souboru a jeho umístění) se řídí nastavením ve standardním dialogu. Příkaz provede zmenšení, popř. zvětšení počtu pixelů, tj. změnu rozlišení rastru. Při operaci se provádí automaticky interpolace hodnot jednotlivých pixelů, takže jednak nedochází ke ztrátě obrazové informace v některých detailech a nevzniká efekt pixelizace na liniových objektech.


Převzorkování rastru dle vzoru

Příkaz vytvoří mozaiku ze zadaného rastrového souboru a takto vzniklý obraz uloží pod zadaným jménem. Parametry výsledné mozaiky (velikost pixelu, velikost souboru a jeho umístění) se řídí podle vzorového souboru. Cílem této operace je geometrické sjednocení dvou rastrů, na které je pak možno aplikovat aritmetické nebo logické operace. Operace by se mohla využít jako příprava pro tvorbu syntézy, neboť tato operace vyžaduje jako vstup tři geometricky shodné rastry. Po spuštění příkazu se objeví dialog

Dialog pro nastavení parametrů převzorkování rastru.
Soubor pro převzorkování

Do editační linky vepíšeme jméno souboru, který chceme upravit. Jméno můžeme též vyhledat po potvrzení tlačítka v dialogu pro zadání vstupního rastru.

Vzor

Do editační linky vepíšeme jméno souboru, podle kterého chceme výše zadaný rastrový obraz změnit. Jméno můžeme též vyhledat po potvrzení tlačítka v dialogu pro zadání rastru.

Nový soubor

Do editační linky vepíšeme jméno, pod jakým chceme nově vytvořený obraz uložit. Jméno můžeme též zadat v dialogu pro zadání jména, který se otevře po potvrzení tlačítka.


Konverze rastru

Příkaz dovoluje provést převod mezi různými typy rastrových souborů ve formátech RAS, BMP a TIF. Změny se dotýkají především barevné hloubky rastrů, popř. změny dlaždicových rastrů na řádkové a naopak. Po spuštění příkazu se standardním způsobem vybere vstupní rastr a poté se objeví dialog

Dialog pro nastavení parametrů konverze rastru.
Vstupní soubor

Pomocí editační linky můžeme změnit jméno souboru, který chceme upravit. Jméno můžeme též vyhledat po potvrzení tlačítka v dialogu pro zadání vstupního rastru.

Výstupní soubor

Do editační linky vepíšeme jméno, pod jakým chceme nově vytvořený obraz uložit. Jméno můžeme též zadat v standardním dialogu pro zadání jména a subtypu rastru, který se otevře po potvrzení tlačítka. Jména vstupního a výstupního rastru musí být různá.

Typ výstupního souboru

Z výklopného seznamu můžeme vybrat požadovaný typ výstupního rastru přípustný pro daný vstup.

Info

Přes toto tlačítko je přístupný standardní dialog pro zobrazení charakteristik a náhledu vstupního rastru.

Pokud je vstupem TrueColor rastr, je ho možno rozložit na barevné složky R, G, B stejně jako u importu True Color rastrů z jiných formátů. V tomto případě není možno zadat v dialogu jméno výstupního souboru. Po potvrzení dialogu se objeví dialog pro zadání jmen barevných složek R, G, B stejný jako u importu True Color rastrů.

Pokud se TrueColor rastr konvertuje na barevný čtyřbitový nebo osmibitový rastr, potom se po potvrzení dialogu objeví další dialog pro zadání parametrů této konverze, tj. ditheringu, způsobu výběru barev a počtu barev v paletě.


Ras pro TopoL DOS

Příkaz změní soubor transferu *.MEZ popř. soubor palety *.PAL vybraného barevného nebo šedotónového rastru ve formátu RAS tak, abychom s ním mohli pracovat v systému TopoL pro DOS. TopoL pro DOS umožňuje pracovat pouze v režimu 16-ti barev. Výstupní soubor tohoto příkazu se může být stejný jako vstupní soubor.

Po vyvolání příkazu se otevře dialog pro zadání jména rastrového souboru, se kterým chceme později pracovat v systému TopoL pro DOS. Po potvrzení se operace provede.


Zrušení rastrů

Příkaz zruší (vymaže) vybrané rastry včetně jejich pomocných souborů.

Po vyvolání příkazu se objeví standardní dialog pro výběr skupiny rastrů. Vybírat můžeme z různých adresářů. Po potvrzení dialogu se operace provede s dotázáním zda se konkrétní rastry mají opravdu zrušit bez návratu.


Generalizace

Tento příkaz umožňuje vytvářet generalizovanou část rastru pro jeho rychlejší zobrazování. Znamená to, že pro jakýkoli typ a verzi rastru lze vytvořit zmenšený generalizovaný rastr (velikosti přibližně 1/16 původního rastru). Tento generalizovaný rastr je připojen buď konec souboru RAS nebo do pomocných souborů ostatních formátů.

Po vyvolání příkazu se objeví standardní dialog pro výběr skupiny rastrů. Vybírat můžeme z různých adresářů. Po potvrzení dialogu se operace provede.


Tvorba pyramidy pro TIFF

Tento příkaz umožňuje vytvářet generalizované verze rastru pro jeho rychlejší zobrazování. Znamená to, že vybraný rastr se vytvoří zmenšené generalizované rastry (velikosti přibližně 1/4 předchozí úrovně rastru). Tyto generalizované verze rastru jsou připojeny přímo do souboru TIFF. Při tvorbě pyramidy se využívá interpolace pixelů (vyhlazováni obrazu) z předchozí úrovně rastru. Výběr rastru se pro standardním dialogem. Po jeho potvrzení se operace ihned provede.

Poznámka

Protože se nevytváří nový rastr, nelze tento krok vrátit zpět.


Komprimace

Příkaz zkomprimuje jeden nebo více vybraných rastrových souborů ve formátu RAS do formátu RAK. Jméno výsledného rastru, včetně cesty je vždy shodné se jménem vstupu.

Po vyvolání příkazu se objeví standardní dialog pro výběr skupiny rastrů. Vybírat můžeme z různých adresářů. Po potvrzení dialogu se operace provede.


Dekomprimace

Příkaz dekomprimuje jeden nebo více vybraných rastrových souborů RAK. Po výběru vstupních souboru je dekomprimuje a uloží se na disk pod stejným jménem, ale s příponou RAS.

Po vyvolání příkazu se objeví standardní dialog pro výběr skupiny rastrů. Vybírat můžeme z různých adresářů. Po potvrzení dialogu se operace provede.


Mapové okno do rastru

Příkaz zkonvertuje vybraný výřez mapového okna (včetně všech zobrazených vektorových a rastrových souborů) do rastrového souboru zadaného jména, velikosti a typu.

Po spuštění příkazu se standardním způsobem pomocí pružného výběrového obdélníka vybere přibližná oblast, která se bude převádět do rastru. Poté se objeví standardní dialog pro zadání jména a subtypu výstupního rastru. Nakonec se objeví dialog pro zadání geometrických parametrů výstupního rastru, kde se zadají především rozměry nového rastrového souboru v horizontálním a vertikálním směru a to jak v souřadném systému, tak i počty pixelů. Po potvrzení dialogu se operace provede.


Mapové okno do rastrů - mapových listů

Příkaz zkonvertuje vybraný výřez mapového okna (včetně všech zobrazených vektorových a rastrových souborů) do skupiny rastrových souborů zadaného typu.

Po spuštění příkazu se vybere klad mapových listů (včetně měřítkového čísla), popř. obdélníková síť. Výstupní rastry pak odpovídají jednotlivým mapovým listům.

Dialog pro výběr kladu mapových listů:

Poté se objeví standardní dialog pro zadání jména (pouze u obdélníkové sítě, kde se k zadanému jménu přidává pořadové číslo ) a subtypu výstupního rastru. Pro vybraný klad mapových listů se zadá pouze výstupní adresář a subtyp rastru. Jména jednotlivých rastrů jsou pak generována automaticky. Dále se standardním způsobem pomocí pružného výběrového obdélníka vybere přibližná oblast, která se bude převádět do rastru. Nakonec se objeví dialog pro zadání geometrických parametrů výstupního rastru, kde se zadají především rozměry nového rastrového souboru v horizontálním a vertikálním směru a to jak v souřadném systému, tak i počty pixelů. Po potvrzení dialogu se operace provede.


Import DMT rastru z ASCII

Příkaz slouží pro import textového souboru ve speciálním tvaru do rastrového digitálního modelu terénu. Předpokládá se, že rozměry, umístění i velikost pixelu jsou definovány v hlavičce souboru. Na samostatných řádcích je vždy identifikátor, určující o jakou informaci se jedná a číselný údaj. Identifikátory jsou ncols (počet sloupců), nrows (počet řádků), xllcorner (vertikální souřadnice levého dolního rohu rastru), yllcorner (horizontální souřadnice levého dolního rohu rastru), cellsize (velikost pixelu v obou dimenzích), nodata_value (hodnota, která bude při výskytu v datech považována za neplatnou hodnotu - odpovídající pixely budou transparentní). Po spuštění se objeví dialog, kde se zadají vstupní soubor a jméno výstupního rastru.

Dialog pro nastavení parametrů importu DMT rastru z ASCII
Vstupní soubor

Do editační linky se zadá jméno vstupního textového souboru . Je možno použít tlačítko pro vyvolání standardního výběrového dialogu.

Výstupní soubor

Do editační linky se zadá jméno výstupního rastru . Je možno použít tlačítko pro vyvolání standardního dialogu.

Souřadný systém

Pomocí standardního dialogu (tlačítko vpravo) se vybere souřadný systém vstupního rastru.

Po potvrzení se dialogové okno zavře a systém začne importovat vybraný soubor.


Rastrový editor maker

Příkaz slouží ke snadnému vytváření a vykonávání posloupností příkazů s rastry, popř. pro hromadné operace s rastrovými daty, v programu TopoL. Po aktivaci se objeví hlavní dialogové okno editoru maker, které lze ovládat celou řadou příkazů.

Dialog rastrového editoru maker

Dialog je možno ovládat pomocí vlastního menu, popř. pomocí tlačítek. Hlavní částí dialogu je seznam příkazů s rastrovými daty, které je možno průběžně editovat, rušit, popř. přidávat další příkazy. Paralelně lze pracovat i s dalšími dialogy - je to především seznam dostupných rastrových příkazů a inspektor příkazů sloužící k detailnímu zadávání parametrů jednotlivých příkazů.

Dialog obsahuje v hlavní nabídce následující příkazy:

Submenu "Soubor"

Nový | Příkaz založí nové makro.
Otevřít | Příkaz otevře již existující makro.
Uložit | Příkaz uloží makro pod stávajícím názvem.
Uložit jako | Příkaz uloží makro pod jiným názvem.
Konec | Příkaz ukončí dialog.

Submenu "Okna"

Inspektor | Příkaz zobrazí inspektor - speciální editor vybraného příkazu.
Příkazy Rastr | Příkaz zobrazí dialog se všemi příkazy pro rastrové operace.

Submenu "Makro"

Syntaxe | Příkaz Syntaxe slouží ke kontrole správnosti parametrů všech příkazů použitých v daném makru.
Start | Příkaz slouží ke spuštění makra v programu TopoL.
Stop | Příkaz slouží k přerušení makra v programu TopoL.
Změnit adresáře | Příkaz slouží ke změně adresářů v parametrech všech příkazů použitých v makru.
Hromadný import rastrů | Příkazy sloužící pro import celé skupiny vybraných rastrů.
Hromadný export rastrů | Příkazy sloužící pro export celé skupiny vybraných rastrů.
Hromadné geometrické operace | Příkazy sloužící pro provedení některé z geometrických operací pro celou skupinu vybraných rastrů.
Hromadné zpracování rastrů | Příkazy sloužící pro zpracování celé skupiny vybraných rastrů.
Hromadné pomocné operace | Příkazy sloužící pro provedení některých pomocných operací celé skupiny vybraných rastrů.

Submenu "Script"

Spustit Provede násobné parametrizované spouštění makra.

Submenu "Nápověda"

Nápověda Příkaz zobrazí tuto nápovědu pro rastrový editor maker.

Pro manipulaci s jednotlivými příkazy v makru slouží následující tlačítka:

Přesun vybraného příkazu o jedno místo vpřed , čímž se mění posloupnost příkazů makra.
Přesun vybraného příkazu o jedno místo vzad.
Odstraní vybraný příkaz z makra.


Příkazy Rastr

Dialog se všemi dostupnými rastrovými příkazy, které lze libovolně kombinovat v hlavním dialogu editoru maker.

Dialog "Příkazy Rastr".

Do makra lze vybraný příkaz přenést jedním ze tří způsobů:

  • dvojitým poklepáním myší na řádku s příkazem.
  • pomocí přetažení "drag and drop" .
  • stiskem tlačítka v horní liště dialogu

Popis tlačítek v horní části okna:

Výběr příkazu | Přenese vybraný příkaz do makra. Není-li žádný příkaz vybrán, je tlačítko vypnuté.
Nápověda | Příkaz zobrazí tuto nápovědu pro rastrový editor maker.
Nápověda k příkazu | Zobrazí nápovědu k vybranému příkazu. Není-li žádný příkaz vybrán, pak stisk tohoto tlačítka nedělá nic.

Do makra lze vybrat libovolnou kombinaci následujících příkazů:

  • AllocateRas(rt.East,rt.North,width,<ras_path>) - umístění rastru číselně

  • BalanceRasWithSample(onoverlap,<ras_in>,<sample>,version,compress,<ras_out>) - přizpůsobení barev rastru dle vzoru

  • BrightnessContrastRas(<ras_in>,brightness,contrast,horizWeight,vertWeight,version,compress,<ras_out>) - úprava jasu a kontrastu rastru

  • CloseAllRas() - vyřadí všechny rastry z projektu

  • CloseRas(<ras_path>) - vyřazení rastru z projektu

  • CompressRas(<ras_path>) - komprese z formátu RAS do RAKu

  • ConcentricColorCorrection(<ras_in>,gammaR,gammaG,gammaB,brightness,contrast,Weight,vertCenterProc,horizCenterProc,version,compress,<ras_out>) - gradientní korekce barev rastru - kombinovaná úprava jasu, kontrastu a gamma korekce s nerovnoměrným rozložením v rastru

  • CopyRas(rt.East,rt.North,lb.East,lb.North,<ras_in>,version,compress,<ras_out>) - výřez rastru číselně

  • DecompressRas(<ras_path>) - dekomprimace formátu RAK do RASu

  • DeleteRas(<ras_path>) - zrušení rastru

  • EqualizeAllRasters(<out_dir_path>) - vyrovnání barev všech rastrů v aktivním okně

  • ExportBMP(ArcInfo,PAM,<ras_in>,<bmp_out>) - export rastru do formátu BMP

  • ExportCit(<ras_in><cit_out>) - export rastru do formátu CIT

  • ExportCOT(ArcInfo,PAM,<ras_in>,<cot_out>) - export rastru do formátu COT

  • ExportECW(ArcInfo,PAM,<ras_in>,<ecw_out>) - export rastru do formátu ECW

  • ExportGEOTIFF(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF s georeferencováním podle normy GEOTIFF

  • ExportGIF(ArcInfo,PAM,<ras_in>,<gif_out>) - export rastru do formátu GIF

  • ExportJP2(ArcInfo,PAM,<ras_in>,<jp2_out>) - export rastru do formátu JPEG2000

  • ExportJPG(ArcInfo,PAM,<ras_in>,version,compress,<jpg_out>) - export rastru do formátu JPG

  • ExportPCX(ArcInfo,PAM,<ras_in>,<pcx_out>) - export rastru do formátu PCX

  • ExportRGB(ArcInfo,PAM,<ras_in>,<rgb_out>) - export rastru do formátu RGB

  • ExportRLE(<ras_in><rle_out>) - export rastru do formátu RLE

  • ExportTIFF(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF

  • ExportTIFF_JPEG(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF s kompresí JPEG

  • ExportTIFFAlpha(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF s alfa kanálem

  • GammaCorrectionChannelRas(<ras_in>,channel,gamma,horizWeight,vertWeight,version,compress,<ras_out>) - gamma korekce rastru pro vybraný kanál, popř. pro všechny kanály

  • GammaCorrectionRas(<ras_in>,gammaR,gammaG,gammaB,horizWeight,vertWeight,version,compress,<ras_out>) - gamma korekce rastru nastavitelná individuálně pro každý kanál

  • GeneralizeRas(<ras_path>)- generalizace rastru

  • HueSaturationRas(hue,saturation,lightness,Weight,vertCenterProc,horizCenterProc,<ras_in>,version,compress,<ras_out>) - úprava odstínu, nasycení a jasu rastru s nerovnoměrným rozložením korekce jasu v ploše rastru

  • ChangeColorsRas(<ras_in>,channel,setting,version,compress,<ras_out>) - změna barev rastru

  • ImportBMP(color,PAM,<bmp_in>,version,compress,<ras_out>) - import rastru z formátu BMP do formátu RAS

  • ImportCIT(<cit_in>,version,compress,<ras_out>) - import rastru z formátu CIT do formátu RAS

  • ImportCOT(color,PAM,<cot_in>,version,compress,<ras_out>) - import rastru z formátu COT do formátu RAS

  • ImportECW(color,PAM,<ecw_in>,version,compress,<ras_out>) - import rastru z formátu ECW do formátu RAS

  • ImportGIF(color,PAM,<gif_in>,version,compress,<ras_out>) - import rastru z formátu GIF do formátu RAS

  • ImportHRF(<hrf_in>,version,compress,<ras_out>) - import rastru z formátu HRF do formátu RAS

  • ImportJP2(color,PAM,<jp2_in>,version,compress,<ras_out>) - import rastru z formátu JPEG2000 do formátu RAS

  • ImportJPG(color,PAM,<jpg_in>,version,compress,<ras_out>) - import rastru z formátu JPG do formátu RAS

  • ImportPCX(color,PAM,<pcx_in>,version,compress,<ras_out>) - import rastru z formátu PCX do formátu RAS

  • ImportRGB(color,PAM,<rgb_in>,version,compress,<ras_out>) - import rastru z formátu RGB do formátu RAS

  • ImportRLE(<rle_in>,version,compress,<ras_out>) - import rastru z formátu RLE do formátu RAS

  • ImportSID(color,PAM,<sid_in>,version,compress,<ras_out>) - import rastru z formátu SID do formátu RAS

  • ImportTIFF(color,PAM,<tiff_in>,version,compress,<ras_out>) - import rastru z formátu TIFF do formátu RAS

  • MaskRasByAreas(block,onlyselected,maskComplement,<ras_in>,version,compress,<ras_out>) - maskování rastru podle ploch bloku

  • MirrorRasHoriz(<ras_in>,version,compress,<ras_out>) - horizontální zrcadlení rastru

  • MirrorRasVert(<ras_in>,version,compress,<ras_out>) - vertikální zrcadlení rastru

  • MosaicAllRas(<ras_path>) - mozaika všech rastrů v aktivním okně

  • MosaicRectRas(rt.East,rt.North,lb.East,lb.North,version,compress,<ras_path>) - mozaika všech rastrů v aktivním okně se zadaným výřezem číselně

  • OpenRas(<ras_path>) - otevření rastru do projektu

  • RasterExportWithColouring(color,format,<ras_in>,version,compress,<tiff_out>) - export rastru do vybraného formátu s obarvením průhledné části

  • RasterTransf(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - transformace celého rastru podle transformační tabulky

  • RasterTransfInParts(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - transformace rastru po částech podle transformační tabulky

  • RasterTransfInPartsAll(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - transformace celého rastru po částech podle transformační tabulky

  • RasterTransfIntoCoordSys(<rasin_path>,version,compress,<rasout_path>,rasout_CSID,n) - transformace rastru do jiného souřadného systému

  • ResampleRotatedTIFF(<tiff_in>,version,compress,<ras_out>) - transformace rastrů umístěných transformační maticí

  • ResamplingRas(<ras_in>,<sample>,version,<ras_out>) - převzorkování rastru podle jiného rastru

  • RotateRas(angle,<ras_in>,version,compress,<ras_out>) - otočení rastru o zadaný úhel

  • SharpRas(degree,<ras_in>,version,compress,<ras_out>) - ostření rastru


Inspektor

Toto okno slouží k editování parametrů jednotlivých příkazů makra.

Dialog "Inspector".

Inspektor příkazů obsahuje vždy ten příkaz, který byl vybrán v hlavním okně Editoru maker. Název příkazu je uveden pod tlačítky v horní části okna. Pod názvem příkazu je seznam parametrů, které lze editovat. Pomocí šipek nebo kliknutím na příslušný řádek zvolíme jeden ze zobrazených parametrů. Editovat lze vždy ten parametr, vedle jehož názvu je bílé pole. Dvojitým kliknutím na bílé pole nebo po stisknutí tlačítka v horní části okna je tento parametr zpřístupněn pro editaci. Zároveň se zaktivují tlačítka pro potvrzení a ignorování editace parametru. V případě, že parametr má charakter souboru nebo bloku, zaktivuje se ještě tlačítko pro výběr nebo zadání výstupního souboru. Podle charakteru příslušného parametru je zpřístupněn různý prvek pro editaci:

řetězec

editační linka, kde je možné řetězec vypsat ručně

reálné číslo

editační linka do které lze zapsat reálné číslo

celé číslo

editační linka se šipkami, kterými je možné číslo zvětšovat a zmenšovat, ale i zapsat ručně

logická hodnota

výklopný seznam s možností výběru "0" nebo "1"

seznam

Výklopný seznam s možností výběru dle parametru - v některých případech (subtyp rastru) je seznam naplňován pouze prostřednictvím určitého dialogu, který ale může být aktivován pro zadání jiného parametru (jména výstupu)

Popis tlačítek v horní části okna:

Editace | Zpřístupnění parametru pro editaci.
Potvrzení změn | Potvrzení provedených změn aktuálního parametru.
Zrušit změny | Ignorování provedených změn v parametru.
Nápověda | Příkaz zobrazí tuto nápovědu pro rastrový editor maker.
Nápověda k příkazu | Zobrazí nápovědu k vybranému příkazu. Není-li žádný příkaz vybrán, pak stisk tohoto tlačítka nedělá nic.


Ovládání editoru maker

Program obsahuje v hlavní nabídce následující položky:

Soubor - Nový

Příkaz založí nové makro. Pokud chceme založit nové makro a předcházející makro nebylo dosud uloženo, systém to po vyvolání příkazu automaticky hlásí, a zároveň se táže, zda chceme předcházející makro uložit či nikoliv.

Soubor - Otevřít

Příkaz otevře již existující makro. Po vyvolání příkazu se otevře dialogové okno pro zadání názvu souboru .*tpm, který chceme otevřít. Ve spodní části dialogu ve výběrovém poli Soubory typu lze vybrat požadovaný typ souboru. Existují následující volby

  • TopoL makra (*tpm)
  • TopoL makra (starý formát)
  • všechny soubory.

Soubor - Uložit

Příkaz uloží makro pod stávajícím názvem. Pokud tento příkaz použijeme pro uložení nového makra, které dosud nemá název, zobrazí se dialog Uložit jako pro zadání jeho názvu.

Soubor - Uložit jako

Příkaz uloží makro pod jiným názvem. Po vyvolání příkazu se zobrazí dialog pro zadání názvu makra.

Konec

Příkaz ukončí program. Pokud chceme ukončit program, aniž bychom před tím makro uložili, systém to po vyvolání příkazu automaticky hlásí, a zároveň se táže, zda chceme makro uložit či nikoliv. Potom se program ukončí.

Inspektor

Příkaz zobrazí okno inspektoru, které slouží k editování parametrů vybraného příkazu makra. Poklepáním na libovolný příkaz makra v hlavním okně editoru se změní obsah inspektoru podle tohoto příkazu. Doposud provedené změnu v příkazu se uloží. Dvojitým poklepáním se zobrazí okno inspektoru bez použití menu.

Příkazy Rastr

Příkaz zobrazí dialog se všemi dostupnými rastrovými příkazy, které lze vybírat do sestavovaného makra.

Syntaxe

Příkaz Syntaxe slouží ke kontrole správnosti parametrů všech příkazů použitých v daném makru. V případě, že některý z příkazů není správný, systém hlásí chybu a tento příkaz je poté v okně editoru maker zobrazen na červené řádce. V okně editoru maker lze pro tento příkaz použít tlačítko.

Start

Příkaz slouží ke spuštění makra v programu TopoL. Pokud makro probíhá, je první tlačítko (Start) šedivé a druhé, které slouží k zastavení spuštěného makra, svítí červeně. Po úplném dokončení průběhu makra se zobrazí okno Výsledek makra.

Dialog "Výsledek makra".

Stop

Příkaz slouží k zastavení spuštěného makra. Tento příkaz lze volit jen, když program TopoL právě zpracovává makro. V okně Editoru maker pro tento příkaz svítí červeně tlačítko. Po stisknutí červeného tlačítka systém dokončí ještě právě probíhající příkaz. Během této doby jsou obě tlačítka šedivá.

Změnit adresáře

Příkaz slouží ke změně adresářů v parametrech všech příkazů použitých v makru. Po vyvolání příkazu se zobrazí dialog pro zadání názvu původního a nového adresáře.

Dialog pro změnu adresáře.

Hromadný import rastrů

Příkaz umožňuje zařadit do makra několik příkazů typu Import... naráz. Po výběru konkrétního vstupního formátu ze submenu se objeví dialog pro výběr vstupních rastrů.

Dialog pro hromadný import rastrů.

Adresář pro výstupní rastry

Zadá se (popř. s použitím tlačítka pro interaktivní výběr adresáře) adresář, jehož jméno se zkombinuje se jménem importovaného rastru, čímž se získá jméno výstupního rastru, které pak bude použito v příkazu makra.

Další

Pomocí tohoto tlačítka se aktivuje standardní dialog pro výběr rastrů s koncovkou odpovídající vybranému formátu rastrů. Po potvrzení dialogu se vybrané rastry přenesou do seznamu již vybraných rastrů.

Vymaž soubor

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou modře označené rastry. Tlačítko je možno použít jen pokud některé rastry označíme.

Vymaž vše

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou všechny rastry označené rastry.

Hromadný export rastrů

Příkaz umožňuje zařadit do makra několik příkazů typu Export... naráz. Po výběru konkrétního výstupního formátu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů.

Hromadný export rastrů s obarvením průhledné části

Příkaz umožňuje zařadit do makra několik příkazů typu Export rastru s obarvením zamaskované části naráz. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů a dalších parametrů.

Dialog pro hromadný export rastrů s obarvením průhledné části.

Barva pro transparentní část

Zadá se interaktivně pomocí standardního dialogu pro výběr barvy (kliknutím na barevný vzorek).

Nový formát výstupního rastru

Z výklopného seznamu se vybere formát výstupních rastrů. Po výběru konkrétního formátu systém kontroluje, zda zařazené rastry pro export vyhovují svým typem (Truecolor, šedotón) pro vybraný formát.

Adresář pro výstupní rastry

Zadá se (popř. s použitím tlačítka pro interaktivní výběr adresáře) adresář, jehož jméno se zkombinuje se jménem importovaného rastru, čímž se získá jméno výstupního rastru, které pak bude použito v příkazu makra.

Další

Pomocí tohoto tlačítka se aktivuje standardní dialog pro výběr rastrů s koncovkou odpovídající vybranému formátu rastrů. Po potvrzení dialogu se vybrané rastry přenesou do seznamu již vybraných rastrů.

Vymaž soubor

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou modře označené rastry. Tlačítko je možno použít jen pokud některé rastry označíme.

Vymaž vše

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou všechny rastry označené rastry.

Subtyp

Subtypem se rozumí, zda-li se obrazové body budou ukládat po celých řádcích nebo po dlaždicích.

Typ komprese

Pro každý možný výstupní formát se vybere z výklopného seznamu jeden z možných typů komprese. Kromě formátu TIFF, resp. Geotiff je v seznamu pouze jedna možnost.

Hromadné geometrické operace - Hromadná transformace rastrů

Příkaz umožňuje zařadit do makra několik příkazů RasterTransf,(resp. RasterTransfInParts).

Dialog pro hromadnou transformaci rastrů.

Po vyvolání příkazu se zobrazí dialog pro zadání jména Adresáře s rastry a pro zadání jména Adresáře pro transformované rastry. V levé spodní části dialogu je seznam všech rastrů, které jsou v původním adresáři. Červeně jsou zapsány ty rastry, které nemají transformační tabulku a tudíž je nelze transformovat. Do seznamu na pravé straně lze pomocí šipky přesunout ty rastry, které chceme transformovat. Dvojitou šipkou přesuneme všechny rastry, které lze transformovat.

V dialogu lze ještě zvolit způsob transformace rastrů.

Přepínač Interpolovat rastry

Určuje, zda parametr "Interpolovat" v příkazu bude nastaven (přepínač zaškrtnut), či zda bude vypnut ( přepínač není zaškrtnut)

Přepínač po částech

Určuje,zda bude zařazen příkaz RasterTransf (přepínač není zaškrtnut) nebo příkaz RasterTransfInParts (přepínač je zaškrtnut).

Hromadné otočení rastrů

Operace umožňuje zařadit do makra několik příkazů "RotateRas". Příkazy otočí vybrané rastrové soubory o zadaný úhel ve stupních a uloží takto vytvořené soubory pod zadaným jménem. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Navíc je zde pouze editační linka, kde se zadá úhel otočení.

Hromadné zrcadlení rastrů vertikální

Operace umožňuje zařadit do makra několik příkazů "MirrorRasVert". Příkazy provedou zrcadlení vybraných rastrových souborů podle vodorovné osy a uloží takto vytvořené soubory pod zadaným jménem. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů.

Hromadné zrcadlení rastrů horizontální

Operace umožňuje zařadit do makra několik příkazů "MirrorRasHor". Příkazy provedou zrcadlení vybraných rastrových souborů podle svislé osy a uloží takto vytvořené soubory pod zadaným jménem. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů.

Hromadné maskování rastrů dle ploch

Operace umožňuje zařadit do makra několik příkazů "MaskRasByAreas". Příkazy provedou maskování vybraných rastrových souborů podle ploch (blok, shapefile apod.) a uloží takto vytvořené soubory do adresáře zadaného jména. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů a zadání parametrů maskování.

Dialog pro hromadné maskování rastrů.

Adresář pro výstupní rastry

Zadá se (popř. s použitím tlačítka pro interaktivní výběr adresáře) adresář, jehož jméno se zkombinuje se jménem importovaného rastru, čímž se získá jméno výstupního rastru, které pak bude použito v příkazu makra.

Další

Pomocí tohoto tlačítka se aktivuje standardní dialog pro výběr rastrů s koncovkou odpovídající vybranému formátu rastrů. Po potvrzení dialogu se vybrané rastry přenesou do seznamu již vybraných rastrů.

Vymaž soubor

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou modře označené rastry. Tlačítko je možno použít jen pokud některé rastry označíme.

Vymaž vše

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou všechny rastry označené rastry.

Pouze vybrané

Přepínačem můžeme omezit maskování na plochy, které byly vybrány nějakým nástrojem pro výběr ploch (položka _Select. = 1).

Doplněk polygonů

Přepínač určí zda se bude maskovat vně oblasti vymezené zadanými polygony, popř. se budou maskovat oblasti uvnitř polygonů.

Blok

Z výklopného seznamu se vybere databáze (např. blok) s plochami. Operace pracuje se všemi druhy ploch v databázi.

Hromadné zpracování rastrů - Gradientní korekce rastru

Operace umožňuje zařadit do makra několik příkazů "ConcentricColorCorrection". Příkazy provedou gradientní gamma korekci vybraných rastrových souborů a uloží takto vytvořené soubory do adresáře zadaného jména. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů a zadání parametrů.

Dialog pro hromadnou gradientní korekci rastrů.

Adresář pro výstupní rastry

Zadá se (popř. s použitím tlačítka pro interaktivní výběr adresáře) adresář, jehož jméno se zkombinuje se jménem importovaného rastru, čímž se získá jméno výstupního rastru, které pak bude použito v příkazu makra.

Další

Pomocí tohoto tlačítka se aktivuje standardní dialog pro výběr rastrů s koncovkou odpovídající vybranému formátu rastrů. Po potvrzení dialogu se vybrané rastry přenesou do seznamu již vybraných rastrů.

Vymaž soubor

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou modře označené rastry. Tlačítko je možno použít jen pokud některé rastry označíme.

Vymaž vše

Pomocí tohoto tlačítka se ze seznamu vybraných rastrů vymažou všechny rastry označené rastry.

GammaR, GammaG, GammaB

Editační linky pro zadání hodnoty gamma korekce pro jednotlivé složky (kanály) rastru. Pomocí jednotlivých kanálů lze přidávat, resp. ubírat jednotlivé základní barvy. Pokud jsou hodnoty pro R, G, B kanály shodné, mění se v podstatě jas (nerovnoměrně pro stíny a světlé části rastru). Hodnoty se mohou pohybovat v rozmezí 0.05 až 6.99.

Jas

Editační linka pro zadání stupně korekce jasu. Může nabývat i záporných hodnot (sníží se jas).

Kontrast

Editační linka pro zadání stupně korekce kontrastu. Může nabývat i záporných hodnot (kontrast se sníží).

Střed operace vert.

Editační linka pro číselné zadání středu operace ve vertikálním směru. Zadává se přibližně v procentech. Může tedy nabývat hodnot 0 - 100. Tyto hodnoty se vztahují k levému hornímu rohu rastru. Tomuto rohu by tedy odpovídala hodnota 0, středu snímku hodnota 50 a pravému okraji rastru hodnota 100.

Střed operace horiz.

Editační linka pro číselné zadání středu operace ve horizontálním směru. Zadává se přibližně v procentech. Může tedy nabývat hodnot 0 - 100. Tyto hodnoty se vztahují k levému hornímu rohu rastru. Tomuto rohu by tedy odpovídala hodnota 0, středu snímku hodnota 50 a dolnímu okraji rastru hodnota 100.

Maximální efekt operace

Střed operace je se bod, kde je buď maximální nebo minimální efekt operace, zatímco na vzdálenějších bodech rastru je efekt operace aplikován s opačnou váhou. Pomocí posuvníku s 5 možnými polohami lze navolit jak mají být korekce aplikovány v ploše rastru. Krajní polohy znamenají, že ve středu operace nebo v nejvzdálenějších bodech rastru od středu operace bude mít korekce maximální váhu a v nejvzdálenějších bodech rastru (resp. středu operace při pravé krajní poloze) bude operace aplikována s opačnou váhou. To znamená pokud např. ve středu rastru provádíme zesvětlení, pak v nejvzdálenějších místech dojde ke ztmavení apod. Levá mezipoloha posuvníku znamená, že ve středu operace bude mít korekce maximální váhu a v nejvzdálenějších bodech rastru bude operace aplikována s nulovou váhou, tzn. nedojde zde ke změně. Opačně při pravé mezipoloze posuvníku. Provádíme-li např. zvyšování kontrastu snímku ve středu, změna je postupně od středu nezřetelnější, až na okrajích bude nulová.

Užít gamma korekci i na jas

Zapnutý přepínač znamená, že po aplikaci gamma korekce na jednotlivé barevné kanály dojde následně i k provedení gamma korekce na jasovou složku rastru.

Gamma korekce pouze na jas

Zapnutý přepínač má za následek, že se gamma korekce neprovede na příslušné barevné složky, ale pouze na jas.

Nastav/Testuj

Pokud je ze seznamu vstupních rastrů některý z nich vybrán, stane se toto tlačítko aktivní. Může se použít pro interaktivní nastavení všech uvedených parametrů operace včetně středu operace (dvojklikem v okně náhledu). Po zadání, resp. zkorigování všech parametrů a jejich ověření náhledem a následném potvrzení dialogu pro gradientní korekci jednoho rastru se zadané parametru přenesou automaticky do dialogu pro hromadné nastavení gradientní korekce rastrů.

Poznámka

Zadání jiné hodnoty maximálního efektu operace než neutrální (operace je v tomto případě aplikována rovnoměrně v celé ploše rastrů) předpokládá, že rastry mají přibližně stejný poměr stran, aby zadaný střed operace (zadaný procenty šířky a výšky rastru) padl vždy na správné místo.

OK

Po potvrzení dialogu se vygeneruje pro každý vybraný rastr příkaz do makra s nastavenými parametry podle dialogu.

Hromadné zpracování rastrů - Přizpůsobení barev rastrů dle vzoru

Operace umožňuje zařadit do makra několik příkazů "BalanceRasWithSample". Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Navíc je zde pouze editační linka, kde se zadá vzorový rastr jehož barevnému podání se bude operace snažit přizpůsobit vybrané rastry. Přepínačem "Preferovat vyrovnání dle překryvu" je možno zadat zda pro výpočet korekce má preferovat pouze případný překryv rastrů (překryv obecně není podmínkou operace).

Příkazy provedou přizpůsobení barevnosti (saturace, odstín) TrueColor nebo šedotónového rastru podle zadaného vzoru a uloží takto vytvořené soubory do adresáře zadaného jména.

Hromadné zpracování rastrů - Jas a kontrast rastru

Příkaz umožňuje zařadit do makra několik příkazů "BrightnessContrastRas" naráz. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Navíc jsou zde prvky , které jsou v dialogu pro nastavení jasu a kontrastu jednoho rastru. Jsou to editační linky pro zadání stupně korekce jasu, popř. kontrastu, posuvníky pro horizontální a vertikální váhu operace.

Pokud je ze seznamu vstupních rastrů některý z nich vybrán, stane se tlačítko "Nastav/Testuj" aktivní. Může se použít pro interaktivní nastavení všech uvedených parametrů operace včetně horizontální a vertikální váhy operace. Po zadání, resp. zkorigování všech parametrů a jejich ověření náhledem a následném potvrzení dialogu se zadané parametru přenesou automaticky do dialogu pro hromadné nastavení jasu a kontrastu rastrů.

Hromadné zpracování rastrů - Gamma korekce rastru

Příkaz umožňuje zařadit do makra několik příkazů "GammaCorrectionRas" naráz. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Navíc jsou zde prvky , které jsou v dialogu pro gamma korekci jednoho rastru. Jsou to především editační linky pro zadání hodnoty gamma korekce pro jednotlivé složky (kanály) rastru. Pomocí jednotlivých kanálů lze přidávat, resp. ubírat jednotlivé základní barvy. Pokud jsou hodnoty pro R, G, B kanály shodné, mění se v podstatě jas (nerovnoměrně pro stíny a světlé části rastru). Hodnoty se mohou pohybovat v rozmezí 0.05 až 6.99.

Pokud je ze seznamu vstupních rastrů některý z nich vybrán, stane se tlačítko "Nastav/Testuj" aktivní. Může se použít pro interaktivní nastavení všech uvedených parametrů operace včetně horizontální a vertikální váhy operace. Po zadání, resp. zkorigování všech parametrů a jejich ověření náhledem a následném potvrzení dialogu se zadané parametru přenesou automaticky do dialogu pro hromadné nastavení gamma korekce rastrů.

Hromadné zpracování rastrů - Ostření rastru

Operace umožňuje zařadit do makra několik příkazů "SharpRas". Příkazy doostří vybrané rastrové soubory o zadaný stupeň a uloží takto vytvořené soubory pod zadaným jménem. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Navíc je zde pouze editační linka, kde se zadá míra ostření rastru.

Hromadné pomocné operace - Zrušení rastrů

Operace umožňuje zařadit do makra několik příkazů "DeleteRas". Příkazy zruší vybrané rastrové soubory. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Nezadává se zde výstupní adresář.

Hromadné pomocné operace - Generalizace

Operace umožňuje zařadit do makra několik příkazů "GeneralizeRas". Příkazy pro vybrané rastrové soubory vytvoří generalizované verze používané pro rychlejší zobrazování. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Nezadává se zde výstupní adresář.

Hromadné pomocné operace - Komprimace

Operace umožňuje zařadit do makra několik příkazů "CompressRas". Příkazy vybrané rastrové soubory RAS zkomprimují a uloží do souborů RAK. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Nezadává se zde výstupní adresář.

Hromadné pomocné operace - Dekomprimace

Operace umožňuje zařadit do makra několik příkazů "DecompressRas". Příkazy vybrané soubory .RAK dekomprimují do formátu RAS a uloží je do stejného adresáře. Po výběru příkazu ze submenu se objeví dialog pro výběr vstupních rastrů, jehož použití je prakticky shodné s dialogem pro hromadný import rastrů. Nezadává se zde výstupní adresář.

Script - Spustit

Provede násobné parametrizované spouštění makra. Není-li stávající makro uloženo následuje dotaz, zda opravdu pokračovat POZOR ! V případě, že odpovíme ano, je makro ztraceno. Poté je uživatel vyzván k zadání názvu script souboru. Je-li úspěšně zadán, následuje násobné spustění makra.

Script je textový (ASCII) soubor rozdělený na sekce.

Příklad 9.1. Struktura script souboru:

[Global]

Macro=d:\data\macro.tpm název makra

RunCount=3 počet průběhů (spuštění) makra

StartOriginal=1 nejprve provést originální makro

Protocol=d:\data\protocol.txt vytvoří se info soubor o výsledku provádění

[Run1] první průběh makra

d:\atlas=d:\newatlas1 adresáře, které mají být změněny

d:\atlas\rastr=d:\newatl1\rastr

[Run2] druhý průběh makra

d:\atlas=d:\newatlas2

d:\atlas\rastr=d:\newatl2\rastr

[Run3] třetí průběh makra

d:\atlas=d:\newatlas3

d:\atlas\rastr=d:\newatl3\rastr

Do makroeditoru bude nahráno makro macro.tpm z adresáře d:\data. Nejprve bude spuštěno makro originální, pak dojde postupně k záměně adresářů ve všech příkazech makra: Před prvním opakováním bude adresář d:\atlas zaměněn za adresář d:\newatlas1 a adresář d:\atlas\rastr za adresář d:\newatl\rastr. Poté bude makro spuštěno. Před druhým opakováním budou zaměněny adresáře d:\atlas za d:\newatlas2 a d:\atlas\rastr za d:\newatl\rastr. Atd...


Seznam rastrových příkazů editoru maker s popisem parametrů

Následuje popis parametrů jednotlivých příkazů editoru. V tabulce je v prvním sloupci název parametru, ve druhém pak je popis, který se objeví na odpovídajícím řádku Inspektoru. Třetí sloupec obsahuje stručný popis parametru.

AllocateRas(rt.East,rt.North,width,<ras_path>) - provede umístění rastru číselně tak, že se zadají souřadnice pravého horního rohu rastru a šířka rastru.

Parametry:

rt.East | Pravý horní Y | horizontální souřadnice pravého horního rohu
rt.North | Pravý horní X | vertikální souřadnice pravého horního rohu
width | Šířka | šířka rastru
<ras_path> | Rastr | název rastru (včetně plné cesty a koncovky)

.

BalanceRasWithSample(onoverlap,<ras_in>,<sample>,version,compress,<ras_out>) - přizpůsobení barev rastru dle vzoru

Parametry:

onoverlap | Preferovat vyrovnání dle překryvu | hodnota 1 znamená, že vyrovnání se provede pokud možno jen na základě porovnání překryvu rastrů
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<sample> | Vzor | celé jméno vzorového rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

BrightnessContrastRas(brightness,contrast,horizWeight,vertWeight,<ras_in>,version,compress,<ras_out>) - úprava jasu a kontrastu rastru

Parametry:

brightness | Jas | Celočíselný stupeň korekce jasu
contrast | Kontrast | Celočíselný stupeň korekce kontrastu
horizWeight | Horizontální váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce ve vodorovném směru
vertWeight | Vertikální váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce ve svislém směru
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

CloseAllRas() - vyřadí všechny rastry z projektu, tedy i z legend všech oken

Příkaz je bez parametrů

.

CloseRas(<ras_path>) - vyřazení rastru z projektu

Parametry:

<ras_path> Rastr název rastru (včetně plné cesty a koncovky)

.

CompressRas(<ras_path>) - komprese z formátu RAS do RAKu

Parametry:

<ras_path> Rastr název rastru (včetně plné cesty a koncovky)

.

ConcentricColorCorrection(gammaR,gammaG,gammaB,gammaforBright,gammaforBrightOnly,brightness,contrast,Weight,vertCenterProc,horizCenterProc,<ras_in>,version,compress,<ras_out>) - gradientní korekce barev rastru - kombinovaná úprava jasu, kontrastu a gamma korekce s nerovnoměrným rozložením v rastru

Parametry:

gammaR | Gamma R | Hodnota gamma korekce pro červenou složku (může se pohybovat v rozmezí 0.05 až 6.99).
gammaG | Gamma G | Hodnota gamma korekce pro zelenou složku (může se pohybovat v rozmezí 0.05 až 6.99).
gammaB | Gamma B | Hodnota gamma korekce pro modrou složku (může se pohybovat v rozmezí 0.05 až 6.99).
gammaforBright | Užít gamma korekci i na jas | Po aplikaci gamma korekce na jednotlivé barevné kanály dojde i k provedení gamma korekce na jasovou složku rastru
gammaforBrightOnly | Užít gamma korekci pouze na jas | Gamma korekce neprovede na příslušné barevné složky, ale pouze na jas
Weight | Váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce v ploše rastru
brightness | Jas | Celočíselný stupeň korekce jasu
contrast | Kontrast | Celočíselný stupeň korekce kontrastu
vertCenterProc | Střed operace vert. (%) | Střed operace ve vertikálním směru. Zadává se přibližně v procentech výšky rastru. Tyto hodnoty se vztahují k levému hornímu rohu rastru.
horizCenterProc | Střed operace horiz. (%) | Střed operace ve horizontálním směru. Zadává se přibližně v procentech šířky rastru. Tyto hodnoty se vztahují k levému hornímu rohu rastru.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

CopyRas(rt.East,rt.North,lb.East,lb.North,<ras_in>,version,compress,<ras_out>) - výřez rastru číselně. Příkaz zkopíruje vybranou část specifikovaného rastru do nového rastru.

Parametry:

rt.East | Pravý horní Y | horizontální souřadnice pravého horního rohu výřezu
rt.North | Pravý horní X | vertikální souřadnice pravého horního rohu výřezu
lb.East | Levý dolní Y | horizontální souřadnice levého dolního rohu výřezu
lb.North | Levý dolní X | vertikální souřadnice levého dolního rohu výřezu
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

DecompressRas(<ras_path>) - dekomprimace formátu RAK do RASu

Parametry:

<ras_path> Rastr název rastru (včetně plné cesty a koncovky)

.

DeleteRas(<ras_path>) - zrušení rastru včetně všech pomocných souborů

Parametry:

<ras_path> Rastr název rastru (včetně plné cesty a koncovky)

.

EqualizeAllRasters(<out_dir_path>) - vyrovnání barev všech rastrů v aktivním okně

Parametry:

<out_dir_path> Výstupní adresář název adresáře pro uložení vyrovnaných rastrů

.

ExportBMP(ArcInfo,PAM,<ras_in>,<bmp_out>) - export rastru do formátu BMP

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<bmp_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportCit(<ras_in><cit_out>) - export rastru do formátu CIT

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<cit_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportCOT(ArcInfo,PAM,<ras_in>,<cot_out>) - export rastru do formátu COT

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<cot_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportECW(ArcInfo,PAM,<ras_in>,<ecw_out>) - export rastru do formátu ECW

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<ecw_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportGEOTIFF(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF s georeferencováním podle normy GEOTIFF

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<tiff_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportGIF(ArcInfo,PAM,<ras_in>,<gif_out>) - export rastru do formátu GIF

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<gif_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportJP2(ArcInfo,PAM,<ras_in>,<jp2_out>) - export rastru do formátu JP2

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<jp2_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportJPG(ArcInfo,PAM,<ras_in>,version,compress,<jpg_out>) - export rastru do formátu JPG

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - zde nelze zadat jinak než řádkový
compress | Komprimovat | míra komprese rastru - je závislá na zvoleném stupni ztráty (0 - 100). Čím větší číslo, tím menší ztráta kvality.
<jpg_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportPCX(ArcInfo,PAM,<ras_in>,<pcx_out>) - export rastru do formátu PCX

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<pcx_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportRGB(ArcInfo,PAM,<ras_in>,<rgb_out>) - export rastru do formátu RGB

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<rgb_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportRLE(<ras_in><rle_out>) - export rastru do formátu RLE

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
<rle_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportTIFF(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<tiff_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportTIFF_JPEG(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - export rastru do formátu TIFF s kompresí JPEG

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - zde nelze zadat jinak než řádkový
compress | Komprimovat | míra komprese rastru - je závislá na zvoleném stupni ztráty (0 - 100). Čím větší číslo, tím menší ztráta kvality.
<tiff_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ExportTIFFAlpha(ArcInfo,PAM,<ras_in>,version,compress,<tiff_out>) - provede export rastru do formátu TIFF s alfa kanálem, který odpovídá zcela průhledné části rastru

Parametry:

ArcInfo | ArcInfo worldfile | Hodnota 1 znamená, že se vytvoří doplňkový soubor s lokalizací ve světových souřadnicích a případně se soubor přerastruje, aby pixely měly stejnou velikost v obou směrech.
PAM | Vyzvednout PAM | PAM je pomocný soubor RASu (jehož paleta může být redukována), který obsahuje původní barevnou paletu naimportovaného rastru. Při exportu je možno původní paletu vrátit.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<tiff_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

GammaCorrectionChannelRas(channel,gamma,horizWeight,vertWeight,<ras_in>,version,compress,<ras_out>) - gamma korekce rastru pro vybraný kanál, popř. pro všechny kanály

Parametry:

channel | Kanál | Ze seznamu se vybere kanál, pro který se bude provádět gamma korekce rastru (možno i pro všechny kanály se stejnou hodnotou gamma).
gamma | Gamma | Hodnota gamma korekce rastru pro vybraný kanál, popř. pro všechny kanály (může se pohybovat v rozmezí 0.05 až 6.99).
horizWeight | Horizontální váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce ve vodorovném směru
vertWeight | Vertikální váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce ve svislém směru
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

GammaCorrectionRas(gammaR,gammaG,gammaB,horizWeight,vertWeight,<ras_in>,version,compress,<ras_out>) - gamma korekce rastru nastavitelná individuálně pro každý kanál

Parametry:

gammaR | Gamma R | Hodnota gamma korekce rastru pro červený kanál (může se pohybovat v rozmezí 0.05 až 6.99).
gammaG | Gamma G | Hodnota gamma korekce rastru pro zelený kanál (může se pohybovat v rozmezí 0.05 až 6.99).
gammaB | Gamma B | Hodnota gamma korekce rastru pro modrý kanál (může se pohybovat v rozmezí 0.05 až 6.99).
horizWeight | Horizontální váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce ve vodorovném směru
vertWeight | Vertikální váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce ve svislém směru
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

GeneralizeRas(<ras_path>) - generalizace rastru. Vytvoří generalizovanou zmenšeninu rastru a uloží ho do pomocného souboru. Vhodné pro urychlení zobrazování rastru.

Parametry:

<ras_path> Rastr název rastru (včetně plné cesty a koncovky)

.

HueSaturationRas(hue,saturation,lightness,Weight,vertCenterProc,horizCenterProc,<ras_in>,version,compress,<ras_out>)) - provede - úpravu odstínu, nasycení a jasu rastru s nerovnoměrným rozložením korekce jasu v ploše rastru.

Parametry:

hue | Odstín | Celočíselný stupeň korekce odstínu barev rastru
saturation | Saturace | Celočíselný stupeň korekce nasycení barev rastru
lightness | Jas | Celočíselný stupeň korekce jasu
Weight | Váha | Celé číslo z i ntervalu -2..2 pro nerovnoměrné rozložení korekce v ploše rastru
vertCenterProc | Střed operace vert. (%) | Střed korekce jasu ve vertikálním směru. Zadává se přibližně v procentech výšky rastru. Tyto hodnoty se vztahují k levému hornímu rohu rastru.
horizCenterProc | Střed operace horiz. (%) | Střed korekce jasu ve horizontálním směru. Zadává se přibližně v procentech šířky rastru. Tyto hodnoty se vztahují k levému hornímu rohu rastru.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ChangeColorsRas(channel,setting,<ras_in>,version,compress,<ras_out>) - změna barev rastru. Je možno měnit jas celého rastru, nebo lze ovlivňovat pouze jednotlivé barevné složky (červenou, zelenou, modrou) rastru, čímž lze dosáhnout změny barveného odstínu.

Parametry:

channel | Kanál | Ze seznamu se vybere kanál, pro který se bude provádět barevná korekce rastru (možno i pro všechny kanály se stejnou korekcí).
setting | Změna barev | Z výklopného seznamu se vybere jedna z možností - "Zjasnit stíny", "Ztmavit", "Zjasnit".
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportBMP(color,PAM,<bmp_in>,version,compress,<ras_out>) - import rastru z formátu BMP do formátu RAS.

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru .PAM.
<bmp_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportCIT(<cit_in>,version,compress,<ras_out>) - import rastru z formátu CIT do formátu RAS

Parametry:

<cit_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportCOT(color,PAM,<cot_in>,version,compress,<ras_out>) - import rastru z formátu COT do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru .PAM.
<cot_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportECW(color,PAM,<ecw_in>,version,compress,<ras_out>) - import rastru z formátu ECW do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru.
<ecw_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportGIF(color,PAM,<gif_in>,version,compress,<ras_out>) - import rastru z formátu GIF do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru .PAM.
<gif_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportHRF(<hrf_in>,version,compress,<ras_out>) - import rastru z formátu HRF do formátu RAS

Parametry:

<hrf_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportJP2(color,PAM,<jp2_in>,version,compress,<ras_out>) - import rastru z formátu JPEG2000 do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru.
<jp2_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportJPG(color,PAM,<jpg_in>,version,compress,<ras_out>) - import rastru z formátu JPG do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru.
<jpg_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportPCX(color,PAM,<pcx_in>,version,compress,<ras_out>) - import rastru z formátu PCX do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru .PAM.
<pcx_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportRGB(color,PAM,<rgb_in>,version,compress,<ras_out>) - import rastru z formátu RGB do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru.
<rgb_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportRLE(<rle_in>,version,compress,<ras_out>) - import rastru z formátu RLE do formátu RAS

Parametry:

<rle_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportSID(color,PAM,<sid_in>,version,compress,<ras_out>) - import rastru z formátu SID do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru.
<sid_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ImportTIFF(color,PAM,<tiff_in>,version,compress,<ras_out>) - import rastru z formátu TIFF do formátu RAS

Parametry:

colors | Povolený počet barev | Celočíselná hodnota - počet barev palety výstupního rastru - může být menší než počet barev vstupu. Použije se jen u paletových rastrů.
PAM | Uchovat PAM | Hodnota 1 znamená, že se uchová původní paleta indexovaného rastru do pomocného souboru .PAM.
<tif_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

MaskRasByAreas(block,onlyselected,<ras_in>,version,compress,<ras_out>) - maskování rastru podle ploch bloku

Parametry:

block | Blok | Z výklopného seznamu obsahujícího všechny bloky nebo shapefily s plošnými tabulkami (druhy) se vybere blok pro zamaskování rastru.
onlyselected | Pouze vybrané | Hodnota 1 znamená, že maskování se omezí na plochy, které byly vybrány nějakým nástrojem pro výběr.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

Poznámka

Příkaz lze vybrat pouze pokud jsou ve stromu dat otevřena nějaká vektorová data
MirrorRasHoriz(<ras_in>,version,compress,<ras_out>) - horizontální zrcadlení rastru

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

MirrorRasVert(<ras_in>,version,compress,<ras_out>) - vertikální zrcadlení rastru

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

MosaicAllRas(<ras_path>) - mozaika všech rastrů v aktivním okně

Parametry:

<ras_path> Rastr název výstupního rastru (včetně plné cesty a koncovky)

.

MosaicRectRas(rt.East,rt.North,lb.East,lb.North,version,compress,<ras_path>) - mozaika všech rastrů v aktivním okně se zadaným výřezem číselně

Parametry:

rt.East | Pravý horní Y | horizontální souřadnice pravého horního rohu mozaiky
rt.North | Pravý horní X | vertikální souřadnice pravého horního rohu mozaiky
lb.East | Levý dolní Y | horizontální souřadnice levého dolního rohu mozaiky
lb.North | Levý dolní X | vertikální souřadnice levého dolního rohu mozaiky
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

OpenRas(<ras_path>) - otevření rastru do projektu

Parametry:

<ras_path> Rastr název rastru (včetně plné cesty a koncovky), který se zařadí do projektu

.

RasterExportWithColouring(color,format,<ras_in>,version,compress,<tiff_out>) - export rastru do vybraného formátu s obarvením průhledné části

Parametry:

color | nová barva průhledné části | Hexadecimální hodnota, která se interpretuje jako barva, která se použije pro obarvení průhledné (zamaskované) části rastru.
format | formát rastru | Textový řetězec, který určuje výstupní formát exportovaného rastru. Vybírá se ze seznamu přípustných hodnot.
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<tiff_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

RasterTransf(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - transformace celého rastru podle transformační tabulky

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi
<table_path> | Transformační tabulka | Celé jméno již existující transformační tabulky, podle které se bude rastr transformovat
n | Interpolovat | Hodnota 1 znamená, že při transformaci se budou hodnoty pixelů výstupního rastru interpolovat z několika sousedních pixelů.

.

RasterTransfInParts(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - transformace rastru po částech podle transformační tabulky

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi
<table_path> | Transformační tabulka | Celé jméno již existující transformační tabulky, podle které se bude rastr transformovat
n | Interpolovat | Hodnota 1 znamená, že při transformaci se budou hodnoty pixelů výstupního rastru interpolovat z několika sousedních pixelů.

.

RasterTransfInPartsAll(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - transformace celého rastru po částech podle transformační tabulky

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi
<table_path> | Transformační tabulka | Celé jméno již existující transformační tabulky, podle které se bude rastr transformovat
n | Interpolovat | Hodnota 1 znamená, že při transformaci se budou hodnoty pixelů výstupního rastru interpolovat z několika sousedních pixelů.

.

RasterTransfIntoCoordSys(<rasin_path>,version,compress,<rasout_path>,<table_path>,n) - provede transformaci rastru lokalizovaného v jednom souřadném systému do jiného souřadného systému

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi
<table_path> | Transformační tabulka | Celé jméno již existující transformační tabulky, podle které se bude rastr transformovat
n | Interpolovat | Hodnota 1 znamená, že při transformaci se budou hodnoty pixelů výstupního rastru interpolovat z několika sousedních pixelů.

.

ResampleRotatedTIFF(<tiff_in>,version,compress,<ras_out>) - provede transformaci rastrů umístěných transformační maticí.

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

ResamplingRas(<ras_in>,<sample>,version,<ras_out>) - převzorkování rastru podle jiného rastru. Výstupní rastr má stejný opsaný obdélník jako vzorový rastr, stejně tak i velikost pixelu.

Parametry:

<ras_in> | Vstupní rastr | celé jméno vstupního rastru
sample | Vzor | celé jméno rastru, který slouží jako vzor při převzorkování
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

RotateRas(angle,<ras_in>,version,compress,<ras_out>) - otočení rastru o zadaný úhel

Parametry:

angle | Úhel | Hodnota úhlu ve stupních, o který se bude vstupní rastr otáčet. Kladné hodnoty znamenají otáčení po směru hodinových ručiček
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.

SharpRas(degree,<ras_in>,version,compress,<ras_out>) - ostření rastru

Parametry:

degree | Stupeň ostření | Celočíselná hodnota (0 - 100) určující míru doostření rastru
<ras_in> | Vstupní rastr | celé jméno vstupního rastru
version | Typ rastru | subtyp rastru - řádkový nebo dlaždicový - nelze zadat ručně
compress | Komprimovat | typ komprese rastru - závisí na formátu - zadává se standardním dialogem pro určení výstupu
<ras_out> | Výstupní rastr | celé jméno výstupního rastru - standardním dialogem lze zadat subtyp a kompresi

.


Rastrový manager

Příkaz slouží ke usnadnění práce s rastry v okně projektu. Umožňuje pracovat v projektu jen s těmi rastry, které jsou pro práci momentálně potřeba. Rastry lze rozčlenit obdobně jako v projektu do hierarchicky uspořádaných složek. Každá složka může mít předdefinovány vlastnosti (barva, hranice rastrů, jejich průhlednost, souřadný systém), které "zdědí" rastry zařazené v dané složce. Rastry z jednotlivých složek lze pak pružně zařazovat do projektu s předdefinovanými vlastnostmi, které tak není nutno znovu a znovu zadávat. Jde o obdobnou funkci jako je funkce rastry z adresáře s tím, že jde o mnohem komplexnější řešení, které umožňuje uchovávat nastavení všech vlastností pro zobrazení rastrů. Pokud jsou ve stromu dat zařazeny jen rastry, se kterými je třeba v daný okamžik pracovat, stromová struktura může být mnohem přehlednější a i zařazování, resp. vyřazování ostatních typů dat je rychlejší. Celé nastavení je uchováno jako součást projektu. Po aktivaci příkazu se objeví hlavní dialogové okno manageru, které lze ovládat celou řadou příkazů.

Dialog rastrového manageru

Dialog je možno ovládat pomocí vlastního panelu nástrojů, popř. pomocí tlačítek. Hlavní částí dialogu je seznam hierarchicky uspořádaných složek s rastrovými daty, které je možno průběžně editovat - rušit, popř. přidávat další složky. Strom složek má minimálně jednu složku - kořen, kterou nelze smazat. Složka lze klikáním ve stromě složek přímo zapínat a vypínat. Při zapnutí složky se zapnou i všechny podsložky. Stejně tak i při vypnutí.

Pro vytváření složek a jejich manipulaci slouží následující příkazy:

Přidej složku | Příkaz přidá další složku do stejné úrovně stromu jako je aktivní složka
Složka na konec | Příkaz přidá další podsložku aktivní složky a umístí ji na konec seznamu podsložek aktivní složky
Přidej podsložku | Příkaz přidá další podsložku aktivní složky a umístí ji na začátek seznamu podsložek aktivní složky
Smaž složku | Příkaz smaže aktivní složku i s jejími podsložkami

Dialog dále obsahuje v hlavní nabídce následující příkazy:

OK | Ukončení dialogu. Všechny změny v nastavení je nutno potvrdit tímto tlačítkem.
Storno | Ukončení dialogu. Všechny změny v nastavení se budou ignorovat a to i včetně změn v seznamech jednotlivých složek rastrů.
Vlastnosti | Příkaz nastaví vlastnosti aktivní složky včetně zařazení rastrů do složky
Zařaď vše do aktivního okna | Všechny rastry odpovídající aktivní složce (pokud je sama zapnuta) a všem rastrům z jejích zapnutých podsložek se zařadí do okna dat projektu a následně i do aktivního mapového okna
Zařaď rastry podle výřezu do aktivního okna | Všechny rastry odpovídající aktivní složce (pokud je sama zapnuta) a všem rastrům z jejích zapnutých podsložek se zařadí do okna dat projektu a následně i do aktivního mapového okna pokud nějakou částí zasahují aktuální výřez aktivního mapového okna (obdobné chování jako u funkce Rastry z adresáře)
Zařaď všechny rastry do všech oken | Všechny rastry odpovídající aktivní složce (pokud je sama zapnuta) a všem rastrům z jejích zapnutých podsložek se zařadí do okna dat projektu a následně i do všech otevřených mapových oken
Zařaď rastry podle výřezu do všech oken | Všechny rastry odpovídající aktivní složce (pokud je sama zapnuta) a všem rastrům z jejích zapnutých podsložek se zařadí do okna dat projektu a následně i do všech otevřených mapových oken pokud nějakou částí zasahují aktuální výřez příslušného mapového okna. Ostatní rastry se vyřadí z okna dat projektu
Obnov informace o rastrech | Načte znovu všechny informace o všech zařazených rastrech, zejména údaje o jejich lokalizaci
Překreslit | Provede překreslení aktivního mapového okna.
Zobraz vše | Změní výřez v aktivním mapovém okně tak, aby byla zobrazena všechna data v něm zařazená a viditelná.
Předchozí výřez | Změní výřez v aktivním mapovém okně na předchozí použitý (včetně souřadného systému).
Následující výřez | Změní výřez v aktivním mapovém okně na následující (na ten, který byl nastaven jako poslední před použitím příkazu Předchozí výřez).
Nápověda | Příkaz zobrazí příslušnou část této nápovědy

V dialogu lze použít i dvojité poklepání myší na některou složku - otevře se dialog pro nastavení vlastností složky.

Užít substituci adresářů

Zapnutý přepínač způsobí, že se informace o cestách k jednotlivým rastrům ukládá v projektu s tím, že se nahradí pokud možno co největší část cesty jednou z nadefinovaných substitucí adresářů. Je to vhodné provádět pro snazší přenositelnost projektu na jiné počítače, kde může být např. jiné pojmenování diskových jednotek. Pak se použijí substituce - obdoba relativních cest.

Číst všechny informace při otevření

Při otevření dialogu se načtou všechny informace o všech zařazených rastrech, zejména údaje o jejich lokalizaci

Během definování stromové struktury složek rastrů, popř. po jejím ukončení, lze definovat vlastnosti jednotlivých složek. K tomu se použije tlačítko vlastnosti. nastavení se aplikuje na aktivní (vysvícenou) složku. Po výběru příkazu se objeví následující dialog, který má velmi podobné možnosti nastavování jako dialog pro nastavování vlastností rastru v legendě mapového okna.

Dialog rastrového manageru - nastavení vlastností pro vybranou složku

Jedná se hlavně o nastavení následujících vlastností rastru pro zobrazování, rozdělených do následujících kategorií.

Nastavení | Obecné nastavení pro zobrazení dat - jméno, viditelnost, minimální a maximální měřítko, atd.. Oproti standardnímu dialogu je zde volba souřadného systému pro přiřazené rastry.
Rastr | Nastavení barvy rastru.
Hranice rastru | Nastavení zobrazování hranice rastru.
Průhlednost | Nastavení průhlednosti rastru.

Původní

Tlačítko slouží pro nastavení všech původních hodnot všech kategorií pro rastry tak, jak byly nastaveny při otevření dialogu pro nastavování vlastností složky (kromě seznamu rastrů)

OK

Všechny změny v nastavení složky je nutno potvrdit tímto tlačítkem

Při výběru kategorie Seznam rastrů při nastavování vlastností složky se systém přepne do dialogu, kde se vkládají jednotlivé rastry do dané složky, popř. se mění jejich individuální vlastnosti nastavení, které se při vložení do složky zdědí z nastavení této složky. Je proto vhodné nejprve naplánovat strukturu složek s jejich typickými vlastnostmi, pak tyto složky vytvořit, nastavit jejich vlastnosti a nakonec vkládat jednotlivé rastry. Přitom při vytváření složek podsložky dědí vlastnosti nadřazené složky.

Dialog rastrového manageru - nastavení seznamu rastrů pro vybranou složku
Vlastnosti rastrů

Příkazem se spouští dialog pro nastavení vlastností rastrů vybraných v seznamu myší, popř. standardním způsobem z klávesnice. Dialog je prakticky totožný s dialogem pro nastavení vlastností složek rastrů - přibyly pouze kategorie vlastnosti rastru, popř. náhled u barevných rastrů. Pokud není vybrán žádný rastr ze seznamu, příkaz se ignoruje. Pokud je vybrán pouze jeden rastr, nastaví se vlastnosti rastru dle jeho posledního nastavení, pokud je vybráno více rastrů, jsou vlastnosti ve všech kategoriích nastaveny podle přednastavených vlastností dané složky.

Poznámka

V seznamu rastrů lze použít i dvojité poklepání myší na některý rastr - otevře se dialog pro individuální nastavení vlastností tohoto rastru.
Zařaď rastry

Příkaz pro výběr rastrů standardním dialogem a jejich zařazení do seznamu rastrů aktuální složky. Jednotlivé rastry se do seznamu zařazují s vlastnostmi, které jsou aktuálně nastaveny pro danou složku rastrů. Pokud se však vybere pro některý rastr odlišný souřadný systém, má tento výběr prioritu.

Zařaď DBF

Příkaz pro hromadné zařazení rastrů, jejichž seznam je uložen v externím souboru DBF, do aktuální složky. Takový seznam rastrů pak může být i spravován a sdílen s jiným systémem. Jednotlivé rastry se do seznamu opět zařazují s vlastnostmi, které jsou aktuálně nastaveny pro danou složku rastrů. Vlastnosti rastrů ze skupiny popsané v DBF souboru lze měnit pouze jednotně pro celou skupinu. Zde je prozatím nutno dodržet jmenné konvence týkající se položek DBF souboru. Jedná se o následující položky, které jsou zároveň povinné.

  • Image

    Řetězová položka pro jméno rastrových souborů včetně cesty.

  • XMIN

    Číselná položka pro minimální vertikální souřadnici pro umístění rastru.

  • YMIN

    Číselná položka pro minimální horizontální souřadnici pro umístění rastru.

  • XMAX

    Číselná položka pro maximální vertikální souřadnici pro umístění rastru.

  • YMAX

    Číselná položka pro maximální horizontální souřadnici pro umístění rastru.

Vyřaď rastry

Příkazem pro vyřazení rastrů vybraných v seznamu myší, popř. standardním způsobem z klávesnice. Pokud není vybrán žádný rastr ze seznamu, příkaz se ignoruje.

Vyřaď vše

Příkazem pro vyřazení všech rastrů ze seznamu dané složky.

OK

Všechny změny v nastavení složky je nutno potvrdit tímto tlačítkem

Storno

Všechny změny v nastavení složky se tímto tlačítkem zruší kromě změn v seznamu rastrů a zároveň se dialog zavře.


Kapitola 10. Analýza

Obsah

Hledat
Výběry
Výběry textů
Topologické výběry ploch
Topologické výběry linií
Připojení a modely
Dotazy
Nové připojení
Nový model
Geometrické relace
Plošná kalkulace
Plošná kalkulace se všemi objekty
Plošná kalkulace s body
Plošná kalkulace s liniemi
Plošná kalkulace s vybranými plochami


Hledat

Umožní prohledat zvolené tabulky otevřené v projektu, zda v jejich textových položkách (položkách typu string) je určitý text.

Po volbě příkazu se objeví průvodce hledáním.

Jako první krok musíme definovat tabulky, které se mají prohledat. Bude se hledat text pouze v textových položkách tabulek.

Jako další krok musíme definovat znění textu. Můžeme vyhledávat v libovolném místě textu, pouze od začátku textu a nebo musí být identický celý text. Můžeme nebo nemusíme rozlišovat malá a velká písmena. Po volbě tlačítka Další se provede prohledání.

Výsledek je zobrazen v poslední části průvodce. Je zde seznam nalezených objektů s informacemi o tabulce, do které objekt patří, jméně databázové položky, v které byl text nalezen a celé znění textu v této databázové položce.

Po potvrzení se výsledek uloží do vnitřního seznamu TopoLu. Tento seznam je možno kdykoliv zobrazit funkcí Analýza – Výsledek hledání. Tato funkce se také automaticky po uložení do vnitřního seznamu spustí.

Je zde opět seznam nalezených objektů s informacemi o tabulce, do které objekt patří, jméně databázové položky, v které byl text nalezen a celé znění textu v této databázové položce.

Pokud je některý objekt zvolen, je možno vyvolat některou z následujících funkcí.

  • Zablikat

    provede zvýraznění zvoleného objektu zablikáním

  • Posunout

    provede posunutí výřezu mapového okna, aby byl zvolený objekt ve středu mapového okna a aniž by došlo ke změně měřítka

  • Zoom

    provede změnu výřezu mapového okna, aby byl zvolený objekt celý v mapovém okně

Výsledek hledání

Po provedení funkce Analýza – Hledání je výsledek hledání uložen do vnitřního seznamu TopoLu. Tento výsledek je možno kdykoliv zobrazit touto funkcí. Po její volbě se objeví dialog se seznamem nalezených objektů.

Jednotlivé objekty mají informace o tabulce, do které patří, jméně databázové položky, v které byl text nalezen a celé znění textu v této databázové položce.

Pokud je některý objekt zvolen, je možno vyvolat některou z následujících funkcí.

  • Zablikat

    provede zvýraznění zvoleného objektu zablikáním

  • Posunout

    provede posunutí výřezu mapového okna, aby byl zvolený objekt ve středu mapového okna a aniž by došlo ke změně měřítka

  • Zoom

    provede změnu výřezu mapového okna, aby byl zvolený objekt celý v mapovém okně


Výběry

Umožní provádět výběry (měnit atribut _SELECT) grafických objektů (bod, linie, plocha, text) v datech otevřených v projektu.

Po volbě příkazu se objeví dialog pro definici parametrů výběru.

V levé části dialogu najdeme seznam všech vektorových dat otevřených v projektu. Každá databáze je reprezentována jednou záložkou, v které je seznam tabulek databáze. Jednotlivé tabulky, v kterých chceme provádět výběr můžeme zapínat a vypínat ručně nebo pomocí předvoleb. U každé tabulky je navíc informace o počtu vybraných objektů a součet výsledků výrazu pro součet.

Tlačítko Předvolby pro všechny platí pro všechna otevřená vektorová data. Tlačítka Předvolby jméno databáze aktivní záložky (na obrázku Předvolby pro Katastr, kde Katastr je jméno databáze aktivní záložky) je pouze pro databázi v aktivní záložce. Po volbě tlačítek se objeví lokální menu s těmito možnostmi:

  • Zvolit všechny tabulky

    všechny tabulky budou zapnuty

  • Nezvolit žádnou tabulku

    žádná tabulka nebude zapnuta

  • Jen body

    pouze tabulky s body budou zapnuty

  • Jen linie

    pouze tabulky s liniemi budou zapnuty

  • Jen plochy

    pouze tabulky s plochami budou zapnuty

  • Jen texty

    pouze tabulky s texty budou zapnuty

  • Přidat body

    přidá k stávajícímu výběru tabulky s body

  • Přidat linie

    přidá k stávajícímu výběru tabulky s liniemi

  • Přidat plochy

    přidá k stávajícímu výběru tabulky s plochami

  • Přidat texty

    přidá k stávajícímu výběru tabulky s texty

  • Odebrat body

    odebere od stávajícího výběru tabulky s body

  • Odebrat linie

    odebere od stávajícího výběru tabulky s liniemi

  • Odebrat plochy

    odebere od stávajícího výběru tabulky s plochami

  • Odebrat texty

    odebere od stávajícího výběru tabulky s texty

V pravé části dialogu je možno definovat Způsob výběru“

  • Výběr

    objekty splňující podmínku budou vybrány (_SELECT=1)

  • Vyloučení

    objekty splňující podmínku nebudou vybrány (_SELECT=0)

  • Inverze

    u objektů splňující podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1)

V případě, že provádíme výběr obdélníkem, polygonem nebo kružnicí máme možnost vybírat objekty, které se protínají s výběrovým objektem nebo které jsou uvnitř výběrového objektu. To se dá ovlivnit volbou Pouze uvnitř.

Výběr můžeme provádět několika způsoby:

  • Obdélníkem

    po volbě příkazu se dialog zavře a objeví se výběrový obdélník, po potvrzení se výběr provede a opět se objeví výběrový dialog. Do dialogu se vrátíme klávesou Esc nebo funkcí Storno lokálního menu.

  • Polygonem

    po volbě příkazu se dialog zavře a můžeme definovat jednotlivé lomové body polygonu, po potvrzení mezerníkem nebo příkazem OK lokálního menu se výběr provede a opět můžeme definovat výběrový polygon. Do dialogu se vrátíme klávesou Esc nebo funkcí Storno lokálního menu.

  • Linií

    po volbě příkazu se dialog zavře a můžeme definovat jednotlivé lomové body linie, po potvrzení mezerníkem nebo příkazem OK lokálního menu se výběr provede a opět můžeme definovat výběrovou linii. Do dialogu se vrátíme klávesou Esc nebo funkcí Storno lokálního menu.

  • Kružnicí

    po volbě příkazu se dialog zavře a můžeme definovat výběrovou kružnici středem a poloměrem, po potvrzení se výběr provede a opět můžeme definovat výběrovou kružnici. Do dialogu se vrátíme klávesou Esc nebo funkcí Storno lokálního menu.

  • Dotazem

    umožňuje definovat dotaz pomocí jazyka ToPas . Pokud nemáme zvolenou alespoň jednu tabulku pro výběr není funkce dostupná. V editoru dotazu jsou totiž nabízeny dostupné funkce, dostupnost těchto funkcí záleží na volitelných položkách tabulek, existenci databázového modelu a na typu objektu (linie, plocha, atd.). Po stisknutí tlačítka můžeme vybrat již nadefinovaný výraz pomocí dialogu pro výběr výrazů, popř. zadat nový výraz čí upravit stávající výraz v editoru nových výrazů.

  • Vše

    Provede výběr všech objektů ve zvolených tabulkách.

V části Výraz pro součet můžeme nadefinovat výraz v jazyce ToPas. Tento výraz potom bude vyčíslen pro všechny vybrané objekty (pokud toto bude možné, např. výraz %area je možno aplikovat pouze pro plošné objekty). TopoL potom provede součet výsledných hodnot pro jednotlivé a tabulky a pro celou databázi v aktivní záložce. Součet pro tabulky je v zobrazen v seznamu tabulek a součet pro databázi v aktivní záložce je zobrazen v této části dialogu. Výraz můžeme definovat pomocí editoru výrazů, který se objeví po volbě tlačítka Editace výrazů nebo jej můžeme přímo vepsat to editační linky.

V části zobrazování potom můžeme definovat zda se při provádění výběru mají objekty v mapovém okně přezobrazovat (volba Průběžně vykreslovat při vybírání). V tomto případě se zobrazí vybrané a nevybrané objekty podle nastavení barev a značek pro vybrané a nevybrané objekty pro příslušnou tabulku v příslušném mapovém okně.

Při volbě Aktualizovat databázové okno se přímo při výběru aktualizuje databázové okno (položka _SELECT, zobrazení vybraných záznamů atd.).

Obě tyto možnosti (Průběžně vykreslovat při vybírání, Aktualizovat databázové okno) nás mohou někdy zdržovat. Obzvlášť pokud chceme provést několik výběrů za sebou, je lepší mít tyto možnosti vypnuté a po provedení posledního výběru provést překreslení mapového okna (tlačítkem Překreslit mapové okno) nebo aktualizaci databázového okna (tlačítkem Aktualizovat DB okna) ručně.

Pomocí tlačítka Výřez dle vybraných objektů potom můžeme provést změnu výřezu tak, aby byly všechny vybrané objekty ze zvolených tabulek ve středu mapového okna s definovaným přesahem.

Výběry textů

Umožní provádět výběry (měnit atribut _SELECT) textových objektů v datech otevřených v projektu. Na rozdíl od příkazu Analýza – Výběry, kde je také možno textové objekty vybírat, jsou v této funkci možnosti specifické pro textové objekty. Jedná se o vyhledávání znění textu v položce _Text, kde je uloženo znění textu.

Po volbě příkazu se objeví dialog pro definici parametrů výběru.

V pravé části dialogu najdeme seznam všech vektorových dat a jejich tabulek s texty, otevřených v projektu.

Nejdříve musíme definovat text, který chceme hledat. Ten můžeme vyhledávat v libovolném místě, pouze od začátku a nebo musí být identický. Můžeme nebo nemusíme rozlišovat malá a velká písmena, odstranit mezery zleva nebo zprava.

Nalezené textové objekty potom můžeme vybrat, odvybrat nebo invertovat jejich výběr. Přesné chování záleží volbě aplikovat pouze na nalezené. Pokud je zapnuta znamená to:

  • Vybrat

    objekty splňující podmínku budou vybrány (_SELECT=1)

  • Vyloučit z výběru

    objekty splňující podmínku nebudou vybrány (_SELECT=0)

  • Invertovat výběr

    u objektů splňující podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1).

Pokud není zapnuta znamená to:

  • Vybrat

    objekty splňující podmínku budou vybrány (_SELECT=1), objekty nesplňující podmínku budou odvybrány (_SELECT=0)

  • Vyloučit z výběru

    objekty splňující podmínku budou odvybrány (_SELECT=0), objekty splňující podmínku budou odvybrány (_SELECT=1)

  • Invertovat výběr

    u objektů splňujících i nesplňujících podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1).

Pomocí tlačítka Výřez dle vybraných objektů potom můžeme provést změnu výřezu tak, aby byly všechny vybrané objekty ze zvolených tabulek ve středu mapového okna s definovaným přesahem.


Výběry textů

Umožní provádět výběry (měnit atribut _SELECT) textů v datech otevřených v projektu .

Po volbě příkazu se objeví dialog pro definici parametrů výběru.

V pravé části dialogu najdeme seznam všech dat otevřených v projektu, která mají nějaké textové tabulky. Jednotlivé tabulky, v kterých chceme provádět výběr můžeme zapínat a vypínat ručně. U každé tabulky je navíc informace o počtu vybraných objektů.

V levé části dialogu je možno definovat jak vybírat a způsob výběru.

V editační lince Hledaný text se zadá textový řetězec, který budeme hledat ve znění jednotlivých textů ve vybraných tabulkách.

Texty můžeme vybírat na základě těchto parametrů:

  • v libovolném místě

    text splňuje kriterium pokud se najde zadaný textový řetězec v libovolném místě znění textu

  • od začátku textu

    text splňuje kriterium pokud se najde zadaný textový řetězec pouze na začátku znění textu

  • jen celý text

    text splňuje kriterium pokud zadaný textový řetězec odpovídá přesně celému znění textu

  • Přepínač rozlišovat malá a velká písmena

    ovlivní splnění kritéria pro daný text tím, že se berou v úvahu malá a velká písmena

  • Přepínač odstranit mezery zleva

    kritéria

    ovlivní splnění kritéria pro daný text tím, že před vlastním porovnáním se odstraní ze znění textu mezery na jeho začátku

  • Přepínač odstranit mezery zprava

    ovlivní splnění kritéria pro daný text tím, že před vlastním porovnáním se odstraní ze znění textu mezery na jeho konci

Způsob výběru může být:

  • vybrat

    texty splňující podmínku budou vybrány (nastaví se _SELECT=1)

  • vyloučit z výběru

    texty splňující zadanou podmínku nebudou vybrány (nastaví se _SELECT=0)

  • invertovat výběr

    u textů splňující zadanou podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1)

Chování výběru textů lze ovlivnit nastavením přepínače aplikovat pouze na nalezené. V případě zatržení této volby se nastavená operace (výběr, rušení výběru, resp. jeho inverze) bude týkat jen textů, které splňují zadanou podmínku. Jinak se operace provede pro celé tabulky textů. které byly vybrány.

Pomocí tlačítka Výřez dle vybraných objektů potom můžeme provést změnu výřezu tak, aby byly všechny vybrané objekty ze zvolených tabulek ve středu mapového okna s definovaným přesahem.

Pomocí tlačítka Vybrat se provede vlastní změna vybranosti textů.


Topologické výběry ploch

Umožní provádět výběry (měnit atribut _SELECT) ploch v blocích otevřených v projektu na základě jejich topologických vlastností. To je například na tom, zda plocha je či není enklávou, zda má či nemá enklávu atd.

Po volbě příkazu se objeví dialog pro definici parametrů výběru.

V levé části dialogu najdeme seznam všech bloků otevřených v projektu. Každý blok je reprezentován jednou záložkou, v které je seznam tabulek ploch databáze. Jednotlivé tabulky, v kterých chceme provádět výběr můžeme zapínat a vypínat ručně nebo pomocí předvoleb. U každé tabulky je navíc informace o počtu vybraných objektů

Tlačítko Předvolby pro všechny platí pro všechny otevřené bloky. Tlačítko Předvolby jméno databáze aktivní záložky (na obrázku Předvolby pro Katastr, kde Katastr je jméno bloku aktivní záložky) je pouze pro blok v aktivní záložce. Po volbě tlačítek se objeví lokální menu s těmito možnostmi:

  • Zvolit všechny tabulky

    všechny tabulky budou zapnuty

  • Nezvolit žádnou tabulku

    žádná tabulka nebude zapnuta

V pravé části dialogu je možno definovat jak vybírat a způsob výběru.

Plochy můžeme vybírat na základě těchto parametrů:

  • Není enkláva

    plocha je vybrána (_SELECT=1) pokud není enklávou

  • Je enkláva

    plocha je vybrána (_SELECT=1) pokud je enklávou

  • Nemá enklávu

    plocha je vybrána (_SELECT=1) pokud nemá enklávu

  • Má enklávu

    plocha je vybrána (_SELECT=1) pokud má enklávu

  • Má vybranou hranici

    plocha je vybrána (_SELECT=1) pokud alespoň jedna linie, která tvoří její hranici je také vybrána (_SELECT=1)

Způsob výběru může být:

  • Výběr

    objekty splňující podmínku budou vybrány (_SELECT=1)

  • Vyloučení

    objekty splňující podmínku nebudou vybrány (_SELECT=0)

  • Inverze

    u objektů splňující podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1)

V části zobrazování potom můžeme definovat zda se při provádění výběru mají objekty v mapovém okně přezobrazovat (volba Průběžně vykreslovat při vybírání). V tomto případě se zobrazí vybrané a nevybrané objekty podle nastavení barev a značek pro vybrané a nevybrané objekty pro příslušnou tabulku v příslušném mapovém okně.

Při volbě Aktualizovat databázové okno se přímo při výběru aktualizuje databázové okno (položka _SELECT, zobrazení vybraných záznamů atd.).

Obě tyto možnosti (Průběžně vykreslovat při vybírání, Aktualizovat databázové okno) nás mohou někdy zdržovat. Obzvlášť pokud chceme provést několik výběrů za sebou, je lepší mít tyto možnosti vypnuté a po provedení posledního výběru provést překreslení mapového okna (tlačítkem Překreslit mapové okno) nebo aktualizaci databázového okna (tlačítkem Aktualizovat DB okna) ručně.

Pomocí tlačítka Výřez dle vybraných objektů potom můžeme provést změnu výřezu tak, aby byly všechny vybrané objekty ze zvolených tabulek ve středu mapového okna s definovaným přesahem.


Topologické výběry linií

Umožní provádět výběry (měnit atribut _SELECT) linií v blocích otevřených v projektu na základě jejich topologických vlastností. To je například na tom, zda tvoří hranici plochy nebo ne.

Po volbě příkazu se objeví dialog pro definici parametrů výběru.

V levé části dialogu najdeme seznam všech bloků otevřených v projektu. Každý blok je reprezentován jednou záložkou, v které je seznam tabulek linií bloku. Jednotlivé tabulky, v kterých chceme provádět výběr můžeme zapínat a vypínat ručně nebo pomocí předvoleb. U každé tabulky je navíc informace o počtu vybraných objektů

Tlačítko Předvolby pro všechny platí pro všechny otevřené bloky. Tlačítko Předvolby jméno databáze aktivní záložky (na obrázku Předvolby pro Katastr, kde Katastr je jméno bloku aktivní záložky) je pouze pro blok v aktivní záložce. Po volbě tlačítek se objeví lokální menu s těmito možnostmi:

  • Zvolit všechny tabulky

    všechny tabulky budou zapnuty

  • Nezvolit žádnou tabulku

    žádná tabulka nebude zapnuta

V pravé části dialogu je možno definovat jak vybírat a způsob výběru.

Plochy můžeme vybírat na základě těchto parametrů:

  • Není hranice plochy

    linie je vybrána (_SELECT=1) pokud není hranicí plochy

  • Je hranicí plochy

    linie je vybrána (_SELECT=1) pokud je hranicí plochy

  • Je hranicí alespoň jedné vybrané plochy

    linie je vybrána (_SELECT=1) pokud je hranicí alespoň jedné plochy a tato plocha je vybrána

  • Je hranicí dvou vybraných ploch

    linie je vybrána (_SELECT=1) pokud je hranicí dvou ploch a tyto jsou vybrány (takzvaná vnitřní linie)

  • Je hranicí právě jedné vybrané plochy

    linie je vybrána (_SELECT=1) pokud je hranicí dvou ploch a pouze jedna je vybrána nebo pokud je hranicí jedné plochy a ta je vybraná (takzvaná vnější linie)

Způsob výběru může být:

  • Výběr

    objekty splňující podmínku budou vybrány (_SELECT=1)

  • Vyloučení

    objekty splňující podmínku nebudou vybrány (_SELECT=0)

  • Inverze

    u objektů splňující podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1)

V části zobrazování potom můžeme definovat zda se při provádění výběru mají objekty v mapovém okně přezobrazovat (volba Průběžně vykreslovat při vybírání). V tomto případě se zobrazí vybrané a nevybrané objekty podle nastavení barev a značek pro vybrané a nevybrané objekty pro příslušnou tabulku v příslušném mapovém okně.

Při volbě Aktualizovat databázové okno se přímo při výběru aktualizuje databázové okno (položka _SELECT, zobrazení vybraných záznamů atd.).

Obě tyto možnosti (Průběžně vykreslovat při vybírání, Aktualizovat databázové okno) nás mohou někdy zdržovat. Obzvlášť pokud chceme provést několik výběrů za sebou, je lepší mít tyto možnosti vypnuté a po provedení posledního výběru provést překreslení mapového okna (tlačítkem Překreslit mapové okno) nebo aktualizaci databázového okna (tlačítkem Aktualizovat DB okna) ručně.

Pomocí tlačítka Výřez dle vybraných objektů potom můžeme provést změnu výřezu tak, aby byly všechny vybrané objekty ze zvolených tabulek ve středu mapového okna s definovaným přesahem.


Připojení a modely

Umožňuje definici databázových modelů. Pokud chceme propojit tabulku vektorových dat s externí databází a tuto potom používat pomocí jazyka ToPas ve výrazech použitých ve výběrech, popisech, zobrazování atd. musíme nejdříve určit tuto databázi pomocí připojení a potom nadefinovat propojení jednotlivých tabulek pomocí klíčových položek.

Po volbě příkazu se objeví dialog, který obsahuje v horní části sadu nástrojů a v dvě záložky. První záložka je pro definování připojení (externích databází, které chceme použít v definici databázových modelů). Druhá záložka je již pro definování samotných modelů.

V horní liště nástrojů jsou tyto příkazy:

  • Nový

    umožní vytvořit nové připojení nebo nový model

  • Nový okopírováním

    umožní vytvořit nové připojení nebo nový model, tak že vezme již existující a okopíruje je, dojde pouze k změně jména

  • Upravit

    umožní editaci připojení nebo modelu

  • Další editace

    tato funkce je dostupná pouze pro modely a umožní “vyměnit” připojení. Pokud máme dvě databáze se stejnou strukturou tabulek a pro první jsme již definici modelu provedli. Můžeme si usnadnit práci tím, že nejprve provedeme kopii stávajícího modelu a potom pomocí této funkce zaměníme připojení, s tím že definice jmen tabulek a klíčových položek zůstane zachována.

  • Přejmenovat

    umožní přejmenovat připojení nebo model

  • Smazat

    smaže zvolené připojení nebo model

  • Smazat vše

    smaže zvolené všechny připojení nebo modely

  • Detail

    zobrazí informace o připojení nebo modelu

  • Závislost objektů

    zobrazí informace o tom, jaký model je závislý na jakém připojení

  • Chybné objekty

    zkontroluje a případně zobrazí modely (s popisem problému), které jsou navázány na neexistující připojení nebo nemají primární tabulku právě otevřenou v projektu


Dotazy

Tento příkaz umožní definovat dotazy pro výběr záznamů databázových tabulek. Tyto dotazy mohou mít i část, která se týká externích databázových tabulek, které jsou propojeny s primárními tabulkami grafických objektů pomocí databázových modelů, popř. je možno se dotazovat jen na samotné záznamy externích tabulek. které jsou součástí některého připojení. Dotazy na primární tabulky mohou mít část, která se týká geometrických relací, obdobně jako v samostatném příkazu Geometrické relace. Dotazů se týká první záložka dialogu s nadpisem Dotazy. V horní liště jsou ikony pro pro základní operace s dotazy (obdobně jsou řešeny i Připojení a modely):

  • Nový...

    Založí se nový dotaz spuštěním průvodce tvorbou dotazů.

  • Nový okopírováním...

    Existující dotaz se zkopíruje pod novým jménem. Původní dotaz nebo jeho kopii lze pozměnit.

  • Upravit...

    Editace zadaných podmínek v dotazu.

  • Přejmenovat...

    Vybraný dotaz se přejmenuje.

  • Smazat...

    Vybraný dotaz se smaže.

  • Smazat vše...

    Všechny dotazy se smažou.

  • Detail...

    Zobrazí se dostupné informace o dotazu, resp. o jeho jednotlivých částech.

  • Spustit...

    Vybraný dotaz se spustí průvodcem kde se dotaz může ještě upřesnit.

  • Závislost objektů...

    Zobrazí se stromeček, kde je graficky znázorněna závislost nadefinovaných dotazů na jednotlivých připojeních, resp. na definovaných databázových modelech. Stejně tak je zobrazena závislost modelů na jednotlivých připojeních.

  • Chybné objekty...

    Zobrazí se stromeček, kde jsou graficky znázorněny chybné objekty použité pro definici připojení, modelů a dotazů. Příkladem může být neplatnost cesty k vybrané databázi - zneplatněno je jak připojení tak modely využívající toto připojení.

Po volbě příkazu, kliknutím na příslušnou ikonu v sadě nástrojů dialogu Připojení a modely, se objeví průvodce, který nám umožní definovat parametry dotazů.

Jako první musíme zvolit typ dotazu. K dispozici jsou následující možnosti:

  • jen do interních databází

    Dotaz se týká buď geometrických relací mezi grafickými objekty v různých tabulkách (příkladem může být hledání bodů z vybrané tabulky, které jsou uvnitř ploch z vybrané tabulky ploch), popř. se může jednat o výběr dle jednoduchého SQL dotazu. Obě základní možnosti lze kombinovat.

  • jen do externích databází (jedna tabulka)

    Jedná o výběr dle jednoduchého SQL dotazu v rámci jedné externí tabulky vybrané z nějakého připojení.

  • kombinovaný (do modelu)

    V podstatě se jedná o SQL dotaz do spojení (joinu) několika propojených tabulek, kde jsou kladeny dílčí podmínky v rámci jednotlivých tabulek. Výsledkem dotazu je spojení tabulek vyfiltrované dle zadaných podmínek.

Po výběru typu dotazu "jen do interních databází", popř. "kombinovaný" dotaz se objeví dialog, kde se definují jednak geometrické relace, které mají být součástí dotazu, tak dílčí omezující podmínky na tabulky, které vstupují do geometrické relace. Význam jednotlivých předdefinovaných geometrických vztahů je stejný jako u operace Geometrické relace.

Rozdíl mezi dotazem do interních databází a do modelu je v tom, že pro model se musí vybrat konkrétní tabulka s modelem, kdežto u prvního typu dotazů se určí pouze obecně typ geometrie, který bude vstupovat do dotazu a konkrétní tabulky se určí až při spouštění dotazu. Pro výběr primární tabulky s modelem se používá jednoduchý dialog:

Na tabulky, které vstupují do geometrického vztahu mohou být kladeny dílčí podmínky a to nezávisle pro tabulku na levé či pravé straně vztahu. Po potvrzení příslušného tlačítka Upravit je možno použít dialog, kde se interaktivně definují dílčí podmínky. Pokud chceme využít všech možností v tomto dialogu i u dotazů pouze interních, je možno z výklopného seznamu Tabulka vybrat vhodnou tabulku. Pak je možno ze seznamu Sloupečky vybírat sloupce do podmínky a v seznamu Hodnoty lze zobrazit a použít všechny hodnoty z vybraného sloupce. Tlačítkem Informace lze zjistit i další údaje o vybrané tabulce, hlavně pak typy jednotlivých sloupců. V prostřední části je seznam relačních, logických a jiných operátorů. které lze použit: pro sestavení dílčího dotazu. Vybrané operátory, resp. jména sloupců či vybrané hodnoty lze přenášet dvojitým kliknutím, popř. příslušnou šipkou do textového okénka ve spodní části dialogu, kde můžeme dotaz poupravit ručně. Správnost dotazu lze ověřit tlačítkem Test.

V případě volby kombinovaného dotazu (do modelu) se po volbě modelu a vyplnění části dotazu do interních databází (nemusí se povinně zadávat ani geometrický vztah ani podmínky kladené na atributy interních tabulek) objeví dialog, kde se zatržením příslušného políčka vybere jedna větev ze stromu vazeb, které se bude týkat další podmínka dotazu týkající se položek z navázaných tabulek.

Po volbě externích tabulek u kombinovaného dotazu se po potvrzení výše zmíněného dialogu objeví dialog, kde je vybraná větev ze stromu vazeb reprezentována seznamem tabulek v levé části dialogu. Na jednotlivé tabulky vybrané poklepáním je možno klást další podmínky dotazu použitím tlačítka Upravit. Pro definování podmínek je použit obdobný dialog jako u vytváření podmínek pro interní tabulky. Nedefinovanou podmínku lze smazat tlačítkem Smazat. Všechny podmínky najednou lze odstranit tlačítkem Smazat vše.

V případě volby typu dotazu jen do externích databází (jedna tabulka) se objeví dialog, kde se použitím tlačítka s šipkou vedle editační linky Tabulka vybere z nabízeného seznamu připojení jedna externí tabulka, které se bude týkat dotaz.

Po výběru tabulky lze pomocí tlačítka Upravit nadefinuje podmínka pro tuto tabulku stejným způsobem jako u interních tabulek.

Nadefinované dotazy je možno použít výběrem dotazu ze seznamu (poklepáním) a potvrzením tlačítka Provést... . Po výběru dotazu "jen do interních databází", popř. "kombinovaný (do modelu)" se dostaneme se do dialogu, kde je možno dotaz konkretizovat.

Můžeme zadat jinou interní tabulku (popř. tabulky), než byla tabulka použitá pro definici dotazu, resp. její interní nebo geometrické části. Pomocí šipek vedle editačních linek Levá tabulka , resp. Pravá tabulka se interaktivně může zadat vybraná tabulka ze stromu dat, která vyhovuje typem geometrie danému dotazu. Další možnou volbou je způsob prezentace výsledku dotazu. Volba Výsledek zapsat do geometrické tabulky znamená, že se změní pro danou tabulku atribut _Select, tzn. objekty jsou permanentně označeny jako vybrané, resp. nevybrané. Druhou možností je Zobrazit výsledek v novém okně, kdy se po potvrzení zobrazí nové databázové okno, jehož záznamy však nelze editovat. Jde totiž jen o výsledek SQL dotazu, nikoli samotnou tabulku. V případě kombinovaného dotazu zde však získáváme novou možnost - výsledkem dotazu je spojení (join) všech tabulek zúčastněných v dotazu, které splňují zadané podmínky. Na jednom řádku výsledné tabulky jsou atributy ze všech propojených tabulek. Pokud zde dojde k duplicitě jmen, jsou atributy automaticky přejmenovány, resp. doplněny číslem ve jménu sloupce. Výsledné spojení tabulek lze např. tisknout, exportovat, analyzovat na duplicity apod. Tuto možnost lze celkem jednoduše použít na vytvoření spojení interní a externí tabulky, které jinak nelze v TopoLu realizovat. Stačí jako podmínku v kombinovaném dialogu nadefinovat jednoduchou podmínku, která bude vždy splněna, např. @CISLO > 0.

Při provádění dotazu pouze do externích tabulek není nutno dotaz nijak blíže specifikovat. Proto se provede ihned a výsledek se zobrazí v novém databázovém okně.

Poznámka

Poznámka: Pokud chceme klást na tabulky složitější dotazy než je možno zadat v popsaném editoru dotazů a není třeba zadávat podmínky týkající se geometrických vztahů mezi objekty, je vhodnější použít dotaz v jazyce ToPas v rámci možností příkazu Analýza - Výběry. V případě potřeby zadat geometrické vztahy, je možno vybrat nejprve objekty pomocí příkazu Geometrické relace, popř. Analýza - Připojení, modely a v dotazu v jazyce ToPas zohlednit provedený výběr uložený v atributu _Select.


Nové připojení

Tento příkaz umožní definovat parametry externí databáze, kterou chceme použít v definici databázových modelů.

Po volbě příkazu, kliknutím na příslušnou ikonu v sadě nástrojů dialogu Připojení a modely, se objeví průvodce, který nám umožní definovat parametry externích databází.

Jako první musíme zvolit typ databáze. Po volbě tlačítka další se dostaneme do části, kde musíme definovat jméno připojení, které potom budeme používat při definici modelu a parametry databáze (např. u MS Access je to jméno MDB souboru a případně uživatelské jméno a heslo).

Můžeme zvolit z těchto databází

  • MS Access

    musíme zadat jméno MDB souboru a případně uživatelské jméno a heslo

  • DBF soubory

    musíme zadat jméno adresáře s DBF soubory, můžeme použít jeden ze tří driverů pro DBF soubory

    • Databáze DBF

      Visual FoxPro driver

    • Databáze DBF (Provider JET)

      MS JET

    • Databáze DBF (Provider dBase Driver)

      dBase driver

    Máme možnost zvolit z několika typů DBF driverů, protože v případě indexace tabulek není například možno otevřít tabulky indexované systémem dBase pomocí Visual FoxPro driveru. Dále můžeme mít někdy problém, že není známa kódová stránka tabulky (u DBF souborů verze III). V tom případě můžeme u MS JET a dBase driveru ovlivnit implicitní kódovou stránku a to tím, že přenastavíme v registrech Windows hodnotu DataCodePage v

    HKEY_LOCAL_MACHINE/SOFTWARE/MICROSOFT/Jet/4.0/Engines/Xbase z OEM na ANSI a naopak.

  • Microsoft SQL Server

    musíme zadat jméno serveru, uživatele a heslo nebo použít NT autentifikaci, jméno databáze

  • Microsoft Excel

    musíme zadat jméno souboru XLS

  • Oracle

    musíme zadat jméno databáze, jmenný prostor (table space), uživatelské jméno a heslo

  • Obecný connection string

    pomocí této volby můžeme provést připojení libovolné databáze pokud známe connection string dle ADO, seznam možností můžeme najít na http://www.connectionstrings.com/


Nový model

Tento příkaz umožní definovat databázový model. To znamená propojení tabulky vektorových dat s tabulkami externích databází definovaných pomocí připojení. Jednotlivé položky tabulek modelu potom můžeme používat pomocí jazyka ToPas ve výrazech použitých ve výběrech, popisech, zobrazování atd..

Po volbě příkazu, kliknutím na příslušnou ikonu v sadě nástrojů dialogu Připojení a modely, musíme nejdříve definovat jméno modelu a primární tabulku (tabulku vektorových dat otevřených v projektu). Potom se objeví dialog pro definici samotného modelu.

V levé části je možno vidět stromeček databázového modelu a v pravé jednotlivé vazby. Vazbou se myslí propojení mezi dvěmi tabulkami.

Novou vazbu můžeme vytvořit pomocí tlačítka Nová. Její umístění do stromečku databázového modelu záleží na tom, jaká tabulka je ve stromečku zvolena. Pokud zmáčkneme tlačítka nová, automaticky se načte zvolená tabulka jako Levá tabulka. Její struktura je potom v seznamu Sloupce levé tabulky. My potom musíme definovat pravou tabulky vazby. To znamená tabulku, na kterou se bude levá tabulka napojovat pomocí definovaných párů položek levé a pravé tabulky. Pravou tabulku můžeme zvolit pomocí kliknutí na šipku, která je vedle editační linky Pravá tabulka. Po kliknutí se vyklopí seznam všech databází v projektu (databází vektorových dat a databází definovaných v připojení) se seznam jejich tabulek. Musíme vybrat tabulku, na kterou se chceme napojit. Po výběru se její jméno objeví v editační lince Levá tabulka a její struktura v editační v seznamu Sloupce pravé tabulky. Nyní musíme definovat alespoň jeden pár odpovídajících si sloupečků levé a pravé tabulky. Sloupečky musí být stejného typu. Nelze provést napojení sloupečky typu Datum na sloupeček typu Integer. Při definici musíme zvolit položku levé tabulky v seznamu Sloupce levé tabulky a položku pravé tabulky v seznamu Sloupce pravé tabulky. Potom zmáčkneme tlačítko se šipkou, které je mezi seznamy. Tím se tento pár přesune do seznamu Definované páry. Existující pár můžeme smazat tlačítkem Odstranit pár. Po definici všech potřebných párů musíme definici nové vazby potvrdit tlačítkem Použít. Pokud ji použít nechceme, můžeme odejít z editace vazeb tlačítkem Přerušit.

Již existující vazbu můžeme editovat, smazat nebo smazat všechny vazby. Při editaci vazby postupujeme stejným způsobem jako při definici nové vazby.


Geometrické relace

Tato funkce slouží k analýze geometrických vztahů jednotlivých grafických objektů.

Po volbě příkazu se objeví dialog, kde musíme nadefinovat tabulky, pro které se vztah bude analyzovat a tyto geometrické relace.

Vždy se porovnávají grafické objekty ze dvou tabulek dat otevřených v projektu. Jedna tabulka je vždy řídící a druha kontrolovaná. Kontrolovanou tabulku musíme zvolit ve levé části dialogu a řídící v pravé části dialogu. Nejdříve musíme zvolit typ tabulky (body, linie, plochy). V odpovídajícím seznamu jsou potom pouze tabulky příslušného typu. U každé tabulky potom ještě můžeme určit zda se má provést výběr pouze pro vybrané objekty (%SELECT=1). Každý grafický objekt má svůj vnitřek, hranici a vnějšek. Hranice jsou body nebo linie, které oddělují vnitřek od vnějšku. Hranice bodu neexistuje. Hranice linie jsou její koncové body. Hranicí plochy je linie, která tvoří její obvod. Vnitřek je reprezentován body, které jsou v objektu, ale nejsou na hranici. Vnějšek je reprezentován body, které nejsou v objektu.

Máme možnost zvolit z těchto typů geometrických vztahů:

  • Dotek (Touches)

    existuje průnik hranic, ale ne vnitřků.

    • Plocha x plocha

      plochy se dotýkají zvenku bodem, nebo hranou

    • Linie x linie

      linie se dotýkají koncovými body, nebo koncový bod jedné leží na druhé.

    • Linie x plocha

      koncový nebo jiný bod linie se dotýká plochy, nebo nějaká část line leží na hranici plochy.

    • Bod x linie

      bod leží na linii.

    • Bod x plocha

      bod leží na hranici plochy.

  • Uvnitř (Within)

    vnitřek a hranice kontrolovaného objektu jsou celé ve vnitřku řídícího objektu.

  • Obsahuje (Contains)

    vnitřek a hranice řídícího objektu jsou celé ve vnitřku kontrolovaného objektu.

  • Kříží (Crosses)

    geometrie se nedotýkají a nejsou uvnitř

    • Linie x plocha

      linie protíná hranici plochy (nesmí na ni ležet)

    • Linie x linie

      linie se protínají ne však koncovými body

  • Překryv (Overlaps)

    existuje průnik vnitřků a hranic

    • Bod x Bod

      totožné body

    • Linie x Linie

      linie se částečně překrývají

    • Plocha x Plocha

      plochy se částečně překrývají

  • Neprotíná (Disjoint)

    geometrie spolu nemají žádný vztah (dotek, křížení, uvnitř, překryv)

  • Protíná (Intersect)

    geometrie mají spolu nějaký vztah (dotek, křížení, uvnitř, překryv)

  • Totožný (Equals)

    geometrie jsou totožné

Operaci není možné provést pro všechny typy objektů a geometrických relací. Není například možné zjistit body nebo linie, které obsahují plochy. V tomto případě TopoL zobrazí varovnou hlášku.

Pokud nastavíme parametry a potvrdíme dialog, TopoL začne analyzovat geometrické relace a nakonec zobrazí výsledek v dialogu.

V horní liště je možno volit příkazy, které je možno se zvolenými objekty provést. Objekt, se kterým se má operace provést lze zvolit v seznamu řídících objektů (v levé části dialogu) nebo v seznamu kontrolovaných objektů (v pravé části dialogu). Jedná se o tyto funkce:

  • Změnit geometrický vztah

    umožňuje znovu nadefinovat parametry operace (kontrolovanou a řídící tabulku i geometrický vztah)

  • Posunout výřez

    změní výřez tak, aby byl zvolený objekt byl ve středu mapového okna, aniž by se změnilo měřítko zobrazení

  • Změnit výřez dle vybraných

    změní výřez tak, aby zvolený objekt se zadaným překryvem v procentech velikosti jeho opsaného obdélníka byl ve středu mapového okna

  • Zablikáním zvýraznit

    zabliká se zvoleným objektem tak, abychom jej mohli snadněji identifikovat

  • Editovat vybraný objekt

    příkaz umožní v případě liniového objektu editaci lomových body linie, tj. měnit jejich polohu, mazat je, případně přidávat nové. U bodového objektu umožní měnit jeho polohu. U plošných objektů není tento příkaz povolen.

  • Editovat DB záznam

    příkaz umožní editaci volitelných atributů objektu.

  • Zrušit zvolené objekty

    příkaz zruší vybrané objekty. Pokud je linie topologická a tvoří hranici ploch, jsou zrušeny i tyto plochy.

  • Výběry

    příkaz umožní provést výběr (změna atributu _SELECT) dle zadaných parametrů

  • Export do textového souboru

    příkaz umožní vyexportovat obsah levého seznamu dialogu do textového souboru.

  • Export do bloku

    příkaz umožní vyexportovat zvolené objekty do bloku.

Seznam řídících objektů (v levé části dialogu) obsahuje seznam všech řídících objektů, s tím že je u každého uveden počet k němu nalezených kontrolovaných objektů (například počet bodů uvnitř plochy). Tento seznam je možno třídit vzestupně i sestupně podle čísla objektu nebo počtu nalezených kontrolovaných objektů. Třídění lze provést kliknutím na hlavičku příslušného sloupce. Pokud v levém seznamu zvolíme grafický objekt, objeví se v seznamu kontrolovaných objektů (v pravé části dialogu) seznam příslušných objektů.

Po volbě příkazu výběry se objeví dialog, kde můžeme definovat parametry výběru (změna atributu _SELECT) grafických objektů v řídící i kontrolované tabulce.

V případě řídící tabulky je možno nastavit tyto parametry:

  • Všechny objekty v tabulce

    TopoL vybere všechny objekty v tabulce

  • Zvolené objekty

    pokud jsme v seznamu řídících objektů některé označili jako zvolené (standardním mechanismem Windows), budou tyto vybrány (změna atributu _SELECT)

  • Podle počtu kontrolovaných

    pomocí této volby můžeme vybrat (změna atributu _SELECT) grafické objekty počtu příslušných objektů z kontrolované tabulky (například plochy, které obsahují více jak 1 bod)

Se zvolenými objekty je možno provést

  • Výběr

    objekty splňující podmínku budou vybrány (_SELECT=1), pokud je volba použít pro celou tabulku aktivní budou objekty nesplňující podmínku odvybrány (_SELECT=0)

  • Vyloučení

    objekty splňující podmínku budou odvybrány (_SELECT=0), pokud je volba použít pro celou tabulku aktivní budou objekty nesplňující podmínku vybrány (_SELECT=1)

  • Inverze

    u objektů splňující podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1)

V případě kontrolované tabulky je možno nastavit tyto parametry:

  • Všechny objekty v tabulce

    TopoL vybere všechny objekty v tabulce

  • Zvolené objekty

    pokud jsme v seznamu kontrolovaných objektů některé označili jako zvolené (standardním mechanismem Windows), budou tyto vybrány (změna atributu _SELECT)

  • Všechny nalezené

    TopoL vybere (změna atributu _SELECT), ty objekty z kontrolované tabulky, které mají z objekty z řídící tabulky požadovaný geometrický vztah (například všechny body, které jsou uvnitř ploch)

  • Všechny u zvolených

    pokud jsme v seznamu řídících objektů některé označili jako zvolené (standardním mechanismem Windows), touto metodou vybereme (změna atributu _SELECT) všechny kontrolované objekty které ke zvoleným přísluší

Se zvolenými objekty je možno provést

  • Výběr

    objekty splňující podmínku budou vybrány (_SELECT=1), pokud je volba použít pro celou tabulku aktivní budou objekty nesplňující podmínku odvybrány (_SELECT=0)

  • Vyloučení

    objekty splňující podmínku nebudou vybrány (_SELECT=0), pokud je volba použít pro celou tabulku aktivní budou objekty nesplňující podmínku vybrány (_SELECT=1)

  • Inverze

    u objektů splňující podmínku bude hodnota výběru invertována (pokud je _SELECT=1 je změněn na 0, pokud je _SELECT=0 je změněn na 1)


Plošná kalkulace

Operace provede vyhodnocení výrazu pro objekty, které padnou do zadaného polygonu, popř. do něj zasahují nějakou částí. Po zadání uzavřeného polygonu standardním nástrojem se zadá výraz v jazyce ToPas. Poté se provede dynamický překryv polygonu s liniemi a plochami. Pro body, části linií a ploch. které padnou dovnitř se provede vyhodnocení výrazu a následné zobrazení výsledků.

Okno s výsledky Plošné kalkulace


Plošná kalkulace se všemi objekty

Tato varianta funkce Plošné kalkulace umožní pracovat zároveň se všemi typy objektů. U ploch se však stejně jako u varianty operace určené pouze pro plochy předpokládá, že ty plochy, které systém zahrne do plošné kalkulace musí být předem vybrány.

Po zadání polygonu se vyberou standardním dialogem ty druhy objektů se kterými budeme chtít pracovat. Nakonec se zadá výraz v jazyce ToPas, který bude pro každý objekt, resp. jeho odpovídající část vyhodnocen.


Plošná kalkulace s body

Tato varianta funkce Plošné kalkulace umožní pracovat pouze s bodovými objekty. Po zadání polygonu se vyberou standardním dialogem ty druhy bodových objektů se kterými budeme chtít pracovat.

Nakonec se zadá výraz v jazyce ToPas, který bude pro každý bodový objekt, který padne dovnitř polygonu, vyhodnocen.


Plošná kalkulace s liniemi

Tato varianta funkce Plošné kalkulace umožní pracovat pouze s liniovými objekty. Po zadání polygonu se vyberou standardním dialogem v nabídce druhů pro operaci ty druhy liniových objektů, se kterými budeme dále pracovat. Pokud je součástí výrazu pro vyhodnocení standardní položka DELKA, bude použita aktuální hodnota této položky pro každou případnou část původní linie, která vznikne dynamickým překrytím se zadaným řídícím polygonem.


Plošná kalkulace s vybranými plochami

Tato varianta funkce Plošné kalkulace umožní pracovat pouze s plošnými objekty. Nejprve se zadá řídící polygon pro operaci. V nabídce druhů pro operaci lze pak vybrat druhy plošných objektů, se kterými se bude pracovat.

Nakonec se zadá výraz v jazyce ToPas, který bude pro každý bodový objekt, který padne dovnitř polygonu, vyhodnocen. Pokud je součástí výrazu standardní položka PLOCHA, bude použita aktuální hodnota této položky pro každou případnou část původní plochy, která vznikne dynamickým překrytím se zadaným řídícím polygonem. U této varianty plošné kalkulace se však do výpočtu zahrnou jen ty plochy, resp. části ploch, které byly předem libovolným způsobem vybrány, tj. standardní položku _SELECT mají rovnu 1.


Kapitola 11. Databázová okna pro práci s tabulkami

Obsah

Databázové okno pro práci s tabulkou - základní stav
Editace záznamů tabulky pomocí dialogu.
Databázové okno pro práci s tabulkou - lokální menu pro práci se sloupcem tabulky
Práce s odkazy na dokumenty
Odkazy na dokumenty
Náhled na obrázek zadaný odkazem
Připojený dokument
Náhled na obrázek uložený v položce BLOB - vkládání binárních obrazových dat
Sumarizace sloupce
Obsah sloupce
Najít ve sloupci
Graf dle sloupce
Přepis sloupce
Filtrovat podle vybrané hodnoty, Filtrovat - doplnek vybrané hodnoty
Filtr dle sloupce
Hledání duplicit ve sloupci
Databázové okno pro práci s tabulkou - lokální menu
Nastav sloupce
Porovnat sloupce
Třídit
Výběr dle filtru
Editace relačních vztahů pro jeden atribut v rámci filtru
Tisk
Nastavení grafických parametrů složek tiskové sestavy
Nastavení obsahu hlavičky stránek tiskové sestavy
Nastavení obsahu hlavičky skupin tiskové sestavy
Nastavení obsahu zápatí skupin (Součet) tiskové sestavy
Nastavení obsahu zápatí stránek tiskové sestavy
Agregace záznamu - SQL dotazy
Zjednodušená syntaxe SQL dotazů
Agregace GROUP BY
SQL dotazy v DB modelu
Editor SQL dotazů
Křížový dotaz
Syntaxe SHAPE dotazů
Agregace pomocí SHAPE
SHAPE dotazy v DB modelu
Editor SHAPE dotazů
Agregace položek
Exportovat
Hledání duplicit
Databázové okno pro práci s navázanou tabulkou - model
Sestava master - detail
Sestava spojení tabulek
Databázové okno pro práci s externí tabulkou - lokální menu pro práci se sloupcem tabulky
Vytvořit náhledy obrázků

Databázová okna pro práci s primárními tabulkami se zpřístupní tak, že v oknu projektu poklepáním vybereme libovolnou tabulku s geometrií. Poté se zpřístupní položka "Nové databázové okno" v submenu "Zobrazit" a odpovídající tlačítko v panelu nástrojů. Po jejich aktivaci se objeví nemodální dialogové okno s prezentací vybrané tabulky.


Databázové okno pro práci s tabulkou - základní stav

Dialog pro práci s databázovou tabulkou - základní stav.

Prostřední část dialogu (zobrazovací pole) obsahuje seznam všech záznamů a hodnot jeho položek, které jsou v dané databázové tabulce uloženy. Pomocí dialogu pro nastavení zobrazení databáze lze vypínat a zapínat zobrazování jednotlivých sloupců. Lze též měnit pořadí zobrazování sloupců. Změna pořadí sloupců se provádí pomocí myši, kdy se levým tlačítkem stiskne záhlaví sloupce, který chceme přemístit a táhneme doprava nebo doleva. Budoucí pozice daného sloupce je signalizována zvýrazněním jeho levého kraje. Jestliže pustíme levé tlačítko myši dojde okamžitě ke změně pořadí sloupců. Vždy se můžeme vrátit k pořadí sloupců tak, jak je definováno přímo v databázovém souboru. To se provede stiskem tlačítka "Standardní pořadí sloupců" z lokálního menu.

Šíře jednotlivý sloupců lze měnit graficky přímo na dialogu. Pokud se myší přesuneme na rozhraní záhlaví dvou sloupců, dojde ke změně kurzoru. Po stisku levého tlačítka můžeme rozhraní libovolně posouvat. Přitom se mění šíře sloupce, který je vlevo od daného rozhraní. Budoucí pozice rozhraní je naznačena silnější svislou čarou. Po uvolnění tlačítka myši dojde ke změně šíře sloupce.

Lze též změnit celkovou velikost dialogu (standardní ovládání Windows) a nastavit tak počet zobrazených řádků, resp. sloupců. Celkovou velikost dialogu, jeho umístění na obrazovce, šíře a pořadí jednotlivých sloupců, nastavení tiskových sestav apod. se uchovává v projektu, se kterým právě pracujeme. Na dolní liště databázového okna se vypisuje počet zobrazených záznamů, resp. celkový počet záznamů v tabulce. Lze tak získat informaci o počtu záznamů, které vyhovují použitému filtru. Výjimkou je zobrazení pouze zvýrazněných záznamů, kde je počet celkových záznamů roven počtu zobrazených.

V rámci zobrazovacího pole databázových položek se lze posouvat pomocí rolovacích lišt, pomocí klávesnice i kolečka myši. Když je zobrazovací pole aktivní, je jedno políčko (toto políčko lze měnit pomocí klávesnice), případně celý řádek orámován . Pak lze k posouvání tohoto aktivního políčka, resp. aktivního řádku v rámci zobrazovacího pole a následně i k posouvání obsahu celého zobrazovacího pole použít šipek a kláves PageUp, PageDown.

Aktivní políčko lze editovat samostatně. Editace (umožněna jen pokud je příslušná databáze v editovacím režimu) se aktivuje buď opakovaným klepnutím levého tlačítka myši na libovolné políčko v zobrazovacím poli, popř. výběrem aktivního políčka (např. z klávesnice) a následně odklepnutím klávesy ENTER. Nejjednodušší způsob zahájení editace je začít přímo "psát" nový obsah daného políčka. V tomto případě se ale celý původní obsah přepíše. Na zobrazovacím poli se objeví editační linka, která má obdobné vlastnosti jako editační linka v dialogu pro editaci databázového záznamu. Obsah lze editovat v závislosti na typu databázové položky.

Jestliže jsou v Definici struktury projektu pro danou primární tabulku definovány nějaké restrikce na hodnoty pro jednotlivé atributy, dochází při každém pokusu o uložení změn hodnot atributu k jejich kontrole a v případě porušení restrikcí je zabráněno v uložení a případně i k posunu na jiný řádek. Uživatel je přitom upozorněn hlášením na nesoulad zadávaných hodnot. Pokud je restrikce zadána formou výčtu přípustných hodnot je při editaci dané položky tento výčet nabízen formou lokálního editoru ve formě výklopného seznamu.

Editace atributu s restrikcí zadanou výčtem hodnot.

Pokud chceme editaci ukončit bez uchování změn , užijeme klávesnici ESC. K uložení změn je nutno užít buď opět klávesnici ENTER, popř. lze použít šipek a kláves PageUp, PageDown k současnému uložení editované položky a k posunu editační linky na další pozici. K horizontálnímu posunu editované položky slouží kombinace kláves ALT a HOME (posun do prvního sloupce), END (posun do posledního sloupce), resp. šipka vlevo a vpravo (posun o jeden sloupec). Stav editace také signalizuje symbol v nejlevějším šedivém sloupci dialogu - stav editace je signalizován symbolem podobnému písmenu "I". provedené změny lze potvrdit, resp. zamítnout též pomocí panelu tlačítek na spodní straně databázového okna.

Nástrojová navigační lišta pro práci v databázových oknech.

Symbol "X" vrátí editovanou položku do stavu před začátkem její editace a to i pokud použijeme potvrzující klávesu "ENTER". Symbol "v" potvrzuje provedené změny. Dokud definitivně změny nepotvrdíme buď z panelu nástrojů, popř. přechodem na jinou řádku, lze provedené změny "vrátit" zpět.

Nástrojová navigační lišta slouží též k přesouvání mezi jednotlivými záznamy tabulky. Výhodné je zejména použití prvního a čtvrtého tlačítka pro přesun na začátek, resp. konec tabulky.

Další možností jak editovat jednotlivé záznamy databáze je použít dialog, kde jednotlivé položky jsou zobrazenu v rolovacím seznamu pod sebou. Dialog se zpřístupní dvojitým kliknutím myší na vybraný řádek - záznam tabulky. Tento dialog je však přístupný jen pokud je příslušná databáze v editovacím režimu.

V práci s tabulkou slouží celá řada příkazů. Nejdůležitější z nich jsou zařazeny v submenu "Databázová tabulka" hlavního menu TopoLu. Příkazy, které pracují s nějakým sloupcem tabulky jsou soustředěny do lokálního výklopného menu, které se aktivuje poklepáním pravého tlačítka myši kdekoli ve vybraném sloupci. Ostatní příkazy jsou v druhém lokálním výklopném menu, které se aktivuje poklepáním levého tlačítka myši na symbol černého trojúhelníka v levém horním roku tabulky.

Pokud má primární databázová tabulka nadefinovaný tzv. databázový model, tj. propojení s dalšími tabulkami pomocí klíčových položek, při otevírání databázového okna se zjišťuje, zda takových modelů (strom s jednotlivými vazbami a kořenem odpovídajícímu primární tabulce) pro danou primární tabulku není nadefinováno více. V tomto případě se z nabídky nadefinovaných modelů jeden vybere. Pokud je aplikace uzavírána s otevřeným databázovým oknem, při jejím opětovném spuštění se rekonstruují všechna otevřená okna, tedy i databázová. Přitom se načítá ten model, který byl aktivní při uzavírání aplikace a to i v případě, kdy je možných modelů více. Výběr z několika modelů je možný jen při dalším otevírání databázového okna.


Editace záznamů tabulky pomocí dialogu.

Dialog pro editaci záznamů tabulky.

V tabulce se nachází seznam jednotlivých databázových atributů a jejich hodnot, které záznam obsahuje.

Pro snadnější editaci slouží následující klávesy:

Šipka nahoru

Obsah aktivní položky se uloží a novou aktivní položkou se stane položka jí předcházející.

Šipka dolu

Obsah aktivní položky se uloží a novou aktivní položkou se stane položka jí následující.

PageUp

Obsah aktivní položky se uloží a novou aktivní položkou se stane položka z předchozí stránky seznamu.

PageDown

Obsah aktivní položky se uloží a novou aktivní položkou se stane položka z následující stránky seznamu.

ENTER

Uloží se obsah aktivní editované položky, novou aktivní položkou se stane položka následující, u poslední položky se potvrdí dialog a ukončí se práce. Pokud není aktivní položka editovaná, přepne se použitím klávesy ENTER do editačního módu.

Esc

Nastaví původní hodnotu atributu. Pokud není žádná položka v editačním stavu dialog se ukončí bez potvrzení změn.

Nástrojová lišta ve spodní části dialogu slouží ke změně celého aktivního záznamu tabulky. Dosud provedené změny se potvrdí a začne se editovat následující, resp. předchozí, první nebo poslední záznam tabulky.

Dvojitým poklepáním na seznam databázových atributů se zobrazí v editační lince daný atribut a zároveň se stane editační linka aktivní, takže můžeme ihned editovat. Do editační linky můžeme vkládat pouze ty znaky, které jsou přípustné v závislosti na typu editovaného atributu. Pokud se editační pole zaplní takovým počtem znaků, které je rovno maximálnímu povolenému počtu znaků pro daný atribut, dochází automaticky k přechodu na další atribut ze seznamu.

Jestliže jsou v Definici struktury projektu pro danou primární tabulku definovány nějaké restrikce na hodnoty pro jednotlivé atributy, dochází při každém pokusu o uložení změn hodnot atributu k jejich kontrole a v případě porušení restrikcí je zabráněno v uložení a případně i k posunu na jiný řádek. Uživatel je přitom upozorněn hlášením na nesoulad zadávaných hodnot. Pokud je restrikce zadána formou výčtu přípustných hodnot je při editaci dané položky tento výčet nabízen formou lokálního editoru ve formě výklopného seznamu.


Databázové okno pro práci s tabulkou - lokální menu pro práci se sloupcem tabulky

Lokální menu pro práci se sloupcem tabulky.

Po aktivaci lokálního menu poklepáním pravého tlačítka myši kdekoli ve vybraném sloupci tabulky vybereme jeden z příkazů pro práci s daným sloupcem.

Vazby

Pokud má DB tabulka v modelu definovány nějaké vazby na další tabulky, je zde submenu s jejich výčtem. Po jeho rozkliknutí a výběru navázané tabulky lze přímo zobrazit libovolnou navázanou tabulku v novém databázovém okně.

Schovej sloupec

Vybraný sloupec se přestane zobrazovat.

Zobraz všechny sloupce

Zobrazí se všechny sloupce tabulky.

Standardní pořadí sloupců

Pořadí sloupců se stanoví tak, jak je definováno přímo v databázovém souboru.

Pouze vybrané

Příkaz umožňuje pro vybranou databázovou tabulku zobrazit pouze vybrané záznamy, tj. záznamy s hodnotou položky _Select = 1 .

Roztáhnout sloupec

Šířka vybraného sloupce se nastaví na takovou minimální šířku, aby obsah sloupce ze všech záznamů byl celý viditelný.

Roztáhnout sloupec včetně nadpisu

Šířka vybraného sloupce se nastaví na takovou minimální šířku, aby obsah sloupce ve všech záznamech byl viditelný celý , stejně jako nadpis sloupce.

Zarovnat sloupec

Obsah vybraného sloupce se zarovná požadovaným způsobem. Pokud však textové položky obsahují mezery např. vlevo, při zarovnání doleva pravděpodobně nepřinese požadovaný efekt.

Doleva

Obsah vybraného sloupce se zarovná doleva.

Do středu

Obsah vybraného sloupce se zarovná do středu.

Doprava

Obsah vybraného sloupce se zarovná doprava.

Vytvoř index dle sloupce (vzest.)

Provede se setřídění záznamů databáze pouze na základě obsahu vybraného sloupce a to vzestupným způsobem od nejnižších hodnot k nejvyšším. Po potvrzení příkazu pak dojde k setřídění celé tabulky a k jejímu přezobrazení.

Poznámka

Příkaz není přístupný pokud se nevypne přepínač "Jen navázané záznamy" tak, aby byly zobrazeny všechny záznamy z tabulky".

Vytvoř index dle sloupce (sest.)

Provede se setřídění záznamů databáze pouze na základě obsahu vybraného sloupce a to sestupným způsobem od nejvyšších hodnot k nejnižším. Po potvrzení příkazu pak dojde k setřídění celé tabulky a k jejímu přezobrazení.

Přidej sloupec do indexu (vzest.)

Upraví se setřídění záznamů databáze - do seznamu třídících klíčů se na konec přidá vybraná položka. Na základě obsahu tohoto sloupce se záznamy se stejnými předchozími klíči setřídí vzestupným způsobem od nejnižších hodnot k nejvyšším. Po potvrzení příkazu pak dojde k setřídění celé tabulky a k jejímu přezobrazení.

Přidej sloupec do indexu (sest.)

Upraví se setřídění záznamů databáze - do seznamu třídících klíčů se na konec přidá vybraná položka. Na základě obsahu tohoto sloupce se záznamy se stejnými předchozími klíči setřídí sestupným způsobem od nejvyšších hodnot k nejnižším. Po potvrzení příkazu pak dojde k setřídění celé tabulky a k jejímu přezobrazení.

Netřídit

Příkaz zruší nastavení třídícího klíče. Záznamy se zobrazují nesetříděně.

Zobrazovat obrázky přes odkaz

Přepínač, který po zapnutí způsobí, že v daném sloupci se budou permanentně zobrazovat přímo obrázky v těch políčkách, která odkazují na existující obrazová data.

Vložit odkaz na dokument

Příkaz vyvolá standardní dialog, který umožní vybrat libovolný soubor, na který se bude editovaná položka odvolávat. Příkaz je aktivní jen pro editovatelné tabulky a textové položky.

Odkazy na dokumenty

Příkaz vyvolá dialog, kterým se zadá způsob, jakým se budou uchovávat odkazy na dokumenty. Jde zde hlavně o usnadnění přenositelnosti dat na jiný počítač. Jsou zde tři možnosti. Jde o absolutní cesty, relativní cesty (k souboru či adresáři dané databáze) a odkazy využívající substituce adresářů. Jde vlastně o speciální variantu příkazu Přepis sloupce. Po potvrzení příkazu se odkazy podle stanoveného způsobu přepíší. Příkaz je aktivní jen pro editovatelné tabulky a textové položky.

Náhled

Pokud je aktivní políčko odkazující na existující obrazový dokument, popř. o položku typu BLOB, která obsahuje obrazová data, objeví se náhled. U BLOBu je možno v dialogu pro náhled využít další editační nástroje, jako je vymazání obsahu, přepis jiným obrázkem, editace obrázku externím editorem apod.

Otevřít připojený dokument

Příkaz vyvolá spuštění aplikace asociované s dokumentem. Protože jde jen o odkaz, lze v externí aplikaci dokument libovolně editovat.

Vyhledat na disku

Příkaz vyvolá zobrazení okna Průzkumníka systému nastaveného na prohlížení adresáře , kde je odkazovaný dokument uložen.

Připojený dokument

Příkaz vyvolá zobrazení lokálního systémového menu (stejně jako např. v Průzkumníku systému při kliknutí na odkaz dokumentu pravým tlačítkem myši). Obsah tohoto menu je zcela závislý na systému a na tom jaké aplikace jsou v systému nainstalovány (aktivující přidávání položek do takového lokálního menu). Pro odkazy na obrazová data ze zde využít celou škálu volně šiřitelných programů, které nabízejí řadu podpůrných funkcí pro práci s obrazovými daty.

Zafixuj sloupce

Pokud má databáze více položek (sloupců) lze zafixovat několik sloupců v levé části zobrazovacího pole, které se nerolují, tj. zůstávají stále viditelné. Kromě vybraného sloupce se zafixují všechny sloupce zobrazené vlevo od vybraného sloupce. U pevných sloupců nelze měnit jejich šířku ani pořadí. Nejprve je tedy nutno nastavit šířky sloupců a případně přesunout požadované sloupce doleva a teprve pak je možno stanovit počet pevných sloupců.

Databázové okno s pevnými sloupci.
Žádné pevné sloupce

Zruší se zafixování všech sloupců.

Sumarizace sloupce

Používá se pro zjištění základních numerických charakteristik zadaného sloupce, jako je součet, počet, minimum, maximum, rozsah a průměr. Statistika se týká vždy jen zobrazených záznamů tabulky.

Obsah sloupce

Po potvrzení se zobrazí jednoduchý dialog, kde jsou zobrazeny všechny hodnoty pro zadaný sloupec tabulky. Statistika se týká vždy jen zobrazených záznamů tabulky.

Najít ve sloupci

Po potvrzení se tabulka setřídí podle daného sloupce a zobrazí jednoduchý dialog pro zadání hledaného obsahu sloupce.

Poznámka

Příkaz není přístupný pokud se nevypne přepínač "Jen navázané záznamy" tak, aby byly zobrazeny všechny záznamy z tabulky".

Graf dle sloupce

Příkaz umožňuje pro databázovou tabulku zobrazit graf aktivní numerické položky - sloupce.

Přepis sloupce

Příkaz slouží k hromadnému přepisu obsahu sloupce buď konstantou, zkopírováním obsahu jiného sloupce, popř. složitějším výrazem v jazyku ToPas.

Filtr dle sloupce

Příkaz slouží k jednoduchému filtrování záznamů tabulky pouze podle vybrané hodnoty daného atributu. Filtrování podle sloupce lze kombinovat se zobrazováním pouze vybraných záznamů. Příkaz nelze kombinovat s porovnáváním hodnot ve dvou sloupcích. Pro zadání filtru se použije jednoduchý dialog pro výběr hodnoty atributu. Filtr je nutno vypnout opětovným kliknutím na tento příkaz menu.

Poznámka

Příkaz není přístupný pokud se nevypne přepínač "Jen navázané záznamy" tak, aby byly zobrazeny všechny záznamy z tabulky".

Hledání duplicit ve sloupci

Příkaz slouží k jednoduchému testu, zda ve vybraném sloupci existují nějaké duplicitní hodnoty. Po výběru příkazu se zjištěné duplicitní hodnoty zobrazí v dialogu. Podle vybrané hodnoty se seznamu zobrazených lze přímo v dialogu zadat, že se tabulka má vyfiltrovat podle této hodnoty sloupce (tlačítko Filtrovat zároveň ukončí dialog).


Práce s odkazy na dokumenty

Od verze TopoLu xT 9.0 lze při práci s databázovými okny (jak s primárními, tak navázanými tabulkami v modelu) pracovat s odkazy na různé dokumenty. Mohou to být nejrůznější typy dokumentů textových, obrazových, zvukových nebo i odkazy na webové stránky, odkazy na databázové soubory, programy atd. Prakticky každý typ souborů, který má v operačním systému nějakou asociaci, nebo je systémem přímo podporován, může být uveden jako odkaz v databázové tabulce a TopoL pak využívá některých možností, které nabízí operační systém pro práci s těmito soubory jako např. automatické otevírání souborů příslušnou asociovanou aplikací. Odkazy na dokumenty se vkládají vždy do nějakého sloupce textového typu. Odkaz je možno vložit ručně jako při běžné editaci, popř. lze využít i některé speciální funkce pro vkládání odkazů.

Poněkud zvláštní úlohu zde hrají obrazové soubory standardních typů jako JPG, BMP, GIF, PNG, PCX, TIF. Tyto soubory lze totiž prohlížet přímo v gridu buď ve speciálním režimu hromadně nebo na vyžádání jednotlivě. Při práci s navázanými tabulkami těch typů, které podporují práci s BLOBy (binary large objects), lze pak využívat dalších možností, jako je vytváření náhledů obrázků, které slouží k rychlému zobrazování přímo v gridu, kdy se po aktivaci této možnosti v daném políčku zobrazuje přímo náhled obrázku. Přitom bývá vhodné změnit výšku řádků tabulky tak, aby se mohl obrázek roztáhnout na co největší plochu. Takto lze zobrazovat přímo i obrázky zadané jen odkazem. Zde ale závisí rychlost zobrazování na velikosti obrázků a též na počtu řádků, které jsou vidět v gridu. Rychlost zobrazování obrázků, které mají několik Mpixelů a je třeba neustále překreslovat desítky řádků, je velmi malá. To se dá sice částečně řešit zmenšením počtu viditelných řádků (např. jejich roztažením na výšku), ale často je vhodnější vyrobit malé náhledy, které se ukládají přímo do databázové tabulky (do nějakého BLOBu) ve formátu JPG. V tomto případě lze zobrazovat plynule i tabulky s několika tisíci náhledů.

Databázový grid s obrázky

Další možností, jak zobrazit obrázky, je nastavit políčko gridu s odkazem nebo náhledem jako aktuální (šipkami, myší) a použít klávesu ENTER, stejně jako při editaci. Pokud je zapnut přepínač Zvýrazňovat odkazy na objekty (jinak řečeno - u textové položky odkaz na dokument je vysvícen modře), objeví se dialogové okno s náhledem obrázku. V opačném případě, kdy odkaz nesvítí modře, se provede standardní editační akce. U položek typu BLOB se pak náhled objeví vždy, když je v položce uložen skutečně nějaký obrázek podporovaného formátu. Pro zobrazení náhledu je v lokálním menu sloupce možno použít příkaz Náhled.

Dialog s náhledem obrázku.


Odkazy na dokumenty

Po potvrzení příkazu se zobrazí jednoduchý dialog pro nastavení parametrů operace.

Dialog Odkazy na dokumenty.
Pro odkazy na dokumenty

Ze tří možností se vybere způsob, jakým se budou uchovávat odkazy na dokumenty. Jde o absolutní cesty, relativní cesty (k souboru či adresáři dané databáze) a odkazy využívající substituce adresářů. Jde vlastně o speciální variantu příkazu Přepis sloupce. Po potvrzení příkazu se odkazy podle stanoveného způsobu přepíší. Toto nastavení pro sloupec se uchovává v projektu a má též vliv na to jak se ukládají odkazy na dokumenty při použití funkce Vložit odkaz na dokument.


Náhled na obrázek zadaný odkazem

Po potvrzení příkazu se zobrazí jednoduchý dialog s náhledem obrázku na který je odkazováno. V případě obrázků typu JPG se mohou zobrazit i EXIF informace o parametrech pořízení obrázku digitálním aparátem.

Náhled obrázku odkazovaného v databázové tabulce.


Připojený dokument

Automaticky se vyvolá zobrazení lokálního systémového menu. Obsah tohoto menu je zcela závislý na systému a na tom jaké aplikace jsou v systému nainstalovány (aktivující přidávání položek do takového lokálního menu). Pro odkazy na obrazová data ze zde využít celou škálu volně šiřitelných programů, které nabízejí řadu podpůrných funkcí pro práci s obrazovými daty. Zde ji např. využit program XnView, který "obohatí" lokální menu přímo o náhled obrázku, jehož velikost lze konfigurovat. Dále je možno obrázek uložit do jiného formátu apod.

Ukázka lokálního systémového menu pro obrazový dokument odkazovaný v DB tabulce.


Náhled na obrázek uložený v položce BLOB - vkládání binárních obrazových dat

Obrázky (pokud nejsou příliš velké) v standardních formátech se dají vkládat v podobě binárních dat do položek typu BLOB i jednotlivě. Slouží k tomu stejný dialog jako pro náhled těchto dat.

Náhled obrázku uloženého v položce BLOB.

U položek typu BLOB se pak tento dialog objeví, pokud je dané políčko gridu aktivní a použijeme klávesu ENTER. Pokud je v tabulce pro daný záznam v této položce uložen nějaký obrázek, pak se zobrazí v náhledu. Pokud je položka prázdná, objeví se dialog s prázdným náhledem. V obou případech lze obsah obrazových dat změnit - obrázky lze načítat, mazat i editovat externím editorem. K ovládaní dialogu je určena sada nástrojových tlačítek na spodním okraji dialogu.

Otevřít

Pomocí standardního dialogu pro výběr souboru se načte zvolený obrázek a zobrazí se v náhledu. Pro uložení do tabulky je nutno změnu potvrdit.

Editovat

Ke změně obrazových dat lze použít vybraný externí editor. Zde je možno provést úpravy obrázku - zesvětlení, ztmavení, změna kontrastu, změna nasycení, doostření, převzorkování apod. Po výběru tohoto příkazu se obsah položky (binární obrazová data) uloží do dočasného souboru odpovídajícího formátu a spustí se externí editor. V něm se provedou všechny potřebné úpravy a soubor je nutno uložit zpět do dočasného souboru (tedy nikoli Uložit jako). Po zavření externího editoru se obrázek znovu načte do tabulky v binární podobě. Pro výběr editačního programu slouží následující příkaz.

Výběr editačního programu

Standardním dialogem pro výběr souboru se vybere spustitelný program, který bude sloužit jako editor obrazových dat. Výběr externího editoru je systémem zapamatován a lze jej opět změnit tímto příkazem.

Uložit jako

Obrazová data lze uložit jako soubor .BMP pod zadaným jménem.

Vymazat obrázek

Položka s obrazovými daty se vyprázdní.

Uložit a zavřít

Příkaz slouží k potvrzení všech změn provedených pomocí tohoto dialogu. Pokud s případnou úpravou obrázku nejsme spokojeni, lze použít bez odchodu z dialogu klávesu ESC, která vrátí předchozí stav obrázku.

Zrušit

Příkaz zruší všechny provedené úpravy a zavře dialog.


Sumarizace sloupce

Po potvrzení příkazu se zobrazí jednoduchý dialog, kde jsou zobrazeny základní numerické charakteristiky pro daný sloupec. Statistika se týká vždy jen zobrazených záznamů tabulky.

Dialog s výsledky provedené sumarizace sloupce.


Obsah sloupce

Po potvrzení příkazu se zobrazí jednoduchý dialog, kde jsou zobrazeny všechny hodnoty pro zadaný sloupec tabulky.Statistika se týká vždy jen zobrazených záznamů tabulky.

Dialog s obsahem sloupce.


Najít ve sloupci

Po potvrzení příkazu se zobrazí jednoduchý dialog, kde je možno v editační lince zadat hledané hodnoty pro daný sloupec. Nad editační linkou je uvedeno jméno sloupce, podle kterého se hledání provádí.

Dialog pro hledání záznamů dle obsahu vybraného sloupce.

Přepínač "hledat dle počátku" umožňuje hledat záznamy tabulky inkrementálně, tj. jen podle začátku - jinak se porovnává zadaná hodnota s celým obsahem sloupce v jednotlivých záznamech.


Graf dle sloupce

Po potvrzení se zobrazí jednoduchý dialog pro výběr sloupce, který bude sloužit pro popisky na vodorovné ose grafu. Po jeho potvrzení se zobrazí dialog, kde jsou graficky znázorněny všechny hodnoty zobrazených záznamů pro daný sloupec tabulky.Statistika se týká vždy jen zobrazených záznamů tabulky.

Dialog s grafem sloupce.

Graf lze graficky libovolně měnit - k tomu slouží řada nástrojů, které jsou zpřístupněny v pravém panelu nástrojů.

Umožní nastavit barvy pro jednotlivé prvky grafu.
Umožní nastavit fonty pro jednotlivé prvky grafu, tzn. jejich typ, subtyp, barvu a velikost.
Umožní nastavit popisy pro jednotlivé prvky grafu.
Umožní natáčet graf podle různých os.
Umožní přepínat třídimenzionální prezentaci grafu.
Umožní vypínat a zapínat osy grafu s popisem.
Umožní přepínat zda se bude graf zobrazovat barevně nebo šedotónově.
Umožní uložit bitovou mapu grafu do schránky.
Umožní uložit bitovou mapu grafu do souboru.
Umožní vytisknout bitovou mapu grafu.
Umožní nastavit parametry tiskárny.
Umožní zmenšit výřez grafu. Původní výřez grafu lze nastavit tlačítkem "Původní zoom".
Umožní zvětšit výřez grafu do většího detailu.
Umožní vypínat a zapínat legendu grafu s popisem. V případě zapnuté legendy se stane aktivním prvek - výklopný seznam pro umístění legendy.Pokud je zobrazených záznamů příliš mnoho nelze zobrazit v legendě všechny.

V dialogu lze současně s již zobrazeným grafem prezentovat další grafy. Proto jsou zde další ovládací prvky.

Typ grafu

Umožní zvolit pomocí jednoduchého dialogu typ prezentovaných grafů. Je zde možno vybrat z následujícího seznamu.

  • liniový graf

  • sloupcový graf

  • schodový graf

  • bodový graf

  • graf - tenká čára

  • koláčový graf

Nový graf

Spustí se standardní dialog pro výběr další numerické položky. Po jeho potvrzení se zobrazí dialog pro výběr sloupce, který bude sloužit pro popisky druhého grafu. Paralelně s původním grafem se zobrazí nový graf na základě vybrané položky.

Výklopný seznam pro operace nad grafy

Pokud byl nastaven další zobrazený graf, zpřístupní se výklopný seznam pro výběr operace nad oběma grafy. Lze volit jednu ze základních aritmetických operací:

  • Průměr - vytvoří se nový graf jako průměr obou původních grafů.

  • Rozdíl - vytvoří se nový graf jako rozdíl obou původních grafů.

  • Součet - vytvoří se nový graf jako součet obou původních grafů.

  • Součin - vytvoří se nový graf jako součin obou původních grafů.

  • Podíl - vytvoří se nový graf jako podíl obou původních grafů.

Grafy vzniklé operací z původních grafů jsou zobrazeny do stejného dialogu. Pokud byl vybrán jako typ sloupcový graf, lze v tomto případě pomocí výklopného seznamu navolit možné zkombinování všech prezentovaných grafů. Výběr je dán z těchto možností:

  • Za sebou - všechny dílčí sloupce jednotlivých grafů jsou zobrazeny za sebou ve směru osy Z.

  • Vedle sebe - všechny dílčí sloupce jednotlivých grafů jsou zobrazeny vedle sebe.

  • Ve vrstvách - všechny dílčí sloupce jednotlivých grafů jsou zobrazeny nad sebou.

  • Ve vrstvách 100 % - všechny dílčí sloupce jednotlivých grafů jsou zobrazeny nad sebou ve sloupcích stejné výšky s proporcionálním poměrem mezi jednotlivými subsloupci.

Graf pro dvě položky tabulky prezentované sloupci nad sebou.

Popisky

Přepínač umožňující zapnout a vypnout popisky jednotlivých záznamů uvnitř grafu.

Původní zoom

Tlačítko umožňující nastavit původní výřez - zvětšení grafu.

Umístění legendy

Výklopný seznam pro umístění legendy grafu.

Šipky

Pomocí šipek lze posouvat obraz grafu ve výřezu požadovaným směrem. Využije se zejména v případě zvětšení grafu do většího detailu.


Přepis sloupce

Po potvrzení příkazu se zobrazí jednoduchý dialog pro nastavení parametrů operace.

Dialog přepis sloupce.
Zdroj

Ze tří možností se vybere, zda se daná položka bude přepisovat konstantou (přednastavena je hodnota z aktuálního záznamu tabulky) nebo zda se bude kopírovat obsah jiného sloupce, popř. se použije přepis výrazem v jazyce ToPas. Sloupec se pak vybere z výklopného seznamu, který obsahuje položky tabulky. Výraz se zadá standardním dialogem pro editaci výrazu. Pokud se jedná o položku jiného typu než je cílová položka dojde ke konverzi pokud to lze provést.

Přepiš záznamy

Ze tří možností se vybere, které záznamy tabulky se budou přepisovat. Je možno přepsat všechny zobrazené záznamy tabulky, pouze vybrané (položka _Select = 1) nebo pouze zvýrazněné záznamy (přístupno jen pokud takové záznamy existují).


Filtrovat podle vybrané hodnoty, Filtrovat - doplnek vybrané hodnoty

První příkaz umožňuje zobrazit pouze ty záznamy v tabulce, které mají stejnou hodnotu vybraného atributu jako právě aktivní záznam. Druhý příkaz funguje opačně - zobrazuje pouze ty záznamy v tabulce, které mají odlišnou hodnotu vybraného atributu. Příkazy se aktivují tak, že po výběru příslušné hodnoty přímo v gridu se akivuje pravým tlačítkem lokální menu sloupce a vybere se jeden z těchto "přepínacích" příkazů.

Poznámka

Příkazy fungují podobně jako příkaz "Pouze vybrané" (přepínač). Je-li aktivní tento filtr, je příkaz v menu zatržen a je ho možno vypnout opětovným kliknutím na tyto položky menu, případně lze plynule přepínat obě možnosti. Pokud se jedna z možností aktivuje, druhá se automaticky vypne.


Filtr dle sloupce

Po potvrzení příkazu se zobrazí jednoduchý dialog pro nastavení parametrů operace.

Dialog "Filtr dle sloupce".
Hodnota atributu

Do editační linky se může ručně zadat filtrovací hodnota daného atributu.

Hledat dle počátku

Přepínač způsobí, že pro výběr záznamu bude postačovat, že příslušný atribut pouze začíná zadanou hodnotou. Platí to i pro numerické položky.

Obsah sloupce

Pomocí tohoto tlačítka se zobrazí dialog se všemi různými hodnotami daného atributu v zobrazených záznamech. Je možno jednu hodnotu vybrat a po potvrzení se hodnota přesune do editační linky.

Poznámka

Příkaz funguje podobně jako příkaz "Pouze vybrané" (přepínač). Je-li aktivní tento filtr, je příkaz v menu zatržen a je ho možno vypnout pouhým vybráním této položky menu.


Hledání duplicit ve sloupci

Po potvrzení příkazu se zobrazí dialog pro zobrazení výsledku operace.

Dialog "Seznam duplicit ve sloupci".
Filtrovat

Pokud byla vybrána některá z hodnot v seznamu poklepáním, je možno použít toto tlačítko, které ukončí dialog a provede filtraci dle vybrané hodnoty pro daný sloupec - položka lokálního menu "Filtr dle sloupce" se je pak zatržena. Filtrace se ukončí tímto příkazem.

Do schránky

Použití tlačítka přenese obsah seznamu duplicit do systémové schránky.


Databázové okno pro práci s tabulkou - lokální menu

Lokální menu pro práci s databázovou tabulkou.

Po aktivaci lokálního menu levým tlačítkem myši (poklepeme na symbol černého trojúhelníka v levém horním roku tabulky) vybereme jeden z příkazů pro práci s danou tabulkou.

Zobraz všechny sloupce

Zobrazí se všechny sloupce tabulky.

Nastav sloupce

Pomocí dialogu pro nastavení zobrazení databáze lze vypínat a zapínat zobrazování jednotlivých sloupců. Zároveň lze zadat popisky pro záhlaví jednotlivých sloupců tabulky.

Změna struktury

Příkaz umožní pro každou editovatelnou tabulku změnit její strukturu pomocí standardního dialogu.

Standardní pořadí sloupců

Pořadí sloupců se stanoví tak, jak je definováno přímo v databázovém souboru.

Třídit

Příkaz umožňuje nastavit třídící klíč pro aktivní databázovou tabulku. Dialog , který se objeví po spuštění umožňuje výběr třídících klíčů a nastavení, jak se má třídit podle jednotlivých položek klíče (vzestupně - sestupně).

Netřídit

Příkaz zruší nastavení třídícího klíče. Záznamy se zobrazují nesetříděně.

Vybrat zvýrazněné

Zvýrazněné záznamy databáze (modré řádky) se označí jako vybrané, tj. v těchto záznamech se hodnota položky _Select nastaví na 1.

Vybrat vše

Všechny zobrazené záznamy databáze se označí jako vybrané, tj. v těchto záznamech se hodnota položky _Select nastaví na 1.

Zrušit výběr

Všechny zobrazené záznamy databáze se označí jako nevybrané, tj. v těchto záznamech se hodnota položky _Select nastaví na 0.

Pouze vybrané

Příkaz umožňuje pro vybranou databázovou tabulku zobrazit pouze vybrané záznamy, tj. záznamy s hodnotou položky _Select = 1. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Pouze zvýrazněné

Příkaz umožňuje pro vybranou databázovou tabulku zobrazit pouze zvýrazněné záznamy, tj. ručně vybrané záznamy obarvené modře. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Vzhled tabulky

Skupina příkazů pro nastavení různých způsobů zobrazení DB gridu.

Obarvit vybrané

Všechny zobrazené záznamy databáze se obarví podle vybranosti, tj. ty záznamy, kde hodnota položky _Select je rovna 1, se obarví žlutě. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Víceřádkové titulky

Příkaz umožňuje nastavit lámání popisek záhlaví jednotlivých sloupců. Pokud je popiska složena z více slov, rozdělí se na více řádků, pokud se nevejde do dané šířky sloupce. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Měnit výšku řádků

Příkaz umožňuje nastavení nestandardní výšky řádků. Po potvrzení je možno tažením levého tlačítka myši nad šedivým rozhraním dvou řádků měnit jejich výšku. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Zvýraznit odkazy na dokumenty

Přepínač ovlivňuje způsob zobrazování odkazů na dokumenty, které byly vloženy např. příkazem Vložit odkaz na dokument. Zapnutý přepínač způsobí, že ty odkazy (ať už zadané absolutní, relativní cestou, nebo pomocí substituce) se zvýrazní modře, pokud soubor, na který směřuje odkaz, skutečně existuje.

Barvit řádky

Příkaz slouží k lepší orientaci v tabulkách s dlouhými řádky. Všechny liché záznamy databáze se obarví, všechny sudé zůstávají obarveny původní barvou. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Font

Po potvrzení se zobrazí standardní dialog, kde je možno z nabídky vybrat jiný font pro zobrazení v tabulce.

Zobrazit memo položky

Příkaz umožní zobrazit text memo položek přímo v gridu.

Roztáhnout memo položky

Příkaz umožní zobrazit v gridu celý text memo položek.

Výběr dle výrazu

Záznamy databáze (nejen zobrazené) se označí jako vybrané (tj. v těchto záznamech se hodnota položky _Select nastaví na 1), pokud je splněn test dle zadaného výrazu v jazyce ToPas. Výraz zadaný standardním dialogem musí být logického typu (vyhovuje - nevyhovuje)

Porovnat sloupce

Příkaz umožňuje pro aktivní databázovou tabulku sestavit jednoduchý dotaz pro výběr záznamů dle zadaných kritérií. Dotaz má formu porovnání hodnot dvou vybraných sloupců tabulky. Filtr je nutno vypnout opětovným kliknutím na tento příkaz menu.

Výběr dle filtru

Záznamy databáze (nejen zobrazené) se označí jako vybrané (tj. v těchto záznamech se hodnota položky _Select nastaví na 1), pokud je splněn test dle zadaného jednoduchého filtru - skupina podmínek (relací) na jednotlivé atributy tabulky. Filtr se zadá jednoduchým dialogem.

Filtr

Záznamy databáze se vyfiltrují podle zadaného jednoduchého filtru - skupina podmínek (relací) na jednotlivé atributy tabulky. Nedojde k permanentnímu označení záznamů jako vybraných. Filtr je nutno vypnout opětovným kliknutím na tento příkaz menu.

Výřez dle zvýrazněných

Příkaz umožňuje nastavit výřez vybraného mapového okna, který odpovídá zvýrazněným záznamům aktivní databázové tabulky. Odpovídající grafické objekty jsou zároveň zobrazeny zvýrazněně. Pokud po spuštění příkazu není zobrazeno žádné mapové okno, zobrazí se odpovídající data v nově založeném okně. Pro zobrazení objektu, který odpovídá určitému řádku tabulky, stačí poklepat na libovolnou položku daného řádku.

Pro výběr více řádků tabulky se používá běžná konvence - podržením klávesy CTRL se buď přidávají nebo ubírají další záznamy. Lze použít i kombinace kláves Shift a šipek nahoru a dolu. Zde se však účinek výběru projeví až po puštění obou kláves.

Zobrazovat zvýrazněné objekty

Příkaz umožňuje zobrazovat grafické objekty odpovídající zvýrazněným záznamům tabulky v jednom z mapových oken. Pro výběr záznamu stačí poklepat myší na libovolnou položku požadovaného záznamu. Opět se používá běžná konvence pro vybírání více řádků tabulky - podržením klávesy CTRL se buď přidávají nebo ubírají další záznamy. Lze použít i kombinace kláves Shift a šipek nahoru a dolu. Zde se však účinek výběru projeví až po puštění obou kláves.

Zobraz všechny objekty

Příkaz zobrazí v jednom z mapových oken všechny grafické objekty odpovídající zobrazeným záznamům tabulky. V první fázi operace se všechny zobrazené záznamy zvýrazní.

Min. šířky sloupců

Všechny sloupce tabulky se zobrazují s minimální možnou šířkou tak, aby obsah dané položky byl celý viditelný. Pokud je položka typu řetězec nezkoumá se, zda obsahuje nějaké mezery.

Min. šířky sloupců včetně nadpisů

Všechny sloupce tabulky se zobrazují s minimální možnou šířkou tak, aby obsah dané položky byl celý viditelný ve všech řádcích a zároveň byl viditelný celý nadpis sloupce.

Roztáhnout sloupce

Do aktivní plochy databázového okna se zobrazí všechny sloupce tabulky tak, aby byly všechny viditelné bez použití vodorovného posuvníku. Šířky sloupců se vypočítají tak, aby jejich poměry byly proporcionální vzhledem k minimálním šířkám jednotlivých sloupců.

Natahovat sloupce při změně okna

Příkaz má charakter přepínače, který pokud je aktivní a pokud je též aktivní příkaz "Roztáhnout sloupce" způsobí, že při změně šířky databázového okna se sloupce roztáhnou s ohledem na novou šířku okna.

Obsah dle výrazu

Po potvrzení se zobrazí standardní dialog pro výběr, resp. zadání výrazu v jazyce ToPas (ve výrazu se mohou kombinovat různé sloupce tabulky, popř. se výpočet může týkat i navázaných položek pro daný záznam. Po potvrzení se vypočte statistika (týká se vždy jen zobrazených záznamů tabulky), která je prezentována stejným dialogem jako u příkazu obsah sloupce.

Sumarizace dle výrazu

Používá se pro zjištění numerických charakteristik pro zadaný výraz v jazyce ToPas, jako je součet, počet, minimum, maximum, rozsah a průměr. Statistika se týká vždy jen zobrazených záznamů tabulky. Pro zadání výrazu, jehož výsledek musí být číselného typu, se používá standardní dialog pro výběr výrazu, resp. editor výrazu.

Hledání duplicit ve výrazu

Příkaz umožňuje vyhledat duplicity pro hodnoty odpovídající zadanému výrazu v jazyce ToPas. Lze tak testovat duplicity pro hodnoty definované složitějším způsobem - zahrnující např. i hodnoty atributů z navázaných záznamů. Testovaný výraz lze zadat v standardním dialogu.

Tisk

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu pro aktivní databázovou tabulku.

Exportovat

Příkaz umožňuje nastavit parametry pro export a uložit obsah tabulky do textového souboru.

Agregace položek

Cílem příkazu je spočítat jednoduché statistiky pro skupiny záznamů, které mají stejný klíč vzhledem k nějakému setřídění záznamů. Paralelně se vyhodnocují statistiky pro všechny vybrané úrovně třídícího klíče - pro skupiny záznamů se stejným primárním klíčem a popř. dále pro jejich podskupiny se shodnými sekundárními klíči. Příkaz je přístupný pouze je-li tabulka setříděna.

Po spuštění příkazu se vybere jeden či více numerických položek tabulky pro které se budou vypočítávat jednotlivé statistiky skupin záznamů. Dále se pro každou vybranou položku zadají úrovně, pro jaké se budou počítat statistiky. Po potvrzení se objeví dialog s kopií tabulky a zobrazenými statistikami skupin záznamů.

Hledání duplicit

Příkaz umožňuje vyhledat duplicity nejen pro vybraný sloupce, ale i pro kombinaci více sloupců. Lze tak testovat duplicity pro klíč složený z několika položek. Parametry - sloupce pro testování je možno nastavit v jednoduchém dialogu.

Vazby

Pokud má databázová tabulka model, po spuštění tohoto příkazu se zobrazí navázané záznamy k aktuálnímu záznamu v tabulce v novém databázovém okně.

Edituj záznam

Spustí se standardní dialog pro editaci aktuálního záznamu databáze, kdy jsou jednotlivé položky zobrazeny pod sebou.


Nastav sloupce

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit zobrazení sloupců tabulky - lze vypínat a zapínat zobrazování jednotlivých sloupců a zároveň lze zadat popisky pro záhlaví jednotlivých sloupců tabulky.

Dialog pro nastavení sloupců tabulky.
Seznam sloupců

V levé části dialogu je rolovací seznam se jmény všech sloupců databázové tabulky se zatrhávacími políčky, která slouží k vypínání a zapínání zobrazení sloupců. Dvojitým poklepáním myší na popis sloupce v seznamu je možno aktivovat editační prvek, pomocí kterého lze popis sloupce změnit. Ten slouží jen pro jeho prezentaci v záhlaví tabulky. Lze zadat i víceslovné popisy - v tomto případě je možno využít přepínač "Víceřádkové titulky".

Zobraz vše

Všechny sloupce databázové tabulky se budou zobrazovat.

Nic

Všechny sloupce databázové tabulky se vypnou - nebudou se zobrazovat.

Edituj popis

Aktivuje se editační prvek, pomocí kterého lze změnit popis sloupce, který je aktivní v seznamu.


Porovnat sloupce

Po potvrzení příkazu se zobrazí dialog, který umožňuje pro aktivní databázovou tabulku sestavit jednoduchý dotaz pro výběr záznamů - jednotlivé záznamy se filtrují porovnáním hodnot dvou vybraných sloupců tabulky a zobrazí se jen ty, které splňují dané kriterium.

Dialog pro nastavení filtru tabulky.
První sloupec

Výklopný seznam se jmény všech sloupců databázové tabulky. Filtr má podobu binární logické operace. První sloupec figuruje na levé straně operandu.

Operátor

Výklopný seznam s možnými operátory pro výběrový filtr. Nabízí tyto možnosti:

  • větší

  • menší

  • rovná se

  • větší nebo rovno

  • menší nebo rovno

  • nerovná se

Druhý sloupec

Výklopný seznam se jmény všech sloupců databázové tabulky. Druhý sloupec figuruje na pravé straně operandu.

Poznámka

Pro úspěšné potvrzení dialogu je nutné, aby vybrané sloupce byly stejného základního typu.


Třídit

Po potvrzení příkazu se zobrazí dialog, kde lze sestavit třídící kritéria záznamů tabulky - lze přidávat a ubírat položky klíče a zároveň lze zadat pro jednotlivé položky, jestli se má podle nich třídit vzestupně či sestupně.

Dialog pro nastavení třídících kritérií záznamů tabulky.
Sloupce

V levé části dialogu je rolovací seznam se jmény všech sloupců databázové tabulky. Dvojitým poklepáním myší na popis sloupce v seznamu je možno zařadit sloupec do třídícího klíče.

Přidej

Tlačítkem je možno zařadit aktuální sloupec do třídícího klíče.

Vymaž

Tlačítkem je možno vyřadit aktuální sloupec se seznamu třídících klíčů.

Vymaž vše

Tlačítkem je možno vyprázdnit seznam třídících klíčů.

Přidej vše

Tlačítkem je možno zařadit do seznamu třídících klíčů všechny možné sloupce tabulky.

Třídící klíč

V pravé části dialogu je rolovací seznam se jmény sloupců třídícího klíče. Dvojitým poklepáním myší na popis sloupce v seznamu je možno změnit charakter třídění ohledně tohoto sloupce - přepíná se ze vzestupného třídění na sestupné a naopak. Tento charakter je nezávislý na ostatních položkách třídícího klíče.

Po potvrzení dialogu se tabulka setřídí a přezobrazí se.


Výběr dle filtru

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit filtr tabulky - lze vypínat a zapínat filtrování na hodnoty jednotlivých sloupců.

Dialog pro nastavení filtru tabulky.
Seznam sloupců

V levé části dialogu je rolovací seznam se jmény všech sloupců databázové tabulky se zatrhávacími políčky, která slouží k vypínání a zapínání filtrů pro jednotlivé sloupce. Do úvahy se berou jen zatržené sloupce. Dvojitým poklepáním myší na popis sloupce v seznamu je možno aktivovat editační dialog, pomocí kterého lze filtr sloupce změnit. po jeho potvrzení se automaticky zatrhává příslušný řádek. Podmínky v jednotlivých řádcích jsou interpretovány jako spojené logickou spojkou AND - musí být splněny všechny podmínky. Každá podmínka v řádku se může skládat ze dvou částí spojených logickou spojkou vybranou v prostředním sloupci LOG.

1. sloupec - Popis

Sloupec obsahuje názvy položek a zatrhávací políčko

2. sloupec - LO

Sloupec obsahuje relační operátory =, <, >,<>, <=; nebo >=. Pokud se jedná o položku typu string, obsahují sloupce ještě operátory in a !in. (Při filtraci databázových atributů typu řetězec lze vyhledávat pomocí příkazu in pouze záznamy, kde daný atribut obsahuje zadaný řetězec nebo pomocí !in záznamy, kde daný atribut neobsahuje zadaný řetězec)

3. sloupec - 1. hodnota

Obsahuje hodnotu, se kterou se bude porovnávat hodnota databázových položek jednotlivých objektů.

4. sloupec - LOG

Obsahuje logický operátor AND nebo OR, pro spojení prvního vztahu (LO H1) a vztahu druhého (RO H2). Pokud chceme vybírat jen podle jednoho vztahu (LO H1), pak je v tomto sloupci uveden znak "*".

5. sloupec = RO

Relační operátory pro druhou možnou podmínku pro jednotlivé atributy - stejný význam jako LO.

6. sloupec - 2. hodnota

Obsahuje hodnotu, se kterou se bude porovnávat hodnota databázových položek jednotlivých objektů pomocí relačního operátoru ze sloupce RO.

7. sloupec - Typ položky

Informace o typu daného atributu.

Filtruj vše

Všechny záznamy databázové tabulky se budou filtrovat.

Filtruj vybrané

Filtrovat se budou pouze již vybrané záznamy databázové tabulky.

Storno

Neprovede se žádné filtrování.

Nápověda

Spustí se tato nápověda.

Zapni vše

Zatrhnou se všechny řádky v seznamu.

Vypni vše

Zruší se výběr všech řádků filtru v seznamu.

Edituj

Spustí se dialog pro editaci jednotlivých částí filtru, které se týkají vybrané řádky - jednoho atributu tabulky.


Editace relačních vztahů pro jeden atribut v rámci filtru

Dialog pro editaci relačních vztahů v rámci filtru

Po aktivaci dialogu je možno zadat relační vztahy pro daný atribut tabulky a spojit je některou z logických operátorů. Po potvrzení se údaje přenesou do tabulky filtru a zatrhne se příslušný řádek.

Operátor

V prvním combo boxu vybereme relační operátor <,>,=,<=,>= nebo <>. Objeví se v prvním sloupci LO.

1. hodnota

Do editační linky vepíšeme hodnotu , která se objeví ve sloupci H1, se kterou se budou porovnávat hodnoty z jednotlivých objektů.

Logický operátor

V dalším combo boxu vybereme logický operátor, popř. znak *, který se objeví ve sloupci LOG.

Operátor

V následujícím combo boxu vybereme relační operátor <,>,=,<=,>= nebo <> pro druhý vztah. Objeví se ve druhém sloupci RO.

2. hodnota

Do editační linky vepíšeme hodnotu , která se objeví ve sloupci H2, se kterou se budou porovnávat hodnoty z jednotlivých objektů.

Lze použít tlačítko Obsah sloupce - po jeho potvrzení se objeví dialog se seznamem všech různých hodnot v daném sloupci tabulky. Jednu z hodnot je možno vybrat a potvrzením tlačítkem dialogu se tento řetězec přenese do editační linky dialogu pro vyhledávání záznamů.


Tisk

Po potvrzení příkazu se zobrazí dialog, pomocí kterého lze pro aktivní databázovou tabulku sestavit parametry tiskové sestavy a vytisknout ji. Tisknou se vždy jen sloupce zobrazené v tabulce. Jejich šířka na sestavě je proporcionální k šířce sloupce v tabulce na obrazovce. Celá sestava se může skládat z několika základních složek, které lze nastavit individuálně pomocí dalších dialogů.Některé části sestavy lze tisknout jen za podmínky, že tabulka je setříděna. Hovoříme pak o skupinách, které odpovídají záznamům tabulky se stejnými třídícími klíči. V sestavě lze nastavovat parametry pro skupiny ve dvou úrovních - pro primární a sekundární složku třídícího klíče.

Dialog pro nastavení tiskové sestavy tabulky.
Nadpis sestavy

Přepínač umožňující zapnout a vypnout tisk nadpisu celé sestavy. Do editační linky lze přímo zadat text nadpisu tiskové sestavy. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Nadpis se tiskne jen na začátku sestavy, ale lze jej případně opakovaně tisknout s jinými grafickými parametry v zápatích jednotlivých stránek.

Hlavička stránky

Přepínač umožňující zapnout a vypnout tisk hlavičky jednotlivých stránek. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah hlavičky lze nastavit speciálním dialogem. Může zahrnovat

  • Datum

  • Obrázek (*.wmf, *.emf, *.bmp, *.ico, *.gif, *.jpg)

  • Číslo stránky

Nadpis sloupců

Přepínač umožňující zapnout a vypnout tisk nadpisu sloupců. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Jako nadpisy sloupců se tisknou popisky jednotlivých sloupců zadané v dialogu pro nastavení sloupců tabulky. Respektuje se i možnost lámat víceslovné popisy.

Hlavička skupiny (primární klíč)

Přepínač umožňující zapnout a vypnout tisk hlavičky jednotlivých skupin sestavy odpovídajícím primárnímu třídícímu klíči. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah hlavičky lze nastavit speciálním dialogem. Může zahrnovat

  • Hodnotu vybraného sloupce

  • První písmeno z hodnoty vybraného sloupce

  • Výraz skládající se z hodnot vybraných sloupců a z textu

Hlavička skupiny (sekundární klíč)

Přepínač umožňující zapnout a vypnout tisk hlavičky skupin druhé úrovně odpovídajícím sekundárnímu třídícímu klíči. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah hlavičky lze nastavit speciálním dialogem stejně jako u primárních skupin.

Detail

Obsah vlastních zobrazených záznamů tabulky. Lze tedy vytisknout jen vybrané či zvýrazněné záznamy, pokud je zobrazení tabulky tak nastaveno. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo.

Zápatí skupiny

Přepínač umožňující zapnout a vypnout tisk zápatí skupin. Jde o souhrn určitých statistik pro danou skupinu, které se tisknou bezprostředně za záznamy skupiny. Pokud je aktivována hlavička skupiny pro sekundární klíč vztahuje se toto zápatí k sekundárním skupinám (podskupinám primárních skupin). Jinak se vztahuje k primárním skupinám. Toto první zápatí se vždy tiskne dříve než druhé zápatí, takže pokud chceme statistiku zobrazit i pro sekundární podskupiny, musíme nastavit první zápatí.Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem. Může zahrnovat

  • Součet hodnot vybraného sloupce v dané skupině

  • Průměr z hodnot vybraného sloupce dané skupiny

  • Počet záznamů v dané skupině

  • Minimální z hodnot vybraného sloupce dané skupiny

  • Maximální z hodnot vybraného sloupce dané skupiny

Další zápatí skupiny

Přepínač umožňující zapnout a vypnout tisk dalšího zápatí skupin. Jedná se vždy o zápatí primární skupiny. Může se jednat už o druhé zápatí primární skupiny. Pokud je tabulka setříděna alespoň podle dvou klíčů a je aktivována hlavička sekundární skupiny, aktivuje se automaticky i toto zápatí. Pokud je tabulka setříděna jen podle jednoho klíče, je možno využít další řádek sestavy pro druhé zápatí nadefinované nezávisle na prvním. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem stejně jako u prvního zápatí skupiny.

Součet

Přepínač umožňující zapnout a vypnout tisk součtové informace z celé sestavy. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah součtové informace lze nastavit speciálním dialogem stejně jako u primární skupiny.

Zápatí stránky

Přepínač umožňující zapnout a vypnout tisk zápatí pro jednotlivé stránky. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem. Může zahrnovat

  • Datum

  • Nadpis

  • Číslo stránky

Tiskárna

Poklepáním na tlačítko se aktivuje standardní dialog pro nastavení vlastností tiskárny, příp. pro změnu tiskárny. Důležité je zejména nastavení tisku na šířku nebo výšku.

Náhled

Po nastavení všech parametrů sestavy lze pomocí dialogu náhledu sestavy zkontrolovat výsledek, popř. korigovat parametry. Z tohoto dialogu lze provést export sestavy do jednoho z uvedených formátů:

  • soubor typu QuickReport (*.QRP) - interní formát tiskového managera

  • Textový soubor (*.TXT)

  • Čárkami oddělený text (*.CSV)

  • HTML dokument (*.HTM)

Společný font

Pomocí příkazu lze nastavit hromadně font pro všechny složky v dané tiskové sestavě.

Společná barva

Pomocí příkazu lze nastavit hromadně barvu pro všechny složky v dané tiskové sestavě.

Rámovat vše

Pomocí příkazu lze nastavit hromadně orámování pro všechny složky v dané tiskové sestavě.

Pouze okraje

Pomocí příkazu lze nastavit hromadně orámování pro všechny složky v dané tiskové sestavě tak, že je orámována celá stránka na okraji.

Vše průhledně

Pomocí příkazu lze nastavit hromadně pro všechny složky v dané tiskové sestavě tisk tak, že všechny vytištěné údaje jsou kromě písmen průhledné tzn. jsou na barevném pozadí jednotlivých pásů. V opačném případě je okolo vytištěných hodnot z jednotlivých záznamů tabulky bílý obdélník.


Nastavení grafických parametrů složek tiskové sestavy

Dialog pro nastavení grafických parametrů složek tiskové sestavy.

Po aktivaci dialogu jedním z tlačítek v dialogu pro tvorbu sestavy lze zadat individuálně pro každou složku sestavy následující parametry

Barva

Poklepáním na barevný obdélník se aktivuje standardní dialog pro nastavení barvy pozadí dané složky sestavy.

Font

Poklepáním na tlačítko se aktivuje standardní dialog pro nastavení vlastností fontu (typ, subtyp, barva, velikost) pro danou složky sestavy.

Rámeček

Přepínač podle kterého se určí zda se daná složka sestavy orámuje.

Transparentní texty

Přepínač, kterým lze nastavit pro danou složku v tiskové sestavě tisk tak, že všechny vytištěné údaje jsou kromě písmen průhledné tzn. jsou na barevném pozadí jednotlivých pásů. V opačném případě je okolo vytištěných hodnot z jednotlivých záznamů tabulky bílý obdélník.

Začátek na nové stránce

Přepínač podle kterého se určí zda daná složka sestavy bude začínat vždy na nové stránce sestavy. Je to užitečné zejména pro nastavení hlaviček jednotlivých skupin (odpovídajících třídícímu kriteriu), kdy můžeme dosáhnout toho, aby každá skupina byla vytištěna na samostatné stránce.

Nadpis na nové stránce

Přepínač kterým lze nastavit aby se hlavička skupin zopakovala na každé nové stránce pokud je skupina vytištěna na více stránkách.

Obsah

Poklepáním na tlačítko se aktivuje dialog pro detailní nastavení obsahu jednotlivých složek sestavy.


Nastavení obsahu hlavičky stránek tiskové sestavy

Dialog pro nastavení obsahu hlavičky stránek tiskové sestavy.

Po aktivaci dialogu tlačítkem "Obsah" v dialogu pro nastavení jedné složky sestavy lze zadat obsah hlavičky stránek tiskové sestavy.

Datum

Jedním ze skupiny přepínačů se zadá zda, příp. kde se v hlavičce každé stránky bude tisknout aktuální datum.

Obrázek (*.wmf, *.emf, *.bmp, *.ico, *.gif, *.jpg)

Jedním ze skupiny přepínačů se zadá zda, příp. kde se v hlavičce každé stránky bude tisknout zadaný obrázek.

Soubor

Do editační linky se uvede jméno souboru pro zobrazení, příp. lze použít tlačítko vpravo pro aktivaci standardního dialogu pro výběr souboru.

Výšku záhlaví definovat dle

Dvojice přepínačů, kterým lze nastavit pro vybraný obrazový soubor výšku na kterou se daný obraz roztáhne. Zadá se buď

  • Výšky obrazu - skutečná výška se odvozuje od výšky obraze v pixelech.

  • Počtu pixelů - skutečná výška se zadá v pixelech pomocí editační linky.

Číslo stránky

Jedním ze skupiny přepínačů se zadá zda, příp. kde se v hlavičce každé stránky bude tisknout číslo stránky.


Nastavení obsahu hlavičky skupin tiskové sestavy

Dialog pro nastavení obsahu hlavičky skupin tiskové sestavy.

Po aktivaci dialogu tlačítkem "Obsah" v dialogu pro nastavení jedné složky sestavy lze zadat obsah hlavičky skupin tiskové sestavy.

Nadpis

Do editační linky lze zadat text, který bude prefixem pro celou hlavičku skupiny. Bere se v potaz jen pro kombinaci s hodnotou vybraného sloupce nebo jeho prvním písmenem.

Prázdný

Hlavička bude prázdný řádek.

Sloupec

V výklopného seznamu se vybere sloupec tabulky, jehož hodnoty budou tvořit záhlaví skupiny nebo jeho část. Lze vybrat libovolný sloupec, ale význam má prakticky asi jen nastavení toho sloupce z třídícího klíče, který odpovídá rozčlenění záznamů do skupin pro něž nastavujeme záhlaví.

První písmeno

V výklopného seznamu se vybere sloupec tabulky. Záhlaví skupiny bude tvořit vždy první písmeno hodnoty vybraného sloupce z prvního záznamu skupiny. Lze vybrat libovolný sloupec, ale význam má prakticky asi jen nastavení toho sloupce z třídícího klíče, který odpovídá rozčlenění záznamů do skupin pro něž nastavujeme záhlaví. Funguje jen pro řetězcové položky.

Všechny sloupce

Záhlaví skupiny budou tvořit vždy jména (nikoli popisy) všech sloupců tabulky. Použije se pokud chceme zobrazovat jména sloupců ne na začátku stránky, ale na začátku hlavních skupin a podskupin záznamů.

Výraz

Do editační linky lze zadat výraz, který bude tvořit záhlaví skupiny skládající se z hodnot vybraných sloupců a z textu v apostrofech.

Příklad 11.1.

Příklad: 'Oddělení: ' + oddeleni + 'porost: '+ porost

Umístění

Ze skupiny přepínačů se vybere umístění pro záhlaví skupin. Je možno vybrat vlevo, vpravo a do středu tiskové řádky. Nemá smysl v případě nastavení záhlaví na všechny sloupce.

Nuluj po tisku

Přepínač, kterým lze nastavit, že zadané výrazy se počítají jen pro danou skupinu záznamů. Pokud přepínač není aktivován, mají tištěné výrazy význam např. průběžných součtů, kdy se sčítají všechny doposud vytištěné záznamy bez ohledu na skupiny.


Nastavení obsahu zápatí skupin (Součet) tiskové sestavy

Dialog pro nastavení obsahu zápatí skupin tiskové sestavy.

Po aktivaci dialogu tlačítkem "Obsah" v dialogu pro nastavení jedné složky sestavy lze zadat obsah zápatí skupin tiskové sestavy, popř. obsah pro součet za celou sestavu.

Není

Zápatí bude prázdný řádek.

Nadpis

Do editační linky lze zadat text, který bude prefixem pro celé zápatí skupiny. Kombinuje se s hodnotou zadaného výrazu.

Funkce

V výklopného seznamu se vybere funkce pro výpočet výrazu, který se bude tisknout v zápatí skupiny. Můžeme použít

  • SUM - součet hodnot vybraného sloupce v dané skupině

  • AVERAGE - průměr z hodnot vybraného sloupce dané skupiny

  • COUNT - počet záznamů v dané skupině

  • MIN- minimální z hodnot vybraného sloupce dané skupiny

  • MAX - maximální z hodnot vybraného sloupce dané skupiny

Sloupec

V výklopného seznamu se vybere sloupec tabulky, z jehož hodnot se bude počítat výraz pro zápatí skupiny. Funguje jen pro numerické položky.

Výraz

Do editační linky lze zadat výraz, který bude tvořit zápatí skupiny skládající se z výrazů nad hodnotami vybraných sloupců a z textů v apostrofech.

Příklad 11.2.

Příklad: 'Součty za oddělení: ' + SUM(plocha) + ' '+ COUNT(plocha)

Poznámka

Nejedná se o výraz v jazyce ToPas.

Umístění

Ze skupiny přepínačů se vybere umístění pro zápatí skupin. Je možno vybrat vlevo, vpravo a do středu tiskové řádky.


Nastavení obsahu zápatí stránek tiskové sestavy

Dialog pro nastavení obsahu zápatí stránek tiskové sestavy.

Po aktivaci dialogu tlačítkem "Obsah" v dialogu pro nastavení jedné složky sestavy lze zadat obsah zápatí stránek tiskové sestavy.

Datum

Jedním ze skupiny přepínačů se zadá zda, příp. kde se v zápatí každé stránky bude tisknout aktuální datum.

Nadpis

Jedním ze skupiny přepínačů se zadá zda, příp. kde se v zápatí každé stránky bude tisknout nadpis sestavy definovaný v hlavním dialogu pro nastavení tiskové sestavy.

Číslo stránky

Jedním ze skupiny přepínačů se zadá zda, příp. kde se v zápatí každé stránky bude tisknout číslo stránky.


Agregace záznamu - SQL dotazy

Skupina příkazů, které slouží pro vytváření dotazů v jazyce SQL (resp. v jazyce SHAPE), které umožňují efektivně agregovat záznamy v primárních i návázaných tabulkách, případně i ve spojení (Join) tabulek v databázovém modelu. Skupina příkazů je aktivní jen v případě setřídění výchozí tabulky - třídící klíč (klíče) představují definici pro vytváření agregačních skupin, resp. podskupin. Po sestavení vhodného dotazu v jazyce SQL (popř. Shape) a jeho aktivaci se výsledek dotazu objeví v novém databázovém okně. Z technických důvodů lze vytvářet pro primární DB okno jen jedno další DB okno s výsledkem dotazu. Jinak se ale jedná o dvě samostatná DB okna, nikoli o modální dialogy, takže lze bez jakýchkoli omezení pracovat střídavě v těchto oknech nebo v mapových oknech. Pouze při uzavření primárního DB okna se automaticky zavře i jeho "dceřinné" DB okno s výsledkem dotazu. Tato speciální DB okna se neukládají do projektu, ani se při jeho zovuotevření neobnoví. Nové funkce přinášejí především tyto výhody:

  • Využití síly SQL a provideru pro strukturované pohledy (MSDataShape), kdy je umožněna skupinová identifikace objektů rozčleněných podle třídícího klíče v mapovém okně.

  • Zadávání dotazů v prostředí, na které je uživatel TopoLu zvyklý (editory jazyka Topas)

  • Další možnosti tvorby tiskových sestav obsahujících agregační statistky v úsponé a zhuštěné formě

  • Využití všech možností práce s DB gridy v TopoLu pro výsledky SQL (Shape) dotazů prostřednictvím obou lokálních menu

  • Různá míra zautomatizování operací - jak pro začátečníky, tak pro pokročilé. V krajním případě se nepředpokládá žádná znalost ani jazyka SQL ani MSDataShape. TopoL vygeneruje potřebné dotazy na zákadě jednoduchých podmínek zadaných uživatelem a na základě znalosti DB modelu.

  • Je ze možnost ukládání SQL a SHAPE dotazů do projektu pro potřeby opakovaného využití

Dotazy v jazyce SQL (resp. v jazyce SHAPE) lze realizovat pouze v rámci nějaké konkrétní databáze. Protože tabulky, se kterými se pracuje v rámci databázového modelu, mohou být různého formátu, TopoL vytváří pro úspěšnou realizaci těchto dotazů dočasnou databázi ve formátu Access (*.mdb). Do této databáze je zkopírován aktuální obsah primární tabulky, z jejíhož DB okna vytváříme dotaz. Pro případné další tabuky v DB modelu se vytvoří pouze odkazy v .mdb souboru. Dotazy SQL a SHAPE mají v zásadě tři paralelní možnosti. První z nich je vždy práce pouze s primární tabulkou, kdy se zadají položky pro výpočet agregačních statistik. Druhá varianta obou datazovacích jazyků má navíc možnost práce v DB modelu. Jako zdroj pro agregační výpočty zde slouží místo jedné tabulky spojení dvou či více tabulek z DB modelu. Třetí varianta již předpokládá dobré znalosti jazyka SQL, resp MSDataShape. TopoL zde poskytne pouze prostředí, kde lze editovat libovolný dotaz, který je následně interpretován. Této paralele mezi SQL a SHAPE dotazy se vymyká "Křížový dotaz" v SQL, který představuje specifickou možnost vytváření agregačních výstupů. V rámci jak dotazů SQL, tak dotazů SHAPE lze velmi jednoduše realizovat spojení dvou tabulek z databázového modelu. Pro všechny výsledky dotazů SQL i SHAPE jsou k dispozici veškeré možnosti práce s DB gridy (tisk, export, následné filtrování apod).

Databázové okno s výsledky agregace a lokálním menu.

Každý výsledek dotazu reprezentovaný DB oknem lze též modifikovat příkazem "Modifikovat SQL dotaz", příp. "Modifikovat SHAPE dotaz" z hlavního menu DB gridu. Pokud se uživatelem upravený dotaz správně interpretuje, je možno zadat nový název pro uložení modifikované verze dotazu. Tyto modifikované verze se uchovávají pouze jako celá doslovná znění SQL, resp. Shape dotazu. I když tedy uživatel modifikoval dotaz vytvořený druhou kategorií agregačních příkazů (kde se uchovávají v projektu pouze vyhledávací podmínky - klauzule WHERE jazyka SQL, které se pak následně použijí pro vygenerování celého dotazu), uloží se celý SQL, resp. Shape dotaz a nikoli jen "zkrácená" verze. S takovým uloženým dotazem se pak dá pracovat jen použitím příkazů "Editor SQL dotazů", resp. "Editor SHAPE dotazů". V projektu máme tedy k dispozici celkem čtyři druhy dotazů, dva druhy pro SQL dotazy a dva druhy pro Shape dotazy. Lze pracovat vždy buď splným zněním dotazů, nebo jen se zkrácenou verzí (klauzule WHERE) - pro příkazy "SQL dotazy v DB modelu", resp. "SHAPE dotazy v DB modelu".


Zjednodušená syntaxe SQL dotazů

Jazyk SQL slouží pro práci s databázemi. Databází zde rozumíme skupinu tabulek, většinou nějak souvisejícími. Je to jakási obdoba tabulek v topolovském databázovém modelu. V následujícím bude popsána jen určitá část jazyka SQL, která se používá k dotazování do databáze - příkaz SELECT. Tímto příkazem se vytváří nové "pohledy" na data z různých tabulek v databázi. Příkaz SELECT slouží zejména pro výběr údajů z různých tabulek, ale umožňuje realizovat zároveň operace výběru, omezení a spojení tabulek. Příkaz SELECT zahrnuje popis údajů, které budou tvořit výstup dotazu (např. sloupce výsledné tabulky), může obsahovat i podmínky výběru, parametry spojení tabulek apod. Syntaxe příkazu SELECT je poměrně složitá a v některých detailech se pro jednotlivé databázové servery se může lišit. Příkaz SQL má ve velmi zjednodušené formě tento tvar:

SELECT [DISTINCT] položky FROM jméno_tabulky [WHERE podmínka_výběru] [GROUP BY položky, [HAVING podmínka_agregace]] [ORDER BY položky]

Definice SQL dotazu.

Klíčové slovo FROM říká, nad jakou tabulkou (tabulkami) má být dotaz proveden, tade jaké budou zdroje data. Klauzule WHERE nám umožňuje omezit výběr řádků podle požadované podmínky. Klauzule GROUP BY a HAVING se používají pro agregační funkce, pomocí ORDER BY můžeme určit setřídění výsledku dotazu. Poněkud podrobnější schéma příkazu SELECT vypadá takto:

      SELECT
     [ALL | DISTINCT]
     {[tabulka. ]{* | sloupec | sloupec AS alias}
    | AVG([tabulka. ]<sloupec>) [AS <alias>]
    | MIN([tabulka. ]<sloupec>) [AS <alias>]
     | MAX([tabulka. ]<sloupec>) [AS <alias>]
    | COUNT([tabulka. ]<* | sloupec>) [AS <alias>]
    }[,...n]
    FROM <tabulka> [AS <alias>][,... n]
     [[INNER ] JOIN <tabulka> ON <spojovaci podminka>
     | <LEFT | RIGHT>  JOIN <tabulka> ON <spojovaci podminka>
     [AS <alias>] [,... n]]
     [WHERE <podmínky> | <sloupec> <operator> <sloupec | hodnota>
     | <sloupec> <operator> <sloupec | hodnota> <AND | OR | NOT> <sloupec> <operator> <sloupec | hodnota>
     | <sloupec> BETWEEN <hodnota> AND <hodnota>
     | <sloupec> LIKE <regularni vyraz> | <sloupec> IN <vycet hodnot>]

     [GROUP BY <nazev sloupce>[,... n]]
     [HAVING <omezujici podminka pro výsledky použití klauzule GROUP BY>]
     [ORDER BY <sloupec>[,... n] [ASC | DESC]]

V popisu syntaxe se vyskytují symboly hranatých závorek. Části uzavřené těmito závorkami jsou nepovinné. Sekvence [,... n] znamená, že část SQL příkazu bezprostředně před touto sekvencí se může vícekrát opakovat. Symbol | odděluje jednotlivé možnosti v rámci určité sekce příkazu. Několik takových možností představuje tedy možnost výběru z několika variant. Symbol * představuje všechny možné sloupce buď z tabulky nebo i třeba ze spojení tabulek. V rámci SQL příkazu se používají tzv. kvalifikovaná jména atributů. Před vlastním jménem je uvedeno jméno zdrojové tabulky, které jednoznačně určuje zdroj dat. Řeší se tak případné konflikty, kdy různé tabulky, které vstupují do SQL příkazu, obsahují stejně pojmenované sloupce. Pokud Jméno DB atributu obsahuje nějaké nepřípustné znaky pro SQL (mezery apod.) je vhodné uzavírat jméno položek do hranatých závorek. Pro jednotlivé výstupní sloupce v dotazu je možné použít tzv. alias - přejmenování sloupce, které se pak projeví v hlavičce příslušného sloupce v DB gridu. Klauzule GROUP BY se užívá v souvislosti s agregačními funkcemi, Způsobí rozčlenění výsledky předcházejícího dotazu na skupiny záznamů podle atributů vyjmenovaných v této klauzuli. Agregační statistiky se pak vytvoří pro každou takovou skupinu záznamů. Každá skupina je ve výsledku reprezentována jedním záznamem. Jednoduchý příklad vygenerovaný příkazem Agregace GROUP BY:

    Select vlastnik ,SUM([vymera_p]) as SUM_vymera_p
    from P0014_1
    Group by vlastnik

Klíčové slovo DISTINCT způsobí, že případné stejné řádky z výsledku se vyberou pouze jednou. Klíčové slovo ALL způsobí, že ve výsledku se zobrazí všechny řádky. Klíčová slova ASC, resp. DESC definují způsob třídění (vzestupně, resp. sestupně) v rámci klauzule ORDER BY. Operátor BETWEEN nahrazuje spojení dvou podmínek (<=, >=) spojených operátorem AND. Operátor LIKE se používá pro vyhledání většinou dle nějaké stringové položky. Za operátorem se uvede hledaná hodnota (řetězcové konstanty se mohou uvádět v uvozovkách nebo apostrofech), nebo její část doplněnou o znak %, který reprezentuje proměnnou část řetězce. Dají se tak hledat řetězce začínající, končící nebo obsahující nějakou konkrétní část. Složitější příkaz obsahující i klauzuli HAVING (zde vybírá pouze výsledné skupiny záznamů pro agregaci splňující podmínku, že celková plocha pro danou skupinu je větší než 1 ha). Klauzulí ORDER BY se výsledné skupiny setřídí podle celkové plochy:

    Select vlastnik ,
     Count(vymera_p) as Count_vymera_p,
     SUM(vymera_p) as SUM_vymera_p,
     SUM(plocha) as SUM_plocha
     from P0014_1 Group by vlastnik
            Having SUM(plocha) > 1 order by SUM(plocha) DESC

Příklad SQL příkazu, kde je definice spojení dvou tabulek. Za definicí zdrojových tabulek pro spojení ((P0014_1 left join [nyspa105] on ) je výčet klíčových položek pro spárování jednotlivých záznamů z primární a sekundární tabulky. Jednotlivé páry klíčových položek jsou spojeny logickým operátorem AND. Základní typy spojení tabulek jsou INNER (ve výsledku jsou pouze záznamy, kde dojde k propojení primární a navázané tabulky), LEFT (ve výsledku jsou i nevyřešené záznamy z primární tabulky, tj. ty, pro které nejsou žádné navázané záznamy z druhé tabulky). Posledním typem spojení je RIGHT, kde ve výsledku jsou i nevyřešené záznamy ze sekundární tabulky, tj. ve spojení jsou i záznamy, kde ve sloupcích odpovídajících primární tabulce, jsou prázdné hodnoty a zbytek výsledného záznamu odpovídá atributům sekundární tabulky. Příklad klauzule WHERE, která omezuje výslednou množinu záznamů:

    Select DISTINCT * from
    (P0014_1 left join [nyspa105] on
    ([P0014_1].parcis = [nyspa105].parcis)
        and ([P0014_1].podlomeni = [nyspa105].parpod))
    where [nyspa105].bonita >= 1


Agregace GROUP BY

Cílem tohoto příkazu je rozdělit primární tabulku do hlavních skupin a podskupin a pro každou podskupinu spočítat vybrané numerické statistiky. Tyto statistiky se pak zobrazí přímo ve výsledném gridu v řádcích, které odpovídají vytvořeným podskupinám záznamů. K dispozici jsou následující agregační funkce:

  • COUNT - počet záznamů v dané skupině .

  • SUM - součet vybraného atributu v rámci skupiný záznamů

  • AVERAGE - průměrná hodnota atributu

  • MIN = minimální hodnota atributu ve skupině

  • MAX = maximální hodnota atributu

  • StDev - standardní odchylka numerického atributu

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit úrovně agregace pro vybrané agregované položky. Úrovně se zapínají a vypínají v tabulce dvojitým poklepáním na příslušný údaj.

Dialog pro výběr agregačních položek.

Po potvrzení výběru úrovní se objeví nové databázové okno s výslednými agregačními statistikami. Jsou v něm zobrazeny hodnoty klíčů pro agregované skupiny záznamů tabulky. Tyto hodnoty definují hlavní skupiny, resp. podskupiny záznamů, pro které se v dalších sloupcích tabulky zobrazují spočtené statistiky.

Databázové okno s výsledky agregace položek.


SQL dotazy v DB modelu

Po potvrzení příkazu se zobrazí dialog, kde lze vytvořit dotaz v jazyce SQL. Lze pracovat v databázovém modelu, kdy lze snadno vytvářet dotazy, které ůpracují se spojenými tabulkami (primární i navázanou). V nejjednodušším případě lze vytvářet velmi jednoduše spojení dvou vybraných tabulek, z nichž "levá" tabulka ve spojení je primární tabulka. Lze provádět i spojení více tabulek z DB modelu. Použité dotazy se ukládají do projektu. V tomto případě se ukládají jen ty části SQL dotazu, který je vidět v editoru dotazu, tedy WHERE klauzule.

Dialog se seznamem dotazů pro spojení tabulek.

V tomto dialogu lze vybraný příkaz smazat (resp. smazat všechny) nebo upravit v editoru stejně jako při vytváření nového příkazu. Pomocí vnořeného dialogu obdobnému dialogu pro editaci dotazů v jazyce ToPas, lze definovat omezující podmínky (filtr), které budou ve výsledném SQL dotazu reprezentovat klauzuli WHERE. Oproti předchozí variantě "Agregace GROUP BY" se místo primární tabulky jako zdroje dat pracuje se spojením dvou tabulek. Po výběru jednoho z připravených Shape příkazů je nutno ještě použít tlačítku "Použít dotaz".

Definice omezující podmínky (filtru) pro SQL dotaz.

Jinou variantou (bez zadání filtru WHERE na záznamy) je použití tlačítka "Spojit tabulky". Zde není nutno vybírat žádný konkrétní dotaz z nabízeného seznamu. V další fázi se pouze vybere nějaká navázaná tabulka pomocí dialogu zobrazujícího DB model. V tomto případě lze vybrat i nějakou tabulku navázanou v další úrovni DB modelu. V tomto případě dojde ke spojení všech tabulek, které vedou v hierarchii DB modelu od primární tabulky k vybrané tabulce pro operaci.

Nejjednodušším případ vytváření spojení dvou tabulek - výběr navázané tabulky pro "pravou" stranu spojení.


Editor SQL dotazů

Po potvrzení příkazu se zobrazí dialog, kde lze modifikovat, resp vytvořit dotaz v jazyce SQL. Lze pracovat v databázovém modelu, kdy lze snadno vytvářet dotazy, které ůpracují se spojenými tabulkami (primární i navázanou). Pro tento příkaz je nutná znalost syntaxe jazyka SQL. Tak jak je navržen dotaz uživatelem, je také zpracován bez jakékoli úpravy programem.

Dialog se seznamem SQL dotazů.

Pomocí vnořeného dialogu obdobnému dialogu pro editaci dotazů v jazyce ToPas, lze definovat SQL dotaz. Pro větší přehlednost dialog zobrazje klíčová slova jazyka SQL tučně.

Definice SQL dotazu.


Křížový dotaz

Příkaz umožňuje vytvořit tzv. křížový dotaz v jazyce SQL. Statistiky v agregovaných záznamů lze rozčlenit podle vybraného sloupce (tzv. pivot) do podskupin, které jsou reprezentovány ve výsledném DB okně dalšími přidanými sloupci. Příkladem může být výpočet dílčích ploch pro zastoupené kultury v rámci agregačních skupin, které reprezentují parcely jednotlivých vlastníků. Po potvrzení příkazu se zobrazí dialog, kde lze vytvořit zadat, zda se mají kromě základního křížového dotazu vytvářet ještě další numerické charakteristiky agregačních skupin, a to jak pro primární atributy, tak pro atributy z případné navázané tabulky. Lze pracovat opět v databázovém modelu.

Dialog pro nastavení paramtrů křížového dotazu.

Pomocí dalšího dialogu lze definovat agregační položky, které budou zobrazeny navíc k základnímu výsledku křížového dotazu. Jsou to tedy celkové statistiky pro jednotlivé agregační skupiny.

Dialog pro výběr agregačních položek..

Po potvrzení se zobrazí dvakrát jednoduchý dialog pro výběr sloupce (první z nich musí být numerického typu), ze kterého se budou počítat dílčí součty pro jednotlivé agregační skupiny, rozčleněné podle tzv. pivotního sloupce. Tento pivotní sloupec se vybere v dalším kroku stejným dialogem. Různé konkrétní hodnoty pivotního sloupce budou sloužit pro popisky přidaných sloupců ve výsledném DB okně. Pokud jsme v parametrech křížového dotazu zatrhli druhý přepínač "Výběr tabulky pro spojení", bude se numerický sloupec pro výpočet křížových statistik vybírat z vybrané navázané tabulky (jinak by spojení tabulek nemělo smysl). Pokud přepínač není zatržen, bude se numerický sloupec vybírat z atributů primární tabulky.

Výběr zdrojového sloupce, resp. pivotního sloupce pro křížový dotaz.

Následující obrázek ukazuje výsledek křížového dotazu, kdy třídícím klíčem je polořka VLASTNIK. Pro celkové statistiky skupin záznamů byly vybrány SUM pro položky Vymera_p, resp Plocha, jako pivotní sloupec byl vybrán atribut Kultura. V rámci podskupin odpovídajících záznamům se stejnou hodnotou atributu Kultura, se počítá jako agregační funkce součet atributu Plocha. V tomto případě se podskupiny pro jednotlivé hodnotu atributu kultura nevytvářejí na základě třídícího klíče, ale na základě zadání pivotního sloupce. Sloupec Sum_Plocha zobrazuje tedy celkovou plocha parcel jednotlivých vlastníků. V dalších sloupcích tabulky jsou pak tyto plochy rozdělěny do dílčích součtů pro jednotlivé kultury.

Výsledek křížového dotazu.


Syntaxe SHAPE dotazů

Jazyk ADO SHAPE je specializovaný příkazový jazyk, jehož hlavním úkolem je poskytovat mechanizmus k vytváření "recordsetů" které obsahují vnořené (dceřinné) recordsety.Tato část popisuje syntaxi ADO SHAPE příkazů pro vytváření hierarchických pohledů (recordsetů). Využívá se zde Microsoft MSDataShape provider, který je standardní součástí všech operačních systémů Microsoft Windows. Jazyk MSDataShape je nadstavbou jazyka SQL. Součástí příkazů MSDataShape mohou být SQL příkazy SELECT, pomocí kterých určujeme zdroje dat. Ostatní části jazyka MSDataShape tvoří popis hierarchie dat a případně další agregační funkce. Hierarchické recordsety se liší od příkazů SQL JOIN a GROUP BY tím, že v příkazu JOIN jsou atributy jak rodičovské (primární) a dceřinné (navázané) tabulky reprezentovány jedním recordsetem (tabulkou). V hierarchickém recordsetu jsou obsaženy pouze atributy rodičovské tabulky. Navíc recordset obsahuje jeden speciální atribut navíc, který reprezentuje navázaná data z dceřinné tabulky, která lze následně zobrazit např. v dalším DB gridu. Existují dva základní způsoby vytváření vztahů rodič - potomek mezi recordsety pomocí jazyka SHAPE. Prvním z nich je použití klasických klíčových položek, kde rodičovský recordset obsahuje primární klíč(e) a dceřinný recordset obsahuje položky pro vytvoření vazby. Je to vlastně obdoba SQL příkazu JOIN.

SHAPE {parent-command} [[AS] table-alias]
    APPEND {child-command}
    RELATE(parent-column TO child-column)

Rodičovský (parent) a dceřinný (child) příkaz mohou být platné SQL příkazy, které vrací recordsety, např. příkaz SLECT. V principu ale v příkazu SHAPE není použití SQL příkazu vyžadováno. Přidáme-li dceřinný recordset (pomocí APPEND) k primárnímu recordsetu, vznikne v rodičovském recordsetu nový sloupec. který obsahuje odkazy na jednotlivé vnořené recorsety, což jsou vlastně filtrované recordsety z navázané tabulky. Druhým typem hierarchického vztahu v jazyce SHAPE je vztah založený na klauzuli COMPUTE. V tomto případě je rodičovský recordset vytvořen přímo z dat z dceřinného recordsetu. Je zde určitá paralela s klauzulí GROUP BY v jazyce SQL.

SHAPE {child-command} [[AS] table-alias]
    COMPUTE aggregate-command-field-list
    [BY grp-field-list]

Oba typy příkazů COMPUTE i APPEND definují vztah rodič - potomek mezi recordsety, semantika (obsah) vztahu mezi recordsety je ale opačná pro oba tyto typy příkazů. Schematicky:

SHAPE <parent RecordSet> APPEND <child Recordset(s)>
SHAPE <child RecordSet(s)> COMPUTE <parent Recordset>

Příkaz SHAPE APPEND může být použit pro vytvoření recordsetu s dceřinnými recordsety, které už obsahují své vlastní dceřinné recordsety. Hloubka takového vnoření není principiálně nijak omezena. Pokud provádíme agregaci pomocí SQL příkazu typu GROUP BY a agregačních operátorů, ve výsledném recordsetu se mohou vyskytovat pouze agregované atributy. V hierarchickém recordsetu jsou agregační hodnoty reprezentovány jako součást rodičovské tabulky a detailní zdrojové záznamy jsou v dceřinné tabulce. Základními operátory v příkazu SHAPE jsou tedy APPEND a COMPUTE. V prostředí DB gridů je většinou použit pro automaticky vygenerované příkazy SHAPE druhý z nich. Jednotlivé SHAPE příkazy se mohou do sebe vnořovat, takže se mohou vytvářet poměrně velmi složité dotazy. Jedním z takových složených příkazů, je příkaz vygenerovaný automaticky v příkazu "SHAPE dotazy v DB modelu", pokud se zatrhne poslední z přepínačů "Vytvořit vnořené datasety". Příklad:

    SHAPE
        ( SHAPE
         {Select * from P0014_1}
        APPEND({Select * from nyspa105 where [nyspa105].bonita >= 0}
        relate parcis to parcis , podlomeni to parpod))
    AS Dataset COMPUTE Dataset, SUM(Dataset.Chapter1.[vymera]) as SUM_vymera BY vlastnik

SHAPE příkaz APPEND připojí další sloupce k nějaké množině záznamů (Recordsetu). Často jsou tyto sloupce nazývány jako kapitoly (Chapters), které odpovídají vnořeným datasetům. Podrobnější schema syntaxe příkazu APPEND:

SHAPE [parent-command [[AS] parent-alias]]

      APPEND ( column-list [ [[AS] child-alias]

               [RELATE parent-column TO child-column], ... ] )

      [[AS] chapter-alias]

      [, ... ]

Kulaté závorky jsou povinné ("()").

Popis

parent-command je buď

-SQL příkaz provideru ve složených závorkách ("{}") , který vrací množinu záznamů (Recordset).
- jiný SHAPE příkaz vložený v závorkách
- klícové slovo TABLE keyword, následované jménem tabulky.

parent-alias

nepovinný alias odkazující na rodičovký Recordset

column-list

- jiný SHAPE příkaz vložený v závorkách
- klíčové slovo TABLE keyword, následované jménem tabulky.
- agregační sloupec
- vypočítávaný (calculated) sloupec

child-alias

nepovinný alias odkazující na Recordset potomka

parent-column

sloupec Recordsetu vrácený parent-commandem

child-column

sloupec  Recordsetu, který vrací child-command.

chapter-alias

nepovinný alias odkazující na kapitolu (chapter column) připojenou k rodiči

Příklad:

SHAPE {SELECT * FROM Zakaznici}
   APPEND ({SELECT * FROM Objednavky} AS chapObjedn
   RELATE IDZakaznik TO IDZakaznik)

V neparametrických vazbách (rodič - potomek) jako je tato, každý rodičovský a navázaný záznam musí mít společný sloupec (sloupce), přes který jsou tyto záznamy asociovány. Tyto sloupce jsou vyjmenovány v klauzuli RELATE , rodičovský sloupec jako první a sloupec z navázané tabulky jako druhý. Sloupce mohou mít různá jména, ale musí obsahovat stejnou informaci. Je to tedy obdoba spojení dvou tabulek, syntaxe zápisu klíčových sloupců pro spojení se poněkud liší. Příkaz SHAPE APPEND přidá k rodičovskému recordsetu sloupec (kapitoly) navíc. Hodnoty v tomto sloupci kapitol se vztahují k záznamům dceřiného recordsetu, které splňují klauzuli RELATE. Pokud se v této lauzuli vyskytne několik párů klíčových sloupců, oddělených čárkou, chápou se dílčí podmínky jakoby spojené logickým AND, vazba musí tedy splňovat všechny podmínky. Pokud nemá sloupec kapitol přiřazen nějaký alias, vytvoří se jméno sloupce automaticky. V rámci klauzule APPEND lze např. navázat zároveň dvě tabulky z databáze, a vytvořit tak pohled, který ohsahuje agregační statistiky z více tabulek. Příklad:

    SHAPE
        {Select vlastnik,parcis,podlomeni,parskup,uzivatel,vymera_p,vymera_r,lv,plocha from   P0014_1}
        APPEND({Select * from nyspa105 where [nyspa105].bonita = 0}
         RELATE parcis to parcis ,  podlomeni to parpod) as rsNyspa,
        SUM(rsNyspa.Bonita),
         ({Select * from nysuv105 where  [nysuv105].ellvcis > 1}
        RELATE lv to ellvcis) as Nysuv,SUM(Nysuv.Podil)

Shape příkaz COMPUTE vytvoří rodičovský recordset, jehož sloupce jsou odkazy na rekordsety - potomky (kapitoly), vypočítávané sloupce a výsledky agregačních operací nad potomky, popř. nad vnořenými příkazy SHAPE, popřípadě nějaké sloupce z dceřiného recordsetu vyjmenované v klauzuli BY.

SHAPE child-command [AS] child-alias

      COMPUTE child-alias [[AS] name], [appended-column-list]

      [BY grp-field-list]

Popis

child-command je buď

    -SQL dotaz provideru ve složených závorkách ("{}") , který vrací množinu záznamů (dceřinného recordsetu).
        Syntaxe závisí na použitém provideru.
    - jméno již existujícího recordsetu, který byl vytvořen příkazem SHAPE (vnořený SHAPE)
    - jiný SHAPE příkaz
    - klícové slovo TABLE keyword, následované jménem tabulky.

child-alias

    nepovinný alias odkazující na dceřinný Recordset

appended-column-list
    - seznam, ve kterém každý prvek definuje sloupec ve vytvářeném rodičovském recordsetu.
    Každý prvek je buď
        - sloupec typu Chapter (kapitola) - záznamy dceřinného recordsetu
        - nově vytvořený sloupec
        - agregační sloupec - výsledek agregace nad dceřinnými záznamy
        - vypočítávaný (calculated) sloupec

grp-field-list
    seznam sloupců v rodičovském nebo dceřinném recordsetu, který specifikuje,
    jak mají být záznamy seskupeny do vnořených recordsetů (kapitol).

Pro každý sloupec ze seznamu existuje odpovídající sloupec v dceřinném a rodičovském recordsetu. Pro každý řádek rodičovského recordsetu seznam sloupců v grp-field-list má unikátní hodnoty a dceřinný recordset odkazovaný z rodičovského záznamu obsahuje výhradně záznamy, kde sloupce grp-field-list mají ty samé hodnoty jako rodičovský záznam. Pokud příkaz obsahuje klauzuli BY, dceřinný recordset je vytvořen na základě sloupců z klauzule COMPUTE. Rodičovský recordset obsahuje jednu řádku pro každou skupinu řádků z dceřinného recordsetu. Pokud je BY klauzule vynechána, dceřinný recordset je tvořen jedinou skupinu záznamů a rodičovský recordset obsahuje pouze jedinou řádku, která odkazuje na celý dceřinný recordset. Toho lze využít k výpočtu celkových agregací (tzv. "grand total"). Jednoduchý příklad:

    shape {select * from P0014_1} as Dataset
        COMPUTE
            Dataset ,
            SUM(Dataset.[vymera_p]) as SUM_vymera_p,
            SUM(Dataset.plocha) as SUM_plocha
        BY vlastnik

Složitější příklad, kde zdrojem dat (dceřinný recordset) je spojení dvou tabulek, které je provedeno SQL příkazem JOIN:

    SHAPE {Select DISTINCT * from
        (P0014_1 inner join [nyspa105] on
        ([P0014_1].parcis = [nyspa105].parcis) and
        ([P0014_1].podlomeni = [nyspa105].parpod))
        where [nyspa105].bonita >= 0} AS rstJoin
    COMPUTE
        rstJoin,
        SUM(rstJoin.[vymera_p]) as SUM_vymera_p,
        SUM(rstJoin.[plocha]) as SUM_plocha,
        SUM(rstJoin.[vymera]) as SUM_vymera
    BY vlastnik

Následující tabulka obsahuje podrobnější definici syntaxe jazyka SHAPE. První sloupec obsahuje definovaný pojem, druhý slupec obsahuje vlastní definici pojmu atřetí sloupec obsahuje stručný komentář. V definicích pak jsou volitelné části uvozeny hranatými závorkami ("[ ]"), jednotlivé možnosti v rámci definice jsou oddělenu svislou čarou ("|"), opakující se alternativy jsou naznačeny tečkami ("..."), Alpha indikuje řetězec alfabetických znaků (písmen) a Digit znamená řetězec číslic.

<shape-command> | SHAPE [<table-exp> [[AS] <alias>]][<shape-action>] | definice příkazu SHAPE
<table-exp> | {<provider-command-text>} | (<shape-command>) | TABLE <quoted-name> | <quoted-name> | výraz pro zdrojová data
<shape-action> | APPEND <aliased-field-list> | COMPUTE <aliased-field-list> [BY <field-list>] | typ příkazu SHAPE
<aliased-field-list> | <aliased-field> [, <aliased-field...>] | seznam atributů s aliasy oddělený čárkami
<aliased-field> | <field-exp> [[AS] <alias>] | definice aliasu pro atribut
<field-exp> | (<relation-exp>) | <calculated-exp> | <aggregate-exp> | <new-exp> | výraz
<relation_exp> | <table-exp> [[AS] <alias>] RELATE <relation-cond-list> | definice vztahu rodíč - potomek
<relation-cond-list> | <relation-cond> [, <relation-cond>...] | seznam klíčových vazeb oddělený čárkami
<relation-cond> | <field-name> TO <child-ref> | definice relačního vztahu (klíčových položek)
<child-ref> | <field-name> | PARAMETER <param-ref> | dceřinný atribut
<param-ref> | <number> | parametrický odkaz
<field-list> | <field-name> [, <field-name>] | seznam atributů oddělený čárkami
<aggregate-exp> | SUM(<qualified-field-name>) | AVG(<qualified-field-name>) | MIN(<qualified-field-name>) | MAX(<qualified-field-name>) | COUNT(<qualified-alias> | <qualified-name>) | STDEV(<qualified-field-name>) | ANY(<qualified-field-name>) | agregační výraz
<calculated-exp> | CALC(<expression>) |
<qualified-field-name> | <alias>.[<alias>...]<field-name> | plné jméno atributu
<alias> | <quoted-name> | alias
<field-name> | <quoted-name> [[AS] <alias>] | jméno atributu, příp. s aliasem
<quoted-name> | "<string>" | '<string>' | [<string>] | <name> | jméno, příp. jméno v uvozovkách
<qualified-name> | alias[.alias...] | kvalifikované jméno s použitím aliasu (ů)
<name> | alpha [ alpha | digit | _ | # | : | ...] | jméno začínající písmenem a obsahující povolené znaky
<number> | digit [digit...] | číslo tvořené z číslic
<new-exp> | NEW <field-type> [(<number> [, <number>])] |
<field-type> | OLE DB nebo ADO datový typ. |
<string> | unicode-char [unicode-char...] | řetězec Unicode


Agregace pomocí SHAPE

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit úrovně agregace pro vybrané agregované položky. Úrovně se zapínají a vypínají v tabulce dvojitým poklepáním na příslušný údaj. Narozdíl od příkazu "Agregace GROUP BY" jsou v seznamu pro výběr atributů i nenumerické atributy. Z nich nelze sice počítat žádné statistiky, ale lze zatrhnout v posledním sloupci "ANY" , že se má vypsat nějaká hodnota atributu z dané skupiny záznamů (nemusí jít nutně o hodnotu z prvního záznamu). Příkaz "Agregace GROUP BY" má tedy oproti obdobné variante agregace realizované přez dotaz SHAPE určitá omezení týkající se především pravidel, které atributy se mohou vyskytovat v cílovém výsledku dotazu.

Dialog pro výběr agregačních položek.

Po potvrzení dialogu se otevře nové databázové okno s výsledkem dotazu Shape. V tomto případě se jedná vždy o variantu COMPUTE. V okně je vidět nový sloupec standardně nazvaný Dataset, kde na poklepání tlačítka přímo v DB gridu lze zobrazit další DB okno se všemi zdrojovými záznamy, které byly použity pro výpočet všech agregačních statistik na daném řádku. Toto DB okno nemá žádné lokální menu, nelze v něm editovat. Slouží pouze pro kontrolní a informativní účely. Při přesunu na jiný řádek v hlavním okně zobrazující Shape dotaz se obsah tohoto vnořeného okna (resp. Datasetu) automaticky aktualizuje.

Výsledek SHAPE příkazu (Compute) v DB okně.

Stejně jako u DB ona reprezentujícího výsledek SQL dotazu, i zde je možno využívat většiny z možností, které poskytuje práce s DB okny prostřednictvím lokálních menu. Hlavní lokální menu se z důvodů některých specifických možností práce s výsledky dotazu Shape poněkud odlišuje od menu standardního DB okna. Je zde především možnost modifikovat vlastní příkaz Shape, který TopoL automaticky vygeneroval na základě požadavku uživatele.

Lokální menu v DB okně , které je výsledkem příkazu SHAPE.

Další zajímavou možností při práci s výsledkem dotazu Shape je tzv. hromadná identifikace objektů v mapovém okně. Je to obdoba funce zvýraznění (resp. zoomování) v normálním DB okně. V tomto případě se použije pro zvýraznění nebo pro nastavení výřezu v mapovém okně všechny záznamy z vnořeného Datasetu. Při přesunu na jiný řádek v hlavním okně zobrazující Shape dotaz se v mapovém okně zvýrazní další skupina záznamů nebo se výřez automaticky aktualizuje. Funkce se aktivují přepnutím stavu v hlavním lokálním menu DB okna jednoho z příkazů:

  • Výrez dle skupiny objektu - kromě zvýraznění objektů dojde k přesunu výřezu mapového okna a ke změně měřítka. Pokud se vypne v menu přepínač "Zvýraznit skupinu objektu", vypíná se automaticky i tento přepíbač.

  • Zvýraznit skupinu objektu - pouze se zvýrazní vybranou barvou a značkou objekty odpovídající záznamům vybraného vnořeného datasetu.

Hromadná identifikace objektů v mapovém okně - grafické zobrazení záznamů datasetů z příkazu SHAPE.


SHAPE dotazy v DB modelu

Po potvrzení příkazu se zobrazí dialog, kde lze vytvořit dotaz v jazyce SHAPE. Lze pracovat v databázovém modelu, kdy lze snadno vytvářet dotazy, které pracují se spojenými tabulkami (primární i navázanou). V nejjednodušším případě lze vytvářet velmi jednoduše spojení dvou vybraných tabulek, z nichž "levá" tabulka ve spojení je primární tabulka. Lze provádět i spojení více tabulek z DB modelu. Použité dotazy se ukládají do projektu. V tomto případě se ukládají jen ty části SHAPE dotazu, který je vidět v editoru dotazu, tedy WHERE klauzule.

Dialog se seznamem SHAPE dotazů.

V tomto dialogu lze velmi jednoduše vytvářet nové varianty příkazu Shape pro danou primární tabulku. Vybraný příkaz lze smazat (resp. smazat všechny) nebo uptravit v editoru stejně jako při vytváření nového příkazu. Pomocí vnořeného dialogu obdobnému dialogu pro editaci dotazů v jazyce ToPas, lze definovat omezující podmínky (filtr), které budou ve výsledném SHAPE dotazu reprezentovat klauzuli WHERE. I v tomto případě se jedná vždy o variantu COMPUTE. Vytvoří se spojení primární tabulky s vybranou navázanou tabulkou, na které je pak aplikován vlastní příkaz COMPUTE. Oproti předchozí variantě "Agregace pomocí SHAPE" se místo primární tabulky jako zdroje dat pracuje se spojením dvou tabulek. Po výběru jednoho z připravených Shape příkazů je nutno ještě použít tlačítku "Použít dotaz". Jinou variantou (bez zadání filtru WHERE na záznamy) je použití tlačítka "Spojit tabulky". Zde není nutno vybírat žádný konkrétní dotaz z nabízeného seznamu. V další fázi se pouze vybere nějaká navázaná tabulka pomocí dialogu zobrazujícího DB model.

Výběr navázané tabulky pro "pravou" stranu spojení pro příkaz Shape.

V obou variantách je pak v závislosti na nastavení přepínačů v dolní části dialogu možno vybrat položky pro agregační funkce a to buď jen z primární tabulky nebo navíc i z navázané tabulky, která je posléze spojena s primární tabulkou. Speciální možnost zde představuje poslední přepínač "Vytvořit vnořené datasety". Po jeho zatržení vnořený dataset výsledku operace představuje pouze záznamy z primární tabulky, obohacené též o sloupec "Dataset", po jehož otevření se zobrazí záznamy navázabé tabulky v samostatném DB okně. Všechna tato okna jsou provázána, jejich obsah se aktualizuje podle záznamu z hlavního okna , které zobrazuje výsledek Shape dotazu s agregačními charakteristikami. Po zavření tohoto řídícího okna se zavřou automaticky i tato podřízená okna.


Editor SHAPE dotazů

Po potvrzení příkazu se zobrazí dialog, kde lze modifikovat, resp vytvořit dotaz v jazyce SHAPE. Lze pracovat v databázovém modelu, kdy lze snadno vytvářet dotazy, které ůpracují se spojenými tabulkami (primární i navázanou). Pro tento příkaz je nutná znalost syntaxe jazyka SHAPE. Tak jak je navržen dotaz uživatelem, je také zpracován bez jakékoli úpravy programem.

Dialog se seznamem SHAPE dotazů.

Pomocí vnořeného dialogu obdobnému dialogu pro editaci dotazů v jazyce ToPas, lze definovat SHAPE dotaz.

Definice SHAPE dotazu.


Agregace položek

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit úrovně agregace pro vybrané agregované položky. Úrovně se zapínají a vypínají v tabulce dvojitým poklepáním na příslušný údaj

Dialog pro výběr úrovní agregace.

Po potvrzení výběru úrovní se objeví dialog s výslednými statistikami. V dolní části je zobrazena kopie dané tabulky, která slouží hlavně pro navigaci. Pohybujeme-li se v tabulce, mění se nadpis okna - jsou v něm zobrazeny hodnoty klíčů pro aktuální záznam tabulky. Tyto hodnoty definují hlavní skupiny, resp. podskupiny záznamů, pro které se v horní části dialogu zobrazují spočtené statistiky ve formě jednoduchého přehledu. Sloupce přehledu odpovídají agregovaným položkám, které jsou navíc očíslovány podle úrovní agregace. Vybrané statistiky pro určité skupiny záznamů lze přenést do schránky pomocí tlačítka "Do schránky".

Dialog pro prezentaci výsledků agregace.


Exportovat

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit parametry pro export obsahu tabulky do textového souboru.

Dialog pro nastavení exportu tabulky.
Seznam sloupců

V levé části dialogu je rolovací seznam se jmény všech sloupců databázové tabulky se zatrhávacími políčky, která slouží k vypínání a zapínání sloupců pro export. Poklepáním myší na zatrhávací políčko vedle jména sloupce v seznamu je možno zařadit či vyřadit sloupec z exportu. Pro hromadné zapnutí a vypnutí všech sloupců slouží tlačítka pod seznamem.

Exportní formát

Z výklopného seznamu se vybere jeden z možných formátů pro export. Tyto se liší hlavně použitými oddělovači.

  • Formátovaný text (mezera jako oddělovač) (soubor má extenzi *.prn)

  • Text (Tabulátor jako oddělovač) (soubor má extenzi *.txt)

  • CSV (Čárka jako oddělovač) (soubor má extenzi *.csv)

Jméno souboru

Editační linka pro zadání jména výstupního souboru, do kterého se bude exportovat obsah tabulky. Je lépe použít tlačítko bezprostředně vpravo linky pro spuštění standardního dialogu pro zadání jména souboru.

Exportuj

Aktivuje se vlastní export, jehož průběh lze sledovat na liště ve spodní části dialogu. Poté lze zadat nové parametry a celý postup opakovat.


Hledání duplicit

Po potvrzení příkazu se zobrazí dialog, kde lze vybrat sloupce tabulky pro zjišťování jejich duplicitních hodnot. Sloupce lze vypínat i zapínat hromadně. Jednotlivé sloupce se vypínají pomocí zaškrtávacího políčka vlevo od jména sloupce.

Dialog pro výběr sloupců tabulky pro zjišťování jejich duplicitních hodnot.


Databázové okno pro práci s navázanou tabulkou - model

Pokud má primární databázová tabulka nadefinovaný tzv. databázový model, stává se přístupným příkaz "Externí tabulka" v submenu "Databázová tabulka" hlavního menu. Po jeho aktivaci se založí databázové okno, s nímž se pracuje obdobně jako s oknem pro primární tabulky. V horní části dialogu je výklopný seznam se jmény vzdálených připojených databázových tabulek. Při prvním vstupu do tohoto dialogu jsou zobrazeny pouze vybrané záznamy, které odpovídají klíčovým položkám v primární databázové tabulce. Pomocí myši nebo i šipkami na klávesnici lze v tomto výklopném seznamu vybírat další vzdálené databázové tabulek ze stejné úrovně databázového modelu (obsah databázového okna se přezobrazí vždy podle vybrané externí tabulky). Pokud je aktivním oknem nějaké navázané databázové okno, příkaz "Externí tabulka" se vztahuje k tomuto oknu. Lze jím otevřít databázové okno pro další úroveň - podstrom databázového modelu.

Poznámka

Navázanou tabulku lze také zobrazit z primárního databázového okna podržením klávesy CTRL a dvojitým poklepáním na řádek, ke kterému chceme zobrazit vazby. Další možností je použití příkazy vazby z lokálního menu tabulky.

Poznámka

K primární tabulce lze zobrazit paralelně několik navázaných tabulek prostým zopakováním některé z možností pro zobrazení navázané tabulky a pak přepnout v horním výklopném seznamu na požadovanou tabulku, popř. užít příkazu z lokálního submenu pro zobrazení vybrané externí tabulky.

Po aktivaci lokálního menu poklepáním pravého tlačítka myši kdekoli ve vybraném sloupci tabulky aktivujeme lokální menu pro práci s daným sloupcem, které je obdobné jako menu u primárních tabulek.

Práce s navázanými tabulkami má určitá specifika. Proto se také liší nabídka pro hlavní lokální menu dialogu. Jsou zde některé specifické příkazy, jiné jsou naopak vypuštěny, další jsou přístupné jen za určitých podmínek.

Lokální menu pro práci s navázanou databázovou tabulkou.

Po aktivaci lokálního menu levým tlačítkem myši (poklepeme na symbol černého trojúhelníka v levém horním roku tabulky) vybereme jeden z příkazů pro práci s danou tabulkou.

Zobraz všechny sloupce

Zobrazí se všechny sloupce tabulky.

Nastav sloupce

Pomocí dialogu pro nastavení zobrazení databáze lze vypínat a zapínat zobrazování jednotlivých sloupců. Zároveň lze zadat popisky pro záhlaví jednotlivých sloupců tabulky.

Změna struktury

Příkaz umožní pro každou editovatelnou tabulku změnit její strukturu pomocí standardního dialogu.

Standardní pořadí sloupců

Pořadí sloupců se stanoví tak, jak je definováno přímo v databázovém souboru.

Třídit

Příkaz umožňuje nastavit třídící klíč pro aktivní databázovou tabulku. Dialog, který se objeví po spuštění umožňuje výběr třídících klíčů a nastavení, jak se má třídit podle jednotlivých položek klíče (vzestupně - sestupně).

Poznámka

Příkaz není přístupný pokud se nevypne přepínač "Jen navázané záznamy" tak, aby byly zobrazeny všechny záznamy z tabulky".

Netřídit

Příkaz zruší nastavení třídícího klíče. Záznamy se zobrazují nesetříděně.

Jen navázané záznamy

Přepínač umožňuje zobrazovat celou tabulku a nejen vybrané záznamy, které odpovídají klíčovým položkám v primární databázi. Standardně je přepínač aktivní. Pokud zobrazujeme jen navázané záznamy, stávají se některé příkazy hlavního výklopného menu, a stejně tak i příkazy menu pro práci se sloupci nepřístupné - jsou to především příkazy související s tříděním databází. Navázaná tabulka totiž musí být setříděna podle klíčových položek, které odpovídají položkám z párů klíčových položek pro navázání záznamů tabulek.

Pouze zvýrazněné

Příkaz umožňuje pro vybranou databázovou tabulku zobrazit pouze zvýrazněné záznamy, tj. ručně vybrané záznamy obarvené modře. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Poznámka

Příkaz není přístupný pokud se nevypne přepínač "Jen navázané záznamy" tak, aby byly zobrazeny všechny záznamy z tabulky".

Vzhled tabulky

Skupina příkazů pro nastavení různých způsobů zobrazení DB gridu.

Víceřádkové titulky

Příkaz umožňuje nastavit lámání popisek záhlaví jednotlivých sloupců. Pokud je popiska složena z více slov, rozdělí se na více řádků, pokud se nevejde do dané šířky sloupce. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Měnit výšku řádků

Příkaz umožňuje nastavení nestandardní výšky řádků. Po potvrzení je možno tažením levého tlačítka myši nad šedivým rozhraním dvou řádků měnit jejich výšku. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Zvýraznit odkazy na dokumenty

Přepínač ovlivňuje způsob zobrazování odkazů na dokumenty, které byly vloženy příkazy Vložit odkaz na dokument apod. Zapnutý přepínač způsobí, že ty odkazy (ať už zadané absolutní, relativní cestou, nebo pomocí substituce) se zvýrazní modře, pokud soubor, na který směřuje odkaz, skutečně existuje.

Barvit řádky

Příkaz slouží k lepší orientaci v tabulkách s dlouhými řádky. Všechny liché záznamy databáze se obarví, všechny sudé zůstávají obarveny původní barvou. Příkaz funguje jako přepínač, tj. po jeho opětovném vybrání se jeho efekt potlačí.

Font

Po potvrzení se zobrazí standardní dialog, kde je možno z nabídky vybrat jiný font pro zobrazení v tabulce.

Zobrazit memo položky

Příkaz umožní zobrazit text memo položek přímo v gridu.

Roztáhnout memo položky

Příkaz umožní zobrazit v gridu celý text memo položek.

Výběr dle výrazu

Záznamy databáze (jen zobrazené) se označí jako vybrané (tj. dočasně se zvýrazní), pokud je splněn test dle zadaného výrazu v jazyce ToPas. Výraz zadaný standardním dialogem musí být logického typu (vyhovuje - nevyhovuje)

Porovnat sloupce

Příkaz umožňuje pro aktivní databázovou tabulku sestavit jednoduchý dotaz pro výběr záznamů dle zadaných kritérií. Dotaz má formu porovnání hodnot dvou vybraných sloupců tabulky.

Poznámka

Příkaz není přístupný pokud se nevypne přepínač "Jen navázané záznamy" tak, aby byly zobrazeny všechny záznamy z tabulky".

Výběr dle filtru

Záznamy databáze (nejen zobrazené) se zvýrazní, pokud je splněn test dle zadaného jednoduchého filtru - skupina podmínek (relací) na jednotlivé atributy tabulky. Zůstanou zobrazeny všechny záznamy tabulky.

Filtr

Záznamy databáze se vyfiltrují podle zadaného jednoduchého filtru - skupina podmínek (relací) na jednotlivé atributy tabulky. Nedojde k permanentnímu označení záznamů jako vybraných. Filtr je nutno vypnout kliknutím na tento příkaz menu.

Min. šířky sloupců

Všechny sloupce tabulky se zobrazují s minimální možnou šířkou tak, aby obsah dané položky byl celý viditelný. Pokud je položka typu řetězec nezkoumá se, zda obsahuje nějaké mezery.

Min. šířky sloupců včetně nadpisů

Všechny sloupce tabulky se zobrazují s minimální možnou šířkou tak, aby obsah dané položky byl celý viditelný ve všech řádcích a zároveň byl viditelný celý nadpis sloupce.

Roztáhnout sloupce

Do aktivní plochy databázového okna se zobrazí všechny sloupce tabulky tak, aby byly všechny viditelné bez použití vodorovného posuvníku. Šířky sloupců se vypočítají tak, aby jejich poměry byly proporcionální vzhledem k minimálním šířkám jednotlivých sloupců.

Natahovat sloupce při změně okna

Příkaz má charakter přepínače, který pokud je aktivní a pokud je též aktivní příkaz "Roztáhnout sloupce" způsobí, že při změně šířky databázového okna se sloupce roztáhnou s ohledem na novou šířku okna.

Obsah dle výrazu

Po potvrzení se zobrazí standardní dialog pro výběr, resp. zadání výrazu v jazyce ToPas (ve výrazu se mohou kombinovat různé sloupce tabulky, popř. se výpočet může týkat i navázaných položek pro daný záznam. Po potvrzení se vypočte statistika (týká se vždy jen zobrazených záznamů tabulky), která je prezentována stejným dialogem jako u příkazu obsah sloupce.

Sumarizace dle výrazu

Používá se pro zjištění numerických charakteristik pro zadaný výraz v jazyce ToPas, jako je součet, počet, minimum, maximum, rozsah a průměr. Statistika se týká vždy jen zobrazených záznamů tabulky. Pro zadání výrazu, jehož výsledek musí být číselného typu, se používá standardní dialog pro výběr výrazu, resp. editor výrazu.

Hledání duplicit ve výrazu

Příkaz umožňuje vyhledat duplicity pro hodnoty odpovídající zadanému výrazu v jazyce ToPas. Lze tak testovat duplicity pro hodnoty definované složitějším způsobem - zahrnující např. i hodnoty atributů z navázaných záznamů. Testovaný výraz lze zadat v standardním dialogu.

Tisk

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu pro aktivní databázovou tabulku.

Sestava master - detail

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu, která kombinuje záznamy z primární databáze s odpovídajícími navázanými záznamy z aktivní tabulky. Po aktivaci se spustí dialog pro nastavení parametrů sestavy.

Sestava spojení tabulek

Příkaz umožňuje nastavit a vytisknout tiskovou sestavu, která kombinuje záznamy z primární databáze s odpovídajícími navázanými záznamy z aktivní tabulky. Příkaz je velmi obdobný předchozímu, hlavní rozdíl je v tom, že primární záznam je vždy opakovaně vytištěn spolu se všemi navázanými záznamy na jedné řádce. Po aktivaci se spustí dialog pro nastavení parametrů sestavy.

Exportovat

Příkaz umožňuje nastavit parametry pro export a uložit obsah tabulky do textového souboru.

Agregace položek

Cílem příkazu je spočítat jednoduché statistiky pro skupiny záznamů, které mají stejný klíč vzhledem k nějakému setřídění záznamů. Paralelně se vyhodnocují statistiky pro všechny vybrané úrovně třídícího klíče - pro skupiny záznamů se stejným primárním klíčem a popř. dále pro jejich podskupiny se shodnými sekundárními klíči. Příkaz je přístupný pouze je-li tabulka setříděna.

Po spuštění příkazu se vybere jeden či více numerických položek tabulky pro které se budou vypočítávat jednotlivé statistiky skupin záznamů. Dále se pro každou vybranou položku zadají úrovně, pro jaké se budou počítat statistiky. Po potvrzení se objeví dialog s kopií tabulky a zobrazenými statistikami skupin záznamů.

Hledání duplicit

Příkaz umožňuje vyhledat duplicity nejen pro vybraný sloupce, ale i pro kombinaci více sloupců. Lze tak testovat duplicity pro klíč složený z několika položek. Parametry - sloupce pro testování je možno nastavit v jednoduchém dialogu.

Analýza vazby

Skupina příkazů analyzujících vazbu databázového modelu mezi danou tabulkou a primární tabulkou, ze které vede vazba na tuto tabulku.

Duplicitní klíče v primární tabulce

Příkaz nalezne duplicitní klíče v primární tabulce z těch záznamů, pro které existují nějaké navázané záznamy.

Nevyřešené klíče v primární tabulce

Příkaz nalezne hodnoty klíčů ze záznamů primární tabulky, pro které neexistují žádné navázané záznamy.

Nevyřešené klíče v navázané tabulce

Příkaz nalezne hodnoty klíčů ze záznamů navázané tabulky, pro které neexistuje vazba z primární tabulky.

Duplicitní klíče v navázané tabulce

Příkaz nalezne duplicitní klíče v navázané tabulce z těch záznamů, které byly navázány z nějakého záznamu primární tabulky.

Vazby

Pokud má databázová tabulka model, po spuštění tohoto příkazu se zobrazí navázané záznamy k aktuálnímu záznamu v tabulce v novém databázovém okně.

Vlož záznam

Příkaz umožňuje vložit další záznam do připojené tabulky. Jsme-li v módu zobrazení pouze navázaných záznamů, jsou automaticky vyplněny klíčové položky pro navázání tabulek - shodně se záznamem primární databázové tabulky.

Edituj záznam

Spustí se standardní dialog pro editaci aktuálního záznamu databáze, kdy jsou jednotlivé položky zobrazeny pod sebou.

Zruš záznam

Příkaz umožňuje zrušit aktivní záznam tabulky.

Zruš změny

Příkaz umožňuje zrušit provedené změny editací aktuálního záznamu.


Sestava master - detail

Po potvrzení příkazu se zobrazí dialog, pomocí kterého lze pro aktivní databázovou tabulku sestavit parametry tiskové sestavy master - detail a vytisknout ji. Tisknou se vždy jen sloupce zobrazené v tabulce. Jejich šířka na sestavě je proporcionální k šířce sloupce v tabulce na obrazovce. Celá sestava se může skládat z několika základních složek, které lze nastavit individuálně pomocí dalších dialogů. V sestavě se kombinují řádky z aktuální tabulky s řádky primární tabulky z které byla aktuální tabulka navázána. Za jedním řádkem primární tabulky následuje několik řádků odpovídajících navázaných záznamů na záznam primární.

Dialog pro nastavení tiskové sestavy master - detail.
Nadpis sestavy

Přepínač umožňující zapnout a vypnout tisk nadpisu celé sestavy. Do editační linky lze přímo zadat text nadpisu tiskové sestavy. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Nadpis se tiskne jen na začátku sestavy, ale lze jej případně opakovaně tisknout s jinými grafickými parametry v zápatích jednotlivých stránek.

Hlavička stránky

Přepínač umožňující zapnout a vypnout tisk hlavičky jednotlivých stránek. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah hlavičky lze nastavit speciálním dialogem. Může zahrnovat

  • Datum

  • Obrázek (*.wmf, *.emf, *.bmp, *.ico, *.gif, *.jpg)

  • Číslo stránky

Nadpis sloupců

Přepínač umožňující zapnout a vypnout tisk nadpisu sloupců. Zde se jedná o popisky sloupců primární databázové tabulky. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Jako nadpisy sloupců se tisknou popisky jednotlivých sloupců zadané v dialogu pro nastavení sloupců tabulky. Respektuje se i možnost lámat víceslovné popisy.

Detail

Obsah vlastních zobrazených záznamů primární tabulky. Lze tedy vytisknout jen vybrané či zvýrazněné záznamy, pokud je zobrazení tabulky tak nastaveno. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo.

Subdetail

Obsah záznamů sekundární (navázané) tabulky. Nad skupinou navázaných záznamů se standardně tisknou i jména sloupců sekundární tabulky. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo.

Zápatí skupiny

Přepínač umožňující zapnout a vypnout tisk zápatí skupin. Jde o souhrn určitých statistik pro danou skupinu, které se tisknou bezprostředně za záznamy skupiny. Skupinou jsou zde chápány záznamy navázané tabulky odpovídající jednomu primárnímu záznamu . Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem. Může zahrnovat

  • Součet hodnot vybraného sloupce v dané skupině

  • Průměr z hodnot vybraného sloupce dané skupiny

  • Počet záznamů v dané skupině

  • Minimální z hodnot vybraného sloupce dané skupiny

  • Maximální z hodnot vybraného sloupce dané skupiny

Součet

Přepínač umožňující zapnout a vypnout tisk součtové informace z celé sestavy. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah součtové informace lze nastavit speciálním dialogem stejně jako u primární skupiny.

Zápatí stránky

Přepínač umožňující zapnout a vypnout tisk zápatí pro jednotlivé stránky. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem. Může zahrnovat

  • Datum

  • Nadpis

  • Číslo stránky

Tiskárna

Poklepáním na tlačítko se aktivuje standardní dialog pro nastavení vlastností tiskárny, příp. pro změnu tiskárny. Důležité je zejména nastavení tisku na šířku nebo výšku.

Náhled

Po nastavení všech parametrů sestavy lze pomocí dialogu náhledu sestavy zkontrolovat výsledek, popř. korigovat parametry. Z tohoto dialogu lze provést export sestavy do jednoho z uvedených formátů:

  • soubor typu QuickReport (*.QRP) - interní formát tiskového managera

  • Textový soubor (*.TXT)

  • Čárkami oddělený text (*.CSV)

  • HTML dokument (*.HTM)

Společný font

Pomocí příkazu lze nastavit hromadně font pro všechny složky v dané tiskové sestavě.

Společná barva

Pomocí příkazu lze nastavit hromadně barvu pro všechny složky v dané tiskové sestavě.

Rámovat vše

Pomocí příkazu lze nastavit hromadně orámování pro všechny složky v dané tiskové sestavě.

Pouze okraje

Pomocí příkazu lze nastavit hromadně orámování pro všechny složky v dané tiskové sestavě tak, že je orámována celá stránka na okraji.

Vše průhledně

Pomocí příkazu lze nastavit hromadně pro všechny složky v dané tiskové sestavě tisk tak, že všechny vytištěné údaje jsou kromě písmen průhledné tzn. jsou na barevném pozadí jednotlivých pásů. V opačném případě je okolo vytištěných hodnot z jednotlivých záznamů tabulky bílý obdélník.


Sestava spojení tabulek

Po potvrzení příkazu se zobrazí dialog, pomocí kterého lze pro aktivní databázovou tabulku sestavit parametry tiskové sestavy spojení tabulek a vytisknout ji. Tisknou se vždy jen sloupce zobrazené v tabulkách. Jejich šířka na sestavě je proporcionální k šířce sloupce v tabulce na obrazovce. Celá sestava se může skládat z několika základních složek, které lze nastavit individuálně pomocí dalších dialogů. V sestavě se kombinují řádky z aktuální tabulky s řádky primární tabulky z které byla aktuální tabulka navázána. Z řádku primární tabulky a z řádku navázaného záznamu na záznam primární se utvoří jeden řádek výstupu. Řádek primární tabulky je tedy případně několikrát zopakován.

Dialog pro nastavení tiskové sestavy spojení tabulek
Nadpis sestavy

Přepínač umožňující zapnout a vypnout tisk nadpisu celé sestavy. Do editační linky lze přímo zadat text nadpisu tiskové sestavy. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Nadpis se tiskne jen na začátku sestavy, ale lze jej případně opakovaně tisknout s jinými grafickými parametry v zápatích jednotlivých stránek.

Hlavička stránky

Přepínač umožňující zapnout a vypnout tisk hlavičky jednotlivých stránek. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah hlavičky lze nastavit speciálním dialogem. Může zahrnovat

  • Datum

  • Obrázek (*.wmf, *.emf, *.bmp, *.ico, *.gif, *.jpg)

  • Číslo stránky

Nadpis sloupců

Přepínač umožňující zapnout a vypnout tisk nadpisu sloupců. Zde se jedná o popisky sloupců primární databázové tabulky. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Jako nadpisy sloupců se tisknou popisky jednotlivých sloupců zadané v dialogu pro nastavení sloupců tabulky. Respektuje se i možnost lámat víceslovné popisy.

Subdetail

Obsah záznamů sekundární (navázané) tabulky spojený vždy se záznamem primární tabulky, ze kterého byl navázán. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo.

Tisknout jen navázané záznamy

Pomocí přepínače lze nastavit, že tisknout se budou jen ty řádky primární tabulky, kde došlo k navázání.

Zápatí skupiny

Přepínač umožňující zapnout a vypnout tisk zápatí skupin. Jde o souhrn určitých statistik pro danou skupinu, které se tisknou bezprostředně za záznamy skupiny. Skupinou jsou zde chápány záznamy navázané tabulky odpovídající jednomu primárnímu záznamu . Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem. Může zahrnovat

  • Součet hodnot vybraného sloupce v dané skupině

  • Průměr z hodnot vybraného sloupce dané skupiny

  • Počet záznamů v dané skupině

  • Minimální z hodnot vybraného sloupce dané skupiny

  • Maximální z hodnot vybraného sloupce dané skupiny

Součet

Přepínač umožňující zapnout a vypnout tisk součtové informace z celé sestavy. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah součtové informace lze nastavit speciálním dialogem stejně jako u primární skupiny.

Zápatí stránky

Přepínač umožňující zapnout a vypnout tisk zápatí pro jednotlivé stránky. Grafické parametry lze nastavit standardním dialogem po aktivaci tlačítka vpravo. Obsah zápatí lze nastavit speciálním dialogem. Může zahrnovat

  • Datum

  • Nadpis

  • Číslo stránky

Tiskárna

Poklepáním na tlačítko se aktivuje standardní dialog pro nastavení vlastností tiskárny, příp. pro změnu tiskárny. Důležité je zejména nastavení tisku na šířku nebo výšku.

Náhled

Po nastavení všech parametrů sestavy lze pomocí dialogu náhledu sestavy zkontrolovat výsledek, popř. korigovat parametry. Z tohoto dialogu lze provést export sestavy do jednoho z uvedených formátů:

  • soubor typu QuickReport (*.QRP) - interní formát tiskového managera

  • Textový soubor (*.TXT)

  • Čárkami oddělený text (*.CSV)

  • HTML dokument (*.HTM)

Společný font

Pomocí příkazu lze nastavit hromadně font pro všechny složky v dané tiskové sestavě.

Společná barva

Pomocí příkazu lze nastavit hromadně barvu pro všechny složky v dané tiskové sestavě.

Rámovat vše

Pomocí příkazu lze nastavit hromadně orámování pro všechny složky v dané tiskové sestavě.

Pouze okraje

Pomocí příkazu lze nastavit hromadně orámování pro všechny složky v dané tiskové sestavě tak, že je orámována celá stránka na okraji.

Vše průhledně

Pomocí příkazu lze nastavit hromadně pro všechny složky v dané tiskové sestavě tisk tak, že všechny vytištěné údaje jsou kromě písmen průhledné tzn. jsou na barevném pozadí jednotlivých pásů. V opačném případě je okolo vytištěných hodnot z jednotlivých záznamů tabulky bílý obdélník.


Databázové okno pro práci s externí tabulkou - lokální menu pro práci se sloupcem tabulky

Po aktivaci lokálního menu poklepáním pravého tlačítka myši kdekoli ve vybraném sloupci tabulky vybereme jeden z příkazů pro práci s daným sloupcem. U externích tabulek (navázané tabulky v modelu, popř. i tabulky otevřené z menu Data - Práce s externími DB tabulkami - Browse) se nabídka příkazů pro práci s vybraným sloupcem poněkud liší od standardní nabídky. Je to dáno především tím, že lze např. u externích tabulek přidávat záznamy nebo pracovat s BLOBy v závislosti na typu databáze.

Lokální menu sloupce tabulky pro práci s externí databázovou tabulkou.

Kromě všech běžných příkazů zde jsou navíc i následující příkazy:

Zobrazovat obrázky

Přepínač, který po zapnutí způsobí, že v daném sloupci se budou permanentně zobrazovat přímo obrázky v těch políčkách, která obsahují obrazová data v nějakém podporovaném formátu. Přepínač je aktivní pouze pro položky typu BLOB.

Přidat záznamy s odkazy na dokumenty

Pomocí standardního dialogu pro hromadný výběr souborů lze urychlit vytváření nových záznamů s odkazy na dokumenty. Pro každý vybraný soubor je založen nový záznam a do daného sloupce se zapíše odkaz na tento soubor. Respektuje se přitom zvolený způsob zápisu odkazů na dokumenty.

Vytvořit náhledy obrázků

Příkaz umožní vytvořit náhledy obrázků z originálních obrazových dat, na které existují v nějakém sloupci tabulky odkazy. Vlastní náhledy jsou uloženy přímo v binární podobě ve sloupci typu BLOB. Tento příkaz je aktivní pouze pro sloupce tohoto typu. Po výběru příkazu z menu se parametry operace nastaví v dialogu.


Vytvořit náhledy obrázků

Po potvrzení příkazu se zobrazí dialog, kde lze nastavit parametry operace. Je to především zdroj obrazových dat, resp. odkazů na ně a dále výběr řádků, kterých se operace týká. Vytvoření náhledů a jejich uložení do položky typu BLOB umožní rychlé permanentní zobrazování obrazových dat přímo v gridu.

Dialog pro Vytvoření náhledů obrázků
Zdroj - Sloupec

V horní části dialogu je výklopný seznam, kde se vybere sloupec s odkazy na dokumenty, pro které se budou vytvářet náhledy.

Zdroj - Faktor zmenšení (v %)

Zadá se číselný údaj, který udává jakou velikost oproti původní velikosti obrazových dat bude mít náhled. Zmenšení rastru se provádí vždy proporcionálně.

Přepiš záznamy

Ze dvou možností se vybere, které záznamy tabulky se budou přepisovat. Je možno přepsat všechny zobrazené záznamy tabulky nebo pouze zvýrazněné záznamy (aktivuje se jen pokud některé záznamy jsou zvýrazněné).


Kapitola 12. Dialogy pro práci s mapovými listy

Obsah

Výběr kladu map. listů
Měřítko kladu S_JTSK
Měřítko kladu základní mapa ČR a SR
Měřítko kladu Gauss-Krüger
Výběr mapy S-JTSK názvem
Výběr mapy kladu lesnických map LHP 1: 10 000 názvem
Výběr mapy kladu lesnických map OPRL 1: 25 000 názvem
Výběr katastrální mapy mapy v měřítku 1: 2880 názvem.
Výběr katastrální mapy mapy v měřítku 1: 2500 názvem.
Výběr základní mapy ČR A SR názvem.
Výběr mapy Gauss-Krüger názvem.
Informace o mapovém listu
Výběr mapy kurzorem


Výběr kladu map. listů

Od verze TopoLu xT 9.0 vzhled dialogu, který slouží k výběru kladu mapových listů, se kterým budeme dále pracovat, liší podle toho zda operace vyžaduje výběr konkrétního mapového listu či nikoli. Pokud jde jen o volbu kladu mapových listů pro hromadné operace, jako např. Mozaika rastrů do mapových listů apod., použije se obdobná forma dialogu jako u zařazování kladu mapových listů do projektu. Jinak se použije následující dialog a podle výběru kladu se dále specifikuje konkrétní mapový list vybraného kladu.

Dialog pro výběr kladu mapových listů

Dialog slouží k výběru kladu mapových listů se kterým budeme dále pracovat. Jedním z následujících kontrolních přepínačů zaktivujeme jednu z možností:

  • map. list S-JTSK

  • map. list Gusterberg

  • map. list Gusterberg 2500

  • map. list Sv. Štěpán

  • map. list Sv. Štěpán 2500

  • map. list Gellerthegy

  • map. list Gellerthegy 2500

  • map- list Zákl. mapy ČR a SR

  • map. list Gauss-Krüger

  • map. list LHP 1: 10 000

  • map. list OPRL 1: 25 000


Měřítko kladu S_JTSK

Dialog pro výběr měřítkového čísla kladu map S-JTSK.

Dialog slouží k výběru měřítka kladu S-JTSK, se kterým se bude pracovat. Výběr se provede pomocí výklopného seznamu. Pro tento klad se nabízí následující možnosti.

  • 50 000
  • 5 000
  • 2 000
  • 1 000
  • 500


Měřítko kladu základní mapa ČR a SR

Dialog pro výběr měřítkového čísla kladu základních map ČR a SR.

Dialog slouží k výběru měřítka kladu základních map ČR + SR, se kterým se bude pracovat. Výběr se provede pomocí výklopného seznamu. Pro tento klad se nabízí následující možnosti.

  • 1: 200 000
  • 1: 100 000
  • 1: 50 000
  • 1: 25 000
  • 1: 10 000


Měřítko kladu Gauss-Krüger

Dialog pro výběr měřítkového čísla kladu map Gauss-Krüger.

Dialog slouží k výběru měřítka kladu Gauss-Krüger, se kterým se bude pracovat. Výběr se provede pomocí výklopného seznamu. Pro tento klad se nabízí následující možnosti.

  • 1: 1 000 000
  • 1: 100 000
  • 1: 50 000
  • 1: 25 000
  • 1: 10 000


Výběr mapy S-JTSK názvem

Dialog pro výběr mapy S-JTSK názvem.

Dialog obsahuje výklopný seznam pro výběr názvu mapy v S-JTSK systému. Standardně vyhledáme v seznamu sídel požadovaný název mapy. V dalších editačních prvcích zadáme čísla sloupce a řádku pro listy v měřítku 1 : 5 000. Hodnoty těchto editačních prvků jsou v rozsahu 0 až 9. Poslední editační prvek slouží ke společnému zadání sekcí pro listy v měřítcích 1 : 2 000, 1 : 1 000 a 1 : 500. Hodnoty v jednotlivých sekcích se mohou pohybovat v rozmezí 1 až 4.

Příklad :

Mapový list v měř. 1 : 5 000 může mít název MOST 0, 3.

Mapový list v měř. 1 : 2 000 může mít název MOST 0, 3 / 4.

Mapový list v měř. 1 : 500 může mít název MOST 0, 3 / 114.

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Výběr mapy kladu lesnických map LHP 1: 10 000 názvem

Dialog pro výběr mapy kladu lesnických map LHP 1: 10 000 názvem.

Dialog obsahuje výklopný seznam pro výběr názvu mapy v S-JTSK systému. Standardně vyhledáme v seznamu sídel požadovaný název mapy. V dalších editačních prvcích zadáme čísla sloupce a řádku pro listy v měřítku 1 : 10 000. Hodnoty těchto editačních prvků mohou nabývat hodnot 0, 2, 4, 6, 8. Každý list odpovídá čtyřem listům kladu S-JTSK 1: 5 000.

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Výběr mapy kladu lesnických map OPRL 1: 25 000 názvem

Dialog pro výběr mapy kladu lesnických map OPRL 1: 25 000 názvem.

Dialog obsahuje výklopný seznam pro výběr názvu mapy v S-JTSK systému. Standardně vyhledáme v seznamu sídel požadovaný název mapy. V dalších editačním prvku zadáme číslo listu v měřítku 1 : 25 000. Hodnota tohoto editačního prvku může nabývat hodnot 1, 2, 3, 4. Každý list odpovídá čtvrtině listu kladu S-JTSK 1: 50 000. Schéma listů v rámci jednoho listu 1: 50 000 je toto:

1 | 2
3 | 4

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Výběr katastrální mapy mapy v měřítku 1: 2880 názvem.

Dialog pro výběr katastrální mapy mapy v měřítku 1: 2880 názvem

Dialog slouží k výběru katastrální mapy (Gusterberg, Svatý Štěpán, Gellerthegy) v měřítku 1: 2880 názvem. Dialog obsahuje editační linky:

  • V/Z - sekce východ - západ možné hodnoty Z, V

  • Sloupec

  • Vrstva

  • Sekce

Poznámka

U sloupců se zadávají místo římských číslic číslice arabské. Označení sekce v rámci triangulačního listu se v TopoLu zadává pomocí číselného označení. Někdy však je k dispozici pouze označení vyjádřené dvojicí malých písmen "a" až "i". Pro úplnost je zde proto uvedena tabulka, ve které je uvedeno obojí značení. Například označení sekce bf odpovídá číslu 7. Možné značení sekcí kladu katastrálních map 1: 2880:
 | d | c | b | a
e | 1 | 2 | 3 | 4
f | 5 | 6 | 7 | 8
g | 9 | 10 | 11 | 12
h | 13 | 14 | 15 | 16
i | 17 | 18 | 19 | 20

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Výběr katastrální mapy mapy v měřítku 1: 2500 názvem.

Dialog pro výběr katastrální mapy mapy v měřítku 1: 2500 názvem

Dialog slouží k výběru katastrální mapy (Gusterberg, Svatý Štěpán, Gellerthegy) v měřítku 1: 2500 názvem. Dialog obsahuje editační linky:

  • V/Z - sekce východ - západ možné hodnoty SZ, SV, JZ, JV

  • Sloupec

  • Vrstva

  • Sloupec tr.listu

  • Vrstva tr.listu

Poznámka

U sloupců se zadávají místo římských číslic číslice arabské. Označení sekce v rámci triangulačního listu se v TopoLu zadává pomocí číselného označení. Značení sekcí kladu katastrálních map 1: 2500 (sloupec a vrstva triangulačního listu):
 | 1 | 2 | 3 | 4 | 5
8 | 8/1 | 8/2 | 8/3 | 8/4 | 8/5
7 | 7/1 | 7/2 | 7/3 | 7/4 | 7/5
6 | 6/1 | 6/2 | 6/3 | 6/4 | 6/5
5 | 5/1 | 5/2 | 5/3 | 5/4 | 5/5
4 | 4/1 | 4/2 | 4/3 | 4/4 | 4/5
3 | 3/1 | 3/2 | 3/3 | 3/4 | 3/5
2 | 2/1 | 2/2 | 2/3 | 2/4 | 2/5
1 | 1/1 | 1/2 | 1/3 | 1/4 | 1/5

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Výběr základní mapy ČR A SR názvem.

Dialog pro výběr základní mapy ČR A SR názvem

Dialog slouží k výběru základní mapy ČR A SR názvem. Dialog obsahuje editační linky:

  • Sekce 200

  • Sekce 100

  • Sekce 50

  • Sekce 25

  • Sekce 10

Sekce 200 až 10 vyjadřuje mapové dílo měřítka 1: 200 000 až 1: 10 000. Jako příklad je uvedena nomenklatura Základní mapy měřítka 1: 10 000 12-33-23.

Poznámka

Sekce 50 se dělí buď na klad 1: 25 000 nebo 1: 10 000. Proto musí být vždy alespoň jeden z těchto údajů roven 0.

Příklad :

Mapový list v měř. 1 : 100 000 může mít název 12 - 4.

Mapový list v měř. 1 : 50 000 může mít název 12 - 4 - 1. Sekce 25 a Sekce 10 jsou 0.

Odpovídající listy v měř. 1 : 25 000 mají pak název 12 - 4 - 1 - 1 až 12 - 4 - 1 - 4. Sekce 10 je rovna 0.

Odpovídající listy v měř. 1 : 10 000 mají pak název 12 - 4 - 1 - 01 až 12 - 4 - 1 - 25. Sekce 25 je rovna 0.

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Výběr mapy Gauss-Krüger názvem.

Dialog pro výběr mapy Gauss-Krüger názvem

Dialog slouží k výběru mapy Gauss-Krüger názvem. Dialog obsahuje editační linky:

  • Sekce názvu listu 1: 1 000 000 - (hodnoty M-33, M-34, L-33, L-34)

  • Sekce listu 1: 100 000 - (rozsah 1 - 144)

  • Sekce listu 1: 50 000 - (rozsah A - D, a - d)

  • Sekce listu 1: 25 000 - (rozsah A - D, a - d)

  • Sekce listu 1: 10 000 - (rozsah 1 - 4)

Poznámka

Systém nedovolí zadat jméno mapového listu neexistující nomenklatury.


Informace o mapovém listu

Dialog s informacemi o vybraném mapovém listu

Dialog obsahuje informace o vybraném mapovém listu, jehož jméno je uvedeno v titulku dialogu, jako jsou souřadnice všech rohů v souřadném systému S-JTSK a názvy sousedních listů v odpovídajícím kladu mapových listů.


Výběr mapy kurzorem

Příkaz slouží jednak ke zjištění mapového listu vybraného kladu, jehož polohu zadáme kurzorem a dále ke zjištění informací o zobrazených kladech mapových listů v různých mapových oknech, případně k nastavení zobrazovacích parametrů kladů mapových listů v legendách jednotlivých oken. Nejprve je třeba pomocí standardního dialogu vybrat základní klad mapových listů, se kterým chceme pracovat. Po potvrzení kladu, v němž chceme nalézt mapový list, systém otevře v případě volby S-JTSK, Základní mapa ČR+SR a Gauss-Krüger dialogy pro výběr měřítka mapového listu. Po potvrzení dialogového okna s nastaveným měřítkem mapového listu, se na obrazovce objeví výběrový kurzor pro zadání polohy mapového listu. Přitom se můžeme přepínat do libovolného mapového okna, přičemž v informačním panelu na spodním okraji okna aplikace se průběžně zobrazuje jméno příslušného mapového listu vybraného kladu, v němž se momentálně kurzor nachází. Během operace můžeme měnit výřez standardním způsobem. Systém pracuje i pokud máme některé z oken v jiném souřadném systému než je S-JTSK. Jakmile zadáme polohu mapového listu kliknutím myši, systém zobrazí do mapového okna obrys nalezeného mapového listu. Pokud nejsou v mapovém okně, kde došlo k potvrzení polohy kurzoru, zobrazeny některé klady mapových listů, systém po potvrzení dotazu případně změní výřez tak, aby mapový list pokrýval celou zobrazovací plochu okna. Pokud jsou v mapovém okně, kde došlo k potvrzení polohy kurzoru zobrazeny některé klady mapových listů, objeví se zároveň s vykreslením obrysu listu dialog s jejich seznamem.

Dialog pro práci s klady mapových listů v mapovém okně.

Změnu nastavení položek části legendy mapového okna týkající se mapových kladů, lze také provádět pomocí panelu nástrojů a kontextového menu. Jednotlivé akce se zpřístupní poklepnutím na jeden ze zobrazených řádků, které odpovídají mapovým kladům v daném okně.

Vlastnosti |  | Spustí dialog pro nastavení zobrazení daného mapového kladu.
Odstranit | Del | Odstranění vybraných položek (i více najednou).
Zobrazovat |  | Zapne se zobrazení daného kladu v legendě.
Nezobrazovat |  | Vypne se zobrazení daného kladu v legendě.
Překreslit | ALT+O | Přezobrazí se mapové okno.
Zvýraznit mapový list |  | V okně se vykreslí přeškrtnutý obrys vybraného mapového listu.
Info |  | Otevře dialog pro zobrazení informací o vybraném mapovém listu.
Roztáhnout mapový list |  | Mapové okno se přezobrazí tak aby výřez pokryl vybraný mapový list.
Nápověda | F1 | Spustí tuto nápovědu.
Přejmenování v legendě | F2 | Přejmenování odpovídající položky v legendě daného mapového okna.


Kapitola 13. Slovník pojmů

Obsah

A
B
C
Č
D
E
F
G
H
I
J
K
L
M
N
O
P
R
S
Š
T
U
V
W


A

Obsah

Afinní transformace

Analytické nástroje TopoLu

Arc/Info coverage

Arc/Info Generate

ArcView ShapeFile

Afinní transformace

Při transformaci touto metodou systém provede posunutí, otočení, zkosení a rozdílnou změnu měřítka v obou směrech. Tento typ transformace vyžaduje minimálně tři páry identických bodů.

Analytické nástroje TopoLu

TopoL není pouze nástroj pro pořizování a údržbu geografických informací. Poskytuje plnou škálu funkcí pro analýzu geografických dat. TopoL také umožňuje napojit externí databáze, v kterých jsou potom udržovány další popisové informace. Může se jednat například o numerický operát katastru nemovitostí, ale mohou to být jakékoliv jiné informace. Na tyto informace se lze dotazovat (majitelé pozemků na honu obdělávaném daným zemědělským hospodářem), zobrazovat grafické objekty vyhovující určitému dotazu (všechny parcely pana Nováka), lze vytvářet tématické mapy (např. barevně odlišená mapa druhů pozemků). Pomocí informačních formulářů je možno vytvářet nejrůznější textové výstupy.

Lze také provádět základní dotazy na geometrické vlastnosti kombinované s popisovými informacemi, jako například výběr všech bodů mající určitou vlastnost (např. pH větší než určitá hodnota) ležících uvnitř, na hranici, vně atd. ploch majících jinou vlastnost (např. parcel pana Nováka). Lze provádět průniky plošných vrstev s tím, že se do nových plošných objektů přenesou požadované databázové vlastnosti a umožní tak provádět další analýzy.

Arc/Info coverage

Jedná se o nativní formát systému Arc/Info firmy ESRI, popis tohoto formátu není firmou zveřejněný.

Arc/Info Generate

Jedná se o výměnný formát systému Arc/Info firmy ESRI, popis tohoto formátu je zveřejněný, TopoL xT umožňuje import i export dat.

ArcView ShapeFile

Jedná se o nativní formát systému ArcView firmy ESRI, popis tohoto formátu je zveřejněný, TopoL xT umožňuje export i přímé načtení a editaci dat. Data lze přímo uložit do bloku TopoLu.


B

Obsah

Barevný rastr

Binární rastr

BMP

Barevný rastr

Každý pixel barevného rastru se chápe jako index do tabulky s jednotlivými barvami rastru. Pixel je na pak na obrazovce zobrazen příslušnou barvou . Barva je tedy vybírána z palety, která je u většiny rastrových formátů uložena přímo v daném souboru. Formát RAS používá pro tento účel pomocný soubor palety *.PAL (Color Look Up Table). U tohoto formátu není hodnota pixelu přímým ukazatelem do tabulky palety. Tím je až modifikovaná hodnota pomocí tzv. tabulky transferu. Ta je uložena v dalším pomocném souboru *.MEZ. Barevné rastry mohou být čtyřbitové a osmibitové. To znamená, že hodnoty pixelů mohou být v rozsahu 0 - 15. resp. 0 - 255. Tomu odpovídají i velikosti tabulky barev - palety. Je to 16, resp. 256 barev. Všechny podporované formáty kromě RAS mají přesně tyto velikosti palety, u formátu RAS to jsou maximální počtu barev.

Binární rastr

Binární rastr (dvouúrovňový) obsahuje pixely o velikosti jednoho bitu, které nesou informaci, jedná-li se o pozadí nebo o kresbu. Pixely binárního rastru mají tedy hodnotu 0 nebo 1. Kresba rastru může být ovšem při zobrazení v mapovém okně interpretována libovolnou barvou, která se nastaví v aplikaci.

BMP

Formát BMP je formát rastrových dat většinou v nekomprimovaném tvaru. Používaná komprese je označována většinou jako BI_RLE8, resp. BI_RLE4 pro čtyřbitové rastry. Jeho struktura je velmi blízká struktuře bitových map, které se používají v systémech Microsoft Windows (c) (device-independent bitmap - DIB - je tím naznačeno že pixely bitmapy mají barvu specifikovanou ve formátu nezávislém na zobrazovacím zařízení). Hodnoty uchovávané v rastrovém souboru jsou vždy v tzv. Intelovském formátu. Každá řádka musí být zarovnána na čtyři byty. Řádky rastru jsou uloženy od poslední k první. Existuje dvoubarevný, 16-ti barevný, 256-ti barevný a s 16-ti milióny barev (TrueColor). V hlavičce proměnné délky rastru jsou zaznamenány informace o typu, velikosti, uspořádání rastru, příp. o paletě rastru.

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí BPW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako další pomocný soubor se používá soubor s extenzí BPE. Zde se zapisují dodatečné informace o rastru, zejména informace o zamaskování a generalizovaná verze rastru.


C

Obsah

CIT

COT

CIT

Formát CIT je formát rastrových dat firmy INTERGRAPH Corporation (c). Jeho hlavička obsahuje základní údaje o rastrovém obraze. Obsahuje i informace o lokalizaci souboru v souřadném systému. Nejčastěji se používá pro uložení binárních rastrových dat. Je užita velmi účinná komprese podle normy CCITT Group 4. Pro přečtení jakékoli části rastru je nutné dekomprimovat celý rastr od počátku až k požadovanému výřezu.

Jako pomocný soubor se používá soubor s extenzí CTE. Zde se zapisuje generalizovaná verze rastru.

Pixely tohoto rastru mohou být uloženy po řádcích nebo po sloupcích. Počátkem odkud se data ukládají může být přitom libovolný roh rastru. Rastr tak může být v některých případech oproti standardnímu způsobu uložení řádků od shora dolů vlastně otočen o +- 90 stupňů. TopoL je schopen importovat všechny varianty, lokalizaci však přenese jen v některých případech. Pro přímou práci s takovým rastrem jsou možné pouze varianty s řádky ukládanými horizontálně shora dolů. Počátek dat může být v horním levém i pravém rohu.

COT

Formát COT je formát rastrových dat firmy INTERGRAPH Corporation (c). Jeho hlavička obsahuje základní údaje o rastrovém obraze. Obsahuje i informace o lokalizaci souboru v souřadném systému. Nejčastěji se používá pro uložení šedotónových nebo barevných rastrových dat.

Jako pomocný soubor se používá soubor s extenzí COE. Zde se zapisují dodatečné informace o rastru, zejména informace o transferu šedotónového rastru a generalizovaná verze rastru.

Pixely tohoto rastru mohou být uloženy po řádcích nebo po sloupcích. Počátkem odkud se data ukládají může být přitom libovolný roh rastru. Rastr tak může být v některých případech oproti standardnímu způsobu uložení řádků od shora dolů vlastně otočen o +- 90 stupňů. TopoL je schopen importovat všechny varianty, lokalizaci však přenese jen v některých případech. Pro přímou práci s takovým rastrem jsou možné pouze varianty s řádky ukládanými horizontálně shora dolů. Počátek dat může být v horním levém i pravém rohu.

Poznámka

Existuje i varianta tohoto formátu, kdy pixely jsou uloženy po dlaždicích. V tomto případě však jsou v TopoLu podporovány jen ty způsoby uložení řádků a sloupců, které nevyžadují provedení transformace na standardní uložení pixelů po řádcích shora dolů.


Č

Obsah

Čtyřbitový rastr

Čtyřbitový rastr

Je to šedotónový nebo barevný rastrový soubor, jehož pixely mají velikost čtyř bitů. Pixely mohou tedy nabývat hodnot 0-15 a rastrový obraz může mít 16 odstínů šedi popř. 16 barev.


D

Obsah

Databázový model

Dceřinná mapová okna

Dgn

Dithering

Dkm, Vkm

Dlaždicové rastry

DMT rastry

Dwg

Dxf

Databázový model

Každá tabulka objektů je spojena s databázovou tabulkou, které se říká primární databázová tabulka. Je zde jednoznačná vazba mezi grafickými objekty a záznamy této tabulky. Ke každé takové tabulce může být v projektu definován ve speciálním editoru tzv. databázový model, který definuje vazby na připojené sekundární (externí) databázové tabulky. Popis databázového modelu se ukládá do projektu TopoLu. Pro každou připojenou databázi lze vytvořit vazby na další databázové tabulky a tímto způsobem vazby mezi tabulkami řetězit.

Vazba mezi databázemi je definována pomocí jednoho nebo více klíčových atributů. K záznamu v primární databázi jsou připojeny ty záznamy ze sekundární databáze, které mají stejnou hodnotu zadaných klíčových atributů. Při zadávání těchto atributů se určují jejich názvy v primární i sekundární tabulce.

Dceřinná mapová okna

Každé mapové okno může mít několik dceřinných oken. Pokud je prováděna změna výřezu mapového okna výběrovým obdélníkem s pevně daným poměrem stran (příkazy Zoom + a Zoom - z menu Zobrazení), lze měnit výřez také v dceřinných mapových oknech. Záleží na stisknutých klávesách při potvrzení změny výřezu:

Stisknuté klávesy | Provedená změna výřezu
Pokud není stisknuta žádná klávesa, je změna výřezu provedena standardně v aktivním mapovém okně.
Ctrl | Změna výřezu je provedena pouze v dceřinných mapových oknech. Pokud aktivní mapové okno nemá žádná dceřinná okna, je dceřinné okno vytvořeno.
Shift | Změna výřezu je provedena v aktivní i v dceřinných mapových oknech. Pokud aktivní mapové okno nemá žádná dceřinná okna, je dceřinné okno vytvořeno.

Poznámka

Správa dceřinných mapových oken se provádí v dialogu Dceřinná okna, který je přístupný z menu Mapové okno, příkaz Dceřinná okna.

Dgn

Jedná se o nativní formát systému Microstation firmy Bentley, popis tohoto formátu není firmou zveřejněný, TopoL xT umožňuje export i přímé načtení, kromě toho existuje externí program pro import a export. Data lze přímo uložit do bloku TopoLu.

Dithering

Je to proces, kdy korigujeme některé barvy indexovaného rastrového souboru, abychom dosáhli zdánlivě většího rozsahu barevné palety než jakou nám dovolují možnosti. Dochází tedy ke korekci barev pixelů barevného rastru, kdy výsledná barva daného pixelu je tvořena s ohledem na barvy okolních pixelů tak, aby zrakový vjem byl co nejlepší. Používá se např. při konverzi TrueColor rastrů na osmi nebo čtyřbitové barevné rastry.

Dkm, Vkm

Jedná se o výměnný formát dat katastru nemovitostí, popis tohoto formátu je zveřejněný, TopoL xT umožňuje import a export, jedná se o starý formát.

Dlaždicové rastry

Řada rastrových formátů , např. TIFF, RAS, COT podporují tzv. dlaždicové uspořádání rastrů. Jde o fyzické uspořádání jednotlivých pixelů rastru. Ty nejsou uloženy v souboru po celých řádcích ale v obdélníkových dlaždicích, které si můžeme představit jako subrastry, které při vhodném poskládání vytvoří výsledný rastr. Toto uspořádání je výhodné zejména pro velmi velké rastry, kdy při zobrazování pouze určitého malého výřezu systém nemusí načítat tak velký objem dat z disku. Je to též výhodnější uspořádání pro některé komprese rastru. Pokud však pracujeme s celým rastrem, např. export do jiného formátu a pod., musí se vytvořit celé řádky rastru, což operaci časově prodlužuje. Při zobrazování tento nedostatek lze obejít použitím generalizovaných rastrů. Pak je zobrazování rychlé jak v celku tak v detailu. Někdy je proto vhodné použít toto uspořádání dat pouze u rastrů se kterými nebudeme dále pracovat nebo naopak jako pracovní kopie rastrových dat pro některé speciální operace jako je otočení nebo transformace rastru, kdy je značnou výhodou tohoto subformátu rastrů podstatné snížení paměťových nároků systému.

Poznámka

U formátu RAS dlaždicové uspořádání otevírá možnost použití komprimovaných variant RASu, což je výhodné zejména pro binární rastry.

Pokud při jakékoli operaci vzniká nový rastr, jeho dlaždicové uspořádání lze zadat v dialogu pro výběr výstupního rastru a jeho subtypu.

DMT rastry

Každý pixel rastrového souboru představuje informaci o jednom bodu digitálního modelu terénu, a to souřadnici Y, souřadnici X středu pixelu a výškovou hodnotu pixelu. Předpokládá se, že body takového modelu tvoří pravidelnou čtvercovou (obdélníkovou) síť. Každému pixelu jsou vyhrazeny dva , resp. čtyři byty, kde je zaznamenána informace o výšce.

Dwg

Jedná se o nativní formát systému AutoCAD firmy AutoDesk, popis tohoto formátu není firmou zveřejněný, TopoL xT umožňuje přímé načtení dat a export dat do tohoto formátu.

Dxf

Jedná se o výměnný formát systému AutoCAD firmy AutoDesk, popis tohoto formátu je zveřejněný, TopoL xT umožňuje přímé načtení dat a jejich import a export.


E

Obsah

ECW

ECW

ECW je formát rastrových dat vyvinutý firmou Earth Resource Mapping Ltd. (c). Je využíván primárně pro software ER Mapper (TM). Data jsou komprimována tzv. "wavelet" kompresí. Jedná se o šedotónové a TrueColor rastrové obrazy. Lokalizace rastru v souřadném systému je zapsána přímo v rastrovém souboru.

Jako pomocný soubor se používá soubor s extenzí EWE. Zde se zapisují dodatečné informace o rastru, zejména informace o transferu šedotónového rastru a generalizovaná verze rastru.


F

Obsah

Filtr pro zobrazování rastrů

Filtr pro zobrazování rastrů

Filtrem se rozumí vyhlazování (resampling) rastrů při zobrazování s výběrem vyhlazovacího filtru. Filtr se implementuje interpolací hodnot jednotlivých pixelů, takže jednak nedochází ke ztrátě obrazové informace v některých detailech a nevzniká efekt pixelizace na liniových objektech. Vyhlazování se projevuje velmi různě pro rastry s různým obsahem (nejvíce se efekt projevuje např. u naskenovaných mapových podkladů). Velmi též záleží na konkrétním poměru velikosti rastru v pixelech a velikosti, kterou zaujímá odpovídající část rastru na obrazovce. V TopoLu je implementováno několik metod filtrace. Ty mají také do různé míry odlišný efekt, hlavně v závislosti na tom, zda se rastr při zobrazování zmenšuje nebo zvětšuje. Jsou to

  • Obdélníkový filtr (nejrychlejší) - při zvětšování rastru se příliš nepotlačuje efekt pixelizace rastru

  • Trojúhelníkový filtr

  • Hermitův filtr

  • Bellův filtr - při zvětšování (zoom in) rastru se více projevuje vyhlazovací efekt než u předchozích filtrů

  • Kubická interpolace - ještě větší míra vyhlazovacího efektu než u předchozího filtru

  • Lanczosův filtr - poměrně malé vyhlazování v detailu (zvětšení rastru), poměrně kontrastnější celek než u předchozích filtrů

  • Mitchellův filtr (nejpomalejší) - kompromisní řešení - vyhlazuje se v detailu, poměrně kontrastní celek

Od verze TopoLu 9.0 se vyhlazování rastrů při zobrazování provádí u všech dialogů s náhledem provádějící barevné korekce rastrů. Zlepšuje se tak vizuální kvalita náhledu.


G

Obsah

Generalizovaný rastr

GeoMedia MDB

GeoMedia MS SQL

GeoTIFF

GIF

Generalizovaný rastr

Pro jakýkoli typ kromě DMT rastrů lze vytvořit zmenšený generalizovaný rastr (velikosti přibližně 1/16 původního rastru). Tento generalizovaný rastr je připojen buď konec souboru RAS nebo do pomocných souborů ostatních formátů. Tento pomocný rastr slouží pouze pro urychlené zobrazování v měřítcích, kdy rastr je zobrazen celý pouze na části mapového okna. Některé formáty, např. TIFF podporují i mnohonásobně generalizované rastry. U formátu RAS je podporována generalizace maximálně ve dvou úrovních. Urychlení zobrazení rastrů je zejména patrné pro dlaždicové rastry.

Při vzniku jakéhokoli nového rastru systém vytváří automaticky generalizovanou verzi rastru, ale pouze při splnění určitých podmínek. Vytvářený rastr musí být rastr verze 2, jehož velikost přesáhla empiricky stanovenou hranici. Generalizaci lze provést příkazem Generalizace v pomocných operacích s rastry.

GeoMedia MDB

Jedná se o nativní formát ve formě Access tabulky systému GeoMedia firmy Intergraph, popis tohoto formátu je zveřejněný, TopoL xT umožňuje přímé načtení dat a jejich export

GeoMedia MS SQL

Jedná se o nativní formát ve formě MS SQL tabulky systému GeoMedia firmy Intergraph, popis tohoto formátu je zveřejněný, TopoL xT umožňuje přímé načtení dat i uložení dat do této databáze

GeoTIFF

Jedná se o variantu formátu TIFF, která přímo v rastrovém souboru (jeho hlavičce) uchovává informace o souřadnicovém připojení - lokalizaci rastru. Sada speciálních příznaků (TAGů) obsahuje pokud možno všechny kartografické informace spojené s obrazem, ať už je to satelitní či letecký snímek, naskenovaná mapa apod. Tyto informace detailně popisují prostorový model nebo mapovou projekci, která je spojena s daným rastrem. Popisují se všechny parametry jak geografických, tak projekčních systémů. Je zde určeno zda se číselné údaje vztahují ke středům pixelů, či k jeho jednomu rohu. Nakonec je zde popsán transformační vztah mezi světovými a pixelovými souřadnicemi pomocí transformační matice.

GIF

GIF - Graphics Interchange Format (TM) je standardní formát firmy CompuServe Incorporated (c). Jedná se vesměs o osmibitový indexovaný rastr komprimovaný modifikovanou kompresí LZW. Prvních 6 znaků (bytů) souboru je 'G I F 8 7 a'. Poslední tři znaky '8 7 a' se chápou jako číslo verze daného souboru GIF.

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí GFW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako další pomocný soubor se používá soubor s extenzí GFE. Zde se zapisují dodatečné informace o rastru, zejména informace o zamaskování a generalizovaná verze rastru.

Poznámka

Soubory s kompresí LZW je nutno dekomprimovat vždy od začátku - je to nepřerušovaný tok bitů. Proto tento formát není příliš vhodný pro přímý přístup ke všem řádkům rastru, zvláště pokud se jedná o větší rastry. Pokud chceme přečíst jen část rastru blízko konce souboru, je nutno dekomprimovat všechny předchozí řádky rastru.


H

Obsah

Histogram

HRF

Histogram

Histogram je grafická representace rozložení hodnot šedi jednotlivých pixelů, popř. jejich barev nebo úrovní jasu. Horizontální osa representuje úroveň šedi a vertikální počet pixelů. Histogram slouží pro přehlednou informaci o kontrastu obrazu a rozsahu úrovní šedi.

HRF

HRF (HITACHI RASTER FORMAT) je formát binárních rastrových dat. Mají uložení pixelů v dlaždicích, které jsou komprimovány variantou packbits komprese. V TopoLu je podporováno pouze čtení tohoto formátu. Je používán hlavně jako formát skenovacího a vektorizačního softwaru zmíněné značky.

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí HFW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako další pomocný soubor se používá soubor s extenzí HFE. Zde se zapisuje generalizovaná verze rastru.


I

Obsah

Implicitní šablona projektů

Indexovaný

Interpolace

ISLH

Implicitní šablona projektu

Implicitní šablona projektů se používá pro vytvoření nového projektu, kdy se šablona nezadává - například v případě, že vytvoření nového projektu je zvoleno tlačítkem Nový projekt na panelu nástrojů Projekt.

Vybrat implicitní šablonu lze v dialogu Šablony, který slouží ke správě seznamu šablon. Tento dialog je přístupný z menu Nástroje, příkaz Šablony.

Indexovaný

Typ rastru - viz. též barevný rastr. Je to rastr s paletou, kde hodnoty pixelů jsou vlastně indexy do tabulky barev - palety.

Interpolace

Interpolací se zde rozumí výpočet hodnot pixelů rastru z několika hodnot vstupního rastru (při transformaci, mozaice). Výsledkem je lepší kvalita výstupu - hladké hranice ostře ohraničených objektů. Neprovádí se pro indexované rastry.

ISLH

Jedná se o výměnný formát dat lesních hospodářských plánů, popis tohoto formátu je zveřejněný, TopoL xT umožňuje import


J

Obsah

JPEG2000

JPEG komprese

JPG

JPEG2000

JPEG2000 je formát rastrových dat. Data jsou komprimována tzv. "wavelet" kompresí. Jedná se o šedotónové a TrueColor rastrové obrazy. Lokalizace rastru v souřadném systému je zapsána přímo v rastrovém souboru. V programu TopoL je implementována bezztrátová varianta této komprimační metody, takže nedochází ke ztrátě informace, jako např. u formátu JPEG.

Jako další pomocný soubor se používá soubor s extenzí J2E. Zde se zapisují dodatečné informace o rastru, zejména informace o zamaskování.

JPEG komprese

JPEG je sofistikovaná komprese dat založená na práci komise ISO (International Standards Organization) a PEG (Photographics Expert Group). Tyto komise byly vytvořeny za účelem vytvoření standardů pro přenos grafických formátů přes komunikační sítě. JPEG je zkratkou z anglického názvu Joint Photographic Expert Group. V roce 1988 byla vybrána jedna metoda, která dosahovala nejlepších výsledků při kompresi. Byla založena na Diskrétní kosinové transformaci. V letech mezi 1988 a 1990 byla tato metoda podrobně definována, zdokumentována, otestována a ověřena

Standard JPEG je vytvořen pro komprimovaní jak barevných TrueColor tak šedotónových rastrů. Kvalitně zpracovává fotografie, reálné scény ale tato metoda komprese už není příliš použitelná pro obrazy obsahující nápisy, nebo mnoho rovných čar. JPEG je ztrátová komprese, tzn. že dekomprimovaný obraz není stejný jako původní (existuje také bezztrátová JPEG komprese). Algoritmus JPEG je navržen tak, aby využil známého omezení lidského oka neboli fakt, že malé barevné změny jsou vnímány méně přesně než malé změny jasu. Jestliže chceme zpracovávat obraz počítačem , tak obraz komprimovaný metodou JPEG způsobí chyby, které mohou být problémem v další práci. Poměr kvality komprese a kvality výsledného obrazu je obvykle nastavitelný uživatelem (aplikací). Kompresní poměr je závislý na zvoleném stupni ztráty, ale obecně platí, že je lepší než u komprese LZW.

Komprese JPEG je použita ve formátech JPG, ale také TIFF. U formátu TIFF lze s výhodou použít rozdělení rastru na menší pásy, popř. dlaždice. Pro přečtení pouze určitého výřezu tak není nutno dekomprimovat všechny řádky od počátku rastru.

JPG

JPG - jsou to rastrové soubory, které jsou komprimovány kompresí JPEG , což je mezinárodní standard. Rastry JPG používají určitou implementaci tohoto standardu, která je nazývána JFIF. První dva byty tohoto formátu jsou hexadecimálně $ff, $d8. Formát JPG podporuje šedotónové osmibitové rastry a TrueColor rastry. Výhodou tohoto formátu je jeho rozšířenost a poměrně snadná přenositelnost.

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí JGW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako další pomocný soubor se používá soubor s extenzí JGE. Zde se zapisují dodatečné informace o rastru, zejména informace o zamaskování a generalizovaná verze rastru.

Poznámka

Soubory ve formátu JPG je nutno dekomprimovat vždy od začátku - je to nepřerušovaný tok bitů. Proto tento formát není příliš vhodný pro přímý přístup ke všem řádkům rastru, zvláště pokud se jedná o větší rastry. Pokud chceme přečíst jen část rastru blízko konce souboru, je nutno dekomprimovat všechny předchozí řádky rastru. JPEG je ztrátová komprese, tzn. že dekomprimovaný obraz není stejný jako původní. To je v TopoLu na obtíž zejména mají-li se komprimovat zamaskované rastry. Protože v TopoLu se maskování provádí pomocí vyhražených indexů úrovně šedi nebo palety, popř. vyhraženou úrovní R - složky u TrueColor rastrů, po dekomprimaci dochází na rozhraní maskované a nemaskované části k šumům a to i při nastavení minimální ztráty komprese.


K

Obsah

Katastrální mapy

Knihovny značek

Kokeš VTX

Kokeš VYK

Kolineární transformace

Komprimace

KTP - popisový soubor pro export/import Vtx,Vkm,Dkm.

Katastrální mapy

Podkladem pro vytvoření kladů katastrálních map byla data získaná z odd. Triangulační dokumentace Zeměměřického úřadu (ZÚ). Těmito daty jsou souřadnice S-JTSK rohů mapových listů měřítka 1:2880 souřadnicových systémů gusterbergského a svatoštěpánského. Původem těchto dat jsou tzv. mílové tabulky.

Protože vytvořené mapové listy nejsou na rozdíl od listů map bývalého pozemkového katastru absolutně stejné vykazuje jednotně připravená buňka s palcovým dělením oproti rozměru mapového listu rozdíly do 1 cm (ve skutečnosti). Tyto rozdíly by však neměly mít podstatný vliv na přesnost práce s klady katastrálních map, které vznikly na podkladě údajů považovaných za jediný standard (z hlediska stanovení správných rozměrů mapových listů).

Knihovny značek

Knihovny značek jsou soubory, které sdružují standardní nebo uživatelem definované značky pro vektorové objekty (body, linie, plochy). Soubory z knihovnou značek mají standardní příponu *.TLS a od verze TopoLu xT 8.0 též *.SLI pro nový formát značek. Značky z knihoven připojených k projektu se pomocí převodníků značek používají k zobrazování vektorových objektů.

Kokeš VTX

Jedná se o výměnný formát systému MISYS firmy GEPRO, popis tohoto formátu je zveřejněný, TopoL xT umožňuje import a export

Kokeš VYK

Jedná se o nativní formát systému MISYS firmy GEPRO, popis tohoto formátu není firmou zveřejněný, TopoL xT umožňuje přímé načtení a jejich případné uložení do bloku.

Kolineární transformace

Při transformaci touto metodou se nezachovávají úhly. Měřítko se změní v obou směrech nezávisle. Tento typ transformace vyžaduje minimálně čtyři páry identických bodů. Je vhodné použít ho např. pro transformaci skenovaných leteckých snímků.

Komprimace

Je to postup, při kterém se některou ze známých metod redukuje velikost souboru. Komprimace rastrů mohou být ztrátové nebo bezztrátové, kdy po opětovné dekomprimaci souboru dostáváme shodný raster s originálem.

KTP - popisový soubor pro export/import Vtx,Vkm,Dkm.

Stručný popis syntaxe .Ktp souboru. Věty začínají znakem "ampersand", z klíčového slova je závazný jen první znak. Následuje seznam typu vět.

&* Komentář
&Font | Převod čísel fontu
&Line | Převod kreslicích klíčů linií/Kokeš na atributy linií/TopoL
&Symbol | Převod čísel symbolů/Kokeš na barvy a značky/TopoL
&End | Konec souboru

Syntaxe parametrů vět Font, Line, Symbol je : <cislo>=<cislo> kde: <cislo> := [K/T]cislo t.j. číslo může předcházet (bez mezery) znak K nebo T, kde K ="Kokes" a T = "TopoL". Může se uvádět tvar "Ki = Tj" i "Tj = Ki", jedno i obě písmena mohou být vynechána, chybí-li obě, platí posledně zadaný "směr" přiřazení, Implicitní směr (na začátku souboru) je K = T.

Na straně TopoL může být 1 až 3 čísla, oddělená čárkou, tedy formálně: [T]j[,j2[,j3]] význam j, j2, j3 je vysvětlen dále. Je-li výstupní hodnota daného přiřazení nulová znamená to, ze příslušné grafické elementy nejsou vůbec do výstupu generovány. Na začátku každé věty je vynulována příslušná tabulka, takže do výstupu se uplatní pouze explicitně zadané transformace. Není-li některá věta uvedena, je naopak příslušná tabulka naplněna vhodnými implicitními hodnotami - zpravidla ve tvaru 1=1, 2=2 ,atd. Významy čísel i,j,j2,j3 pro jednotlivé typy vět:

&Font | i/j čísla fontu Kokeš/TopoL
&Line | i = kreslicí klíč/Kokes, j = barva/TopoL, j2 = značka (typ čáry), j3 = liniový symbol
&Symbol | i = č.symb./Kokes{S=...}, j = barva/TopoL, j2 = značka (č.symbolu)


L

Obsah

Lokalizace v souřadném systému

LZW komprese

Lokalizace v souřadném systému

Viz Umístění rastru

LZW komprese

LZW je sofistikovaná komprese dat založená na práci Lempel-Ziv & Welche. Poskytuje efektivní jednoprůchodové kódování a dekódování. To dovoluje dekomprimovat a zároveň zobrazovat daný rastr. Algoritmus LZW transformuje indexy jednotlivých pixelů na kódy proměnné délky, které mohou být původními hodnotami nebo kódy určitých posloupností pixelů.


M

Obsah

MapInfo MIF/MID

MapInfo TAB

Maskování

MEZ

Mozaika

MrSID komprimace

Multispektrální (Multidimensionální) obraz

MapInfo MIF/MID

Jedná se o výměnný formát systému MapInfo firmy MapInfo, popis tohoto formátu je zveřejněný, TopoL xT umožňuje přímé načtení dat a jejich případné uložení do bloku.

MapInfo TAB

Jedná se o nativní formát systému MapInfo firmy MapInfo, popis tohoto formátu není firmou zveřejněný, TopoL xT umožňuje přímé načtení dat.

Maskování

Maskování rastru je operace, při níž dojde k zprůhlednění zadané oblasti vstupního rastru. Oblast pro maskování může být určena polygonem libovolného tvaru, popř. i několika polygony. Při maskování binárního rastru se pouze zamaskované oblasti přepíší hodnotou pro pozadí, které je transparentní standardně. Pro maskování ostatních typů rastrů je použita určitá vyhražená úroveň, která se jinde v rastru nevyskytuje. Pro osmibitové barevné a šedotónové rastry je použita hodnota 255, pro čtyřbitové rastry pak hodnota 0. U TrueColor rastrů je pro posouzení průhlednosti vždy rozhodující R (červená) složka každého pixelu. Zamaskovaná část má hodnotu R složky vždy 0. U všech formátů kromě RAS je informace o tom, zda je rastr maskován explicitně zaznamenána v pomocném souboru (TFE pro TIF, BPE pro BMP apod.). U formátu RAS by se vyhražené úrovně neměly vyskytovat ani u nezamaskovaných rastrů.

Informace o zamaskované části rastru lze ukládat jako speciální vrstvu (alfa kanál). Jeden pixel tedy zabírá u TrueColor rastru 4 byty - R, G, B, A. Tato nevýhoda je vyvážena skutečností, že většina softwarů bude interpretovat průhlednou část rastru jednotně. Od verze TopoLu xT 8.0 lze správně zobrazovat i TIFy s alfa kanálem.

MEZ

Soubor s příponou *.MEZ je soubor transferu (Look Up Table). Je to pomocný soubor formátu RAS. Obsahuje tabulkovou funkci pro převod 256 možných hodnot pixelů do úrovní 1 - 255. Tyto výsledné úrovně se interpretují buď jako odstíny šedi nebo jako indexy do palety rastru. Soubor má vždy velikost 256 bytů.

Mozaika

Mozaika je složení několika navzájem se překrývajících rastrových obrazů do jednoho, aniž by se vytvořily redundantní informace. Mozaika představuje "projekci" několika rastrů do jednoho rastru. Výsledný obraz rastru by měl být stejný jako v mapovém okně, tedy na překryvu několika rastrů se do výsledného rastru bere v potaz pixel nejhořejšího zobrazeného rastru. Během mozaikování může dojít i k převzorkování - změně velikosti pixelu.

MrSID komprimace

MrSID jsou rastrové soubory komprimované tzv. "wavelet" kompresí s rozlišovací schopností na několika úrovních. Tato vlastnost umožňuje číst rastrová data v potřebném rozlišení se selektivní dekomprimací pouze té části rastru, které je zapotřebí. Metoda byla vyvinuta firmou LizardTech ©, jejíž SDK vývojový nástroj byl použit pro práci v TopoLu. S použitím této metody lze data číst i v nejvyšším rozlišení aniž by bylo nutno dekomprimovat celý rastr. Vyhneme se tak paměťovým a časovým nárokům při dekomprimaci celého rastru. I velmi velké rastry tak mohou být prohlíženy s uspokojivou odezvou při jakémkoli rozlišení. Kompresní poměr je většinou podstatně lepší než u ostatních kompresních metod, např. i u JPEG komprese.

Multispektrální (Multidimensionální) obraz

Jsou to rastrové obrazy, které charakterizují zemský povrch v několika oblastech spektra. Každý bod multispektrálního obrazu je definován uspořádanou n-ticí (x1, x2, ... xn), kde xi představuje hodnotu úrovně šedi v i-tém kanálu a kanál charakterizuje jednu určitou část spektra. Je to vlastně několik geometricky totožných rastrů, zachycující dané území v různých částech spektra.


N

Obsah

Nové rysy v TopoLu xT v práci s rastry

Nové rysy v TopoLu xT v práci s rastry

V TopoLu xT je v práci s rastry celá řada nových prvků. Jsou to jak nové funkce, tak rozšíření funkčnosti stávajících operací, příp. širší škála podporovaných formátů.

Přehled nových rysů

Rastr v souřadných systémech

Každému rastru je přidělena informace o souřadném systému, ke kterému se vztahuje - důležité zejména pro interpretaci souřadného umístění spojeného s daným rastrem. Rastr lze nyní zobrazovat v kterémkoli mapovém okně bez ohledu na jeho souřadný systém. V případě potřeby je rastr v reálném čase natransformován do souřadného systému mapového okna.

Hranice rastrů

Hranici rastrů lze nastavovat individuálně pro jednotlivé rastry nebo jejich skupiny. Lze zvolit i libovolnou liniovou značku.

Lokální menu pro rastr

Pokud je rastr zařazen do projektu, nese si dále informaci o svém souřadném systému. Je též možno použít lokální menu poklepáním pravým tlačítkem myši na odpovídající prvek projektu. Zde jsou jednak přístupné informace o daném rastru - "Vlastnosti" a dále nabídka operací pro daný rastr. Jsou zde geometrické operace, zpracování obrazu a pomocné operace, včetně exportu rastru.

Minimální a maximální měřítko pro zobrazení rastru.

V legendě každého mapového okna lze nadefinovat minimální a maximální měřítko mapového okna, při kterém se bude rastr zobrazovat.

Nové rastrové operace

  • Zrcadlení vertikální

  • Mozaika do mapových listů

  • Řez rastru dle ML

  • Změna barev rastru podle vzoru

  • Ostření rastru

  • Přizpůsobení barev celých rastrů dle vzoru (od verze xT 7.0)

  • Příprava rastru pro vektorizaci (od verze xT 7.0)

  • Vyrovnání rastrů dle linie v dávce (od verze xT 7.0)

  • Interaktivní korekce barev rastrů v mapovém okně (od verze xT 7.0)

  • Obsah okna do rastrů - mapových listů nebo obdélníků (od verze xT 7.0)

  • Editor maker pro rastrové operace (od verze xT 7.0)

  • Export do Tiffu s alfa kanálem (od verze xT 8.0)

  • Transformace rastrů do vybraného souřadného systému (od verze xT 8.0)

  • Transformace rastru po částech speciál (od verze xT 8.0)

  • Mozaika rastrů podle ploch (od verze xT 8.0)

  • Úprava rastru - odstín, nasycení, jas (od verze xT 8.0)

  • Export maskovaných rastrů s výběrem barvy pro maskovanou oblast (od verze xT 8.0)

  • Import rastrů (vč. GeoTifu) umístěných transformační maticí (od verze xT 8.0)

  • Rastrový manager (od verze xT 8.0)

  • Chytání na binární rastry při vektorizaci

  • Zprůhlednění zadané barvy rastru (dočasně - jen při zobrazování) - od verze xT 9.0

  • Tvorba pyramidových generalizovaných rastrů formátu TIF - od verze xT 9.0

  • Převzorkování rastru - změna rozlišení rastru s vyhlazením pomocí filtru (od verze xT 9.0)

  • Export DMT rastru do ASCII celý rastr, popř. vybraná část je exportována do ASCII souboru (od verze xT 8.0). Zároveň se provede transformace do zvoleného souřadného systému.

Vylepšené rastrové operace

  • Obecně

    Všechny rastrové operace lze provádět s širší paletou vstupních formátů.

  • Práce s většími rastry

    U všech rastrových operací lze vytvářet rastry ve formátu TIF a BMP, které nemají omezení týkající se velikosti rastrů, co se týká počtu řádků a sloupců a to i pro TrueColor rastry.

  • Transformace rastru a Transformace rastru po částech

    Při sběru vlícovacích bodů pro transformační klíč je možno kombinovat sběr bodů z různých zdrojů, např. z obrazovky, z existující transformační tabulky nebo z databázové tabulky. Současně systém po zadání druhého vlícovacího bodu začne automaticky nastavovat výřez pro odečtení zdrojové souřadnice.

  • Umístění rastru dle vybraného rohu a šířky celého souboru

    Lze zadat souřadnice libovolného rohu rastru v souřadném systému a určit šířku rastru automaticky ze zadané hustoty skenování a výchozího měřítka rastru.

  • Mozaika

    Oblast pro maskování lze zadat pomocí mapového listu libovolného podporovaného kladu.

  • Zpracování obrazu - operace měnící barevné podání rastru

    U všech dialogů pro tyto operace (Gamma korekce, Jas a kontrast apod.) je vylepšeno okénko s náhledem rastru - umožňuje plynulé zvětšování a posun. Podporuje se práce s kolečkem myši.

    Vyhlazování rastrů při zobrazování provádí u všech těchto dialogů s náhledem (od verze xT 9.0). Zlepšuje se tak vizuální kvalita náhledu - zmenšuje se šum, zvětšuje se kvalita zobrazování detailů.

  • Zobraz 3D

    V dialog pro nastavení parametrů 3D pohledu je při změně hodnoty vertikálního a horizontálního úhlu pohledu zkontrolovat nastavení v malém náhledovém okénku s otočným panelem. Vlastní zobrazení 3D pohledu je řešeno jako dialog, kde je možno doladit nastavené parametry zobrazení a provést obnovu zobrazení.

  • Editace palety a Operace s transferem

    Obě operace umožňují bezprostřední kontrolu výsledku v náhledovém panelu. U operace s transferem je možno okamžitě sledovat výsledek standardních nastavení transferu. U editace palety je možno poklepáním na nějaký pixel v náhledovém okně nastavit index odpovídající barvy v paletě a tuto barvu pak editovat.

  • Odečítání jmen rastrů

    Systém pracuje i pokud máme některé z oken v jiném souřadném systému než je souřadný systém dat. Klikneme-li levým tlačítkem na nějaký rastr, objeví se dialog se zobrazením jmen všech rastrů, které zasahují do daného bodu. V dialogu lze pak modifikovat zobrazení těchto rastrů a zobrazovat jejich charakteristiky.

  • Rastrové operace a vektorová data

    Rastrové operace, které nějak souvisí s vektorovými daty lze provádět i s jinými podporovanými formáty než je blok TopoLu. Jde např. o operace jako tvorba DMT rastru z bodů a linií nebo maskování rastru dle ploch. Mohou být tedy použita např., data ve formátu ShapeFile.

  • Import grid XYZ

    Nová varianta importu z textového souboru nepředpokládá, že body tvoří síť s pravidelnou roztečí, která odpovídá rozměru pixelu ve směru Y, resp. X.. Digitální rastrový model se vytváří pomocí triangulace, kdy se extrapolují hodnoty pro ty pixely rastru, pro které není uvedena v souboru výšková informace.

  • Zápis binárních TIFů s LZW kompresí při libovolné operaci (od verze xT 8.0)

  • Interpretování alfa kanálu TrueColor rastrů pro zprůhlednění jejich částí (od verze xT 8.0)

  • Přímé zobrazování rastrů (vč. GeoTifu) umístěných transformační maticí (od verze xT 8.0)

  • Mozaika rastrů podle mapových listů doplněna o možnost přesahu a kontroly výstupních rastrů (od verze xT 8.0)

  • Lokalizace rastru pomocí obdélníka (od verze xT 8.0)

  • Nový typ transformace - rotace s posunem (od verze xT 8.0)

  • Vylepšení práce s rastry v mapovém okně (funkce Odečítání jmen rastrů kurzorem) od verze xT 9.0. Po identifikaci rastru v mapovém okně, lze zjistit plochu, kterou pokrývá a lze měnit jeho pořadí v legendě mapového okna (posouvat do popředí či do pozadí). Při práci s mnoha rastry se tak vyhneme hledání v seznamu rastrů mapového okna.

    Při zobrazování barevných rastrů lze v legendě mapového okna vybrat jednu z metod filtrování pixelů rastru (interpolace), která v mnohých případech přináší lepší obrazovou kvalitu (méně šumu, hladké obrysy objektů).

  • Práce s většími rastry než 2 GB

    U rastrových operací (od verze xT 9.0] lze vytvářet rastry ve formátu TIF a BMP, které mají omezení týkající se velikosti rastrových souborů zvýšeny na 4 GB. Je samozřejmě nutno pracovat v operačním systému, který to umožňuje.

Nově podporované formáty rastrů

TopoL nově podporuje, tzn. může přímo pracovat s celou řadou dalších standardních formátů:

  • Geotiff

  • Další subtypy formátu TIFF

    Jedná se zejména o podporu dalších komprimačních metod jako je JPEG a ZIP. Dále se podporují rastrové soubory s větším počtem složek pro jeden pixel než je R, G, B a soubory s jinou barevnou interpretací složek jako je např. YCbCr.

  • HRF

  • SID

  • COT

  • RGB

  • RLE

  • ECW

  • PCX

  • Tiff s alfa kanálem

  • JPEG2000 (od verze xT 9.0)


O

Obsah

Orientace os souřadného systému

Osmibitový rastr

Orientace os souřadného systému

TopoL podporuje celou řadu projekčních a geografických systémů, ve kterých jsou lokalizována jak vektorová, tak i rastrová data. Některá data si nesou informaci o souřadném systému s sebou, jiným je tato informace přidělena zvenku aplikací. Také mapová okna se mohou nastavit do libovolného podporovaného systému. Je důležité upozornit, že souřadný systém S-JTSK se od všech ostatních liší v orientaci souřadných os.

Orientace os v S-JTSK.

V tomto systému je tedy počátek os a tedy minimální hodnoty souřadnic vpravo nahoře.

Orientace os v jiných systémech než S-JTSK např. Gauss-Krueger.

V tomto systému je tedy počátek os a tedy minimální hodnoty souřadnic vlevo dole.

Osmibitový rastr

Je to šedotónový nebo barevný rastrový soubor, jehož pixely mají velikost osmi bitů tj. jednoho Bytu. Pixely mohou tedy nabývat hodnot 0-255 a rastrový obraz může mít 256 odstínů šedi popř. barev.


P

Obsah

PAL

Paleta

PAM

PCX

Pixel

Podobnostní transformace

Pojmenované výřezy

Polynomická transformace druhého stupně

Polynomická transformace třetího stupně

PostGIS

Převodníky barev

Převodníky značek

Připojené soubory

PAL

Soubor *.PAL je soubor palety (Color Look Up Table), který charakterizuje barevný rastr. Je to pomocný soubor formátu RAS. Obsahuje RGB složky pro jednotlivé barvy. Jeho velikost závisí na počtu barev, kterých může být až 255.

Paleta

Paletou se rozumí tabulka - pole, které ve svých položkách definuje jednotlivé barvy. Aplikace se na tyto položky odkazuje pomocí indexu, jakožto pořadového čísla barvy v paletě. Grafická zařízení mají též paletu. Počet barev v systémové paletě Windows je závislý na softwarovém nastavení systému a na hardwarových možnostech. Při barevné hloubce osmi bitů je to 256 barev.

PAM

PAM je soubor, který obsahuje původní barevnou paletu importovaného rastrového souboru (např. BMP, TIFF), která je obsažena v hlavičce. Soubor *.PAM slouží pro obnovení této palety. exportujeme-li takovýto rastrový soubor zpátky do jeho původního formátu. PAM se vytvoří, pouze, je-li při importu daného souboru zatrženo kontrolní tlačítko "Uchovat paletu".

PCX

Formát PCX je formát rastrových dat s poměrně jednoduchou kompresí bytů (tzv. run/length neboli pacbits). Je to formát vyvinutý firmou ZSoft Corporation (c), užívaný hlavně softwarem PC Paintbrush (TM). Existuje dvoubarevný, 16-ti barevný, 256-ti barevný a s 16-ti milióny barev (TrueColor).

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí PXW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako další pomocný soubor se používá soubor s extenzí PXE. Zde se zapisují dodatečné informace o rastru, zejména informace o zamaskování a generalizovaná verze rastru.

Pixel

Pixel představuje obrazový bod. Je to nejmenší diskrétní prvek, který se vyskytuje v rastrovém obrazu. Je to jeden prvek matice kterou je tvořen digitalizovaný obraz.

V případě binárních obrazů odpovídá jeden pixel jednomu bitu a má dva stavy pozadí/kresba. V případě šedotónových a barevných rastrových obrazů může pixel nabývat hodnot 1 až 255 (resp. 0-15) tj. zaujímá jeden byte (resp. 4 bity). V případě True Color rastrů jsou pro jeden pixel vyhrazeny 3 byty, které nesou informaci o R, G, B složkách. Existují i rastrové formáty, které podporují i jiné barevné modely, např. CMYK, YCbCr apod.

Podobnostní transformace

Při transformaci touto metodou systém provede posunutí, otočení a změnu měřítka v obou směrech. Tento typ transformace vyžaduje minimálně dva páry identických bodů. Používá se pro transformaci digitalizovaných map.

Pojmenované výřezy

Pojmenované výřezy jsou "pohledy" v mapových oknech definované jménem, velikostí, umístěním a souřadným systémem. Slouží k snadném přechodu mezi pohledy na data v mapových oknech.

Správa pojmenovaných výřezů se provádí v dialogu Výřezy, který je dostupný z menu Zobrazení, příkaz Správa pojmenovaných výřezů.

Polynomická transformace druhého stupně

Metoda vyžaduje minimálně šest párů identických bodů. Nezachovává přímky.

Polynomická transformace třetího stupně

Metoda vyžaduje minimálně deset párů identických bodů. Nezachovává přímky. Vhodná pro transformace zkreslených satelitních snímků.

PostGIS

Data GIS lze také ukládat přímo do databáze PostgreSQL s rozšířením PostGIS, TopoL xT umožňuje přímé načtení i uložení dat do této databáze.

Převodníky barev

Převodníky barev jsou tabulky, které převádějí hodnotu z databáze u vektorových objektů na barvu. Jsou určeny pro získání barvy vektorových objektů při jejich zobrazování. Převodníky barev jsou součástí projektu.

Převodníky barev mohou být vytvářeny pro data typu celé číslo, reálné číslo, text a pro logické hodnoty (Ano-Ne). U převodníků vytvářených dle textových hodnot se rozeznávají malá a velká písmena. Převodníky barev mohou buď být tabulky jedinečných hodnot nebo tabulky intervalů (viz. Typy převodníků). Speciálním převodníkem je Převodník barev dle TopoLu.

Správa převodníků barev v projektu se provádí pomocí dialogu Převodníky barev, který je přístupný z menu Nástroje, příkaz Převodníky barev.

Převodníky značek

Převodníky značek jsou tabulky, které převádějí hodnotu z databáze u vektorových objektů na značku. Jsou určeny pro získání značky vektorových objektů při jejich zobrazování. Převodníky značek jsou součástí projektu.

Převodníky značek mohou být vytvářeny pro data typu celé číslo, reálné číslo, text a pro logické hodnoty (Ano-Ne). U převodníků vytvářených dle textových hodnot se rozeznávají malá a velká písmena. Převodníky značek mohou buď být tabulky jedinečných hodnot nebo tabulky intervalů (viz. Typy převodníků). Speciálním převodníkem je Převodník značek dle TopoLu.

Správa převodníků značek v projektu se provádí pomocí dialogu Převodníky značek, který je přístupný z menu Nástroje, příkaz Převodníky značek.

Připojené soubory

K projektu lze připojit externí soubory. Tyto soubory nejsou přímou součástí projektu, pouze je na ně v projektu vytvořen odkaz. Pro vytváření odkazů je používána substituce adresářů.

Správa souborů připojených k projektu se provádí v dialogu Připojené soubory, který je dostupný z menu Projekt, submenu Připojené soubory, příkaz Upravit seznam připojených souborů.


R

Obsah

RAK

RAS

Rastr

RGB

RLE

RAK

Komprimovaná verze interního formátu RAS.TopoL xT umožňuje práci přímo s formátem RAK bez dekomprimace na diskový prostor. Formát RAK však není vhodný pro přímý přístup do souboru, který je potřeba pro otáčení nebo transformaci rastru. Pak se automaticky vytváří dočasné dekomprimované kopie rastru. Komprimace je účinná zejména pro binární rastrová data. Pro hromadnou konverzi z do formátu RAK lze použít operace 'Komprimace' a 'Dekomprimace' v 'Pomocných operacích'.

RAS

Interní rastrový formát TopoLu, který je používán též softwarovými produkty firem ATLAS a GEPRO (Kokeš a pod.). Může být uspořádán po řádcích i dlaždicích. Dlaždicová varianta může být komprimována 'packbits' kompresí. Z důvodů kompatibility není možno vytvářet rastry větší než s 65520 řádky či sloupci. Formát RAS má případnou generalizovanou variantu rastru pro rychlé zobrazování uloženu přímo v souboru RAS. Formát používá řadu pomocných souborů, zejména PAL, PAM, HST a MEZ. RAS má uloženo umístění (lokalizaci v souřadném systému) přímo v souboru RAS. RAS má hlavičku pevné délky o velikosti 512 bytů.

Při vzniku jakéhokoli nového rastru systém vytváří automaticky generalizovanou verzi rastru, ale pouze při splnění určitých podmínek. Vytvářený rastr musí být rastr verze 2, jehož velikost přesáhla empiricky stanovenou hranici. Generalizaci lze provést příkazem Generalizace v pomocných operacích s rastry.

Formát RAS podporuje všechny subtypy rastru, tj. binární, šedotónové (čtyř i osmibitové), barevné (čtyř i osmibitové), TrueColor a navíc DMT (dvou a čtyř bytové).

Rastr

Rastr je množina obrazových dat ve tvaru matice řádků a sloupců. Každá buňka matice je jednoznačně definovaná svými souřadnicemi a nese informaci o barvě resp. hodnotě šedi v daném bodě. Rozlišujeme tyto základní typy rastrových obrazů:

  • binární

  • šedotónový

  • barevný

  • True Color

  • DMT

TopoL používá vlastního rastrového formátu RAS popř. RAK. Kromě toho podporuje, tzn. může přímo pracovat s celou řadou dalších standardních formátů:

  • TIFF

  • BMP

  • CIT

  • JPG

  • JPEG2000

  • GIF

  • PCX

  • HRF

  • SID

  • COT

  • RGB

  • RLE

  • ECW

Většina stávajících formátů je spojena s určitým výrobcem softwaru či hardwaru, který daný formát přizpůsobil co nejvíce svým potřebám. Všechny formáty však mají určité záhlaví, které jednoznačně identifikuje daný formát, a kde jsou základní údaje o rastru, jako je barevná hloubka, počet řádků a sloupců, metoda uložení pixelů (dlaždice, pásy a pod.), použitá metoda komprimace, popř. paleta nebo souřadnicové umístění rastru. Dále jsou v rastrovém souboru vlastní pixely, které mohou být uloženy nejrůznějším způsobem - po řádcích, sloupcích, dlaždicích, komprimované, nekomprimované atd.

U některých formátů je z určitých důvodů např. kompatibility se staršími verzemi softwaru omezena velikost rastru. U formátů RAS, PCX je počet řádků a sloupců omezen do 65520. Většina ostatních rastrů nemá velikost omezenu avšak v TopoLu je možno vytvářet rastry, jejichž velikost jako souboru nepřesáhne 2 GB (od verze TopoLu xT 9.0 pak 4 GB).

RGB

Formát RGB je formát rastrových dat firmy INTERGRAPH Corporation (c). Jeho hlavička obsahuje základní údaje o rastrovém obraze. Obsahuje i informace o lokalizaci souboru v souřadném systému. Používá pro uložení TrueColor rastrových dat. Není komprimován.

Jako pomocný soubor se používá soubor s extenzí RBE. Zde se zapisují dodatečné informace o rastru, zejména informace o pomocné paletě pro zobrazování v režimech s nižší barevnou hloubkou než je HiColor a generalizovaná verze rastru.

Pixely tohoto rastru mohou být uloženy po řádcích nebo po sloupcích. Počátkem odkud se data ukládají může být přitom libovolný roh rastru. Rastr tak může být v některých případech oproti standardnímu způsobu uložení řádků od shora dolů vlastně otočen o +- 90 stupňů. TopoL je schopen importovat všechny varianty, lokalizaci však přenese jen v některých případech. Pro přímou práci s takovým rastrem jsou možné pouze varianty s řádky ukládanými horizontálně shora dolů. Počátek dat může být v horním levém i pravém rohu.

Poznámka

Existuje i varianta tohoto formátu, kdy pixely jsou uloženy po dlaždicích. V tomto případě však jsou v TopoLu podporovány jen ty způsoby uložení řádků a sloupců, které nevyžadují provedení transformace na standardní uložení pixelů po řádcích shora dolů.

RLE

Formát RLE je formát rastrových dat firmy INTERGRAPH Corporation (c). Jeho hlavička obsahuje základní údaje o rastrovém obraze. Obsahuje i informace o lokalizaci souboru v souřadném systému. Používá pro uložení binárních rastrových dat. Používá variantu packbits komprimace.

Jako pomocný soubor se používá soubor s extenzí REE. Zde se zapisuje generalizovaná verze rastru a generalizovaná verze rastru.

Pixely tohoto rastru mohou být uloženy po řádcích nebo po sloupcích. Počátkem odkud se data ukládají může být přitom libovolný roh rastru. Rastr tak může být v některých případech oproti standardnímu způsobu uložení řádků od shora dolů vlastně otočen o +- 90 stupňů. TopoL je schopen importovat všechny varianty, lokalizaci však přenese jen v některých případech. Pro přímou práci s takovým rastrem jsou možné pouze varianty s řádky ukládanými horizontálně shora dolů. Počátek dat může být v horním levém i pravém rohu.


S

Obsah

SID

Souřadnicově připojený rastr

Spektrální pásmo (kanál)

Standardní šablona projektů

Stav rastru

Substituce adresářů

Synchronizovaná mapová okna

SID

SID je extenze rastrových dat ve formátu MrSID pro komprimované šedotónové a TrueColor rastrové obrazy. Jsou to rastry komprimované tzv. "wavelet" kompresí s rozlišovací schopností na několika úrovních.

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí SDW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako pomocný soubor se používá soubor s extenzí SDE. Zde se zapisují dodatečné informace o rastru, zejména informace o transferu šedotónového rastru.

Souřadnicově připojený rastr

Souřadnicově připojený rastr je rastr, jehož umístění v souřadném systému známe. Rastr, který chceme otevřít v TopoLu musí být souřadnicově připojený. V opačném případě systém nejprve požaduje jeho umístění. Souřadnicové připojení rastru lze zjistit z informací o daném rastru, kde jsou uvedeny minimální a maximální souřadnice ve směrech obou os. Tyto údaje se vždy vztahují ke středům odpovídajících rohových pixelů rastru.

Spektrální pásmo (kanál)

Je to část multispektrálního (multidimensionálního) obrazu charakterizující zemský povrch v některé části spektra. Je reprezentováno jedním šedotónovým rastrovým souborem.

Standardní šablona projektů

Standardní šablona projektů je šablona, která je součástí programu TopoLu xT, je použita jako implicitní po instalaci a nelze ji vyřadit ze seznamu šablon pro projekty.

Stav rastru

Rozlišujeme tyto stavy rastru:

  • souřadnicově připojen - umístění rastru v souřadnicovém systému je známo

  • souřadnicově nepřipojen - rastr není polohově specifikován

V systému TopoL pro Windows je možno zobrazit jen souřadnicově připojený rastr. Připojení rastru je charakterizováno minimální a maximální hodnotou souřadnic, které odpovídají ploše pokryté daným rastrem.

Substituce adresářů

Substitucí adresáře se rozumí nahrazení části cesty k souboru (adresáři) symbolickým jménem. Substituce obsahuje jedinečné jméno a cestu, nebo část cesty, k souboru (adresáři).

Substituce adresářů slouží k přenositelnosti dat - do projektu se místo skutečné cesty ke všem souborům (adresářům) ukládají pouze cesty, jejichž části jsou nahrazeny symbolickým jménem uzavřeným znaky |. Pokud pak dojde k přenosu projektu do jiného adresáře (např. při přenosu na jiný počítač), stačí změnit hodnotu substituce a celá datová struktura může být znova bez problému načtena z jiného adresáře aniž by bylo třeba měnit nastavení na mnoha místech.

jméno substituce: sample, nahrazovaná cesta d:\Data\

Cesta d:\Data\TopoLxT\Sample.xml bude v projektu uložena jako |sample|TopoLxT\Sample.xml

Substituce adresářů se nastavují v dialogu Nastavení prostředí v položce Substituce adresářů. Dialog je přístupný z menu Nástroje, příkaz Možnosti...

Synchronizovaná mapová okna

Synchronizovaná mapová okna "udržují" stále stejný výřez - pokud dojde v jednom ze synchronizovaných mapových oken ke změně výřezu je tento výřez zároveň nastaven ve ve všech ostatních mapových oknech, které jsou s ním synchronizovány.

Synchronizovaná mapová okna lze členit do několika skupin - změna výřezu se projeví pouze v rámci jedné skupiny.

Poznámka

Správa skupin synchronizovaných mapových oken se provádí v dialogu Synchronizace oken, který je přístupný z menu Mapové okno, příkaz Synchronizace.


Š

Obsah

Šablona projektu

Šedotónový rastr

Šablona projektu

Šablona projektu se používá pro vytvoření nového projektu. Šablonou může být libovolný projekt TopoLu xT zařazený do seznamu šablon. Seznam šablon projektů je součástí programu, není součástí žádného projektu.

Poznámka

Správa šablon se provádí v dialogu Šablony. Ten je přístupný z menu Nástroje, příkaz Šablony.

Vytvoření nového projektu na základě šablony se provede tak, že se příslušná šablona otevře stejně, jako by se jednalo o projekt (jsou načtena všechny součásti projektu - data, převodníky, knihovny značek i stylů, atd.) a projekt je označen jako nový, neuložený na disku.

Speciálními druhy šablon jsou standardní šablona a implicitní šablona.

Šedotónový rastr

Šedotónový rastr obsahuje pixely o velikosti jednoho bytu popř. čtyř bitů, které nesou informaci o odstínu šedi (úrovně 0 - 255 popř. 0-15). Interpretace takového rastru je v TopoLu závislá na obsahu pomocného souboru transferu (*.MEZ pro formát RAS, *.TFE, *.GFE, *.SDE apod.), který transformuje hodnoty pixelů na úrovně šedi.


T

Obsah

TIF

TopoL CE

TopoL blok

Transfer

TrueColor

Typy převodníků

TIF

TIFF (TAG IMAGE FILE FORMAT) je formát rastrových dat pro komprimované i nekomprimované binární, šedotónové, barevné a TrueColor rastrové obrazy. Všechny soubory formátu TIFF (*.TIF) mají hlavičku proměnné délky, v níž je uveden jeden z několika podporovaných typů komprese. Hodnoty uchovávané v rastrovém souboru nemusí být vždy v Intelovském formátu. TopoL podporuje i čtení této varianty. Vlastní pixely jsou uloženy buď v dlaždicích nebo v pásech, které obsahují určitý počet řádků. Je to jeden z nejrozšířenějších rastrových formátů. Je velmi mnoho subtypů tohoto formátu, které se liší kombinací použité komprimační metody, barevné hloubky pixelů a dalších faktorů, což může být někdy překážkou při přenosu dat z jednoho systému do druhého. TopoL podporuje velmi širokou škálu variant formátu TIFF, které zahrnují komprese od packbits, CCITT Group 3, 4, LZW, ZIP a JPEG. Jsou podporovány, a to i pro zápis, dlaždicové i řádkové formy ukládání pixelů. Lze načítat i rastry s jiným počtem komponent pro pixel jako je CMYK, popř. s jiným barevným modelem než RGB - YCbCr.

Pro záznam o umístění (lokalizaci v souřadném systému) je použit pomocný soubor s extenzí TFW - jedná se o konvenci používanou systémy ARCView (tzv. worldfile).

Jako další pomocný soubor se používá soubor s extenzí TFE. Zde se zapisují dodatečné informace o rastru, zejména informace o zamaskování a generalizovaná verze rastru.

TopoL CE

Program TopoL CE je levné GIS řešení pro navigaci a získávání dat v terénu pomocí GPS. Tento program běží pod operačním systémem Windows CE na počítačích typu Pocket PC. Program může vykreslovat jak rastrová, tak i vektorová data. Počet vrstev není omezen. Pracuje s vektorovým formátem ArcView Shapefile, a rastrovými daty ve tvaru MapLib. Tento typ rastrového souboru je možno vytvořit v TopoLu xT. Jedná se o jeden soubor, který může obsahovat libovolný počet jiných rastrů jako jednotlivé vrstvy. Tento způsob byl zvolen pro jednoduchost ovládání, které je v terénu obzvlášť důležité.

TopoL blok

Jedná se o nativní formát systému TopoL firmy TopoL Software, popis tohoto formátu není firmou zveřejněný, jedná se o vlastní formát

Transfer

Pomocný soubor transferu s extenzí MEZ uchovává převodní tabulku hodnot pixelů na úrovně šedi nebo pořadové číslo barvy v paletě rastru.

TrueColor rastr

V případě True Color rastrů jsou pro jeden pixel vyhrazeny 3 byty, které nesou informaci o R, G, B složkách.

Typy převodníků

Převodníky jsou dvojího druhu:

Převodník dle jedinečných hodnot

V převodnících dle jedinečných hodnot je každé konkrétní hodnotě, která musí být v rámci převodníku jedinečná, přiřazena jedna barva (značka, styl). Ke každé položce převodníku tohoto typu lze také přiřadit její popis.

Poznámka

Z důvodu zaokrouhlování není tento typ převodníku vhodný pro reálná čísla.

Převodník dle rozsahů hodnot

V převodnících dle rozsahů hodnot je každému intervalu hodnot přiřazena jedna barva (značka, styl). Intervaly jsou zleva uzavřené, zprava otevřené a nesmí se překrývat. Ke každé položce převodníku dle rozsahu hodnot lze přiřadit také dva popisy - pro každou hranici intervalu jeden.

Poznámka

Tento typ převodníku nelze použít pro logické hodnoty - rozsahy hodnot nemají v tomto případě žádný smysl.


U

Obsah

Umístění rastru

Uživatelské značky

Umístění rastru

Umístěním rastru (lokalizace) vzhledem k souřadnému systému se rozumí minimální a maximální souřadnice ve směrech obou os. Tyto údaje se vždy vztahují ke středům odpovídajících rohových pixelů rastru. Poloha každého pixelu rastru k souřadnému systému je u souřadnicově umístěného rastru jednoznačně určena. Způsob zápisu umístění rastru je různý pro různé formáty rastrových dat. Protože kromě malé části standardních formátů (např. GeoTiff) nejsou v rastru zaznamenány žádné informace o souřadném systému, ke kterému se umístění vztahuje, je interpretace těchto údajů závislá na konkrétním souřadném systému, ke kterému byl rastr přiřazen v projektu TopoLu. Rastr lze umístit pomocí transformace rastru a operací "Umístění rastru".

V některých případech lokalizace rastru obsahuje prvek rotace, tj. rastr je umístěn pomocí obecné transformační matice afinní transformace. Tato matice je obvykle uložena v pomocném souboru pro lokalizaci (TFW, BPW, apod.). Může ale být uložena i přímo v souborech typu Geotiff. Tyto rastry lze sice od verze TopoLu xT 8.0 zobrazovat přímo, ale jinak s nimi nelze provádět geometrické operace. Importem do jiného rastru, tj. lze odstranit nutnost transformovat rastr během zobrazování, takže dojde k urychlení zobrazování .

Uživatelské značky

Od verze TopoLu xT 8.0 byl přepracován systém uživatelských značek. Při definici a kreslení uživatelských značek (bodových, liniových i plošných) se používají standardní vektorové formáty, jako je WMF, EMF a SVG. Uživatelské značky lze snadno načítat z těchto souborů a pro jejich editaci lze použít širokou škálu software – CorelDraw, Adobe Illustrator, atd., případně i volně šiřitelné nástroje jako je například OpenOffice Draw nebo Sodipodi.

Stávající uživatelské značky jsou TopoLem samozřejmě i nadále přímo podporovány.


V

Obsah

VFK

Výběr souřadného systému

Výběrový obdélník s pevným poměrem stran

Výběrový obdélník s proměnným poměrem stran

Vytváření nových rastrů

VFK

Jedná se o výměnný formát dat katastru nemovitostí, popis tohoto formátu je zveřejněný, TopoL xT umožňuje import a export, jedná se o nový formát

Výběr souřadného systému

Výběr souřadného systému se provádí v tomto dialogu.

Dialog Výběr souřadného systému

V poli Region, lze zvolit oblast pro kterou je požadovaný souřadný systém definován.

V prvním sloupci tabulky Souřadné systémy jsou uvedeny názvy podporovaných souřadných systémů, v druhém sloupci jejich typ - Geographic CS (geografický souřadný systém) nebo Projected CS (projekční souřadný systém).

Souřadný systém vyberete jeho označením v tabulce a stisknutím tlačítka OK, případně dvojklikem na požadovaný souřadný systém.

Poznámka

Seřadit souřadné systémy dle jejich názvu nebo typu lze kliknutím na záhlaví sloupce tabulky ze souřadnými systémy.

Výběrový obdélník s pevným poměrem stran

je grafický nástroj - obdélník, jehož strany mají stejný poměr jako strany zobrazovací plochy mapového okna. Výběrový obdélník s pevným poměrem stran se používá především pro graficky zadanou změnu výřezu v mapovém okně (příkazy Zoom + a Zoom - z menu Zobrazení).

Výběrový obdélník lze ovládat myši i klávesnicí:

Klávesa / tlačítko myši | Význam
Esc | Zrušení příkazu výběru obdélníkem
Enter/Levé tlačítko | Potvrzení výběru obdélníkem.
Insert/Prostřední tlačítko | Přepnutí mezi módem změny velikosti a posuvem obdélníku.
Pravé tlačítko | Lokální nabídka - kontextové menu.

Výběrový obdélník s proměnným poměrem stran

je grafický nástroj - obdélník, jehož strany mají proměnný poměr stran. Výběrový obdélník s proměnným poměrem stran se používá především výběry grafických objektů v mapovém okně (například příkaz Atributy objektu z menu Mapové okno).

Výběrový obdélník lze ovládat myši i klávesnicí:

Klávesa / tlačítko myši | Význam
Esc | Zrušení příkazu výběru obdélníkem
Enter/Levé tlačítko | Potvrzení výběru obdélníkem.
Insert/Prostřední tlačítko | Přepnutí mezi módem změny velikosti a posuvem obdélníku.
Pravé tlačítko | Lokální nabídka - kontextové menu.

Vytváření nových rastrů

Téměř u všech operací s rastrovými daty lze ukládat výstupní rastr v jednom z formátů RAS, TIFF, resp. BMP. Formát rastru, jeho jméno, subtyp a komprese se zadává v dialogu pro výběr výstupního rastru.

Formáty TIFF a BMP jsou tak naprosto rovnocennými formáty s interním formátem RAS. Tyto typy rastrů lze vytvářet i při takových operacích jako je maskování, tvorba mozaiky, transformace rastru apod. U formátu TIFF je také možné použít všechny typy podporovaných vnitřních komprimací tohoto formátu. Lze tak přímo pracovat s těmito vysoce komprimovanými rastry bez nutnosti dekomprimovat je na disk.


W

Obsah

WMS servery

WFS

WMS servery

Internet mimořádně usnadňuje práci s geodaty díky možnosti sdílení dat a existenci standardů OGC (Open Geospatial Consortium). Web Map Service (WMS) a Web Feature Service (WFS) jsou základními službami pro práci s mapami na Internetu. Tyto služby (protokoly) byly vyvinuty jako standard pro přenášení map a polohově určených dat přes Internet za účelem vytváření mapových kompozic. Tyto služba umožňují, aby si uživatel ve své aplikaci kombinoval data nejen v různých formátech, ale i data uložená lokálně, s daty poskytovanými z několika internetových mapových serverů. Tyto servery potom dokonce mohou využívat služby jiných serverů. Pro popis standardního protokolu komunikace je použit formát XML.

TopoL xT pracuje jako WMS klient a umožňuje tak zobrazovat data, která jsou v současné době přes WMS přístupná. Po zjištění poskytovaných datových vrstev si uživatel může vybrat vrstvy po zobrazení a ty zařadit do mapového okna TopoLu. "Obrázek" dat se potom stahuje při každé změně zobrazeného výřezu, nebo se stáhne pouze na požádání. Tato možnost je v TopoLu xT uživatelsky nastavitelná - záleží na rychlosti připojení počítače a vhodnosti pro uživatele. TopoL xT také umožňuje provádět výběry nad dotazovacími vrstvami.

Klientská aplikace nejdříve musí zjistit schopnosti mapového serveru jaké mapové vrstvy nabízí, jaké souřadné systémy a výstupní formáty (v případě WMS) podporuje atp. Potom již může na mapový server posílat požadavky na generování dat (rastrových obrázků s definovanými vrstvami v případě WMS, vektorových objektů, kde geografická data jsou ve formátu GML v případě WFS), v definovaném souřadném systému, atd. Některé vrstvy jsou také dotazovací. To znamená, že poskytují popisné informace vztažené k poloze. Po zadání souřadnic se vybere objekt a server pošle informace o tomto objektu.

WFS

Web Feature Service (WFS) jsou základními službami pro práci s mapami na Internetu. V případě služby WMS generuje server rastrové obrázky, v případě služby WFS pak přímo vektorové objekty ve formátu GML. Podpora WMS je v TopoLu xT implementována již od verze 7.0. V novějších verzích bude doplněna i podpora služby WFS ve formě klienta.


Kapitola 14. ToPas

Obsah

Definice a použití jazyka ToPas
Symboly jazyka ToPas
Typy jazyka ToPas
Definice výrazů
Operandy
Konstantní hodnoty
Celá čísla
Reálná čísla
Řetězce
Logické hodnoty
Datum
Odkazy na databázové tabulky
Syntaxe pro odkazy na databázové tabulky
Rozšířená syntaxe pro odkazy na databázové tabulky
Odkazy na interní atributy grafických objektů
Syntaxe pro odkazy na interní atributy grafických objektů
Rozšířená syntaxe pro odkazy na interní atributy grafických objektů
Základní identifikace objektu
Základní vlastnosti objektu
Zobrazovací atributy a zobrazování objektu
Geometrický obrys objektu
Geometrický tvar objektu
Prostorové vztahy mezi objekty
Základní geometrické vlastnosti bodu
Doplňkové vlastnosti bodu
Základní geometrické vlastnosti linie
Doplňkové vlastnosti linie
Základní geometrické vlastnosti plochy
Doplňkové geometrické vlastnosti plochy
Základní geometrické vlastnosti textu
Doplňkové vlastnosti textu
Interní funkce
Matematické funkce
Funkce pro práci s řetězci
Funkce pro práci s datem
Funkce pro spouštění jiných aplikací
Volání makra
Funkce pro manipulaci s barvami
Funkce pro manipulaci s inicializačními soubory
Různé funkce
Statistické funkce
Funkce pro výběr ze seznamů
Funkce pro řazení seznamů
Další funkce pro manipulaci se seznamy
Výrazy uzavřené v závorkách
Odkaz na konstantu
Odkaz na proměnnou
Operátory
Aritmetické operátory
Logické operátory
Relační operátory
Řetězcové operátory
Odkaz na dynamické textové atributy
Datumové operátory
Operátor přetypování
Přetypování operandu na numerické hodnoty
Přetypování na řetězec
Přetypování na logické hodnoty
Přetypování numerické hodnoty na datum
Priorita operací
Výrazy reprezentující seznam hodnot
Vyčíslování výrazů vyjadřujících seznam hodnot
Použití výrazů reprezentujících seznam hodnot
Matematické kvantifikátory
Deklarační bloky
Deklarace konstant
Deklarace proměnných
Deklarace symbolických jmen databází
Deklarace symbolických jmen databází grafických objektů
Deklarace parametrů programu
Příkazy
Přiřazovací příkaz
Procedury pro výstup
Procedury pro vstup
Složený příkaz
Rozhodovací příkaz
Příkazy cyklu
Makra
Hlavička makra
Deklarační část makra
Hlavní tělo makra
Formát barev a značek
Formát čísla barvy pro vektorová data
Formát čísla značky pro vektorová data
Formát čísla stylu pro textové objekty
Editor výrazů
Dialog pro volbu výrazu
Editor výrazu


Definice a použití jazyka ToPas

Využití řady analytických nástrojů v TopoLu je závislé na možnosti uživatele definovat často velmi komplexní podmínky pro tyto úlohy a schopnostech programu tyto podmínky zpracovávat. V programu TopoL je možno pro definici těchto podmínek používat interního programovacího jazyka ToPas, který má syntaxi odvozenu z programovacího jazyka Pascal.

TopoL poskytuje možnost použít variantu tohoto jazyka omezenou na výrazy v rámci těchto úloh:

  • definice popisu jednotlivých grafických objektů,

  • definice dotazu pro výběr grafických objektů,

  • definice vztahu pro přepis atributu připojeného ke grafickým objektům v primární databázové tabulce,

  • definice vztahu pro přepis znění textu grafických textových objektů,

  • definice dotazu pro výběr záznamů databáze v režimu tabulky (Browse),

  • definice vztahu pro přepis položky databázové tabulky,

  • definice řídícího vztahu při tvorbě převodníků barev a značek,

  • definice položky pro výpis součtu při výběru grafických objektů,

  • definice výrazu pro sumarizaci v režimu tabulky (Browse),

  • definice výrazu pro výpis všech možných hodnot výrazu pro záznamy v DB tabulce (v režimu tabulky Browse),

  • definice výrazu pro výpis duplicitních hodnot výrazů pro záznamy v DB tabulce (v režimu tabulky Browse),

  • definice výrazu pro definici kartodiagramů (od verze 8.0)

  • definice položky pro body, linie a plochy při exportu dat do textového tvaru pro systém ARC/INFO

Plná verze jazyka ToPas se pak využívá při definici informačních formulářů, což je jeden z typů aplikačních formulářů.

Popis jazyka v následujícím textu obsahuje přehled jednotlivých rysů jazyka. V žádném případě ho nelze považovat za učebnici programování. Pokud bychom chtěli užít analogii s automobilem, pak text obsahuje podrobný popis konkrétního typu automobilu a nemůže sloužit jako autoškola.


Symboly jazyka ToPas

Nejmenší smysluplnou jednotkou textu ve výrazech nebo programech v jazyce ToPas je symbol. Mezi symboly patří speciální symboly, identifikátory, klíčová slova a konstantní hodnoty. Symboly jsou oddělovány libovolným počtem oddělovačů.

Speciálními symboly jsou znaky nebo dvojice znaků s jedním nebo několika pevnými významy. Mezi speciální symboly jazyka ToPas patří následující symboly:

+ - * / ( ) [ ] = , $ @ % . ! ~ : & < > <= <> >= ; :=

Identifikátor slouží k označení konstant, proměnných, symbolických jmen externích databází a databází grafických objektů, interních funkcí, atributů grafických objektů, volitelných položek tabulek i symbolických jmen vazeb mezi externími databázemi. Identifikátor je znakový řetězec, který musí začínat písmenem (znaky a..z a A..Z) nebo podtržítkem (_) a smí obsahovat písmena, číslice (znaky 0..9) a podtržítko. V jazyce ToPas (identifikátory, klíčová slova) se nerozlišují malá a velká písmena. Některé identifikátory mají zvláštní funkci a jsou považovány za klíčová slova.

Přehled klíčových slov:

    and             begin           block           boolean
    calcvalue       const           database        datum
    description     div             do              double
    downto          else            end             for
    false           if              list            longint
    mod             not             noinit          of
    or              parameter       readparam       repeat
    shl             shr             string          then
    to              true            until           var
    while           write           writeln         xor

Mezi konstantní hodnoty patří celá čísla, reálná čísla, řetězce, logické hodnoty a konstanty typu datum.

Za oddělovače jsou považovány mezery, konce řádků a komentáře.

Komentář tvoří jakýkoliv text uzavřený ve složených závorkách ({}).

Délka řádky programu v jazyce ToPas nesmí být delší než 255 znaků.


Typy jazyka ToPas

Jazyk ToPas má předdefinováno pět jednoduchých typů obdobných typům položek, se kterými se setkáváme v rámci databázových tabulek. Dále je předdefinováno pět složených typů určených pro zpracování seznamů hodnot. Jazyk ToPas také dovoluje užívat v některých případech dva speciální typy.

Mezi jednoduché typy patří:

  • celá čísla (numerické hodnoty bez desetinné části) - jméno typu longint,

  • reálná čísla (numerické hodnoty s desetinnou částí nebo v exponenciálním tvaru) - jméno typu double,

  • řetězce (znakové hodnoty) - jméno typu string,

  • logické hodnoty (ano/ne) - jméno typu boolean,

  • datum - jméno typu datum.

Mezi složené typy patří seznamy hodnot jednoduchých typů. Jejich jména typů mají tvar list of jednoduchý_typ. Tyto seznamy se skládají z položek typu jednoduchý_typ a jsou vždy číslovány vzestupně od 1. Maximální počet položek v seznamu je 16380. Jazyk ToPas má předdefinovány následující složené typy:

  • seznam celých čísel - jméno typu list of longint,

  • seznam reálných čísel - jméno typu list of double,

  • seznam řetězců - jméno typu list of string,

  • seznam logických hodnot - jméno typu list of boolean,

  • seznam datumů - jméno typu list of datum.

Mezi speciální typy zavedené v rámci jazyka ToPas patří:

  • symbolické jméno objektu typu externí databázová tabulka

  • symbolické jméno objektu typu databáze grafických objektů

Tyto typy mají speciální určení a omezenou možnost použití. Mohou figurovat v odkazech na databázové tabulky, resp. interní atributy grafických objektů. Lze je použít také jako parametry speciálních funkcí spojených se zpracováním uvedených objektů.


Definice výrazů

Syntaxe výrazů zvolená při návrhu jazyka ToPas dovoluje použití nejenom běžných matematických, relačních a řetězcových funkcí a operátorů, ale také přístup k atributům grafických objektů a k informacím uloženým sekundárních (vnějších) databázových tabulkách připojených ke grafickým objektům. Do syntaxe výrazů byly zavedeny pro účinné zpracování relací 1:N také statistické operátory a obecné matematické kvantifikátory.

Výrazy definované v rámci jazyka ToPas se mohou skládat podle přesně definované syntaxe z operandů a operátorů. Při vyčíslování výrazů pak dochází k postupnému výpočtu operandů a operátorů s použitím pravidel pro prioritu operací odleva doprava.

Jazyk ToPas umožňuje zpracování odkazů na sekundární tabulky (vnější databáze) včetně podpory pro zpracování relací 1:N. Tyto odkazy mohou reprezentovat i několik hodnot (seznam) stejného typu. Při vyčíslení těchto odkazů se pracuje s těmito seznamy a automaticky se provádí výpočet daného výrazu pro všechny možné výsledky těchto odkazů. Z tohoto důvodu byly do jazyka ToPas začleněny složené typy a další konstrukce pro zpracování výrazů reprezentujících seznam hodnot. Pro přesnější specifikaci způsobu jejich zpracování je také možno doplňovat relační a logické operátory o matematické kvantifikátory "existuje" nebo "pro všechny".

Při definici výrazů je třeba si dávat pozor na typy jednotlivých odkazů na databázové tabulky a atributy grafických objektů, protože není možné libovolně kombinovat operandy a výrazy různých typů s konkrétními operátory nebo operandy a výrazy reprezentujícími seznamy hodnot. Kupříkladu není možné násobit celé číslo řetězcem, i kdyby náhodou tvořil číslo. Rovněž nelze odečítat dva operandy (výrazy) reprezentující seznam hodnot, protože jednoduše nelze obecně definovat způsob vyčíslení takového výrazu. Případnou nekompatibilitu operandů s daným operátorem, resp. operandů navzájem, lze v některých případech vyřešit pomocí operátoru přetypování. Ve všech případech mohou také celá čísla být automaticky považována za reálná čísla. Rovněž lze zakázat vyčíslení určité vazby mezi databázovými tabulkami v případě, kdy poskytuje více než jednu hodnotu (výsledek). Operandy reprezentující seznam hodnot lze také omezit na jedinou hodnotu použitím některých funkcí (např. statistických) nebo indexů.

Pro zjednodušení přístupu k databázovým tabulkám a grafickým objektům jsou odkazy na tyto prvky v rámci výrazů a programů vždy vztaženy k určitému aktuálnímu grafickému objektu nebo aktuálnímu záznamu databáze.

  • V případě definice popisu jednotlivých grafických objektů, dotazu pro výběr grafických objektů, vztahu pro přepis atributu připojeného ke grafickým objektům, vztahu pro přepis znění textu grafických textových objektů, řídícího vztahu převodníků barev a značek, položky pro výpis součtu při výběru grafických objektů a informačního formuláře jsou uvedené odkazy vztaženy vždy ke konkrétní databázi vektorových dat, typu objektu (bod, linie, plocha, text), tabulce a případně jejímu databázovému modelu. Výraz je pak vyčíslován pro konkrétní grafický objekt.

  • V případě definice dotazu pro výběr záznamů databáze v režimu tabulky (Browse), vztahu pro přepis položky databázové tabulky a výrazu pro sumarizaci v režimu tabulky (Browse) se uvedené odkazy přímo týkají této tabulky a jejího modelu. Je-li tato tabulka zároveň tabulkou vektorových dat může výraz obsahovat odkazy na grafické objekty, které jsou v ní obsaženy. Výraz je vyčíslován pro konkrétní záznam databázové tabulky.


Operandy

Ve variantě jazyka ToPas omezené na výrazy mohou vystupovat v rámci výrazu následující typy operandů:

  • konstantní hodnoty,

  • odkazy na databázové tabulky,

  • odkazy na interní atributy grafických objektů,

  • volání interních funkcí,

  • výrazy uzavřené v závorkách.

    Plná verze jazyka ToPas dovoluje v rámci výrazů využívat také další typy operandů:

  • odkazy na konstanty,

  • odkazy na proměnné.


Konstantní hodnoty

Jazyk ToPas dovoluje v rámci výrazů používat konstantní hodnoty všech pěti předdefinovaných jednoduchých typů, tj. hodnoty typu celé číslo, reálné číslo, řetězec, logická hodnota a datum.


Celá čísla

Celá čísla se zapisují jako posloupnost číslic 0-9 (bez mezer), přičemž před zápornými čísly se píše znak minus (-). Čísla mimo rozsah -2 147 483 647 až 2 147 493 647 se vnitřně zpracovávají ve tvaru čísla reálného.

Celá čísla je možné rovněž zapisovat v hexadecimálním tvaru (šestnáctkové soustavě), kdy posloupnosti číslic a znaků a-f, A-F předchází znak dolar ($).

Příklady:

       2, -100, 20000000000
       $1F, $FFFFFFFF, -$FF


Reálná čísla

Reálná čísla se skládají z celé části a desetinné části za desetinnou tečkou (nikoli čárkou!) nebo celočíselného exponentu. Před exponentem se uvede písmeno E (resp. e) a případně znaménko (+,-).

Příklady:

       1.0, -529.086, 0.05,
       5.5E-6, -3.4E+12, 5e6


Řetězce

Řetězce se zapisují jako libovolné posloupnosti znaků na jedné řádce uzavřené mezi znaky apostrof ('). Prázdný řetězec má tvar dva apostrofy (''). Pokud chceme uvést v rámci řetězce znak apostrof, pak je ho nutné uvést zdvojeně. Řetězec obsahující pouze apostrof má tvar čtyři apostrofy ('''').

Příklady: 'Toto je řetězec',

'Uvozovka '' uvnitř řetězce'


Logické hodnoty

Logické konstanty jsou označovány klíčovými slovy TRUE a FALSE. Na použití malých a velkých písmen nezáleží.

Příklady: True, false


Datum

Konstanty vyjadřující datum se zapisují podobně jako při editaci těchto údajů v databázové tabulce v rámci programu TopoL. Mají tedy formát: den.měsíc.rok. Zápis roku je možné zkracovat a rok 94 znamená totéž co 1994. Zápis data nesmí obsahovat mezery a musí být platným datem podle kalendáře. Při zpracování a vyčíslení výrazů se berou v úvahu přestupné roky, ale nepočítá se s reformou kalendáře v roce 1582. Operace s datem probíhají tedy korektně vzhledem ke gregoriánskému kalendáři.

Příklad: 24.7.1963, 31.12.94


Odkazy na databázové tabulky


Syntaxe pro odkazy na databázové tabulky

Odkazy na databázové tabulky dovolují přistupovat k jednotlivým položkám záznamu v databázi nebo v tabulce připojené přes databázový model. Odkaz na databázovou tabulku musí být vždy uvozen znakem @. Na použití malých a velkých písmen pro jména položek databáze v rámci odkazů na databázové tabulky nezáleží. Hodnota vrácená odkazem na databázovou tabulku má typ odpovídající typu položky databáze, na kterou se odkazuje.

Pro zjednodušení přístupu k databázím jsou odkazy na tyto objekty v rámci jazyka ToPas vždy vztaženy k určité aktuální databázi a jejímu záznamu.

  • V případě definice popisu jednotlivých grafických objektů, dotazu pro výběr grafických objektů, vztahu pro přepis atributu připojeného ke grafickým objektům, vztahu pro přepis znění textu grafických textových objektů, řídícího vztahu převodníků barev a značek, položky pro výpis součtu při výběru grafických objektů a informačního formuláře považujeme za aktuální tabulku a model, k nimž je výraz (formulář) vztažen, tabulku grafického objektu konkrétního typu v konkrétní databázi vektorových dat, pro který je výraz (formulář) vyčíslován.

  • V případě definice dotazu pro výběr záznamů databáze v režimu tabulky (Browse), vztahu pro přepis položky databázové tabulky a výrazu pro sumarizaci v režimu tabulky (Browse) považujeme za aktuální právě zpracovávanou databázovou tabulku a její model.

Odkaz na položku aktuální databázové tabulky má tvar:

@ jméno_položky

Příklady: @NAZEV, @OKRES

V odkazu na položku v tabulce připojené přes databázový model je nutné určit přesnou cestu k tabulce, ve které je položka obsažena. Tato cesta se skládá z odkazů na jednotlivé vazby mezi tabulkami, přes které se k příslušné tabulce dostaneme. Odkazy na jednotlivé vazby jsou od sebe odděleny znakem tečka (.). Odkaz na vazbu může mít dva tvary: číslo vazby nebo symbolický identifikátor vazby. Tyto parametry lze zjistit v souboru s popisem databázového modelu, kde musí být pro každou vazbu uvedeno její číslo a může být definován symbolický identifikátor (první slovo položky INFO).

Odkaz na položku v tabulce připojené přes databázový model má tvar:

@ vazba1. ...vazbaN.jméno_položky

Příklad: @1.OBRATY,

@2.1.MISTO,

@Znecisteni.Stanice.NO

V případě, že neexistuje v připojené tabulce pro daný objekt žádný záznam, dojde k přerušení výpočtu a výsledek výrazu obsahujícího tento odkaz není vyčíslen.

Shora uvedené metody definice odkazů na databázové tabulky vyhovují pro většinu analytických úloh, které jsou v programu TopoL prováděny. Pro případ velmi detailního přístupu k položkám libovolných databázových tabulek se v jazyce ToPas používá rozšířená syntaxe pro odkazy na databázové tabulky.


Rozšířená syntaxe pro odkazy na databázové tabulky

Základní metody definice odkazů na databázové tabulky vyhovují pro většinu analytických úloh, které jsou v programu TopoL prováděny. Pro případ velmi detailního přístupu k položkám libovolných databázových tabulek jsou v rámci jazyka ToPas k dispozici prostředky pro definici komplexních odkazů. Zápis těchto odkazů umožňuje rozšířená syntaxe pro odkazy na databázové tabulky.

Při práci s odkazy na databázovou tabulku je možné adresovat záznamy v databázové tabulce pomocí indexu. Index určuje záznam v rámci databázové tabulky a může být určen celočíselným výrazem, který nabývá hodnot 1..počet_záznamů. Index je uzavřen do hranatých závorek ([]) a umísťuje se za znak označující odkaz na databázovou tabulku (tj. @). Význam indexu se pro aktuální databázovou tabulku mírně liší dle typu zpracovávané úlohy:

  • V případě definice popisu jednotlivých grafických objektů, dotazu pro výběr grafických objektů, vztahu pro přepis atributu připojeného ke grafickým objektům, vztahu pro přepis znění textu grafických textových objektů, řídícího vztahu převodníků barev a značek, položky pro výpis součtu při výběru grafických objektů a informačního formuláře index odpovídá číslu grafického objektu a určuje tak záznam spojený s tímto objektem.

  • V případě definice dotazu pro výběr záznamů databáze v režimu tabulky (Browse), vztahu pro přepis položky databázové tabulky a výrazu pro sumarizaci v režimu tabulky (Browse) index odpovídá přímo číslu fyzického záznamu.

Pro vazbu na tabulky připojené přes databázový model lze umístit index za znak označující tuto vazbu (.). Index pak odpovídá indexu v množině záznamů připojených k položce a smí nabývat hodnot z intervalu 1..Num(odkaz) - podrobněji v odstavci Výrazy reprezentující seznamy hodnot.

Příklady: @[10]OKRES,

@1.[NMax(@1.OBRATY)]MESIC

Zatímco varianta jazyka ToPas omezená na výrazy dovoluje pouze odkazy na aktuální tabulku, lze se v rámci plné verze jazyka ToPas odvolávat i na další databázové tabulky, jejichž symbolické jméno je deklarováno v rámci deklarace symbolických jmen databázových tabulek. V takovém případě toto jméno předchází operátor @. Při použití databázové tabulky, která není aktuální, je samozřejmě nutné specifikovat záznam databázové tabulky pomocí indexu. Pro všechny tabulky kromě aktuální databázové tabulky index odpovídá číslu fyzického záznamu.

Odkaz na konkrétní databázovou tabulku má tvar:

id_databáze odkaz_na_tabulku

Příklady:

Vynosy@[10]CASTKA

Current@1.OBRATY

Pro zjednodušení práce s odkazy na databázové tabulky byly doplněny následující funkce, které dovolují zjistit počet záznamů v databázové tabulce a jejich platnost:

MaxRecord (database)

vrací celočíselnou hodnotu udávající počet záznamů v tabulce database

ValidRecord (database, index)

vrací logickou hodnotu udávající, zda je záznam index v tabulce database platný

Poznámka

Poznámka: Databázové tabulky mohou obsahovat záznamy, které jsou označeny jako zrušené. Jazyk ToPas považuje odkaz na záznam databáze označený jako zrušený za chybu, která vede k přerušení výpočtu výrazu obsahujícího takový odkaz. Na zrušený záznam se lze odkázat pouze v případě použití indexu, který přímo odpovídá číslu fyzického záznamu. V tomto případě lze využít funkci ValidRecord, která je určena právě k ošetření zrušených záznamů v databázových tabulkách.


Odkazy na interní atributy grafických objektů


Syntaxe pro odkazy na interní atributy grafických objektů

Odkazy na interní atributy grafických objektů dovolují přistupovat k jednotlivým atributům grafických objektů. Odkaz na interní atributy grafických objektů musí být vždy uvozen znakem procenta (%). Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr. Na použití malých a velkých písmen v rámci odkazů na atributy grafických objektů nezáleží.

Pro zjednodušení přístupu ke grafickým objektům jsou odkazy na tyto objekty v rámci jazyka ToPas vždy vztaženy k aktuální databázi vektorových dat, typu (bod, linie, plocha, text) a tabulce a při vyčíslení i k aktuálnímu grafickému objektu.

  • V případě definice popisu jednotlivých grafických objektů, dotazu pro výběr grafických objektů, vztahu pro přepis atributu připojeného ke grafickým objektům, vztahu pro přepis znění textu grafických textových objektů, řídícího vztahu převodníků barev a značek, položky pro výpis součtu při výběru grafických objektů a informačního formuláře považujeme za aktuální tu databázi vektorových dat, typ objektu a tabulku, pro něž je výraz (formulář) definován. Aktuálním grafickým objektem je pak objekt, pro který se výraz (formulář) vyčísluje.

  • V případě definice dotazu pro výběr záznamů databázové tabulky v režimu tabulky (Browse), vztahu pro přepis položky databázové tabulky a výrazu pro sumarizaci v režimu tabulky (Browse) může výraz obsahovat odkazy na grafické objekty, pokud je aktuální databázová tabulka zároveň tabulkou s grafickými objekty. Pak považujeme za aktuální tu databázi s grafickými objekty a typ objektu, k nimž je tabulka připojena. Aktuálním grafickým objektem je pak objekt, který je svázán se záznamem tabulky, pro který se výraz vyčísluje.

Odkaz na interní atribut aktuálního grafického objektu má většinou tvar:

% interní_atribut

Může mít však rovněž tvar funkce s argumenty:

% interní_atribut( v1, ..., vN )

Příklady: %BinColor, %Area, %XLin(1)

Shora uvedené metody definice odkazů na interní atributy grafických objektů vyhovují pro základní analytické úlohy, které jsou v programu TopoL prováděny. Pro případ složitějších analýz se v jazyce ToPas používá rozšířená syntaxe pro odkazy na interní atributy grafických objektů.


Rozšířená syntaxe pro odkazy na interní atributy grafických objektů

Základní metody definice odkazů na interní atributy grafických objektů vyhovují pro základní analytické úlohy, které jsou v programu TopoL prováděny. Pro případ složitějších analýz jsou v rámci jazyka ToPas k dispozici prostředky pro definici komplexních odkazů. To dovoluje rozšířená syntaxe pro odkazy na interní atributy grafických objektů.

Při práci s odkazy na interní atributy grafických objektů je možné adresovat konkrétní grafický objekt pomocí indexu. Index určuje typ a číslo grafického objektu v rámci databáze vektorových dat. Index se skládá z určení typu objektu (B,L,P,T) a čísla objektu, které může být určeno pomocí celočíselného výrazu, který nabývá hodnot 1..MaxPnt, resp. 1..MaxLin, resp. 1..MaxAre nebo 1..MaxTxt. Index je uzavřen do hranatých závorek ([]), jeho složky jsou odděleny čárkou (,) a umísťuje se za znak označující odkaz na interní atributy grafických objektů (tj. %).

Odkaz na konkrétní grafický objekt pomocí indexu má některý z následujících tvarů:

% [typ,číslo]interní_atribut

% [typ,číslo]interní_funkce(v1,...,vN)

Příklady: %[B,20]BinColor, %[P,20]Area, %[T, 20]TextString

Zatímco varianta jazyka ToPas omezená na výrazy dovoluje pouze odkazy na aktuální databázi vektorových objektů, lze se v rámci plné verze jazyka ToPas odvolávat i na další databáze grafických objektů, jejichž symbolické jméno je deklarováno v rámci deklarace symbolických jmen databáze grafických objektů. V takovém případě toto jméno předchází operátor %. Při použití databáze grafických objektů, který není aktuální, je samozřejmě nutné specifikovat grafický objekt pomocí indexu.

Odkaz na konkrétní databázi grafických objektů má tvar:

id_bloku odkaz_na_atributy_objektů

Příklad: Mesta%[P,20]Area

Pro zjednodušení práce s odkazy na interní atributy grafických objektů byly doplněny následující atributy, které se vztahují k celé databázi grafických objektů:

MaxPnt

vrací celočíselnou hodnotu udávající maximální číslo bodu v příslušné databázi grafických objektů (tj. počet platných i zrušených bodů vyjma bodu číslo 0). V případě, že v databázi grafických objektů nejsou body, vrací hodnotu 0.

MaxLin

vrací celočíselnou hodnotu udávající maximální číslo linie v příslušné databázi grafických objektů (tj. počet platných i zrušených linií vyjma linie číslo 0). V případě, že v databázi grafických objektů nejsou linie, vrací hodnotu 0.

MaxAre

vrací celočíselnou hodnotu udávající maximální číslo plochy v příslušné databázi grafických objektů (tj. počet platných i zrušených ploch vyjma plochy číslo 0). V případě, že v databázi grafických objektů nejsou plochy, vrací hodnotu 0.

MaxTxt

vrací celočíselnou hodnotu udávající maximální číslo textu v příslušné databázi grafických objektů (tj. počet platných i zrušených textů vyjma textu číslo 0). V případě, že v databázi grafických objektů nejsou texty, vrací hodnotu 0.

Poznámky:

TopoL čísluje grafické objekty (body, linie, plochy, texty) v databázi grafických objektů vzestupně od 0. Každý blok obsahuje pro každý typ objektu alespoň objekt číslo 0, který je vždy (!) označen jako zrušený. TopoL s ním nikdy nepracuje a jeho obsah nevyužívá. Čísla platných objektů začínají číslem 1. Při rušení objektu TopoL objekt označí jako zrušený, ale nedojde k jeho fyzickému odstranění. Číslo tohoto objektu není (!) při vytváření nových objektů znovu použito. Zrušené objekty se v TopoLu odstraní automaticky při uložení bloku.

Z předchozí poznámky vyplývá, že databáze grafických objektů mohou obsahovat objekty, které jsou označeny jako zrušené. Jazyk ToPas nepovažuje (!) odkaz na objekt označený jako zrušený za chybu. Na zrušený objekt se lze odkázat pouze v případě použití indexu. V tomto případě lze využít odkaz na atribut Valid, který je určen právě k ošetření přístupu k zrušeným objektům. Hodnoty vracené ostatními odkazy na atributy zrušených objektů nejsou definovány a mohou deformovat prováděný výpočet.


Základní identifikace objektu

Number

vrací celočíselnou hodnotu udávající číslo grafického objektu

Group

vrací řetězec udávající typ grafického objektu (B, L, P, T)

Class

vrací celočíselnou hodnotu udávající pro body, linie a plochy číslo druhu grafického objektu a pro texty číslo stylu použitého pro textový objekt

ObjDate

vrací hodnotu typu datum udávající datum vzniku grafického objektu


Základní vlastnosti objektu

Valid

vrací hodnotu TRUE v případě, že se jedná o platný objekt, a hodnotu FALSE v případě, že se jedná o zrušený objekt

Attrib

vrací celočíselnou hodnotu udávající stavové atributy grafického objektu

Selected

vrací logickou hodnotu udávající stav grafického objektu (vybrán/nevybrán)

SelectObj

změní stav grafického objektu na vybrán a vrací logickou hodnotu udávající jeho stav

DeselectObj

změní stav grafického objektu na nevybrán a vrací logickou hodnotu udávající jeho stav

Poznámky:

Při rušení objektu TopoL objekt označí jako zrušený, ale nedojde k jeho fyzickému odstranění. Číslo tohoto objektu není (!) při vytváření nových objektů znovu použito. Z toho vyplývá, že databáze grafických objektů mohou obsahovat objekty, které jsou označeny jako zrušené. Jazyk ToPas nepovažuje (!) odkaz na objekt označený jako zrušený za chybu. Na zrušený objekt se lze odkázat pouze v případě použití indexu. V tomto případě lze využít odkaz na atribut Valid, který je určen právě k ošetření přístupu k zrušeným objektům. Hodnoty vracené ostatními odkazy na atributy zrušených objektů nejsou definovány a mohou deformovat prováděný výpočet.

Odkaz na atribut Attrib slouží pouze pro testovací a vývojové účely a jeho bližší specifikace není zatím zveřejněna. Na základě tohoto atributu se určuje hodnota atributu Valid.


Zobrazovací atributy a zobrazování objektu

BinColor

vrací celočíselnou hodnotu udávající barvu grafického objektu (v interním tvaru TopoLu) zapsanou v rámci dat

BinSymbol

vrací celočíselnou hodnotu udávající pro body, linie a plochy značku grafického objektu zapsanou v rámci dat a pro texty číslo stylu zapsaného v rámci dat

ActColor

vrací celočíselnou hodnotu udávající aktuálně nastavenou barvu grafického objektu (v modelu RGB) v rámci TopoLu

ActSymbol

vrací celočíselnou hodnotu udávající pro body, linie a plochy aktuálně nastavenou značku grafického objektu v rámci TopoLu a pro texty aktuálně použité číslo stylu použité v TopoLu

SetBinColor(color)

změní barvu grafického objektu (v interním tvaru TopoLu) zapsanou v rámci dat na celočíselnou hodnotu výrazu color a vrací tuto nastavovanou hodnotu

SetBinSymbol(symbol)

změní pro body, linie a plochy značku grafického objektu a pro texty číslo stylu textového objektu zapsanou v rámci dat na celočíselnou hodnotu výrazu symbol a vrací tuto nastavovanou hodnotu

Repaint

provede okamžité překreslení objektu v aktuálním okně jeho aktuální barvou a značkou (stylem) v rámci TopoLu a vrací logickou hodnotu udávající, zda se operace uskutečnila

Paint(color, symbol)

provede okamžité překreslení objektu v aktuálním okně barvou a značkou (stylem) dle celočíselných hodnot argumentů color a symbol a vrací logickou hodnotu udávající, zda se operace uskutečnila

Poznámky:

Celočíselná hodnota udávající statickou barvu grafického objektu (argument atributu SetBinColor i hodnoty atributů BinColor a SetBinColor) jsou vyjádřeny v interním tvaru programu TopoL (viz Formát čísla barvy pro vektorová data).

Celočíselná hodnota udávající aktuální barvu grafického objektu (argument atributu Paint a hodnota atributu ActColor) je vyjádřena ve tvaru používaném systémem MS Windows pro vyjádření barev objektů. Barvy v systému Windows jsou definovány pro barvený model RGB, který se běžně používá pro monitory počítačů.

Funkce pro manipulaci s barvami dovolují převod mezi oběma reprezentacemi barev a manipulace s jednotlivými složkami (červenou, zelenou a modrou), ze kterých se barva v modelu RGB aditivně skládá.

Celočíselná hodnota udávající značku grafického objektu (argumenty atributů SetBinSymbol a Paint i hodnoty atributů BinSymbol, ActSymbol a SetBinSymbol) jsou vyjádřeny ve tvaru specifickém pro program TopoL (viz Formát čísla značky pro vektorová data).

Celočíselná hodnota udávající styl textového objektu (argumenty atributů SetBinSymbol a Paint i hodnoty atributů BinSymbol, ActSymbol a SetBinSymbol) jsou vyjádřeny ve tvaru specifickém pro program TopoL (viz Formát čísla stylu pro textové objekty).

Pro textové objekty vrací atribut BinSymbol číslo stylu nastaveného pro textový objekt bez ohled na to, zda se skutečně dle stylu zobrazuje (tj. zda má či nemá individuálně upravené zobrazovacích parametrů textu). Atribut ActSymbol vrací číslo stylu nastaveného pro textový objekt v případě, že se objekt skutečně dle stylu zobrazuje (tj. nemá individuálně upravené zobrazovacích parametrů textu). V opačném případě atribut vrací číslo 0. Po nastavení stylu pomocí atributu SetBinSymbol se textový objekt dále zobrazuje dle tohoto stylu a ztratí se tak případně jakákoliv individuální úprava zobrazovacích parametrů textu (včetně jeho barvy). Při nastavení barvy pomocí atributu SetBinColor se textový objekt vždy upraví tak, aby byl zobrazován dle individuálního nastavení zobrazovacích parametrů textu.


Geometrický obrys objektu

ObjMinX

vrací reálné číslo udávající minimální souřadnici X obrysu objektu (opsaného obdélníka)

ObjMinY

vrací reálné číslo udávající minimální souřadnici Y obrysu objektu (opsaného obdélníka)

ObjMaxX

vrací reálné číslo udávající maximální souřadnici X obrysu objektu (opsaného obdélníka)

ObjMaxY

vrací reálné číslo udávající maximální souřadnici Y obrysu objektu (opsaného obdélníka)

Poznámky:

Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.

Pro textové objekty nejsou tyto atributy definovány.


Geometrický tvar objektu

XCoord

vrací seznam reálných čísel udávající souřadnice X geometrického tvaru objektu

YCoord

vrací seznam reálných čísel udávající souřadnice Y geometrického tvaru objektu

Poznámky:

Uvedené atributy vracejí seznamy souřadnic. Pro bod obsahují 1 položku - příslušnou souřadnici bodu (hodnoty atributů X a Y). Pro linii obsahují příslušné souřadnice pro všechny lomové body (hodnota atributů Xlin a YLin pro argumenty 1..NumPoints). Pro plochy obsahují všechny body na obvodu plochy (tj. všechny lomové body linií určených pomocí atributu AreEdge pro argumenty 1..NumEdges) a navíc první a poslední souřadnice jsou totožné. Pro text obsahují 1 položku - příslušnou souřadnici počátečního bodu textu (hodnoty atributů XRef a YRef).

Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.


Prostorové vztahy mezi objekty

ContainsXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda objekt obsahuje objekt určený argumenty atributu

EContainsXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda objekt určený argumenty atributu je zcela uvnitř objektu

ContainedXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda je objekt obsažen v objektu určeném argumenty atributu

EContainedXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda je objekt zcela uvnitř objektu určeného argumenty atributu

MeetXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda objekt určený argumenty atributu se zvnějšku dotýká objektu

OverlapXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda se objekt a objekt určený argumenty atributu překrývají

EqualXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda jsou objekt a objekt určený argumenty atributu totožné

TouchXY(typ_objektu, xlist, ylist)

vrací logickou hodnotu udávající, zda objekt a objekt určený argumenty atributu mají alespoň jeden společný bod (je logickým součtem všech předchozích atributů

Poznámky:

Argumenty všech atributů určují grafický objekt. Typ objektu je určen prvním znakem řetězce, který je výsledkem výrazu typ_objektu. Očekávají se hodnoty B, L nebo P. Geometrický tvaru objektu je určen výsledkem výrazů xlist a ylist, které jsou typu seznam reálných čísel (pro jakýkoliv typ objektu) nebo reálné číslo (pouze pro body). Pro plochy se očekává, že první a poslední souřadnice v seznamu jsou totožné. Pro argument typu plocha nelze definovat enklávu. Pro určení těchto seznamů lze v případě určování vztahu s jiným grafickým objektem v Předmětu zájmu (v rámci TopoLu) s výhodu užít atributy XCoord a YCoord.

Atributy ContainsXY a EContainsXY nejsou definovány pro body. Pro některé atributy platí jistá omezení na typ objektu určený jejich argumentem. V případě, že typ objektu nevyhovuje danému omezení, dojde k přerušení výpočtu výrazu obsahujícího odkaz na atribut a výsledek takového výrazu není vyčíslen. Argumentem atributů ContainedXY a EContainedXY nemůže být objekt typu bod. Dále pro linií nemůže být argumentem atributů ContainsXY a EContainsXY objekt typu plocha. Podobně pro plochy nemůže být argumentem atributů ContainedXY a EContainedXY objekt typu linie. Argument atributu EqualXY musí být stejného typu jako je objekt, pro který je atribut zjišťován. Atributy nejsou definovány pro texty.

Přesná matematický popis výše uvedených operátorů vychází z představy každého objektu jako množiny bodů. Všechny body objektu A budeme označovat a, vnitřní body I(a), hraniční body objektu B(a). Body vně objektu A budeme označovat E(a). Pro naše potřeby přitom rozumíme, že u bodu je vnitřním samotný bod a hranice je prázdná množina. Pro linií tvoří hranici koncové body a ostatní jsou vnitřními. U plochy tvoří hranici její obvod (a hranice jejích enkláv) a ostatní body (mimo vnitřku enkláv) jsou vnitřní. Při určování prostorových vztahů pro plochy se totiž berou v úvahu i jejich enklávy. Potom pomocí množinových operátorů můžeme jednotlivé operátory definovat následujícím způsobem:

      A ContainsXY B &#8660;a &#8745; b = b
      A EContainsXY B &#8660; |(a) &#8745; b = b
      A ContainedXY B &#8660; a &#8745; b = a
      A EContainedXY B &#8660; a &#8745; |(b) = a
      A MeetXY B &#8660; (a &#8745; b &#8800; &#xD8;) and (|(a) &#8745; |(b) = &#xD8;)
      A OverlapXY B &#8660; (I(a) &#8745; I(b) &#8800; &#xD8;)        pro bod (A nebo B)
                                   &#8660; (I(a) &#8745; I(b) &#8800; &#xD8;) and (a &#8745; b &#8800; a)
     jinak
      A EqualXY B &#8660; a = b
      A TouchXY B &#8660; a &#8745; b &#8800; &#xD8;


Základní geometrické vlastnosti bodu

X

vrací reálné číslo udávající souřadnici X polohy bodu

Y

vrací reálné číslo udávající souřadnici Y polohy bodu

Poznámka: Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.


Doplňkové vlastnosti bodu

Angle

vrací reálné číslo udávající úhel natočení značky bodu (v radiánech)

SetAngle(úhel)

změní úhel natočení značky bodu na reálnou hodnotu výrazu úhel (v radiánech) a vrací tuto nastavovanou hodnotu

Accuracy

vrací celé číslo udávající přesnost objektu, která byla uživatelem definována během snímání (v rozsahu 0..9)

SetAccuracy(přesnost)

změní přesnost objektu definovanou uživatelem na celočíselnou hodnotu výrazu přesnost (v rozsahu 0..9) a vrací tuto nastavovanou hodnotu

Poznámka: Interní atribut přesnost má v datech pro TopoL podobu celého čísla reprezentovaného dvěma bajty (16 bity). V současnosti jsou považovány hodnoty přesnosti mimo rozsah 0..9 za nepřípustné. Uvedené funkce Accuracy a SetAccuracy neprovádějí žádnou kontrolu na tento rozsah.


Základní geometrické vlastnosti linie

Length

vrací reálné číslo udávající délku linie

NumPoints

vrací celočíselnou hodnotou udávající počet lomových bodů linie

XLin(číslo_bodu)

vrací reálné číslo udávající souřadnici X lomového bodu linie určeného celočíselnou hodnotou výrazu číslo_bodu (v rozsahu 1..NumPoints)

YLin(číslo_bodu)

vrací reálné číslo udávající souřadnici Y lomového bodu linie určeného celočíselnou hodnotou výrazu číslo_bodu (v rozsahu 1..NumPoints)

Poznámky:

Pojem linie označuje v TopoLu lomenou čáru, která má NumPoints lomových bodů, které jsou postupně jednotlivými úsečkami propojeny. Atributy linie (např. barva a značka) se týkají všech úseček, ze kterých se linie skládá.

Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.


Doplňkové vlastnosti linie

XRef

vrací reálné číslo udávající souřadnici X vztažného bodu linie

YRef

vrací reálné číslo udávající souřadnici Y vztažného bodu linie

LArea

vrací celočíselnou hodnotu udávající číslo jedné plochy sousedící s linií

RArea

vrací celočíselnou hodnotu udávající číslo druhé plochy sousedící s linií

Topological

vrací logickou hodnotu udávající, zda jsou nebo nejsou pro linii vybudovány topologické vztahy s ostatními liniemi

NumFreeTails

vrací celé číslo udávající počet volných konců linie

FreeTailFirst

vrací logickou hodnotu udávající, zda první bod linie tvoří volný konec

FreeTailLast

vrací logickou hodnotu udávající, zda poslední bod linie tvoří volný konec

Accuracy

vrací celé číslo udávající přesnost objektu, která byla uživatelem definována během snímání (v rozsahu 0..9)

SetAccuracy(přesnost)

změní přesnost objektu definovanou uživatelem na celočíselnou hodnotu výrazu přesnost (v rozsahu 0..9) a vrací tuto nastavovanou hodnotu

Poznámky:

Atributy LArea a RArea jsou definovány pouze pro linie, které tvoří hranice ploch. V případě korektně vytvořených topologických vztahů mají tyto linie některé specifické vlastnosti: sousedí maximálně se dvěma plochami (viz popis výše uvedených atributů) a jiné linie se jich mohou dotýkat pouze v tzv. "uzlech " (tj. počátečním nebo koncovém bodě). V případě, že linie netvoří hranici dvou ploch ani není přímou součástí jejich obrysu, mají jeden nebo oba atributy hodnotu -1.

Interní atribut přesnost má v datech pro TopoL podobu celého čísla reprezentovaného dvěma bajty (16 bity). V současnosti jsou považovány hodnoty přesnosti mimo rozsah 0..9 za nepřípustné. Uvedené funkce Accuracy a SetAccuracy neprovádějí žádnou kontrolu na tento rozsah.

Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.

TopoL čísluje platné grafické objekty (body, linie, plochy) v bloku vzestupně od 1.


Základní geometrické vlastnosti plochy

Area

vrací reálné číslo udávající velikost plochy v m2 nebo ha v závislosti na stavu přepínače V hektarech v rámci TopoLu

NumLines

vrací celočíselnou hodnotu udávající počet linií tvořících hranici plochy

AreLin(číslo_linie)

vrací celočíselnou hodnotu udávající číslo linie tvořící hranici plochy určené celočíselnou hodnotou výrazu číslo_linie (1..NumLines)

NumEdges

vrací celočíselnou hodnotu udávající počet linií tvořících skutečný obvod plochy

AreEdge(číslo_linie)

vrací celočíselnou hodnotu udávající číslo linie tvořící skutečný obvod plochy určené celočíselnou hodnotou výrazu číslo_linie (1..NumEdges)

Poznámky:

Pojem plocha označuje plošný objekt ohraničený NumLines liniemi, které na sebe navazují. V případě korektně vytvořených topologických vztahů mají hraniční linie některé specifické vlastnosti. Hraniční linie plochy sousedí maximálně se dvěma plochami (atributy LArea a RArea) a jiné linie se jí mohou dotýkat pouze v tzv."uzlech " (tj. počátečním nebo koncovém bodě).

Součástí hranice se při vytváření topologických vztahů stávají i linie, které netvoří skutečný obvod plochy. Tyto linie z obvodu plochy vybíhají ven nebo dovnitř plochy. Při výpočtech atributů NumLines a AreLin jsou započítány vlastně dvakrát, protože je při obíhání hranice nutné se po nich vrátit na skutečný obvod. Atributy NumEdges a AreEdge při výpočtu eliminují takové linie, které do skutečného obvodu plochy nepatří.

TopoL čísluje platné grafické objekty (body, linie, plochy) v bloku vzestupně od 1.


Doplňkové geometrické vlastnosti plochy

XRef

vrací reálné číslo udávající souřadnici X vztažného bodu plochy

YRef

vrací reálné číslo udávající souřadnici Y vztažného bodu plochy

Parent

vrací celočíselnou hodnotu udávající číslo plochy, ve které je plocha obsažena (je její enklávou)

IncludesArea

vrací TRUE, pokud plocha obsahuje jiné plochy (má enklávy), jinak vrací FALSE

Poznámky:

Jestliže je zkoumaná plocha uvnitř jiné plochy (tj. tvoří enklávu), potom atribut Parent vrací číslo nejmenší plochy, která enklávu přímo obsahuje. Není-li plocha enklávou, potom má atribut Parent hodnotu -1.

Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.

TopoL čísluje platné grafické objekty (body, linie, plochy) v bloku vzestupně od 1.


Základní geometrické vlastnosti textu

TextString

vrací řetězec udávající znění textu

XRef

vrací reálné číslo udávající počáteční souřadnici X polohy textu

YRef

vrací reálné číslo udávající počáteční souřadnici Y polohy textu

Poznámka: Geometrické vlastnosti objektů jsou určovány v aktuálním souřadném systému se základní jednotkou délky 1 metr.


Doplňkové vlastnosti textu

Angle

vrací reálné číslo udávající směr textu (v radiánech)

SetAngle(úhel)

změní směr textu na reálnou hodnotu výrazu úhel (v radiánech) a vrací tuto nastavovanou hodnotu


Interní funkce

TopoL poskytuje řadu funkcí pro operace s jednotlivými typy dat:

  • funkce matematické

  • funkce pro práci s řetězci

  • funkce pro práci s datem

  • volání makra

  • funkce pro manipulaci s barvami

  • funkce pro manipulaci s inicializačními soubory

  • různé funkce

  • statistické funkce

  • funkce pro výběr ze seznamů

  • funkce pro řazení seznamů

  • další funkce pro manipulaci se seznamy


Matematické funkce

Podpora pro matematické funkce v TopoLu zahrnuje:

Abs(výraz)

vrací absolutní hodnotu výrazu

Odd(výraz)

vrací hodnotu TRUE pro lichý výsledek výrazu a FALSE pro sudý

Round(výraz)

vrací hodnotu výrazu zaokrouhlenou na celé číslo

Trunc(výraz)

vrací hodnotu výrazu převedenou na celé číslo odříznutím desetinné části

Int(výraz)

vrací reálné číslo vzniklé z hodnoty výrazu odříznutím desetinné části

Frac(výraz)

vrací odříznutou desetinnou část z hodnoty výrazu

Sqr(výraz)

vrací druhou mocninu hodnoty výrazu

Sqrt(výraz)

vrací druhou odmocninu hodnoty výrazu

Exp(výraz)

vrací hodnotu exponenciály (mocniny základu přirozených logaritmů) pro hodnotu výrazu

Ln(výraz)

vrací přirozený logaritmus hodnoty výrazu

Pi

vrací hodnotu Ludolfova čísla (tj. 3.1415926535897932385)

Sin(výraz)

vrací sinus hodnoty výrazu udané v radiánech

Cos(výraz)

vrací cosinus hodnoty výrazu udané v radiánech

Tan(výraz)

vrací tangens hodnoty výrazu udané v radiánech

ArcTan(výraz)

vrací arkus tangens hodnoty výrazu vyjádřený v radiánech

Argument funkce Odd musí být celočíselný. Argumenty ostatních funkcí mohou být typu celé nebo reálné číslo. Pro některé funkce platí omezení na konkrétní hodnoty jejich argumentu. V případě, že hodnota výrazu nevyhovuje danému omezení, dojde k přerušení výpočtu výrazu obsahujícího volání funkce a výsledek takového výrazu není vyčíslen. Argument funkce Sqrt musí být nezáporný (>=0), argument funkce Ln musí být kladný (>0), argument funkce Tan nesmí být roven Pi/2 + k*Pi.

Funkce Odd vrací logickou hodnotu. Funkce Trunc a Round vrací celé číslo. Funkce Abs a Sqr vrací hodnotu stejného typu jaký má jejich argument. Ostatní funkce vrací reálné číslo.

Poznámka: Pro všechny funkce je možné použít jako argument také seznam hodnot povoleného typu. Výsledkem je potom seznam příslušných výsledků.


Funkce pro práci s řetězci

Podpora pro funkce určené ke zpracování řetězců zahrnuje:

Char(výraz, index)

vrací řetězec obsahující znak, který je na pozici index v řetězci výraz

Ord(výraz, index)

vrací celé číslo určené jako kód znaku, který je na pozici index v řetězci výraz

Chr(výraz)

vrací řetězec obsahující znak, který má kód určený celočíselnou hodnotou výraz

StrLength(výraz)

vrací celočíselnou hodnotu udávající aktuální délku řetězce výraz

StrUpCase(výraz)

vrací řetězec, který je výsledkem konverze řetězce výraz na velká písmena

StrLowCase(výraz)

vrací řetězec, který je výsledkem konverze řetězce výraz na malá písmena

StrTrim(výraz)

vrací řetězec, který vznikne z řetězce výraz po odstranění počátečních a koncových mezer

StrInTrim(výraz)

vrací řetězec, který vznikne z řetězce výraz po odstranění počátečních a koncových mezer i všech duplicitních mezer uvnitř řetězce

Language

vrací celé číslo udávající aktuální kódování znaků (kódování znaků pro aktuální blok) - typické výsledky: 1250 (ANSI Windows CE), 852 (PC Latin 2), 867 (kódování Kamenických), 1252 (ANSI Windows), 1251 (ANSI Windows Cyr), 850 (PC Latin 1), 437 (US ASCII)

StrConvToAsc(výraz)

vrací řetězec, který je výsledkem konverze řetězce výraz do ASCII kódu (odstranění diakritiky)

StrConvToKam(výraz)

vrací řetězec, který je výsledkem konverze řetězce výraz z aktuálního kódování znaků do kódu Kamenických

StrConvToLat2(výraz)

vrací řetězec, který je výsledkem konverze řetězce výraz z aktuálního kódování znaků do kódu PC Latin2

StrConvToWin(výraz)

vrací řetězec, který je výsledkem konverze řetězce výraz z aktuálního kódování znaků do aktuálního kódování ANSI Windows

StrConvert(výraz, kód_vstup, kód_výstup)

vrací řetězec, který je výsledkem konverze řetězce výraz z kódování kód_vstup aktuálního kódování kód_výstup

PrefStr(prefix, výraz)

vrací TRUE, pokud řetězec výraz začíná řetězcem prefix, jinak FALSE

SubStr(část, výraz)

vrací TRUE, pokud se vyskytuje řetězec část v řetězci výraz, jinak FALSE

StrPos(část, výraz)

vrací celé číslo udávající pozici prvního výskytu řetězce část v řetězci výraz nebo vrací číslo 0, pokud se v něm nevyskytuje

Like(v1, v2)

vrací TRUE, pokud jsou si řetězce v1 a v2 podobné (liší se pouze velikostí písmen, mezerami a diakritikou), jinak FALSE

StrCopy(výraz,index,počet)

vrací řetězec obsahující počet znaků zkopírovaných od pozice index z řetězce výraz

StrDelete(výraz,index,počet)

vrací řetězec, který vznikne po vypuštění počet znaků od pozice index z řetězce výraz

StrInsert(zdroj,výraz,index)

vrací řetězec, který vznikne po vložení řetězce zdroj od pozice index do řetězce výraz

Řetězec v jazyce ToPas si lze představit jako pole znaků. Pozice jednotlivých znaků jsou určovány jako celá čísla v rozsahu 1..Length. Maximální délka každého řetězce je 255 znaků. Typ argumentů i vracených hodnot by měl být z výše uvedených popisů zřejmý.

Aktuální kódování znaků používané konverzními funkcemi je kódování znaků pro aktuální databázi grafických objektů. Aktuálním kódováním ANSI Windows se rozumí kódování používané jazykovou mutací systému Windows, ve které právě TopoL běží (např. ANSI Windows CE v české, ANSI Windows v PanEuro nebo ANSI Windows Cyr v ruské).

Funkce StrConvert provádí převod řetězců mezi takovými dvojicemi kódování znaků, pro které má k dispozici převodní tabulky (soubory CPG). Provádí také vždy převod mezi aktuálním kódováním ANSI Windows a aktuálním kódováním pro systém MS-DOS (OEM kódová stránka). V případě, že tabulka není k dispozici, převod se neprovede a funkce vrací původní řetězec.

Poznámka: Pro všechny funkce je možné použít v případě argumentu výraz také seznam hodnot povoleného typu. Výsledkem je potom seznam příslušných výsledků.


Funkce pro práci s datem

Podpora pro funkce určené ke zpracování hodnot typu datum zahrnuje:

Date(den, měsíc, rok)

vrací datum sestavené z hodnot celočíselných výrazů den, měsíc, rok

Day(výraz)

vrací celé číslo udávající den určený hodnotou výraz typu datum

Month(výraz)

vrací celé číslo udávající měsíc určený hodnotou výraz typu datum

Year(výraz)

vrací celé číslo udávající rok určený hodnotou výraz typu datum

Today

vrací aktuální systémové datum (udávané počítačem)

Weekday(výraz)

vrací celé číslo udávající den v týdnu v rozsahu 0 až 6 (0 - neděle, ..., 6 - sobota) určený hodnotou výraz typu datum

Při vyčíslování funkcí se berou v úvahu přestupné roky, ale nepočítá se s reformou kalendáře v roce 1582. Operace probíhají korektně vzhledem ke gregoriánskému kalendáři. Operandy musí tvořit platné datum, jinak je výpočet výrazu obsahujícího volání funkce přerušen a výsledek takového výrazu není vyčíslen.

Poznámka: Pro všechny funkce je možné použít v případě argumentu výraz také seznam hodnot typu datum. Výsledkem je potom seznam příslušných výsledků.


Funkce pro spouštění jiných aplikací

Jazyk ToPas zahrnuje také podporu pro spouštění jiných aplikací. K dispozici jsou následující funkce:

IsTaskRunning (jméno)

vrací hodnotu TRUE, pokud aplikace identifikovaná pomocí řetězce jméno právě běží v systému Windows (je v paměti), jinak vrací hodnotu FALSE

TaskExecute (cmdline, cmdshow)

spustí aplikaci specifikovanou pomocí řetězce cmdline, který určuje příkazovou řádku pro spuštěnou aplikaci, a zobrazí okno aplikace dle celočíselného parametru cmdshow, vrací logickou hodnotu udávající, zda byla operace úspěšná

Parametr jméno určující identifikaci aplikace je obvykle jméno souboru aplikace nebo serveru DDE. Maximální očekávaná délka jména je 8 znaků a nerozlišují se malá a velká písmena.

Parametry cmdline a cmdshow odpovídají parametrům standardní funkce WinExec systémového rozhraní Windows API. Parametr cmdshow by měl být v rozsahu 0..9 a má následující význam:

0 (sw_Hide) okno aplikace bude skryté a aktivním se stane jiné okno

1 (sw_ShowNormal) okno aplikace bude mít normální velikost a stane se aktivním

2 (sw_ShowMinimized) okno aplikace bude mít podobu ikony a stane se aktivním

3 (sw_ShowMaximized) okno aplikace bude maximalizované a stane se aktivním

4 (sw_ShowNoActivate) okno aplikace bude mít původní velikost a aktivním zůstane původní okno

5 (sw_Show) okno aplikace bude mít normální velikost a stane se aktivním

6 (sw_Minimize) okno aplikace bude mít podobu ikony a aktivním se stane jiné okno

7 (sw_ShowMinNoActivate) okno aplikace bude mít podobu ikony a aktivním zůstane původní okno

8 (sw_ShowNA) okno aplikace bude mít normální velikost a aktivním zůstane původní okno

9 (sw_Restore) okno aplikace bude mít normální velikost a stane se aktivním


Volání makra

Jazyk ToPas umožňuje vyvolat v rámci výrazu výpočet makra (programu v jazyce ToPas) pomocí následující funkce:

calcvalue(jméno_souboru)

vrací řetězec udávající výsledek výpočtu makra uloženého v souboru určeném řetězcem jméno_souboru

Parametr jméno_souboru definuje jméno souboru s makrem (programem v jazyce ToPas) buď plnou cestou k souboru, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Jméno souboru musí obsahovat i jeho extenzi. Tvar makra (souboru s programem) je detailněji popsán v odstavci Makra.


Funkce pro manipulaci s barvami

Podpora pro manipulaci s hodnotami vyjadřujícími barvy zahrnuje:

RedColor(barvaRGB)

vrací celočíselnou hodnotu udávající červenou složku barvy určené celočíselným výrazem barvaRGB

GreenColor(barvaRGB)

vrací celočíselnou hodnotu udávající zelenou složku barvy určené celočíselným výrazem barvaRGB

BlueColor(barvaRGB)

vrací celočíselnou hodnotu udávající modrou složku barvy určené celočíselným výrazem barvaRGB

RGBColor(red, green, blue)

vrací celočíselnou hodnotu udávající barvu v barevném modelu RGB sestavenou z červené, zelené a modré složky určené pomocí celočíselných výrazů red, green, blue

WinColor(barvaTopoL)

vrací celočíselnou hodnotu, která je výsledkem konverze barvy v interním tvaru TopoLu určené výrazem barvaTopoL do modelu RGB

TopoLColor(barvaRGB)

vrací celočíselnou hodnotu, která je výsledkem konverze barvy v modelu RGB určené výrazem barvaRGB do interního tvaru TopoLu

V TopoLu pro Windows se lze setkat s dvěma reprezentacemi barev. Barva grafického objektu zapsaná v rámci dat je vyjádřena v interním tvaru programu TopoL (viz Formát čísla barvy pro vektorová data). Skutečná barva používaná pro vykreslení objektů se pak udává ve tvaru používaném systémem MS Windows pro vyjádření barev objektů. Barvy v systému Windows jsou definovány pro barvený model RGB (pro 24 bitů), který se běžně používá pro monitory počítačů. Funkce WinColor a TopoLColor dovolují převod mezi oběma reprezentacemi barev. Funkce RedColor, GreenColor a BlueColor umožňují zjistit jednotlivé složky (červenou, zelenou a modrou) v rozsahu 0..255, ze kterých se barva v modelu RGB aditivně skládá. Funkci RGBColor je pak nezbytné použít pro specifikaci barvy v modelu RGB pomocí jejích složek (vyjádřených celými čísly v rozsahu 0..255).


Funkce pro manipulaci s inicializačními soubory

Inicializační soubory byly zavedeny jako standard v systému MS Windows 3.x pro uchování a opětovné načítání parametrů aplikací při jejich spuštění nebo běhu. Tyto soubory mají specifický textový formát, ve kterém jsou uchovávány dvojice klíč a hodnota reprezentující parametry rozdělené do logických skupin označovaných jako sekce. Příkladem takového souboru může být soubor WIN.INI, který je jedním ze systémových inicializačních souborů a standardně je umístěn v adresáři systému Windows. Inicializační soubor, který má standardně příponu .INI, má obecně následující tvar:

[section1]

key1=value1

...

keyN=valueN

...

[sectionX]

key1=value1

...

keyM=valueM

Jazyk ToPas zahrnuje podporu pro inicializační soubory, jejichž obsah je možné načítat nebo měnit (obvykle během výpočtu makra nebo informačního formuláře).

INIReadString(inifile, section, key, implicit_value)

vrací řetězec uvedený jako hodnota pro klíč key v sekci section inicializačního souboru inifile nebo hodnotu řetězce implicit_value, pokud soubor, sekce nebo klíč neexistují

INIReadLongint(inifile, section, key, implicit_value)

vrací celočíselnou hodnotu uvedenou jako hodnota pro klíč key v sekci section inicializačního souboru inifile nebo celočíselnou hodnotu implicit_value, pokud soubor, sekce nebo klíč neexistují a nebo hodnota pro klíč nemá tvar celého čísla

INIReadDouble(inifile, section, key, implicit_value)

vrací reálné číslo uvedené jako hodnota pro klíč key v sekci section inicializačního souboru inifile nebo reálné číslo implicit_value, pokud soubor, sekce nebo klíč neexistují a nebo hodnota pro klíč nemá tvar reálného čísla

INIReadBoolean(inifile, section, key, implicit_value)

vrací logickou hodnotu uvedenou jako hodnota pro klíč key v sekci section inicializačního souboru inifile nebo logickou hodnotu implicit_value, pokud soubor, sekce nebo klíč neexistují a nebo hodnota pro klíč nemá tvar odpovídající logické hodnotě

INIReadDatum(inifile, section, key, implicit_value)

vrací hodnotu typu datum uvedenou jako hodnota pro klíč key v sekci section inicializačního souboru inifile nebo hodnotu typu datum implicit_value, pokud soubor, sekce nebo klíč neexistují a nebo hodnota pro klíč nemá tvar odpovídající hodnotě typu datum

INIWriteString(inifile, section, key, value)

zapíše řetězec value jako hodnotu pro klíč key v sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

INIWriteLongint(inifile, section, key, value)

zapíše celočíselnou hodnotu value jako hodnotu pro klíč key v sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

INIWriteDouble(inifile, section, key, value)

zapíše reálné číslo value jako hodnotu pro klíč key v sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

INIWriteBoolean(inifile, section, key, value)

zapíše logickou hodnotu value jako hodnotu pro klíč key v sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

INIWriteDatum(inifile, section, key, value)

zapíše hodnotu value typu datum jako hodnotu pro klíč key v sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

INIReadSection(inifile, section)

vrací seznam řetězců obsahující všechny klíče v sekci section inicializačního souboru inifile nebo prázdný seznam, pokud soubor nebo sekce neexistují nebo je sekce prázdná

INIReadSectionVals(inifile, section)

vrací seznam řetězců obsahující hodnoty pro všechny klíče v sekci section inicializačního souboru inifile nebo prázdný seznam, pokud soubor nebo sekce neexistují nebo je sekce prázdná

INIReadSections(inifile)

vrací seznam řetězců obsahující jména všech sekcí v inicializačním souboru inifile nebo prázdný seznam, pokud soubor neexistuje nebo je prázdný

INIValueExists(inifile, section, key)

vrací TRUE, pokud klíč key v sekci section inicializačního souboru inifile existuje, jinak vrací FALSE

INISectionExists(inifile, section)

vrací TRUE, pokud sekce section inicializačního souboru inifile existuje, jinak vrací FALSE

INIDeleteKey(inifile, section, key)

zruší klíč key v sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

INIEraseSection(inifile, section)

zruší sekci section inicializačního souboru inifile, vrací logickou hodnotu udávající, zda byla operace úspěšná

Argument inifile je typu řetězec a udává jméno inicializačního souboru. Pokud není uvedeno jméno souboru včetně plné cesty, hledá se soubor v adresáři systému Windows. Za vhodnou složku pro umístění inicializačních souborů lze doporučit pracovní adresář, který se určuje při spuštění TopoLu. V tomto případě lze při určení plného jména souboru s výhodou použít funkci GetWorkingDirectory (viz odstavec Různé funkce).

Argumenty section a key jsou typu řetězec a udávají jméno sekce, resp. klíče.

V případě, že soubor, sekce nebo klíč neexistují, tak se při pokusu o zapsání hodnoty do inicializačního souboru vytvoří požadovaný soubor, sekce nebo klíč.

Poznámka: Přestože není explicitně zakázáno, je třeba pečlivě zvážit případné změny v inicializačních souborech systému Windows (WIN.INI, SYSTEM.INI, PROTOCOL.INI, MSMAIL.INI apod.). Změny v těchto souborech jsou dělány pouze na vlastní odpovědnost a měly by být omezeny na opodstatněné případy. Pro specifické parametry formulářů a maker se důrazně doporučuje použití vlastních specifických inicializačních souborů (které se mohou případně založit při prvním pokusu o zápis do souboru).


Různé funkce

AbortInfo(řetězec)

nastaví popis v dialogu, který dovoluje přerušit výpočet informačního formuláře, na hodnotu určenou výrazem řetězec a vrací logickou hodnotu udávající, zda se operace uskutečnila

AreUnit

vrací celé číslo udávající jednotku velikosti plochy v m2 dle stavu přepínače V hektarech v rámci TopoLu (tj. 10000 je-li zapnut nebo 1 není-li zapnut)

AreUnitStr

vrací řetězec udávající jednotku velikosti plochy dle stavu přepínače V hektarech v rámci TopoLu (tj. ha je-li zapnut nebo m2 není-li zapnut)

GetWorkingDirectory

vrací řetězec udávající pracovní adresář TopoLu, který se určuje při spuštění TopoLu

MapSheetXY(klad, měřítko, X, Y)

vrací řetězec udávající jméno mapového listu v kladu určeném celočíselným parametrem klad a případně celočíselnou hodnotou měřítko, který se nalézá v poloze určené reálnými hodnotami souřadnic X a Y

SpatRelSpace

vrací reálné číslo udávající vůli souřadnic (přesnost), se kterou se provádí porovnání při řešení prostorových vztahů mezi grafickými objekty (odkazy ContainsXY, EContainsXY, ContainedXY, EContainedXY, MeetXY, OverlapXY, EqualXY, TouchXY)

SetSpatRelSpace(přesnost)

nastaví vůli souřadnic (přesnost), se kterou se provádí porovnání při řešení prostorových vztahů mezi grafickými objekty (odkazy ContainsXY, EContainsXY, ContainedXY, EContainedXY, MeetXY, OverlapXY, EqualXY, TouchXY) na reálnou hodnotu výrazu úhel a vrací tuto nastavovanou hodnotu

Funkce AbortInfo má smysl pouze při výpočtu informačního formuláře, u kterého je pomocí položky popisu formuláře UserAbort povoleno přerušení výpočtu. Funkci lze použít s výhodou pro informování uživatele o průběhu výpočtu. Pokud není v době výpočtu k dispozici příslušný dialog, funkce vrátí hodnotu FALSE a pokračuje se v dalším výpočtu.

Funkce MapSheetXY předpokládá, že souřadnice X a Y jsou udány v souřadném systému S-JTSK se základní jednotkou délky 1 metr. Parametr klad má následující význam:

  • 0 - klad SMO (SJTSK)

  • 1 - klad Gusterberg

  • 2 - klad Svatý Štěpán

  • 3 - klad Gellerthegy

  • 4 - klad Základní mapy (ZM) ČR a SR

  • 5 - klad Gauss-Krüger

  • 6 - klad Gusterberg v měřítku 1:2500

  • 7 - klad Svatý Štěpán v měřítku 1:2500

  • 8 - klad Gellerthegy v měřítku 1:2500

Parametr měřítko má smysl pouze pro klady SMO, ZM a Gauss-Krüger. Přípustné hodnoty jsou:

  • 500, 1000, 2000, 5 000 a 50000 (pro klad SMO)

  • 10000, 25000, 50000, 100000, 200000 (pro klad ZM)

  • 10000, 25000, 50000, 100000, 200000, 500000, 1000000 (pro klad Gauss-Krüger)

Použití nepřípustných hodnot pro klad a měřítko nebo souřadnic X, Y ležících mimo prostor, na kterém je příslušný klad definován, vede k chybě a přerušení výpočtu výrazu obsahujícího volání funkce. Výsledek takového výrazu není vyčíslen.


Statistické funkce

Odkazy na sekundární tabulky (vnější databáze) vyjadřují vlastně odkaz na několik hodnot (seznam) stejného typu. Při vyčíslení těchto odkazů se pracuje s těmito seznamy a automaticky se provádí výpočet daného výrazu pro všechny možné výsledky těchto odkazů. Z tohoto důvodu byly do jazyka ToPas začleněny složené typy a další konstrukce pro zpracování výrazů reprezentujících seznam hodnot.

Pro zpracování seznamů hodnot je v jazyce ToPas předdefinována následující skupina statistických funkcí:

Num(výraz)

vrací celé číslo udávající počet hodnot v seznamu výraz

Result(výraz,idx)

vrací ze seznamu výraz hodnotu určenou celočíselným indexem (pozicí) idx

Max(výraz)

vrací maximální hodnotu ze seznamu výraz

NMax(výraz)

vrací celočíselný index (pozici) maximální hodnoty ze seznamu výraz

Min(výraz)

vrací minimální hodnotu ze seznamu výraz

NMin(výraz)

vrací celočíselný index (pozici) minimální hodnoty ze seznamu výraz

Sum(výraz)

vrací součet hodnot v seznamu výraz

Ave(výraz)

vrací průměr hodnot v seznamu výraz

V případě funkcí Sum a Ave musí hodnota argumentu výraz reprezentovat seznam numerických hodnot (celých nebo reálných čísel). Argumentem ostatních funkcí může být seznam libovolného typu. Indexy (pozice) v seznamech hodnot jsou celá čísla v rozmezí 1..Num(výraz).

Pokud reprezentuje argument statistické funkce prázdný seznam (např. v odkazu na připojenou databázovou tabulku pro daný objekt/záznam žádný záznam neexistuje), dojde s výjimkou funkce Num k přerušení výpočtu výrazu obsahujícího volání funkce a výsledek takového výrazu není vyčíslen. Funkce Num vrací výsledek i v případě, že je jejím argumentem prázdný seznam. V tomto případě nedojde k přerušení výpočtu, protože funkce vrátí hodnotu 0.

Příklad:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položka OBRATY) pro každé středisko. Nalezení maximálního měsíčního obratu pro každé středisko dovoluje výraz

Max(@1.OBRATY)


Funkce pro výběr ze seznamů

Tyto funkce jsou velmi zjednodušenou formou příkazu SELECT z databázového dotazovacího jazyka SQL. Funkci Select lze použít pro výběr takových hodnot ze seznamu, při jejichž vyčíslení je zároveň splněna určitá podmínka. Funkce SqlSel lze použít podobným způsobem pro výběr hodnot z určité databáze.

Volání funkcí má následující tvar:

Select (výraz, podmínka)

SqlSel (databáze, výraz, podmínka)

Funkce Select provede v cyklu pro každou hodnotu ze seznamu výraz vyhodnocení obou argumentů funkce. Pokud má argument podmínka hodnotu TRUE, potom je odpovídající hodnota argumentu výraz zařazena do výsledného seznamu. Argument výraz může být seznam libovolného typu, zatímco argument podmínka musí být typu logická hodnota nebo seznam logických hodnot. Výsledek funkce je stejného typu jako argument výraz.

Funkce SqlSel provede pro každý platný záznam databáze vyhodnocení obou argumentů funkce. Pokud má argument podmínka hodnotu TRUE, potom je odpovídající hodnota argumentu výraz zařazena do výsledného seznamu. Argument výraz může být libovolného typu, zatímco argument podmínka musí být typu logická hodnota nebo seznam logických hodnot. Výsledkem funkce je seznam odpovídající typu argumentu výraz. Pro argument databáze je možné v plné verzi jazyka ToPas použít symbolické jméno deklarované v rámci deklarace symbolických jmen databází nebo v libovolném výrazu předdefinované jméno CURRENT pro aktuální databázi.

Příklady:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položky MESIC, OBRATY) pro každé středisko. Mezi záznamy připojenými ke konkrétní položce určí výraz @1.OBRATY 12 hodnot pro jednotlivé měsíce. Pomocí podmínky @1.MESIC = 'LEDEN' je vybrána příslušná hodnota pro leden. Vypsání měsíčního obratu pro měsíc leden tedy dovoluje výraz:

Select(@1.OBRATY, @1.MESIC = 'LEDEN')

Maximální hodnotu určité položky (např. POC_OBYV) v aktuální databázi lze najít pomocí následujícího triku. V databázi CURRENT vybereme všechny hodnoty položky POC_OBYV pomocí funkce SqlSel použitím vždy platné podmínky. Výsledný seznam použijeme jako argument funkce Max. Příslušný výraz má následující tvar:

Max(SqlSel(Current, @POC_OBYV, TRUE))


Funkce pro řazení seznamů

Hlavní uplatnění funkcí pro řazení seznamů lze najít při vytváření setříděných tabulek a jiných výstupů v rámci informačních formulářů. Funkce lze však aplikovat na jakékoliv seznamy vzniklé vyhodnocením nějakého výrazu. Řazení se vždy provádí od nejnižší po nejvyšší hodnotu.

Volání operátorů mají následující tvar:

Sort (výraz, sorder)

GetOrder (sorder)

GetIndex (sorder, sortindex)

Order (výraz, sorder, sortindex)

Oba argumenty funkce Sort mohou být seznamy libovolného typu, který nemusí být pro oba totožný. Funkce vrátí hodnoty ze seznamu výsledků výraz setříděné podle pořadí hodnot v třídícím seznamu sorder. Výsledný seznam je stejného typu jako argument výraz.

Funkce GetOrder vrací seznam celočíselných hodnot (1..Num(sorder)), které udávají pořadí hodnot v třídícím seznamu sorder.

Funkce GetIndex vrací celočíselnou hodnotu (v rozsahu 1..Num(sorder)) udávající index (pozici) položky v třídícím seznamu sorder, která má pořadí určené celočíselnou hodnotou sortindex (v rozsahu 1..Num(sorder)).

Funkce Order vrací hodnotu ze seznamu výsledků výraz setříděného podle pořadí hodnot v třídícím seznamu sorder, která má pořadí určené celočíselnou hodnotou sortindex (v rozsahu 1..Num(sorder)).

Příklady:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položky MESIC, OBRATY) pro každé středisko. Setřídění názvu měsíců podle měsíčních obratů (od nejnižšího po nejvyšší) dovoluje výraz

Sort(@1.MESIC,@1.OBRATY)

Jméno měsíce s druhým nejnižším obratem lze získat pomocí výrazu

Order(@1.MESIC,@1.OBRATY,2)

Pro výsledky funkcí Sort, Order, GetOrder, GetIndex a Order platí následující tři tvrzení:

Order(výraz, sorder, sortindex)

= Result(Sort(výraz, sorder), sortindex))

Order(výraz, sorder, sortindex)

= Result(výraz, GetIndex(sorder, sortindex))

sortindex = Result(GetOrder(sorder),

GetIndex(sorder, sortindex))


Další funkce pro manipulaci se seznamy

Mezi další funkce pro manipulaci se seznamy hodnot v jazyce ToPas patří:

NullLongintList

vrací prázdný seznam hodnot typu celé číslo

NullDoubleList

vrací prázdný seznam hodnot typu reálné číslo

NullStringList

vrací prázdný seznam hodnot typu řetězec

NullBooleanList

vrací prázdný seznam hodnot typu logická hodnota

NullDatumList

vrací prázdný seznam hodnot typu datum

Uplatnění výše uvedených funkcí, které vrací prázdné seznamy, lze najít v rámci programů v jazyce ToPas při inicializaci seznamů (např. při opakovaných výpočtech v cyklech). Lze je proto prakticky výhradně použít v přiřazovacím příkazu. Jiné použití ve výrazech se nepředpokládá. Naopak užití prázdného seznamu jako argumentu může v řadě funkcí způsobit chybu a přerušení výpočtu výrazu, jehož výsledek pak není vyčíslen.


Výrazy uzavřené v závorkách

Jakýkoliv výraz může být uzavřen do závorek a kombinován s dalšími operátory a operandy. Vyčíslení celého výrazu v závorce proběhne jako vyčíslení jednoho operandu dříve než vyčíslení dalších operátorů a operandů.

Použitá syntaxe pro uzavření výrazu do závorek:

( výraz )

Příklad:

(100000 < @1.POCET_OBYV)

and (@1.POCET_OBYV <= 150000)


Odkaz na konstantu

Plná verze jazyka ToPas dovoluje v rámci výrazů využívat odkazů na konstanty deklarované v rámci deklarace konstant. Odkaz na konstantu má tvar identifikátoru konstanty.

Příklad:

const MaxPocet = 30;

...

begin

for Pocet := 1 to MaxPocet

do begin

...

end;

end.


Odkaz na proměnnou

Plná verze jazyka ToPas dovoluje v rámci výrazů využívat odkazů na proměnné deklarované v rámci deklarace proměnných. Odkaz na proměnnou má tvar identifikátoru proměnné.

U proměnných složeného typu (seznam) lze rovněž přistupovat k jednotlivým položkám seznamu. V takovém případě se za identifikátor proměnné uvede index uzavřený v hranatých závorkách ([]). Index určuje pozici položky v seznamu a může být určen celočíselným výrazem, který nabývá hodnot 1..Num(proměnná).

Příklad:

var Obrat : list of longint;

Pocet : longint;

begin

Obrat := @1.OBRATY;

write (' Obraty:')

for Pocet := 1 to Num(Obrat)

do begin

writeln(Obrat[Pocet]:C:10);

end;

end


Operátory

Jazyk ToPas podporuje následující typy operátorů:

  • aritmetické

  • logické

  • relační

  • řetězcové

  • odkaz na dynamické textové atributy

  • datumové

  • přetypování


Aritmetické operátory

Aritmetické operátory slouží k propojení numerických hodnot. Výsledkem vyčíslení aritmetického operátoru je numerická hodnota.

Následující operátory jsou určeny pro celá i reálná čísla a dovolují kombinovat hodnoty těchto typů. Výsledkem je celé číslo jen v případě, kdy jsou všemi operandy celá čísla a zároveň se nejedná o dělení čísel.

+ op

op (unární plus)

- op

změna znaménka op (unární minus)

op1 + op2

sčítání op1 a op2

op1 - op2

odečtení op2 od op1

op1 * op2

vynásobení op1 a op2

op1 / op2

vydělení op1 hodnotou op2

Následující operátory dovolují zpracovávat pouze celá čísla. Výsledkem je rovněž celé číslo.

op1 div op2

celočíselné dělení op1 hodnotou op2

op1 mod op2

zbytek po celočíselném dělení op1 hodnotou op2

op1 shl op2

binární posun hodnoty op1 o op2 bitů doleva (tj. násobení hodnotou 2^op2, op2 >= 0)

op1 shr op2

binární posun hodnoty op1 o op2 bitů doprava (tj. dělení hodnotou 2^op2, op2 >= 0)

not op

binární negace op

op1 and op2

binární logický součin op1 a op2

op1 or op2

binární logický součet op1 a op2

op1 xor op2

binární logický exkluzivní součet op1 a op2

Pro některé operátory platí omezení na konkrétní hodnoty jejich operandů. V případě, že hodnota příslušného operandu nevyhovuje danému omezení, dojde k přerušení výpočtu výrazu obsahujícího operátor a výsledek takového výrazu není vyčíslen. Operand op2 nesmí být roven 0 při dělení, celočíselném dělení a výpočtu zbytku po celočíselném dělení. Operand op2 nesmí být záporný při binárním posunu doleva i doprava.


Logické operátory

Logické operátory slouží k propojení logických hodnot nebo jejich seznamů. Způsob vyhodnocení logického operátoru aplikovaného na seznam(y) lze upřesnit pomocí obecných matematických kvantifikátorů. Výsledkem vyčíslení logického operátoru je logická hodnota, resp. jejich seznam.

Jazyk ToPas umožňuje používat čtyři nejběžnější operátory:

not op

negace op - výsledek je TRUE, je-li op FALSE a obráceně

op1 and op2

logický součin op1 a op2 - výsledek je TRUE pouze v případě, že op1 i op2 jsou TRUE

op1 or op2

logický součet op1 a op2 - výsledek je FALSE pouze v případě, že op1 i op2 jsou FALSE

op1 xor op2

logický exkluzivní součet op1 a op2 - výsledek je TRUE v případě, že buď op1 nebo op2 jsou TRUE


Relační operátory

Relační operátory slouží k porovnávání operandů stejných typů. Lze přitom používat jednoduché i složené typy. Způsob vyhodnocení relačního operátoru aplikovaného na seznam(y) lze upřesnit pomocí obecných matematických kvantifikátorů. Výsledkem vyčíslení relačního operátoru je logická hodnota, resp. jejich seznam.

V rámci jazyka ToPas je možné používat šest nejběžnějších operátorů:

op1 = op2

op1 se rovná op2

op1 <> op2

op1 se nerovná op2

op1 < op2

op1 je menší než op2

op1 <= op2

op1 je menší nebo roven op2

op1 > op2

op1 je větší než op2

op1 >= op2

op1 je větší nebo roven op2


Řetězcové operátory

Řetězcový operátor + slouží k propojení řetězců. Výsledkem vyčíslení tohoto řetězcového operátoru je řetězec.

op1 + op2

spojení řetězců op1 a op2


Odkaz na dynamické textové atributy

Tento unární operátor zpřístupňuje formou zkratky dynamické textové atributy aktuálního objektu. Operandem je celé číslo (v rozsahu 1..20) identifikující atribut a výsledkem je řetězec.

~ op

dynamický textový atribut op aktuálního objektu


Datumové operátory

Datumové operátory slouží k operacím s hodnotami typu datum. Výsledkem přičtení celočíselné hodnoty udávající počet dnů k datu, resp. odečtení celočíselné hodnoty udávající počet dnů od data, je datum. Výsledkem odečtení dvou hodnot typu datum je celočíselná hodnota udávající počet dnů. Při zpracování a vyčíslení výrazů se berou v úvahu přestupné roky, ale nepočítá se s reformou kalendáře v roce 1582. Operace s datem probíhají korektně vždy vzhledem ke gregoriánskému kalendáři. Operandy musí tvořit platné datum, jinak je výpočet výrazu obsahujícího takový operand přerušen.

op1 + op2

přičtení op2 dnů k datu op1

op1 - op2

odečtení op2 dnů od data op1

op1 - op2

zjištění počtu dnů mezi op1 a op2 (odečtení data op2 od op1)


Operátor přetypování

Pomocí operátoru přetypování lze zajistit, aby hodnota jednoho typu byla použita jako hodnota jiného typu. Každý operand ve výrazu může být opatřen tímto operátorem, který je od operandu oddělen znakem dvojtečka (:). Za ním následuje označení typu jedním písmenem. Pro konverzi na řetězce je také možné určit pro převod hodnoty minimální počet znaků a velikost desetinné části, na kterou má být řetězec naformátován. To lze s výhodou využít ve formuláři a ostatních výrazech pro naformátování výstupu.


Přetypování operandu na numerické hodnoty

Přetypování operandu na numerické hodnoty převede operand na číslo celé nebo reálné. V případě řetězce se provádí převod vždy na číslo reálné. Případný převod na celé číslo zajistíme aplikováním funkcí Trunc nebo Round. Pokud řetězec nemá tvar čísla, potom dojde k přerušení výpočtu výrazu obsahujícího tento operand. V případě logických hodnot je hodnota TRUE převedena na celé číslo 1 a hodnota FALSE na 0. Hodnota typu datum je konvertována na celé číslo určující počet dnů od 1. ledna roku 1 vzhledem ke gregoriánskému kalendáři.

Syntaxe přetypování na numerické hodnoty:

op : N

Příklady: '1234.12':N, @1.ROK : N


Přetypování na řetězec

Přetypování na řetězec převede numerickou hodnotu na příslušný řetězec. Logická hodnota TRUE je převedena na řetězec 'T' a hodnota FALSE na 'F'. Hodnota typu datum se převede na tvar shodující se s definicí konstanty typu datum. Operátor přetypování pro řetězce může být doplněn o nepovinný minimální celkový počet znaků a délku desetinné části (pro reálná čísla). Pokud je řetězec získaný převodem kratší než požadovaný celkový počet znaků, je doplněn vlevo příslušný počet mezer. V případě reálného čísla je minimální celkový počet znaků vždy větší než 8 a délka desetinné části je maximálně 11. Reálné číslo je převedeno do exponenciálního tvaru v případě, že není uvedena délka desetinné části, jinak do tvaru s pevným počtem desetinných míst.

Syntaxe přetypování na řetězce:

op : C : celkem_znaků : des_míst

Příklady: 1234.56:C:10:3,

@1.OBRATY:C:6:0,

@DEN_PROD:C


Přetypování na logické hodnoty

Přetypování na logické hodnoty převede jakoukoliv nenulovou numerickou hodnotu na TRUE a nulovou hodnotu na FALSE. Řetězce 'T' a 'TRUE' (bez ohledu na velká písmena a předcházející nebo následující mezery) jsou převedeny na hodnotu TRUE, zatímco ostatní řetězce na FALSE. Hodnoty typu datum nelze konvertovat na logickou hodnotu.

Syntaxe přetypování na logické hodnoty:

op : L

Příklad: @1.POUZITO : L


Přetypování numerické hodnoty na datum

Při přetypování numerické hodnoty na datum se číslo považuje (po případném odřezání desetinné části) za počet dnů od 1. ledna roku 1 vzhledem ke gregoriánskému kalendáři. Řetězec je převeden na datum, pokud syntakticky odpovídá tvaru pro konstantu typu datum. Logické hodnoty nelze konvertovat na datum.

Syntaxe přetypování na hodnotu typu datum:

op : D

Příklad: @1.DEN : D


Priorita operací

Vyčíslení výrazů se řídí běžnými pravidly pro prioritu operací. Operátory s nejvyšší prioritou se vyčíslují nejdříve. V případě dvou operátorů stejné priority probíhá vyčíslení vždy odleva doprava. Operandy mají vždy nejvyšší prioritu.

Priorita operátorů od nejvyšší po nejnižší:

1. operátor přetypování

2. unární operátory (+, -, not, ~),

3. multiplikativní operátory (*, /, div, mod, shl, shr, and),

4. aditivní operátory (+, -, or, xor),

5. relační operátory (=, <>, <, <=, >, >=).

Příklady:

10-3*2

* má větší prioritu než - (výsledek 4)

(10-3)*2

výraz v závorkách je jeden operand pro násobení (výsledek je 14)

(@OKRES = 'CHEB') and (@1.OBRATY > 1000)

výrazy v závorkách jsou operandy operátoru and

@OKRES = 'CHEB' and @1.OBRATY > 1000

! syntakticky nesprávný výraz - operátor and má vyšší prioritu než operátory relační a jeho operand nemůže být typu řetězec


Výrazy reprezentující seznam hodnot

Odkazy na sekundární tabulky (vnější databáze) vyjadřují vlastně odkaz na několik hodnot (seznam) stejného typu. Při vyčíslení těchto odkazů se pracuje s těmito seznamy a automaticky se provádí výpočet daného výrazu pro všechny možné výsledky těchto odkazů. Z tohoto důvodu byly do jazyka ToPas začleněny složené typy a další konstrukce (např. funkce pro výběr ze seznamů, funkce pro řazení seznamů ap.) pro zpracování výrazů reprezentujících seznam hodnot


Vyčíslování výrazů vyjadřujících seznam hodnot

V jazyce ToPas platí pro tyto výrazy následující omezení: Pouze jeden operand aritmetického, řetězcového nebo datumového operátoru může být výrazem reprezentujícím seznam hodnot. Podobné pravidlo platí i pro interní matematické, řetězcové a datumové funkce s více argumenty. Daná operace je pak aplikována na všechny hodnoty v seznamu a výsledkem je zase seznam (počet výsledků se nemůže zvětšit).

Příklad: @1.OBRATY/1000

všechny odkazy na obrat budou vyděleny 1000

Binární logické a relační operátory dovolují kombinovat i dva operandy reprezentující seznam. Pro přesnější specifikaci způsobu zpracování operandů a vyčíslení výsledku těmito operátory je možné použít pro každý z operandů reprezentujících seznam hodnot obecného matematického kvantifikátoru "existuje" nebo "pro všechny".


Použití výrazů reprezentujících seznam hodnot

Výrazy reprezentující seznam hodnot mohou být použity ve všech úlohách, pro které je možné výrazy definovat.

V případě, že je výsledkem celého zadaného výrazu seznam hodnot, pak je při zobrazení popisu jednotlivých grafických objektů, kartodiagramů nebo objektů dle zobrazovací tabulky, při přepisu atributu připojeného ke grafickým objektům nebo položky databázové tabulky, při přepisu znění textu grafických textových objektů, při výpisu součtu během výběru grafických objektů, při sumarizaci v režimu tabulky (Browse), při výpočtu mezní odchylky výměry ploch během vyrovnání výměr a položky pro objekty při exportu dat do textového tvaru pro systém ARC/INFO použit první zjištěný výsledek. Pořadí vyhodnocování položek v seznamu je přitom systémově závislé.

V případě výběru grafických objektů dle dotazu nebo záznamů databáze v režimu tabulky (Browse) je položka vybrána v případě, že alespoň jeden z výsledků nabývá hodnoty TRUE. Záznam není vybrán pouze v případě, že mají všechny výsledky hodnotu FALSE nebo nelze výsledek výrazu vyčíslit.

Pro některé případy potřebujeme však získat přes výraz vyjadřující seznam hodnot pouze jedinou hodnotu, kupříkladu pro další použití v rámci aritmetických operací. V jazyce ToPas je pro tento případ k dispozici několik nástrojů. Nejjednodušší možnost nám poskytují statistické funkce, které vyhovují pro většinu případů.

Příklad: Max(@1.OBRATY)

Dále je možné zakázat vyčíslení vazby, která by jako výsledek poskytla více než jednu hodnotu. Místo znaku tečka (.), který odděluje číslo nebo jméno vazby lze pro tento případ využít znak vykřičník (!). Pokud je při vyčíslení takového odkazu nalezen více než 1 připojený záznam, není takový odkaz zpracován a dojde k přerušení výpočtu výrazu obsahujícího tento odkaz. To lze s výhodou využít pro bezpečně definovaný přepis atributu připojeného ke grafickým objektům nebo položky v databázi.

Příklad: @2!JMENO

Jméno prodejny je zjištěno pouze v případě, že k jejímu objektu je připojen přes vazbu č.2 pouze jediný záznam (jméno).

Další možností k omezení počtu výsledků výrazu reprezentujícího seznam hodnot je použití indexů v cestě určující databázovou tabulku, na níž se odkazujeme. Specifikace indexů je blíže popsána v odstavci Rozšířená syntaxe pro odkazy na databázové tabulky. Index určuje hodnotu použitou pro volbu jediného záznamu v množině záznamů připojených k položce a smí nabývat hodnot z intervalu 1..Num(odkaz). Index může být definován výrazem, který vrací celočíselnou hodnotu. Je-li jeho výsledkem hodnota 3, pak se vybere třetí z připojených záznamů k dané položce.

Pořadí záznamů připojených přes určitou vazbu ke konkrétní položce je systémově závislé. Z důvodu korektnosti vyčíslení celého odkazu na databázovou tabulku je v případě použití indexů nutné uvádět indexy u všech vazeb nebo jen u vazby poslední (v cestě). Jedinou výjimkou jsou statistické funkce, pro jejichž argumenty je také možné použít tvar, ve kterém jsou uvedeny indexy u všech vazeb kromě poslední vazby (v cestě). Z výše uvedených omezení je zřejmé, že tato konstrukce jazyka ToPas není určena pro standardní situace a je implementována spíše jako prostředek pro ošetření výjimečných situací.

Příklad:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položky MESIC, OBRATY) pro každé středisko. Vypsání měsíce s maximálním měsíčním obratem dovoluje výraz

@1.[NMax(@1.OBRATY)]MESIC

Mezi záznamy připojenými ke konkrétní položce se nalezne pomocí výrazu NMax(@1.OBRATY) index (pozice) záznamu, pro který je položka OBRATY maximální. Tento index se použije k určení potřebné hodnoty položky MESIC.


Matematické kvantifikátory

Binární logické a relační operátory dovolují kombinovat i dva operandy reprezentující seznam. Pro přesnější specifikaci způsobu zpracování operandů a vyčíslení výsledku těmito operátory je možné použít pro každý z operandů reprezentujících seznam hodnot obecného matematického kvantifikátoru "existuje" nebo "pro všechny".

Kvantifikátor "existuje" je použit implicitně v případě, že není uveden kvantifikátor "pro všechny". Kvantifikátor "pro všechny" se označuje znakem ampersand (&) na příslušné straně operátoru. Znak & musí bezprostředně předcházet nebo následovat symbol operátoru. Kvantifikátor "pro všechny" nesmí být použit pro operand, který nereprezentuje seznam hodnot. Je možné použít binární logické a relační operátory v následujících čtyřech tvarech:

oper

&oper

oper&

&oper&

Příklad pro operátor <=: <=, &<=, <=&, &<=&

V případě použití kvantifikátoru "existuje" dochází k vyčíslení všech variant. To znamená, že pokud operand na levé straně reprezentuje dvě hodnoty a na pravé tři hodnoty, pak dostaneme 6 výsledků (v případě, že jsou operandy nezávislé vůči databázím a jejich modelu).

Příklad:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položka OBRATY) pro každé středisko. Nalezení všech středisek, která měla alespoň jeden měsíční obrat vyšší než 10 000 dovoluje výraz

@1.OBRATY > 10000

V případě, že použijeme pro určitý operand kvantifikátor "pro všechny", sloučí se varianty vyčíslené pro jednotlivé hodnoty reprezentované tímto operandem pomocí logického součinu (operátor and). To znamená, že pokud operand na levé straně reprezentuje dvě hodnoty a na pravé tři hodnoty a kvantifikátor "pro všechny" je použit pro druhý operand, pak dostaneme 2 výsledky (v případě, že jsou operandy nezávislé vůči databázím a jejich modelu).

Příklad:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položka OBRATY) pro každé středisko. Nalezení všech středisek, která měla všechny měsíční obraty vyšší než 10 000 dovoluje výraz

@1.OBRATY &> 10000

V případě, že výraz obsahuje několik odkazů na stejnou databázovou tabulku nebo vazby v modelech, dochází ke korektnímu vyčíslování respektujícímu tabulkovou povahu databází i vazeb. Operandy obsahující odkaz na stejnou databázovou tabulku nebo vazbu jsou v rámci výrazu vyčíslovány společně a nedochází k nesprávnému kombinování odkazů na různé záznamy. To znamená, že více odkazů na stejnou tabulku (resp. vazbu) je vždy vyčíslováno pro stejný záznam (resp. vazební klíč).

Příklad:

Přes vazbu č.1 je navázána tabulka s měsíčními obraty (položky MESIC, OBRATY) pro každé středisko. Nalezení všech středisek, která měla v lednu měsíční obrat vyšší než 10 000 dovoluje výraz

(@1.MESIC = 'LEDEN') and (@1.OBRATY > 10000)

Pro každé středisko je v tabulce 12 záznamů pro jednotlivé měsíce. Pravá i levá část výrazu poskytuje tedy 12 výsledků. Jejich kombinací podle kvantifikátoru "existuje" bychom pro nezávislé operandy dostali 144 výsledků. V daném případě však dostaneme pouze 12 výsledků - 11 z nich bude mít hodnotu FALSE (udávají hodnotu pro jiný měsíc než leden) a jeden bude mít hodnotu TRUE nebo FALSE podle výsledku pravého operandu.

Poznámka

Poznámka: Z důvodu korektního vyčíslení odkazů na sekundární tabulky (vnější databáze) není možné v jednom okamžiku v rámci jednoho výrazu (programu) kombinovat v těchto odkazech více než jeden záznam (pomocí indexu) pro každou primární databázovou tabulku. Toto pravidlo je ověřováno během výpočtu výrazu (programu). Pro programy v jazyce ToPas existuje náhradní řešení, při které je pro všechny odkazy tohoto typu (indexy) pro příslušnou primární databázi užita stejná proměnná. V takovém případě je možné měnit hodnotu této proměnné a sekvenčně přistupovat (pomocí indexu) k různým záznamům, avšak v různých výrazech.

Příklad:

if @[%[L,I]RArea]1.ID = @[%[L,I]LArea]1.ID

^výraz nemůže být vyčíslen

NumAre := %[L,I]RArea; ID1 := @[NumAre]1.ID;

NumAre := %[L,I]LArea; ID2 := @[NumAre]1.ID;

if ID1 = ID2

^následující sekvence se vyčíslí korektně


Deklarační bloky


Deklarace konstant

je uvozena klíčovým slovem const a obsahuje deklarace jednotlivých konstant. Deklarace každé konstanty se skládá z identifikátoru konstanty a hodnoty konstanty, které jsou odděleny rovnítkem (=). Deklarace jednotlivých konstant jsou odděleny znakem středník (;).

Deklarace konstant má tvar

const ident1 = hodn1;

....

identN = hodnN;

Příklad:

const MaxPocet = 10;

Nazev = 'Město: ';

MezDatum = 30.5.1995;


Deklarace proměnných

je uvozena klíčovým slovem var a obsahuje deklarace jednotlivých proměnných stejného typu. Deklarace proměnných stejného typu se skládá ze seznamu identifikátorů proměnných oddělených čárkou (,) a jména typu. Jméno typu je od seznamu proměnných odděleno znakem dvojtečka (:). Jednotlivé deklarace proměnných stejného typu jsou mezi sebou odděleny znakem středník (;).

Deklarace proměnných má tvar:

var ident11,...,ident1J : type1;

...

identI1,...,identIK : typeN;

Příklad:

var Pocet, I: longint;

DatumVzniku : datum;

Obraty: list of longint;

JmenaObchodu: list of string;

PocetObchodu: longint;


Deklarace symbolických jmen databází

je uvozena klíčovým slovem database a obsahuje deklarace jednotlivých symbolických jmen. Deklarace symbolického jména databáze se skládá z identifikátoru databáze a jména souboru databáze ve tvaru řetězce. Ty jsou odděleny znakem rovnítko (=). Jméno souboru databáze je buď určeno plnou cestou, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Deklarace jednotlivých symbolických jmen jsou odděleny znakem středník (;).

V rámci jazyka ToPas se používá předdefinovaný identifikátor CURRENT pro aktuální databázi, tj. databázovou tabulku, která je právě zpracovávána, nebo primární databázovou tabulku v aktuálním bloku připojenou k typu a druhu grafických objektů, pro které je výraz (program) v jazyce ToPas právě vyčíslován.

Deklarace symbolických jmen databází má tvar:

database ident1 = jmeno_soubor1;

...

identN = jmeno_souborN;

Příklad:

database

Vynosy = 'VYNOSY.DBF';

Obrat = 'C:\UCTO\AKTSTAV\OBRATY.DBF';


Deklarace symbolických jmen databází grafických objektů

je uvozena klíčovým slovem block a obsahuje deklarace jednotlivých symbolických jmen. Deklarace symbolického jména bloku se skládá z identifikátoru bloku a adresáře bloku grafických objektů ve tvaru řetězce. Ty jsou odděleny znakem rovnítko (=). Adresář bloku je buď určen plnou cestou, nebo relativně vzhledem k pracovnímu adresáři, který se určuje při spuštění TopoLu. Deklarace jednotlivých symbolických jmen jsou odděleny znakem středník (;).

V rámci jazyka ToPas se používá předdefinovaný identifikátor CURRENT pro aktuální blok, tj. blok grafických objektů obsahující objekty, pro které je výraz (program) v jazyce ToPas právě vyčíslován.

Deklarace symbolických jmen bloků grafických objektů má tvar:

block ident1 = adresar1;

...

identN = adresarN;

Příklad:

block

Mesta = 'MESTA.BLK';

NaseMapa = 'C:\MAPY\KATASTR.BLK';

Poznámka

Poznámka: Deklarovaný blok musí být v Předmětu zájmu (v rámci TopoLu), a to ještě před spuštěním programu, tj. již během jeho překladu.


Deklarace parametrů programu

je uvozena klíčovým slovem parameter a obsahuje deklarace jednotlivých proměnných, které představují parametry programu. Deklarace proměnné se skládá z jejího identifikátoru, jména typu, implicitní hodnoty proměnné a jejího uživatelského označení (ve tvaru řetězce). Ty jsou odděleny postupně dvojtečkou (:), rovnítkem (=) a klíčovým slovem description. Mohou být deklarovány pouze proměnné jednoduchého typu. Za deklaraci proměnné lze volitelně uvést klíčové slovo noinit, které umožňuje zakázat nastavení parametru uživatelem při zahájení výpočtu programu. Deklarace jednotlivých parametrů jsou odděleny znakem středník (;).

Deklarace parametrů má tvar:

parameter

ident1 : type1 = hodn1 description jmeno1;

...

identX : typeX = hodnX description jmenoX noinit;

...

identN : typeN = hodnN description jmenoN;

Příklad:

parameter

MinObrat : longint = 10000

description 'Minimální obrat';

FaktorCeny : double = 0.10

description 'Přirážka' noinit;

Okres : string = 'CHEB'

description 'Okres';

Zvolene : boolean = false

description 'Pouze vybrané';

Obdobi : datum = 1.1.1997

description 'Počáteční datum';

Deklarace parametrů je povolena pouze v programu pro informační formulář. Po zahájení výpočtu programu se objeví dialog pro nastavení parametrů (jsou-li deklarovány a není-li zcela zakázáno jejich nastavení při zahájení výpočtu). V dialogu (viz obrázek) se objeví pro každý parametr, pro který není jeho nastavení uživatelem při zahájení výpočtu pomocí klíčového slova noinit zakázáno, řádek s označením parametru a implicitní hodnotou. Pořadí parametrů v jejich seznamu je dané pořadím jejich deklarace. Uživatel má možnost změnit hodnoty těchto proměnných. Po ukončení dialogu se teprve spustí vlastní výpočet. Deklarované parametry jsou jinak běžnými proměnnými, na které lze v programu odkazovat nebo které lze měnit.

Poznámka

Poznámka: Popis ovládaní dialogu pro nastavení parametrů je součástí příručky TopoL 6.0 - Aplikační formuláře.


Příkazy


Přiřazovací příkaz

Přiřazovací příkaz se skládá z odkazu na proměnné, které je výsledek přiřazován, a z výrazu, který přiřazovanou hodnotu přiřazuje. Obě strany příkazu jsou odděleny operátorem přiřazení (speciální symbol :=) a jejich typy musí být kompatibilní vzhledem k přiřazení.

Přiřazovací příkaz má následující tvar:

var_ref := vyraz

Příklady:

Pocet := Num(@1.OBRATY)

Obraty := @1.OBRATY

Obraty[1] := Obraty[1]*2.54


Procedury pro výstup

Vyvolání procedury pro výstup tvarem odpovídá vyvolání výstupu do textového souboru v jazyce Pascal. Procedury pro výstup jsou označovány klíčovými slovy write a writeln. Za nimi následuje seznam výrazů uzavřený do závorek. Procedury write a writeln se liší pouze tím, že procedura writeln provádí po výstupu všech hodnot ukončení jednoho řádku výstupu. V případě plné verze jazyka ToPas (určené pro informační formuláře) představuje výstupní zařízení zobrazovaný formulář. Obě uvedené procedury tedy vytváří v zobrazovaném formuláři jediný skutečně zobrazený výsledek zpracování informačního formuláře.

Vyvolání procedury pro výstup může mít následující tvary:

write ( vyraz1, ..., vyrazN )

writeln

writeln ( vyraz1, ..., vyrazN )

Příklady:

write(' Počet: ',Pocet,

' Suma obratu: ',Sum(@1.OBRATY))

writeln


Procedury pro vstup

Procedura pro vstup je označována klíčovým slovem readparam. Za ním následuje seznam jmen parametrů programu uzavřený do závorek. V případě plné verze jazyka ToPas (určené pro informační formuláře) umožňuje uvedená procedura nastavení parametrů programu uživatelem kdykoli během jeho výpočtu.

Vyvolání procedury pro vstup má následující tvar:

readparam ( id_param1, ..., id_paramN )

Příklad:

readparam(FaktorCeny, Obdobi)

Použití procedury pro vstup je povoleno pouze v programu pro informační formulář. Při provádění tohoto příkazu se objeví dialog pro nastavení parametrů. V dialogu se objeví pro každé jméno v seznamu parametrů řádek s označením parametru a jeho aktuální hodnotou. Pořadí parametrů v dialogu je dané pořadím v seznamu jejich jmen. Uživatel má v dialogu možnost změnit hodnoty těchto parametrů, které jsou jinak běžnými proměnnými, na které se lze v programu odkazovat nebo které lze měnit.

Poznámka

Poznámka: Popis ovládaní dialogu pro nastavení parametrů je součástí příručky TopoL 6.0 - Aplikační formuláře.


Složený příkaz

Složený příkaz dovoluje vkládat do konstrukcí, kde je vyžadován, příkaz několik příkazů. Ty jsou uzavřeny mezi klíčová slova begin a end. Jednotlivé příkazy se oddělují znakem středník (;).

Složený příkaz má tvar:

begin příkaz1; ... příkazN end

Příklad:

begin

Pocet := Num(@1.OBRATY);

write(' Počet: ',Pocet,

' Součet obratu: ',Sum(@1.OBRATY));

writeln;

end


Rozhodovací příkaz

Rozhodovací příkaz má tvar obdobný jako v jazyce Pascal. Začíná klíčovým slovem if. Za ním následuje výraz logického typu. V případě, že výsledkem jeho vyhodnocení je hodnota TRUE, pokračuje se příkazem uvedeným za klíčovým slovem then. V případě, že výsledkem vyhodnocení rozhodovacího výrazu je FALSE, je vykonán příkaz uvedený za klíčovým slovem else (pokud je tato nepovinná část definována). Protože tvar rozhodovacího příkazu není syntakticky jednoznačný, platí dohoda, že klauzule else patří vždy k předcházející klauzuli then. Proto se doporučuje u vnořených příkazů if vkládat do rozhodovacího příkazu pouze složené příkazy.

Rozhodovací příkaz má následující tvary:

if výraz then příkaz

if výraz then příkaz1 else příkaz2

Příklad:

if Num(@1.Obraty) > 0

then begin

writeln(' Součet obratu: ',

Sum(@1.OBRATY));

end

else begin

writeln('Tato jednotka nevykázala’

+’ žádný obrat');

end


Příkazy cyklu

Příkazy cyklu plně odpovídají syntaxi i sémantice v jazyce Pascal. Cyklus typu while se vykonává po dobu, kdy je jeho podmínka splněna. Provádění cyklu repeat se ukončuje, je-li jeho podmínka splněna. Podmínka obou typů cyklu je výraz logického typu. Počet provádění cyklu for je dán jeho mezemi (poč_výraz a kon_výraz). Řídící proměnná id_prom cyklu for a oba výrazy určující meze musí být celočíselného typu. Řídící proměnná se zvětšuje (pro klíčové slovo to) nebo zmenšuje (pro klíčové slovo downto) o jedničku vždy po provedení cyklu.

Příkazy mají tvar:

while podmínka do příkaz

repeat příkaz1; ... příkazN until podmínka

for id_prom:=poč_výraz to kon_výraz do příkaz

for id_prom:=p_výraz downto k_výraz do příkaz

Příklady:

while (I <= Pocet)

do begin

writeln;

I := I+1;

end

repeat

writeln;

I := I+1;

until (I > Pocet)

for N := I to Pocet

do writeln


Makra

Jazyk ToPas umožňuje vyvolat v rámci výrazu výpočet makra pomocí funkce calcvalue. Jejím argumentem je řetězec udávající jméno souboru, který makro (program v jazyce ToPas) obsahuje.

Makro je definováno v rámci textového souboru pomocí programu v jazyce ToPas. V rámci makra je možné používat až na drobné výjimky plnou verzi jazyka ToPas. Vlastní makro se skládá z hlavičky makra, z části deklarační a z hlavního těla makra.


Hlavička makra

Hlavička makra je povinná a obsahuje symbolické jméno makra. Má následující tvar:

valuemacro jméno_makra;

V hlavičce vystupuje klíčové slovo valuemacro, které uvozuje identifikátor určující symbolické jméno formuláře. Má význam pouze mimo výpočet makra jako jeho identifikace. Objevuje se například v rámci hlášení o chybách při překladu výrazů.

Příklad:

valuemacro PARCELCISLO;


Deklarační část makra

Deklarační část dovoluje definovat konstanty, proměnné a symbolická jména pro používané databáze a bloky grafických objektů pomocí příslušných deklaračních bloků. Jednotlivé sekce se mohou libovolně střídat a opakovat. Jsou vždy uvozeny příslušným klíčovým slovem. Deklarační část končí na začátku hlavního těla makra.

V rámci deklarační části je povinné deklarovat proměnnou ResultValue, která musí být typu řetězec. Ta slouží k uložení výsledku makra, který je pak vrácen volající funkcí calcvalue.

Příklad:

var

ResultValue : string;


Hlavní tělo makra

Hlavní tělo makra tvoří jeden složený příkaz, ve kterém se provádí výpočet výsledku makra. Za tímto složený příkazem musí následovat symbol tečka (.), který označuje konec makra.

V rámci hlavního těla makra je možné používat plnou verzi jazyka ToPas s následujícími výjimkami:

  • v rámci makra nesmí být volán výpočet jakéhokoliv makra pomocí funkce calcvalue,

  • v rámci makra (kromě výpočtu makra v rámci informačního formuláře) nesmí být použity procedury pro výstup.

V případě výpočtu makra v rámci informačního formuláře mohou být vyvolány procedury pro výstup běžným způsobem. Přitom se jako výstupní zařízení užije právě zobrazovaný formulář, tj. jejich výstup bude součástí obsahu tohoto formuláře.

Výsledkem výpočtu makra je hodnota proměnné ResultValue v okamžiku ukončení výpočtu makra. Její hodnota musí být během výpočtu makra alespoň jednou přiřazena. Jinak je s ní během výpočtu možné manipulovat jako s libovolnou jinou proměnnou, např. ji měnit během výpočtu i vícekrát.

Příklad:

begin

ResultValue := @PARCIS:C:5:0;

if @PODLOMENI <> 0

then ResultValue := ResultValue +

’/’ + @PODLOMENI:C:3:0;

end.


Formát barev a značek


Formát čísla barvy pro vektorová data

Barva grafického objektu zapsaná v rámci dat je vyjádřena v interním tvaru programu TopoL. Interní formát barvy má podobu celého čísla reprezentovaného dvěma bajty (16 bity). Přitom lze rozlišit dvě skupiny barev:

Nezáporná čísla barev v rozsahu 0..15 specifikují standardní barvy vektorových dat, které jsou uvedeny v následující tabulce.

Číslo a barva | Číslo a barva
0 - světle šedá | 8 - světle modrá
1 - modrá | 9 - světle zelená
2 - zelená | 10 - světle azurová
3 - azurová | 11 - světle červená
4 - červená | 12 - světle fialová
5 - fialová | 13 - černá
6 - hnědá | 14 - žlutá
7 - tmavě šedá | 15 - bílá

Záporná čísla barev dovolují specifikovat libovolnou barvu z množiny 32767 barev v modifikovaném modelu RGB (pro 15 bitů).

Ostatní čísla (kladná větší než 15) jsou pro vyjádření barvy v interním formátu nepřípustná. Funkce pro manipulaci s barvami dovolují interní formát převádět na tvar standardní pro systém MS Windows a manipulovat se standardním tvarem barvy (zjištění složek, konstrukce barvy ze složek).


Formát čísla značky pro vektorová data

Značka grafického objektu zapsaná v rámci dat je vyjádřena v interním tvaru programu TopoL. Interní formát značky má podobu celého čísla reprezentovanému dvěma bajty (16 bity). Přitom lze rozlišit dvě skupiny značek:

Čísla značek v rozsahu 0 až 999 specifikují standardní značky (bodové, liniové nebo plošné) vektorových dat. Pro standardní značky nejsou v současnosti využity všechny hodnoty z rozsahu 0 až 999.

Čísla od 1000 výše dovolují specifikovat uživatelsky definované značky.

Ostatní čísla (záporná) jsou pro vyjádření značky v interním formátu nepřípustná.


Formát čísla stylu pro textové objekty

Styl textového objektu zapsaný v rámci dat je vyjádřen v interním tvaru programu TopoL. Interní formát stylu má podobu celého čísla reprezentovanému dvěma bajty (16 bity). Přitom lze rozlišit dvě typy stylu:

Číslo stylu 0 specifikuje, že textový objekt nemá definován styl pro zobrazení. Zobrazení textového objektu se pak provádí podle jednotlivých zobrazovacích parametrů textu nastavených pro objekt individuálně.

Čísla od 1 výše dovolují specifikovat uživatelsky definované styly.

Ostatní čísla (záporná) jsou pro vyjádření stylu v interním formátu nepřípustná.


Editor výrazů

Jazyk ToPas můžeme použít při definici výrazů pro přístup k databázovým tabulkám a grafickým objektům v mnoha případech, kdy (kromě definici informačního formuláře), můžeme editovat výraz pomocí editoru výrazu. Při volbě příslušného tlačítka pro definici výrazu se nejprve objeví dialog pro volbu výrazu.


Dialog pro volbu výrazu

Dialog se používá pro všechny funkce pracující s výrazy v jazyce ToPas. Slouží k volbě výrazu ze seznamu již definovaných výrazů, k manipulaci se seznamem výrazů včetně vyvolání editoru pro jejich modifikaci nebo zadání výrazu nového.

Dialog zobrazuje symbolická jména jednotlivých výrazů v seznamu výrazů (okno nahoře) a pro právě zvolený výraz (zvýrazněn v seznamu) konkrétní tvar výrazu v jazyce ToPas (okno dole). Ostatní tlačítka v dialogu dovolují manipulovat se seznamem výrazů. Program pracuje se dvěma seznamy výrazů. První seznam slouží pro výběr grafických objektů nebo záznamů v databázi a výsledkem těchto výrazů je obvykle logická hodnota nebo jejich seznam. Druhý seznam obsahuje výrazy pro popis grafických objektů nebo přepis položky databáze a může obsahovat hodnoty libovolných typů. Některé z výrazů lze použít pro libovolnou databázi vektorových dat, typ objektů a tabulku, jiné jsou specifické pro určité objekty. Je na uživateli, aby vhodný výraz vybral. Editor výrazů přístupný přes tlačítko Upravit dovoluje zvolený výraz zkontrolovat. Zvolený výraz se pak použije v dané funkci.

Tlačítko Nový dovoluje vložit do seznamu nový prázdný výraz, který se pod implicitním jménem umístí za právě zvolený (zvýrazněný) výraz.

Tlačítko Kopie pak umožňuje vložit podobným způsobem do seznamu nový výraz, který vznikne jako kopie právě zvoleného výrazu.

Změnit jméno každého výrazu lze pomocí dialogu, který se objeví po dvojitém poklepání tlačítka myši na zvoleném výrazu nebo po volbě tlačítka Přejmenovat. Vyvolaný dialog dovoluje v editační lince jméno změnit pomocí tlačítek OK a Zpět změnu potvrdit, resp. odvolat.

Tvar zvoleného výrazu v jazyce ToPas lze pak definovat a měnit prostřednictvím tlačítka Upravit pomocí editoru výrazů. V něm lze při jeho uzavření pomocí tlačítek OK a Zpět provedenou změnu výrazu potvrdit, resp. odvolat.

Tlačítko Odstranit umožňuje zvolený výraz vyjmout ze seznamu. Po potvrzení dialogu pro volbu výrazu se takový výraz zcela ztratí.

Tlačítko Žádný pak dovoluje, aby uživatel nezvolil pro danou funkci žádný výraz. Tato funkce dovoluje zrušit pro danou funkci dříve zvolený výraz nebo zachovat změny v seznamu výrazů bez jejího provedení.

Tlačítko OK dovoluje potvrdit volbu výrazu. Všechny změny v seznamu výrazů a v jejich tvaru se uloží pro další použití.

Tlačítko Zpět slouží k odvolání volby výrazu včetně všech změn v seznamu výrazů.

Některé dialogy (výběr grafických objektů a záznamů databáze, přepis položky databáze v režimu tabulky) obsahují na spodní liště také kontrolní tlačítko

Jen vybrané, po jehož aktivaci se aplikuje příslušná funkce jen na vybrané grafické objekty, resp. záznamy databáze.


Editor výrazu

Dialog dovoluje jednoduchým způsobem zadat a modifikovat výraz v jazyce ToPas. Zobrazuje se dvěma základními způsoby. Je-li znám konkrétní druh grafických objektů, resp. konkrétní databázová tabulka, pro něž je výraz definován, obsahuje spodní část dialogu okno pro zobrazení schématu databázového modelu příslušné databázové tabulky a okno pro zobrazení struktury databáze pro zvolenou databázovou tabulku z tohoto modelu.

V horní části dialogu je umístěn jednoduchý textový editor. Tvar výrazu může být definován na maximálně 5 řádcích o 70 znacích. Má implementovány běžné funkce pro změnu polohy kurzoru pomocí myši nebo klávesnice (posun o znak, skok na začátek/konec řádky, skok na začátek/konec výrazu - šipky, Home, End, Ctrl-Home, Ctrl-End) a vkládání a mazání znaků (Del). Dále dovoluje pracovat se schránkou (clipboardem). Dovoluje do něj vložit (Ctrl-X, Shift-Del), resp. zkopírovat (Ctrl-C, Ctrl-Ins), skupinu znaků vybraných předtím pomocí myši nebo kurzoru (Shift-šipky). Obsah clipboardu lze také vložit (Ctrl-V, Shift-Ins). Vybranou skupinu lze rovněž smazat (Del, Ctrl-Del). Tyto funkce jsou rovněž přístupné pomocí lokálního menu, které se vyvolává stiskem pravého tlačítka myši. Pro výše uvedené funkce se používá standardní clipboard systému Windows, takže přenos textu může být uskutečněn z TopoLu do jiné aplikace nebo naopak.

Dále dialog obsahuje šest tlačítek pro snazší volbu některé ze standardních operandů nebo operátorů jazyka ToPas (odkazy na interní atributy grafických objektů, interní funkce, operátory ap.). Tato tlačítka dělí tyto symboly na následující typy operací :

· matematické operace - aritmetické operátory, matematické funkce, závorky a operátor přetypování na numerické hodnoty;

· relační operace - relační operátory, logické operátory, symbol matematického kvantifikátoru, logické konstanty, operátor přetypování na logické hodnoty;

· operace s řetězci - řetězcové operátory, funkce pro práci s řetězci, operátor přetypování na řetězec;

· operace s datumem - datumové operátory, funkce pro práci s datem, operátor přetypování na datum;

· operace s grafickými daty - odkazy na interní atributy grafických objektů, funkce pro manipulace s barvami;

· množinové operace - statistické funkce, funkce pro výběr ze seznamu, funkce pro řazení seznamů, pomocné funkce pro práci s odkazy na databázové tabulky.

Volba tlačítka zobrazí nabídku symbolů, v níž lze pomocí myši nebo klávesnice, příp. svislého přetáčecího proužku, potřebný symbol vybrat a potvrdit (levé tlačítko myši, Enter). Klávesou Esc nebo stisknutím pravého tlačítka myši lze odvolat nabídku symbolů. Zvolený symbol se vloží na aktuální pozici kurzoru. Výraz pak lze postupně skládat z nabízených operandů a operátorů podle syntaxe jazyka ToPas.

V spodní levé části dialogu je zobrazen příslušný databázový model (pokud existuje). V něm lze zvolit požadovanou databázi, se kterou chceme pracovat. Ve spodní pravé části dialogu se přitom objeví její struktura tj. soupis jednotlivých položek databáze s jejich typem dle jazyka ToPas. Příslušný odkaz na atribut (včetně specifikace modelu) se pomocí myši (dvojitým kliknutím) přenese do editoru.

Ve spodní pravé části dialogu lze užít také lokální menu, které umožní přenést do editoru názvy položek a dále pro vybraný atribut umožní vypsat všechny možné hodnoty, které se pro něj v tabulce vyskytují. Z nabídky pak lze vybranou hodnotu jednoduše přenést do editační části výrazu.

Syntaktickou správnost zapsaného výrazu pro danou situaci (blok, typ a druh grafických objektů, resp. databáze a její model) lze ověřit pomocí tlačítka Test výrazu. V případě nějaké chyby je její popis vypsán do dialogu a zvýrazněn příslušný symbol v editoru výrazu. Takto zvýrazněný symbol sám o sobě nemusí být chybný, ale jeho výskyt v daném kontextu je nepatřičný - například před (mezi) operandem (y) chybí operátor, má špatný typ s ohledem na operátor nebo předchozí operand ap.